-- Logische (boolesche) Operatoren

SELECT K_Titel, K_Untertitel, K_Dauer
  FROM kurs
 WHERE K_Dauer > 2
   AND K_Bereich = 'Grafik';

-- Ergebnis
/*
K_TITEL          K_UNTERTITEL                 K_DAUER
---------------- ---------------------------- ----------
Photoshop        Bildbearbeitung                 4
Photoshop        Korrektur + Verfremdung         3
3D Studio        3D-Modelling                    4
AutoCAD          CAD-Technik                     4
Cinema 4D SE     3D-Modelling                    3
Director         Authoring                       4
Director         Lingo                           3
Flash            Animation                       4
Illustrator      Grafikerstellung                3
Pagemaker        Satztechnik                     3
10 Zeilen ausgewhlt.
*/

SELECT K_Titel, K_Untertitel, K_Dauer
  FROM kurs
 WHERE (K_Dauer = 1 OR K_Dauer = 4)
   AND K_Bereich = 'Grafik'
    OR K_Bereich = 'Webdesign';

-- Ergebnis
/*
K_TITEL                     K_UNTERTITEL               K_DAUER
--------------------------- --------------------------- ----------
Photoshop                   Bildbearbeitung               4
Suchmaschinen-Optimierung   Web-Controlling               1
3D Studio                   3D-Modelling                  4
AutoCAD                     CAD-Technik                   4
Director                    Authoring                     4
Dreamweaver                 Webdesign                     3
Dreamweaver                 E-Commerce / Ultra Dev        3
Dreamweaver                 DHTML-Erweiterungen           3
Flash                       Animation                     4
Frontpage                   Webdesign                     3
GoLive                      Webdesign                     3
HTML                        Webdesign                     2
12 Zeilen ausgewhlt.
*/

SELECT K_Titel, K_Dauer, K_Bereich
  FROM kurs
 WHERE (K_Dauer = 1 OR K_Dauer = 4)
   AND (K_Bereich = 'Grafik' OR K_Bereich = 'Webdesign');

-- Ergebnis
/*
K_TITEL                           K_DAUER K_BEREICH
------------------------------ ---------- ------------------------------
Photoshop                               4 Grafik
Suchmaschinen-Optimierung               1 Webdesign
3D Studio                               4 Grafik
AutoCAD                                 4 Grafik
Director                                4 Grafik
Flash                                   4 Grafik
6 Zeilen ausgewhlt.
*/