-- Arithmetische Operatoren
SELECT K_Titel,
       K_Untertitel,
       P_TN1 AS Euro,
       P_TN1*1.12 AS Dollar
  FROM kurs INNER JOIN preis
    ON preis.P_Nr = kurs.P_Nr
 WHERE P_TN1*1.12 > 1300;

SELECT SUBSTR(K_Titel,1, 8) AS K_Titel,
       SUBSTR(K_Untertitel,1,35) AS K_Untertitel,
       P_TN1 AS Euro,
       P_TN1*1.12 AS Dollar
  FROM kurs INNER JOIN preis
    ON preis.P_Nr = kurs.P_Nr
 WHERE P_TN1*1.12 > 1300;

-- Ergebnis
/*
K_TITEL  K_UNTERTITEL                      EURO     DOLLAR
-------- --------------------------- ---------- ----------
PHP      Kochrezepte                       1175       1316
TCP IP   TCP/IP 1                          1175       1316
TCP IP   TCP/IP 2                          1175       1316
UML      Konzepte und Anwendung            1430     1601,6
VisualBa Syntax + Konzepte                 1175       1316
VisualBa OOP, APIs + DBs                   1175       1316
VisualBa Kochrezepte                       1430     1601,6
Access   VBA-Kochrezepte                   1175       1316
ActiveDi Konfiguration                     1175       1316
C++      Syntax + Konzepte                 1175       1316
C++      MFC (Windows-Programmierung       1175       1316
C++      COM/ATL                           1430     1601,6
Delphi   Anwendungsentwicklung             1430     1601,6
Delphi   Programmierbeispiele              1430     1601,6
Excel    VBA-Kochrezepte                   1175       1316
Java     Syntax + Konzepte                 1175       1316
Java     Kochrezepte                       1430     1601,6
Java     Datenbankprogrammierung           1430     1601,6
Java     Netzwerke + Sockets               1175       1316
Lotus Do Administration                    1175       1316

20 Zeilen ausgewhlt.
*/

SELECT K_Titel,
       K_Untertitel,
       P_TN1 AS Preis,
       P_TN1/K_Dauer AS Tagespreis
  FROM kurs INNER JOIN preis
    ON preis.P_Nr = kurs.P_Nr
 WHERE P_TN1/K_Dauer BETWEEN 450 AND 550;

SELECT SUBSTR(K_Titel,1, 7) AS K_Titel,
       SUBSTR(K_Untertitel,1,30) AS K_Untertitel,
       P_TN1 AS Preis,
       P_TN1/K_Dauer AS Tagespreis
  FROM kurs INNER JOIN preis
    ON preis.P_Nr = kurs.P_Nr
 WHERE P_TN1/K_Dauer BETWEEN 450 AND 550;

-- Ergebnis
/*
K_TITEL K_UNTERTITEL                        PREIS TAGESPREIS
------- ------------------------------ ---------- ----------
UML     Konzepte und Anwendung               1430 476,666667
UML     Objektorientierung und Strateg        900        450
Java    Datenbankprogrammierung              1430 476,666667
MySQL   DB-Administration                     900        450
4 Zeilen ausgewhlt.
*/