-- Sortierungen
SELECT K_Titel, K_Untertitel, K_Dauer
  FROM kurs
 ORDER BY K_Dauer DESC;

SELECT K_Titel       AS Titel,
       K_Untertitel  AS Untertitel,
       K_Dauer       AS Dauer
  FROM kurs
 ORDER BY K_Dauer      DESC,
          K_Titel      ASC,
          K_Untertitel ASC;

SELECT K_Titel, K_Untertitel, K_Bereich, K_Dauer
  FROM kurs
 WHERE K_Bereich = 'Programmierung'
   AND K_Dauer > 3
 ORDER BY K_Titel, K_Untertitel;

SELECT K_Titel, K_Untertitel, K_Bereich, K_Dauer
  FROM kurs
 WHERE K_Bereich = 'Programmierung'
   AND K_Dauer > 3
 ORDER BY 1, 2;

-- Ergebnisse
/*

K_TITEL                        K_UNTERTITEL                                K_DAUER
------------------------------ ---------------------------------------- ----------
Photoshop                      Bildbearbeitung                                   4
PHP                            Kochrezepte                                       4
VisualBasic                    Syntax + Konzepte                                 4
VBA                            Syntax + Konzepte                                 4
VisualBasic                    Kochrezepte                                       4
Access                         VBA-Kochrezepte                                   4
C++                            Syntax + Konzepte                                 4
C++                            COM/ATL                                           4
Delphi                         Programmierbeispiele                              4
Oracle                         DB-Administration                                 4
Oracle                         Networking                                        4
Oracle                         Designer R6i + Developer 6i                       4
Java                           Java fr Oracle                                   4
Java                           Kochrezepte                                       4
Java                           Syntax + Konzepte                                 4
Flash                          Animation                                         4
Excel                          VBA-Kochrezepte                                   4
Director                       Authoring                                         4
Delphi                         Anwendungsentwicklung                             4
C++                            MFC (Windows-Programmierung)                      4
AutoCAD                        CAD-Technik                                       4
3D Studio                      3D-Modelling                                      4
VisualBasic                    OOP, APIs + DBs                                   4
Photoshop                      Korrektur + Verfremdung                           3
PHP                            Syntax + Konzepte                                 3
Python                         Syntax + Konzepte                                 3
ASP                            XML-Konzepte                                      3
Apache 2                       DB-Administration                                 3
ActiveDirectory                Konfiguration                                     3
ActionScript                   PHP + MySQL                                       3
ActionScript                   Syntax + Konzepte                                 3
Access                         VBA-Programmierung                                3
XML                            XMLSpy                                            3
Word                           Textverarbeitung                                  3
Windows 2000 Server            Administration                                    3
Dreamweaver                    DHTML-Erweiterungen                               3
Dreamweaver                    E-Commerce / Ultra Dev                            3
Dreamweaver                    Webdesign                                         3
Director                       Lingo                                             3
Delphi                         Datenbankprogrammierung                           3
Delphi                         Syntax + Konzepte                                 3
Cinema 4D SE                   3D-Modelling                                      3
C sharp                        Syntax + Konzepte                                 3
ASP.NET                        Webservices und XML                               3
lexware                        FiBu + Controlling                                3
JavaScript                     Syntax + Konzepte                                 3
Java                           Netzwerke + Sockets                               3
Java                           Java Server Pages (JSP)                           3
Java                           Datenbankprogrammierung                           3
Java                           Enterprise Java Beans                             3
Java                           Servlets                                          3
Java                           Designpatterns                                    3
InDesign                       Satztechnik                                       3
Perl                           Perl + CGI                                        3
Perl                           Syntax + Konzepte                                 3
Pagemaker                      Satztechnik                                       3
Oracle                         XML-Konzepte                                      3
Oracle                         PL/SQL-Programmierung                             3
Oracle                         Architektur                                       3
MS SQL-Server                  Transact SQL                                      3
MS SQL-Server                  DB-Administration                                 3
MS Exchange                    Administration                                    3
Matlab                         Syntax + Konzepte                                 3
Lotus Notes                    Kommunikation                                     3
Lotus Domino                   Administration                                    3
Illustrator                    Grafikerstellung                                  3
IIS                            Administration                                    3
GoLive                         Webdesign                                         3
Frontpage                      Webdesign                                         3
Excel                          Controlling                                       3
Excel                          Kostenrechnung                                    3
Excel                          Statistik + Prognose                              3
Excel                          VBA-Programmierung                                3
TCP IP                         TCP/IP 2                                          3
VBA                            XML-Konzepte                                      3
UML                            Konzepte und Anwendung                            3
TCP IP                         TCP/IP 1                                          3
PHP                            MySQL Programmbeispiele                           3
PHP                            Webanwendungen                                    3
Perl                           Module programmieren in Perl                      2
SQL                            DDL, DML + DCL                                    2
Outlook                        VBA-Programmierung                                2
MySQL                          DB-Administration                                 2
C++                            Multithreading                                    2
ASP.NET                        Syntax + Konzepte                                 2
Acrobat                        Satztechnik                                       2
Access                         Analyse + Kontrolle                               2
Access                         Datenbankbenutzung                                2
XML                            XSLT                                              2
XML                            Syntax                                            2
Word                           VBA-Programmierung                                2
Visio                          Grafikerstellung                                  2
UML                            Objektorientierung und Strategien                 2
Publisher                      Satztechnik                                       2
HTML                           Webdesign                                         2
Grafikformate                  Dateitypen und Funktion                           2
Freehand                       Grafikerstellung                                  2
Fireworks                      Webgrafik + Mens                                 2
Excel                          Datenanalyse                                      2
Excel                          Datenverabeitung                                  2
Project                        Projektmanagement                                 2
Perl                           Netzwerkprogrammierung                            2
Perl                           Systemadministration                              2
Powerpoint                     Prsentationsdesign                               2
Perl                           Programmierung von GUIs mit Perl/Tk               1
Outlook                        Kommunikation                                     1
Suchmaschinen-Optimierung      Web-Controlling                                   1
Perl                           Datenbankprogrammierung                           1

108 Zeilen ausgewhlt.


TITEL                          UNTERTITEL                                    DAUER
------------------------------ ---------------------------------------- ----------
Access                         VBA-Kochrezepte                                   4
AutoCAD                        CAD-Technik                                       4
C++                            COM/ATL                                           4
C++                            MFC (Windows-Programmierung)                      4
C++                            Syntax + Konzepte                                 4
Delphi                         Anwendungsentwicklung                             4
Delphi                         Programmierbeispiele                              4
Director                       Authoring                                         4
Excel                          VBA-Kochrezepte                                   4
Flash                          Animation                                         4
Java                           Java fr Oracle                                   4
Java                           Kochrezepte                                       4
Java                           Syntax + Konzepte                                 4
Oracle                         DB-Administration                                 4
Oracle                         Designer R6i + Developer 6i                       4
Oracle                         Networking                                        4
Photoshop                      Bildbearbeitung                                   4
PHP                            Kochrezepte                                       4
VBA                            Syntax + Konzepte                                 4
VisualBasic                    Kochrezepte                                       4
VisualBasic                    OOP, APIs + DBs                                   4
VisualBasic                    Syntax + Konzepte                                 4
3D Studio                      3D-Modelling                                      4
Access                         VBA-Programmierung                                3
ActionScript                   PHP + MySQL                                       3
ActionScript                   Syntax + Konzepte                                 3
ActiveDirectory                Konfiguration                                     3
Apache 2                       DB-Administration                                 3
ASP                            XML-Konzepte                                      3
ASP.NET                        Webservices und XML                               3
C sharp                        Syntax + Konzepte                                 3
Cinema 4D SE                   3D-Modelling                                      3
Delphi                         Datenbankprogrammierung                           3
Delphi                         Syntax + Konzepte                                 3
Director                       Lingo                                             3
Dreamweaver                    DHTML-Erweiterungen                               3
Dreamweaver                    E-Commerce / Ultra Dev                            3
Dreamweaver                    Webdesign                                         3
Excel                          Controlling                                       3
Excel                          Kostenrechnung                                    3
Excel                          Statistik + Prognose                              3
Excel                          VBA-Programmierung                                3
Frontpage                      Webdesign                                         3
GoLive                         Webdesign                                         3
IIS                            Administration                                    3
Illustrator                    Grafikerstellung                                  3
InDesign                       Satztechnik                                       3
Java                           Datenbankprogrammierung                           3
Java                           Designpatterns                                    3
Java                           Enterprise Java Beans                             3
Java                           Java Server Pages (JSP)                           3
Java                           Netzwerke + Sockets                               3
Java                           Servlets                                          3
JavaScript                     Syntax + Konzepte                                 3
lexware                        FiBu + Controlling                                3
Lotus Domino                   Administration                                    3
Lotus Notes                    Kommunikation                                     3
Matlab                         Syntax + Konzepte                                 3
MS Exchange                    Administration                                    3
MS SQL-Server                  DB-Administration                                 3
MS SQL-Server                  Transact SQL                                      3
Oracle                         Architektur                                       3
Oracle                         PL/SQL-Programmierung                             3
Oracle                         XML-Konzepte                                      3
Pagemaker                      Satztechnik                                       3
Perl                           Perl + CGI                                        3
Perl                           Syntax + Konzepte                                 3
Photoshop                      Korrektur + Verfremdung                           3
PHP                            MySQL Programmbeispiele                           3
PHP                            Syntax + Konzepte                                 3
PHP                            Webanwendungen                                    3
Python                         Syntax + Konzepte                                 3
TCP IP                         TCP/IP 1                                          3
TCP IP                         TCP/IP 2                                          3
UML                            Konzepte und Anwendung                            3
VBA                            XML-Konzepte                                      3
Windows 2000 Server            Administration                                    3
Word                           Textverarbeitung                                  3
XML                            XMLSpy                                            3
Access                         Analyse + Kontrolle                               2
Access                         Datenbankbenutzung                                2
Acrobat                        Satztechnik                                       2
ASP.NET                        Syntax + Konzepte                                 2
C++                            Multithreading                                    2
Excel                          Datenanalyse                                      2
Excel                          Datenverabeitung                                  2
Fireworks                      Webgrafik + Mens                                 2
Freehand                       Grafikerstellung                                  2
Grafikformate                  Dateitypen und Funktion                           2
HTML                           Webdesign                                         2
MySQL                          DB-Administration                                 2
Outlook                        VBA-Programmierung                                2
Perl                           Module programmieren in Perl                      2
Perl                           Netzwerkprogrammierung                            2
Perl                           Systemadministration                              2
Powerpoint                     Prsentationsdesign                               2
Project                        Projektmanagement                                 2
Publisher                      Satztechnik                                       2
SQL                            DDL, DML + DCL                                    2
UML                            Objektorientierung und Strategien                 2
Visio                          Grafikerstellung                                  2
Word                           VBA-Programmierung                                2
XML                            Syntax                                            2
XML                            XSLT                                              2
Outlook                        Kommunikation                                     1
Perl                           Datenbankprogrammierung                           1
Perl                           Programmierung von GUIs mit Perl/Tk               1
Suchmaschinen-Optimierung      Web-Controlling                                   1

108 Zeilen ausgewhlt.


K_TITEL                        K_UNTERTITEL                             K_BEREICH                         K_DAUER
------------------------------ ---------------------------------------- ------------------------------ ----------
C++                            COM/ATL                                  Programmierung                          4
C++                            MFC (Windows-Programmierung)             Programmierung                          4
C++                            Syntax + Konzepte                        Programmierung                          4
Delphi                         Anwendungsentwicklung                    Programmierung                          4
Delphi                         Programmierbeispiele                     Programmierung                          4
Java                           Java fr Oracle                          Programmierung                          4
Java                           Kochrezepte                              Programmierung                          4
Java                           Syntax + Konzepte                        Programmierung                          4
PHP                            Kochrezepte                              Programmierung                          4
VBA                            Syntax + Konzepte                        Programmierung                          4
VisualBasic                    Kochrezepte                              Programmierung                          4
VisualBasic                    OOP, APIs + DBs                          Programmierung                          4
VisualBasic                    Syntax + Konzepte                        Programmierung                          4

13 Zeilen ausgewhlt.
*/

SELECT SUBSTR(K_Titel,1,10)       AS Titel,
       SUBSTR(K_Untertitel,1,30)  AS Untertitel,
       SUBSTR(K_Dauer,1,6)        AS Dauer
  FROM kurs
 ORDER BY K_Dauer      DESC,
          K_Titel      ASC,
          K_Untertitel ASC;

-- Ergebnis
/*
TITEL      UNTERTITEL                     DAUER
---------- ------------------------------ ------
Access     VBA-Kochrezepte                4
AutoCAD    CAD-Technik                    4
C++        COM/ATL                        4
C++        MFC (Windows-Programmierung)   4
C++        Syntax + Konzepte              4
Delphi     Anwendungsentwicklung          4
Delphi     Programmierbeispiele           4
Director   Authoring                      4
Excel      VBA-Kochrezepte                4
Flash      Animation                      4
Java       Java fr Oracle                4
Java       Kochrezepte                    4
Java       Syntax + Konzepte              4
Oracle     DB-Administration              4
Oracle     Designer R6i + Developer 6i    4
Oracle     Networking                     4
Photoshop  Bildbearbeitung                4
PHP        Kochrezepte                    4
VBA        Syntax + Konzepte              4
VisualBasi Kochrezepte                    4
VisualBasi OOP, APIs + DBs                4
VisualBasi Syntax + Konzepte              4
3D Studio  3D-Modelling                   4
Access     VBA-Programmierung             3
ActionScri PHP + MySQL                    3
ActionScri Syntax + Konzepte              3
ActiveDire Konfiguration                  3
Apache 2   DB-Administration              3
ASP        XML-Konzepte                   3
ASP.NET    Webservices und XML            3
C sharp    Syntax + Konzepte              3
Cinema 4D  3D-Modelling                   3
Delphi     Datenbankprogrammierung        3
Delphi     Syntax + Konzepte              3
Director   Lingo                          3
Dreamweave DHTML-Erweiterungen            3
Dreamweave E-Commerce / Ultra Dev         3
Dreamweave Webdesign                      3
Excel      Controlling                    3
Excel      Kostenrechnung                 3
Excel      Statistik + Prognose           3
Excel      VBA-Programmierung             3
Frontpage  Webdesign                      3
GoLive     Webdesign                      3
IIS        Administration                 3
Illustrato Grafikerstellung               3
InDesign   Satztechnik                    3
Java       Datenbankprogrammierung        3
Java       Designpatterns                 3
Java       Enterprise Java Beans          3
Java       Java Server Pages (JSP)        3
Java       Netzwerke + Sockets            3
Java       Servlets                       3
JavaScript Syntax + Konzepte              3
lexware    FiBu + Controlling             3
Lotus Domi Administration                 3
Lotus Note Kommunikation                  3
Matlab     Syntax + Konzepte              3
MS Exchang Administration                 3
MS SQL-Ser DB-Administration              3
MS SQL-Ser Transact SQL                   3
Oracle     Architektur                    3
Oracle     PL/SQL-Programmierung          3
Oracle     XML-Konzepte                   3
Pagemaker  Satztechnik                    3
Perl       Perl + CGI                     3
Perl       Syntax + Konzepte              3
Photoshop  Korrektur + Verfremdung        3
PHP        MySQL Programmbeispiele        3
PHP        Syntax + Konzepte              3
PHP        Webanwendungen                 3
Python     Syntax + Konzepte              3
TCP IP     TCP/IP 1                       3
TCP IP     TCP/IP 2                       3
UML        Konzepte und Anwendung         3
VBA        XML-Konzepte                   3
Windows 20 Administration                 3
Word       Textverarbeitung               3
XML        XMLSpy                         3
Access     Analyse + Kontrolle            2
Access     Datenbankbenutzung             2
Acrobat    Satztechnik                    2
ASP.NET    Syntax + Konzepte              2
C++        Multithreading                 2
Excel      Datenanalyse                   2
Excel      Datenverabeitung               2
Fireworks  Webgrafik + Mens              2
Freehand   Grafikerstellung               2
Grafikform Dateitypen und Funktion        2
HTML       Webdesign                      2
MySQL      DB-Administration              2
Outlook    VBA-Programmierung             2
Perl       Module programmieren in Perl   2
Perl       Netzwerkprogrammierung         2
Perl       Systemadministration           2
Powerpoint Prsentationsdesign            2
Project    Projektmanagement              2
Publisher  Satztechnik                    2
SQL        DDL, DML + DCL                 2
UML        Objektorientierung und Strateg 2
Visio      Grafikerstellung               2
Word       VBA-Programmierung             2
XML        Syntax                         2
XML        XSLT                           2
Outlook    Kommunikation                  1
Perl       Datenbankprogrammierung        1
Perl       Programmierung von GUIs mit Pe 1
Suchmaschi Web-Controlling                1

108 Zeilen ausgewhlt.
*/
*/