-- Fallunterscheidungen: Selektorloses CASE 

SELECT K_Titel,
       K_Untertitel,
       CASE
        WHEN P_TN1 > 500 THEN 'Teuer'
        WHEN P_TN1 < 500 THEN 'Billig'
        ELSE '500' 
       END CASE,
       P_TN1
  FROM kurs NATURAL JOIN preis;  

SELECT K_Titel,
       K_Untertitel,
       CASE
        WHEN P_TN1 > 900 THEN 'Teuer'
        WHEN P_TN1 < 900 THEN 'Billig'
       END CASE,
       P_TN1
  FROM kurs NATURAL JOIN preis;  

-- Ergebnis
/*

K_TITEL                        K_UNTERTITEL                             CASE        P_TN1
------------------------------ ---------------------------------------- ------ ----------
Perl                           Module programmieren in Perl             Teuer         870
Perl                           Programmierung von GUIs mit Perl/Tk      Teuer         600
Perl                           Netzwerkprogrammierung                   Teuer         870
Perl                           Systemadministration                     Teuer         870
Perl                           Datenbankprogrammierung                  Teuer         600
Photoshop                      Bildbearbeitung                          Teuer        1050
Photoshop                      Korrektur + Verfremdung                  Teuer        1050
PHP                            Syntax + Konzepte                        Teuer         920
PHP                            Webanwendungen                           Teuer         900
PHP                            MySQL Programmbeispiele                  Teuer         900
PHP                            Kochrezepte                              Teuer        1175
Powerpoint                     Prsentationsdesign                      Billig        350
Project                        Projektmanagement                        Billig        385
Publisher                      Satztechnik                              Billig        410
Python                         Syntax + Konzepte                        Teuer        1050
SQL                            DDL, DML + DCL                           Teuer         870
Suchmaschinen-Optimierung      Web-Controlling                          Teuer         600
TCP IP                         TCP/IP 1                                 Teuer        1175
TCP IP                         TCP/IP 2                                 Teuer        1175
UML                            Konzepte und Anwendung                   Teuer        1430
UML                            Objektorientierung und Strategien        Teuer         900
VBA                            Syntax + Konzepte                        Teuer         975
VBA                            XML-Konzepte                             Teuer         975
Visio                          Grafikerstellung                         Billig        385
VisualBasic                    Syntax + Konzepte                        Teuer        1175
VisualBasic                    OOP, APIs + DBs                          Teuer        1175
VisualBasic                    Kochrezepte                              Teuer        1430
Windows 2000 Server            Administration                           Teuer         910
Word                           VBA-Programmierung                       Teuer         850
Word                           Textverarbeitung                         Teuer         540
XML                            Syntax                                   Teuer         615
XML                            XSLT                                     Teuer         615
XML                            XMLSpy                                   Teuer         920
3D Studio                      3D-Modelling                             Teuer        1050
Access                         VBA-Kochrezepte                          Teuer        1175
Access                         Datenbankbenutzung                       Billig        385
Access                         Analyse + Kontrolle                      Billig        385
Access                         VBA-Programmierung                       Teuer         870
Acrobat                        Satztechnik                              Billig        410
ActionScript                   Syntax + Konzepte                        Teuer         900
ActionScript                   PHP + MySQL                              Teuer         900
ActiveDirectory                Konfiguration                            Teuer        1175
Apache 2                       DB-Administration                        Teuer         910
ASP                            XML-Konzepte                             Teuer         975
ASP.NET                        Syntax + Konzepte                        Teuer         800
ASP.NET                        Webservices und XML                      Teuer         900
AutoCAD                        CAD-Technik                              Teuer        1050
C sharp                        Syntax + Konzepte                        Teuer        1020
C++                            Syntax + Konzepte                        Teuer        1175
C++                            MFC (Windows-Programmierung)             Teuer        1175
C++                            Multithreading                           Teuer         615
C++                            COM/ATL                                  Teuer        1430
Cinema 4D SE                   3D-Modelling                             Teuer         775
Delphi                         Syntax + Konzepte                        Teuer         920
Delphi                         Datenbankprogrammierung                  Teuer         920
Delphi                         Anwendungsentwicklung                    Teuer        1430
Delphi                         Programmierbeispiele                     Teuer        1430
Director                       Authoring                                Teuer        1050
Director                       Lingo                                    Teuer         900
Dreamweaver                    Webdesign                                Teuer         705
Dreamweaver                    E-Commerce / Ultra Dev                   Teuer         850
Dreamweaver                    DHTML-Erweiterungen                      Teuer         950
Excel                          VBA-Programmierung                       Teuer         870
Excel                          VBA-Kochrezepte                          Teuer        1175
Excel                          Datenverabeitung                         Billig        385
Excel                          Datenanalyse                             Billig        385
Excel                          Statistik + Prognose                     Teuer         920
Excel                          Kostenrechnung                           Teuer         920
Excel                          Controlling                              Teuer         920
Fireworks                      Webgrafik + Mens                        Billig        485
Flash                          Animation                                Teuer        1050
Freehand                       Grafikerstellung                         Billig        485
Frontpage                      Webdesign                                Teuer         705
GoLive                         Webdesign                                Teuer         705
Grafikformate                  Dateitypen und Funktion                  Billig        410
HTML                           Webdesign                                Billig        410
IIS                            Administration                           Teuer         910
Illustrator                    Grafikerstellung                         Teuer         750
InDesign                       Satztechnik                              Teuer         775
Java                           Designpatterns                           Teuer         920
Java                           Syntax + Konzepte                        Teuer        1175
Java                           Servlets                                 Teuer        1000
Java                           Enterprise Java Beans                    Teuer        1020
Java                           Kochrezepte                              Teuer        1430
Java                           Java fr Oracle                          Teuer         975
Java                           Datenbankprogrammierung                  Teuer        1430
Java                           Java Server Pages (JSP)                  Teuer         900
Java                           Netzwerke + Sockets                      Teuer        1175
JavaScript                     Syntax + Konzepte                        Teuer         870
lexware                        FiBu + Controlling                       Teuer        1050
Lotus Domino                   Administration                           Teuer        1175
Lotus Notes                    Kommunikation                            Teuer         900
Matlab                         Syntax + Konzepte                        Teuer        1025
MS Exchange                    Administration                           Teuer         910
MS SQL-Server                  DB-Administration                        Teuer         910
MS SQL-Server                  Transact SQL                             Teuer         900
MySQL                          DB-Administration                        Teuer         900
Oracle                         Architektur                              Teuer         975
Oracle                         PL/SQL-Programmierung                    Teuer         975
Oracle                         XML-Konzepte                             Teuer         975
Oracle                         Designer R6i + Developer 6i              Teuer         975
Oracle                         Networking                               Teuer         975
Oracle                         DB-Administration                        Teuer         975
Outlook                        VBA-Programmierung                       Teuer         580
Outlook                        Kommunikation                            Billig        230
Pagemaker                      Satztechnik                              Teuer         750
Perl                           Syntax + Konzepte                        Teuer         920
Perl                           Perl + CGI                               Teuer         920

108 Zeilen ausgewhlt.


K_TITEL                        K_UNTERTITEL                             CASE        P_TN1
------------------------------ ---------------------------------------- ------ ----------
Perl                           Module programmieren in Perl             Billig        870
Perl                           Programmierung von GUIs mit Perl/Tk      Billig        600
Perl                           Netzwerkprogrammierung                   Billig        870
Perl                           Systemadministration                     Billig        870
Perl                           Datenbankprogrammierung                  Billig        600
Photoshop                      Bildbearbeitung                          Teuer        1050
Photoshop                      Korrektur + Verfremdung                  Teuer        1050
PHP                            Syntax + Konzepte                        Teuer         920
PHP                            Webanwendungen                                         900
PHP                            MySQL Programmbeispiele                                900
PHP                            Kochrezepte                              Teuer        1175
Powerpoint                     Prsentationsdesign                      Billig        350
Project                        Projektmanagement                        Billig        385
Publisher                      Satztechnik                              Billig        410
Python                         Syntax + Konzepte                        Teuer        1050
SQL                            DDL, DML + DCL                           Billig        870
Suchmaschinen-Optimierung      Web-Controlling                          Billig        600
TCP IP                         TCP/IP 1                                 Teuer        1175
TCP IP                         TCP/IP 2                                 Teuer        1175
UML                            Konzepte und Anwendung                   Teuer        1430
UML                            Objektorientierung und Strategien                      900
VBA                            Syntax + Konzepte                        Teuer         975
VBA                            XML-Konzepte                             Teuer         975
Visio                          Grafikerstellung                         Billig        385
VisualBasic                    Syntax + Konzepte                        Teuer        1175
VisualBasic                    OOP, APIs + DBs                          Teuer        1175
VisualBasic                    Kochrezepte                              Teuer        1430
Windows 2000 Server            Administration                           Teuer         910
Word                           VBA-Programmierung                       Billig        850
Word                           Textverarbeitung                         Billig        540
XML                            Syntax                                   Billig        615
XML                            XSLT                                     Billig        615
XML                            XMLSpy                                   Teuer         920
3D Studio                      3D-Modelling                             Teuer        1050
Access                         VBA-Kochrezepte                          Teuer        1175
Access                         Datenbankbenutzung                       Billig        385
Access                         Analyse + Kontrolle                      Billig        385
Access                         VBA-Programmierung                       Billig        870
Acrobat                        Satztechnik                              Billig        410
ActionScript                   Syntax + Konzepte                                      900
ActionScript                   PHP + MySQL                                            900
ActiveDirectory                Konfiguration                            Teuer        1175
Apache 2                       DB-Administration                        Teuer         910
ASP                            XML-Konzepte                             Teuer         975
ASP.NET                        Syntax + Konzepte                        Billig        800
ASP.NET                        Webservices und XML                                    900
AutoCAD                        CAD-Technik                              Teuer        1050
C sharp                        Syntax + Konzepte                        Teuer        1020
C++                            Syntax + Konzepte                        Teuer        1175
C++                            MFC (Windows-Programmierung)             Teuer        1175
C++                            Multithreading                           Billig        615
C++                            COM/ATL                                  Teuer        1430
Cinema 4D SE                   3D-Modelling                             Billig        775
Delphi                         Syntax + Konzepte                        Teuer         920
Delphi                         Datenbankprogrammierung                  Teuer         920
Delphi                         Anwendungsentwicklung                    Teuer        1430
Delphi                         Programmierbeispiele                     Teuer        1430
Director                       Authoring                                Teuer        1050
Director                       Lingo                                                  900
Dreamweaver                    Webdesign                                Billig        705
Dreamweaver                    E-Commerce / Ultra Dev                   Billig        850
Dreamweaver                    DHTML-Erweiterungen                      Teuer         950
Excel                          VBA-Programmierung                       Billig        870
Excel                          VBA-Kochrezepte                          Teuer        1175
Excel                          Datenverabeitung                         Billig        385
Excel                          Datenanalyse                             Billig        385
Excel                          Statistik + Prognose                     Teuer         920
Excel                          Kostenrechnung                           Teuer         920
Excel                          Controlling                              Teuer         920
Fireworks                      Webgrafik + Mens                        Billig        485
Flash                          Animation                                Teuer        1050
Freehand                       Grafikerstellung                         Billig        485
Frontpage                      Webdesign                                Billig        705
GoLive                         Webdesign                                Billig        705
Grafikformate                  Dateitypen und Funktion                  Billig        410
HTML                           Webdesign                                Billig        410
IIS                            Administration                           Teuer         910
Illustrator                    Grafikerstellung                         Billig        750
InDesign                       Satztechnik                              Billig        775
Java                           Designpatterns                           Teuer         920
Java                           Syntax + Konzepte                        Teuer        1175
Java                           Servlets                                 Teuer        1000
Java                           Enterprise Java Beans                    Teuer        1020
Java                           Kochrezepte                              Teuer        1430
Java                           Java fr Oracle                          Teuer         975
Java                           Datenbankprogrammierung                  Teuer        1430
Java                           Java Server Pages (JSP)                                900
Java                           Netzwerke + Sockets                      Teuer        1175
JavaScript                     Syntax + Konzepte                        Billig        870
lexware                        FiBu + Controlling                       Teuer        1050
Lotus Domino                   Administration                           Teuer        1175
Lotus Notes                    Kommunikation                                          900
Matlab                         Syntax + Konzepte                        Teuer        1025
MS Exchange                    Administration                           Teuer         910
MS SQL-Server                  DB-Administration                        Teuer         910
MS SQL-Server                  Transact SQL                                           900
MySQL                          DB-Administration                                      900
Oracle                         Architektur                              Teuer         975
Oracle                         PL/SQL-Programmierung                    Teuer         975
Oracle                         XML-Konzepte                             Teuer         975
Oracle                         Designer R6i + Developer 6i              Teuer         975
Oracle                         Networking                               Teuer         975
Oracle                         DB-Administration                        Teuer         975
Outlook                        VBA-Programmierung                       Billig        580
Outlook                        Kommunikation                            Billig        230
Pagemaker                      Satztechnik                              Billig        750
Perl                           Syntax + Konzepte                        Teuer         920
Perl                           Perl + CGI                               Teuer         920

108 Zeilen ausgewhlt.
*/

SELECT SUBSTR(K_Titel,1,10)      AS K_Titel,
       SUBSTR(K_Untertitel,1,20) AS K_Untertitel,
       CASE
       WHEN P_TN1 > 900 THEN 'Teuer'
       WHEN P_TN1 < 900 THEN 'Billig'
       END CASE,
       P_TN1
  FROM kurs NATURAL JOIN preis; 

-- Ergebnis
/*
K_TITEL    K_UNTERTITEL         CASE        P_TN1
---------- -------------------- ------ ----------
Perl       Module programmieren Billig        870
Perl       Programmierung von G Billig        600
Perl       Netzwerkprogrammieru Billig        870
Perl       Systemadministration Billig        870
Perl       Datenbankprogrammier Billig        600
Photoshop  Bildbearbeitung      Teuer        1050
Photoshop  Korrektur + Verfremd Teuer        1050
PHP        Syntax + Konzepte    Teuer         920
PHP        Webanwendungen                     900
PHP        MySQL Programmbeispi               900
PHP        Kochrezepte          Teuer        1175
Powerpoint Prsentationsdesign  Billig        350
Project    Projektmanagement    Billig        385
Publisher  Satztechnik          Billig        410
Python     Syntax + Konzepte    Teuer        1050
SQL        DDL, DML + DCL       Billig        870
Suchmaschi Web-Controlling      Billig        600
TCP IP     TCP/IP 1             Teuer        1175
TCP IP     TCP/IP 2             Teuer        1175
UML        Konzepte und Anwendu Teuer        1430
UML        Objektorientierung u               900
VBA        Syntax + Konzepte    Teuer         975
VBA        XML-Konzepte         Teuer         975
Visio      Grafikerstellung     Billig        385
VisualBasi Syntax + Konzepte    Teuer        1175
VisualBasi OOP, APIs + DBs      Teuer        1175
VisualBasi Kochrezepte          Teuer        1430
Windows 20 Administration       Teuer         910
Word       VBA-Programmierung   Billig        850
Word       Textverarbeitung     Billig        540
XML        Syntax               Billig        615
XML        XSLT                 Billig        615
XML        XMLSpy               Teuer         920
3D Studio  3D-Modelling         Teuer        1050
Access     VBA-Kochrezepte      Teuer        1175
Access     Datenbankbenutzung   Billig        385
Access     Analyse + Kontrolle  Billig        385
Access     VBA-Programmierung   Billig        870
Acrobat    Satztechnik          Billig        410
ActionScri Syntax + Konzepte                  900
ActionScri PHP + MySQL                        900
ActiveDire Konfiguration        Teuer        1175
Apache 2   DB-Administration    Teuer         910
ASP        XML-Konzepte         Teuer         975
ASP.NET    Syntax + Konzepte    Billig        800
ASP.NET    Webservices und XML                900
AutoCAD    CAD-Technik          Teuer        1050
C sharp    Syntax + Konzepte    Teuer        1020
C++        Syntax + Konzepte    Teuer        1175
C++        MFC (Windows-Program Teuer        1175
C++        Multithreading       Billig        615
C++        COM/ATL              Teuer        1430
Cinema 4D  3D-Modelling         Billig        775
Delphi     Syntax + Konzepte    Teuer         920
Delphi     Datenbankprogrammier Teuer         920
Delphi     Anwendungsentwicklun Teuer        1430
Delphi     Programmierbeispiele Teuer        1430
Director   Authoring            Teuer        1050
Director   Lingo                              900
Dreamweave Webdesign            Billig        705
Dreamweave E-Commerce / Ultra D Billig        850
Dreamweave DHTML-Erweiterungen  Teuer         950
Excel      VBA-Programmierung   Billig        870
Excel      VBA-Kochrezepte      Teuer        1175
Excel      Datenverabeitung     Billig        385
Excel      Datenanalyse         Billig        385
Excel      Statistik + Prognose Teuer         920
Excel      Kostenrechnung       Teuer         920
Excel      Controlling          Teuer         920
Fireworks  Webgrafik + Mens    Billig        485
Flash      Animation            Teuer        1050
Freehand   Grafikerstellung     Billig        485
Frontpage  Webdesign            Billig        705
GoLive     Webdesign            Billig        705
Grafikform Dateitypen und Funkt Billig        410
HTML       Webdesign            Billig        410
IIS        Administration       Teuer         910
Illustrato Grafikerstellung     Billig        750
InDesign   Satztechnik          Billig        775
Java       Designpatterns       Teuer         920
Java       Syntax + Konzepte    Teuer        1175
Java       Servlets             Teuer        1000
Java       Enterprise Java Bean Teuer        1020
Java       Kochrezepte          Teuer        1430
Java       Java fr Oracle      Teuer         975
Java       Datenbankprogrammier Teuer        1430
Java       Java Server Pages (J               900
Java       Netzwerke + Sockets  Teuer        1175
JavaScript Syntax + Konzepte    Billig        870
lexware    FiBu + Controlling   Teuer        1050
Lotus Domi Administration       Teuer        1175
Lotus Note Kommunikation                      900
Matlab     Syntax + Konzepte    Teuer        1025
MS Exchang Administration       Teuer         910
MS SQL-Ser DB-Administration    Teuer         910
MS SQL-Ser Transact SQL                       900
MySQL      DB-Administration                  900
Oracle     Architektur          Teuer         975
Oracle     PL/SQL-Programmierun Teuer         975
Oracle     XML-Konzepte         Teuer         975
Oracle     Designer R6i + Devel Teuer         975
Oracle     Networking           Teuer         975
Oracle     DB-Administration    Teuer         975
Outlook    VBA-Programmierung   Billig        580
Outlook    Kommunikation        Billig        230
Pagemaker  Satztechnik          Billig        750
Perl       Syntax + Konzepte    Teuer         920
Perl       Perl + CGI           Teuer         920

108 Zeilen ausgewhlt.
*/