-- Mengen-Operatoren
SELECT SUBSTR(U_Name,1,16)  AS U_Name,
       unternehmen.U_Nr     AS U_Nr,
       COUNT(TN_Nr)         AS TeilnehmerZahl
  FROM teilnehmer RIGHT OUTER JOIN unternehmen
    ON teilnehmer.U_Nr = unternehmen.U_Nr
 GROUP BY unternehmen.U_Nr, U_Name
HAVING COUNT(TN_Nr) = 0; 

SELECT SUBSTR(U_Name,1,16)  AS U_Name,
       unternehmen.U_Nr     AS U_Nr,
       COUNT(DISTINCT B_Nr) AS TeilnehmerZahl
  FROM buchung INNER JOIN teilnehmer
    ON buchung.TN_Nr = teilnehmer.TN_Nr
               RIGHT OUTER JOIN unternehmen
    ON teilnehmer.U_Nr = unternehmen.U_Nr
 GROUP BY unternehmen.U_Nr, U_Name
MINUS
SELECT SUBSTR(U_Name,1,16)  AS U_Name,
       unternehmen.U_Nr     AS U_Nr,
       COUNT(DISTINCT B_Nr) AS Zahl
  FROM unternehmen INNER JOIN teilnehmer
    ON teilnehmer.U_Nr = unternehmen.U_Nr
               LEFT OUTER JOIN buchung
    ON buchung.TN_Nr = teilnehmer.TN_Nr
 GROUP BY unternehmen.U_Nr, U_Name;

SELECT SUBSTR(U_Name,1,16)     AS U_Name,
       unternehmen.U_Nr        AS U_Nr,
       COUNT(teilnehmer.TN_Nr) AS Teilnehmer,
       COUNT(B_Nr)             AS Buchungen
  FROM buchung FULL OUTER JOIN teilnehmer
    ON buchung.TN_Nr = teilnehmer.TN_Nr
               FULL OUTER JOIN unternehmen
    ON teilnehmer.U_Nr = unternehmen.U_Nr
 GROUP BY unternehmen.U_Nr, U_Name
HAVING COUNT(B_Nr) = 0
   AND COUNT(teilnehmer.TN_Nr) = 0;

-- Ergebnis
/*
U_NAME                 U_NR TEILNEHMERZAHL
---------------- ---------- --------------
Die Zuckerstange        280              0
Orange GmbH             154              0
2 Zeilen ausgewhlt.

U_NAME                 U_NR TEILNEHMER  BUCHUNGEN
---------------- ---------- ---------- ----------
Orange GmbH             154          0          0
Die Zuckerstange        280          0          0
2 Zeilen ausgewhlt.
*/