-- Verknpfungen und Aggregate
SELECT SUBSTR(U_Name, 1, 30) AS NAME,
       U_Stadt               AS Stadt,
       COUNT(U_Stadt)        AS Zahl
  FROM unternehmen
  GROUP BY U_Name, U_Stadt
  ORDER BY COUNT(U_Stadt) DESC;

SELECT K_Bereich, AVG(TH_Tagessatz) 
  FROM themenverteilung INNER JOIN kurs
    ON themenverteilung.K_Nr = kurs.K_Nr
 GROUP BY K_Bereich;

SELECT U_Nr, SUM(B_Preis)
  FROM teilnehmer INNER JOIN buchung
    ON buchung.TN_Nr = teilnehmer.TN_Nr
  WHERE U_Nr = 150
  GROUP BY U_Nr;

SELECT U_Nr, SUM(B_Preis)
  FROM teilnehmer INNER JOIN buchung
    ON buchung.TN_Nr = teilnehmer.TN_Nr
  GROUP BY U_Nr;

-- Ergebnisse
/*

NAME                           STADT                                ZAHL
------------------------------ ------------------------------ ----------
Dybenstahl Deutschland GmbH    Bochum                                  3
Privatbank Essen               Essen, Ruhr                             2
Heinrich Pick GmbH             Bochum                                  2
NAZU                           Dortmund                                1
Witz                           Dsseldorf                              1
Meime                          Bochum                                  1
Winke                          Dortmund                                1
Flinke                         Dsseldorf                              1
Lumper                         Duisburg                                1
Frster                        Bochum                                  1
Kirzich                        Bochum                                  1
Stronzo                        Dortmund                                1
Zwinger                        Bochum                                  1
tu+mach                        Dortmund                                1
Ehrmanns                       Duisburg                                1
Fernhost                       Dortmund                                1
Herrlich                       Bochum                                  1
Rabatzek                       Dortmund                                1
Top Plan                       Dortmund                                1
Cadre OHG                      Frankfurt am Main                       1
QCat Software AG               Dortmund                                1
Kreischke                      Essen, Ruhr                             1
T + E Bau                      Usedom                                  1
Caput GmbH                     Essen, Ruhr                             1
Flachnicki                     Bochum                                  1
Goldsteier                     Essen, Ruhr                             1
Handlender                     Dsseldorf                              1
MU-SA GmbH                     Bochum                                  1
Plankontor                     Dsseldorf                              1
LES Immobilien GmbH            Bochum                                  1
Knstlertermine GbR            Dortmund                                1
KB Koch + Bund GmbH            Bochum                                  1
Bildungsforum gGmbH            Duisburg                                1
SH Systemhaus GmbH             Stuttgart                               1
PRINT Druckservice             Dsseldorf                              1
KMU D. Holzmann KG             Dortmund                                1
Holland Immobilien             Birstein                                1
Graff Hochbau GMBH             Dsseldorf                              1
U + R Mobilfunk GmbH           Holzminden                              1
Stadt-Hotel Dortmund           Dortmund                                1
Schrill Werbung GmbH           Dortmund                                1
Retour Recycling GmH           Diepensee                               1
Polska GmbH + Co. KG           Ltzelbach, Odenw                       1
Messer Stahlbau GmbH           Gelsenkirchen                           1
Klick Automaten GmbH           Halberstadt                             1
Key Wohnungsbau GmbH           Duisburg                                1
H + U Metallbau GmbH           Emden, Ostfriesland                     1
OL Metall Agentur GmbH         Dsseldorf                              1
Legnum Immobilien GmbH         Essen, Ruhr                             1
Kunze Schwertransporte         Dortmund                                1
Glckner + Kremper OHG         Ludwigshafen am Rhein                   1
G + K Gladbach ART GbR         Hattingen, Ruhr                         1
F + E Regionalbau GmbH         Moers                                   1
Trommp Spedition GmbH          Dortmund                                1
TAZZ das kreative Pub          Dortmund                                1
Rehabilitationsklinik          Essen, Ruhr                             1
ELMO Elektro Mommse GmbH       Bochum                                  1
CT Computer Trading GmbH       Neuberg, Hess                           1
Arbeit Textilhandel GmbH       Dsseldorf                              1
Winkel Bautreuhand GmbH        Merseburg                               1
Schwingel GmbH + Co. KG        Essen, Ruhr                             1
Pulito Gebudereinigung        Duisburg                                1
PH Petrol-Chemical GmbH        Essen, Ruhr                             1
Libert Damenmoden GmbH        Duisburg                                1
Kolben Deutschland GmbH        Dortmund                                1
TN Turbinen Nrnberg GmbH      Dortmund                                1
TN Turbinen Nrnberg GmbH      Gera                                    1
OKI Industrietechnik GmbH      Duisburg                                1
KS Khl-System- GmbH + Co      Bochum                                  1
Globalix Auenhandel GmbH      Dsseldorf                              1
Elektro-Bau Heinrich GmbH      Bochum                                  1
Anlagenbau und Montage AG      Hattingen, Ruhr                         1
Willmich und Gbler GmbH       Bochum                                  1
Wellmer Wohnungsbau GmbH       Bochum                                  1
SOLARIS Vermgensverwaltungsge Essen, Ruhr                             1
PUK Software + Systeme GmbH +  Dortmund                                1
Jlich Management u. Immobilie Ostseebad Sellin                        1
HJK Winklers Handelsgesellscha Duisburg                                1
Eiche AG Werksgruppe Technisch Duisburg                                1
Offenbach Verpackungsmaschinen Raa-Besenbek                            1
NET Netzwerk- und Datensysteme Dortmund                                1
Liedchen GmbH + Co. KG Verw. S Dortmund                                1
LKM-Steuerberatungsgesellschaf Bochum                                  1
Krachmann Software und Systeme Dortmund                                1
Immobilien-Multimedia-Center K Dortmund                                1
5D Trading Computer + Communik Dortmund                                1
Harald Menne Containerdienst  Essen, Ruhr                             1
Glotz + Struck GmbH, Ingenieur Dsseldorf                              1
Stolz + Prall GmbH, Ingenieurb Dortmund                                1
IYW-Ingenieure Wassertechnik G Dsseldorf                              1
Golpp Treuhandgesellschaft m.b Dsseldorf                              1
Bullock Pass-System H. Metje G Burscheid, Rheinl                       1
Akrobat Wirtschaftsberatungs G Dortmund                                1
Schrother Broeinrichtungen Gm Dsseldorf                              1
Mckenberg GmbH + Co. KG, Joha Bochum                                  1
Lucis LICHTTECHNIK GmbH + Co.  Hattingen, Ruhr                         1
Leuchtfeldt Fenster-Technik Gm Bochum                                  1
Innenausbau Pfand Hey + Co. Gm Dortmund                                1
Industrie-Metallbau Winkler Gm Dortmund                                1
Gruppe 7 Technischer Handel Gm Duisburg                                1
Energieanlagenbau u. Haustechn Duisburg                                1
Amante Unternehmensberatung Gm Dsseldorf                              1
90 Products Analysentechnik Gm Lonsee                                  1
Ivoire Stahl- u. Aufzugbau Gmb Wincheringen                            1
Institut fr Umwelttechnik Gmb Dortmund                                1
Industrie-Wschereianlagen-Gmb Dortmund                                1
Froid Klte, Klima-Service Gmb Mnchen                                 1
First EDV-Dienst-leistungs-Gmb Hattingen, Ruhr                         1
DD Auen- und Innenverputz Gmb Plauen, Vogtl                           1
BS Brandsanierung GmbH + Co. K Aschheim                                1
Wonningrath Filteranlagen e.K. Grohelfendorf                          1
Steyer GmbH Assekuranzgeschft Dsseldorf                              1
Mnninghoff International GmbH Knigstein im Taunus                    1
Institut fr Datenverarbeitung Dortmund                                1
Fleckner + Shne GmbH + Co. KG Bochum                                  1
Concrete Beton Rhein-Ruhr GmbH Essen, Ruhr                             1
CLH Chemie Logistik Herne GmbH Duisburg                                1
Blechmann GmbH Armaturenfabrik Hattingen, Ruhr                         1
XY PR Multimediakonzepte GmbH  Bochum                                  1
Wendel Steuerungstechnik GmbH  Laichingen                              1
TOIT GmbH berdachungssysteme  Essen, Ruhr                             1
Niederhffer Workstation GmbH  Pforzheim                               1
Meyer Automatengrohandel GbR  Gelsenkirchen                           1
Kuschel Polstermbelfabrik KG  Gelsenkirchen                           1
Grumbiegel Baumanagement GmbH  Vlklingen                              1
Dorma Bettenfachmarkt Limburg  Limburg a d Lahn                        1
Blattwerk Marktforschung GmbH  Bochum                                  1
Ultimo Industrietechnik GmbH   Oldenburg, Oldb                         1
Trmmel Maschinenfabrik GmbH   Hopsten                                 1
Taub Recycling GmbH + Co. KG   Dortmund                                1
Kchenstudio Mittelauer GmbH   Bochum                                  1
HOCH Aufzugsbau GmbH + Co KG   Berlin                                  1
Automatisierungstechnik GmbH   Hattingen, Ruhr                         1
Trunk Consulting Group GmbH    Hannover                                1
Struzz Satz + Druck oHG, P.    Dsseldorf                              1
Prof. Knig Consulting GmbH    Wiesbaden                               1
NASS Bder und Ambiente OHG    Dsseldorf                              1
Knig Hof Weinkellerei GmbH    Bochum                                  1
Ingenieurbro am Hafen GmbH    Dortmund                                1
Halbers Baugesellschaft mbH    Essen, Ruhr                             1
Stdt. Seniorenheim Marien     Duisburg                                1
QA Shows, Marketing + More     Dortmund                                1
Niemeyer BANK GmbH + Co KG     Dsseldorf                              1
Muck Industrietechnik GmbH     Bochum                                  1
Konrad Anlagentechnik GmbH     Berlin                                  1
KIURE Hartbeton GmbH + Co.     Bochum                                  1
IKO Trend-Spirituosen GmbH     Dortmund                                1
Kchs Gesellschaft fr Softwar Bochum                                  1
Gluck Capital GmbH, Vermittlun Dsseldorf                              1
Trunk Gesellschaft fr Projekt Dortmund                                1
Berufsfortbildungswerk Gemeinn Gelsenkirchen                           1
Grundstcksverwertungs-Gesells Dsseldorf                              1
Beratung fr Naturschutz und i Hattingen, Ruhr                         1
DOC Gesellschaft fr Dokumenta Essen, Ruhr                             1
Abfallentsorgungs- und Altlast Hattingen, Ruhr                         1
Kolck Wirtschaftsprfungsges.  Dsseldorf                              1
Brink Gesellschaft fr Anlagen Dortmund                                1
HOCH Aufzugbau GmbH + Co. Betr Berlin                                  1
Gesellschaft fr Informationst Dsseldorf                              1
Baum Baustoffgrohandel, Baust Bochum                                  1
Team 1 GmbH Planungsbro f. te Dsseldorf                              1
Kalb Gesellschaft mit beschrn Dortmund                                1
Quabeck GmbH Brandschutzsystem Bochum                                  1
Ingenieurbro fr Prftechnik  Dortmund                                1
Heinmann Immobilien-Verwaltung Bochum                                  1
ConIB Consult Industriemontage Berlin                                  1
Schwitters Spezial-Stahl-Hande Dortmund                                1
Kunststoff Gesellschaft mit be Bochum                                  1
IKS Entwicklungsges. fr Infor Duisburg                                1
GSE Gesellschaft fr  Software Essen, Ruhr                             1
Ullrich Mineralprodukte und Ge Schwerin, Meckl                         1
Nouvelle vague Mode und Beklei Hattingen, Ruhr                         1
MER Mllentsorgungs-Gesellscha Gelsenkirchen                           1
CASA Grundstcksverwertung und Duisburg                                1
Dominum Immobilien Vertriebs + Dortmund                                1
Michels Industrie- u. Sicherhe Dortmund                                1
Heck Treuhand Steuerberatungsg Bochum                                  1
COK Agentur fr Werbung u. Kom Dsseldorf                              1
VOL-Baugesellschaft mit beschr Dortmund                                1
TRANS Gesellschaft f. Osteurop Essen, Ruhr                             1
Orient-Teppich-Handelsgesellsc Dsseldorf                              1
VILLAGE Grundstcksverwaltung  Dsseldorf                              1
Tucholski Textil-Handel- und V Alsbach-Hhnlein                        1
Trisch Feinmechanik und Elektr Essen, Ruhr                             1
Initiative Qualittssicherung  Dortmund                                1
Gluth Handelsgesellschaft fr  Dsseldorf                              1
Flox Textilhandels- und Produk Dsseldorf                              1
ETOFFES MONDE Textilhandelsges Dsseldorf                              1
Ingenieurbro fr Elektrotechn Dortmund                                1
Echanges Salesmanagement and T Glashtten, Taunus                      1
Accessoires + Mode Handelsgese Dsseldorf                              1
Personalberatung Dr. Stolz + P Dortmund                                1
LOOK Gesellschaft fr Broeinr Dsseldorf                              1
Haut-AUFZGE Horst Buchwaldt G Dsseldorf                              1
R + R Service Produktion + Ber Chieming                                1
Marketing Research Prof. Dr. W Dsseldorf                              1
Hans-Werner Steiger Heizung-Sa Bochum                                  1
Frank Buxter Klinker- u. Mauer Chemnitz, Sachs                         1
Frommstedt Baustoffhandel GmbH Bochum                                  1
OffSet Technische Planungsgese Berlin                                  1
Isolierbau Peter Pfeffer GmbH  Dortmund                                1
Ingenieurbro fr Verkehrstech Essen, Ruhr                             1
INFOMAX GmbH Unternehmensberat Dortmund                                1
Einrichtungshaus Gunther GmbH  Essen, Ruhr                             1
Stern Maschinen- und Apparateb Bernkastel-Kues                         1
O.L.Injektions- und Bautenschu Dsseldorf                              1
Sanft Gartenbau Hartmann Bedno Dortmund                                1
Herberts Objekteinrichtung     Dortmund                                1
Gockel Montageservice GmbH     Leipzig                                 1
Coco Beratungsservice GmbH     Groschweidnitz                         1
Bimsmeier GmbH Mbelhandel     Essen, Ruhr                             1
Amper Bauunternehmung GmbH     Dortmund                                1
advertising services GmbH      Dsseldorf                              1
Treffer Maschinenbau GmbH      Bochum                                  1
TN Turbinen Nrnberg GmbH      Nrnberg, Mittelfr                      1
Vogue Merchandising GmbH       Nrnberg, Mittelfr                      1
Trend Abdichtungstechnik       Mainz a Rhein                           1
Tollwandt Automaten GmbH       Bochum                                  1
Relect Messe-Design GmbH       Lbeck                                  1
Overnight Transport GmbH       Dsseldorf                              1
Gebrder Mondschein GmbH       Essen, Ruhr                             1
Filtertechnik Bernd Wink       Hattingen, Ruhr                         1
Elektrotechnik Fleischer       Bochum                                  1
Kolben Deutschland GmbH        Hamburg                                 1
Grn Fruchthandels GmbH        Plochingen                              1
Fleischerei Bochum GmbH        Bochum                                  1
Blinks Werbemittel GmbH        Dsseldorf                              1
Ammelt Kfz-Handels GmbH        Haag a d Amper                          1
Abraham Transporte GmbH        Duisburg                                1
SYS Systemtechnik GmbH         Ratingen                                1
OPV Frderanlagen GmbH         Bochum                                  1
Quo DV  Software GmbH          Dortmund                                1
Lux Werbetechnik GmbH          Essen, Ruhr                             1
IKO-Bro Krummer + Co          Dortmund                                1
Gold-Enterprises Ltd.          Dsseldorf                              1
Die Zuckerstange GmbH          Bochum                                  1
Deutsche Vermgensrat          Dortmund                                1
BRAND Immobilien GmbH          Dortmund                                1
BH Boarding-House GbR          Kassel, Hess                            1
CELL Informatik GmbH           Essen, Ruhr                             1
Bildungswerk der OLK           Duisburg                                1
Baustahlhandels GmbH           Duisburg                                1
AAA Modeagentur GmbH           Dsseldorf                              1
A.B.T. Quasitek GmbH           Bochum                                  1
Zukunftshandel e.K.            Duisburg                                1
OUT Publishing GmbH            Mering, Schwab                          1
Marienhospital GmbH            Gelsenkirchen                           1
DD Datadesign GmbH             Olpe, Biggesee                          1
 KVZ Bank Essen eG             Essen, Ruhr                             1
Neuhaus TEAM GmbH              Dortmund                                1
Lot Parkhaus GmbH              Wiesbaden                               1
HYGO Hygiene GmbH              Dortmund                                1
Foster Trans GmbH              Berlin                                  1
Uckster E. B. KG               Bochum                                  1
Reponse EDV GmbH               Hattingen, Ruhr                         1
Orange GmbH                    Dsseldorf                              1
QUABEX GmbH                    Dortmund                                1
Winkelmeyer                    Dortmund                                1
A.B.C. + Co.                   Bochum                                  1
DB-Admin OHG                   Essen, Ruhr                             1
Schlund GmbH                   Gelsenkirchen                           1
Strner GmbH                   Dortmund                                1
HELLMICH GMBH                  Dsseldorf                              1
Kolben Europe                  Berlin                                  1
Lothmann GmbH                  Dsseldorf                              1
Prsenta GmbH                  Bad Drkheim                            1
Weiland GmbH                  Neckarsulm                              1
Data Integrata                 Essen, Ruhr                             1
Kautschuk GmbH                 Bielefeld                               1
T + E Bau GmbH                 Magdeburg                               1
Wohnwrme GmbH                 Bochum                                  1
Wisch-Reinigung                Duisburg                                1
Wohn+Licht GmbH                Bochum                                  1
COM Profi Tel AG               Straubing                               1
LOM-Datentechnik               Essen, Ruhr                             1
PRINT Druck GmbH               Hamm, Westf                             1

276 Zeilen ausgewhlt.


K_BEREICH                      AVG(TH_TAGESSATZ)
------------------------------ -----------------
Datenbanken                           505,263158
Grafik                                383,571429
Office                                345,416667
Programmierung                        507,377049
Programmierung(Office)                390,909091
Server                                       495
Webdesign                                    365

7 Zeilen ausgewhlt.


      U_NR SUM(B_PREIS)
---------- ------------
       150         8715

1 Zeile wurde ausgewhlt.


      U_NR SUM(B_PREIS)
---------- ------------
         1         5850
         2         5268
         3        13465
         4        10908
         5        15006
         6         2763
         7         3550
         8        22476
         9        15186
        10          230
        12         4890
        14         9720
        16         7230
        17         2763
        18        10310
        19         1884
        20         1044
        21         7184
        22         2878
        24         3660
        25        15930
        27         2370
        28         7830
        29         5091
        30         5820
        31         2108
        32         3970
        33          438
        35        11958
        36         2442
        37         3084
        38         1569
        39         2640
        40         4529
        41         9018
        42        10404
        43         3012
        44        14136
        45         2640
        47         6845
        48         3970
        50         4904
        51         3804
        52         5579
        53         3440
        54         2744
        55         5742
        56         2166
        57         4028
        58        11910
        59         5280
        60         3604
        61        13446
        62         3873
        63        14712
        64        18594
        65        23784
        66         6948
        67         4028
        68        22040
        70         6162
        72         7902
        73        30810
        74        10116
        75         2988
        76         7940
        77         6648
        78         3750
        79         4392
        80         1884
        81         6552
        82         7842
        83         4280
        84        11381
        85         8495
        87         8574
        88         3572
        89         2572
        90        12924
        91         3155
        92         3450
        93         2640
        95         6928
        96         9636
        97         4164
        98        17850
        99         5825
       101         5436
       102         2640
       103        30294
       104        13692
       105        13742
       106         6600
       107        25608
       108        21876
       109        12792
       110        10506
       111         4075
       112        12654
       113         1852
       114         7260
       115        14178
       116         9636
       117         3180
       118         3344
       119        19056
       120         3478
       121         1044
       122        12992
       123        10365
       124        13140
       126         1168
       127         9180
       128         1670
       129        10344
       130        11484
       131         8826
       132         9544
       133        13345
       134        12606
       135         1168
       137         2850
       138         4075
       139        11713
       140         5136
       141        12065
       142        15270
       143         2490
       144         4028
       145         6428
       146        14325
       147         4629
       148         4785
       149         5684
       150         8715
       151         4260
       152         5742
       153        20904
       155         8085
       156          920
       157         8495
       158         8445
       161         2436
       162         1664
       163        17526
       165         8234
       166         2505
       167        11718
       168         9981
       169        12840
       170        13392
       171        19164
       172         3344
       173         1324
       174        10902
       175        13134
       177         2358
       178         9192
       179        10680
       180         4764
       181         1664
       182         3873
       183        21774
       184         8748
       185        20892
       186         3873
       187         3710
       188         8188
       189         8752
       190        22956
       191         5012
       192        11904
       193        23676
       194        26286
       195        12339
       196        15350
       197         1408
       198        14580
       200         9000
       201        10610
       202         3156
       203         4280
       204         4737
       205        22674
       206         5334
       207         7950
       208        13716
       209        23340
       210        10242
       211         8932
       212        19638
       213        10560
       214         2572
       215         3432
       216         3180
       217         6020
       218        16848
       219         8860
       222        18288
       223         7184
       224         5825
       225         2709
       226         2988
       228         4280
       229        10194
       230        11187
       231         1911
       232         3344
       235         6168
       236         8583
       237        15882
       238        10584
       239        10584
       240        10002
       241         7632
       242         7112
       244        11250
       245         5436
       246        10242
       247         5825
       248        15564
       249         9528
       250         8030
       251         3180
       252         4028
       253         2232
       254        10668
       255         2466
       256         1168
       257         8652
       258         8870
       259         8920
       260        17115
       262         3974
       263         6024
       264         1975
       265         8755
       267         8094
       268         6428
       269         3084
       270         3970
       271         4986
       272         1748
       273         4155
       274        12164
       275         8587
       276         7410
       277         6948
       278         1911
       279         6990

250 Zeilen ausgewhlt.


*/