-- Korrelierte Unterabfragen in der Spaltenliste

SELECT DISTINCT
       a.U_Nr AS Unternehmen,
       T_Nr   AS Termin,
       b.B_Preis AS Einzelpreis,
       (SELECT SUM(B_Preis)
          FROM teilnehmer INNER JOIN buchung
            ON buchung.TN_Nr = teilnehmer.TN_Nr
         WHERE U_Nr = a.U_Nr
           AND T_Nr = b.T_Nr ) AS Gesamt,
        (SELECT COUNT(B_Nr)
          FROM teilnehmer INNER JOIN buchung
            ON buchung.TN_Nr = teilnehmer.TN_Nr
         WHERE U_Nr = a.U_Nr
           AND T_Nr = b.T_Nr) AS Zahl
  FROM teilnehmer a INNER JOIN buchung b
    ON b.TN_Nr = a.TN_Nr
  WHERE (a.U_Nr IN (2, 150)
         AND b.T_Nr IN (136, 311, 74, 341))
  GROUP BY a.U_Nr, b.B_Preis, T_Nr, b.TN_Nr;

-- Ergebnis
/*
UNTERNEHMEN     TERMIN EINZELPREIS     GESAMT       ZAHL
----------- ---------- ----------- ---------- ----------
          2        311         901       3604          4
        150         74         285       1425          5
        150        341         501       2505          5
        150        136         957       4785          5
4 Zeilen ausgewhlt.
*/