-- Unterabfragen in der Spaltenliste

SELECT DISTINCT
       a.U_Nr AS Unternehmen,
       T_Nr   AS Termin,
       b.B_Preis AS Einzelpreis,
       (SELECT SUM(B_Preis)
          FROM teilnehmer INNER JOIN buchung
            ON buchung.TN_Nr = teilnehmer.TN_Nr
         WHERE U_Nr = a.U_Nr
           AND T_Nr = b.T_Nr ) AS Gesamt,
        (SELECT COUNT(B_Nr)
          FROM teilnehmer INNER JOIN buchung
            ON buchung.TN_Nr = teilnehmer.TN_Nr
         WHERE U_Nr = a.U_Nr
           AND T_Nr = b.T_Nr) AS Zahl
  FROM teilnehmer a INNER JOIN buchung b
    ON b.TN_Nr = a.TN_Nr
  GROUP BY a.U_Nr, b.B_Preis, T_Nr, b.TN_Nr
  HAVING (SELECT COUNT(B_Nr)
          FROM teilnehmer INNER JOIN buchung
            ON buchung.TN_Nr = teilnehmer.TN_Nr
         WHERE U_Nr = a.U_Nr
           AND T_Nr = b.T_Nr) > 5
     AND b.T_Nr > 550 
  ORDER BY (SELECT SUM(B_Preis)
          FROM teilnehmer INNER JOIN buchung
            ON buchung.TN_Nr = teilnehmer.TN_Nr
         WHERE U_Nr = a.U_Nr
           AND T_Nr = b.T_Nr ) DESC, b.T_Nr DESC;

-- Ergebnis
/*
UNTERNEHMEN     TERMIN EINZELPREIS     GESAMT       ZAHL
----------- ---------- ----------- ---------- ----------
        248        605        1165       6990          6
        244        587        1165       6990          6
         73        581        1165       6990          6
        174        580        1165       6990          6
        183        617         957       5742          6
        107        616         957       5742          6
        229        574         957       5742          6
         73        601         856       5136          6
        140        590         856       5136          6
        119        572         856       5136          6
         65        561         831       4986          6
         64        630         794       4764          6
         73        611         794       4764          6
        208        608         794       4764          6
        180        586         794       4764          6
         90        594         774       4644          6
         35        642         750       4500          6
        237        592         750       4500          6
        116        583         750       4500          6
         98        577         750       4500          6
         64        554         742       4452          6
        194        632         732       4392          6
        170        622         732       4392          6
        112        619         732       4392          6
        119        615         732       4392          6
        134        564         732       4392          6
        124        557         732       4392          6
        222        659         710       4260          6
        212        658         710       4260          6
        240        635         710       4260          6
         42        604         710       4260          6
        169        620         694       4164          6
         65        578         694       4164          6
        142        584         631       3786          6
          9        625         611       3666          6
          8        638         575       3450          6
         63        623         575       3450          6
        131        565         395       2370          6
        163        591         314       1884          6

39 Zeilen ausgewhlt.
*/