-- Fallunterscheidungen

SELECT SUBSTR(K_Titel,1,10)      AS Titel,
       SUBSTR(K_Untertitel,1,20) AS Untertitel,
       SUBSTR(CASE
        WHEN P_TN1 > 900
         THEN 'Teuer' 
        WHEN P_TN1 <= 900
         THEN TO_CHAR((SELECT P_TN2
                         FROM preis a INNER JOIN kurs b
                           ON a.P_Nr = b.P_Nr
                        WHERE b.K_Nr = c. K_Nr))
       END, 1, 10) AS Analyse,
       P_TN1
  FROM kurs c INNER JOIN preis d
    ON c.P_Nr = d.P_Nr;

-- Ergebnis
/*
TITEL      UNTERTITEL           ANALYSE         P_TN1
---------- -------------------- ---------- ----------
Perl       Module programmieren 827               870
Perl       Programmierung von G 570               600
Perl       Netzwerkprogrammieru 827               870
Perl       Systemadministration 827               870
Perl       Datenbankprogrammier 570               600
Photoshop  Bildbearbeitung      Teuer            1050
Photoshop  Korrektur + Verfremd Teuer            1050
PHP        Syntax + Konzepte    Teuer             920
PHP        Webanwendungen       855               900
PHP        MySQL Programmbeispi 855               900
PHP        Kochrezepte          Teuer            1175
Powerpoint Prsentationsdesign  333               350
Project    Projektmanagement    366               385
Publisher  Satztechnik          390               410
Python     Syntax + Konzepte    Teuer            1050
SQL        DDL, DML + DCL       827               870
Suchmaschi Web-Controlling      570               600
TCP IP     TCP/IP 1             Teuer            1175
TCP IP     TCP/IP 2             Teuer            1175
UML        Konzepte und Anwendu Teuer            1430
UML        Objektorientierung u 855               900
VBA        Syntax + Konzepte    Teuer             975
VBA        XML-Konzepte         Teuer             975
Visio      Grafikerstellung     366               385
VisualBasi Syntax + Konzepte    Teuer            1175
VisualBasi OOP, APIs + DBs      Teuer            1175
VisualBasi Kochrezepte          Teuer            1430
Windows 20 Administration       Teuer             910
Word       VBA-Programmierung   808               850
Word       Textverarbeitung     513               540
XML        Syntax               584               615
XML        XSLT                 584               615
XML        XMLSpy               Teuer             920
3D Studio  3D-Modelling         Teuer            1050
Access     VBA-Kochrezepte      Teuer            1175
Access     Datenbankbenutzung   366               385
Access     Analyse + Kontrolle  366               385
Access     VBA-Programmierung   827               870
Acrobat    Satztechnik          390               410
ActionScri Syntax + Konzepte    855               900
ActionScri PHP + MySQL          855               900
ActiveDire Konfiguration        Teuer            1175
Apache 2   DB-Administration    Teuer             910
ASP        XML-Konzepte         Teuer             975
ASP.NET    Syntax + Konzepte    760               800
ASP.NET    Webservices und XML  855               900
AutoCAD    CAD-Technik          Teuer            1050
C sharp    Syntax + Konzepte    Teuer            1020
C++        Syntax + Konzepte    Teuer            1175
C++        MFC (Windows-Program Teuer            1175
C++        Multithreading       584               615
C++        COM/ATL              Teuer            1430
Cinema 4D  3D-Modelling         736               775
Delphi     Syntax + Konzepte    Teuer             920
Delphi     Datenbankprogrammier Teuer             920
Delphi     Anwendungsentwicklun Teuer            1430
Delphi     Programmierbeispiele Teuer            1430
Director   Authoring            Teuer            1050
Director   Lingo                855               900
Dreamweave Webdesign            670               705
Dreamweave E-Commerce / Ultra D 808               850
Dreamweave DHTML-Erweiterungen  Teuer             950
Excel      VBA-Programmierung   827               870
Excel      VBA-Kochrezepte      Teuer            1175
Excel      Datenverabeitung     366               385
Excel      Datenanalyse         366               385
Excel      Statistik + Prognose Teuer             920
Excel      Kostenrechnung       Teuer             920
Excel      Controlling          Teuer             920
Fireworks  Webgrafik + Mens    461               485
Flash      Animation            Teuer            1050
Freehand   Grafikerstellung     461               485
Frontpage  Webdesign            670               705
GoLive     Webdesign            670               705
Grafikform Dateitypen und Funkt 390               410
HTML       Webdesign            390               410
IIS        Administration       Teuer             910
Illustrato Grafikerstellung     713               750
InDesign   Satztechnik          736               775
Java       Designpatterns       Teuer             920
Java       Syntax + Konzepte    Teuer            1175
Java       Servlets             Teuer            1000
Java       Enterprise Java Bean Teuer            1020
Java       Kochrezepte          Teuer            1430
Java       Java fr Oracle      Teuer             975
Java       Datenbankprogrammier Teuer            1430
Java       Java Server Pages (J 855               900
Java       Netzwerke + Sockets  Teuer            1175
JavaScript Syntax + Konzepte    827               870
lexware    FiBu + Controlling   Teuer            1050
Lotus Domi Administration       Teuer            1175
Lotus Note Kommunikation        855               900
Matlab     Syntax + Konzepte    Teuer            1025
MS Exchang Administration       Teuer             910
MS SQL-Ser DB-Administration    Teuer             910
MS SQL-Ser Transact SQL         855               900
MySQL      DB-Administration    855               900
Oracle     Architektur          Teuer             975
Oracle     PL/SQL-Programmierun Teuer             975
Oracle     XML-Konzepte         Teuer             975
Oracle     Designer R6i + Devel Teuer             975
Oracle     Networking           Teuer             975
Oracle     DB-Administration    Teuer             975
Outlook    VBA-Programmierung   551               580
Outlook    Kommunikation        219               230
Pagemaker  Satztechnik          713               750
Perl       Syntax + Konzepte    Teuer             920
Perl       Perl + CGI           Teuer             920

108 Zeilen ausgewhlt.

*/