-- Fallunterscheidungen mit CASE

SELECT SUBSTR(K_Titel || ' - ' || K_Untertitel, 1, 30) AS Titel,
       a.K_Nr,
       COUNT(D_Nr) AS Zahl,
       CASE
       WHEN COUNT(D_Nr) < 2 THEN 'Wenig'
       WHEN COUNT(D_Nr) = 2 AND COUNT(D_Nr) <=4 THEN 'Genug'
       ELSE 'Viel' END
  FROM themenverteilung a INNER JOIN kurs b
    ON a.K_Nr = b.K_Nr
 GROUP BY a.K_Nr, K_Titel, K_Untertitel;

-- Ergebnis
/*
TITEL                                K_NR       ZAHL CASEW
------------------------------ ---------- ---------- -----
Fireworks - Webgrafik + Mens     1010004          2 Genug
Photoshop - Bildbearbeitung       1010005          1 Wenig
Flash - Animation                 1010006          2 Genug
Pagemaker - Satztechnik           1010007          1 Wenig
Freehand - Grafikerstellung       1010008          1 Wenig
Photoshop - Korrektur + Verfre    1010009          1 Wenig
Illustrator - Grafikerstellung    1010010          1 Wenig
InDesign - Satztechnik            1010011          1 Wenig
Grafikformate - Dateitypen und    1010074          1 Wenig
3D Studio - 3D-Modelling          1010077          1 Wenig
AutoCAD - CAD-Technik             1010078          1 Wenig
Director - Authoring              1010079          1 Wenig
Cinema 4D SE - 3D-Modelling       1010084          1 Wenig
PHP - Syntax + Konzepte           1015024          1 Wenig
JavaScript - Syntax + Konzepte    1015025          3 Viel
Perl - Syntax + Konzepte          1015026          2 Genug
C++ - Syntax + Konzepte           1015027          2 Genug
C++ - MFC (Windows-Programmier    1015028          2 Genug
C++ - Multithreading              1015029          2 Genug
Matlab - Syntax + Konzepte        1015030          1 Wenig
Java - Designpatterns             1015031          3 Viel
C++ - COM/ATL                     1015032          2 Genug
C sharp - Syntax + Konzepte       1015033          2 Genug
Java - Syntax + Konzepte          1015034          3 Viel
Python - Syntax + Konzepte        1015035          1 Wenig
Java - Servlets                   1015036          3 Viel
Perl - Perl + CGI                 1015037          2 Genug
Java - Enterprise Java Beans      1015038          3 Viel
ActionScript - Syntax + Konzep    1015040          2 Genug
ASP.NET - Syntax + Konzepte       1015041          1 Wenig
ActionScript - PHP + MySQL        1015042          2 Genug
PHP - Webanwendungen              1015043          2 Genug
PHP - MySQL Programmbeispiele     1015044          2 Genug
VisualBasic - Syntax + Konzept    1015064          3 Viel
VisualBasic - OOP, APIs + DBs     1015065          2 Genug
VisualBasic - Kochrezepte         1015066          2 Genug
Java - Kochrezepte                1015067          3 Viel
PHP - Kochrezepte                 1015068          2 Genug
HTML - Webdesign                  1020052          5 Viel
Dreamweaver - Webdesign           1020053          2 Genug
GoLive - Webdesign                1020054          1 Wenig
Dreamweaver - E-Commerce / Ult    1020055          2 Genug
Suchmaschinen-Optimierung - We    1020056          1 Wenig
Frontpage - Webdesign             1020057          1 Wenig
XML - Syntax                      1020058          3 Viel
Dreamweaver - DHTML-Erweiterun    1020059          2 Genug
Word - Textverarbeitung           1025012          2 Genug
Powerpoint - Prsentationsdesi    1025013          2 Genug
Excel - Datenverabeitung          1025014          2 Genug
Excel - Datenanalyse              1025015          2 Genug
Access - Datenbankbenutzung       1025017          3 Viel
Access - Analyse + Kontrolle      1025018          3 Viel
Access - VBA-Programmierung       1025019          3 Viel
Outlook - Kommunikation           1025020          2 Genug
lexware - FiBu + Controlling      1025021          1 Wenig
Visio - Grafikerstellung          1025022          1 Wenig
SQL - DDL, DML + DCL              1025039          7 Viel
MS Exchange - Administration      1025047          1 Wenig
MS SQL-Server - DB-Administrat    1025048          2 Genug
Oracle - Architektur              1025051          3 Viel
Oracle - XML-Konzepte             1025061          3 Viel
Project - Projektmanagement       1025062          2 Genug
Oracle - PL/SQL-Programmierung    1025063          3 Viel
Oracle - Designer R6i + Develo    1025071          3 Viel
Oracle - Networking               1025072          3 Viel
Oracle - DB-Administration        1025073          3 Viel
Publisher - Satztechnik           1025075          2 Genug
Acrobat - Satztechnik             1025080          1 Wenig
Excel - Statistik + Prognose      1025081          2 Genug
Excel - Kostenrechnung            1025082          2 Genug
Excel - Controlling               1025083          2 Genug
Windows 2000 Server - Administ    1030045          1 Wenig
MySQL - DB-Administration         1030048          2 Genug
IIS - Administration              1030049          1 Wenig
Apache 2 - DB-Administration      1030050          1 Wenig
Java - Java fr Oracle            1030073          3 Viel
Excel - VBA-Programmierung        1040016          2 Genug
Word - VBA-Programmierung         1040023          2 Genug
Outlook - VBA-Programmierung      1040060          2 Genug
Access - VBA-Kochrezepte          1040069          3 Viel
Excel - VBA-Kochrezepte           1040070          2 Genug
VBA - Syntax + Konzepte           1040076          2 Genug

82 Zeilen ausgewhlt.
*/