-- Fallunterscheidung

SELECT SUBSTR(K_Titel || ' - ' || K_Untertitel, 1, 30) AS Titel,
       a.K_Nr,
       COUNT(D_Nr) AS Zahl,
       SUBSTR(CASE
       WHEN COUNT(D_Nr) = 1
        THEN (SELECT c.TH_Tagessatz
                FROM themenverteilung c
               WHERE c.K_Nr = a.K_Nr)
       WHEN COUNT(D_Nr) <=4
        THEN (SELECT MIN(c.TH_Tagessatz)
                FROM themenverteilung c
               WHERE c.K_Nr = a.K_Nr) 
       ELSE NULL END, 1, 5) AS Preis
  FROM themenverteilung a INNER JOIN kurs b
    ON a.K_Nr = b.K_Nr
 GROUP BY a.K_Nr, K_Titel, K_Untertitel;

-- Ergebnis
/*
TITEL                                K_NR       ZAHL PREIS
------------------------------ ---------- ---------- -----
Fireworks - Webgrafik + Mens     1010004          2 350
Photoshop - Bildbearbeitung       1010005          1 400
Flash - Animation                 1010006          2 350
Pagemaker - Satztechnik           1010007          1 350
Freehand - Grafikerstellung       1010008          1 350
Photoshop - Korrektur + Verfre    1010009          1 400
Illustrator - Grafikerstellung    1010010          1 350
InDesign - Satztechnik            1010011          1 350
Grafikformate - Dateitypen und    1010074          1 350
3D Studio - 3D-Modelling          1010077          1 420
AutoCAD - CAD-Technik             1010078          1 520
Director - Authoring              1010079          1 400
Cinema 4D SE - 3D-Modelling       1010084          1 400
PHP - Syntax + Konzepte           1015024          1 500
JavaScript - Syntax + Konzepte    1015025          3 400
Perl - Syntax + Konzepte          1015026          2 450
C++ - Syntax + Konzepte           1015027          2 500
C++ - MFC (Windows-Programmier    1015028          2 500
C++ - Multithreading              1015029          2 500
Matlab - Syntax + Konzepte        1015030          1 450
Java - Designpatterns             1015031          3 550
C++ - COM/ATL                     1015032          2 500
C sharp - Syntax + Konzepte       1015033          2 500
Java - Syntax + Konzepte          1015034          3 550
Python - Syntax + Konzepte        1015035          1 560
Java - Servlets                   1015036          3 550
Perl - Perl + CGI                 1015037          2 450
Java - Enterprise Java Beans      1015038          3 550
ActionScript - Syntax + Konzep    1015040          2 500
ASP.NET - Syntax + Konzepte       1015041          1 500
ActionScript - PHP + MySQL        1015042          2 500
PHP - Webanwendungen              1015043          2 500
PHP - MySQL Programmbeispiele     1015044          2 500
VisualBasic - Syntax + Konzept    1015064          3 450
VisualBasic - OOP, APIs + DBs     1015065          2 450
VisualBasic - Kochrezepte         1015066          2 450
Java - Kochrezepte                1015067          3 550
PHP - Kochrezepte                 1015068          2 500
HTML - Webdesign                  1020052          5
Dreamweaver - Webdesign           1020053          2 350
GoLive - Webdesign                1020054          1 350
Dreamweaver - E-Commerce / Ult    1020055          2 380
Suchmaschinen-Optimierung - We    1020056          1 350
Frontpage - Webdesign             1020057          1 350
XML - Syntax                      1020058          3 350
Dreamweaver - DHTML-Erweiterun    1020059          2 350
Word - Textverarbeitung           1025012          2 350
Powerpoint - Prsentationsdesi    1025013          2 300
Excel - Datenverabeitung          1025014          2 300
Excel - Datenanalyse              1025015          2 340
Access - Datenbankbenutzung       1025017          3 400
Access - Analyse + Kontrolle      1025018          3 400
Access - VBA-Programmierung       1025019          3 400
Outlook - Kommunikation           1025020          2 300
lexware - FiBu + Controlling      1025021          1 450
Visio - Grafikerstellung          1025022          1 350
SQL - DDL, DML + DCL              1025039          7
MS Exchange - Administration      1025047          1 480
MS SQL-Server - DB-Administrat    1025048          2 480
Oracle - Architektur              1025051          3 540
Oracle - XML-Konzepte             1025061          3 540
Project - Projektmanagement       1025062          2 400
Oracle - PL/SQL-Programmierung    1025063          3 540
Oracle - Designer R6i + Develo    1025071          3 540
Oracle - Networking               1025072          3 540
Oracle - DB-Administration        1025073          3 540
Publisher - Satztechnik           1025075          2 350
Acrobat - Satztechnik             1025080          1 350
Excel - Statistik + Prognose      1025081          2 320
Excel - Kostenrechnung            1025082          2 320
Excel - Controlling               1025083          2 320
Windows 2000 Server - Administ    1030045          1 500
MySQL - DB-Administration         1030048          2 450
IIS - Administration              1030049          1 500
Apache 2 - DB-Administration      1030050          1 500
Java - Java fr Oracle            1030073          3 550
Excel - VBA-Programmierung        1040016          2 340
Word - VBA-Programmierung         1040023          2 350
Outlook - VBA-Programmierung      1040060          2 400
Access - VBA-Kochrezepte          1040069          3 400
Excel - VBA-Kochrezepte           1040070          2 350
VBA - Syntax + Konzepte           1040076          2 450

82 Zeilen ausgewhlt.
*/