-- Verschachteltes CASE

SELECT DISTINCT U_Stadt, U_PLZ
  FROM unternehmen
 WHERE U_Stadt IN ('Bochum', 'Gelsenkirchen');

-- Ergebnis
/*
U_STADT                             U_PLZ
------------------------------ ----------
Bochum                                 44
Bochum                              44787
Bochum                              44789
Bochum                              44793
Bochum                              44795
Bochum                              44797
Bochum                              44803
Bochum                              44805
Bochum                              44809
Bochum                              44866
Bochum                              44867
Bochum                              44879
Bochum                              44892
Bochum                              44894
Gelsenkirchen                       45884
Gelsenkirchen                       45886
Gelsenkirchen                       45891
Gelsenkirchen                       45892
Gelsenkirchen                       45894
Gelsenkirchen                       45896
Gelsenkirchen                       45899

21 Zeilen ausgewhlt.
*/

SELECT U_Nr,
       SUBSTR(U_Vorwahl || ' - ' || U_Telnr,1,20) AS Telnr,
       SUBSTR(U_Stadt,1,2) AS Stadt,
       CASE U_Stadt
        WHEN 'Bochum'
         THEN (CASE
               WHEN U_PLZ <= 44803
                THEN 'Gebiet 1'
               WHEN U_PLZ >  44803
                THEN 'Gebiet 2'
               END)
        WHEN 'Gelsenkirchen'
         THEN (CASE
               WHEN U_PLZ <= 45892
                THEN 'Gebiet 1'
               WHEN U_PLZ >  45892
                THEN 'Gebiet 2'
               END)       
       END
  FROM unternehmen
 WHERE U_Stadt IN ('Bochum', 'Gelsenkirchen')
 ORDER BY U_Nr, U_Stadt;

-- Ergebnis
/*

      U_NR TELNR                ST CASEU_ST
---------- -------------------- -- --------
         1 234 - 2878243        Bo Gebiet 2
         2 2327 - 788678        Bo Gebiet 1
         3 234 - 330052         Bo Gebiet 1
         4 234 - 862529         Bo Gebiet 2
         5 234 - 9412201        Bo Gebiet 2
         6 234 - 43973          Bo Gebiet 1
         7 234 - 524743         Bo Gebiet 2
         8 234 - 89192          Bo Gebiet 2
         9 234 - 66210          Bo Gebiet 1
        10 234 - 15867          Bo Gebiet 1
        11 234 - 494483         Bo Gebiet 2
        12 234 - 473572         Bo Gebiet 1
        13 234 - 450204         Bo Gebiet 1
        14 2327 - 9483          Bo Gebiet 2
        15 2327 - 321084        Bo Gebiet 2
        16 171 - 8384736        Bo Gebiet 2
        17 234 - 431456         Bo Gebiet 1
        18 234 - 291835         Bo Gebiet 2
        19 234 - 287084         Bo Gebiet 2
        20 234 - 89146          Bo Gebiet 2
        21 2327 - 9491          Bo Gebiet 2
        22 2327 - 10053         Bo Gebiet 2
        23 234 - 14489          Bo Gebiet 1
        24 234 - 300060         Bo Gebiet 1
        25 234 - 865799         Bo Gebiet 2
        26 234 - 28197          Bo Gebiet 2
        27 234 - 236826         Bo Gebiet 2
        28 234 - 300111         Bo Gebiet 1
        29 234 - 9791855        Bo Gebiet 1
        30 234 - 523462         Bo Gebiet 2
        31 172 - 8276707        Bo Gebiet 1
        32 234 - 13050          Bo Gebiet 1
        33 234 - 16055          Bo Gebiet 1
        34 234 - 92687          Bo Gebiet 2
        35 234 - 52571          Bo Gebiet 2
        36 234 - 523237         Bo Gebiet 1
        37 234 - 861953         Bo Gebiet 2
        38 234 - 93790          Bo Gebiet 1
        39 175 - 5224768        Bo Gebiet 1
        40 171 - 7571830        Bo Gebiet 1
       195 209 - 9705           Ge Gebiet 1
       196 700 - 28010180       Ge Gebiet 2
       197 209 - 70092          Ge Gebiet 1
       198 209 - 55247          Ge Gebiet 2
       199 209 - 134400         Ge Gebiet 1
       200 209 - 172            Ge Gebiet 1
       251 209 - 64087          Ge Gebiet 2
       273 234 - 936107         Bo Gebiet 1
       274 234 - 35934          Bo Gebiet 1
       275 234 - 357292         Bo Gebiet 1
       276 234 - 89146          Bo Gebiet 2
       277 234 - 9149           Bo Gebiet 1
       278 234 - 9149           Bo Gebiet 1
       279 234 - 94203          Bo Gebiet 2
       280 234 - 94697          Bo Gebiet 2

55 Zeilen ausgewhlt.
*/