SELECT COUNT(CASE
              WHEN Summe >= 0 AND Summe <20
               THEN 1
              ELSE NULL
              END) AS "Weniger als 20",
       COUNT(CASE
              WHEN Summe >= 20 AND Summe <40
               THEN 1
              ELSE NULL
              END) AS "20 bis 40",
       COUNT(CASE
              WHEN Summe >= 40
               THEN 1
              ELSE NULL
              END) AS "Mehr als 40"
  FROM (
       SELECT K_Nr AS Kurs,
              NVL(COUNT(B_Nr),0) AS Summe
         FROM buchung RIGHT OUTER JOIN termin
           ON buchung.T_Nr = termin.T_Nr
        GROUP BY K_Nr
        ORDER BY COUNT(B_Nr));

-- Ergebnis
/*
Weniger als 20  20 bis 40 Mehr als 40
-------------- ---------- -----------
            29         27          25
*/