SELECT Bereich AS "Bereich",
       COUNT(CASE
              WHEN Summe >= 0 AND Summe <20
               THEN 1
              ELSE NULL
              END) AS "Weniger als 20",
       COUNT(CASE
              WHEN Summe >= 20 AND Summe <40
               THEN 1
              ELSE NULL
              END) AS "20 bis 40",
       COUNT(CASE
              WHEN Summe >= 40
               THEN 1
              ELSE NULL
              END) AS "Mehr als 40"
  FROM (
       SELECT K_Bereich As Bereich,
              termin.K_Nr AS Kurs,
              NVL(COUNT(B_Nr),0) AS Summe
         FROM buchung RIGHT OUTER JOIN termin
           ON buchung.T_Nr = termin.T_Nr
                      RIGHT OUTER JOIN kurs
           ON termin.K_Nr = kurs.K_Nr
        GROUP BY termin.K_Nr, K_Bereich
        ORDER BY COUNT(B_Nr), K_Bereich)
  GROUP BY Bereich;

-- Ergebnis
/*
Bereich                        Weniger als 20  20 bis 40 Mehr als 40
------------------------------ -------------- ---------- -----------
Datenbanken                                 4          1           8
Grafik                                      4          2           3
Office                                      2          5           0
Programmierung                             20         13          11
Programmierung(Office)                      2          2           0
Server                                      2          1           1
Webdesign                                   1          3           2

7 rows selected.
*/