-- Regressionsmae

SELECT REGR_SLOPE(Summe, Jahr)     AS "Steigung",
       REGR_COUNT(Summe, Jahr)     AS "Datenmenge",
       REGR_INTERCEPT(Summe, Jahr) AS "y-Schnittpunkt",
       REGR_R2(Summe, Jahr)        AS "Bestimmtheitsma",
       REGR_AVGY(Summe, Jahr)      AS "y-Durchschnitt",
       REGR_AVGX(Summe, Jahr)      AS "x-Durchschnitt"
  FROM (SELECT EXTRACT(YEAR FROM T_Beginn) AS Jahr, /* X-Wert */
               SUM(B_Preis)                AS Summe /* Y-Wert */
          FROM buchung INNER JOIN termin
            ON buchung.T_Nr = termin.T_Nr
         GROUP BY EXTRACT(YEAR FROM T_Beginn)) daten;

-- Ergebnis
/*
  Steigung Datenmenge y-Schnittpunkt Bestimmtheitsma 
---------- ---------- -------------- ---------------- 
  206701,1          4     -413189419       ,580345963
y-Durchschnitt x-Durchschnitt
-------------- --------------
      522832,25         2001,5
1 Zeile wurde ausgewhlt.
*/

SELECT REGR_SLOPE(Summe, Zeit)     AS "Steigung",
       REGR_COUNT(Summe, Zeit)     AS "Datenmenge",
       REGR_INTERCEPT(Summe, Zeit) AS "y-Schnittpunkt",
       REGR_R2(Summe, Zeit)        AS "Bestimmtheitsma",
       REGR_AVGY(Summe, Zeit)      AS "y-Durchschnitt",
       REGR_AVGX(Summe, Zeit)      AS "x-Durchschnitt"
  FROM (SELECT TO_CHAR(T_Beginn, 'MMYYYY') AS Zeit, /* X-Wert */
               SUM(B_Preis)                AS Summe /* Y-Wert */
          FROM buchung INNER JOIN termin
            ON buchung.T_Nr = termin.T_Nr
         GROUP BY TO_CHAR(T_Beginn, 'MMYYYY'), T_Beginn
                  ORDER BY T_Beginn) daten;

SELECT REGR_SLOPE(Summe, Zeit)     AS "Steigung",
       REGR_COUNT(Summe, Zeit)     AS "Datenmenge",
       REGR_INTERCEPT(Summe, Zeit) AS "y-Schnittpunkt",
       REGR_R2(Summe, Zeit)        AS "Bestimmtheitsma",
       REGR_AVGY(Summe, Zeit)      AS "y-Durchschnitt",
       REGR_AVGX(Summe, Zeit)      AS "x-Durchschnitt"
  FROM (SELECT TO_CHAR(T_Beginn, 'Q') AS Zeit, /* X-Wert */
               SUM(B_Preis)                AS Summe /* Y-Wert */
          FROM buchung INNER JOIN termin
            ON buchung.T_Nr = termin.T_Nr
         GROUP BY TO_CHAR(T_Beginn, 'Q'), T_Beginn
                  ORDER BY T_Beginn) daten;