-- Dimensionen

SELECT SUBSTR(K_Bereich,1,15)    AS "Bereich",
       SUBSTR(K_Titel,1,15)      AS "Titel",
       COUNT(DISTINCT kurs.K_Nr) AS "Anzahl Kurse",
       COUNT(B_Nr)               AS "Anzahl Buchungen"
  FROM kurs INNER JOIN termin
    ON kurs.K_Nr = termin.K_Nr
            INNER JOIN buchung
    ON termin.T_Nr = buchung.T_Nr
 GROUP BY K_Bereich, K_Titel;

-- Ergebnis
/*
Bereich         Titel           Anzahl Kurse Anzahl Buchungen
--------------- --------------- ------------ ----------------
Grafik          Flash                      1               97
Grafik          Director                   1                6
Grafik          Freehand                   1               38
Grafik          Fireworks                  1              103
Grafik          Pagemaker                  1               16
Grafik          Photoshop                  2              114
Grafik          Illustrator                1               10
Office          Excel                      2               52
Office          Visio                      1               25
Office          Outlook                    1               38
Office          InDesign                   1               11
Office          Powerpoint                 1               20
Server          TCP IP                     1                6
Server          MS Exchange                1               29
Server          Windows 2000 Se            1               56
Webdesign       HTML                       1               58
Webdesign       GoLive                     1               37
Webdesign       Dreamweaver                3              145
Datenbanken     SQL                        1               49
Datenbanken     MySQL                      1               83
Datenbanken     Access                     3              133
Datenbanken     Oracle                     6              271
Datenbanken     MS SQL-Server              2               21
Programmierung  C++                        4              154
Programmierung  PHP                        4              250
Programmierung  UML                        2               42
Programmierung  XML                        3              131
Programmierung  Java                       9              373
Programmierung  Perl                       6               64
Programmierung  Delphi                     4               28
Programmierung  Python                     1               30
Programmierung  ASP.NET                    1               30
Programmierung  C sharp                    1               33
Programmierung  JavaScript                 1               23
Programmierung  VisualBasic                3              136
Programmierung  ActionScript               2               47
Programmierung( VBA                        1               15
Programmierung( Word                       1               30
Programmierung( Outlook                    1               31

39 Zeilen ausgewhlt.
*/