-- GROUPING SETS

SELECT SUBSTR(K_Bereich,1,12)    AS "Bereich",
       SUBSTR(K_Titel,1,12)      AS "Titel",
       COUNT(DISTINCT kurs.K_Nr) AS "Anzahl Kurse",
       COUNT(B_Nr)               AS "Anzahl Buchungen"
  FROM kurs INNER JOIN termin
    ON kurs.K_Nr = termin.K_Nr
            INNER JOIN buchung
    ON termin.T_Nr = buchung.T_Nr
 GROUP BY GROUPING SETS (K_Bereich, K_Titel);

-- Ergebnis
/*
Bereich      Titel        Anzahl Kurse Anzahl Buchungen
------------ ------------ ------------ ----------------
Datenbanken                         13              557
Grafik                               8              384
Office                               6              146
Programmieru                        41             1341
Programmieru                         3               76
Server                               3               91
Webdesign                            5              240
             ASP.NET                 1               30
             Access                  3              133
             ActionScript            2               47
             C sharp                 1               33
             C++                     4              154
             Delphi                  4               28
             Director                1                6
             Dreamweaver             3              145
             Excel                   2               52
             Fireworks               1              103
             Flash                   1               97
             Freehand                1               38
             GoLive                  1               37
             HTML                    1               58
             Illustrator             1               10
             InDesign                1               11
             Java                    9              373
             JavaScript              1               23
             MS Exchange             1               29
             MS SQL-Serve            2               21
             MySQL                   1               83
             Oracle                  6              271
             Outlook                 2               69
             PHP                     4              250
             Pagemaker               1               16
             Perl                    6               64
             Photoshop               2              114
             Powerpoint              1               20
             Python                  1               30
             SQL                     1               49
             TCP IP                  1                6
             UML                     2               42
             VBA                     1               15
             Visio                   1               25
             VisualBasic             3              136
             Windows 2000            1               56
             Word                    1               30
             XML                     3              131

45 Zeilen ausgewhlt.



*/