-- GROUPING SETS

SELECT SUBSTR(T_Ort,1,10)        AS Ort,
       TO_CHAR(T_Beginn, 'YYYY') AS Jahr,
       TO_CHAR(T_Beginn, 'MM')   AS Monat,
       SUBSTR(K_Bereich,1,10)    AS Bereich,
       SUM(B_Preis)
  FROM termin NATURAL JOIN buchung
              NATURAL JOIN kurs
  GROUP BY GROUPING SETS 
              ((TO_CHAR(T_Beginn, 'YYYY'), T_Ort),
               (TO_CHAR(T_Beginn, 'YYYY'), K_Bereich),
               (TO_CHAR(T_Beginn, 'MM'), T_Ort),
               (TO_CHAR(T_Beginn, 'MM'), K_Bereich),
               (T_Ort, K_Bereich));


-- Ergebnis
/*

ORT        JAHR MO BEREICH    SUM(B_PREIS)
---------- ---- -- ---------- ------------
Bochum     2000                     413543
Bochum     2001                     209712
Kln       2002                       3660
Bochum     2002                     439775
Kln       2003                      30908
Berlin     2003                      17984
Bochum     2003                     715335
Leipzig    2003                      15912
Mnster    2003                      32427
Dortmund   2003                     201217
Dsseldorf 2003                      10856
           2000    Grafik            53070
           2000    Office            13210
           2000    Server            20236
           2000    Webdesign         20739
           2000    Datenbanke        59994
           2000    Programmie       231672
           2000    Programmie        14622
           2001    Grafik            25509
           2001    Office             5648
           2001    Server             6182
           2001    Webdesign          9994
           2001    Datenbanke        46772
           2001    Programmie       114038
           2001    Programmie         1569
           2002    Grafik            66031
           2002    Office            11446
           2002    Server            14344
           2002    Webdesign         34445
           2002    Datenbanke        77338
           2002    Programmie       225839
           2002    Programmie        13992
           2003    Grafik           115670
           2003    Office            14535
           2003    Server            29094
           2003    Webdesign         67678
           2003    Datenbanke       213220
           2003    Programmie       566631
           2003    Programmie        17811
Kln            04                    4500
Kln            06                    3660
Kln            08                    9402
Kln            09                    5742
Kln            11                   11264
Berlin          02                    7404
Berlin          03                    3970
Berlin          08                    2640
Berlin          12                    3970
Bochum          01                   42460
Bochum          02                  149539
Bochum          03                  135665
Bochum          04                  238882
Bochum          05                  219129
Bochum          06                  180768
Bochum          07                  113844
Bochum          08                  130720
Bochum          09                  161125
Bochum          10                  204231
Bochum          11                   87408
Bochum          12                  114594
Leipzig         05                    3180
Leipzig         07                    5742
Leipzig         09                    6990
Mnster         05                    4028
Mnster         07                   13278
Mnster         09                    4904
Mnster         10                   10217
Dortmund        01                   11382
Dortmund        02                    4500
Dortmund        03                    8755
Dortmund        04                   13919
Dortmund        05                   17608
Dortmund        06                   24903
Dortmund        07                   14246
Dortmund        08                   23148
Dortmund        09                   39893
Dortmund        10                   20380
Dortmund        11                    8368
Dortmund        12                   14115
Dsseldorf      06                    4392
Dsseldorf      08                    6464
                01 Grafik             1664
                03 Grafik            19524
                04 Grafik            64108
                05 Grafik             5136
                06 Grafik            15408
                07 Grafik            48292
                08 Grafik            29942
                09 Grafik            67466
                10 Grafik             5136
                11 Grafik             3604
                04 Office            16736
                05 Office             6433
                06 Office             5820
                09 Office            11740
                10 Office             4110
                01 Server            17066
                05 Server             4452
                08 Server            25682
                09 Server            22656
                02 Webdesign         27992
                03 Webdesign         10514
                04 Webdesign         10740
                05 Webdesign         10537
                06 Webdesign         36156
                07 Webdesign          2920
                08 Webdesign         17095
                09 Webdesign          4644
                10 Webdesign          4164
                11 Webdesign          8094
                02 Datenbanke        52062
                03 Datenbanke        36038
                04 Datenbanke        26626
                05 Datenbanke        97760
                06 Datenbanke         9024
                07 Datenbanke        14658
                08 Datenbanke        34176
                09 Datenbanke         4764
                10 Datenbanke        66954
                11 Datenbanke        51292
                12 Datenbanke         3970
                01 Programmie        35112
                02 Programmie        81389
                03 Programmie        82314
                04 Programmie       134327
                05 Programmie       113923
                06 Programmie       147315
                07 Programmie        77270
                08 Programmie        65479
                09 Programmie        86564
                10 Programmie       154464
                11 Programmie        31314
                12 Programmie       128709
                04 Programmie         4764
                05 Programmie         5704
                07 Programmie         3970
                09 Programmie        20820
                11 Programmie        12736
Kln               Datenbanke         7604
Kln               Programmie        26964
Berlin             Datenbanke        17984
Bochum             Grafik           234144
Bochum             Office            41053
Bochum             Server            69856
Bochum             Webdesign        124822
Bochum             Datenbanke       328790
Bochum             Programmie       931706
Bochum             Programmie        47994
Leipzig            Programmie        15912
Mnster            Datenbanke         7536
Mnster            Programmie        24891
Dortmund           Grafik            26136
Dortmund           Office             3786
Dortmund           Webdesign          8034
Dortmund           Datenbanke        35410
Dortmund           Programmie       127851
Dsseldorf         Programmie        10856

157 Zeilen ausgewhlt.



*/