-- Zusammengesetzte Spalten

SELECT SUBSTR(EXTRACT(YEAR FROM T_Beginn),1,5) AS Jahr,
       SUBSTR(T_Ort,1,10)                      AS Ort,
       SUBSTR(K_Bereich,1,20)                  AS Bereich,
       TO_CHAR(SUM(B_Preis), '9G999G999U')     AS Summe
  FROM termin NATURAL JOIN buchung
              NATURAL JOIN kurs
  GROUP BY GROUPING SETS (
            (T_Ort, K_Bereich, EXTRACT(YEAR FROM T_Beginn)),
            (K_Bereich, EXTRACT(YEAR FROM T_Beginn)),
            (T_Ort),
            (K_Bereich),
            (EXTRACT(YEAR FROM T_Beginn)));

-- Ergebnis
/*

JAHR  ORT        BEREICH              SUMME
----- ---------- -------------------- --------------------
2000  Bochum     Grafik                            53.070
2001  Bochum     Grafik                            25.509
2002  Bochum     Grafik                            66.031
2003  Bochum     Grafik                            89.534
2003  Dortmund   Grafik                            26.136
2000  Bochum     Office                            13.210
2001  Bochum     Office                             5.648
2002  Bochum     Office                            11.446
2003  Bochum     Office                            10.749
2003  Dortmund   Office                             3.786
2000  Bochum     Server                            20.236
2001  Bochum     Server                             6.182
2002  Bochum     Server                            14.344
2003  Bochum     Server                            29.094
2000  Bochum     Webdesign                         20.739
2001  Bochum     Webdesign                          9.994
2002  Bochum     Webdesign                         34.445
2003  Bochum     Webdesign                         59.644
2003  Dortmund   Webdesign                          8.034
2000  Bochum     Datenbanken                       59.994
2001  Bochum     Datenbanken                       46.772
2002  Bochum     Datenbanken                       77.338
2003  Kln       Datenbanken                        7.604
2003  Berlin     Datenbanken                       17.984
2003  Bochum     Datenbanken                      144.686
2003  Mnster    Datenbanken                        7.536
2003  Dortmund   Datenbanken                       35.410
2000  Bochum     Programmierung                   231.672
2001  Bochum     Programmierung                   114.038
2002  Kln       Programmierung                     3.660
2002  Bochum     Programmierung                   222.179
2003  Kln       Programmierung                    23.304
2003  Bochum     Programmierung                   363.817
2003  Leipzig    Programmierung                    15.912
2003  Mnster    Programmierung                    24.891
2003  Dortmund   Programmierung                   127.851
2003  Dsseldorf Programmierung                    10.856
2000  Bochum     Programmierung(Offic              14.622
2001  Bochum     Programmierung(Offic               1.569
2002  Bochum     Programmierung(Offic              13.992
2003  Bochum     Programmierung(Offic              17.811
2000             Grafik                            53.070
2001             Grafik                            25.509
2002             Grafik                            66.031
2003             Grafik                           115.670
2000             Office                            13.210
2001             Office                             5.648
2002             Office                            11.446
2003             Office                            14.535
2000             Server                            20.236
2001             Server                             6.182
2002             Server                            14.344
2003             Server                            29.094
2000             Webdesign                         20.739
2001             Webdesign                          9.994
2002             Webdesign                         34.445
2003             Webdesign                         67.678
2000             Datenbanken                       59.994
2001             Datenbanken                       46.772
2002             Datenbanken                       77.338
2003             Datenbanken                      213.220
2000             Programmierung                   231.672
2001             Programmierung                   114.038
2002             Programmierung                   225.839
2003             Programmierung                   566.631
2000             Programmierung(Offic              14.622
2001             Programmierung(Offic               1.569
2002             Programmierung(Offic              13.992
2003             Programmierung(Offic              17.811
                 Grafik                           260.280
                 Office                            44.839
                 Server                            69.856
                 Webdesign                        132.856
                 Datenbanken                      397.324
                 Programmierung                 1.138.180
                 Programmierung(Offic              47.994
      Berlin                                       17.984
      Bochum                                    1.778.365
      Dortmund                                    201.217
      Dsseldorf                                   10.856
      Kln                                         34.568
      Leipzig                                      15.912
      Mnster                                      32.427
2000                                              413.543
2001                                              209.712
2002                                              443.435
2003                                            1.024.639

87 Zeilen ausgewhlt.


*/