-- Komplexe Spalten

SELECT TO_CHAR(T_Beginn, 'MM') AS Monat,
       K_Bereich AS Bereich,
       COUNT(B_Nr) AS Zahl
  FROM buchung INNER JOIN termin
    ON buchung.T_Nr = termin.T_Nr
               INNER JOIN kurs
    ON termin.K_Nr = kurs.K_Nr
 GROUP BY GROUPING SETS (TO_CHAR(T_Beginn, 'MM'), K_Bereich,
                        (TO_CHAR(T_Beginn, 'MM'), K_Bereich));

-- Ergebnis
/*

MO BEREICH                              ZAHL
-- ------------------------------ ----------
01 Grafik                                  4
03 Grafik                                 42
04 Grafik                                 79
05 Grafik                                  6
06 Grafik                                 18
07 Grafik                                 75
08 Grafik                                 38
09 Grafik                                112
10 Grafik                                  6
11 Grafik                                  4
04 Office                                 52
05 Office                                 22
06 Office                                 20
09 Office                                 31
10 Office                                 21
01 Server                                 23
05 Server                                  6
08 Server                                 32
09 Server                                 30
02 Webdesign                              47
03 Webdesign                              16
04 Webdesign                              26
05 Webdesign                              31
06 Webdesign                              64
07 Webdesign                               4
08 Webdesign                              28
09 Webdesign                               6
10 Webdesign                               6
11 Webdesign                              12
02 Datenbanken                            68
03 Datenbanken                            48
04 Datenbanken                            55
05 Datenbanken                           143
06 Datenbanken                            12
07 Datenbanken                            19
08 Datenbanken                            49
09 Datenbanken                             6
10 Datenbanken                            84
11 Datenbanken                            68
12 Datenbanken                             5
01 Programmierung                         43
02 Programmierung                        111
03 Programmierung                         94
04 Programmierung                        171
05 Programmierung                        141
06 Programmierung                        161
07 Programmierung                         90
08 Programmierung                         83
09 Programmierung                         94
10 Programmierung                        167
11 Programmierung                         47
12 Programmierung                        139
04 Programmierung(Office)                  6
05 Programmierung(Office)                  9
07 Programmierung(Office)                  5
09 Programmierung(Office)                 30
11 Programmierung(Office)                 26
   Grafik                                384
   Office                                146
   Server                                 91
   Webdesign                             240
   Datenbanken                           557
   Programmierung                       1341
   Programmierung(Office)                 76
01                                        70
02                                       226
03                                       200
04                                       389
05                                       358
06                                       275
07                                       193
08                                       230
09                                       309
10                                       284
11                                       157
12                                       144

76 Zeilen ausgewhlt.

*/

-- Alternative

SELECT TO_CHAR(T_Beginn, 'MM') AS Monat,
       K_Bereich AS Bereich,
       COUNT(B_Nr) AS Zahl
  FROM buchung INNER JOIN termin
    ON buchung.T_Nr = termin.T_Nr
               INNER JOIN kurs
    ON termin.K_Nr = kurs.K_Nr
 GROUP BY GROUPING SETS (TO_CHAR(T_Beginn, 'MM'),
                         (K_Bereich),
                         (TO_CHAR(T_Beginn, 'MM'), K_Bereich)); 