-- Notwendige Verknpfung

SELECT SUBSTR(EXTRACT(YEAR FROM T_Beginn),1,5) AS Jahr,
       SUBSTR(U_Name, 1, 15) AS Unternehmen,
       SUBSTR(K_Bereich,1,5) AS Bereich,
       (SELECT COUNT(buchung.TN_Nr)
          FROM buchung INNER JOIN teilnehmer
            ON buchung.TN_Nr = teilnehmer.TN_Nr
                       INNER JOIN unternehmen b
            ON teilnehmer.U_Nr = b.U_Nr
         WHERE b.U_Nr = a.U_Nr
         GROUP BY U_Nr) AS TNZahl,
       (SELECT COUNT(DISTINCT T_Nr)
          FROM buchung INNER JOIN teilnehmer
            ON buchung.TN_Nr = teilnehmer.TN_Nr
                       INNER JOIN unternehmen b
            ON teilnehmer.U_Nr = b.U_Nr
         WHERE b.U_Nr = a.U_Nr
         GROUP BY U_Nr)            AS Termine,
       SUM(B_Preis)                AS Summe
  FROM buchung INNER JOIN teilnehmer
    ON buchung.TN_Nr = teilnehmer.TN_Nr
               INNER JOIN unternehmen a
    ON teilnehmer.U_Nr = a.U_Nr 
               INNER JOIN termin
    ON buchung.T_Nr = termin.T_Nr
               INNER JOIN kurs
    ON termin.K_Nr = kurs.K_Nr
  GROUP BY GROUPING SETS (U_Name, K_Bereich,
                         (U_Nr,EXTRACT(YEAR FROM T_Beginn)))
  HAVING SUM(B_Preis) > 15000;

-- Ergebnis
/*

JAHR  UNTERNEHMEN     BEREI     TNZAHL    TERMINE      SUMME
----- --------------- ----- ---------- ---------- ----------
2002                                31          6      16536
2003                                30          5      19392
2003                                30          5      16890
2003                                30          5      23238
2001                                47         12      15258
2003                                30          5      15270
2003                                34          9      18384
2002                                42          7      15270
2003                                30          5      18174
2003                                20          4      17115
                      Daten                           397324
                      Grafi                           260280
                      Offic                            44839
                      Progr                          1138180
                      Progr                            47994
                      Serve                            69856
                      Webde                           132856
       KVZ Bank Essen                                  15150
      Bildungsforum g                                  16140
      Blinks Werbemit                                  17598
      Bullock Pass-Sy                                  15564
      COM Profi Tel A                                  17115
      Coco Beratungss                                  18420
      DOC Gesellschaf                                  34554
      Dybenstahl Deut                                  29869
      Ehrmanns                                         21774
      Eiche AG Werksg                                  27036
      Elektro-Bau Hei                                  24030
      Elektrotechnik                                   20748
      Fleckner + Shn                                  22404
      Gluth Handelsge                                  15978
      Goldsteier                                       19056
      HELLMICH GMBH                                    18558
      Heck Treuhand S                                  19026
      Heinrich Pick G                                  15970
      IKS Entwicklung                                  21912
      Ingenieurbro a                                  23784
      Institut fr Da                                  25110
      Isolierbau Pete                                  26046
      Kolben Deutschl                                  24916
      Kreischke                                        25608
      LOOK Gesellscha                                  19530
      Lux Werbetechni                                  30294
      Marketing Resea                                  15194
      OL Metall Agent                                  20034
      R + R Service P                                  15276
      Schwingel GmbH                                   15194
      Strner GmbH                                     15270
      Stdt. Senioren                                  32028
      TN Turbinen Nr                                  37884
      TOIT GmbH berd                                  16956
      Zukunftshandel                                   20892

52 Zeilen ausgewhlt.


*/