-- Teilweises ROLLUP

SELECT TO_CHAR(T_Beginn, 'YYYY') AS Zeit,
       SUBSTR(T_Ort,1,10)        AS Ort,
       SUBSTR(K_Bereich,1,10)    AS Bereich,
       COUNT(DISTINCT T_Nr)      AS Termine,       
       SUM(B_Preis)              AS Summe
  FROM termin NATURAL JOIN buchung
              NATURAL JOIN kurs
  GROUP BY TO_CHAR(T_Beginn, 'YYYY'), ROLLUP(T_Ort, K_Bereich);

-- Ergebnis
/*

ZEIT ORT        BEREICH       TERMINE      SUMME
---- ---------- ---------- ---------- ----------
2000 Bochum     Datenbanke         18      59994
2000 Bochum     Grafik             16      53070
2000 Bochum     Office             10      13210
2000 Bochum     Programmie         57     231672
2000 Bochum     Programmie          5      14622
2000 Bochum     Server              5      20236
2000 Bochum     Webdesign          10      20739
2001 Bochum     Datenbanke         13      46772
2001 Bochum     Grafik              8      25509
2001 Bochum     Office              5       5648
2001 Bochum     Programmie         25     114038
2001 Bochum     Programmie          1       1569
2001 Bochum     Server              2       6182
2001 Bochum     Webdesign           5       9994
2002 Bochum     Datenbanke         23      77338
2002 Bochum     Grafik             20      66031
2002 Bochum     Office              9      11446
2002 Bochum     Programmie         54     222179
2002 Bochum     Programmie          4      13992
2002 Bochum     Server              4      14344
2002 Bochum     Webdesign          12      34445
2002 Kln       Programmie          1       3660
2003 Berlin     Datenbanke          5      17984
2003 Bochum     Datenbanke         37     144686
2003 Bochum     Grafik             24      89534
2003 Bochum     Office              6      10749
2003 Bochum     Programmie         87     363817
2003 Bochum     Programmie          5      17811
2003 Bochum     Server              7      29094
2003 Bochum     Webdesign          18      59644
2003 Dortmund   Datenbanke          9      35410
2003 Dortmund   Grafik              6      26136
2003 Dortmund   Office              1       3786
2003 Dortmund   Programmie         28     127851
2003 Dortmund   Webdesign           2       8034
2003 Dsseldorf Programmie          3      10856
2003 Kln       Datenbanke          2       7604
2003 Kln       Programmie          5      23304
2003 Leipzig    Programmie          3      15912
2003 Mnster    Datenbanke          2       7536
2003 Mnster    Programmie          5      24891
2000 Bochum                       121     413543
2001 Bochum                        59     209712
2002 Bochum                       126     439775
2002 Kln                           1       3660
2003 Berlin                         5      17984
2003 Bochum                       184     715335
2003 Dortmund                      46     201217
2003 Dsseldorf                     3      10856
2003 Kln                           7      30908
2003 Leipzig                        3      15912
2003 Mnster                        7      32427
2000                              121     413543
2001                               59     209712
2002                              127     443435
2003                              255    1024639

56 Zeilen ausgewhlt.


*/