-- Problematische Nicht-Verknpfung

SELECT SUBSTR(EXTRACT(YEAR FROM T_Beginn),1,5) AS Jahr,
       SUBSTR(U_Name, 1, 15) AS Unternehmen,
       SUBSTR(K_Bereich,1,5) AS Bereich,
       (SELECT COUNT(buchung.TN_Nr)
          FROM buchung INNER JOIN teilnehmer
            ON buchung.TN_Nr = teilnehmer.TN_Nr
                       INNER JOIN unternehmen b
            ON teilnehmer.U_Nr = b.U_Nr
         WHERE b.U_Nr = a.U_Nr
         GROUP BY U_Nr) AS TNZahl,
       (SELECT COUNT(DISTINCT T_Nr)
          FROM buchung INNER JOIN teilnehmer
            ON buchung.TN_Nr = teilnehmer.TN_Nr
                       INNER JOIN unternehmen b
            ON teilnehmer.U_Nr = b.U_Nr
         WHERE b.U_Nr = a.U_Nr
         GROUP BY U_Nr)            AS Termine,
       SUM(B_Preis)                AS Summe
  FROM buchung INNER JOIN teilnehmer
    ON buchung.TN_Nr = teilnehmer.TN_Nr
               INNER JOIN unternehmen a
    ON teilnehmer.U_Nr = a.U_Nr 
               INNER JOIN termin
    ON buchung.T_Nr = termin.T_Nr
               INNER JOIN kurs
    ON termin.K_Nr = kurs.K_Nr
  GROUP BY GROUPING SETS (U_Name, K_Bereich, U_Nr,EXTRACT(YEAR FROM T_Beginn))
  HAVING SUM(B_Preis) > 15000;

-- Ergebnis
/*

JAHR  UNTERNEHMEN     BEREI     TNZAHL    TERMINE      SUMME
----- --------------- ----- ---------- ---------- ----------
       KVZ Bank Essen                                  15150
      Bildungsforum g                                  16140
      Blinks Werbemit                                  17598
      Bullock Pass-Sy                                  15564
      COM Profi Tel A                                  17115
      Coco Beratungss                                  18420
      DOC Gesellschaf                                  34554
      Dybenstahl Deut                                  29869
      Ehrmanns                                         21774
      Eiche AG Werksg                                  27036
      Elektro-Bau Hei                                  24030
      Elektrotechnik                                   20748
      Fleckner + Shn                                  22404
      Gluth Handelsge                                  15978
      Goldsteier                                       19056
      HELLMICH GMBH                                    18558
      Heck Treuhand S                                  19026
      Heinrich Pick G                                  15970
      IKS Entwicklung                                  21912
      Ingenieurbro a                                  23784
      Institut fr Da                                  25110
      Isolierbau Pete                                  26046
      Kolben Deutschl                                  24916
      Kreischke                                        25608
      LOOK Gesellscha                                  19530
      Lux Werbetechni                                  30294
      Marketing Resea                                  15194
      OL Metall Agent                                  20034
      R + R Service P                                  15276
      Schwingel GmbH                                   15194
      Strner GmbH                                     15270
      Stdt. Senioren                                  32028
      TN Turbinen Nr                                  37884
      TOIT GmbH berd                                  16956
      Zukunftshandel                                   20892
                      Daten                           397324
                      Grafi                           260280
                      Offic                            44839
                      Progr                          1138180
                      Progr                            47994
                      Serve                            69856
                      Webde                           132856
                                    30          5      24030
                                    24          4      20748
                                    24          4      19026
                                    31          6      22404
                                    18          3      15270
                                    30          5      23784
                                    34          9      25110
                                    30          5      26046
                                    42          7      30294
                                    30          5      25608
                                    47         12      34554
                                    24          4      16956
                                    19          4      15194
                                    24          4      19056
                                    18          3      15150
                                    24          4      20034
                                    24          4      18558
                                    30          5      19530
                                    24          4      15978
                                    19          4      15194
                                    24          4      16140
                                    30          5      21774
                                    24          4      20892
                                    29          9      21912
                                    34          9      27036
                                    42          7      32028
                                    30          5      22674
                                    24          4      17598
                                    18          3      15984
                                    24          4      18420
                                    24          4      15276
                                    18          3      15564
                                    20          4      17115
2000                                                  413543
2001                                                  209712
2002                                                  443435
2003                                                 1024639

79 Zeilen ausgewhlt.


*/