-- Gruppensuchbedingungen

SELECT SUBSTR(U_Name,1,25)    AS Unternehmen,
       SUBSTR(K_Bereich,1,11) AS Bereich,
       SUM(B_Preis)           AS Summe
  FROM buchung NATURAL JOIN teilnehmer
               NATURAL JOIN unternehmen
               NATURAL JOIN termin
               NATURAL JOIN kurs
  GROUP BY GROUPING SETS ((U_Name, K_Bereich),
                          (U_Name))
  HAVING SUM(B_Preis) > 5000
      OR U_Name LIKE '5D%'
  ORDER BY U_Name, K_Bereich;

-- Ergebnis
/*

UNTERNEHMEN               BEREICH          SUMME
------------------------- ----------- ----------
 KVZ Bank Essen eG        Programmier      11484
 KVZ Bank Essen eG                         15150
AAA Modeagentur GmbH                        5008
A.B.C. + Co.                                5525
Abraham Transporte GmbH                     8012
A.B.T. Quasitek GmbH      Grafik            5268
A.B.T. Quasitek GmbH                        5268
Akrobat Wirtschaftsberatu Grafik            5136
Akrobat Wirtschaftsberatu Programmier       9732
Akrobat Wirtschaftsberatu                  14868
Amante Unternehmensberatu                   9024
Ammelt Kfz-Handels GmbH   Datenbanken       5120
Ammelt Kfz-Handels GmbH                     8870
Automatisierungstechnik G Programmier      11484
Automatisierungstechnik G                  11484
Bildungsforum gGmbH       Programmier       9996
Bildungsforum gGmbH                        16140
Blattwerk Marktforschung  Programmier       6136
Blattwerk Marktforschung                    6136
Blechmann GmbH Armaturenf                  12606
Blinks Werbemittel GmbH   Programmier      15714
Blinks Werbemittel GmbH                    17598
BS Brandsanierung GmbH +  Programmier      10610
BS Brandsanierung GmbH +                   10610
Bullock Pass-System H. Me Programmier      12732
Bullock Pass-System H. Me                  15564
Cadre OHG                 Programmier      10134
Cadre OHG                                  10134
Caput GmbH                Programmier      10728
Caput GmbH                                 14178
CASA Grundstcksverwertun Grafik            5136
CASA Grundstcksverwertun                  11904
CELL Informatik GmbH      Programmier      10242
CELL Informatik GmbH                       10242
CLH Chemie Logistik Herne Programmier       7410
CLH Chemie Logistik Herne                  10880
Coco Beratungsservice Gmb Grafik            5136
Coco Beratungsservice Gmb Programmier       8892
Coco Beratungsservice Gmb                  18420
COK Agentur fr Werbung u Grafik            5136
COK Agentur fr Werbung u                  14352
COM Profi Tel AG          Programmier      13145
COM Profi Tel AG                           17115
ConIB Consult Industriemo                   5436
Data Integrata            Programmier       5825
Data Integrata                              5825
DOC Gesellschaft fr Doku Grafik            5992
DOC Gesellschaft fr Doku Programmier      25112
DOC Gesellschaft fr Doku                  34554
Dorma Bettenfachmarkt Lim Programmier       7184
Dorma Bettenfachmarkt Lim                   7184
Dybenstahl Deutschland Gm Datenbanken       8424
Dybenstahl Deutschland Gm Programmier      14623
Dybenstahl Deutschland Gm                  29869
Echanges Salesmanagement                   10584
Ehrmanns                  Datenbanken       9528
Ehrmanns                  Programmier      10242
Ehrmanns                                   21774
Eiche AG Werksgruppe Tech Datenbanken       8652
Eiche AG Werksgruppe Tech Programmier      17528
Eiche AG Werksgruppe Tech                  27036
Einrichtungshaus Gunther  Programmier       5742
Einrichtungshaus Gunther                   14172
Elektro-Bau Heinrich GmbH Datenbanken       9528
Elektro-Bau Heinrich GmbH Programmier      14502
Elektro-Bau Heinrich GmbH                  24030
Elektrotechnik Fleischer  Programmier      15984
Elektrotechnik Fleischer                   20748
ETOFFES MONDE Textilhande Programmier      10902
ETOFFES MONDE Textilhande                  10902
Fernhost                  Programmier       5468
Fernhost                                    7664
Filtertechnik Bernd Wink                    8826
First EDV-Dienst-leistung                   7880
Flachnicki                Programmier       7230
Flachnicki                                  7230
Fleckner + Shne GmbH + C Grafik            7506
Fleckner + Shne GmbH + C Programmier       6474
Fleckner + Shne GmbH + C                  22404
Fleischerei Bochum GmbH   Programmier       7506
Fleischerei Bochum GmbH                    11958
Flinke                    Programmier       7988
Flinke                                     12656
Frank Buxter Klinker- u.  Datenbanken       8652
Frank Buxter Klinker- u.                    8652
G + K Gladbach ART GbR                      9065
Gebrder Mondschein GmbH                    9868
Gluck Capital GmbH, Vermi                   7440
Gluth Handelsgesellschaft Programmier       7266
Gluth Handelsgesellschaft                  15978
Gold-Enterprises Ltd.     Programmier       5742
Gold-Enterprises Ltd.                       7626
Goldsteier                Grafik            5136
Goldsteier                Programmier      13920
Goldsteier                                 19056
Golpp Treuhandgesellschaf Grafik            5136
Golpp Treuhandgesellschaf Programmier       8892
Golpp Treuhandgesellschaf                  14028
Graff Hochbau GMBH                          7016
Gruppe 7 Technischer Hand Programmier       8748
Gruppe 7 Technischer Hand                   8748
GSE Gesellschaft fr  Sof                   6600
Handlender                Programmier       6636
Handlender                                  9276
Hans-Werner Steiger Heizu                  10310
Harald Menne Containerdi Grafik            5136
Harald Menne Containerdi                  13350
Heck Treuhand Steuerberat Datenbanken      13284
Heck Treuhand Steuerberat Programmier       5742
Heck Treuhand Steuerberat                  19026
Heinrich Pick GmbH        Programmier      10740
Heinrich Pick GmbH                         15970
HELLMICH GMBH             Programmier       9654
HELLMICH GMBH                              18558
HOCH Aufzugsbau GmbH + Co                   7098
Holland Immobilien        Datenbanken       6428
Holland Immobilien                          6428
HYGO Hygiene GmbH                           6162
IKO-Bro Krummer + Co     Programmier       5742
IKO-Bro Krummer + Co                      10116
IKS Entwicklungsges. fr  Programmier      14720
IKS Entwicklungsges. fr                   21912
Immobilien-Multimedia-Cen                   7990
Industrie-Metallbau Winkl Programmier       5742
Industrie-Metallbau Winkl                   8112
Ingenieurbro am Hafen Gm Programmier      19620
Ingenieurbro am Hafen Gm                  23784
Ingenieurbro fr Elektro                  14712
Ingenieurbro fr Prftec                  13830
Ingenieurbro fr Verkehr                   7260
Initiative Qualittssiche                   8272
Institut fr Datenverarbe Datenbanken       9528
Institut fr Datenverarbe Programmier      11894
Institut fr Datenverarbe                  25110
Isolierbau Peter Pfeffer  Datenbanken       9528
Isolierbau Peter Pfeffer  Grafik            5136
Isolierbau Peter Pfeffer  Programmier      11382
Isolierbau Peter Pfeffer                   26046
Ivoire Stahl- u. Aufzugba                   9792
Kalb Gesellschaft mit bes                   5579
KB Koch + Bund GmbH       Grafik            5136
KB Koch + Bund GmbH                        11520
Key Wohnungsbau GmbH      Programmier       5742
Key Wohnungsbau GmbH                        9192
Kirzich                                     5820
Klick Automaten GmbH      Programmier       7290
Klick Automaten GmbH                        8860
KMU D. Holzmann KG                          7940
Kolben Deutschland GmbH   Programmier      24916
Kolben Deutschland GmbH                    24916
Kolben Europe             Programmier       5742
Kolben Europe                               5742
Kolck Wirtschaftsprfungs Grafik            5136
Kolck Wirtschaftsprfungs                   5136
Knig Hof Weinkellerei Gm                   7830
Kreischke                 Programmier      18474
Kreischke                                  25608
Kunststoff Gesellschaft m                   6762
Kuschel Polstermbelfabri Programmier      10610
Kuschel Polstermbelfabri                  14580
Libert Damenmoden GmbH                     5012
Liedchen GmbH + Co. KG Ve                   8495
LOM-Datentechnik          Programmier      10242
LOM-Datentechnik                           10242
LOOK Gesellschaft fr Br Grafik            5136
LOOK Gesellschaft fr Br Programmier       5742
LOOK Gesellschaft fr Br                  19530
Lucis LICHTTECHNIK GmbH + Programmier       5660
Lucis LICHTTECHNIK GmbH +                  12540
Lux Werbetechnik GmbH     Grafik            5136
Lux Werbetechnik GmbH     Programmier      15024
Lux Werbetechnik GmbH                      30294
Marienhospital GmbH       Programmier       9000
Marienhospital GmbH                         9000
Marketing Research Prof.  Datenbanken       5558
Marketing Research Prof.  Grafik            5136
Marketing Research Prof.                   15194
MER Mllentsorgungs-Gesel Programmier       7290
MER Mllentsorgungs-Gesel                   7290
Meyer Automatengrohandel                   6024
Muck Industrietechnik Gmb Programmier       8056
Muck Industrietechnik Gmb                   9720
NAZU                                        5820
NET Netzwerk- und Datensy                   7902
Neuhaus TEAM GmbH         Datenbanken       7630
Neuhaus TEAM GmbH                          11910
Niederhffer Workstation  Programmier       7460
Niederhffer Workstation                   11064
Offenbach Verpackungsmasc                  13716
OffSet Technische Planung                   8030
OL Metall Agentur GmbH    Programmier      11484
OL Metall Agentur GmbH                     20034
OUT Publishing GmbH                         6168
Polska GmbH + Co. KG                        5635
PRINT Druckservice        Programmier       5742
PRINT Druckservice                         10194
Privatbank Essen          Programmier      13761
Privatbank Essen                           14555
Quabeck GmbH Brandschutzs Grafik            5136
Quabeck GmbH Brandschutzs                   5136
Quo DV  Software GmbH     Programmier       6136
Quo DV  Software GmbH                       6928
R + R Service Produktion  Programmier      13392
R + R Service Produktion                   15276
Rabatzek                  Programmier       5742
Rabatzek                                    8574
Relect Messe-Design GmbH  Datenbanken       7940
Relect Messe-Design GmbH                   12725
Reponse EDV GmbH          Programmier       7896
Reponse EDV GmbH          Webdesign         5454
Reponse EDV GmbH                           13350
Retour Recycling GmH      Programmier      11484
Retour Recycling GmH                       11484
Sanft Gartenbau Hartmann  Programmier       8932
Sanft Gartenbau Hartmann                    8932
Schlund GmbH              Datenbanken       7940
Schlund GmbH                                7940
Schrill Werbung GmbH      Programmier       5742
Schrill Werbung GmbH                       10700
Schwingel GmbH + Co. KG   Datenbanken       5558
Schwingel GmbH + Co. KG   Grafik            5136
Schwingel GmbH + Co. KG                    15194
Schwitters Spezial-Stahl- Datenbanken       6648
Schwitters Spezial-Stahl-                  11040
SH Systemhaus GmbH        Programmier       5742
SH Systemhaus GmbH                         10002
SOLARIS Vermgensverwaltu                  12654
Stdt. Seniorenheim Marie Grafik            7506
Stdt. Seniorenheim Marie Programmier      20130
Stdt. Seniorenheim Marie                  32028
Stadt-Hotel Dortmund                        8250
Stern Maschinen- und Appa Grafik            5136
Stern Maschinen- und Appa                   5136
Stolz + Prall GmbH, Ingen Datenbanken       6332
Stolz + Prall GmbH, Ingen                   6332
Strner GmbH              Datenbanken       9528
Strner GmbH              Server            5742
Strner GmbH                               15270
SYS Systemtechnik GmbH                      6600
TN Turbinen Nrnberg GmbH Grafik           12642
TN Turbinen Nrnberg GmbH Programmier      17340
TN Turbinen Nrnberg GmbH                  37884
TOIT GmbH berdachungssys                  16956
Tollwandt Automaten GmbH                    6688
Top Plan                  Programmier       9636
Top Plan                                    9636
Trunk Consulting Group Gm Programmier      10242
Trunk Consulting Group Gm                  13254
U + R Mobilfunk GmbH      Webdesign         8094
U + R Mobilfunk GmbH                        8094
Ullrich Mineralprodukte u                   7720
VILLAGE Grundstcksverwal                   8085
Vogue Merchandising GmbH  Programmier       5742
Vogue Merchandising GmbH                    5742
Weiland GmbH             Programmier      14270
Weiland GmbH                              14270
Wellmer Wohnungsbau GmbH                    6405
Winkelmeyer               Webdesign         6648
Winkelmeyer                                12924
Wohn+Licht GmbH                             5076
Wonningrath Filteranlagen Datenbanken       6276
Wonningrath Filteranlagen                  14118
XY PR Multimediakonzepte                    5850
Zukunftshandel e.K.       Programmier      17226
Zukunftshandel e.K.                        20892
5D Trading Computer + Com Datenbanken       8520
5D Trading Computer + Com Webdesign         3450
5D Trading Computer + Com                  11970
90 Products Analysentechn Programmier       6500
90 Products Analysentechn                   8920

270 Zeilen ausgewhlt.


*/