-- GROUPING

SELECT SUBSTR(K_Bereich,1,5)     AS Bereich,
       SUBSTR(K_Titel,1,10)      AS Titel,
       COUNT(DISTINCT kurs.K_Nr) AS Kurse,
       COUNT(B_Nr)               AS Buchungen,
       GROUPING(K_Bereich)       AS B,
       GROUPING(K_Titel)         AS T
  FROM kurs INNER JOIN termin
    ON kurs.K_Nr = termin.K_Nr
            INNER JOIN buchung
    ON termin.T_Nr = buchung.T_Nr
 GROUP BY CUBE (K_Bereich, K_Titel);

-- Ergebnis
/*

BEREI TITEL           KURSE  BUCHUNGEN          B          T
----- ---------- ---------- ---------- ---------- ----------
Daten Access              3        133          0          0
Daten MS SQL-Ser          2         21          0          0
Daten MySQL               1         83          0          0
Daten Oracle              6        271          0          0
Daten SQL                 1         49          0          0
Grafi Director            1          6          0          0
Grafi Fireworks           1        103          0          0
Grafi Flash               1         97          0          0
Grafi Freehand            1         38          0          0
Grafi Illustrato          1         10          0          0
Grafi Pagemaker           1         16          0          0
Grafi Photoshop           2        114          0          0
Offic Excel               2         52          0          0
Offic InDesign            1         11          0          0
Offic Outlook             1         38          0          0
Offic Powerpoint          1         20          0          0
Offic Visio               1         25          0          0
Progr ASP.NET             1         30          0          0
Progr ActionScri          2         47          0          0
Progr C sharp             1         33          0          0
Progr C++                 4        154          0          0
Progr Delphi              4         28          0          0
Progr Java                9        373          0          0
Progr JavaScript          1         23          0          0
Progr PHP                 4        250          0          0
Progr Perl                6         64          0          0
Progr Python              1         30          0          0
Progr UML                 2         42          0          0
Progr VisualBasi          3        136          0          0
Progr XML                 3        131          0          0
Progr Outlook             1         31          0          0
Progr VBA                 1         15          0          0
Progr Word                1         30          0          0
Serve MS Exchang          1         29          0          0
Serve TCP IP              1          6          0          0
Serve Windows 20          1         56          0          0
Webde Dreamweave          3        145          0          0
Webde GoLive              1         37          0          0
Webde HTML                1         58          0          0
Daten                    13        557          0          1
Grafi                     8        384          0          1
Offic                     6        146          0          1
Progr                    41       1341          0          1
Progr                     3         76          0          1
Serve                     3         91          0          1
Webde                     5        240          0          1
      ASP.NET             1         30          1          0
      Access              3        133          1          0
      ActionScri          2         47          1          0
      C sharp             1         33          1          0
      C++                 4        154          1          0
      Delphi              4         28          1          0
      Director            1          6          1          0
      Dreamweave          3        145          1          0
      Excel               2         52          1          0
      Fireworks           1        103          1          0
      Flash               1         97          1          0
      Freehand            1         38          1          0
      GoLive              1         37          1          0
      HTML                1         58          1          0
      Illustrato          1         10          1          0
      InDesign            1         11          1          0
      Java                9        373          1          0
      JavaScript          1         23          1          0
      MS Exchang          1         29          1          0
      MS SQL-Ser          2         21          1          0
      MySQL               1         83          1          0
      Oracle              6        271          1          0
      Outlook             2         69          1          0
      PHP                 4        250          1          0
      Pagemaker           1         16          1          0
      Perl                6         64          1          0
      Photoshop           2        114          1          0
      Powerpoint          1         20          1          0
      Python              1         30          1          0
      SQL                 1         49          1          0
      TCP IP              1          6          1          0
      UML                 2         42          1          0
      VBA                 1         15          1          0
      Visio               1         25          1          0
      VisualBasi          3        136          1          0
      Windows 20          1         56          1          0
      Word                1         30          1          0
      XML                 3        131          1          0
                         79       2835          1          1

85 Zeilen ausgewhlt.


*/