-- GROUPING bei ROLLUP

SELECT K_Bereich                           AS Bereich,
       TO_CHAR(T_Beginn, 'YYYY')           AS Jahr,
       SUM(B_Preis)                        AS Summe,
       GROUPING(K_Bereich)                 AS K,
       GROUPING(TO_CHAR(T_Beginn, 'YYYY')) AS T
  FROM teilnehmer INNER JOIN buchung
    ON buchung.TN_Nr = teilnehmer.TN_Nr
                  INNER JOIN termin
    ON buchung.T_Nr = termin.T_Nr
                  INNER JOIN kurs
    ON kurs.K_Nr = termin.K_Nr
  GROUP BY ROLLUP (TO_CHAR(T_Beginn, 'YYYY'), K_Bereich);

-- Ergebnis
/*

BEREICH                        JAHR      SUMME          K          T
------------------------------ ---- ---------- ---------- ----------
Grafik                         2000      53070          0          0
Office                         2000      13210          0          0
Server                         2000      20236          0          0
Webdesign                      2000      20739          0          0
Datenbanken                    2000      59994          0          0
Programmierung                 2000     231672          0          0
Programmierung(Office)         2000      14622          0          0
                               2000     413543          1          0
Grafik                         2001      25509          0          0
Office                         2001       5648          0          0
Server                         2001       6182          0          0
Webdesign                      2001       9994          0          0
Datenbanken                    2001      46772          0          0
Programmierung                 2001     114038          0          0
Programmierung(Office)         2001       1569          0          0
                               2001     209712          1          0
Grafik                         2002      66031          0          0
Office                         2002      11446          0          0
Server                         2002      14344          0          0
Webdesign                      2002      34445          0          0
Datenbanken                    2002      77338          0          0
Programmierung                 2002     225839          0          0
Programmierung(Office)         2002      13992          0          0
                               2002     443435          1          0
Grafik                         2003     115670          0          0
Office                         2003      14535          0          0
Server                         2003      29094          0          0
Webdesign                      2003      67678          0          0
Datenbanken                    2003     213220          0          0
Programmierung                 2003     566631          0          0
Programmierung(Office)         2003      17811          0          0
                               2003    1024639          1          0
                                       2091329          1          1

33 Zeilen ausgewhlt.


*/