-- Abfrage

SELECT TO_CHAR(T_Beginn, 'MM')     AS Monat,
       K_Bereich                   AS Bereich,
       COUNT(B_Nr)                 AS Zahl,
       GROUPING_ID(K_Bereich,
          TO_CHAR(T_Beginn, 'MM')) AS Ebene
  FROM buchung INNER JOIN termin
    ON buchung.T_Nr = termin.T_Nr
               INNER JOIN kurs
    ON termin.K_Nr = kurs.K_Nr
 GROUP BY GROUPING SETS (ROLLUP(TO_CHAR(T_Beginn, 'MM')),
                         K_Bereich, (TO_CHAR(T_Beginn, 'MM'),
                         K_Bereich));


-- Ergebnis
/*

MO BEREICH                              ZAHL      EBENE
-- ------------------------------ ---------- ----------
01 Grafik                                  4          0
03 Grafik                                 42          0
04 Grafik                                 79          0
05 Grafik                                  6          0
06 Grafik                                 18          0
07 Grafik                                 75          0
08 Grafik                                 38          0
09 Grafik                                112          0
10 Grafik                                  6          0
11 Grafik                                  4          0
04 Office                                 52          0
05 Office                                 22          0
06 Office                                 20          0
09 Office                                 31          0
10 Office                                 21          0
01 Server                                 23          0
05 Server                                  6          0
08 Server                                 32          0
09 Server                                 30          0
02 Webdesign                              47          0
03 Webdesign                              16          0
04 Webdesign                              26          0
05 Webdesign                              31          0
06 Webdesign                              64          0
07 Webdesign                               4          0
08 Webdesign                              28          0
09 Webdesign                               6          0
10 Webdesign                               6          0
11 Webdesign                              12          0
02 Datenbanken                            68          0
03 Datenbanken                            48          0
04 Datenbanken                            55          0
05 Datenbanken                           143          0
06 Datenbanken                            12          0
07 Datenbanken                            19          0
08 Datenbanken                            49          0
09 Datenbanken                             6          0
10 Datenbanken                            84          0
11 Datenbanken                            68          0
12 Datenbanken                             5          0
01 Programmierung                         43          0
02 Programmierung                        111          0
03 Programmierung                         94          0
04 Programmierung                        171          0
05 Programmierung                        141          0
06 Programmierung                        161          0
07 Programmierung                         90          0
08 Programmierung                         83          0
09 Programmierung                         94          0
10 Programmierung                        167          0
11 Programmierung                         47          0
12 Programmierung                        139          0
04 Programmierung(Office)                  6          0
05 Programmierung(Office)                  9          0
07 Programmierung(Office)                  5          0
09 Programmierung(Office)                 30          0
11 Programmierung(Office)                 26          0
   Grafik                                384          1
   Office                                146          1
   Server                                 91          1
   Webdesign                             240          1
   Datenbanken                           557          1
   Programmierung                       1341          1
   Programmierung(Office)                 76          1
01                                        70          2
02                                       226          2
03                                       200          2
04                                       389          2
05                                       358          2
06                                       275          2
07                                       193          2
08                                       230          2
09                                       309          2
10                                       284          2
11                                       157          2
12                                       144          2
                                        2835          3
77 Zeilen ausgewhlt.


*/