-- Duplikate finden

SELECT TO_CHAR(T_Beginn, 'YYYY') AS Zeit,
       SUBSTR(T_Ort,1,10)        AS Ort,
       SUBSTR(K_Bereich,1,10)    AS Bereich,
       COUNT(DISTINCT T_Nr)      AS Termine,       
       COUNT(TN_Nr)              AS Summe,
       GROUP_ID()
  FROM termin NATURAL JOIN buchung
              NATURAL JOIN kurs
  GROUP BY CUBE(TO_CHAR(T_Beginn, 'YYYY'),
               (T_Ort, K_Bereich),
                K_Bereich);

-- Ergebnisse
/*

ZEIT ORT        BEREICH       TERMINE      SUMME GROUP_ID()
---- ---------- ---------- ---------- ---------- ----------
2003 Berlin     Datenbanke          5         22          0
2000 Bochum     Datenbanke         18         95          0
2001 Bochum     Datenbanke         13         66          0
2002 Bochum     Datenbanke         23        110          0
2003 Bochum     Datenbanke         37        199          0
2000 Bochum     Grafik             16         84          0
2001 Bochum     Grafik              8         40          0
2002 Bochum     Grafik             20        101          0
2003 Bochum     Grafik             24        129          0
2000 Bochum     Office             10         46          0
2001 Bochum     Office              5         18          0
2002 Bochum     Office              9         42          0
2003 Bochum     Office              6         34          0
2000 Bochum     Programmie         57        278          0
2001 Bochum     Programmie         25        140          0
2002 Bochum     Programmie         54        262          0
2003 Bochum     Programmie         87        425          0
2000 Bochum     Programmie          5         25          0
2001 Bochum     Programmie          1          3          0
2002 Bochum     Programmie          4         24          0
2003 Bochum     Programmie          5         24          0
2000 Bochum     Server              5         25          0
2001 Bochum     Server              2          8          0
2002 Bochum     Server              4         19          0
2003 Bochum     Server              7         39          0
2000 Bochum     Webdesign          10         42          0
2001 Bochum     Webdesign           5         20          0
2002 Bochum     Webdesign          12         69          0
2003 Bochum     Webdesign          18         98          0
2003 Dortmund   Datenbanke          9         45          0
2003 Dortmund   Grafik              6         30          0
2003 Dortmund   Office              1          6          0
2003 Dortmund   Programmie         28        150          0
2003 Dortmund   Webdesign           2         11          0
2003 Dsseldorf Programmie          3         13          0
2003 Kln       Datenbanke          2         10          0
2002 Kln       Programmie          1          5          0
2003 Kln       Programmie          5         28          0
2003 Leipzig    Programmie          3         15          0
2003 Mnster    Datenbanke          2         10          0
2003 Mnster    Programmie          5         25          0
2003 Berlin     Datenbanke          5         22          1
2000 Bochum     Datenbanke         18         95          1
2001 Bochum     Datenbanke         13         66          1
2002 Bochum     Datenbanke         23        110          1
2003 Bochum     Datenbanke         37        199          1
2000 Bochum     Grafik             16         84          1
2001 Bochum     Grafik              8         40          1
2002 Bochum     Grafik             20        101          1
2003 Bochum     Grafik             24        129          1
2000 Bochum     Office             10         46          1
2001 Bochum     Office              5         18          1
2002 Bochum     Office              9         42          1
2003 Bochum     Office              6         34          1
2000 Bochum     Programmie         57        278          1
2001 Bochum     Programmie         25        140          1
2002 Bochum     Programmie         54        262          1
2003 Bochum     Programmie         87        425          1
2000 Bochum     Programmie          5         25          1
2001 Bochum     Programmie          1          3          1
2002 Bochum     Programmie          4         24          1
2003 Bochum     Programmie          5         24          1
2000 Bochum     Server              5         25          1
2001 Bochum     Server              2          8          1
2002 Bochum     Server              4         19          1
2003 Bochum     Server              7         39          1
2000 Bochum     Webdesign          10         42          1
2001 Bochum     Webdesign           5         20          1
2002 Bochum     Webdesign          12         69          1
2003 Bochum     Webdesign          18         98          1
2003 Dortmund   Datenbanke          9         45          1
2003 Dortmund   Grafik              6         30          1
2003 Dortmund   Office              1          6          1
2003 Dortmund   Programmie         28        150          1
2003 Dortmund   Webdesign           2         11          1
2003 Dsseldorf Programmie          3         13          1
2003 Kln       Datenbanke          2         10          1
2002 Kln       Programmie          1          5          1
2003 Kln       Programmie          5         28          1
2003 Leipzig    Programmie          3         15          1
2003 Mnster    Datenbanke          2         10          1
2003 Mnster    Programmie          5         25          1
     Berlin     Datenbanke          5         22          0
     Bochum     Datenbanke         91        470          0
     Bochum     Grafik             68        354          0
     Bochum     Office             30        140          0
     Bochum     Programmie        223       1105          0
     Bochum     Programmie         15         76          0
     Bochum     Server             18         91          0
     Bochum     Webdesign          45        229          0
     Dortmund   Datenbanke          9         45          0
     Dortmund   Grafik              6         30          0
     Dortmund   Office              1          6          0
     Dortmund   Programmie         28        150          0
     Dortmund   Webdesign           2         11          0
     Dsseldorf Programmie          3         13          0
     Kln       Datenbanke          2         10          0
     Kln       Programmie          6         33          0
     Leipzig    Programmie          3         15          0
     Mnster    Datenbanke          2         10          0
     Mnster    Programmie          5         25          0
     Berlin     Datenbanke          5         22          1
     Bochum     Datenbanke         91        470          1
     Bochum     Grafik             68        354          1
     Bochum     Office             30        140          1
     Bochum     Programmie        223       1105          1
     Bochum     Programmie         15         76          1
     Bochum     Server             18         91          1
     Bochum     Webdesign          45        229          1
     Dortmund   Datenbanke          9         45          1
     Dortmund   Grafik              6         30          1
     Dortmund   Office              1          6          1
     Dortmund   Programmie         28        150          1
     Dortmund   Webdesign           2         11          1
     Dsseldorf Programmie          3         13          1
     Kln       Datenbanke          2         10          1
     Kln       Programmie          6         33          1
     Leipzig    Programmie          3         15          1
     Mnster    Datenbanke          2         10          1
     Mnster    Programmie          5         25          1
2000            Datenbanke         18         95          0
2000            Grafik             16         84          0
2000            Office             10         46          0
2000            Programmie         57        278          0
2000            Programmie          5         25          0
2000            Server              5         25          0
2000            Webdesign          10         42          0
2001            Datenbanke         13         66          0
2001            Grafik              8         40          0
2001            Office              5         18          0
2001            Programmie         25        140          0
2001            Programmie          1          3          0
2001            Server              2          8          0
2001            Webdesign           5         20          0
2002            Datenbanke         23        110          0
2002            Grafik             20        101          0
2002            Office              9         42          0
2002            Programmie         55        267          0
2002            Programmie          4         24          0
2002            Server              4         19          0
2002            Webdesign          12         69          0
2003            Datenbanke         55        286          0
2003            Grafik             30        159          0
2003            Office              7         40          0
2003            Programmie        131        656          0
2003            Programmie          5         24          0
2003            Server              7         39          0
2003            Webdesign          20        109          0
2000                              121        595          0
2001                               59        295          0
2002                              127        632          0
2003                              255       1313          0
                Datenbanke        109        557          0
                Grafik             74        384          0
                Office             31        146          0
                Programmie        268       1341          0
                Programmie         15         76          0
                Server             18         91          0
                Webdesign          47        240          0
                                  562       2835          0

160 Zeilen ausgewhlt.


*/