-- Untergruppen bei Sortierungen

SELECT EXTRACT(YEAR FROM T_BEGINN)  AS Jahr,
       U_Nr                         AS Unternehmen,
       COUNT(B_Nr)                  AS Zahl,
       DENSE_RANK() OVER 
        (PARTITION BY EXTRACT(YEAR FROM T_BEGINN)
         ORDER BY COUNT(B_Nr) DESC) AS Hitparade1
  FROM unternehmen NATURAL JOIN teilnehmer
                   NATURAL JOIN buchung
                   NATURAL JOIN termin
 GROUP BY U_Nr, EXTRACT(YEAR FROM T_BEGINN);


-- Ergebnis
/*

      JAHR UNTERNEHMEN       ZAHL HITPARADE1
---------- ----------- ---------- ----------
      2000           4         12          1
      2000           5         12          1
      2000          74         12          1
      2000         108         12          1
      2000         112         12          1
      2000         103         12          1
      2000          96         12          1
      2000         114         12          1
      2000         194         12          1
      2000           3         10          2
      2000          58         10          2
      2000         245          8          3
      2000           9          6          4
      2000          19          6          4
      2000          27          6          4
      2000          35          6          4
      2000          44          6          4
      2000          90          6          4
      2000          82          6          4
      2000          77          6          4
      2000          73          6          4
      2000          72          6          4
      2000          68          6          4
      2000          63          6          4
      2000          61          6          4
      2000          55          6          4
      2000         146          6          4
      2000         142          6          4
      2000         136          6          4
      2000         123          6          4
      2000         115          6          4
      2000         109          6          4
      2000          98          6          4
      2000          41          6          4
      2000         210          6          4
      2000         209          6          4
      2000         205          6          4
      2000         192          6          4
      2000         185          6          4
      2000         183          6          4
      2000         175          6          4
      2000         170          6          4
      2000         168          6          4
      2000         163          6          4
      2000         152          6          4
      2000          29          6          4
      2000          12          6          4
      2000         274          6          4
      2000         267          6          4
      2000         257          6          4
      2000         254          6          4
      2000         248          6          4
      2000         243          6          4
      2000         240          6          4
      2000         239          6          4
      2000         237          6          4
      2000         222          6          4
      2000         218          6          4
      2000           1          5          5
      2000          76          5          5
      2000         155          5          5
      2000         150          5          5
      2000         265          5          5
      2000         264          5          5
      2000         258          5          5
      2000         250          5          5
      2000         224          5          5
      2000         196          5          5
      2000         198          5          5
      2000         195          5          5
      2000         128          5          5
      2000          28          5          5
      2000          14          4          6
      2000          21          4          6
      2000         242          4          6
      2000         227          4          6
      2000         213          4          6
      2000         191          4          6
      2000         189          4          6
      2000         162          4          6
      2000         145          4          6
      2000         137          4          6
      2000         132          4          6
      2000         122          4          6
      2000          75          4          6
      2000          66          4          6
      2000          57          4          6
      2000          54          4          6
      2000          37          4          6
      2000           6          3          7
      2000          17          3          7
      2000         278          3          7
      2000         271          3          7
      2000         255          3          7
      2000         251          3          7
      2000         231          3          7
      2000         199          3          7
      2000         149          3          7
      2000         147          3          7
      2000          56          3          7
      2000          20          3          7
      2000          33          2          8
      2000         256          2          8
      2000         253          2          8
      2000         126          2          8
      2000         156          1          9
      2001         108         18          1
      2001         163         12          2
      2001         167         12          2
      2001           5          6          3
      2001          35          6          3
      2001          25          6          3
      2001         254          6          3
      2001         237          6          3
      2001         184          6          3
      2001         153          6          3
      2001         151          6          3
      2001         129          6          3
      2001         124          6          3
      2001         119          6          3
      2001         114          6          3
      2001         110          6          3
      2001         107          6          3
      2001         103          6          3
      2001          97          6          3
      2001          90          6          3
      2001          80          6          3
      2001          73          6          3
      2001          68          6          3
      2001         246          6          3
      2001         210          6          3
      2001         193          6          3
      2001         185          6          3
      2001         130          6          3
      2001          44          6          3
      2001           7          5          4
      2001          78          5          4
      2001         201          5          4
      2001         198          5          4
      2001         133          5          4
      2001         111          5          4
      2001          48          5          4
      2001          18          5          4
      2001          60          4          5
      2001          66          4          5
      2001         277          4          5
      2001         217          4          5
      2001         188          4          5
      2001         132          4          5
      2001         127          4          5
      2001         122          4          5
      2001         101          4          5
      2001          29          3          6
      2001         161          3          6
      2001          93          3          6
      2001         147          3          6
      2001          22          2          7
      2001          88          2          7
      2001          43          2          7
      2001         120          2          7
      2001          10          1          8
      2002          25         24          1
      2002         194         18          2
      2002         246         18          2
      2002          30         12          3
      2002         139         12          3
      2002         129         12          3
      2002         190         12          3
      2002         274         12          3
      2002         222         12          3
      2002         192         12          3
      2002         178         12          3
      2002          98         12          3
      2002          77         12          3
      2002         155         10          4
      2002         219         10          4
      2002          95          8          5
      2002         214          8          5
      2002         165          8          5
      2002           4          6          6
      2002         104          6          6
      2002         103          6          6
      2002          97          6          6
      2002          87          6          6
      2002          81          6          6
      2002          72          6          6
      2002          68          6          6
      2002          65          6          6
      2002          61          6          6
      2002         254          6          6
      2002         248          6          6
      2002         244          6          6
      2002         239          6          6
      2002         230          6          6
      2002         209          6          6
      2002         208          6          6
      2002         193          6          6
      2002         183          6          6
      2002         174          6          6
      2002         171          6          6
      2002         153          6          6
      2002         152          6          6
      2002         149          6          6
      2002         134          6          6
      2002         130          6          6
      2002         123          6          6
      2002         119          6          6
      2002         116          6          6
      2002         115          6          6
      2002         110          6          6
      2002         109          6          6
      2002         108          6          6
      2002         105          6          6
      2002          27          6          6
      2002          23          6          6
      2002           9          6          6
      2002           5          6          6
      2002           8          6          6
      2002          47          5          7
      2002          48          5          7
      2002          52          5          7
      2002         264          5          7
      2002         258          5          7
      2002         250          5          7
      2002         201          5          7
      2002         196          5          7
      2002         195          5          7
      2002         158          5          7
      2002         138          5          7
      2002          85          5          7
      2002          83          5          7
      2002          76          5          7
      2002           2          4          8
      2002          31          4          8
      2002          84          4          8
      2002          53          4          8
      2002         277          4          8
      2002         268          4          8
      2002         259          4          8
      2002         252          4          8
      2002         241          4          8
      2002         235          4          8
      2002         204          4          8
      2002         191          4          8
      2002         188          4          8
      2002         173          4          8
      2002         145          4          8
      2002         141          4          8
      2002         127          4          8
      2002          70          3          9
      2002         199          3          9
      2002         206          3          9
      2002         102          3          9
      2002         177          3          9
      2002         146          3          9
      2002         121          3          9
      2002         125          3          9
      2002          22          2         10
      2002          40          2         10
      2002          36          2         10
      2002         272          2         10
      2002         120          2         10
      2002          88          2         10
      2003          65         24          1
      2003         107         24          1
      2003         205         24          1
      2003         193         22          2
      2003         260         20          3
      2003           8         18          4
      2003          63         18          4
      2003         131         18          4
      2003         142         18          4
      2003         207         18          4
      2003         183         18          4
      2003         175         18          4
      2003         103         18          4
      2003          64         18          4
      2003          73         18          4
      2003          42         18          4
      2003         190         17          5
      2003          68         16          6
      2003         179         15          7
      2003         275         15          7
      2003         276         15          7
      2003         116         13          8
      2003         171         13          8
      2003           4         12          9
      2003         134         12          9
      2003         119         12          9
      2003         112         12          9
      2003         109         12          9
      2003         105         12          9
      2003         200         12          9
      2003          92         12          9
      2003          90         12          9
      2003          55         12          9
      2003         238         12          9
      2003         237         12          9
      2003         236         12          9
      2003         229         12          9
      2003         218         12          9
      2003         209         12          9
      2003         208         12          9
      2003         194         12          9
      2003         185         12          9
      2003         170         12          9
      2003         167         12          9
      2003         163         12          9
      2003         153         12          9
      2003         108         11         10
      2003          16         10         11
      2003          59         10         11
      2003         270         10         11
      2003         265         10         11
      2003          18         10         11
      2003          14          8         12
      2003         127          8         12
      2003         172          8         12
      2003         215          8         12
      2003         241          8         12
      2003         259          8         12
      2003         223          8         12
      2003         211          8         12
      2003         181          8         12
      2003         145          8         12
      2003         106          8         12
      2003          44          7         13
      2003         274          7         13
      2003           9          6         14
      2003          35          6         14
      2003          70          6         14
      2003          74          6         14
      2003         115          6         14
      2003         124          6         14
      2003         139          6         14
      2003         168          6         14
      2003         279          6         14
      2003         267          6         14
      2003         257          6         14
      2003         254          6         14
      2003         249          6         14
      2003         248          6         14
      2003         244          6         14
      2003         240          6         14
      2003         239          6         14
      2003         222          6         14
      2003         212          6         14
      2003         210          6         14
      2003         184          6         14
      2003         180          6         14
      2003         174          6         14
      2003         169          6         14
      2003         140          6         14
      2003         129          6         14
      2003         123          6         14
      2003         104          6         14
      2003          87          6         14
      2003          39          6         14
      2003           1          5         15
      2003          28          5         15
      2003         247          5         15
      2003         203          5         15
      2003         201          5         15
      2003         198          5         15
      2003         166          5         15
      2003         157          5         15
      2003         133          5         15
      2003         111          5         15
      2003          99          5         15
      2003          91          5         15
      2003          88          5         15
      2003          86          5         15
      2003          85          5         15
      2003         273          5         15
      2003         258          5         15
      2003         233          5         15
      2003         228          5         15
      2003         224          5         15
      2003         219          5         15
      2003         217          5         15
      2003         187          5         15
      2003          58          5         15
      2003          32          5         15
      2003          24          5         15
      2003           2          4         16
      2003          57          4         16
      2003          31          4         16
      2003          50          4         16
      2003          66          4         16
      2003         204          4         16
      2003         202          4         16
      2003         197          4         16
      2003         188          4         16
      2003         165          4         16
      2003         144          4         16
      2003         141          4         16
      2003         132          4         16
      2003         125          4         16
      2003         268          4         16
      2003         235          4         16
      2003         232          4         16
      2003         122          4         16
      2003         118          4         16
      2003          95          4         16
      2003          84          4         16
      2003          67          4         16
      2003          20          3         17
      2003          38          3         17
      2003          62          3         17
      2003         271          3         17
      2003         263          3         17
      2003         262          3         17
      2003         251          3         17
      2003         225          3         17
      2003         221          3         17
      2003         206          3         17
      2003         186          3         17
      2003         182          3         17
      2003         159          3         17
      2003         147          3         17
      2003         143          3         17
      2003         117          3         17
      2003          45          3         17
      2003          43          2         18
      2003         113          2         18
      2003         272          2         18
      2003          25          1         19
      2003          52          1         19
      2003          97          1         19

429 Zeilen ausgewhlt.


*/