-- Verteilungsfunktion

SELECT SUBSTR(U_Stadt,1,10) AS Stadt,
       COUNT(U_Nr)          AS Zahl,
       RANK() OVER      (ORDER BY COUNT(U_Nr) DESC)
                            AS Hitparade,
       CUME_DIST() OVER (ORDER BY COUNT(U_Nr) ASC)
                            AS Position
  FROM unternehmen
 GROUP BY U_Stadt
 HAVING COUNT(U_Nr) > 2
 ORDER BY COUNT(U_Nr) DESC;

-- Ergebnis
/*
STADT            ZAHL  HITPARADE   POSITION
---------- ---------- ---------- ----------
Dortmund           59          1          1
Bochum             48          2       ,875
Dsseldorf         42          3        ,75
Essen, Ruh         28          4       ,625
Duisburg           20          5         ,5
Hattingen,         11          6       ,375
Berlin              7          7        ,25
Gelsenkirc          7          7        ,25
8 Zeilen ausgewhlt.
*/