-- Quantile

SELECT SUBSTR(U_Stadt,1,15)           AS Stadt,
       COUNT(U_Nr)                    AS Zahl,
       RANK()       OVER (ORDER BY COUNT(U_Nr) DESC)
                                      AS Hitparade1,
       DENSE_RANK() OVER (ORDER BY COUNT(U_Nr) DESC)
                                      AS Hitparade2,
       NTILE(20)    OVER (ORDER BY COUNT(U_Nr) DESC)
                                      AS "20-tile"
  FROM unternehmen
 GROUP BY U_Stadt;

-- Ergebnis
/*


STADT                 ZAHL HITPARADE1 HITPARADE2    20-tile
--------------- ---------- ---------- ---------- ----------
Dortmund                59          1          1          1
Bochum                  48          2          2          1
Dsseldorf              42          3          3          1
Essen, Ruhr             28          4          4          1
Duisburg                20          5          5          2
Hattingen, Ruhr         11          6          6          2
Berlin                   7          7          7          2
Gelsenkirchen            7          7          7          2
Nrnberg, Mitte          2          9          8          3
Wiesbaden                2          9          8          3
Alsbach-Hhnlei          1         11          9          3
Aschheim                 1         11          9          3
Bielefeld                1         11          9          4
Emden, Ostfries          1         11          9          4
Hamm, Westf              1         11          9          4
Hamburg                  1         11          9          4
Halberstadt              1         11          9          5
Haag a d Amper           1         11          9          5
Groschweidnitz          1         11          9          5
Grohelfendorf           1         11          9          6
Glashtten, Tau          1         11          9          6
Gera                     1         11          9          6
Frankfurt am Ma          1         11          9          7
Moers                    1         11          9          7
Merseburg                1         11          9          7
Mering, Schwab           1         11          9          8
Mainz a Rhein            1         11          9          8
Magdeburg                1         11          9          8
Ltzelbach, Ode          1         11          9          9
Lbeck                   1         11          9          9
Ludwigshafen am          1         11          9          9
Lonsee                   1         11          9         10
Wincheringen             1         11          9         10
Vlklingen               1         11          9         10
Usedom                   1         11          9         11
Stuttgart                1         11          9         11
Straubing                1         11          9         11
Schwerin, Meckl          1         11          9         12
Ratingen                 1         11          9         12
Raa-Besenbek             1         11          9         12
Plochingen               1         11          9         13
Plauen, Vogtl            1         11          9         13
Pforzheim                1         11          9         13
Ostseebad Selli          1         11          9         14
Olpe, Biggesee           1         11          9         14
Oldenburg, Oldb          1         11          9         14
Neuberg, Hess            1         11          9         15
Neckarsulm               1         11          9         15
Mnchen                  1         11          9         15
Limburg a d Lah          1         11          9         16
Leipzig                  1         11          9         16
Laichingen               1         11          9         16
Knigstein im T          1         11          9         17
Kassel, Hess             1         11          9         17
Hopsten                  1         11          9         17
Holzminden               1         11          9         18
Hannover                 1         11          9         18
Chemnitz, Sachs          1         11          9         18
Diepensee                1         11          9         19
Chieming                 1         11          9         19
Burscheid, Rhei          1         11          9         19
Birstein                 1         11          9         20
Bernkastel-Kues          1         11          9         20
Bad Drkheim             1         11          9         20

64 Zeilen ausgewhlt.


*/