-- Kumulationsberechnung

SELECT SUBSTR(U_Name,1,10)               AS Unternehmen,
       EXTRACT(YEAR FROM T_Beginn)       AS Jahr,
       TO_CHAR(SUM(B_Preis), 'L999G999') AS Jahresumsatz,
       TO_CHAR(SUM(SUM(B_Preis))
         OVER (PARTITION BY U_Nr
               ORDER BY U_Nr, EXTRACT(YEAR FROM T_Beginn)
               ROWS UNBOUNDED PRECEDING),
                       'L999G999')       AS "Kum. JU"
  FROM buchung NATURAL JOIN termin
               NATURAL JOIN teilnehmer
               NATURAL JOIN unternehmen
 WHERE U_Nr IN (102, 103)
 GROUP BY U_Name, EXTRACT(YEAR FROM T_Beginn), U_Nr
 ORDER BY U_Name, EXTRACT(YEAR FROM T_Beginn);

-- Ergebnis
/*
UNTERNEHME       JAHR JAHRESUMSATZ       Kum. JU
---------- ---------- ------------------ ------------------
Bimsmeier        2002             2.640             2.640
Lux Werbet       2000             9.906             9.906
Lux Werbet       2001             4.890            14.796
Lux Werbet       2002             1.710            16.506
Lux Werbet       2003            13.788            30.294
5 Zeilen ausgewhlt.
*/