-- Zentrierter Durchschnitt

SELECT SUBSTR(T_Ort,1,10)                AS Ort,
       T_Beginn                          AS Datum,
       TO_CHAR(SUM(B_Preis), 'L999G999') AS Monatsumsatz,
       TO_CHAR(AVG(SUM(B_Preis))
         OVER (PARTITION BY T_Ort
               ORDER BY ROUND(T_Beginn, 'MONTH')
               RANGE BETWEEN INTERVAL '2' MONTH PRECEDING
                          AND INTERVAL '2' MONTH FOLLOWING),
                       'L999G999')      AS "2-Monatsschnitt"
  FROM buchung NATURAL JOIN termin
 GROUP BY T_Ort, T_Beginn
 ORDER BY T_Ort, T_Beginn;


-- Ergebnis
/*

ORT        DATUM    MONATSUMSATZ       2-Monatsschnitt
---------- -------- ------------------ ------------------
Berlin     07.02.03             2.640             3.791
Berlin     10.02.03             4.764             3.791
Berlin     16.03.03             3.970             3.791
Berlin     11.08.03             2.640             2.640
Berlin     08.12.03             3.970             3.970
Bochum     18.02.00            10.233             8.509
Bochum     21.02.00            12.116             8.509
Bochum     25.02.00             6.411             8.509
Bochum     12.03.00            10.527             8.509
Bochum     18.03.00             4.028             8.281
Bochum     25.03.00            13.345             8.281
Bochum     02.04.00             5.742             8.281
Bochum     05.04.00             3.078             8.281
Bochum     08.04.00            17.740             8.281
Bochum     11.04.00             4.910             8.281
Bochum     22.04.00             8.680             7.843
Bochum     24.04.00             3.454             7.843
Bochum     29.04.00             3.768             7.843
Bochum     02.05.00            14.295             7.843
Bochum     03.05.00             3.117             7.843
Bochum     06.05.00            13.336             7.843
Bochum     13.05.00             9.876             7.843
Bochum     21.05.00             7.140             7.647
Bochum     27.05.00             7.404             7.647
Bochum     31.05.00             3.528             7.647
Bochum     03.06.00             8.922             7.647
Bochum     10.06.00            10.527             7.647
Bochum     17.06.00            11.030             7.354
Bochum     24.06.00             3.450             7.354
Bochum     27.06.00             1.710             7.354
Bochum     01.07.00             8.250             7.354
Bochum     15.07.00             5.136             7.354
Bochum     22.07.00            13.480             6.980
Bochum     05.08.00             3.450             6.980
Bochum     12.08.00             9.416             6.980
Bochum     16.08.00            10.242             6.579
Bochum     18.08.00             7.576             6.579
Bochum     21.08.00             8.052             6.579
Bochum     26.08.00             1.324             6.579
Bochum     01.09.00             3.639             6.579
Bochum     02.09.00             9.416             6.579
Bochum     14.09.00             8.328             6.579
Bochum     26.09.00             7.802             6.984
Bochum     28.09.00             2.668             6.984
Bochum     30.09.00             6.918             6.984
Bochum     01.10.00             3.084             6.984
Bochum     07.10.00             8.734             6.984
Bochum     11.10.00            11.484             6.984
Bochum     14.10.00             5.742             6.984
Bochum     16.10.00             8.108             7.018
Bochum     21.10.00             6.260             7.018
Bochum     25.10.00             1.062             7.018
Bochum     28.10.00             8.265             7.018
Bochum     15.11.00             3.006             7.018
Bochum     18.11.00             8.052             7.048
Bochum     21.11.00             3.934             7.048
Bochum     25.11.00             7.476             7.048
Bochum     02.12.00             9.570             7.048
Bochum     09.12.00            11.484             7.048
Bochum     16.12.00            13.218             7.420
Bochum     18.02.01             8.340             5.889
Bochum     21.02.01            10.610             5.889
Bochum     25.02.01             4.500             5.889
Bochum     18.03.01             4.785             5.131
Bochum     25.03.01             6.120             5.131
Bochum     05.04.01               780             5.131
Bochum     08.04.01             9.636             5.131
Bochum     11.04.01             3.260             5.131
Bochum     22.04.01             9.188             4.918
Bochum     24.04.01             1.324             4.918
Bochum     29.04.01             1.884             4.918
Bochum     02.05.01             5.352             4.918
Bochum     03.05.01             2.004             4.918
Bochum     06.05.01             9.246             4.918
Bochum     13.05.01             3.970             4.918
Bochum     21.05.01             1.398             4.607
Bochum     27.05.01             3.970             4.607
Bochum     31.05.01             4.764             4.607
Bochum     03.06.01             5.742             4.607
Bochum     10.06.01             5.742             4.607
Bochum     17.06.01             7.082             4.271
Bochum     24.06.01             2.420             4.271
Bochum     27.06.01             1.200             4.271
Bochum     01.07.01             4.500             4.271
Bochum     15.07.01             5.136             4.271
Bochum     22.07.01             6.450             4.072
Bochum     16.08.01             4.764             4.074
Bochum     18.08.01             1.730             4.074
Bochum     21.08.01             4.392             4.074
Bochum     01.09.01             2.370             4.074
Bochum     02.09.01             3.604             4.074
Bochum     26.09.01             3.545             4.051
Bochum     28.09.01             4.500             4.051
Bochum     30.09.01             4.452             4.051
Bochum     01.10.01             4.392             4.051
Bochum     07.10.01             2.640             4.051
Bochum     11.10.01             4.785             4.051
Bochum     16.10.01             4.764             4.015
Bochum     21.10.01             5.742             4.015
Bochum     15.11.01             3.006             4.015
Bochum     18.11.01             2.436             4.230
Bochum     21.11.01             1.569             4.230
Bochum     25.11.01             4.392             4.230
Bochum     02.12.01             5.742             4.230
Bochum     09.12.01             5.742             4.230
Bochum     16.12.01             5.742             6.376
Bochum     18.02.02            14.407             8.754
Bochum     21.02.02            17.955             8.754
Bochum     25.02.02             6.606             8.754
Bochum     12.03.02             4.785             8.754
Bochum     18.03.02             9.770             8.535
Bochum     20.03.02             4.392             8.535
Bochum     25.03.02            10.593             8.535
Bochum     02.04.02             5.742             8.535
Bochum     05.04.02             3.412             8.535
Bochum     08.04.02            12.122             8.535
Bochum     11.04.02             7.824             8.535
Bochum     22.04.02            20.658             8.266
Bochum     24.04.02             1.324             8.266
Bochum     29.04.02             3.454             8.266
Bochum     02.05.02            12.411             8.266
Bochum     03.05.02             4.008             8.266
Bochum     06.05.02            13.725             8.266
Bochum     13.05.02             7.404             8.266
Bochum     21.05.02             5.802             7.910
Bochum     27.05.02             9.528             7.910
Bochum     31.05.02             2.640             7.910
Bochum     03.06.02             6.260             7.910
Bochum     10.06.02            11.484             7.910
Bochum     17.06.02            14.874             7.391
Bochum     24.06.02             3.450             7.391
Bochum     27.06.02             2.910             7.391
Bochum     01.07.02             4.500             7.391
Bochum     15.07.02             9.416             7.391
Bochum     22.07.02            11.664             7.103
Bochum     05.08.02             6.325             7.103
Bochum     12.08.02             7.884             7.103
Bochum     16.08.02             6.390             6.920
Bochum     18.08.02             6.182             6.920
Bochum     21.08.02             7.476             6.920
Bochum     26.08.02             1.044             6.920
Bochum     01.09.02             3.684             6.920
Bochum     02.09.02             7.884             6.920
Bochum     11.09.02             6.238             6.920
Bochum     14.09.02             8.328             6.920
Bochum     26.09.02             5.472             6.934
Bochum     28.09.02             9.000             6.934
Bochum     30.09.02             8.162             6.934
Bochum     01.10.02             6.102             6.934
Bochum     07.10.02             3.970             6.934
Bochum     11.10.02            11.484             6.934
Bochum     14.10.02            10.729             6.934
Bochum     16.10.02             8.108             7.172
Bochum     21.10.02             8.922             7.172
Bochum     25.10.02             1.920             7.172
Bochum     28.10.02             9.528             7.172
Bochum     15.11.02             2.108             7.172
Bochum     18.11.02             6.168             7.476
Bochum     21.11.02             5.664             7.476
Bochum     25.11.02             1.710             7.476
Bochum     02.12.02            10.527             7.476
Bochum     09.12.02            11.484             7.476
Bochum     16.12.02            14.162             6.746
Bochum     06.01.03             5.742             6.746
Bochum     07.01.03            17.066             6.746
Bochum     08.01.03             3.750             6.746
Bochum     13.01.03             6.164             6.746
Bochum     20.01.03             2.232             7.272
Bochum     27.01.03             7.506             7.272
Bochum     03.02.03            15.144             7.272
Bochum     10.02.03             4.764             7.272
Bochum     13.02.03             4.260             7.272
Bochum     17.02.03             3.470             7.156
Bochum     18.02.03             6.159             7.156
Bochum     21.02.03             7.770             7.156
Bochum     24.02.03             5.796             7.156
Bochum     25.02.03             6.606             7.156
Bochum     27.02.03             4.392             7.156
Bochum     03.03.03             5.870             7.156
Bochum     05.03.03             1.664             7.156
Bochum     06.03.03             8.194             7.156
Bochum     10.03.03             6.524             7.156
Bochum     11.03.03             5.742             7.156
Bochum     16.03.03             4.764             6.415
Bochum     18.03.03             3.180             6.415
Bochum     24.03.03             4.260             6.415
Bochum     25.03.03            10.550             6.415
Bochum     26.03.03             4.392             6.415
Bochum     27.03.03            12.180             6.415
Bochum     01.04.03            15.768             6.415
Bochum     07.04.03             9.416             6.415
Bochum     08.04.03             4.500             6.415
Bochum     10.04.03            10.662             6.415
Bochum     13.04.03             2.370             6.415
Bochum     14.04.03            15.749             6.415
Bochum     16.04.03             9.045             6.503
Bochum     17.04.03             8.892             6.503
Bochum     21.04.03             2.988             6.503
Bochum     22.04.03            19.824             6.503
Bochum     24.04.03             1.884             6.503
Bochum     28.04.03             8.234             6.503
Bochum     29.04.03             1.570             6.503
Bochum     01.05.03             4.028             6.503
Bochum     02.05.03             3.853             6.503
Bochum     05.05.03             5.943             6.503
Bochum     06.05.03             9.246             6.503
Bochum     07.05.03             8.291             6.503
Bochum     08.05.03             6.990             6.503
Bochum     13.05.03             4.764             6.503
Bochum     16.05.03             4.452             6.493
Bochum     20.05.03             1.884             6.493
Bochum     21.05.03             3.236             6.493
Bochum     22.05.03             4.260             6.493
Bochum     27.05.03             8.108             6.493
Bochum     29.05.03             9.156             6.493
Bochum     02.06.03             6.990             6.493
Bochum     03.06.03             4.028             6.493
Bochum     04.06.03             2.420             6.493
Bochum     07.06.03             3.006             6.493
Bochum     09.06.03             5.825             6.493
Bochum     10.06.03             5.742             6.493
Bochum     12.06.03             4.260             6.493
Bochum     16.06.03            12.126             5.699
Bochum     17.06.03             9.192             5.699
Bochum     19.06.03             8.686             5.699
Bochum     23.06.03            13.476             5.699
Bochum     24.06.03             3.450             5.699
Bochum     27.06.03             4.764             5.699
Bochum     01.07.03             9.480             5.699
Bochum     02.07.03             4.500             5.699
Bochum     04.07.03             4.392             5.699
Bochum     10.07.03             2.572             5.699
Bochum     15.07.03             5.136             5.699
Bochum     21.07.03             1.664             5.318
Bochum     22.07.03            10.678             5.318
Bochum     28.07.03             6.890             5.318
Bochum     04.08.03             6.350             5.318
Bochum     05.08.03             3.450             5.318
Bochum     11.08.03             3.970             5.318
Bochum     12.08.03             5.136             5.318
Bochum     14.08.03             3.970             5.318
Bochum     18.08.03             9.356             5.311
Bochum     20.08.03             4.392             5.311
Bochum     25.08.03             4.155             5.311
Bochum     26.08.03             1.324             5.311
Bochum     28.08.03             2.370             5.311
Bochum     01.09.03             4.904             5.311
Bochum     02.09.03             4.280             5.311
Bochum     11.09.03             3.666             5.311
Bochum     13.09.03             1.748             5.311
Bochum     14.09.03             4.164             5.311
Bochum     17.09.03             8.250             4.690
Bochum     20.09.03             4.028             4.690
Bochum     24.09.03            10.673             4.690
Bochum     25.09.03             1.884             4.690
Bochum     28.09.03             3.750             4.690
Bochum     29.09.03             4.644             4.690
Bochum     30.09.03             3.124             4.690
Bochum     01.10.03             3.084             4.690
Bochum     07.10.03             3.970             4.690
Bochum     09.10.03             6.368             4.690
Bochum     10.10.03             6.990             4.690
Bochum     13.10.03             8.792             4.690
Bochum     14.10.03             3.873             4.690
Bochum     15.10.03             4.764             4.690
Bochum     20.10.03             9.169             4.665
Bochum     21.10.03            11.484             4.665
Bochum     24.10.03             1.128             4.665
Bochum     27.10.03             4.392             4.665
Bochum     29.10.03             4.392             4.665
Bochum     03.11.03             3.450             4.665
Bochum     06.11.03             4.644             4.665
Bochum     10.11.03             1.852             4.665
Bochum     13.11.03             3.550             4.665
Bochum     14.11.03             3.006             4.665
Bochum     17.11.03             4.028             4.845
Bochum     18.11.03             4.392             4.845
Bochum     20.11.03             1.569             4.845
Bochum     24.11.03             3.344             4.845
Bochum     25.11.03             3.660             4.845
Bochum     26.11.03             4.392             4.845
Bochum     02.12.03             4.028             4.845
Bochum     08.12.03             7.533             4.845
Bochum     09.12.03             4.028             4.845
Bochum     15.12.03             3.156             4.845
Bochum     16.12.03             8.178             4.542
Dortmund   01.01.03             6.990             4.927
Dortmund   04.01.03             4.392             4.927
Dortmund   24.02.03             4.500             4.745
Dortmund   03.03.03             4.785             4.745
Dortmund   10.03.03             3.970             4.745
Dortmund   07.04.03             5.825             4.609
Dortmund   16.04.03             3.084             5.098
Dortmund   24.04.03             5.010             5.098
Dortmund   05.05.03             4.890             5.098
Dortmund   08.05.03             3.006             5.098
Dortmund   12.05.03             5.742             5.098
Dortmund   19.05.03             3.970             5.054
Dortmund   02.06.03             4.785             5.054
Dortmund   10.06.03             5.742             5.054
Dortmund   16.06.03             4.500             5.220
Dortmund   23.06.03             9.876             5.220
Dortmund   03.07.03             4.280             5.220
Dortmund   07.07.03             7.608             5.220
Dortmund   17.07.03             2.358             5.363
Dortmund   11.08.03             5.136             5.363
Dortmund   18.08.03             3.870             5.335
Dortmund   25.08.03             9.750             5.335
Dortmund   28.08.03             4.392             5.335
Dortmund   01.09.03             7.533             5.335
Dortmund   03.09.03             3.156             5.335
Dortmund   04.09.03             5.136             5.335
Dortmund   06.09.03             4.028             5.335
Dortmund   15.09.03             6.990             5.335
Dortmund   17.09.03             3.786             5.155
Dortmund   22.09.03             4.764             5.155
Dortmund   27.09.03             4.500             5.155
Dortmund   06.10.03             8.480             5.155
Dortmund   13.10.03             3.344             5.155
Dortmund   20.10.03             4.392             5.304
Dortmund   27.10.03             4.164             5.304
Dortmund   24.11.03             4.764             5.083
Dortmund   26.11.03             3.604             5.083
Dortmund   01.12.03             4.500             5.083
Dortmund   08.12.03             9.615             5.083
Dsseldorf 16.06.03             4.392             3.619
Dsseldorf 17.08.03             2.436             3.619
Dsseldorf 20.08.03             4.028             3.619
Kln       20.11.02             3.660             3.660
Kln       14.04.03             4.500             4.500
Kln       16.06.03             3.660             4.701
Kln       17.08.03             3.660             4.430
Kln       20.08.03             5.742             4.430
Kln       06.09.03             5.742             4.430
Kln       10.11.03             3.344             4.550
Kln       24.11.03             4.260             3.802
Leipzig    12.05.03             3.180             4.461
Leipzig    14.07.03             5.742             5.304
Leipzig    15.09.03             6.990             6.366
Mnster    12.05.03             4.028             7.111
Mnster    14.07.03            10.194             5.553
Mnster    17.07.03             3.084             5.680
Mnster    15.09.03             4.904             5.680
Mnster    01.10.03             5.825             4.551
Mnster    04.10.03             4.392             4.551

345 Zeilen ausgewhlt.


*/