-- Verschachtelung mit abgeleiteten Tabellen

SELECT Termin, Titel, Umsatz
  FROM (SELECT SUBSTR(K_Titel||' '||K_Untertitel,1,15)
                                             AS Titel,
               T_Nr                          AS Termin,
               SUM(B_Preis)                  AS Umsatz,
               MIN(SUM(B_Preis))
               OVER (partition BY K_Bereich) AS MINUmsatz
          FROM buchung NATURAL JOIN termin
                       NATURAL JOIN kurs
         GROUP BY K_Bereich, K_Titel||' '||K_Untertitel, T_Nr)
 WHERE Umsatz = MINUmsatz;


-- Ergebnis
/*
    TERMIN TITEL               UMSATZ
---------- --------------- ----------
       308 Access Analyse        1044
       182 Fireworks Webgr       1314
       293 Fireworks Webgr       1314
       309 Freehand Grafik       1314
       171 Outlook Kommuni        230
       108 PHP Syntax + Ko        920
       131 Outlook VBA-Pro       1102
       187 Windows 2000 Se       1730
       303 Windows 2000 Se       1730
       155 HTML Webdesign         780
10 Zeilen ausgewhlt.
*/