-- Bereichsaggregate

SELECT SUBSTR(K_Titel||' '||K_Untertitel,1,15)
                                             AS Titel,
               T_Nr                          AS Termin,
               B_Preis                       AS Einzel,
               SUM(B_Preis)                  AS Umsatz,
               MIN(SUM(B_Preis))
               OVER (partition BY K_Bereich) AS MINUmsatz
          FROM buchung NATURAL JOIN termin
                       NATURAL JOIN kurs
         GROUP BY K_Bereich, K_Titel||' '||K_Untertitel,
                  T_Nr, B_Preis;

-- Ergebnis
/*
TITEL               TERMIN     EINZEL     UMSATZ  MINUMSATZ
--------------- ---------- ---------- ---------- ----------
Access Analyse          44        314       1884       1044
Access Analyse          46        314       1884       1044
Access Analyse          94        331       1324       1044
Access Analyse         165        331       1324       1044
Access Analyse         258        314       1884       1044
Access Analyse         308        348       1044       1044
Access Analyse         563        331       1324       1044
Access Datenban         41        314       1884       1044
Access Datenban         42        314       1884       1044
Access Datenban        163        314       1884       1044
Access Datenban        255        314       1570       1044
Access Datenban        256        314       1884       1044
Access Datenban        456        314       1570       1044
Access Datenban        478        314       1884       1044
Access VBA-Prog          9        710       3550       1044
Access VBA-Prog         50        710       3550       1044
Access VBA-Prog         52        710       4260       1044
Access VBA-Prog        146        710       4260       1044
Access VBA-Prog        168        710       4260       1044
Access VBA-Prog        219        710       4260       1044
Access VBA-Prog        222        710       4260       1044
Access VBA-Prog        264        747       2988       1044
Access VBA-Prog        266        747       2988       1044
Access VBA-Prog        466        710       4260       1044
Access VBA-Prog        481        710       4260       1044
MS SQL-Server D        433        742       3710       1044
MS SQL-Server D        527        742       4452       1044
MS SQL-Server T        442        732       4392       1044
MS SQL-Server T        532        771       3084       1044
MySQL DB-Admini        129        732       3660       1044
MySQL DB-Admini        130        732       4392       1044
MySQL DB-Admini        133        732       4392       1044
MySQL DB-Admini        134        771       3084       1044
MySQL DB-Admini        207        812       2436       1044
MySQL DB-Admini        209        732       4392       1044
MySQL DB-Admini        343        771       3084       1044
MySQL DB-Admini        344        771       3084       1044
MySQL DB-Admini        349        855       1710       1044
MySQL DB-Admini        376        732       3660       1044
MySQL DB-Admini        394        732       4392       1044
MySQL DB-Admini        417        732       3660       1044
MySQL DB-Admini        441        771       3084       1044
MySQL DB-Admini        487        732       4392       1044
MySQL DB-Admini        564        732       4392       1044
MySQL DB-Admini        632        732       4392       1044
MySQL DB-Admini        639        732       3660       1044
Oracle Architek         59        794       4764       1044
Oracle Architek        119        794       4764       1044
Oracle Architek        120        836       3344       1044
Oracle Architek        169        794       3970       1044
Oracle Architek        173        794       4764       1044
Oracle Architek        202        794       4764       1044
Oracle Architek        220        794       4764       1044
Oracle Architek        267        880       2640       1044
Oracle Architek        268        794       4764       1044
Oracle Architek        275        880       2640       1044
Oracle Architek        333        836       3344       1044
Oracle Architek        334        794       4764       1044
Oracle Architek        339        794       4764       1044
Oracle Architek        340        794       4764       1044
Oracle Architek        380        794       4764       1044
Oracle Architek        381        794       4764       1044
Oracle Architek        388        794       4764       1044
Oracle Architek        391        880       2640       1044
Oracle Architek        402        794       3970       1044
Oracle Architek        475        794       4764       1044
Oracle Architek        486        794       4764       1044
Oracle Architek        611        794       4764       1044
Oracle DB-Admin        113        794       3970       1044
Oracle DB-Admin        114        794       4764       1044
Oracle DB-Admin        199        880       2640       1044
Oracle DB-Admin        327        794       3970       1044
Oracle DB-Admin        401        836       3344       1044
Oracle DB-Admin        602        794       3970       1044
Oracle DB-Admin        609        836       3344       1044
Oracle DB-Admin        626        836       3344       1044
Oracle DB-Admin        627        926       1852       1044
Oracle DB-Admin        644        794       3970       1044
Oracle Designer        542        836       3344       1044
Oracle Designer        546        880       2640       1044
Oracle Designer        547        794       3970       1044
Oracle Designer        562        794       4764       1044
Oracle Networki        586        794       4764       1044
Oracle Networki        608        794       4764       1044
Oracle PL/SQL-P        147        836       3344       1044
Oracle PL/SQL-P        172        794       3970       1044
Oracle PL/SQL-P        273        794       4764       1044
Oracle PL/SQL-P        274        794       4764       1044
Oracle PL/SQL-P        378        880       2640       1044
Oracle PL/SQL-P        436        794       4764       1044
Oracle PL/SQL-P        477        794       3970       1044
Oracle PL/SQL-P        484        794       4764       1044
Oracle XML-Konz         60        880       2640       1044
Oracle XML-Konz        186        794       4764       1044
Oracle XML-Konz        301        880       2640       1044
Oracle XML-Konz        406        794       3970       1044
Oracle XML-Konz        407        794       4764       1044
Oracle XML-Konz        516        794       4764       1044
Oracle XML-Konz        525        794       4764       1044
Oracle XML-Konz        551        794       3970       1044
SQL DDL, DML +         400        710       3550       1044
SQL DDL, DML +         410        710       4260       1044
SQL DDL, DML +         418        710       4260       1044
SQL DDL, DML +         419        710       4260       1044
SQL DDL, DML +         499        710       4260       1044
SQL DDL, DML +         533        786       2358       1044
SQL DDL, DML +         604        710       4260       1044
SQL DDL, DML +         628        710       3550       1044
SQL DDL, DML +         635        710       4260       1044
Director Author        509        856       5136       1314
Fireworks Webgr         20        395       2370       1314
Fireworks Webgr         22        395       1975       1314
Fireworks Webgr         79        395       2370       1314
Fireworks Webgr         81        395       2370       1314
Fireworks Webgr        103        395       2370       1314
Fireworks Webgr        105        416       1664       1314
Fireworks Webgr        153        395       2370       1314
Fireworks Webgr        182        438       1314       1314
Fireworks Webgr        194        395       1975       1314
Fireworks Webgr        234        395       2370       1314
Fireworks Webgr        236        395       1975       1314
Fireworks Webgr        293        438       1314       1314
Fireworks Webgr        295        395       2370       1314
Fireworks Webgr        317        395       2370       1314
Fireworks Webgr        319        395       2370       1314
Fireworks Webgr        398        416       1664       1314
Fireworks Webgr        412        416       1664       1314
Fireworks Webgr        537        395       2370       1314
Fireworks Webgr        565        395       2370       1314
Fireworks Webgr        588        416       1664       1314
Flash Animation         37        901       3604       1314
Flash Animation         85        856       5136       1314
Flash Animation         86        856       4280       1314
Flash Animation         97        856       4280       1314
Flash Animation         98        856       5136       1314
Flash Animation        160        901       3604       1314
Flash Animation        191        901       3604       1314
Flash Animation        248        856       5136       1314
Flash Animation        251        856       5136       1314
Flash Animation        299        901       3604       1314
Flash Animation        300        856       4280       1314
Flash Animation        311        901       3604       1314
Flash Animation        312        856       4280       1314
Flash Animation        426        856       4280       1314
Flash Animation        446        856       4280       1314
Flash Animation        500        856       5136       1314
Flash Animation        550        856       5136       1314
Flash Animation        570        856       4280       1314
Flash Animation        572        856       5136       1314
Freehand Grafik         95        416       1664       1314
Freehand Grafik         96        395       1975       1314
Freehand Grafik        190        395       2370       1314
Freehand Grafik        309        438       1314       1314
Freehand Grafik        310        395       2370       1314
Freehand Grafik        369        416       1664       1314
Freehand Grafik        432        395       2370       1314
Freehand Grafik        536        416       1664       1314
Illustrator Gra        430        611       3666       1314
Illustrator Gra        526        643       2572       1314
Pagemaker Satzt        313        643       2572       1314
Pagemaker Satzt        314        611       3666       1314
Pagemaker Satzt        575        611       3666       1314
Photoshop Bildb         28        856       5136       1314
Photoshop Bildb         30        901       3604       1314
Photoshop Bildb         78        856       5136       1314
Photoshop Bildb        157        856       5136       1314
Photoshop Bildb        181        856       5136       1314
Photoshop Bildb        242        856       4280       1314
Photoshop Bildb        244        901       3604       1314
Photoshop Bildb        291        856       4280       1314
Photoshop Bildb        292        856       5136       1314
Photoshop Bildb        413        856       5136       1314
Photoshop Bildb        421        856       5136       1314
Photoshop Bildb        508        856       5136       1314
Photoshop Bildb        531        856       5136       1314
Photoshop Bildb        601        856       5136       1314
Photoshop Korre        424        856       5136       1314
Photoshop Korre        467        856       5136       1314
Photoshop Korre        522        856       4280       1314
Photoshop Korre        524        948       2844       1314
Photoshop Korre        549        856       5136       1314
Photoshop Korre        590        856       5136       1314
Photoshop Korre        641        901       3604       1314
Excel Datenanal         39        314       1570        230
Excel Datenanal         40        314       1884        230
Excel Datenanal        162        331       1324        230
Excel Datenanal        254        331       1324        230
Excel Datenanal        451        314       1884        230
Excel Datenvera         33        348       1044        230
Excel Datenvera         36        348       1044        230
Excel Datenvera        159        331       1324        230
Excel Datenvera        247        314       1884        230
Excel Datenvera        250        314       1884        230
Excel Datenvera        445        314       1570        230
InDesign Satzte        468        631       3155        230
InDesign Satzte        584        631       3786        230
Outlook Kommuni         56        188       1128        230
Outlook Kommuni        123        219        438        230
Outlook Kommuni        124        208        624        230
Outlook Kommuni        171        230        230        230
Outlook Kommuni        272        198        792        230
Outlook Kommuni        337        188       1128        230
Outlook Kommuni        338        198        792        230
Outlook Kommuni        480        188       1128        230
Outlook Kommuni        618        188       1128        230
Powerpoint Prs         73        285       1710        230
Powerpoint Prs        179        300       1200        230
Powerpoint Prs        287        285       1710        230
Powerpoint Prs        288        300       1200        230
Visio Grafikers        104        314       1884        230
Visio Grafikers        106        314       1884        230
Visio Grafikers        195        314       1570        230
Visio Grafikers        320        366        732        230
Visio Grafikers        591        314       1884        230
ASP.NET Syntax          31        722       2166        920
ASP.NET Syntax          32        686       2744        920
ASP.NET Syntax         158        652       3260        920
ASP.NET Syntax         245        652       3912        920
ASP.NET Syntax         246        652       3912        920
ASP.NET Syntax         429        652       3912        920
ActionScript PH         10        732       4392        920
ActionScript PH        139        732       4392        920
ActionScript PH        141        771       3084        920
ActionScript PH        356        732       4392        920
ActionScript PH        652        812       2436        920
ActionScript Sy        111        771       3084        920
ActionScript Sy        198        732       4392        920
ActionScript Sy        325        855       1710        920
ActionScript Sy        326        732       4392        920
ActionScript Sy        596        771       3084        920
C sharp Syntax          49        921       2763        920
C sharp Syntax          51        921       2763        920
C sharp Syntax          53        831       4986        920
C sharp Syntax         167        831       4986        920
C sharp Syntax         263        831       4986        920
C sharp Syntax         265        921       2763        920
C sharp Syntax         465        831       4986        920
C++ COM/ATL            569       1226       4904        920
C++ MFC (Window         15        957       4785        920
C++ MFC (Window         16        957       5742        920
C++ MFC (Window         63       1060       3180        920
C++ MFC (Window         64        957       5742        920
C++ MFC (Window        174        957       5742        920
C++ MFC (Window        228        957       4785        920
C++ MFC (Window        277       1116       2232        920
C++ MFC (Window        278       1007       4028        920
C++ MFC (Window        404        957       5742        920
C++ MFC (Window        464       1060       3180        920
C++ MFC (Window        492       1007       4028        920
C++ Multithread        494        501       3006        920
C++ Syntax + Ko         17       1007       4028        920
C++ Syntax + Ko         65        957       5742        920
C++ Syntax + Ko         66        957       4785        920
C++ Syntax + Ko        142        957       5742        920
C++ Syntax + Ko        151        957       4785        920
C++ Syntax + Ko        175        957       5742        920
C++ Syntax + Ko        213        957       5742        920
C++ Syntax + Ko        230        957       5742        920
C++ Syntax + Ko        231       1007       4028        920
C++ Syntax + Ko        279        957       5742        920
C++ Syntax + Ko        280        957       5742        920
C++ Syntax + Ko        355        957       5742        920
C++ Syntax + Ko        357       1007       4028        920
C++ Syntax + Ko        370       1116       2232        920
C++ Syntax + Ko        403       1060       3180        920
C++ Syntax + Ko        409       1060       3180        920
C++ Syntax + Ko        496        957       5742        920
C++ Syntax + Ko        585       1007       4028        920
C++ Syntax + Ko        653        957       5742        920
Delphi Anwendun        504       1165       6990        920
Delphi Datenban        450        830       2490        920
Delphi Programm        495       1165       5825        920
Delphi Syntax +        368        750       4500        920
Delphi Syntax +        443        750       4500        920
Delphi Syntax +        576        874       1748        920
Java Datenbankp        425       1165       5825        920
Java Datenbankp        469       1165       6990        920
Java Datenbankp        605       1165       6990        920
Java Datenbankp        646       1291       3873        920
Java Datenbankp        647       1291       3873        920
Java Designpatt         11        750       4500        920
Java Designpatt        148        750       4500        920
Java Designpatt        226        789       3156        920
Java Designpatt        389        789       3156        920
Java Designpatt        390        750       4500        920
Java Designpatt        392        789       3156        920
Java Designpatt        642        750       4500        920
Java Designpatt        651        789       3156        920
Java Enterprise        462        921       2763        920
Java Enterprise        490        831       4986        920
Java Enterprise        512        831       4986        920
Java Enterprise        560        831       4155        920
Java Enterprise        561        831       4986        920
Java Java Serve        125        732       4392        920
Java Java Serve        414        732       4392        920
Java Java Serve        615        732       4392        920
Java Java Serve        619        732       4392        920
Java Java Serve        640        732       4392        920
Java Java fr O        599        836       3344        920
Java Java fr O        614        836       3344        920
Java Java fr O        636        836       3344        920
Java Java fr O        637        794       4764        920
Java Kochrezept        126       1291       3873        920
Java Kochrezept        331       1226       4904        920
Java Kochrezept        332       1165       5825        920
Java Kochrezept        520       1165       6990        920
Java Kochrezept        567       1291       3873        920
Java Kochrezept        610       1291       3873        920
Java Kochrezept        612       1165       5825        920
Java Netzwerke         631       1007       4028        920
Java Netzwerke         648        957       5742        920
Java Servlets            1        858       3432        920
Java Servlets            3        815       4890        920
Java Servlets           54        815       4890        920
Java Servlets          143        815       4890        920
Java Servlets          214        858       3432        920
Java Servlets          216        815       4075        920
Java Servlets          384        903       2709        920
Java Servlets          422        815       4890        920
Java Servlets          463        815       4890        920
Java Servlets          510        815       4890        920
Java Servlets          511        815       4890        920
Java Syntax + K         23        957       5742        920
Java Syntax + K         43        957       4785        920
Java Syntax + K         45        957       5742        920
Java Syntax + K         67       1007       4028        920
Java Syntax + K         69       1060       3180        920
Java Syntax + K        135        957       4785        920
Java Syntax + K        136        957       4785        920
Java Syntax + K        164       1007       4028        920
Java Syntax + K        176        957       5742        920
Java Syntax + K        210        957       5742        920
Java Syntax + K        237        957       5742        920
Java Syntax + K        257        957       4785        920
Java Syntax + K        259        957       5742        920
Java Syntax + K        281        957       5742        920
Java Syntax + K        283       1116       2232        920
Java Syntax + K        350        957       4785        920
Java Syntax + K        351        957       5742        920
Java Syntax + K        360        957       5742        920
Java Syntax + K        377        957       5742        920
Java Syntax + K        396        957       4785        920
Java Syntax + K        420        957       5742        920
Java Syntax + K        448        957       5742        920
Java Syntax + K        458       1007       4028        920
Java Syntax + K        505        957       5742        920
Java Syntax + K        573       1007       4028        920
Java Syntax + K        574        957       5742        920
Java Syntax + K        643       1007       4028        920
JavaScript Synt         35        747       2988        920
JavaScript Synt        161        710       4260        920
JavaScript Synt        249        786       2358        920
JavaScript Synt        252        710       4260        920
JavaScript Synt        444        747       2988        920
PHP Kochrezepte        118        957       5742        920
PHP Kochrezepte        137        957       5742        920
PHP Kochrezepte        138        957       5742        920
PHP Kochrezepte        211        957       5742        920
PHP Kochrezepte        352        957       5742        920
PHP Kochrezepte        353        957       5742        920
PHP Kochrezepte        498        957       5742        920
PHP Kochrezepte        558       1007       4028        920
PHP Kochrezepte        559        957       5742        920
PHP Kochrezepte        617        957       5742        920
PHP Kochrezepte        650       1007       4028        920
PHP MySQL Progr         91        732       3660        920
PHP MySQL Progr         92        732       4392        920
PHP MySQL Progr        188        732       4392        920
PHP MySQL Progr        232        732       4392        920
PHP MySQL Progr        305        771       3084        920
PHP MySQL Progr        306        732       4392        920
PHP MySQL Progr        345        732       3660        920
PHP MySQL Progr        552        812       2436        920
PHP MySQL Progr        553        732       3660        920
PHP MySQL Progr        557        732       4392        920
PHP MySQL Progr        568        732       3660        920
PHP Syntax + Ko         19        750       4500        920
PHP Syntax + Ko         21        750       4500        920
PHP Syntax + Ko         75        750       4500        920
PHP Syntax + Ko         76        750       3750        920
PHP Syntax + Ko        107        874       1748        920
PHP Syntax + Ko        108        920        920        920
PHP Syntax + Ko        152        750       3750        920
PHP Syntax + Ko        180        750       4500        920
PHP Syntax + Ko        196        750       4500        920
PHP Syntax + Ko        233        874       1748        920
PHP Syntax + Ko        235        750       4500        920
PHP Syntax + Ko        290        750       4500        920
PHP Syntax + Ko        321        750       4500        920
PHP Syntax + Ko        322        750       4500        920
PHP Syntax + Ko        367        750       3750        920
PHP Syntax + Ko        372        750       4500        920
PHP Syntax + Ko        411        750       3750        920
PHP Syntax + Ko        435        750       4500        920
PHP Syntax + Ko        517        830       2490        920
PHP Syntax + Ko        521        750       4500        920
PHP Syntax + Ko        571        789       3156        920
PHP Syntax + Ko        592        750       4500        920
PHP Syntax + Ko        593        750       3750        920
PHP Webanwendun        501        732       4392        920
PHP Webanwendun        502        732       3660        920
PHP Webanwendun        649        732       3660        920
Perl Module pro        382        710       4260        920
Perl Netzwerkpr        439        710       4260        920
Perl Perl + CGI        582        750       3750        920
Perl Programmie        461        489       2445        920
Perl Syntax + K         27        750       4500        920
Perl Syntax + K         29        750       4500        920
Perl Syntax + K        156        750       4500        920
Perl Syntax + K        241        874       1748        920
Perl Syntax + K        243        830       2490        920
Perl Syntax + K        302        750       3750        920
Perl Syntax + K        427        750       4500        920
Perl Syntax + K        437        830       2490        920
Perl Systemadmi        507        710       3550        920
Python Syntax +         80        901       3604        920
Python Syntax +         82        856       5136        920
Python Syntax +        183        856       5136        920
Python Syntax +        294        948       2844        920
Python Syntax +        296        856       5136        920
Python Syntax +        538        856       4280        920
UML Konzepte un        358       1165       6990        920
UML Konzepte un        589       1291       3873        920
UML Konzepte un        597       1165       5825        920
UML Objektorien        359        732       4392        920
UML Objektorien        431        771       3084        920
UML Objektorien        523        732       4392        920
UML Objektorien        598        732       4392        920
UML Objektorien        622        732       4392        920
VisualBasic Koc        556       1226       4904        920
VisualBasic Koc        579       1226       4904        920
VisualBasic Koc        580       1165       6990        920
VisualBasic Koc        581       1165       6990        920
VisualBasic OOP        121       1116       2232        920
VisualBasic OOP        122       1007       4028        920
VisualBasic OOP        203        957       5742        920
VisualBasic OOP        335       1060       3180        920
VisualBasic OOP        336        957       5742        920
VisualBasic OOP        440        957       4785        920
VisualBasic OOP        447        957       5742        920
VisualBasic OOP        528        957       5742        920
VisualBasic OOP        530        957       5742        920
VisualBasic OOP        539       1007       4028        920
VisualBasic OOP        616        957       5742        920
VisualBasic Syn        115        957       5742        920
VisualBasic Syn        116        957       5742        920
VisualBasic Syn        200        957       4785        920
VisualBasic Syn        329        957       5742        920
VisualBasic Syn        330        957       5742        920
VisualBasic Syn        375        957       5742        920
VisualBasic Syn        438        957       4785        920
VisualBasic Syn        472       1007       4028        920
VisualBasic Syn        473        957       5742        920
VisualBasic Syn        474       1060       3180        920
VisualBasic Syn        491        957       4785        920
VisualBasic Syn        606       1007       4028        920
XML Syntax               5        584       1168        920
XML Syntax               8        501       3006        920
XML Syntax              55        501       3006        920
XML Syntax              57        501       3006        920
XML Syntax             128        501       3006        920
XML Syntax             145        501       3006        920
XML Syntax             170        584       1168        920
XML Syntax             206        501       3006        920
XML Syntax             218        555       1665        920
XML Syntax             221        501       3006        920
XML Syntax             269        501       2505        920
XML Syntax             271        501       2505        920
XML Syntax             342        527       2108        920
XML Syntax             373        501       3006        920
XML Syntax             387        501       3006        920
XML Syntax             452        501       2505        920
XML Syntax             453        501       2505        920
XML Syntax             479        527       2108        920
XML Syntax             603        527       2108        920
XML Syntax             629        501       3006        920
XML XMLSpy              87        750       4500        920
XML XMLSpy             503        750       4500        920
XML XMLSpy             583        750       4500        920
XML XSLT                62        584       1168        920
XML XSLT               470        501       3006        920
XML XSLT               543        501       3006        920
Outlook VBA-Pro         61        472       2360       1102
Outlook VBA-Pro        131        551       1102       1102
Outlook VBA-Pro        132        472       2832       1102
Outlook VBA-Pro        208        523       1569       1102
Outlook VBA-Pro        346        472       2832       1102
Outlook VBA-Pro        347        472       2832       1102
Outlook VBA-Pro        634        523       1569       1102
VBA XML-Konzept        454        794       4764       1102
VBA XML-Konzept        485        836       3344       1102
VBA XML-Konzept        540        794       3970       1102
Word VBA-Progra        101        694       4164       1102
Word VBA-Progra        102        694       4164       1102
Word VBA-Progra        315        694       4164       1102
Word VBA-Progra        316        694       4164       1102
Word VBA-Progra        578        694       4164       1102
MS Exchange Adm        361        742       4452       1730
MS Exchange Adm        363        742       4452       1730
MS Exchange Adm        364        742       3710       1730
MS Exchange Adm        365        742       4452       1730
MS Exchange Adm        476        742       4452       1730
TCP IP TCP/IP 2         88        957       5742       1730
Windows 2000 Se         89        742       4452       1730
Windows 2000 Se         90        781       3124       1730
Windows 2000 Se        109        822       2466       1730
Windows 2000 Se        110        742       4452       1730
Windows 2000 Se        187        865       1730       1730
Windows 2000 Se        197        742       4452       1730
Windows 2000 Se        303        865       1730       1730
Windows 2000 Se        304        742       4452       1730
Windows 2000 Se        323        742       3710       1730
Windows 2000 Se        324        742       4452       1730
Windows 2000 Se        554        742       4452       1730
Windows 2000 Se        595        781       3124       1730
Dreamweaver DHT        399        774       4644        780
Dreamweaver DHT        555        774       3870        780
Dreamweaver DHT        594        774       4644        780
Dreamweaver DHT        624        774       4644        780
Dreamweaver E-C        383        694       3470        780
Dreamweaver E-C        455        694       3470        780
Dreamweaver E-C        541        730       2920        780
Dreamweaver E-C        620        694       4164        780
Dreamweaver Web          2        637       1911        780
Dreamweaver Web         68        637       1911        780
Dreamweaver Web         70        637       1911        780
Dreamweaver Web         83        575       3450        780
Dreamweaver Web        144        575       3450        780
Dreamweaver Web        177        670       1340        780
Dreamweaver Web        215        575       3450        780
Dreamweaver Web        217        575       3450        780
Dreamweaver Web        282        575       3450        780
Dreamweaver Web        284        575       3450        780
Dreamweaver Web        297        575       2875        780
Dreamweaver Web        298        575       3450        780
Dreamweaver Web        385        575       3450        780
Dreamweaver Web        395        605       2420        780
Dreamweaver Web        397        575       3450        780
Dreamweaver Web        493        605       2420        780
Dreamweaver Web        506        575       3450        780
Dreamweaver Web        513        575       3450        780
Dreamweaver Web        545        575       3450        780
Dreamweaver Web        623        575       3450        780
GoLive Webdesig         14        637       1911        780
GoLive Webdesig         72        575       3450        780
GoLive Webdesig        178        605       2420        780
GoLive Webdesig        225        575       3450        780
GoLive Webdesig        286        575       3450        780
GoLive Webdesig        393        575       3450        780
GoLive Webdesig        514        575       3450        780
HTML Webdesign          25        334       1670        780
HTML Webdesign          26        352       1408        780
HTML Webdesign          47        371       1113        780
HTML Webdesign          48        334       2004        780
HTML Webdesign         155        390        780        780
HTML Webdesign         166        334       2004        780
HTML Webdesign         239        334       2004        780
HTML Webdesign         240        352       1408        780
HTML Webdesign         261        334       2004        780
HTML Webdesign         262        334       2004        780
HTML Webdesign         459        352       1408        780
HTML Webdesign         489        334       2004        780

562 Zeilen ausgewhlt.

*/