-- Mehrere Gruppenwerte

SELECT SUBSTR(K_Titel,1,10)              AS Titel,
       SUBSTR(K_Bereich,1,10)            AS Bereich,
       TO_CHAR(SUM(B_Preis),'9G999G999') AS Pro,
       TO_CHAR(SUM(SUM(B_Preis))
        OVER (PARTITION BY K_Bereich), '9G999G999') AS Gesamt,
       ROUND((RATIO_TO_REPORT(SUM(B_Preis))
        OVER (PARTITION BY K_Bereich))*100,2)       AS "%"
  FROM buchung NATURAL JOIN termin
               NATURAL JOIN kurs
WHERE K_Bereich IN ('Server', 'Webdesign')
 GROUP BY K_Titel, K_Bereich;

-- Ergebnis
/*
TITEL      BEREICH    PRO        GESAMT              %
---------- ---------- ---------- ---------- ----------
MS Exchang Server         21.518     69.856       30,8
TCP IP     Server          5.742     69.856       8,22
Windows 20 Server         42.596     69.856      60,98
Dreamweave Webdesign      91.464    132.856      68,84
GoLive     Webdesign      21.581    132.856      16,24
HTML       Webdesign      19.811    132.856      14,91
6 Zeilen ausgewhlt.
*/