-- Mehrere Gruppenwerte

SELECT SUBSTR(K_Titel,1,5)               AS Titel,
       SUBSTR(K_Bereich,1,5)             AS Bereich,
       TO_CHAR(SUM(B_Preis),'9G999G999') AS Pro,
       TO_CHAR(SUM(SUM(B_Preis))
        OVER (PARTITION BY K_Bereich), '9G999G999')
                                         AS Bereich,
       ROUND((RATIO_TO_REPORT(SUM(B_Preis))
        OVER ())*100,2)                  AS "%",
       TO_CHAR(SUM(SUM(B_Preis))
        OVER (), '9G999G999')            AS Gesamt        
  FROM buchung NATURAL JOIN termin
               NATURAL JOIN kurs
WHERE K_Bereich IN ('Server', 'Webdesign')
 GROUP BY K_Titel, K_Bereich;

-- Ergebnis
/*
TITEL BEREI PRO        BEREICH             % GESAMT
----- ----- ---------- ---------- ---------- ----------
MS Ex Serve     21.518     69.856      10,62    202.712
TCP I Serve      5.742     69.856       2,83    202.712
Windo Serve     42.596     69.856      21,01    202.712
Dream Webde     91.464    132.856      45,12    202.712
GoLiv Webde     21.581    132.856      10,65    202.712
HTML  Webde     19.811    132.856       9,77    202.712
6 Zeilen ausgewhlt.
*/