-- FIRST/LAST als zusammenfassende Gruppenwerte

SELECT DISTINCT K_Nr              AS "Kursnr.",
       B_Preis                    AS "Tatschlich",
       MIN(B_Preis)
        KEEP (DENSE_RANK FIRST ORDER BY (B_Preis))
        OVER(PARTITION BY (K_Nr)) AS "Min.",
       MAX(B_Preis)
        KEEP (DENSE_RANK LAST ORDER BY (B_Preis))
        OVER(PARTITION BY (K_Nr)) AS "Max."
  FROM buchung NATURAL JOIN termin
 WHERE K_Nr IN (1010004, 1010005);


-- Ergebnis
/*
   Kursnr. Tatschlich       Min.       Max.
---------- ----------- ---------- ----------
   1010004         395        395        438
   1010004         416        395        438
   1010004         438        395        438
   1010005         856        856        901
   1010005         901        856        901
5 Zeilen ausgewhlt.
*/