-- Zusammenfassender Gruppenwert

SELECT SUBSTR(U_Stadt,1,5) AS Stadt,
       COUNT(U_Nr)         AS Zahl,
       CUME_DIST()
        OVER (ORDER BY COUNT(U_Nr))    AS Verteilung,
       PERCENTILE_DISC(0.25) WITHIN GROUP
        (ORDER BY COUNT(U_Nr)) OVER () AS "25%",
       PERCENTILE_DISC(0.5) WITHIN GROUP
        (ORDER BY COUNT(U_Nr)) OVER () AS "50%",
       PERCENTILE_DISC(0.75) WITHIN GROUP
        (ORDER BY COUNT(U_Nr)) OVER () AS "75%"               
  FROM unternehmen
 GROUP BY U_Stadt
HAVING COUNT(U_Nr) > 2;

-- Ergebnis
/*
STADT       ZAHL VERTEILUNG        25%        50%        75%
----- ---------- ---------- ---------- ---------- ----------
Berli          7        ,25          7         20         42
Gelse          7        ,25          7         20         42
Hatti         11       ,375          7         20         42
Duisb         20         ,5          7         20         42
Essen         28       ,625          7         20         42
Dsse         42        ,75          7         20         42
Bochu         48       ,875          7         20         42
Dortm         59          1          7         20         42
8 Zeilen ausgewhlt.
*/