-- 

SELECT EXTRACT(MONTH FROM T_Beginn) AS Monat,
       SUM(B_Preis)                 AS Umsatz
  FROM termin NATURAL JOIN buchung
              NATURAL JOIN kurs
 WHERE EXTRACT(MONTH FROM T_Beginn) BETWEEN 5 AND 7
 GROUP BY EXTRACT(MONTH FROM T_Beginn);


-- Ergebnis
/*
     MONAT     UMSATZ
---------- ----------
         5     243945
         6     213723
         7     147110
3 Zeilen ausgewhlt.
*/

SELECT REGR_SLOPE(Summe, Monat)     AS "Steigung",
       REGR_COUNT(Summe, Monat)     AS "Datenmenge",
       REGR_INTERCEPT(Summe, Monat) AS "y-Schnittpunkt",
       REGR_R2(Summe, Monat)        AS "Bestimmtheitsma",
       REGR_AVGY(Summe, Monat)      AS "y-Durchschnitt",
       REGR_AVGX(Summe, Monat)      AS "x-Durchschnitt"
  FROM (SELECT EXTRACT(MONTH FROM T_Beginn) AS Monat, /* X-Wert */
               SUM(B_Preis)                 AS Summe /* Y-Wert */
          FROM termin NATURAL JOIN buchung
         WHERE EXTRACT(MONTH FROM T_Beginn) BETWEEN 5 AND 7
         GROUP BY EXTRACT(MONTH FROM T_Beginn));

-- Ergebnis
/*
  Steigung Datenmenge y-Schnittpunkt 
---------- ---------- --------------
  -48417,5          3     492097,667
Bestimmtheitsma y-Durchschnitt x-Durchschnitt
---------------- -------------- --------------
      ,95504027     201592,667              6

1 Zeile wurde ausgewhlt.
*/