SELECT STATS_CROSSTAB(Monat, Summe, 'CHISQ_OBS')
       AS "Chi Quadrat",
       STATS_CROSSTAB(Monat, Summe, 'CHISQ_SIG')
       AS "Signifikanz",
       STATS_CROSSTAB(Monat, Summe, 'CHISQ_DF')
       AS "Freiheitsgrad",
       STATS_CROSSTAB(Monat, Summe, 'PHI_COEFFICIENT')
       AS "Phi-Wert",
       STATS_CROSSTAB(Monat, Summe, 'CRAMERS_V')
       AS "Cramers V-Statistik"
  FROM 
 (SELECT EXTRACT(MONTH FROM T_Beginn) AS Monat, /* X-Wert */
         SUM(B_Preis)                 AS Summe /* Y-Wert */
    FROM termin NATURAL JOIN buchung
   WHERE EXTRACT(MONTH FROM T_Beginn) BETWEEN 5 AND 7
   GROUP BY EXTRACT(MONTH FROM T_Beginn));
