WITH umsatzuebersicht AS (
SELECT EXTRACT(YEAR FROM B_Datum) AS Jahr,
       T_Ort                      AS Ort,
       COUNT(B_Nr)                AS Anzahl,
       SUM(B_Preis)               AS Umsatz
  FROM buchung NATURAL JOIN termin
  GROUP BY EXTRACT(YEAR FROM B_Datum), T_Ort
)
SELECT Jahr, Ort, Anzahl, Umsatz
  FROM umsatzuebersicht
 WHERE Anzahl > 100
 ORDER BY Jahr DESC, Ort;
 
 -- Ergebnis
 /*
JAHR ORT                  ANZAHL UMSATZ
---- -------------------- ------ ------
2013 Berlin                  233 184478 
2013 Dsseldorf              242 190712 
2013 Essen                   232 185855 
2013 Hamburg                 237 188628 
2013 Mnchen                 221 163572 
2012 Berlin                  188 126220 
2012 Dsseldorf              171 125197 
2012 Essen                   188 139325 
2011 Dsseldorf              122  89277 
2011 Essen                   130  86217 
2010 Essen                   512 346951 

 11 Zeilen gewhlt 
 
 */