WITH umsatzuebersicht AS (
SELECT EXTRACT(YEAR FROM T_Beginn) AS Jahr,
       T_Ort                       AS Ort,
       COUNT(B_Nr)                 AS Buchungen
  FROM buchung NATURAL JOIN termin
  GROUP BY EXTRACT(YEAR FROM T_Beginn), T_Ort
)
SELECT u1.*, u2.*
  FROM umsatzuebersicht u1 INNER JOIN umsatzuebersicht u2
    ON  u1.Ort = u2.Ort
 WHERE u1.Jahr != u2.Jahr
 ORDER BY u1.Jahr DESC, u1.Ort;
 
 -- Ergebnis
 /*
JAHR ORT             Anmeldungen AVG Umsatz AVG
---- --------------- --------------- ----------
2013 Berlin                     4,44    3487,05 
2013 Dsseldorf                 4,37    3437,19 
2013 Essen                      4,58    3673,51 
2013 Hamburg                    4,37    3437,05 
2013 Mnchen                    4,37    3236,73 
2012 Berlin                      4,5    2978,32 
2012 Dsseldorf                 4,81    3490,81 
2012 Essen                      4,38    3105,38 
2012 Hamburg                    4,38    3247,38 
2012 Mnchen                    3,19    2140,13 
2011 Berlin                     3,69    2816,38 
2011 Dsseldorf                 4,03    2946,28 
2011 Essen                      4,48    3022,66 
2010 Dsseldorf                 4,38    3546,44 
2010 Essen                      4,16    2824,15 

 15 Zeilen gewhlt
 
 */