SELECT EXTRACT(YEAR FROM B_Datum) AS Jahr,
       SUM(B_Preis)               AS Umsatz
  FROM buchung
 WHERE EXTRACT(YEAR FROM B_Datum) > 2009
 GROUP BY EXTRACT(YEAR FROM B_Datum);

-- Ergebnis
/*
JAHR UMSATZ
---- ------
2010 415904 
2013 913245 
2011 220321 
2012 521732 
*/

SELECT 
  (SELECT SUM(B_Preis)
     FROM buchung
    WHERE  EXTRACT(YEAR FROM B_Datum) = 2013) AS "2013",
  (SELECT SUM(B_Preis)
     FROM buchung
    WHERE  EXTRACT(YEAR FROM B_Datum) = 2012) AS "2012"
FROM dual

-- Ergebnis
/*
2013   2012
------ --------
913245 521732 
*/

WITH rohdaten AS (
 SELECT EXTRACT(YEAR FROM B_Datum) AS Jahr,
       SUM(B_Preis)                AS Umsatz
  FROM buchung
 WHERE EXTRACT(YEAR FROM B_Datum) IN (2010, 2011)
 GROUP BY EXTRACT(YEAR FROM B_Datum)
)
SELECT CASE 
         WHEN Jahr = 2010
         THEN Umsatz ELSE NULL
       END AS "2010",
       CASE 
         WHEN Jahr = 2011
         THEN Umsatz ELSE NULL
       END AS "2011"
FROM rohdaten;

-- Ergebnis
/*
2010   2011
------ ------
415904 NULL     
NULL   220321
*/

WITH rohdaten AS (
 SELECT EXTRACT(YEAR FROM B_Datum) AS Jahr,
       SUM(B_Preis)                AS Umsatz
  FROM buchung
 WHERE EXTRACT(YEAR FROM B_Datum) IN (2010, 2011)
 GROUP BY EXTRACT(YEAR FROM B_Datum)
)
SELECT SUM(CASE 
         WHEN Jahr = 2010
         THEN Umsatz ELSE NULL
       END) AS "2010",
       SUM(CASE 
         WHEN Jahr = 2011
         THEN Umsatz ELSE NULL
       END) AS "2011"
FROM rohdaten;

-- Ergebnis
/*
2010   2011
------ ------
415904 220321
*/

