WITH rohdaten AS (
SELECT EXTRACT(YEAR FROM B_Datum) AS Jahr,
       B_Preis                    AS Umsatz
  FROM buchung
)
SELECT "2011_UMSATZ", "2012_UMSATZ", "2013_UMSATZ" 
  FROM rohdaten
PIVOT (SUM(Umsatz) AS Umsatz
       FOR Jahr
        IN ('2010' AS "2011", '2012' AS "2012", '2013' AS "2013"));

-- Ergebnis
/*
2011_UMSATZ 2012_UMSATZ 2013_UMSATZ
----------- ----------- -----------
     415904      521732      913245 
*/