WITH rohdaten AS (
SELECT T_Ort AS Ort,
       EXTRACT(YEAR FROM B_Datum) AS Jahr,
       B_Preis                    AS Umsatz
  FROM buchung NATURAL JOIN termin
)
SELECT Ort, 
       NVL("2011_UMSATZ",0) AS "2011",
       NVL("2012_UMSATZ",0) AS "2012",
       NVL("2013_UMSATZ",0) AS "2013"
  FROM rohdaten
PIVOT (SUM(Umsatz) AS Umsatz
       FOR Jahr
        IN ('2011' AS "2011", '2012' AS "2012", '2013' AS "2013"));

-- Ergebnis
/*
ORT                  2011  2012   2013
-------------------- ----- ------ ------
Dsseldorf           68953 125197 190712 
Berlin                   0 126220 184478 
Mnchen                  0 64874  163572 
Essen               346951 139325 185855 
Hamburg                  0 66116  188628 
*/