WITH rohdaten AS (
SELECT T_Ort AS Ort,
       EXTRACT(YEAR FROM B_Datum) AS Jahr,
       B_Preis                    AS Umsatz
  FROM buchung NATURAL JOIN termin
)
SELECT Jahr,
       NVL("Berlin_UMSATZ",0)     AS "Berlin",
       NVL("Dsseldorf_UMSATZ",0) AS "Dsseldorf",
       NVL("Essen_UMSATZ",0)      AS "Essen"
  FROM rohdaten
PIVOT (SUM(Umsatz) AS Umsatz
       FOR Ort
        IN ('Berlin' AS "Berlin", 'Dsseldorf' AS "Dsseldorf", 'Essen' AS "Essen"));

-- Ergebnis
/*
JAHR Berlin Dsseldorf Essen
---- ------ ---------- -------
2010      0      68953  346951 
2009      0          0   16788 
2013 184478     190712  185855 
2011  44827      89277   86217 
2012 126220     125197  139325 
*/