WITH rohdaten AS (
SELECT EXTRACT(YEAR FROM B_Datum) AS Jahr,
       B_Preis                    AS Umsatz
  FROM buchung
)
SELECT * 
  FROM rohdaten
PIVOT XML (SUM(Umsatz) AS Umsatz
       FOR Jahr
        IN (SELECT DISTINCT Jahr FROM rohdaten));

-- Ergebnis
/*
<PivotSet>
  <item>
    <column name = "JAHR">2009</column>
    <column name = "UMSATZ">16788</column>
  </item>
  <item>
    <column name = "JAHR">2010</column>
    <column name = "UMSATZ">415904</column>
  </item>
  <item>
    <column name = "JAHR">2011</column>
    <column name = "UMSATZ">220321</column>
  </item>
  <item>
    <column name = "JAHR">2012</column>
    <column name = "UMSATZ">521732</column>
  </item>
  <item>
    <column name = "JAHR">2013</column>
    <column name = "UMSATZ">913245</column>
  </item>
</PivotSet> 
*/