WITH rohdaten AS (
SELECT T_Ort                      AS Ort,
       EXTRACT(YEAR FROM B_Datum) AS Jahr,
       B_Preis                    AS Umsatz
  FROM buchung NATURAL JOIN termin
)
SELECT * 
  FROM rohdaten
PIVOT XML (SUM(Umsatz) AS Umsatz
       FOR Ort
        IN (ANY));

-- Ergebnis
/*
JAHR ORT_XML                                                                        
---- --------------------------------------------------------------------------------
2009 <PivotSet><item><column name = "ORT">Essen</column><column name = "UMSATZ">16788 
2010 <PivotSet><item><column name = "ORT">Dsseldorf</column><column name = "UMSATZ"> 
2011 <PivotSet><item><column name = "ORT">Berlin</column><column name = "UMSATZ">4482 
2012 <PivotSet><item><column name = "ORT">Berlin</column><column name = "UMSATZ">1262 
2013 <PivotSet><item><column name = "ORT">Berlin</column><column name = "UMSATZ">1844 
*/