WITH rohdaten AS (
SELECT EXTRACT(YEAR FROM B_Datum) AS Jahr,
       B_Preis                    AS Umsatz
  FROM buchung
),
rohdatenPivot AS (
SELECT "2011_UMSATZ", "2012_UMSATZ", "2013_UMSATZ" 
  FROM rohdaten
PIVOT (SUM(Umsatz) AS Umsatz
       FOR Jahr
        IN ('2011' AS "2011", '2012' AS "2012", '2013' AS "2013"))
)
--SELECT * FROM rohdatenPivot
SELECT Jahr, Umsatz
  FROM rohdatenPivot
  UNPIVOT (Umsatz
           FOR Jahr
           IN ("2011_UMSATZ" AS '2011', "2012_UMSATZ" AS '2012', "2013_UMSATZ" AS '2013'));

-- Ergebnis
/*
JAHR UMSATZ
---- ------
2011 220321 
2012 521732 
2013 913245
*/