WITH rohdaten AS (
SELECT T_Ort AS Ort,
       EXTRACT(YEAR FROM B_Datum) AS Jahr,
       B_Preis                    AS Umsatz
  FROM buchung NATURAL JOIN termin
),
rohdatenPivot AS (
SELECT Ort, 
       /*NVL("2011_UMSATZ",0) AS "2011",
       NVL("2012_UMSATZ",0) AS "2012",
       NVL("2013_UMSATZ",0) AS "2013"*/
       "2011_UMSATZ" AS "2011",
       "2012_UMSATZ" AS "2012",
       "2013_UMSATZ" AS "2013"
  FROM rohdaten
PIVOT (SUM(Umsatz) AS Umsatz
       FOR Jahr
        IN ('2011' AS "2011", '2012' AS "2012", '2013' AS "2013"))
)
--SELECT * FROM rohdatenPivot
SELECT Ort, Jahr, Umsatz
  FROM rohdatenPivot
  UNPIVOT INCLUDE NULLS (Umsatz
           FOR Jahr
           IN ("2011" AS '2011', "2012" AS '2012', "2013" AS '2013'));

-- Ergebnis mit INCLUDE NULLS (15 Zeilen statt nur 13)
/*
ORT                  JAHR UMSATZ
-------------------- ---- ------
Dsseldorf           2011  89277 
Dsseldorf           2012 125197 
Dsseldorf           2013 190712 
Berlin               2011  44827 
Berlin               2012 126220 
Berlin               2013 184478 
Mnchen              2011        
Mnchen              2012  64874 
Mnchen              2013 163572 
Essen                2011  86217 
Essen                2012 139325 
Essen                2013 185855 
Hamburg              2011        
Hamburg              2012  66116 
Hamburg              2013 188628 

 15 Zeilen gewhlt
*/

-- Eregbnis mit NVL
/*
ORT                  JAHR UMSATZ
-------------------- ---- ------
Dsseldorf           2011  89277 
Dsseldorf           2012 125197 
Dsseldorf           2013 190712 
Berlin               2011  44827 
Berlin               2012 126220 
Berlin               2013 184478 
Mnchen              2011      0 
Mnchen              2012  64874 
Mnchen              2013 163572 
Essen                2011  86217 
Essen                2012 139325 
Essen                2013 185855 
Hamburg              2011      0 
Hamburg              2012  66116 
Hamburg              2013 188628 

 15 Zeilen gewhlt
*/