CREATE VIEW v_umsatzentwicklung AS
SELECT K_Bereich                  AS Bereich,
       T_Ort                      AS Ort,
       EXTRACT(YEAR FROM B_Datum) AS Jahr,
       SUM(B_Preis)               AS Umsatz,
       COUNT(B_Nr)                AS Anzahl
  FROM buchung NATURAL JOIN termin NATURAL JOIN kurs
 GROUP BY K_Bereich, T_Ort,  EXTRACT(YEAR FROM B_Datum);

-- Ergebnis
/*
BEREICH                        ORT                  JAHR UMSATZ ANZAHL
------------------------------ -------------------- ---- ------ ------
Webdesign                      Dsseldorf           2010   3450      6 
Datenbanken                    Berlin               2011  12168     15 
Programmierung(Office)         Berlin               2011   1569      3 
Webdesign                      Essen                2012   5454     12 
Webdesign                      Essen                2010  20739     42 
Webdesign                      Hamburg              2013  20794     34 
Grafik                         Hamburg              2013  18252     21 
Server                         Mnchen              2012   9892     13 
Programmierung(Office)         Dsseldorf           2012   6996     12 
Datenbanken                    Berlin               2012  15382     23 
Programmierung                 Mnchen              2012  26498     30 
Server                         Essen                2012   4452      6 
Office                         Mnchen              2013   4283     11 
Office                         Hamburg              2013   3155      5 
Server                         Essen                2013   3124      4 
Server                         Essen                2010  20236     25 
Datenbanken                    Dsseldorf           2011  23950     32 
Programmierung                 Hamburg              2013 102732    118 
Programmierung                 Berlin               2013 105096    123 
Datenbanken                    Berlin               2013  54976     71 
Datenbanken                    Mnchen              2013  24490     38 
Webdesign                      Dsseldorf           2013   6370     10 
Programmierung(Office)         Berlin               2012   2832      6 
Datenbanken                    Dsseldorf           2010  19844     26 
Datenbanken                    Essen                2011  19678     31 
Grafik                         Essen                2011  14399     24 
Programmierung                 Berlin               2012  77681     97 
Datenbanken                    Mnchen              2012  12236     17 
Datenbanken                    Hamburg              2012  18714     24 
Webdesign                      Berlin               2013   3450      6 
Programmierung(Office)         Essen                2013   7314      9 
Office                         Mnchen              2012   1992      8 
Server                         Dsseldorf           2012   4452      6 
Office                         Essen                2013   2698     11 
Programmierung(Office)         Mnchen              2013   4164      6 
Programmierung                 Essen                2011  40704     52 
Programmierung                 Dsseldorf           2011  52035     63 
Office                         Dsseldorf           2011   2894      9 
Programmierung                 Berlin               2011  15984     18 
Server                         Essen                2011   4452      6 
Webdesign                      Dsseldorf           2012   6862     16 
Datenbanken                    Dsseldorf           2013  56902     75 
Datenbanken                    Essen                2013  21598     29 
Grafik                         Berlin               2013  20956     33 
Grafik                         Mnchen              2012   3886      7 
Programmierung                 Essen                2010 184120    224 
Office                         Essen                2011   2754      9 
Grafik                         Dsseldorf           2011   3604      4 
Webdesign                      Dsseldorf           2011   6794     14 
Webdesign                      Berlin               2011   5870     10 
Server                         Berlin               2011   1730      2 
Programmierung                 Dsseldorf           2012  72517     85 
Grafik                         Berlin               2012  15390     21 
Webdesign                      Mnchen              2012  10370     17 
Grafik                         Mnchen              2013  13600     20 
Grafik                         Hamburg              2012  12618     23 
Office                         Dsseldorf           2013   3768     12 
Programmierung(Office)         Essen                2010  11790     19 
Grafik                         Dsseldorf           2012  10254     15 
Grafik                         Essen                2012  25547     39 
Webdesign                      Essen                2013  17374     26 
Grafik                         Dsseldorf           2013  31808     40 
Webdesign                      Berlin               2012   8329     17 
Office                         Essen                2012   2848     10 
Programmierung                 Hamburg              2012  18720     21 
Webdesign                      Hamburg              2012   3450      6 
Webdesign                      Mnchen              2013   9320     16 
Office                         Dsseldorf           2010    624      3 
Programmierung(Office)         Dsseldorf           2010   2832      6 
Grafik                         Berlin               2011   7506     12 
Programmierung                 Dsseldorf           2013  87412     99 
Programmierung                 Mnchen              2013 107715    130 
Datenbanken                    Dsseldorf           2012  24116     37 
Programmierung(Office)         Essen                2012   4164      6 
Server                         Dsseldorf           2013   4452      6 
Grafik                         Essen                2010  53070     84 
Office                         Essen                2010  12586     43 
Datenbanken                    Essen                2010  44410     75 
Programmierung                 Dsseldorf           2010  42203     47 
Webdesign                      Essen                2011   4230      8 
Programmierung                 Essen                2012  81704     96 
Office                         Berlin               2012   6606     24 
Programmierung                 Essen                2009  16788     24 
Datenbanken                    Hamburg              2013  32910     44 
Programmierung                 Essen                2013 104357    112 
Grafik                         Essen                2013  29390     41 
Server                         Hamburg              2013   4452      6 
Server                         Hamburg              2012  12614     17 
Datenbanken                    Essen                2012  15156     19 
Programmierung(Office)         Hamburg              2013   6333      9 

 90 Zeilen gewhlt 
*/