-- Gruppierungen und Aggregate

BREAK ON Ort SKIP 1
COMPUTE SUM LABEL Summe OF Terminanzahl ON Ort
SELECT Titel,
       Ort,
       COUNT(Termin) AS Terminanzahl
  FROM (SELECT SUBSTR(K_Titel || ' ' || K_Untertitel, 1, 20) AS Titel,
               T_Ort AS Ort,
               T_Nr AS Termin
          FROM termin NATURAL JOIN kurs
         WHERE K_Titel = 'Oracle')        
  GROUP BY Ort, Titel
  ORDER BY Ort, Titel;
 
-- Ergebnis

/*

TITEL                ORT                  TERMINANZAHL
-------------------- -------------------- ------------
Oracle Architektur   Berlin                          1
Oracle DB-Administra                                 1
Oracle Designer R6i                                  1
Oracle Networking                                    1
Oracle PL/SQL-Progra                                 1
Oracle XML-Konzepte                                  1
                     ******************** ------------
                     Summe                           6

Oracle Architektur   Bochum                         24
Oracle DB-Administra                                 9
Oracle Designer R6i                                  2
Oracle Networking                                    2
Oracle PL/SQL-Progra                                 8
Oracle XML-Konzepte                                  7
                     ******************** ------------
                     Summe                          52

Oracle Architektur   Dortmund                        1
Oracle DB-Administra                                 1
Oracle Designer R6i                                  1
Oracle Networking                                    1
Oracle PL/SQL-Progra                                 1
Oracle XML-Konzepte                                  1
                     ******************** ------------
                     Summe                           6

Oracle DB-Administra Kln                            1
Oracle PL/SQL-Progra                                 1
                     ******************** ------------
                     Summe                           2


20 Zeilen ausgewhlt.


*/ 