-- Titelformatierung

TTITLE CENTER 'Kurse NRW: Terminliste' SKIP 1 - 
CENTER ==================== SKIP 1 -
LEFT 'Jahr: 2013' RIGHT 'Titel: Oracle' SKIP 2
BTITLE CENTER 'Ende'
SET LINESIZE 55

BREAK ON Titel SKIP 1 ON Ort
SELECT SUBSTR(K_Untertitel,1,15) AS Titel,
       T_Ort AS Ort,
       T_Beginn AS Beginn,
       T_Ende AS Ende
  FROM termin NATURAL JOIN kurs
 WHERE K_Titel = 'Oracle'
   AND EXTRACT(YEAR FROM T_Beginn) = '2013'
 ORDER BY K_Untertitel, T_Ort;
 
-- Ergebnis
/*
                 Kurse NRW: Terminliste
                  ====================
Jahr: 2013                                Titel: Oracle

TITEL           ORT                  BEGINN   ENDE
--------------- -------------------- -------- --------
Architektur     Berlin               10.02.13 12.02.13
                Bochum               29.05.13 31.05.13
                                     10.02.13 12.02.13
                                     28.10.13 30.10.13
                                     24.02.13 26.12.13
                                     15.10.13 17.10.13
                                     13.05.13 15.05.13
                                     21.02.13 23.02.13
                Dortmund             10.03.13 12.03.13

DB-Administrati Berlin               08.12.13 11.12.13
                Bochum               08.12.13 11.12.13
                                     10.11.13 13.12.13
                                     10.03.13 13.03.13
                                     07.10.13 10.10.13
                Dortmund             13.10.13 16.10.13
                Kln                 10.11.13 13.11.13

Designer R6i +  Berlin               11.08.13 14.08.13
                Bochum               04.08.13 07.08.13
                                     11.08.13 14.08.13
                Dortmund             25.08.13 28.08.13

Networking      Berlin               13.10.13 16.10.13
                Bochum               06.10.13 09.10.13
                                     13.10.13 16.10.13
                Dortmund             22.09.13 25.09.13

PL/SQL-Programm Berlin               07.02.13 09.02.13
                Bochum               27.05.13 29.05.13
                                     14.04.13 16.04.13
                                     17.03.13 19.03.13
                                     07.02.13 09.02.13
                Dortmund             19.05.13 21.05.13
                Kln                 17.11.13 19.11.13

XML-Konzepte    Berlin               16.03.13 18.06.13
                Bochum               27.06.13 29.06.13
                                     10.06.13 12.06.13
                                     16.03.13 18.06.13
                                     14.08.13 16.08.13
                Dortmund             07.07.13 09.07.13

                          Ende

37 Zeilen ausgewhlt.
*/