-- Titelformatierung

-- Seitengren
SET PAGESIZE 15
SET NEWPAGE 1
SET LINESIZE 55
-- Berichtstitel
REPHEADER PAGE CENTER 'Kurse NRW: Terminliste 2012/3'
-- Titel
TTITLE CENTER 'Terminliste' SKIP 1 - 
CENTER *-*-*-*-*-* SKIP 1 -
LEFT 'Jahr: 2012/3' RIGHT 'S.: ' SQL.PNO SKIP 1
BTITLE OFF


BREAK ON Titel SKIP Page ON Ort
SELECT SUBSTR(K_Untertitel,1,15) AS Titel,
       T_Ort AS Ort,
       T_Beginn AS Beginn,
       T_Ende AS Ende
  FROM termin NATURAL JOIN kurs
 WHERE K_Titel = 'Oracle'
   AND EXTRACT(YEAR FROM T_Beginn) IN ('2013', '2012')
 ORDER BY K_Untertitel, T_Ort;
 
-- Ergebnis
/*
> > 
                      Terminliste
                      *-*-*-*-*-*
Jahr: 2002/3                             S.:          1
             Kurse NRW: Terminliste 2002/3

                      Terminliste
                      *-*-*-*-*-*
Jahr: 2002/3                             S.:          2
TITEL           ORT                  BEGINN   ENDE
--------------- -------------------- -------- --------
Architektur     Berlin               10.02.03 12.02.03
                Bochum               10.02.03 12.02.03
                                     13.05.02 15.05.02
                                     13.05.02 15.05.02
                                     28.10.03 30.10.03
                                     15.10.03 17.10.03
                                     31.05.02 01.06.02
                                     31.05.02 01.06.02
                                     29.05.03 31.05.03

                      Terminliste
                      *-*-*-*-*-*
Jahr: 2002/3                             S.:          3
TITEL           ORT                  BEGINN   ENDE
--------------- -------------------- -------- --------
Architektur     Bochum               13.05.03 15.05.03
                                     16.10.02 18.10.02
                                     16.10.02 18.10.02
                                     28.10.02 30.10.02
                                     28.10.02 30.10.02
                                     24.02.03 26.12.03
                                     21.02.03 23.02.03
                                     21.02.02 23.02.02
                                     21.02.02 23.02.02

                      Terminliste
                      *-*-*-*-*-*
Jahr: 2002/3                             S.:          4
TITEL           ORT                  BEGINN   ENDE
--------------- -------------------- -------- --------
Architektur     Dortmund             10.03.03 12.03.03

                      Terminliste
                      *-*-*-*-*-*
Jahr: 2002/3                             S.:          5
TITEL           ORT                  BEGINN   ENDE
--------------- -------------------- -------- --------
DB-Administrati Berlin               08.12.03 11.12.03
                Bochum               10.03.03 13.03.03
                                     08.12.03 11.12.03
                                     10.11.03 13.12.03
                                     07.10.03 10.10.03
                                     07.10.02 10.10.02
                                     07.10.02 10.10.02
                Dortmund             13.10.03 16.10.03
                Kln                 10.11.03 13.11.03

                      Terminliste
                      *-*-*-*-*-*
Jahr: 2002/3                             S.:          6
TITEL           ORT                  BEGINN   ENDE
--------------- -------------------- -------- --------
Designer R6i +  Berlin               11.08.03 14.08.03
                Bochum               11.08.03 14.08.03
                                     04.08.03 07.08.03
                Dortmund             25.08.03 28.08.03

                      Terminliste
                      *-*-*-*-*-*
Jahr: 2002/3                             S.:          7
TITEL           ORT                  BEGINN   ENDE
--------------- -------------------- -------- --------
Networking      Berlin               13.10.03 16.10.03
                Bochum               06.10.03 09.10.03
                                     13.10.03 16.10.03
                Dortmund             22.09.03 25.09.03

                      Terminliste
                      *-*-*-*-*-*
Jahr: 2002/3                             S.:          8
TITEL           ORT                  BEGINN   ENDE
--------------- -------------------- -------- --------
PL/SQL-Programm Berlin               07.02.03 09.02.03
                Bochum               14.04.03 16.04.03
                                     27.05.03 29.05.03
                                     17.03.03 19.03.03
                                     27.05.02 29.05.02
                                     07.02.03 09.02.03
                                     27.05.02 29.05.02
                Dortmund             19.05.03 21.05.03
                Kln                 17.11.03 19.11.03

                      Terminliste
                      *-*-*-*-*-*
Jahr: 2002/3                             S.:          9
TITEL           ORT                  BEGINN   ENDE
--------------- -------------------- -------- --------
XML-Konzepte    Berlin               16.03.03 18.06.03
                Bochum               14.08.03 16.08.03
                                     16.08.02 18.08.02
                                     16.03.03 18.06.03
                                     27.06.03 29.06.03
                                     10.06.03 12.06.03
                Dortmund             07.07.03 09.07.03

52 Zeilen ausgewhlt.
*/