-- Flat-File
/*
Dieses Skript starten mit, um SQL-Ausgabe zu verhindern und Spaltenbreiten zu verkrzen.
START 'C:\...\653_05.sql'
/
*/

-- Seitengren
SET NEWPAGE 0
SET SPACE 0
SET LINESIZE 200
SET PAGESIZE 0
SET ECHO OFF
SET FEEDBACK OFF
SET VERIFY OFF
SET HEADING OFF
SET MARKUP HTML OFF SPOOL OFF
-- Alte Einstellungen lschen
COLUMN Titel PRINT
TTITLE OFF
CLEAR BREAKS
SET COLSEP ';'
-- Dateiausgabe
SPOOL 'C:\oraText\termine2012_3.csv' 

SELECT SUBSTR(K_Titel,1,10)      AS Titel,
       SUBSTR(K_Untertitel,1,20) AS Untertitel,
       SUBSTR(T_Ort,1,10)        AS Ort,
       T_Beginn                  AS Beginn,
       T_Ende                    AS Ende
  FROM termin NATURAL JOIN kurs
 WHERE K_Titel = 'Oracle'
   AND EXTRACT(YEAR FROM T_Beginn) IN ('2013', '2012')
 ORDER BY K_Untertitel, T_Ort;

-- Dateispeicherung ausstellen
SPOOL OFF;

-- Ergebnis
/*
breaks entfernt
Oracle-Architektur  ;Berlin    ;10.02.03;12.02.03
Oracle-Architektur  ;Bochum    ;10.02.03;12.02.03
Oracle-Architektur  ;Bochum    ;13.05.02;15.05.02
Oracle-Architektur  ;Bochum    ;13.05.02;15.05.02
Oracle-Architektur  ;Bochum    ;28.10.03;30.10.03
Oracle-Architektur  ;Bochum    ;15.10.03;17.10.03
Oracle-Architektur  ;Bochum    ;31.05.02;01.06.02
Oracle-Architektur  ;Bochum    ;31.05.02;01.06.02
Oracle-Architektur  ;Bochum    ;29.05.03;31.05.03
Oracle-Architektur  ;Bochum    ;13.05.03;15.05.03
Oracle-Architektur  ;Bochum    ;16.10.02;18.10.02
Oracle-Architektur  ;Bochum    ;16.10.02;18.10.02
Oracle-Architektur  ;Bochum    ;28.10.02;30.10.02
Oracle-Architektur  ;Bochum    ;28.10.02;30.10.02
Oracle-Architektur  ;Bochum    ;24.02.03;26.12.03
Oracle-Architektur  ;Bochum    ;21.02.03;23.02.03
Oracle-Architektur  ;Bochum    ;21.02.02;23.02.02
Oracle-Architektur  ;Bochum    ;21.02.02;23.02.02
Oracle-Architektur  ;Dortmund  ;10.03.03;12.03.03
Oracle-DB-Administra;Berlin    ;08.12.03;11.12.03
Oracle-DB-Administra;Bochum    ;10.03.03;13.03.03
Oracle-DB-Administra;Bochum    ;08.12.03;11.12.03
Oracle-DB-Administra;Bochum    ;10.11.03;13.12.03
Oracle-DB-Administra;Bochum    ;07.10.03;10.10.03
Oracle-DB-Administra;Bochum    ;07.10.02;10.10.02
Oracle-DB-Administra;Bochum    ;07.10.02;10.10.02
Oracle-DB-Administra;Dortmund  ;13.10.03;16.10.03
Oracle-DB-Administra;Kln      ;10.11.03;13.11.03
Oracle-Designer R6i ;Berlin    ;11.08.03;14.08.03
Oracle-Designer R6i ;Bochum    ;11.08.03;14.08.03
Oracle-Designer R6i ;Bochum    ;04.08.03;07.08.03
Oracle-Designer R6i ;Dortmund  ;25.08.03;28.08.03
Oracle-Networking   ;Berlin    ;13.10.03;16.10.03
Oracle-Networking   ;Bochum    ;06.10.03;09.10.03
Oracle-Networking   ;Bochum    ;13.10.03;16.10.03
Oracle-Networking   ;Dortmund  ;22.09.03;25.09.03
Oracle-PL/SQL-Progra;Berlin    ;07.02.03;09.02.03
Oracle-PL/SQL-Progra;Bochum    ;14.04.03;16.04.03
Oracle-PL/SQL-Progra;Bochum    ;27.05.03;29.05.03
Oracle-PL/SQL-Progra;Bochum    ;17.03.03;19.03.03
Oracle-PL/SQL-Progra;Bochum    ;27.05.02;29.05.02
Oracle-PL/SQL-Progra;Bochum    ;07.02.03;09.02.03
Oracle-PL/SQL-Progra;Bochum    ;27.05.02;29.05.02
Oracle-PL/SQL-Progra;Dortmund  ;19.05.03;21.05.03
Oracle-PL/SQL-Progra;Kln      ;17.11.03;19.11.03
Oracle-XML-Konzepte ;Berlin    ;16.03.03;18.06.03
Oracle-XML-Konzepte ;Bochum    ;14.08.03;16.08.03
Oracle-XML-Konzepte ;Bochum    ;16.08.02;18.08.02
Oracle-XML-Konzepte ;Bochum    ;16.03.03;18.06.03
Oracle-XML-Konzepte ;Bochum    ;27.06.03;29.06.03
Oracle-XML-Konzepte ;Bochum    ;10.06.03;12.06.03
Oracle-XML-Konzepte ;Dortmund  ;07.07.03;09.07.03

*/