-- Tabellen liegen im Schema Scott im Tablespace Users
----------------------------------------------------------------
-- Tabelle Preis
-----------------------------------------------------------------
DROP TABLE "SCOTT"."PREIS";
CREATE TABLE "SCOTT"."PREIS"
("P_NR" NUMBER(2) NOT NULL, "P_TN1" NUMBER(6, 2) NOT NULL,
"P_TN2" NUMBER(6, 2) NOT NULL, "P_TN3" NUMBER(6, 2) NOT NULL,
"P_TN4" NUMBER(6, 2) NOT NULL, "P_TN5" NUMBER(6, 2) NOT NULL,
 PRIMARY KEY("P_NR"), 
 CHECK(P_TN1>P_TN2),
 CHECK(P_TN2>P_TN3),
 CHECK(P_TN3>P_TN4), 
 CHECK(P_TN4>P_TN5))  
 TABLESPACE "USERS";
-----------------------------------------------------------------
--
-- Daten Tabelle Preis
--
INSERT INTO preis VALUES (1, 230.00, 219.00, 208.00, 198.00, 188.00);
INSERT INTO preis VALUES (2, 350.00, 333.00, 316.00, 300.00, 285.00);
INSERT INTO preis VALUES (3, 385.00, 366.00, 348.00, 331.00, 314.00);
INSERT INTO preis VALUES (4, 400.00, 380.00, 361.00, 343.00, 326.00);
INSERT INTO preis VALUES (5, 410.00, 390.00, 371.00, 352.00, 334.00);
INSERT INTO preis VALUES (6, 485.00, 461.00, 438.00, 416.00, 395.00);
INSERT INTO preis VALUES (7, 540.00, 513.00, 487.00, 463.00, 440.00);
INSERT INTO preis VALUES (8, 550.00, 523.00, 497.00, 472.00, 448.00);
INSERT INTO preis VALUES (9, 580.00, 551.00, 523.00, 497.00, 472.00);
INSERT INTO preis VALUES (10, 600.00, 570.00, 542.00, 515.00, 489.00);
INSERT INTO preis VALUES (11, 615.00, 584.00, 555.00, 527.00, 501.00);
INSERT INTO preis VALUES (12, 650.00, 618.00, 587.00, 558.00, 530.00);
INSERT INTO preis VALUES (13, 705.00, 670.00, 637.00, 605.00, 575.00);
INSERT INTO preis VALUES (14, 750.00, 713.00, 677.00, 643.00, 611.00);
INSERT INTO preis VALUES (15, 775.00, 736.00, 699.00, 664.00, 631.00);
INSERT INTO preis VALUES (16, 800.00, 760.00, 722.00, 686.00, 652.00);
INSERT INTO preis VALUES (17, 850.00, 808.00, 768.00, 730.00, 694.00);
INSERT INTO preis VALUES (18, 870.00, 827.00, 786.00, 747.00, 710.00);
INSERT INTO preis VALUES (19, 900.00, 855.00, 812.00, 771.00, 732.00);
INSERT INTO preis VALUES (20, 910.00, 865.00, 822.00, 781.00, 742.00);
INSERT INTO preis VALUES (21, 920.00, 874.00, 830.00, 789.00, 750.00);
INSERT INTO preis VALUES (22, 950.00, 903.00, 858.00, 815.00, 774.00);
INSERT INTO preis VALUES (23, 975.00, 926.00, 880.00, 836.00, 794.00);
INSERT INTO preis VALUES (24, 1000.00, 950.00, 903.00, 858.00, 815.00);
INSERT INTO preis VALUES (25, 1020.00, 969.00, 921.00, 875.00, 831.00);
INSERT INTO preis VALUES (26, 1025.00, 974.00, 925.00, 879.00, 835.00);
INSERT INTO preis VALUES (27, 1050.00, 998.00, 948.00, 901.00, 856.00);
INSERT INTO preis VALUES (28, 1175.00, 1116.00, 1060.00, 1007.00, 957.00);
INSERT INTO preis VALUES (29, 1430.00, 1359.00, 1291.00, 1226.00, 1165.00);
--
-- Tabelle Kurs
--
DROP TABLE "SCOTT"."KURS";
CREATE TABLE "SCOTT"."KURS"
("K_NR" NUMBER(7) NOT NULL,
 "K_BEREICH"   VARCHAR2(30) NOT NULL,
 "K_TITEL" VARCHAR2(30) NOT NULL, 
 "K_UNTERTITEL" VARCHAR2(40) NOT NULL,
 "K_DAUER" NUMBER(1) NOT NULL, 
 "P_NR" NUMBER(2) NOT NULL,
 "K_VORKENNTNISSE" VARCHAR2(150) NOT NULL,
 "K_ZIELGRUPPE" VARCHAR2(50) NOT NULL,
 "K_THEMEN" VARCHAR2(600) NOT NULL,
  PRIMARY KEY("K_NR"),
  FOREIGN KEY("P_NR")
    REFERENCES "SCOTT"."PREIS"("P_NR"),   
    CHECK(K_Dauer>0))  
    TABLESPACE "USERS";
-----------------------------------------------------------------
-- Daten Tabelle Kurs
--
INSERT INTO kurs VALUES (1010077, 'Grafik', '3D Studio', '3D-Modelling', 4, 27, 'Grundlagen in Windows', 'Webpublisher, Grafiker', 'A. Elememente und Werkzeuge B. Verwaltung der Dateiformate und Grundlagen C. Objekte D.Modellieren E. Perspektiven F. Materialien und Annimationen ');
INSERT INTO kurs VALUES (1040069, 'Programmierung(Office)', 'Access', 'VBA-Kochrezepte', 4, 28, 'Access-Grundlagen', 'Anwender, Entwickler', 'A.Stringfunktionen B.Numerikfunktionen C. Datums und Zeitfunktionen D. Dateien und Verzeichnisse E.Internet und Netzwerkfuntionen F.Systemfunktionen ');
INSERT INTO kurs VALUES (1025017, 'Datenbanken', 'Access', 'Datenbankbenutzung', 2, 3, 'Grundlagen in Windows', 'DB-Administratoren, DB-Entwickler', 'A. Einfhrung B. Datenbank erstellen C. Arbeiten mit Daten D. Beziehungen zwischen Tabellen E. Abfragen F. Berichte');
INSERT INTO kurs VALUES (1025018, 'Datenbanken', 'Access', 'Analyse + Kontrolle', 2, 3, 'Access-Grundlagen', 'DB-Administratoren, DB-Entwickler', 'A. Funktionen/Abfragen B. Datenanalyse C. Formulare D. Berichte E. Makros F. Internet und Datenzugriff G. Netzwerk');
INSERT INTO kurs VALUES (1025019, 'Datenbanken', 'Access', 'VBA-Programmierung', 3, 18, 'Access-Grundlagen', 'DB-Administratoren, DB-Entwickler', 'A. Einfhrung B. Module in Access C. Die Entwicklungsumgebung D. Ereignisgesteuerte Programmierung E. Grundlegende Sprachelemente F. Erweiterte Sprachelemente G. Objekte in Access H. Zugriff auf Formulare und Berichte I. Datenzugriff mit VBA J. Benutzeroberflche K. API-Aufrufe/Registrierung');
INSERT INTO kurs VALUES (1025080, 'Office', 'Acrobat', 'Satztechnik', 2, 5, 'Grundlagen in Windows', 'Anwender, Entwickler', 'A. Grundlagen B. Navigation in Acrobat und Drucken und Web D. Der Distiller und PDF- Format E. Formulare erstellen F. Sicherheitseinstellungen G. Prsentationen mit Acrobat ');
INSERT INTO kurs VALUES (1015040, 'Programmierung', 'ActionScript', 'Syntax + Konzepte', 3, 19, 'Grundlagen in Flash', 'Webpublisher, Grafiker', 'A. Einfhrung B. Arbeitsobjekte C. Programmierumgebung D. Datenverarbeitung E. Operatoren und Zahlverarbeitung F. Kontrollstrukturen G. Arrays H. Funktionen I. Objekte und Klassen J. Programmierbare Objekte K. Externe Daten L. Praxisbeispiele ');
INSERT INTO kurs VALUES (1015042, 'Programmierung', 'ActionScript', 'PHP + MySQL', 3, 19, 'Flash-Kenntnisse, ActionScript-Grundlagen, PHP-Grundlagen', 'Webpublisher, Grafiker', 'A. Einfhrung B. Kommunikation mit PHP C. XML-Dokumente einbinden D. Generator-Objekte E. Dynamik in Spielen F. Spielkonzepte G. E-Commerce');
INSERT INTO kurs VALUES (1030108, 'Server', 'ActiveDirectory', 'Konfiguration', 3, 28, 'Netzwerkkenntnisse von Vorteil', 'Administratoren, Entwickler', 'A. Einfhrung in das Active Directory B. Theoretische Grundlagen C. Active Directory und Domnen D. Sicherheit im Active Directory E. Planung und Migration F. Standorte');
INSERT INTO kurs VALUES (1030050, 'Server', 'Apache 2', 'DB-Administration', 3, 20, 'Grundlagen in Windows', 'Administratoren', 'A. Einfhrung B. Apache einrichten und konfigurieren C. Apache- Konfiguration D. Grafische Konfiguration per Webmin E. Webapplikationen mit Apache F. Dynamische Webseiten G. Webdatenbanken H. System und Dienste optimal konfigurieren I. Apache sicher betreiben J. Monitoring, berwachung, Datensicherheit');
INSERT INTO kurs VALUES (1015098, 'Programmierung', 'ASP', 'XML-Konzepte', 3, 23, 'Grundlegende ASP und HTML', 'Programmierer, Entwickler', 'A. Einfhrung B. XML-Konzepte C. DOM D. XPATH E. XSLT F. ASP und XML');
INSERT INTO kurs VALUES (1015041, 'Programmierung', 'ASP.NET', 'Syntax + Konzepte', 2, 16, 'Windows Grundlagen, Word Grundlagen', 'Programmierer, Entwickler', 'A. Einfhrung in .NET B. Einfhrung in die Webserverprogrammmierung C. Einfhrung in ASP.NET D. Programmierung von Web Forms E. Datenbankprogrammierung mit ADO.NET F. Einfhrung in Web-Services ');
INSERT INTO kurs VALUES (1015092, 'Programmierung', 'ASP.NET', 'Webservices und XML', 3, 19, 'Grundlegende ASP und HTML/XML-Kenntnisse', 'Programmierer, Entwickler', 'A. Einfhrung B. XML Web Services mit ASP.NET C. Einsatztechniken D. Sicherheit');
INSERT INTO kurs VALUES (1010078, 'Grafik', 'AutoCAD', 'CAD-Technik', 4, 27, 'Grundlagen in Windows', 'Anwender, Grafiker', 'A. Elememente und Werkzeuge B. Arbeitstechniken C. Raster, Linien, Bemaung D. Dateiformate E. Dreidimensionale Darstellung F. Anpassungen mit VBA und LISP ');
INSERT INTO kurs VALUES (1015033, 'Programmierung', 'C sharp', 'Syntax + Konzepte', 3, 25, 'Web-Grundkenntnisse, HTML-Kenntnisse, Programmierkenntnisse sind ntzlich, aber nicht Pflicht.', 'Programmierer, Entwickler', 'A. Einfhrung B. Syntax C. Objektorientierte Programmierung D. Entwicklung von Software auf Komponentenbasis E. Programmierung grafischer Benutzeroberflchen mit Windows Forms Programmierung von Webanwendungen ');
INSERT INTO kurs VALUES (1015027, 'Programmierung', 'C++', 'Syntax + Konzepte', 4, 28, 'Grundlagen in Windows', 'Programmierer, Entwickler', 'A. Einfhrung B. Grundlegende Syntax C. Programm-Steuerung D. Klassen E. Funktionen F. Speicherverwaltung G. Vererbung und Polymorphie H. Templates I. Arrays');
INSERT INTO kurs VALUES (1015028, 'Programmierung', 'C++', 'MFC (Windows-Programmierung)', 4, 28, 'Grundlagen in C++', 'Programmierer, Entwickler', 'A. Einfhrung B. Programmierkonzepte C. Grafikausgabe und Drucken D. Dialogfeldprogrammierung E. COM, OLE und ActiveX F. Datenbank-Programmierung ');
INSERT INTO kurs VALUES (1015029, 'Programmierung', 'C++', 'Multithreading', 2, 11, 'Grundlagen in C++', 'Programmierer, Entwickler', 'A. Einfhrung B. Programmierkonzepte C. Thread-Spezifika D. GUI-Threads E. Weiterfhrende Programmierung');
INSERT INTO kurs VALUES (1015032, 'Programmierung', 'C++', 'COM/ATL', 4, 29, 'Grundlagen in C++', 'Programmierer, Entwickler', 'A. Grundlagen von COM B. Verwendung von COM-Objekten C. Aufbau eines COM-Objekts D. Automatisierung E. Weitefhrende COM-Techniken F. Anwendungen von COM');
INSERT INTO kurs VALUES (1010084, 'Grafik', 'Cinema 4D SE', '3D-Modelling', 3, 15, 'Grundlagen in Windows', 'Webpublisher, Grafiker', 'A. Einfhrung in das 3D-Design B. Arbeitshilfen C. Objekte editieren D. Objekte textuieren E. Animationen erzeugen F. Szenen und Filme berechnen lassen');
INSERT INTO kurs VALUES (1015085, 'Programmierung', 'Delphi', 'Syntax + Konzepte', 3, 21, 'Grundlagen in Windows', 'Programmierer, Entwickler', 'A. Einfhrung B. Anweisungen C. Strukturierte Speichermglichkeiten D. Operatoren E. Fehlerbehandlung F. Komponenten');
INSERT INTO kurs VALUES (1015086, 'Programmierung', 'Delphi', 'Datenbankprogrammierung', 3, 21, 'Grundlagen in Delphi, SQL-Kenntnisse vorteilhaft', 'Programmierer, Entwickler', 'A. Einfhrung B. BDE C. TTable, Abfrage-Konzepte D. Abfragen stellen und auswerten E. MyBase F. Datensteuerung G. Datenanalyse H. Quick Report F. Interbase H. db-Express I. Multi-Tier-Anwendungen J. ADO und Access');
INSERT INTO kurs VALUES (1015087, 'Programmierung', 'Delphi', 'Anwendungsentwicklung', 4, 29, 'Grundlagen in Delphi oder einer anderen Programmiersprache', 'Programmierer, Entwickler', 'A. Einfhrung B. ObjectPascal C. Komponenten D. Diagramme E. Einsatz mit Win32 F. System G. Dialoge H. Datenbanken F. Komponentenentwicklung H. Socket-Komponenten I. Klassen J. Multi-Threading');
INSERT INTO kurs VALUES (1015088, 'Programmierung', 'Delphi', 'Programmierbeispiele', 4, 29, 'Gute Delphi-Kenntnisse, SQL-Kenntnisse vorteilhaft', 'Programmierer, Entwickler', 'A. Einfhrung B. ObjectPascal C. Visual Component Library D. Weitere Strukturen E. Selbststndige Delphi-Anwendung F. Komponentenentwicklung G. Datenbankanwendungen H. Kooperative Delphi-Anwendung');
INSERT INTO kurs VALUES (1010079, 'Grafik', 'Director', 'Authoring', 4, 27, 'Grundlagen in Windows, evtl. Animation', 'Programmierer, Entwickler', 'A. Grundlagen B. Lingo D. Multimedia E. SeitenlayoutsDirector und Datenbanken F. Shockwave G. Xtra- Essentials und Projektorganisation ');
INSERT INTO kurs VALUES (1010095, 'Grafik', 'Director', 'Lingo', 3, 19, 'Grundlegende Director-Kenntnisse', 'Webpublisher, Grafiker', 'A. Einfhrung B. Mausklicks C. Lingo-Strukturen D. Positionierungen E. Buttons F. Navigation');
INSERT INTO kurs VALUES (1020053, 'Webdesign', 'Dreamweaver', 'Webdesign', 3, 13, 'Grundlagen in Windows', 'Webpublisher, Grafiker', 'A. Einfhrung B. Allgemeine Dateiangaben C. Grundgerst einer Seite D. Farben und Hintergrund  E. Absatztypen und Textgestaltung F. Tabellen G. Grafik in HTML H. Frames I. Verweise - Hyperlinks J. Formulare K. Layer L. CSS Style-Sheets');
INSERT INTO kurs VALUES (1020055, 'Webdesign', 'Dreamweaver', 'E-Commerce / Ultra Dev', 3, 17, 'Grundlagen Dreamweaver, HTML', 'Webpublisher, Grafiker', 'A. Einfhrung B. DB-Anbindung konfigurieren C. Dynamische Daten D. Ergebnisseiten mit mehreren Datenstzen E. Einfgeseiten F. Aktualisierungsseiten G. Suchseiten mit SQL-Variablen H. Seitenzugriffe I. Serververhalten ');
INSERT INTO kurs VALUES (1020059, 'Webdesign', 'Dreamweaver', 'DHTML-Erweiterungen', 3, 22, 'Grundlagen Dreamweaver, HTML', 'Webpublisher, Grafiker', 'A. Umfangreicher CSS-Einsatz B. Drop-Down-Men C. Flyout-Men D. CSS fr Navigationsbilder E. Klickbare Registerkarten F. Klappbares Ebenen-Men G. Navigation mit Baumstruktur H. Rollbare Ebene I. Getrennte Rollover');
INSERT INTO kurs VALUES (1040016, 'Programmierung(Office)', 'Excel', 'VBA-Programmierung', 3, 18, 'Excel-Grundlagen', 'Programmierer, Entwickler', 'A. Einfhrung B. Module in Excel C. Die Entwicklungsumgebung D. Ereignisgesteuerte Programmierung E. Grundlegende Sprachelemente F. Erweiterte Sprachelemente G. Objektorientierte Elemente H. Spezielle Excel- Programmiertechniken I. Benutzeroberflche J. Erstellen einer Excel- Anwendung');
INSERT INTO kurs VALUES (1040070, 'Programmierung(Office)', 'Excel', 'VBA-Kochrezepte', 4, 28, 'Excel-Grundlagen', 'Programmierer, Entwickler', 'A. Grundlagen B. Fehler C. Intern D. Funktionen E. Farben F. Datum und Zeit G. Diagramme H. Objekte I. UserForm ');
INSERT INTO kurs VALUES (1025014, 'Office', 'Excel', 'Datenverabeitung', 2, 3, 'Grundlagen in Windows', 'Anwender, Entwickler', 'A. Formatvorlagen B. Makro C. Automatisierung  D. Diagramme E. Statistische Funktionen F. Formeln und Funktionen ');
INSERT INTO kurs VALUES (1025015, 'Office', 'Excel', 'Datenanalyse', 2, 3, 'Grundlagen in Excel', 'Anwender, Entwickler', 'A. Einfhrung  B. Daten- / Texteingabe C. Format D. Diagramme E. Grafiken F. Drucken ');
INSERT INTO kurs VALUES (1025081, 'Office', 'Excel', 'Statistik + Prognose', 3, 21, 'Grundlagen in Excel', 'Anwender, Entwickler', 'A. Grundlagen B. Statische Mazahlen C. Zeitreihenanalyse und Trend D. Regressionesanalyse E. Korrelationsanalyse F. Statistisches Testen ');
INSERT INTO kurs VALUES (1025082, 'Office', 'Excel', 'Kostenrechnung', 3, 21, 'Grundlagen in Excel', 'Management, Vertrieb', 'A. Grundlagen B. Analyse und Darstellung der Kosten C. Kostenartenrechnung D. Kostenstellenrechnung E. Kostentrgerrechnung F. Methoden der Kostenrechnung');
INSERT INTO kurs VALUES (1025083, 'Office', 'Excel', 'Controlling', 3, 21, 'Grundlagen in Excel', 'Management, Vertrieb', 'A. Grundlagen B. Daten zusammenstellen und auswerten C. Trendberechnungen D. Kostenrechnerische Analysen E. Abschreibungen berechnen F. Kreditberechnung G. Investitionsrechnung');
INSERT INTO kurs VALUES (1010004, 'Grafik', 'Fireworks', 'Webgrafik + Mens', 2, 6, 'HTML, Kenntnisse eines Webdesign-Programms', 'Webpublisher, Grafiker', 'A. Einfhrung B. Objekte zeichnen und bearbeiten C. Ebenen D. Fllungen E. Farben F. Effekte G. Hintergrnde H. Text I. Objekte ndern  . J. Banner K. Buttons L. Internet');
INSERT INTO kurs VALUES (1010006, 'Grafik', 'Flash', 'Animation', 4, 27, 'HTML, Kenntnisse eines Webdesign-Programms', 'Webpublisher, Grafiker', 'A. Einfhrung B. Objekte C. Text D. Animation E. Import F. Interaktion G. Spezialformate H. Grundlagen Action Script I. Export ');
INSERT INTO kurs VALUES (1010008, 'Grafik', 'Freehand', 'Grafikerstellung', 2, 6, 'Grundlagen in Windows, evtl. Bildbearbeitung', 'Webpublisher, Grafiker', 'A. Einfhrung B. Objekte zeichnen und bearbeiten C. Ebenen D. Fllungen E. Farben H. Text I. Objekte ndern');
INSERT INTO kurs VALUES (1020057, 'Webdesign', 'Frontpage', 'Webdesign', 3, 13, 'Grundlagen in Windows', 'Webpublisher, Grafiker', 'A. Einfhrung B. Allgemeine Dateiangaben C. Grundgerst einer Seite D. Farben und Hintergrund  E. Absatztypen und Textgestaltung F. Tabellen G. Grafik in HTML H. Frames I. Verweise - Hyperlinks J. Formulare K. Layer L. CSS Style-Sheets');
INSERT INTO kurs VALUES (1020054, 'Webdesign', 'GoLive', 'Webdesign', 3, 13, 'Grundlagen Windows', 'Webpublisher, Grafiker', 'A. Einfhrung B. Allgemeine Dateiangaben C. Grundgerst einer Seite D. Farben und Hintergrund  E. Absatztypen und Textgestaltung F. Tabellen G. Grafik in HTML H. Frames I. Verweise - Hyperlinks J. Formulare K. Layer L. CSS Style-Sheets');
INSERT INTO kurs VALUES (1010074, 'Grafik', 'Grafikformate', 'Dateitypen und Funktion', 2, 5, 'Grundkenntnisse der Grafik', 'Screendesigner, Webpublisher, Grafiker', 'A. Formattypen ud Datenkompression B. Speicherformate in Adobe Photoshop D. Plattform- und Hersteller-spezifische Formate E. CAD- Formate und 3D- Formate F. Multimedia-Formate und Druckformate G. Know how');
INSERT INTO kurs VALUES (1020052, 'Webdesign', 'HTML', 'Webdesign', 2, 5, 'Grundlagen in Windows', 'Webpublisher, Entwickler', 'A. Einfhrung B. Allgemeine Dateiangaben C. Grundgerst einer Seite D. Farben und Hintergrund  E. Absatztypen und Textgestaltung F. Tabellen G. Grafik in HTML H. Frames I. Verweise - Hyperlinks J. Formulare K. Layer L. CSS Style-Sheets');
INSERT INTO kurs VALUES (1030049, 'Server', 'IIS', 'Administration', 3, 20, 'Grundlagen in Netzwerktechnik', 'Administratoren', 'A. Einfhrung B. DNS C. Sicherheit und berwachung D. Systemleisstung und Optimierung E. Administration F. DNS administrieren G. Systemeinrichtung und -berwachung H. Administration des www- Dienstes I. Sicherheit administrieren J. Weitere Server');
INSERT INTO kurs VALUES (1010010, 'Grafik', 'Illustrator', 'Grafikerstellung', 3, 14, 'Grundlagen in Windows', 'Screendesigner, Webpublisher, Grafiker', 'A. Einfhrung B. Voreinstellungen C. Arbeitshilfen D. Einfache Objekte zeichnen E. Pfade zeichnen und editieren F. Flchen und Konturen bearbeiten G. Farbverlufe, Muster und Transparenzen B. Text erzeugen und bearbeiten C. Bitmap- Bilder importieren/bearbeiten D. Ebenen E. Diagramme erstellen und bearbeiten F. Arbeiten mit der Aktionen-Palette G. Grafiken fr das Internet optimieren');
INSERT INTO kurs VALUES (1010011, 'Office', 'InDesign', 'Satztechnik', 3, 15, 'Grundlagen in Windows', 'Anwender, Grafiker', 'A. Einfhrung B. Voreinstellungen C. Arbeitshilfen D. Text eingeben und bearbeiten E. Arbeiten mit Textblcken F. Text importieren G. Schriftgestaltung B. Absatzformatierung C. Arbeiten mit Druckformaten D.Textmodus E. Grafikobjekte erstellen und bearbeiten F. Arbeiten mit Bildern G. Arbeiten mit Ebenen H. Arbeiten mit Rahmen I. Arbeiten mit Farben J. Datenaustausch K. Plazierte Bilder und Grafiken bearbeiten I. Dokumente professionell reproduzieren ');
INSERT INTO kurs VALUES (1015031, 'Programmierung', 'Java', 'Designpatterns', 3, 21, 'Java-Kenntnisse, OOP, OOA', 'Programmierer, Entwickler', 'A. Grundlagen B. Verhaltensmuster C. Strukturmuster D. Erzeugungsmuster E. Analyse und Einsatz');
INSERT INTO kurs VALUES (1015034, 'Programmierung', 'Java', 'Syntax + Konzepte', 4, 28, 'Grundlagen in Java', 'Programmierer, Entwickler', 'A. Einfhrung B. Objektorientierte Programmierung C. Arbeit mit Objekten D. Arrays, Bedingungen, Schleifen E. Klassen und Methoden F. Java-Applets G. bersicht H. Schnittstelle I. Benutzerschnittstelle J. Benutzereingaben K. Farbe, Schrift und Grafik L. Threads und Animationen M. JavaSound');
INSERT INTO kurs VALUES (1015036, 'Programmierung', 'Java', 'Servlets', 3, 24, 'Web-Grundkenntnisse, HTML', 'Programmierer, Entwickler', 'A. Grundlagen B. Grundlegende Techniken C. Java-Objekte in RDBS D. Dynamische HTML-Seiten E. Webshop F. Chat');
INSERT INTO kurs VALUES (1015038, 'Programmierung', 'Java', 'Enterprise Java Beans', 3, 25, 'Grundlagen in Java', 'Programmierer, Entwickler', 'A. Grundlagen B. Session-Beans C. Entity-Beans D. Message-Driven-Beans E. Transaktionen H. Sicherheit');
INSERT INTO kurs VALUES (1015067, 'Programmierung', 'Java', 'Kochrezepte', 4, 29, 'Grundlagen in Java', 'Programmierer, Entwickler', 'A.Vorbereitung B. Grundlagen C. API D. I/O E.GUI F.Multimedia G.DB- Anbindung H. Datenstrukturen I.Netzwerk J.Threads H.XML I.WEB ');
INSERT INTO kurs VALUES (1030073, 'Programmierung', 'Java', 'Java fr Oracle', 4, 23, 'Grundlagen Java, Oracle', 'Programmierer, Entwickler', 'A. berblick ber SQL B. Datenbankzugriffe mit JDBC C. Datenzugriff mit SQLJ D. Datenzugriff mithilfe von Java-Servlets/Verbindungspooling E. Enterprise JavaBeans F. Weitergabe und Verwendung einer Enterprise JavaBean ');
INSERT INTO kurs VALUES (1015091, 'Programmierung', 'Java', 'Datenbankprogrammierung', 3, 29, 'Grundlegene Java-Kenntnisse', 'Programmierer, Entwickler', 'A. Einfhrung B. JDBC C. JDBC und objektorientierte Erweiterungen D. Performance-Aspekte bei JDBC E. SQLJ F. Erweiterungen und Performance bei SQLJ in Oracle');
INSERT INTO kurs VALUES (1015093, 'Programmierung', 'Java', 'Java Server Pages (JSP)', 3, 19, 'Grundlegende Java und HTML-Kenntnisse', 'Programmierer, Entwickler', 'A. Einfhrung B. Konzepte C. Formulare D. Cookies E. Datenbankprogrammierung F. Sicherheit G. Sessions H. Web-Applikationen\nI. Internationalisierung');
INSERT INTO kurs VALUES (1015099, 'Programmierung', 'Java', 'Netzwerke + Sockets', 3, 28, 'Java-Grundlagen', 'Programmierer, Entwickler', 'A. Einfhrung B. Datenbank-Zugriffe C. Sockets');
INSERT INTO kurs VALUES (1015025, 'Programmierung', 'JavaScript', 'Syntax + Konzepte', 3, 18, 'Grundkenntnisse der Programmierung', 'Screendesigner, Webpublisher, Grafiker', 'A. Einfhrung B. HTML-Grundlagen D. Elemente I D. Elemente II E. Aufruf F. JavaScript, Java, Multimedia G. Objekte H. Ereignisbehandlung I. Top-level, Navigator J. Formulare');
INSERT INTO kurs VALUES (1025021, 'Office', 'lexware', 'FiBu + Controlling', 3, 27, 'Buchhaltung bei einem 3-Tages-Seminar erwnscht, ansonsten Verlngerung um einen Tag mglich', 'Anwender', 'A. Einfhrung  B. Installation C. buchhalter I D. buchhalter II  E. lohn + gehalt F. fakturaplus ');
INSERT INTO kurs VALUES (1030100, 'Server', 'Lotus Domino', 'Administration', 3, 28, 'Lotus-Grundlagen, Grundlagen von  Netzwerken', 'DB-Administratoren, DB-Entwickler', 'A. Einfhrung B. E-Mail-Verwaltung und Notes C. Web-Server D. Beobachtung E. Domino und IIS F. Datenbanken');
INSERT INTO kurs VALUES (1025094, 'Office', 'Lotus Notes', 'Kommunikation', 3, 19, 'Grundlegende Windows-Kenntnisse', 'Anwender', 'A. Einfhrung B. Oberflche C. Mailsystem D. Kalender E. Benutzervorgaben F. Notes-Datenbanken');
INSERT INTO kurs VALUES (1015030, 'Programmierung', 'Matlab', 'Syntax + Konzepte', 3, 26, 'Grundlagen in Windows', 'Programmierer, Entwickler', 'A. MATLAB Sprachsyntax B. bersicht, Matrizen, Toolboxen C. Strukturierte Programmierung mit MATLAB D. Entwurf eigener Funktionen und Projekte');
INSERT INTO kurs VALUES (1025047, 'Server', 'MS Exchange', 'Administration', 3, 20, 'Grundlagen in Netzwerktechnik', 'Anwender, Entwickler', 'A. Einfhrung B. Enterprise Manager C. Administration D. SQL Server 2000- Sicherheit E. Datenbanken erstellen F. Indizes G. Beziehungen H. CHECK- Einschrnkungen erstellen I. Tabellenobjekte J. Datenbank abrufen K. Mit Daten arbeiten L. Transact- SQL ');
INSERT INTO kurs VALUES (1025048, 'Datenbanken', 'MS SQL-Server', 'DB-Administration', 3, 20, 'Grundlagen in Windows, evtl. SQL', 'DB-Administratoren, DB-Entwickler', 'A. Datenbanktheorie B. Installation C. Datenbank anlegen D. Datenerfassung / MyODBC E. Grundlagen SQL F. Programmieren auf Server-Ebene G. Sicherheit H. Grundlagen PHP I. Administration ');
INSERT INTO kurs VALUES (1025096, 'Datenbanken', 'MS SQL-Server', 'Transact SQL', 3, 19, 'Grundlegende Kenntnisse von MS SQL Server, SQL-Kenntnisse vorteilhaft', 'DB-Administratoren, DB-Entwickler', 'A. Einfhrung B. SQL-Grundlagen und DBS-Spezifika C. Sichten D. Statistische Funktionen E. Cursor-Programmierung F. Transaktionen H. Prozeduren und Trigger I. Volltext-Suche J. Performance-Tuning');
INSERT INTO kurs VALUES (1030048, 'Datenbanken', 'MySQL', 'DB-Administration', 2, 19, 'Grundlagen in Windows', 'DB-Administratoren, DB-Entwickler', 'A. Datenbanktheorie B. Installation C. Datenbank anlegen D. Datenerfassung / MyODBC E. Grundlagen SQL F. Programmieren auf Server-Ebene G. Sicherheit H. Grundlagen PHP I. Administration ');
INSERT INTO kurs VALUES (1025051, 'Datenbanken', 'Oracle', 'Architektur', 3, 23, 'Netzwerkkenntnisse von Vorteil', 'DB-Administratoren, DB-Entwickler', 'A. Oracle - erste Schritte B. Installation C. Verbindung zur Datenbank D. Erstellen einer Datenbank E. Admistrierung der Datenbanken F. Datenbankobjekte einer Oracle- DB G. Abfragen H. Benutzer und Rollen I. PL/SQL- Programmierung J. Anwendungsentwicklung');
INSERT INTO kurs VALUES (1025063, 'Datenbanken', 'Oracle', 'PL/SQL-Programmierung', 3, 23, 'Grundlagen in Oracle', 'Programmierer, Entwickler', 'A. Grundlagen PL/SQL B. Variablen C. Kontrollstrukturen und Schleifen D. Cursor E. Exception (Fehlerbehandlung) F. Datenstze in PL/SQL G. PL/SQL-Tabellen und Container H. Eingebaute Funktionen I. Programmiertechniken');
INSERT INTO kurs VALUES (1025061, 'Datenbanken', 'Oracle', 'XML-Konzepte', 3, 23, 'Grundlagen Oracle, Java', 'Programmierer, Entwickler', 'A. Oracle und XML B. XML-Technologien C. Entwicklungen D. Anwendungsentwicklung fr Oracle Application Server E. Oracle Internet File System F. Suche in XML-Dokumenten mit OracleText G. E-Business-Anwendungen mit Oracle XML Services H. Einsatzbeispiele');
INSERT INTO kurs VALUES (1025071, 'Datenbanken', 'Oracle', 'Designer R6i + Developer 6i', 4, 23, 'Grundlagen in Oracle', 'DB-Administratoren, DB-Entwickler', 'A.Grundlagen B. Datenmodell C. Entitten D.Modulentwicklung E.Anwendungsbeispiel');
INSERT INTO kurs VALUES (1025072, 'Datenbanken', 'Oracle', 'Networking', 4, 23, 'Grundlagen Oracle, Netzwerkkenntnisse', 'DB-Administratoren, DB-Entwickler', 'A.Grundlagen B. Oracle Names Server C. Oracle Internet Directory D. Konfigurationswerkzeuge E. Groe Netzwerke F. Internet ');
INSERT INTO kurs VALUES (1025073, 'Datenbanken', 'Oracle', 'DB-Administration', 4, 23, 'Grundlagen in Oracle', 'DB-Administratoren, DB-Entwickler', 'A. Die ORACLE-Architektur B. Logische und Physikalische Datenbanklayouts  D. Datenbankmanagement E. Datenbank-Tuning, Sicherheit und Auditing F. Optimale Backup- und Recovery- Prozeduren G. Verwaltung groer Datenbanken und Netzwerk');
INSERT INTO kurs VALUES (1040060, 'Programmierung(Office)', 'Outlook', 'VBA-Programmierung', 2, 9, 'Outlook Grundlagen', 'Programmierer, Entwickler', 'A. Einfhrung B. Programmierkonzepte C. Formulare und UserForms D. Kontakt-Programmierung E. E-Mail-Programmierung F. Termin-Programmierung');
INSERT INTO kurs VALUES (1025020, 'Office', 'Outlook', 'Kommunikation', 1, 1, 'Grundlagen in Windows', 'Screendesigner, Webpublisher, Grafiker', 'A. Einfhrung / Posteingang B. Kalender C. Kontakte D. Aufgaben E. Journale F. Notizen G. Internet H. Adressbcher ');
INSERT INTO kurs VALUES (1010007, 'Grafik', 'Pagemaker', 'Satztechnik', 3, 14, 'Grundlagen in Windows', 'Webpublisher, Grafiker', 'A. Einfhrung B. Voreinstellungen C. Arbeitshilfen D. Text eingeben und bearbeiten E. Arbeiten mit Textblcken F. Text importieren G. Schriftgestaltung B. Absatzformatierung C. Arbeiten mit Druckformaten D.Textmodus E. Grafikobjekte erstellen und bearbeiten F. Arbeiten mit Bildern G. Arbeiten mit Ebenen H. Arbeiten mit Rahmen I. Arbeiten mit Farben ');
INSERT INTO kurs VALUES (1015026, 'Programmierung', 'Perl', 'Syntax + Konzepte', 3, 21, 'Web-Grundkenntnisse, HTML', 'Programmierer, Entwickler', 'A. Perl bersicht B. Perl Einfhrung C. Perl Datenstrukturen D. Perl Anweisungen E. Perl Anweisungen und Funktionen F. Regulre Ausdrcke G. Perl Dateiverarbeitung H. Packages und Module I. Perl und Datenbanken');
INSERT INTO kurs VALUES (1015037, 'Programmierung', 'Perl', 'Perl + CGI', 3, 21, 'Web-Grundkenntnisse, HTML', 'Administratoren, Entwickler', 'A. Einfhrung CGI B. Die CGI - Spezifikation C. bersicht Perl D. Ntzliche Helfer E. Praktische Beispiele F. CGI und SSI G. CGI und Datenbanken H. CGI und Sicherheit I. Webautomatisierung');
INSERT INTO kurs VALUES (1015101, 'Programmierung', 'Perl', 'Module programmieren in Perl', 2, 18, 'Perl - Syntax + Konzepte oder Perl -CGI, Grundkenntnisse OOP', 'Programmierer, Entwickler', 'A. Einfhrung B. Packages C. Module D. Dokumentation von Modulen E. OOP und Perl F. Sonstiges');
INSERT INTO kurs VALUES (1015102, 'Programmierung', 'Perl', 'Programmierung von GUIs mit Perl/Tk', 1, 10, 'Perl - Syntax + Konzepte', 'Administratoren, Entwickler', 'A. Einfhrung B. Geometriemanagement C. einfache Widgets D. Mens E. Toplevel-Widgets F. Ereignisse binden ');
INSERT INTO kurs VALUES (1015103, 'Programmierung', 'Perl', 'Netzwerkprogrammierung', 2, 18, 'Perl - Syntax + Konzepte', 'Programmierer, Entwickler', 'A. Einfhrung B. Netzweite IPCs C. High-Level-Netzbiblitheken D. Beispiele E. Webautomatisierung');
INSERT INTO kurs VALUES (1015104, 'Programmierung', 'Perl', 'Systemadministration', 2, 18, 'Perl - Syntax + Konzepte oder Perl - CGI', 'Administratoren', 'A. Interaktion mit dem Betriebssystem B. Dateisysteme C. Benutzeraktivitt und -verwaltung D. Verzeichnisdienste E. Logdateien F. Netwerkmonitoring und Sicherheit');
INSERT INTO kurs VALUES (1015105, 'Programmierung', 'Perl', 'Datenbankprogrammierung', 1, 10, 'Perl - Syntax + Konzepte oder Perl - CGI, SQL', 'Programmierer, Entwickler', 'A. Einfhrung B. Nicht DBI-Dateien C. Einfhrung in die Datenbankprogrammierung mit DBI D. DBI und ODBC');
INSERT INTO kurs VALUES (1010005, 'Grafik', 'Photoshop', 'Bildbearbeitung', 4, 27, 'Grundlagen Photoshop oder eines anderen Grafikprogramms', 'Webpublisher, Grafiker', 'A. Einfhrung B. Ebenen C. Text D. Bildkorrektur E. Farben F. Effekte A. Einfhrung B. Objekte zeichnen und bearbeiten C. Objekte organisieren D. Objekte ndern  E. Farben F. Text G. Stile H. Banner I. Internet ');
INSERT INTO kurs VALUES (1010009, 'Grafik', 'Photoshop', 'Korrektur + Verfremdung', 3, 27, 'Grundlagen in Windows', 'Webpublisher, Grafiker', 'A. Farbmodi B. Retusche C. Bilder zusammensetzen D. Filter E. Malen F. Schrift, Formen, Pfade G. Spezialeffekte H. Animation');
INSERT INTO kurs VALUES (1015024, 'Programmierung', 'PHP', 'Syntax + Konzepte', 3, 21, 'Grundlagen Windows', 'Programmierer, Entwickler', 'A. Installation B. Grundlagen D. Arrays, Bedingungen, Schleifen D. Zeichenketten E. Funktionen und mathematische Funktionen F. Mit Dateien arbeiten G. Netzwerk H. Fehlerbehandlung I. FTP J. Datum / Zeit K. Text- / Grafikausgabe L. Formulare M. Datenbanktheorie N. Grundlagen SQL, MySQL O. Projekt ');
INSERT INTO kurs VALUES (1015043, 'Programmierung', 'PHP', 'Webanwendungen', 3, 19, 'Grundlagen in PHP', 'Programmierer, Entwickler', 'A. Einfhrung B. Programmentwicklung C. Webanwendungskonzepte D. Webanwendungsstrategien E. Datenbankzugriff F. Ausbaumglichkeiten ');
INSERT INTO kurs VALUES (1015044, 'Programmierung', 'PHP', 'MySQL Programmbeispiele', 3, 19, 'Grundkenntnisse in HTML, PHP, SQL', 'Programmierer, Entwickler', 'A. Gstebuch B. Umfrage C. Katalog-System D. Content-Management-System E. Diskussionsforum F. System zur Fehleranalyse G. Shop-System');
INSERT INTO kurs VALUES (1015068, 'Programmierung', 'PHP', 'Kochrezepte', 4, 28, 'Flash-Kenntnisse, ActionScript-Grundlagen, PHP-Grundlagen', 'Programmierer, Entwickler', 'A. Variablen und Zeichenketten B.Zeitfunktionen C. Mathematische Funktionen D. Mustererkennung E.HTTP, Session, Browser, Verschlsselung, E-Mail F.Dateisysteme G.Grafikfuntionen H. Funktionen und Kontrollstrukturen I.Datenbanken J.Freeware im Web und Installation');
INSERT INTO kurs VALUES (1025013, 'Office', 'Powerpoint', 'Prsentationsdesign', 2, 2, 'Grundlagen in Windows', 'Anwender', 'A. Einfhrung B. Daten- / Texteingabe C. Format D. Diagramme / Tabellen E. Grafiken F. Steuerung G. Drucken H. Formatvorlagen I. Makro / Felder J. Internet');
INSERT INTO kurs VALUES (1025062, 'Office', 'Project', 'Projektmanagement', 2, 3, 'Grundlagen in Windows', 'Anwender', 'A. Einfhrung Projektmanagement B. Einfhrung C. Grundgerst eines Projektes D. Genaue Eingabe E. Ressourcen F. berwachung G. Analyse H. Berichte I. Masken J. Variable Felder K. Team');
INSERT INTO kurs VALUES (1025075, 'Office', 'Publisher', 'Satztechnik', 2, 5, 'Grundlagen in Windows', 'Screendesigner, Webpublisher, Grafiker', 'A. Grundlagen B. Zeichnungen und Bilder D. Tabellen E. Seitenlayouts F. Publizieren im Internet G. Katalog, Design Gallery und mehr ');
INSERT INTO kurs VALUES (1015035, 'Programmierung', 'Python', 'Syntax + Konzepte', 3, 27, 'HTML/CSS-Kenntnisse, PHP, SQL-Grundlagen', 'Programmierer, Entwickler', 'A. Grundlagen B. Syntax C. Objektorientierte Programmierung D. Funktionalitt E. Beispiele ');
INSERT INTO kurs VALUES (1025039, 'Datenbanken', 'SQL', 'DDL, DML + DCL', 2, 18, 'Grundlagen in Windows', 'DB-Administratoren, DB-Entwickler', 'A. Einfhrung B. Datenbank und Tabellen anlegen und ndern C. Daten einfgen und ndern D. Grundstrukturen einfacher Abfragen E. Komplexe Abfragen, Unterabfragen und Funktionen F. Abfragen in virtuellen Tabellen speichern G. Zugriffskontrolle durch Benutzer, Rechte und Rollen H. MS SQL Server und Transact SQL I. Oracle und PL/SQL');
INSERT INTO kurs VALUES (1020056, 'Webdesign', 'Suchmaschinen-Optimierung', 'Web-Controlling', 1, 10, 'Kenntnisse eines Webdesign-Programms, HTML', 'Programmierer, Entwickler', 'A. Grundlagen B. Planung der Struktur und Technik einer Site C. Suchmaschinen-Optimierung einzelner Webseiten ');
INSERT INTO kurs VALUES (1030106, 'Server', 'TCP IP', 'TCP/IP 1', 3, 28, 'Grundlagen in einem Betriebssystem', 'Administratoren, Entwickler', 'A. Architekturgrundlagen B. Das Internetprotokoll C. TCP D. UDP E. Steuerung der IP-Infrastruktur F.Wie finden IP-Pakete ihre Ziele G. Auf dem Weg ins Inter-Intranet H. Network Adress Translation (NAT) I. Fernzugriff auf das Firmennetzwerk');
INSERT INTO kurs VALUES (1030107, 'Server', 'TCP IP', 'TCP/IP 2', 3, 28, 'Grundlagen in Netzwerktechnik, TCP/IP 1', 'Administratoren, Entwickler', 'A. Simple Network Managment B. Netzwerkmonitore C. Dienstprogramme D. Allgemeines Troubleshooting E. Anwendungen auf der Basis von TCP/IP F.Ausblick auf IPv6 G. Quality of Service (QoS) H. Eingebettete Verschlsselung in IPv6 I. Automatische Systemkonfiguration J. Voice over IP K. Kompatibilitt, Parallelbetrieb, Tunneling L. Sonstiges');
INSERT INTO kurs VALUES (1015089, 'Programmierung', 'UML', 'Konzepte und Anwendung', 3, 29, 'Kenntnisse einer objektorientierten Programmiersprache', 'Programmierer, Entwickler', 'A. Einfhrung B. Objektorientierung C. Aggregationen, Komposita, Schnittstellen und Realisierungen D. Anwendungsflle E. Diagramme fr Aktionen F. Diagramme fr Strukturen');
INSERT INTO kurs VALUES (1015090, 'Programmierung', 'UML', 'Objektorientierung und Strategien', 2, 19, 'Grundlegende UML-Kenntnisse und Kenntnisse einer objektorientierten Programmiersprache', 'Programmierer, Entwickler', 'A. Einfhrung Fallstudie B. Modell des Geschftssystems C. Modell des IT- Systems D. Modell der Systemintegration');
INSERT INTO kurs VALUES (1040076, 'Programmierung', 'VBA', 'Syntax + Konzepte', 4, 23, 'HTML/CSS-Kenntnisse, PHP- und SQL-Grundlagen', 'Programmierer, Entwickler', 'A. Einfhrung B. Macros erstellen C. Programmierung mit VBA D. Grundlegende Sprachelemente E. Erweiterte Sprachelemente F. Ojektorientierte Elemente G. Spezielle Excel- Programmiertechniken H. Spezielle Word- Programmiertechniken I. Dialoge erstellen J. Spezielle Programmierungen K. Ereignissprozeduren erstellen');
INSERT INTO kurs VALUES (1040097, 'Programmierung(Office)', 'VBA', 'XML-Konzepte', 3, 23, 'Grundlegende VBA-, Excel- und Access-Kenntnisse, XML-Kenntnisse vorteilhaft', 'Anwender, Entwickler', 'A. Einfhrung B. XML-Einfhrung C. XML, HTML und XSL  die Ausgabe D. XML-Dokumente erzeugen E. XML und DOM F. XML- und XSL-Dateien');
INSERT INTO kurs VALUES (1025022, 'Office', 'Visio', 'Grafikerstellung', 2, 3, 'Grundlagen in Windows', 'Screendesigner, Webpublisher, Grafiker', 'A. VisioGrundlagen B. Das Men Datei C. VisioAufbauwissen D. Assistenten E. Shapesheet-Programmierung F. VBA G. Zugriff auf Visio');
INSERT INTO kurs VALUES (1015064, 'Programmierung', 'VisualBasic', 'Syntax + Konzepte', 4, 28, 'Grundlagen in Windows', 'Programmierer, Entwickler', 'A. Einfhrung B. Die Entwicklungsumgebung C. Steuerelemente D. Programmieren E. Variablen und Konstanten F. Operatoren G.Steuerung des Programmablaufs H. Datentypen prfen und umwandeln I. Formatierte Ausgabe J. Prozeduren und Funktionen K. Fehlerbehandlung L. Mens erstellen');
INSERT INTO kurs VALUES (1015065, 'Programmierung', 'VisualBasic', 'OOP, APIs + DBs', 4, 28, 'Grundlagen in VisualBasic', 'Programmierer, Entwickler', 'A. Objektorientierung B. Grafikprogrammierung C. API-Programmierung D.Registrierdatenbank E.Programmiertechniken F.Datenbankprogrammierung G.Reports H. OLE und ActiveX I. ActiveX- Komponenten');
INSERT INTO kurs VALUES (1015066, 'Programmierung', 'VisualBasic', 'Kochrezepte', 4, 29, 'Grundlagen in VisualBasic', 'Programmierer, Entwickler', 'A. Grundlagen B. Oberflche C. Grafik D.Multimedia E.Dateien F.Datenbank G.Drucken H. Objekte I. OLE/DDE J.Peripherie K. System L. Desktop ');
INSERT INTO kurs VALUES (1030045, 'Server', 'Windows 2000 Server', 'Administration', 3, 20, 'Grundlagen in Windows', 'Anwender, Entwickler', 'A. Einfhrung B. Installation C. Erste Schritte D. Die Registrierung E. Active Directory F. Dateien  G. Server H. Internet I. Sicherheit J. BackOffice K. berwachung L. Fehlersuche ');
INSERT INTO kurs VALUES (1040023, 'Programmierung(Office)', 'Word', 'VBA-Programmierung', 2, 17, 'Word Grundlagen', 'Programmierer, Entwickler', 'A. Einfhrung B. Makros mit VBA C. Die Entwicklungsumgebung D. Ereignisgesteuerte Programmierung E. Grundlegende Sprachelemente F. Erweiterte Sprachelemente G. Objekte in Word H. Spezielle Word- Programmiertechniken I. Benutzeroberflche J. Integration in MS- Office');
INSERT INTO kurs VALUES (1025012, 'Office', 'Word', 'Textverarbeitung', 3, 7, 'Grundlagen in Windows', 'Anwender', 'A. Einfhrung B. Texteingabe C. Bearbeiten von Text D. Tabellen E. Grafiken F. Drucken G. Formatvorlagen H. Makros I. Automatisierung  J. Seriendokumente');
INSERT INTO kurs VALUES (1020058, 'Programmierung', 'XML', 'Syntax', 2, 11, 'Kenntnisse von HTML und einer Programiersprache von Vorteil', 'Programmierer, Entwickler', 'A. Einfhrung B. XML-Syntax C. XML-Instanzen D. XML Data Reduced Schema E. XML Schema Definition Language F. XML-Entities G. Namensrume H. XPath und XLink I. XML-Pointer Language J. Document Object Model K. Formatierungen L. Anwendungsflle ');
INSERT INTO kurs VALUES (2020109, 'Programmierung', 'XML', 'XSLT', 2, 11, 'XML-Grundlagen', 'Programmierer, Entwickler', 'A. Grundlagen B. Syntax C. Xpath');
INSERT INTO kurs VALUES (2020110, 'Programmierung', 'XML', 'XMLSpy', 3, 21, 'XML-Grundlagen vorteilhaft', 'Programmierer, Entwickler', 'A. Grundlagen B. Oberflche C. XML und Schema-Dokumente D. XSLT  E. XPath F. Document-Editor');

---------------------------------------------------------------------    
--Tabelle Termin
--
DROP TABLE "SCOTT"."TERMIN";
CREATE TABLE "SCOTT"."TERMIN"
("T_NR" NUMBER(4) NOT NULL,
 "K_NR" NUMBER(7) NOT NULL,
 "T_BEGINN" DATE NOT NULL,
 "T_ENDE" DATE  NOT NULL,
 "T_ORT" VARCHAR2(20) NOT NULL,
 PRIMARY KEY("T_NR"),
 FOREIGN KEY("K_NR") 
    REFERENCES "SCOTT"."KURS"("K_NR"), CHECK(T_Beginn<=T_Ende))  
    TABLESPACE "USERS";
----------------------------------------------------------------------
--Daten Tabelle Termin
--
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (1.0, 1015036.0, to_date('18.02.2010'), to_date('20.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (2.0, 1020053.0, to_date('18.02.2010'), to_date('20.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (3.0, 1015036.0, to_date('18.02.2010'), to_date('20.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (4.0, 1020053.0, to_date('18.02.2010'), to_date('20.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (5.0, 1020058.0, to_date('21.02.2010'), to_date('21.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (6.0, 1025019.0, to_date('21.02.2010'), to_date('23.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (7.0, 1015040.0, to_date('21.02.2010'), to_date('23.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (8.0, 1020058.0, to_date('21.02.2010'), to_date('21.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (9.0, 1025019.0, to_date('21.02.2010'), to_date('23.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (10.0, 1015042.0, to_date('21.02.2010'), to_date('23.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (11.0, 1015031.0, to_date('25.02.2010'), to_date('27.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (12.0, 1020054.0, to_date('25.02.2010'), to_date('27.02.2010'), 'Essen');
INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (13.0, 1015031.0, to_date('25.02.2010'), to_date('27.02.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (14.0, 1020054.0, to_date('25.02.2010'), to_date('27.02.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (15.0, 1015028.0, to_date('12.03.2010'), to_date('15.03.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (16.0, 1015028.0, to_date('12.03.2010'), to_date('15.03.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (17.0, 1015027.0, to_date('18.03.2010'), to_date('21.03.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (18.0, 1015027.0, to_date('18.03.2010'), to_date('21.03.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (19.0, 1015024.0, to_date('25.03.2010'), to_date('27.03.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (20.0, 1010004.0, to_date('25.03.2010'), to_date('26.03.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (21.0, 1015024.0, to_date('25.03.2010'), to_date('27.03.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (22.0, 1010004.0, to_date('25.03.2010'), to_date('26.03.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (23.0, 1015034.0, to_date('02.04.2010'), to_date('05.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (24.0, 1015034.0, to_date('02.04.2010'), to_date('05.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (25.0, 1020052.0, to_date('05.04.2010'), to_date('05.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (26.0, 1020052.0, to_date('05.04.2010'), to_date('05.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (27.0, 1015026.0, to_date('08.04.2010'), to_date('10.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (28.0, 1010005.0, to_date('08.04.2010'), to_date('11.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (29.0, 1015026.0, to_date('08.04.2010'), to_date('10.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (30.0, 1010005.0, to_date('08.04.2010'), to_date('11.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (31.0, 1015041.0, to_date('11.04.2010'), to_date('12.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (32.0, 1015041.0, to_date('11.04.2010'), to_date('12.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (33.0, 1025014.0, to_date('22.04.2010'), to_date('23.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (34.0, 1010006.0, to_date('22.04.2010'), to_date('24.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (35.0, 1015025.0, to_date('22.04.2010'), to_date('24.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (36.0, 1025014.0, to_date('22.04.2010'), to_date('23.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (37.0, 1010006.0, to_date('22.04.2010'), to_date('24.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (38.0, 1015025.0, to_date('22.04.2010'), to_date('24.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (39.0, 1025015.0, to_date('24.04.2010'), to_date('25.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (40.0, 1025015.0, to_date('24.04.2010'), to_date('25.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (41.0, 1025017.0, to_date('29.04.2010'), to_date('30.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (42.0, 1025017.0, to_date('29.04.2010'), to_date('30.04.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (43.0, 1015034.0, to_date('02.05.2010'), to_date('02.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (44.0, 1025018.0, to_date('02.05.2010'), to_date('03.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (45.0, 1015034.0, to_date('02.05.2010'), to_date('02.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (46.0, 1025018.0, to_date('02.05.2010'), to_date('03.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (47.0, 1020052.0, to_date('03.05.2010'), to_date('03.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (48.0, 1020052.0, to_date('03.05.2010'), to_date('03.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (49.0, 1015033.0, to_date('06.05.2010'), to_date('08.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (50.0, 1025019.0, to_date('06.05.2010'), to_date('08.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (51.0, 1015033.0, to_date('06.05.2010'), to_date('08.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (52.0, 1025019.0, to_date('06.05.2010'), to_date('08.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (53.0, 1015033.0, to_date('13.05.2010'), to_date('15.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (54.0, 1015036.0, to_date('13.05.2010'), to_date('15.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (55.0, 1020058.0, to_date('21.05.2010'), to_date('21.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (56.0, 1025020.0, to_date('21.05.2010'), to_date('21.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (57.0, 1020058.0, to_date('21.05.2010'), to_date('21.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (58.0, 1025020.0, to_date('21.05.2010'), to_date('21.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (59.0, 1025051.0, to_date('27.05.2010'), to_date('29.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (60.0, 1025061.0, to_date('27.05.2010'), to_date('29.05.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (61.0, 1040060.0, to_date('31.05.2010'), to_date('01.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (62.0, 2020109.0, to_date('31.05.2010'), to_date('01.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (63.0, 1015028.0, to_date('03.06.2010'), to_date('06.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (64.0, 1015028.0, to_date('03.06.2010'), to_date('06.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (65.0, 1015027.0, to_date('10.06.2010'), to_date('13.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (66.0, 1015027.0, to_date('10.06.2010'), to_date('13.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (67.0, 1015034.0, to_date('17.06.2010'), to_date('20.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (68.0, 1020053.0, to_date('17.06.2010'), to_date('19.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (69.0, 1015034.0, to_date('17.06.2010'), to_date('20.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (70.0, 1020053.0, to_date('17.06.2010'), to_date('19.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (71.0, 1020054.0, to_date('24.06.2010'), to_date('26.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (72.0, 1020054.0, to_date('24.06.2010'), to_date('26.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (73.0, 1025013.0, to_date('27.06.2010'), to_date('28.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (74.0, 1025013.0, to_date('27.06.2010'), to_date('28.06.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (75.0, 1015024.0, to_date('01.07.2010'), to_date('03.07.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (76.0, 1015024.0, to_date('01.07.2010'), to_date('03.07.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (77.0, 1010005.0, to_date('15.07.2010'), to_date('17.07.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (78.0, 1010005.0, to_date('15.07.2010'), to_date('17.07.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (79.0, 1010004.0, to_date('22.07.2010'), to_date('23.07.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (80.0, 1015035.0, to_date('22.07.2010'), to_date('24.07.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (81.0, 1010004.0, to_date('22.07.2010'), to_date('23.07.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (82.0, 1015035.0, to_date('22.07.2010'), to_date('24.07.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (83.0, 1020053.0, to_date('05.08.2010'), to_date('07.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (84.0, 1020053.0, to_date('05.08.2010'), to_date('07.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (85.0, 1010006.0, to_date('12.08.2010'), to_date('14.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (86.0, 1010006.0, to_date('12.08.2010'), to_date('14.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (87.0, 2020110.0, to_date('16.08.2010'), to_date('18.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (88.0, 1030107.0, to_date('16.08.2010'), to_date('18.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (89.0, 1030045.0, to_date('18.08.2010'), to_date('22.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (90.0, 1030045.0, to_date('18.08.2010'), to_date('22.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (91.0, 1015044.0, to_date('21.08.2010'), to_date('23.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (92.0, 1015044.0, to_date('21.08.2010'), to_date('23.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (93.0, 1025018.0, to_date('26.08.2010'), to_date('28.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (94.0, 1025018.0, to_date('26.08.2010'), to_date('28.08.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (95.0, 1010008.0, to_date('01.09.2010'), to_date('02.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (96.0, 1010008.0, to_date('01.09.2010'), to_date('02.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (97.0, 1010006.0, to_date('02.09.2010'), to_date('04.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (98.0, 1010006.0, to_date('02.09.2010'), to_date('04.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (99.0, 1010007.0, to_date('11.09.2010'), to_date('13.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (100.0, 1010007.0, to_date('11.09.2010'), to_date('13.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (101.0, 1040023.0, to_date('14.09.2010'), to_date('15.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (102.0, 1040023.0, to_date('14.09.2010'), to_date('15.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (103.0, 1010004.0, to_date('26.09.2010'), to_date('27.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (104.0, 1025022.0, to_date('26.09.2010'), to_date('27.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (105.0, 1010004.0, to_date('26.09.2010'), to_date('27.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (106.0, 1025022.0, to_date('26.09.2010'), to_date('27.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (107.0, 1015024.0, to_date('28.09.2010'), to_date('30.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (108.0, 1015024.0, to_date('28.09.2010'), to_date('30.09.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (109.0, 1030045.0, to_date('30.09.2010'), to_date('02.10.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (110.0, 1030045.0, to_date('30.09.2010'), to_date('02.10.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (111.0, 1015040.0, to_date('01.10.2010'), to_date('03.10.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (112.0, 1015040.0, to_date('01.10.2010'), to_date('03.10.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (113.0, 1025073.0, to_date('07.10.2010'), to_date('10.10.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (114.0, 1025073.0, to_date('07.10.2010'), to_date('10.10.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (115.0, 1015064.0, to_date('11.10.2010'), to_date('14.10.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (116.0, 1015064.0, to_date('11.10.2010'), to_date('14.10.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (117.0, 1040076.0, to_date('14.10.2010'), to_date('17.10.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (118.0, 1015068.0, to_date('14.10.2010'), to_date('17.10.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (119.0, 1025051.0, to_date('16.10.2010'), to_date('18.10.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (120.0, 1025051.0, to_date('16.10.2010'), to_date('18.10.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (121.0, 1015065.0, to_date('21.10.2010'), to_date('24.10.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (122.0, 1015065.0, to_date('21.10.2010'), to_date('24.10.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (123.0, 1025020.0, to_date('25.10.2010'), to_date('25.10.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (124.0, 1025020.0, to_date('25.10.2010'), to_date('25.10.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (125.0, 1015093.0, to_date('28.10.2010'), to_date('30.10.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (126.0, 1015067.0, to_date('28.10.2010'), to_date('30.10.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (127.0, 1020058.0, to_date('15.11.2010'), to_date('15.11.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (128.0, 1020058.0, to_date('15.11.2010'), to_date('15.11.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (129.0, 1030048.0, to_date('18.11.2010'), to_date('19.11.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (130.0, 1030048.0, to_date('18.11.2010'), to_date('19.11.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (131.0, 1040060.0, to_date('21.11.2010'), to_date('22.11.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (132.0, 1040060.0, to_date('21.11.2010'), to_date('22.11.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (133.0, 1030048.0, to_date('25.11.2010'), to_date('28.11.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (134.0, 1030048.0, to_date('25.11.2010'), to_date('28.11.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (135.0, 1015034.0, to_date('02.12.2010'), to_date('05.12.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (136.0, 1015034.0, to_date('02.12.2010'), to_date('05.12.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (137.0, 1015068.0, to_date('09.12.2010'), to_date('12.12.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (138.0, 1015068.0, to_date('09.12.2010'), to_date('12.12.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (139.0, 1015042.0, to_date('16.12.2010'), to_date('19.12.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (140.0, 1015027.0, to_date('16.12.2010'), to_date('19.12.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (141.0, 1015042.0, to_date('16.12.2010'), to_date('19.12.2010'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (142.0, 1015027.0, to_date('16.12.2010'), to_date('19.12.2010'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (143.0, 1015036.0, to_date('18.02.2011'), to_date('20.02.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (144.0, 1020053.0, to_date('18.02.2011'), to_date('20.02.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (145.0, 1020058.0, to_date('21.02.2011'), to_date('21.02.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (146.0, 1025019.0, to_date('21.02.2011'), to_date('23.02.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (147.0, 1025063.0, to_date('21.02.2011'), to_date('23.02.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (148.0, 1015031.0, to_date('25.02.2011'), to_date('27.02.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (149.0, 1020054.0, to_date('25.02.2011'), to_date('27.02.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (150.0, 1015028.0, to_date('12.03.2011'), to_date('15.03.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (151.0, 1015027.0, to_date('18.03.2011'), to_date('21.03.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (152.0, 1015024.0, to_date('25.03.2011'), to_date('27.03.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (153.0, 1010004.0, to_date('25.03.2011'), to_date('26.03.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (154.0, 1015034.0, to_date('02.04.2011'), to_date('05.04.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (155.0, 1020052.0, to_date('05.04.2011'), to_date('05.04.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (156.0, 1015026.0, to_date('08.04.2011'), to_date('10.04.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (157.0, 1010005.0, to_date('08.04.2011'), to_date('11.04.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (158.0, 1015041.0, to_date('11.04.2011'), to_date('12.04.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (159.0, 1025014.0, to_date('22.04.2011'), to_date('23.04.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (160.0, 1010006.0, to_date('22.04.2011'), to_date('24.04.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (161.0, 1015025.0, to_date('22.04.2011'), to_date('24.04.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (162.0, 1025015.0, to_date('24.04.2011'), to_date('25.04.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (163.0, 1025017.0, to_date('29.04.2011'), to_date('30.04.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (164.0, 1015034.0, to_date('02.05.2011'), to_date('02.05.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (165.0, 1025018.0, to_date('02.05.2011'), to_date('03.05.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (166.0, 1020052.0, to_date('03.05.2011'), to_date('03.05.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (167.0, 1015033.0, to_date('06.05.2011'), to_date('08.05.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (168.0, 1025019.0, to_date('06.05.2011'), to_date('08.05.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (169.0, 1025051.0, to_date('13.05.2011'), to_date('15.05.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (170.0, 1020058.0, to_date('21.05.2011'), to_date('21.05.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (171.0, 1025020.0, to_date('21.05.2011'), to_date('21.05.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (172.0, 1025063.0, to_date('27.05.2011'), to_date('29.05.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (173.0, 1025051.0, to_date('31.05.2011'), to_date('01.06.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (174.0, 1015028.0, to_date('03.06.2011'), to_date('06.06.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (175.0, 1015027.0, to_date('10.06.2011'), to_date('13.06.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (176.0, 1015034.0, to_date('17.06.2011'), to_date('20.06.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (177.0, 1020053.0, to_date('17.06.2011'), to_date('19.06.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (178.0, 1020054.0, to_date('24.06.2011'), to_date('26.06.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (179.0, 1025013.0, to_date('27.06.2011'), to_date('28.06.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (180.0, 1015024.0, to_date('01.07.2011'), to_date('03.07.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (181.0, 1010005.0, to_date('15.07.2011'), to_date('17.07.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (182.0, 1010004.0, to_date('22.07.2011'), to_date('23.07.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (183.0, 1015035.0, to_date('22.07.2011'), to_date('24.07.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (184.0, 1020053.0, to_date('05.08.2011'), to_date('07.08.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (185.0, 1010006.0, to_date('12.08.2011'), to_date('14.08.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (186.0, 1025061.0, to_date('16.08.2011'), to_date('18.08.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (187.0, 1030045.0, to_date('18.08.2011'), to_date('22.08.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (188.0, 1015044.0, to_date('21.08.2011'), to_date('23.08.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (189.0, 1025018.0, to_date('26.08.2011'), to_date('28.08.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (190.0, 1010008.0, to_date('01.09.2011'), to_date('02.09.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (191.0, 1010006.0, to_date('02.09.2011'), to_date('04.09.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (192.0, 1010007.0, to_date('11.09.2011'), to_date('13.09.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (193.0, 1040023.0, to_date('14.09.2011'), to_date('15.09.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (194.0, 1010004.0, to_date('26.09.2011'), to_date('27.09.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (195.0, 1025022.0, to_date('26.09.2011'), to_date('27.09.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (196.0, 1015024.0, to_date('28.09.2011'), to_date('30.09.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (197.0, 1030045.0, to_date('30.09.2011'), to_date('02.10.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (198.0, 1015040.0, to_date('01.10.2011'), to_date('03.10.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (199.0, 1025073.0, to_date('07.10.2011'), to_date('10.10.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (200.0, 1015064.0, to_date('11.10.2011'), to_date('14.10.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (201.0, 1015067.0, to_date('14.10.2011'), to_date('17.10.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (202.0, 1025051.0, to_date('16.10.2011'), to_date('18.10.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (203.0, 1015065.0, to_date('21.10.2011'), to_date('24.10.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (204.0, 1025020.0, to_date('25.10.2011'), to_date('25.10.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (205.0, 1025051.0, to_date('28.10.2011'), to_date('30.10.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (206.0, 1020058.0, to_date('15.11.2011'), to_date('15.11.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (207.0, 1030048.0, to_date('18.11.2011'), to_date('19.11.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (208.0, 1040060.0, to_date('21.11.2011'), to_date('22.11.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (209.0, 1030048.0, to_date('25.11.2011'), to_date('28.11.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (210.0, 1015034.0, to_date('02.12.2011'), to_date('05.12.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (211.0, 1015068.0, to_date('09.12.2011'), to_date('12.12.2011'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (212.0, 1015042.0, to_date('16.12.2011'), to_date('19.12.2011'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (213.0, 1015027.0, to_date('16.12.2011'), to_date('19.12.2011'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (214.0, 1015036.0, to_date('18.02.2012'), to_date('20.02.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (215.0, 1020053.0, to_date('18.02.2012'), to_date('20.02.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (216.0, 1015036.0, to_date('18.02.2012'), to_date('20.02.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (217.0, 1020053.0, to_date('18.02.2012'), to_date('20.02.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (218.0, 1020058.0, to_date('21.02.2012'), to_date('21.02.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (219.0, 1025019.0, to_date('21.02.2012'), to_date('23.02.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (220.0, 1025051.0, to_date('21.02.2012'), to_date('23.02.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (221.0, 1020058.0, to_date('21.02.2012'), to_date('21.02.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (222.0, 1025019.0, to_date('21.02.2012'), to_date('23.02.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (223.0, 1025051.0, to_date('21.02.2012'), to_date('23.02.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (224.0, 1015031.0, to_date('25.02.2012'), to_date('27.02.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (225.0, 1020054.0, to_date('25.02.2012'), to_date('27.02.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (226.0, 1015031.0, to_date('25.02.2012'), to_date('27.02.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (227.0, 1020054.0, to_date('25.02.2012'), to_date('27.02.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (228.0, 1015028.0, to_date('12.03.2012'), to_date('15.03.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (229.0, 1015028.0, to_date('12.03.2012'), to_date('15.03.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (230.0, 1015027.0, to_date('18.03.2012'), to_date('21.03.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (231.0, 1015027.0, to_date('18.03.2012'), to_date('21.03.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (232.0, 1015044.0, to_date('20.03.2012'), to_date('22.03.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (233.0, 1015024.0, to_date('25.03.2012'), to_date('27.03.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (234.0, 1010004.0, to_date('25.03.2012'), to_date('26.03.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (235.0, 1015024.0, to_date('25.03.2012'), to_date('27.03.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (236.0, 1010004.0, to_date('25.03.2012'), to_date('26.03.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (237.0, 1015034.0, to_date('02.04.2012'), to_date('05.04.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (238.0, 1015034.0, to_date('02.04.2012'), to_date('05.04.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (239.0, 1020052.0, to_date('05.04.2012'), to_date('05.04.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (240.0, 1020052.0, to_date('05.04.2012'), to_date('05.04.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (241.0, 1015026.0, to_date('08.04.2012'), to_date('10.04.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (242.0, 1010005.0, to_date('08.04.2012'), to_date('11.04.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (243.0, 1015026.0, to_date('08.04.2012'), to_date('10.04.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (244.0, 1010005.0, to_date('08.04.2012'), to_date('11.04.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (245.0, 1015041.0, to_date('11.04.2012'), to_date('12.04.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (246.0, 1015041.0, to_date('11.04.2012'), to_date('12.04.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (247.0, 1025014.0, to_date('22.04.2012'), to_date('23.04.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (248.0, 1010006.0, to_date('22.04.2012'), to_date('24.04.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (249.0, 1015025.0, to_date('22.04.2012'), to_date('24.04.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (250.0, 1025014.0, to_date('22.04.2012'), to_date('23.04.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (251.0, 1010006.0, to_date('22.04.2012'), to_date('24.04.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (252.0, 1015025.0, to_date('22.04.2012'), to_date('24.04.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (253.0, 1025015.0, to_date('24.04.2012'), to_date('25.04.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (254.0, 1025015.0, to_date('24.04.2012'), to_date('25.04.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (255.0, 1025017.0, to_date('29.04.2012'), to_date('30.04.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (256.0, 1025017.0, to_date('29.04.2012'), to_date('30.04.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (257.0, 1015034.0, to_date('02.05.2012'), to_date('02.05.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (258.0, 1025018.0, to_date('02.05.2012'), to_date('03.05.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (259.0, 1015034.0, to_date('02.05.2012'), to_date('02.05.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (260.0, 1025018.0, to_date('02.05.2012'), to_date('03.05.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (261.0, 1020052.0, to_date('03.05.2012'), to_date('03.05.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (262.0, 1020052.0, to_date('03.05.2012'), to_date('03.05.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (263.0, 1015033.0, to_date('06.05.2012'), to_date('08.05.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (264.0, 1025019.0, to_date('06.05.2012'), to_date('08.05.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (265.0, 1015033.0, to_date('06.05.2012'), to_date('08.05.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (266.0, 1025019.0, to_date('06.05.2012'), to_date('08.05.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (267.0, 1025051.0, to_date('13.05.2012'), to_date('15.05.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (268.0, 1025051.0, to_date('13.05.2012'), to_date('15.05.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (269.0, 1020058.0, to_date('21.05.2012'), to_date('21.05.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (270.0, 1025020.0, to_date('21.05.2012'), to_date('21.05.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (271.0, 1020058.0, to_date('21.05.2012'), to_date('21.05.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (272.0, 1025020.0, to_date('21.05.2012'), to_date('21.05.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (273.0, 1025063.0, to_date('27.05.2012'), to_date('29.05.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (274.0, 1025063.0, to_date('27.05.2012'), to_date('29.05.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (275.0, 1025051.0, to_date('31.05.2012'), to_date('01.06.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (276.0, 1025051.0, to_date('31.05.2012'), to_date('01.06.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (277.0, 1015028.0, to_date('03.06.2012'), to_date('06.06.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (278.0, 1015028.0, to_date('03.06.2012'), to_date('06.06.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (279.0, 1015027.0, to_date('10.06.2012'), to_date('13.06.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (280.0, 1015027.0, to_date('10.06.2012'), to_date('13.06.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (281.0, 1015034.0, to_date('17.06.2012'), to_date('20.06.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (282.0, 1020053.0, to_date('17.06.2012'), to_date('19.06.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (283.0, 1015034.0, to_date('17.06.2012'), to_date('20.06.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (284.0, 1020053.0, to_date('17.06.2012'), to_date('19.06.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (285.0, 1020054.0, to_date('24.06.2012'), to_date('26.06.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (286.0, 1020054.0, to_date('24.06.2012'), to_date('26.06.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (287.0, 1025013.0, to_date('27.06.2012'), to_date('28.06.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (288.0, 1025013.0, to_date('27.06.2012'), to_date('28.06.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (289.0, 1015024.0, to_date('01.07.2012'), to_date('03.07.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (290.0, 1015024.0, to_date('01.07.2012'), to_date('03.07.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (291.0, 1010005.0, to_date('15.07.2012'), to_date('17.07.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (292.0, 1010005.0, to_date('15.07.2012'), to_date('17.07.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (293.0, 1010004.0, to_date('22.07.2012'), to_date('23.07.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (294.0, 1015035.0, to_date('22.07.2012'), to_date('24.07.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (295.0, 1010004.0, to_date('22.07.2012'), to_date('23.07.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (296.0, 1015035.0, to_date('22.07.2012'), to_date('24.07.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (297.0, 1020053.0, to_date('05.08.2012'), to_date('07.08.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (298.0, 1020053.0, to_date('05.08.2012'), to_date('07.08.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (299.0, 1010006.0, to_date('12.08.2012'), to_date('14.08.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (300.0, 1010006.0, to_date('12.08.2012'), to_date('14.08.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (301.0, 1025061.0, to_date('16.08.2012'), to_date('18.08.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (302.0, 1015026.0, to_date('16.08.2012'), to_date('18.08.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (303.0, 1030045.0, to_date('18.08.2012'), to_date('22.08.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (304.0, 1030045.0, to_date('18.08.2012'), to_date('22.08.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (305.0, 1015044.0, to_date('21.08.2012'), to_date('23.08.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (306.0, 1015044.0, to_date('21.08.2012'), to_date('23.08.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (307.0, 1025018.0, to_date('26.08.2012'), to_date('28.08.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (308.0, 1025018.0, to_date('26.08.2012'), to_date('28.08.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (309.0, 1010008.0, to_date('01.09.2012'), to_date('02.09.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (310.0, 1010008.0, to_date('01.09.2012'), to_date('02.09.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (311.0, 1010006.0, to_date('02.09.2012'), to_date('04.09.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (312.0, 1010006.0, to_date('02.09.2012'), to_date('04.09.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (313.0, 1010007.0, to_date('11.09.2012'), to_date('13.09.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (314.0, 1010007.0, to_date('11.09.2012'), to_date('13.09.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (315.0, 1040023.0, to_date('14.09.2012'), to_date('15.09.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (316.0, 1040023.0, to_date('14.09.2012'), to_date('15.09.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (317.0, 1010004.0, to_date('26.09.2012'), to_date('27.09.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (318.0, 1025022.0, to_date('26.09.2012'), to_date('27.09.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (319.0, 1010004.0, to_date('26.09.2012'), to_date('27.09.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (320.0, 1025022.0, to_date('26.09.2012'), to_date('27.09.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (321.0, 1015024.0, to_date('28.09.2012'), to_date('30.09.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (322.0, 1015024.0, to_date('28.09.2012'), to_date('30.09.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (323.0, 1030045.0, to_date('30.09.2012'), to_date('02.10.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (324.0, 1030045.0, to_date('30.09.2012'), to_date('02.10.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (325.0, 1015040.0, to_date('01.10.2012'), to_date('03.10.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (326.0, 1015040.0, to_date('01.10.2012'), to_date('03.10.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (327.0, 1025073.0, to_date('07.10.2012'), to_date('10.10.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (328.0, 1025073.0, to_date('07.10.2012'), to_date('10.10.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (329.0, 1015064.0, to_date('11.10.2012'), to_date('14.10.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (330.0, 1015064.0, to_date('11.10.2012'), to_date('14.10.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (331.0, 1015067.0, to_date('14.10.2012'), to_date('17.10.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (332.0, 1015067.0, to_date('14.10.2012'), to_date('17.10.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (333.0, 1025051.0, to_date('16.10.2012'), to_date('18.10.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (334.0, 1025051.0, to_date('16.10.2012'), to_date('18.10.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (335.0, 1015065.0, to_date('21.10.2012'), to_date('24.10.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (336.0, 1015065.0, to_date('21.10.2012'), to_date('24.10.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (337.0, 1025020.0, to_date('25.10.2012'), to_date('25.10.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (338.0, 1025020.0, to_date('25.10.2012'), to_date('25.10.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (339.0, 1025051.0, to_date('28.10.2012'), to_date('30.10.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (340.0, 1025051.0, to_date('28.10.2012'), to_date('30.10.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (341.0, 1020058.0, to_date('14.11.2012'), to_date('15.11.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (342.0, 1020058.0, to_date('15.11.2012'), to_date('15.11.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (343.0, 1030048.0, to_date('18.11.2012'), to_date('19.11.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (344.0, 1030048.0, to_date('18.11.2012'), to_date('19.11.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (345.0, 1015044.0, to_date('20.11.2012'), to_date('22.11.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (346.0, 1040060.0, to_date('21.11.2012'), to_date('22.11.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (347.0, 1040060.0, to_date('21.11.2012'), to_date('22.11.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (348.0, 1030048.0, to_date('25.11.2012'), to_date('28.11.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (349.0, 1030048.0, to_date('25.11.2012'), to_date('28.11.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (350.0, 1015034.0, to_date('02.12.2012'), to_date('05.12.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (351.0, 1015034.0, to_date('02.12.2012'), to_date('05.12.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (352.0, 1015068.0, to_date('09.12.2012'), to_date('12.12.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (353.0, 1015068.0, to_date('09.12.2012'), to_date('12.12.2012'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (354.0, 1015042.0, to_date('16.12.2012'), to_date('19.12.2012'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (355.0, 1015027.0, to_date('16.12.2012'), to_date('19.12.2012'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (356.0, 1015042.0, to_date('16.12.2012'), to_date('19.12.2012'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (357.0, 1015027.0, to_date('16.12.2012'), to_date('19.12.2012'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (358.0, 1015089.0, to_date('01.01.2013'), to_date('03.01.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (359.0, 1015090.0, to_date('04.01.2013'), to_date('05.01.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (360.0, 1015034.0, to_date('06.01.2013'), to_date('09.01.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (361.0, 1025047.0, to_date('07.01.2013'), to_date('09.01.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (362.0, 1025047.0, to_date('07.01.2013'), to_date('09.01.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (363.0, 1025047.0, to_date('07.01.2013'), to_date('09.01.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (364.0, 1025047.0, to_date('07.01.2013'), to_date('09.01.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (365.0, 1025047.0, to_date('07.01.2013'), to_date('09.01.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (366.0, 1025047.0, to_date('07.01.2013'), to_date('09.01.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (367.0, 1015024.0, to_date('08.01.2013'), to_date('10.01.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (368.0, 1015085.0, to_date('13.01.2013'), to_date('15.01.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (369.0, 1010008.0, to_date('13.01.2013'), to_date('14.01.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (370.0, 1015027.0, to_date('20.01.2013'), to_date('24.01.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (371.0, 1015044.0, to_date('22.01.2013'), to_date('24.01.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (372.0, 1015024.0, to_date('27.01.2013'), to_date('30.01.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (373.0, 1020058.0, to_date('27.01.2013'), to_date('28.01.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (374.0, 1030048.0, to_date('31.01.2013'), to_date('01.02.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (375.0, 1015064.0, to_date('03.02.2013'), to_date('06.02.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (376.0, 1030048.0, to_date('03.02.2013'), to_date('04.02.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (377.0, 1015034.0, to_date('03.02.2013'), to_date('05.02.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (378.0, 1025063.0, to_date('07.02.2013'), to_date('09.02.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (379.0, 1025063.0, to_date('07.02.2013'), to_date('09.02.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (380.0, 1025051.0, to_date('10.02.2013'), to_date('12.02.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (381.0, 1025051.0, to_date('10.02.2013'), to_date('12.02.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (382.0, 1015101.0, to_date('13.02.2013'), to_date('14.02.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (383.0, 1020055.0, to_date('17.02.2013'), to_date('19.02.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (384.0, 1015036.0, to_date('18.02.2013'), to_date('20.02.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (385.0, 1020053.0, to_date('18.02.2013'), to_date('20.02.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (386.0, 1025019.0, to_date('19.02.2013'), to_date('21.02.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (387.0, 1020058.0, to_date('21.02.2013'), to_date('21.02.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (388.0, 1025051.0, to_date('21.02.2013'), to_date('23.02.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (389.0, 1015031.0, to_date('24.02.2013'), to_date('26.02.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (390.0, 1015031.0, to_date('24.02.2013'), to_date('26.02.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (391.0, 1025051.0, to_date('24.02.2013'), to_date('26.12.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (392.0, 1015031.0, to_date('25.02.2013'), to_date('27.02.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (393.0, 1020054.0, to_date('25.02.2013'), to_date('27.02.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (394.0, 1030048.0, to_date('27.02.2013'), to_date('28.02.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (395.0, 1020053.0, to_date('03.03.2013'), to_date('05.03.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (396.0, 1015034.0, to_date('03.03.2013'), to_date('05.03.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (397.0, 1020053.0, to_date('03.03.2013'), to_date('05.03.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (398.0, 1010004.0, to_date('05.03.2013'), to_date('06.03.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (399.0, 1020059.0, to_date('06.03.2013'), to_date('08.03.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (400.0, 1025039.0, to_date('06.03.2013'), to_date('07.03.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (401.0, 1025073.0, to_date('10.03.2013'), to_date('13.03.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (402.0, 1025051.0, to_date('10.03.2013'), to_date('12.03.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (403.0, 1015027.0, to_date('10.03.2013'), to_date('13.03.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (404.0, 1015028.0, to_date('11.03.2013'), to_date('14.03.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (405.0, 1015024.0, to_date('12.03.2013'), to_date('14.03.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (406.0, 1025061.0, to_date('16.03.2013'), to_date('18.06.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (407.0, 1025061.0, to_date('16.03.2013'), to_date('18.06.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (408.0, 1025063.0, to_date('17.03.2013'), to_date('19.03.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (409.0, 1015027.0, to_date('18.03.2013'), to_date('21.03.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (410.0, 1025039.0, to_date('24.03.2013'), to_date('25.03.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (411.0, 1015024.0, to_date('25.03.2013'), to_date('27.03.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (412.0, 1010004.0, to_date('25.03.2013'), to_date('26.03.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (413.0, 1010005.0, to_date('25.03.2013'), to_date('28.03.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (414.0, 1015093.0, to_date('26.03.2013'), to_date('28.03.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (415.0, 1020053.0, to_date('26.03.2013'), to_date('28.03.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (416.0, 1015089.0, to_date('26.03.2013'), to_date('28.03.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (417.0, 1030048.0, to_date('27.03.2013'), to_date('28.03.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (418.0, 1025039.0, to_date('27.03.2013'), to_date('28.03.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (419.0, 1025039.0, to_date('27.03.2013'), to_date('28.03.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (420.0, 1015034.0, to_date('01.04.2013'), to_date('04.04.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (421.0, 1010005.0, to_date('01.04.2013'), to_date('04.04.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (422.0, 1015036.0, to_date('01.04.2013'), to_date('03.04.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (423.0, 1020052.0, to_date('05.04.2013'), to_date('05.04.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (424.0, 1010009.0, to_date('07.04.2013'), to_date('09.04.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (425.0, 1015091.0, to_date('07.04.2013'), to_date('09.04.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (426.0, 1010006.0, to_date('07.04.2013'), to_date('10.04.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (427.0, 1015026.0, to_date('08.04.2013'), to_date('10.04.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (428.0, 1010005.0, to_date('08.04.2013'), to_date('11.04.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (429.0, 1015041.0, to_date('10.04.2013'), to_date('11.04.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (430.0, 1010010.0, to_date('10.04.2013'), to_date('12.04.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (431.0, 1015090.0, to_date('10.04.2013'), to_date('11.04.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (432.0, 1010008.0, to_date('13.04.2013'), to_date('14.04.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (433.0, 1025048.0, to_date('14.04.2013'), to_date('16.04.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (434.0, 1015024.0, to_date('14.04.2013'), to_date('16.04.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (435.0, 1015024.0, to_date('14.04.2013'), to_date('16.04.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (436.0, 1025063.0, to_date('14.04.2013'), to_date('16.04.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (437.0, 1015026.0, to_date('14.04.2013'), to_date('16.04.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (438.0, 1015064.0, to_date('14.04.2013'), to_date('17.04.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (439.0, 1015103.0, to_date('16.04.2013'), to_date('17.04.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (440.0, 1015065.0, to_date('16.04.2013'), to_date('19.04.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (441.0, 1030048.0, to_date('16.04.2013'), to_date('17.04.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (442.0, 1025096.0, to_date('17.04.2013'), to_date('19.04.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (443.0, 1015085.0, to_date('17.04.2013'), to_date('20.04.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (444.0, 1015025.0, to_date('21.04.2013'), to_date('23.04.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (445.0, 1025014.0, to_date('22.04.2013'), to_date('23.04.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (446.0, 1010006.0, to_date('22.04.2013'), to_date('24.04.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (447.0, 1015065.0, to_date('22.04.2013'), to_date('25.04.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (448.0, 1015034.0, to_date('22.04.2013'), to_date('25.04.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (449.0, 1015034.0, to_date('22.04.2013'), to_date('25.04.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (450.0, 1015086.0, to_date('22.04.2013'), to_date('24.04.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (451.0, 1025015.0, to_date('24.04.2013'), to_date('25.04.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (452.0, 1020058.0, to_date('24.04.2013'), to_date('25.04.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (453.0, 1020058.0, to_date('24.04.2013'), to_date('25.04.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (454.0, 1040097.0, to_date('28.04.2013'), to_date('30.04.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (455.0, 1020055.0, to_date('28.04.2013'), to_date('30.04.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (456.0, 1025017.0, to_date('29.04.2013'), to_date('30.04.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (457.0, 1025018.0, to_date('01.05.2013'), to_date('02.05.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (458.0, 1015034.0, to_date('01.05.2013'), to_date('04.05.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (459.0, 1020052.0, to_date('02.05.2013'), to_date('02.05.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (460.0, 1015034.0, to_date('02.05.2013'), to_date('02.05.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (461.0, 1015102.0, to_date('02.05.2013'), to_date('02.05.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (462.0, 1015038.0, to_date('05.05.2013'), to_date('07.05.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (463.0, 1015036.0, to_date('05.05.2013'), to_date('07.05.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (464.0, 1015028.0, to_date('05.05.2013'), to_date('08.05.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (465.0, 1015033.0, to_date('06.05.2013'), to_date('08.05.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (466.0, 1025019.0, to_date('06.05.2013'), to_date('08.05.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (467.0, 1010009.0, to_date('07.05.2013'), to_date('09.05.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (468.0, 1010011.0, to_date('07.05.2013'), to_date('09.05.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (469.0, 1015091.0, to_date('08.05.2013'), to_date('10.05.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (470.0, 2020109.0, to_date('08.05.2013'), to_date('09.05.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (471.0, 1030045.0, to_date('12.05.2013'), to_date('15.05.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (472.0, 1015064.0, to_date('12.05.2013'), to_date('15.05.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (473.0, 1015064.0, to_date('12.05.2013'), to_date('15.05.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (474.0, 1015064.0, to_date('12.05.2013'), to_date('15.05.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (475.0, 1025051.0, to_date('13.05.2013'), to_date('15.05.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (476.0, 1025047.0, to_date('16.05.2013'), to_date('18.05.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (477.0, 1025063.0, to_date('19.05.2013'), to_date('21.05.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (478.0, 1025017.0, to_date('20.05.2013'), to_date('21.05.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (479.0, 1020058.0, to_date('21.05.2013'), to_date('21.05.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (480.0, 1025020.0, to_date('21.05.2013'), to_date('21.05.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (481.0, 1025019.0, to_date('22.05.2013'), to_date('25.05.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (482.0, 1020059.0, to_date('26.05.2013'), to_date('28.05.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (483.0, 1010007.0, to_date('26.05.2013'), to_date('29.05.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (484.0, 1025063.0, to_date('27.05.2013'), to_date('29.05.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (485.0, 1040097.0, to_date('27.05.2013'), to_date('29.05.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (486.0, 1025051.0, to_date('29.05.2013'), to_date('31.05.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (487.0, 1030048.0, to_date('29.05.2013'), to_date('30.05.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (488.0, 1015105.0, to_date('30.05.2013'), to_date('30.05.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (489.0, 1020052.0, to_date('02.06.2013'), to_date('03.06.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (490.0, 1015038.0, to_date('02.06.2013'), to_date('04.06.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (491.0, 1015064.0, to_date('02.06.2013'), to_date('05.06.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (492.0, 1015028.0, to_date('03.06.2013'), to_date('06.06.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (493.0, 1020053.0, to_date('04.06.2013'), to_date('06.06.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (494.0, 1015029.0, to_date('07.06.2013'), to_date('08.06.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (495.0, 1015088.0, to_date('09.06.2013'), to_date('12.06.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (496.0, 1015027.0, to_date('10.06.2013'), to_date('13.06.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (497.0, 1025061.0, to_date('10.06.2013'), to_date('12.06.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (498.0, 1015068.0, to_date('10.06.2013'), to_date('13.06.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (499.0, 1025039.0, to_date('12.06.2013'), to_date('13.06.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (500.0, 1010006.0, to_date('16.06.2013'), to_date('19.06.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (501.0, 1015043.0, to_date('16.06.2013'), to_date('18.06.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (502.0, 1015043.0, to_date('16.06.2013'), to_date('18.06.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (503.0, 2020110.0, to_date('16.06.2013'), to_date('18.06.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (504.0, 1015087.0, to_date('16.06.2013'), to_date('18.06.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (505.0, 1015034.0, to_date('17.06.2013'), to_date('20.06.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (506.0, 1020053.0, to_date('17.06.2013'), to_date('19.06.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (507.0, 1015104.0, to_date('19.06.2013'), to_date('20.06.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (508.0, 1010005.0, to_date('19.06.2013'), to_date('20.06.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (509.0, 1010079.0, to_date('23.06.2013'), to_date('26.06.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (510.0, 1015036.0, to_date('23.06.2013'), to_date('24.06.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (511.0, 1015036.0, to_date('23.06.2013'), to_date('24.06.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (512.0, 1015038.0, to_date('23.06.2013'), to_date('25.06.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (513.0, 1020053.0, to_date('23.06.2013'), to_date('25.06.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (514.0, 1020054.0, to_date('24.06.2013'), to_date('26.06.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (515.0, 1025013.0, to_date('27.06.2013'), to_date('28.06.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (516.0, 1025061.0, to_date('27.06.2013'), to_date('29.06.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (517.0, 1015024.0, to_date('01.07.2013'), to_date('03.07.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (518.0, 1010005.0, to_date('01.07.2013'), to_date('04.07.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (519.0, 1015089.0, to_date('01.07.2013'), to_date('03.07.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (520.0, 1015067.0, to_date('01.07.2013'), to_date('04.07.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (521.0, 1015024.0, to_date('02.07.2013'), to_date('04.07.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (522.0, 1010009.0, to_date('03.07.2013'), to_date('04.07.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (523.0, 1015090.0, to_date('04.07.2013'), to_date('05.07.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (524.0, 1010009.0, to_date('07.07.2013'), to_date('09.07.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (525.0, 1025061.0, to_date('07.07.2013'), to_date('09.07.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (526.0, 1010010.0, to_date('10.07.2013'), to_date('12.07.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (527.0, 1025048.0, to_date('14.07.2013'), to_date('16.07.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (528.0, 1015065.0, to_date('14.07.2013'), to_date('17.07.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (529.0, 1015065.0, to_date('14.07.2013'), to_date('17.07.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (530.0, 1015065.0, to_date('14.07.2013'), to_date('17.07.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (531.0, 1010005.0, to_date('15.07.2013'), to_date('17.07.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (532.0, 1025096.0, to_date('17.07.2013'), to_date('19.07.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (533.0, 1025039.0, to_date('17.07.2013'), to_date('18.07.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (534.0, 1010005.0, to_date('21.07.2013'), to_date('24.07.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (535.0, 1015065.0, to_date('21.07.2013'), to_date('24.07.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (536.0, 1010008.0, to_date('21.07.2013'), to_date('24.07.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (537.0, 1010004.0, to_date('22.07.2013'), to_date('23.07.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (538.0, 1015035.0, to_date('22.07.2013'), to_date('24.07.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (539.0, 1015065.0, to_date('22.07.2013'), to_date('25.07.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (540.0, 1040097.0, to_date('28.07.2013'), to_date('30.07.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (541.0, 1020055.0, to_date('28.07.2013'), to_date('30.07.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (542.0, 1025071.0, to_date('04.08.2013'), to_date('07.08.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (543.0, 2020109.0, to_date('04.08.2013'), to_date('05.08.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (544.0, 1015088.0, to_date('04.08.2013'), to_date('07.08.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (545.0, 1020053.0, to_date('05.08.2013'), to_date('07.08.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (546.0, 1025071.0, to_date('11.08.2013'), to_date('14.08.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (547.0, 1025071.0, to_date('11.08.2013'), to_date('14.08.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (548.0, 1015043.0, to_date('11.08.2013'), to_date('13.08.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (549.0, 1010009.0, to_date('11.08.2013'), to_date('14.08.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (550.0, 1010006.0, to_date('12.08.2013'), to_date('14.08.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (551.0, 1025061.0, to_date('14.08.2013'), to_date('16.08.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (552.0, 1015044.0, to_date('17.08.2013'), to_date('19.08.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (553.0, 1015044.0, to_date('17.08.2013'), to_date('19.08.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (554.0, 1030045.0, to_date('18.08.2013'), to_date('22.08.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (555.0, 1020059.0, to_date('18.08.2013'), to_date('20.08.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (556.0, 1015066.0, to_date('18.08.2013'), to_date('21.08.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (557.0, 1015044.0, to_date('20.08.2013'), to_date('22.08.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (558.0, 1015068.0, to_date('20.08.2013'), to_date('23.08.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (559.0, 1015068.0, to_date('20.08.2013'), to_date('23.08.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (560.0, 1015038.0, to_date('25.08.2013'), to_date('27.08.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (561.0, 1015038.0, to_date('25.08.2013'), to_date('27.08.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (562.0, 1025071.0, to_date('25.08.2013'), to_date('28.08.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (563.0, 1025018.0, to_date('26.08.2013'), to_date('28.08.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (564.0, 1030048.0, to_date('28.08.2013'), to_date('01.09.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (565.0, 1010004.0, to_date('28.08.2013'), to_date('29.08.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (566.0, 1010008.0, to_date('01.09.2013'), to_date('02.09.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (567.0, 1015067.0, to_date('01.09.2013'), to_date('04.09.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (568.0, 1015044.0, to_date('01.09.2013'), to_date('03.09.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (569.0, 1015032.0, to_date('01.09.2013'), to_date('04.09.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (570.0, 1010006.0, to_date('02.09.2013'), to_date('04.09.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (571.0, 1015024.0, to_date('03.09.2013'), to_date('05.09.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (572.0, 1010006.0, to_date('04.09.2013'), to_date('05.09.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (573.0, 1015034.0, to_date('06.09.2013'), to_date('09.09.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (574.0, 1015034.0, to_date('06.09.2013'), to_date('09.09.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (575.0, 1010007.0, to_date('11.09.2013'), to_date('13.09.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (576.0, 1015085.0, to_date('13.09.2013'), to_date('15.09.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (577.0, 1015085.0, to_date('13.09.2013'), to_date('15.09.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (578.0, 1040023.0, to_date('14.09.2013'), to_date('15.09.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (579.0, 1015066.0, to_date('15.09.2013'), to_date('18.09.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (580.0, 1015066.0, to_date('15.09.2013'), to_date('18.09.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (581.0, 1015066.0, to_date('15.09.2013'), to_date('18.09.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (582.0, 1015037.0, to_date('17.09.2013'), to_date('19.09.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (583.0, 2020110.0, to_date('17.09.2013'), to_date('19.09.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (584.0, 1010011.0, to_date('17.09.2013'), to_date('19.09.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (585.0, 1015027.0, to_date('20.09.2013'), to_date('24.09.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (586.0, 1025072.0, to_date('22.09.2013'), to_date('25.09.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (587.0, 1015066.0, to_date('22.09.2013'), to_date('25.09.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (588.0, 1010004.0, to_date('24.09.2013'), to_date('25.09.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (589.0, 1015089.0, to_date('24.09.2013'), to_date('26.09.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (590.0, 1010009.0, to_date('24.09.2013'), to_date('26.09.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (591.0, 1025022.0, to_date('25.09.2013'), to_date('26.09.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (592.0, 1015024.0, to_date('27.09.2013'), to_date('30.09.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (593.0, 1015024.0, to_date('28.09.2013'), to_date('30.09.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (594.0, 1020059.0, to_date('29.09.2013'), to_date('01.10.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (595.0, 1030045.0, to_date('30.09.2013'), to_date('02.10.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (596.0, 1015040.0, to_date('01.10.2013'), to_date('03.10.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (597.0, 1015089.0, to_date('01.10.2013'), to_date('03.10.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (598.0, 1015090.0, to_date('04.10.2013'), to_date('05.10.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (599.0, 1030073.0, to_date('06.10.2013'), to_date('09.10.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (600.0, 1025072.0, to_date('06.10.2013'), to_date('09.10.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (601.0, 1010005.0, to_date('06.10.2013'), to_date('09.10.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (602.0, 1025073.0, to_date('07.10.2013'), to_date('10.10.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (603.0, 1020058.0, to_date('09.10.2013'), to_date('10.10.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (604.0, 1025039.0, to_date('09.10.2013'), to_date('10.10.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (605.0, 1015091.0, to_date('10.10.2013'), to_date('12.10.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (606.0, 1015064.0, to_date('13.10.2013'), to_date('16.10.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (607.0, 1025072.0, to_date('13.10.2013'), to_date('16.10.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (608.0, 1025072.0, to_date('13.10.2013'), to_date('16.10.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (609.0, 1025073.0, to_date('13.10.2013'), to_date('16.10.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (610.0, 1015067.0, to_date('14.10.2013'), to_date('17.10.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (611.0, 1025051.0, to_date('15.10.2013'), to_date('17.10.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (612.0, 1015067.0, to_date('20.10.2013'), to_date('23.10.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (613.0, 1015067.0, to_date('20.10.2013'), to_date('23.10.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (614.0, 1030073.0, to_date('20.10.2013'), to_date('23.10.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (615.0, 1015093.0, to_date('20.10.2013'), to_date('22.10.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (616.0, 1015065.0, to_date('21.10.2013'), to_date('24.10.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (617.0, 1015068.0, to_date('21.10.2013'), to_date('24.10.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (618.0, 1025020.0, to_date('24.10.2013'), to_date('24.10.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (619.0, 1015093.0, to_date('27.10.2013'), to_date('29.10.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (620.0, 1020055.0, to_date('27.10.2013'), to_date('29.10.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (621.0, 1025051.0, to_date('28.10.2013'), to_date('30.10.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (622.0, 1015090.0, to_date('29.10.2013'), to_date('30.10.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (623.0, 1020053.0, to_date('03.11.2013'), to_date('05.11.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (624.0, 1020059.0, to_date('06.11.2013'), to_date('08.11.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (625.0, 1010010.0, to_date('06.11.2013'), to_date('07.11.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (626.0, 1025073.0, to_date('10.11.2013'), to_date('13.11.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (627.0, 1025073.0, to_date('10.11.2013'), to_date('13.12.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (628.0, 1025039.0, to_date('13.11.2013'), to_date('14.11.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (629.0, 1020058.0, to_date('14.11.2013'), to_date('14.11.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (630.0, 1025063.0, to_date('17.11.2013'), to_date('19.11.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (631.0, 1015099.0, to_date('17.11.2013'), to_date('19.11.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (632.0, 1030048.0, to_date('18.11.2013'), to_date('19.11.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (633.0, 1015044.0, to_date('19.11.2013'), to_date('21.11.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (634.0, 1040060.0, to_date('20.11.2013'), to_date('21.11.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (635.0, 1025039.0, to_date('24.11.2013'), to_date('25.11.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (636.0, 1030073.0, to_date('24.11.2013'), to_date('27.11.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (637.0, 1030073.0, to_date('24.11.2013'), to_date('27.11.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (638.0, 1020053.0, to_date('24.11.2013'), to_date('26.11.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (639.0, 1030048.0, to_date('25.11.2013'), to_date('28.11.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (640.0, 1015093.0, to_date('26.11.2013'), to_date('28.11.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (641.0, 1010009.0, to_date('26.11.2013'), to_date('28.11.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (642.0, 1015031.0, to_date('01.12.2013'), to_date('03.12.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (643.0, 1015034.0, to_date('02.12.2013'), to_date('05.12.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (644.0, 1025073.0, to_date('08.12.2013'), to_date('11.12.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (645.0, 1025073.0, to_date('08.12.2013'), to_date('11.12.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (646.0, 1015091.0, to_date('08.12.2013'), to_date('11.12.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (647.0, 1015091.0, to_date('08.12.2013'), to_date('11.12.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (648.0, 1015099.0, to_date('08.12.2013'), to_date('10.12.2013'), 'Mnchen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (649.0, 1015043.0, to_date('08.12.2013'), to_date('10.12.2013'), 'Hamburg');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (650.0, 1015068.0, to_date('09.12.2013'), to_date('12.12.2013'), 'Essen');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (651.0, 1015031.0, to_date('15.12.2013'), to_date('17.12.2013'), 'Dsseldorf');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (652.0, 1015042.0, to_date('16.12.2013'), to_date('19.12.2013'), 'Berlin');


INSERT INTO TERMIN (T_NR, K_NR, T_BEGINN, T_ENDE, T_ORT) 
VALUES (653.0, 1015027.0, to_date('16.12.2013'), to_date('19.12.2013'), 'Mnchen');



--

--
-- Tabelle Unternehmen
--------------------------------------------------------
CREATE TABLE "SCOTT"."UNTERNEHMEN"
("U_NR" NUMBER(5) NOT NULL, 
 "U_NAME" VARCHAR2(200),
 "U_BRANCHE" VARCHAR2(100), 
 "U_STRASSE" VARCHAR2(30),
 "U_HAUSNR" VARCHAR2(5), 
 "U_STADTTEIL" VARCHAR2(30),
 "U_LAND" VARCHAR2(2),
 "U_PLZ"  NUMBER(5),
 "U_STADT" VARCHAR2(30),
 "U_TELART" VARCHAR2(10), 
 "U_VORWAHL" NUMBER(10),
 "U_TELNR" NUMBER(10),
  PRIMARY KEY("U_NR"))  
  TABLESPACE "USERS";
---------------------------------------------------------
-- Daten Tabelle Unternehmen
--    
INSERT INTO unternehmen VALUES (1, 'XY PR Multimediakonzepte GmbH', 'Marketing u. Consulting', 'Bmmerstr.', '32A', 'Langendreer', 'D', 44892, 'Bochum', 'Telefax', 234, 2878243);
INSERT INTO unternehmen VALUES (2, 'A.B.T. Quasitek GmbH', 'Robotik', NULL, '', NULL, 'D', 44, 'Bochum', NULL, 2327, 788678);
INSERT INTO unternehmen VALUES (3, 'A.B.C. + Co.', 'Schreibbro', 'Hunscheidtstr.', '113', 'Wiemelhausen', 'D', 44789, 'Bochum', NULL, 234, 330052);
INSERT INTO unternehmen VALUES (4, 'Elektro-Bau Heinrich GmbH', 'Elektronik', 'Daimlerstr.', '7', 'Gerthe', 'D', 44805, 'Bochum', NULL, 234, 862529);
INSERT INTO unternehmen VALUES (5, 'Elektrotechnik Fleischer', 'Elektronik', 'Hasenwinkeler Str.', '161', 'Dahlhausen', 'D', 44879, 'Bochum', NULL, 234, 9412201);
INSERT INTO unternehmen VALUES (6, 'ELMO Elektro Mommse GmbH', 'Elektronik', 'Rombacher Htte', '11', 'Weitmar', 'D', 44795, 'Bochum', NULL, 234, 43973);
INSERT INTO unternehmen VALUES (7, 'Zwinger', 'Groschlachterei', 'Schlachthof', '', NULL, 'D', 44809, 'Bochum', NULL, 234, 524743);
INSERT INTO unternehmen VALUES (8, 'Heck Treuhand Steuerberatungsgesellschaft mbH', 'Steuerberatung', 'Josef-Baumann-Str.', '43', 'Gerthe', 'D', 44805, 'Bochum', NULL, 234, 89192);
INSERT INTO unternehmen VALUES (9, 'KB Koch + Bund GmbH', 'Friseurbedarfgrohandel', 'Griesenbruchstr.', '9', 'Innenstadt', 'D', 44793, 'Bochum', NULL, 234, 66210);
INSERT INTO unternehmen VALUES (10, 'Leuchtfeldt Fenster-Technik GmbH', 'Fensterbau', 'Viktoriastr.', '18', 'Innenstadt', 'D', 44787, 'Bochum', NULL, 234, 15867);
INSERT INTO unternehmen VALUES (11, 'Meime', 'Agentur fr Text u. Kommunikation', 'Trakehner Str.', '7', 'Dahlhausen', 'D', 44879, 'Bochum', NULL, 234, 494483);
INSERT INTO unternehmen VALUES (12, 'Frster', 'Technische Gummiwaren', 'Deimketal', '52', 'Linden', 'D', 44797, 'Bochum', NULL, 234, 473572);
INSERT INTO unternehmen VALUES (13, 'Frommstedt Baustoffhandel GmbH + Co. KG', 'Baustoffe', 'In der Uhlenflucht', '1', 'Weitmar', 'D', 44795, 'Bochum', NULL, 234, 450204);
INSERT INTO unternehmen VALUES (14, 'Muck Industrietechnik GmbH', 'Automatenbau', 'Burgstr.', '21', 'Westenfeld', 'D', 44867, 'Bochum', NULL, 2327, 9483);
INSERT INTO unternehmen VALUES (15, 'KIURE Hartbeton GmbH + Co.', 'Baustoffe', 'Hohensteinstr.', '19', 'Wattenscheid', 'D', 44866, 'Bochum', NULL, 2327, 321084);
INSERT INTO unternehmen VALUES (16, 'Flachnicki', 'Media RK internet u. multimedia', 'Weststr.', '76a', 'Wattenscheid', 'D', 44866, 'Bochum', 'D1', 171, 8384736);
INSERT INTO unternehmen VALUES (17, 'Uckster E. B. KG', 'Buchdruckerei Brobedarf', 'Wasserstr.', '481', 'Weitmar', 'D', 44795, 'Bochum', NULL, 234, 431456);
INSERT INTO unternehmen VALUES (18, 'Hans-Werner Steiger Heizung-Sanitr GmbH', 'Sannitr', 'Kaltehardtstr.', '73', 'Langendreer', 'D', 44892, 'Bochum', NULL, 234, 291835);
INSERT INTO unternehmen VALUES (19, 'Mckenberg GmbH + Co. KG, Johann', 'Bauunternehmung', 'Alte Bahnhofstr.', '155', 'Langendreer', 'D', 44892, 'Bochum', NULL, 234, 287084);
INSERT INTO unternehmen VALUES (20, 'OPV Frderanlagen GmbH', 'Baustoffe', 'Josef-Baumann-Str.', '17', 'Gerthe', 'D', 44805, 'Bochum', NULL, 234, 89146);
INSERT INTO unternehmen VALUES (21, 'KS Khl-System- GmbH + Co', 'Sanitr', 'Krayer Str.', '48a', 'Leithe', 'D', 44866, 'Bochum', 'Telefax', 2327, 9491);
INSERT INTO unternehmen VALUES (22, 'LKM-Steuerberatungsgesellschaft mbH', 'Steuerberatung', 'Hochstr.', '8', 'Wattenscheid', 'D', 44866, 'Bochum', NULL, 2327, 10053);
INSERT INTO unternehmen VALUES (23, 'Quabeck GmbH Brandschutzsysteme + Tageslichttechnik', 'Brandschutz', 'Essener Str.', '277a', 'Weitmar', 'D', 44793, 'Bochum', 'Telefax', 234, 14489);
INSERT INTO unternehmen VALUES (24, 'Kchenstudio Mittelauer GmbH', 'Kchen', 'Hattinger Str.', '44', 'Wiemelhausen', 'D', 44789, 'Bochum', NULL, 234, 300060);
INSERT INTO unternehmen VALUES (25, 'Fleckner + Shne GmbH + Co. KG', 'Frdergurte Gummi Kunststoffe', 'Josef-Baumann-Str.', '9', 'Gerthe', 'D', 44805, 'Bochum', 'Telefax', 234, 865799);
INSERT INTO unternehmen VALUES (26, 'Baum Baustoffgrohandel, Baustoffe Transp. Brennstoffe', 'Baustoffe', 'Industriestr.', '30', 'Langendreer', 'D', 44892, 'Bochum', NULL, 234, 28197);
INSERT INTO unternehmen VALUES (27, 'Kunststoff Gesellschaft mit beschrnkter Haftung', 'Kunststoff', 'Gasstr.', '9', 'Langendreer', 'D', 44894, 'Bochum', 'Telefax', 234, 236826);
INSERT INTO unternehmen VALUES (28, 'Knig Hof Weinkellerei GmbH', 'Wein', 'Altenbochumer Str.', '5', 'Altenbochum', 'D', 44803, 'Bochum', NULL, 234, 300111);
INSERT INTO unternehmen VALUES (29, 'Wellmer Wohnungsbau GmbH', 'Bautrger', 'Am Varenholt', '109A', 'Stiepel', 'D', 44797, 'Bochum', NULL, 234, 9791855);
INSERT INTO unternehmen VALUES (30, 'Kirzich', 'Computer u. Datentechnik', 'Kleine Hordeler Str.', '18', 'Hofstede', 'D', 44809, 'Bochum', NULL, 234, 523462);
INSERT INTO unternehmen VALUES (31, 'Blattwerk Marktforschung GmbH', 'Marketing u. Consulting', 'Prinz-Regent-Str.', '68b', 'Weitmar', 'D', 44795, 'Bochum', 'D2', 172, 8276707);
INSERT INTO unternehmen VALUES (32, 'Willmich und Gbler GmbH', 'Elektronik', 'Prsidentstr.', '29', 'Innenstadt', 'D', 44787, 'Bochum', NULL, 234, 13050);
INSERT INTO unternehmen VALUES (33, 'LES Immobilien GmbH', 'Immobilien-Finanz-Service', 'Nordring', '68', 'Innenstadt', 'D', 44787, 'Bochum', NULL, 234, 16055);
INSERT INTO unternehmen VALUES (34, 'MU-SA GmbH', 'Altbausanierung', 'Limbeckstr.', '59', 'Werne', 'D', 44894, 'Bochum', 'Telefax', 234, 92687);
INSERT INTO unternehmen VALUES (35, 'Fleischerei Bochum GmbH', 'Groschlachterei', 'Freudenbergstr.', '45', 'Hamme', 'D', 44809, 'Bochum', NULL, 234, 52571);
INSERT INTO unternehmen VALUES (36, 'Treffer Maschinenbau GmbH', 'Robotik', 'Carolinenglckstr.', '35', 'Hamme', 'D', 44793, 'Bochum', NULL, 234, 523237);
INSERT INTO unternehmen VALUES (37, 'Heinmann Immobilien-Verwaltungs-Gesellschaft m.b.H', 'Immobilien-Finanz-Service', 'Castroper Hellweg', '484', 'Gerthe', 'D', 44805, 'Bochum', NULL, 234, 861953);
INSERT INTO unternehmen VALUES (38, 'Kchs Gesellschaft fr Softwareentwicklung und technische Problemlsung mbH, Dipl.-Ing.', '', 'An der Schalwiese', '10', 'Wiemelhausen', 'D', 44789, 'Bochum', NULL, 234, 93790);
INSERT INTO unternehmen VALUES (39, 'Wohn+Licht GmbH', 'Innenausstattung', 'Tonderner Str.', '10', 'Wiemelhausen', 'D', 44789, 'Bochum', 'D1', 175, 5224768);
INSERT INTO unternehmen VALUES (40, 'Wohnwrme GmbH', 'Innenausstattung', NULL, '', NULL, 'D', 44, 'Bochum', 'D1', 171, 7571830);
INSERT INTO unternehmen VALUES (41, 'QA Shows, Marketing + More', 'Veranstaltungsservice', 'Pchen', '5', 'Barop', 'D', 44225, 'Dortmund', 'Telefax', 231, 7949210);
INSERT INTO unternehmen VALUES (42, '5D Trading Computer + Communikation', 'EDV', 'Rheinische Str.', '12', 'Mitte', 'D', 44137, 'Dortmund', 'Telefax', 231, 8820122);
INSERT INTO unternehmen VALUES (43, 'Herberts Objekteinrichtung', 'Innenausstattung', 'Zeche-Margarete-Str.', '3', 'Slde', 'D', 44289, 'Dortmund', 'D1', 171, 6516303);
INSERT INTO unternehmen VALUES (44, 'Akrobat Wirtschaftsberatungs GmbH', 'Consulting', 'Feldblumenweg', '10', 'Holzen', 'D', 44267, 'Dortmund', NULL, 2304, 80118);
INSERT INTO unternehmen VALUES (45, 'tu+mach', 'Werbeagentur', 'Adlerstr.', '94', 'Mitte', 'D', 44137, 'Dortmund', 'Telefax', 231, 914589);
INSERT INTO unternehmen VALUES (46, 'BRAND Immobilien GmbH', 'Immobilien-Finanz-Service', 'Mittelstr.', '15', 'Mitte', 'D', 44139, 'Dortmund', NULL, 231, 104407);
INSERT INTO unternehmen VALUES (47, 'Trommp Spedition GmbH', 'Logistik', 'Eberstr.', '20-24', 'Mitte', 'D', 44145, 'Dortmund', 'D2', 172, 2744858);
INSERT INTO unternehmen VALUES (48, 'Stadt-Hotel Dortmund', 'Hotel', 'Silberstr.', '37', 'Mitte', 'D', 44137, 'Dortmund', NULL, 231, 142086);
INSERT INTO unternehmen VALUES (49, 'Deutsche Vermgensrat', 'Consulting', 'Krinkelweg', '43', 'Holzen', 'D', 44267, 'Dortmund', NULL, 231, 898141);
INSERT INTO unternehmen VALUES (50, 'IKO Trend-Spirituosen GmbH', 'Getrnke', 'Rdigerstr.', '2A', 'Wickede', 'D', 44319, 'Dortmund', NULL, 231, 7221870);
INSERT INTO unternehmen VALUES (51, 'VOL-Baugesellschaft mit beschrnkter Haftung', 'Baugesellschaft', 'Kurler Str.', '267', 'Lanstrop', 'D', 44329, 'Dortmund', NULL, 231, 29659);
INSERT INTO unternehmen VALUES (52, 'Kalb Gesellschaft mit beschrnkter Haftung, Gebrder', 'Druckerei', 'Speicherstr.', '59', 'Mitte', 'D', 44147, 'Dortmund', NULL, 231, 982353);
INSERT INTO unternehmen VALUES (53, 'PUK Software + Systeme GmbH + Co. KG', 'EDV', 'Martin-Schmeier-Weg', '15', 'Eichlinghofen', 'D', 44227, 'Dortmund', NULL, 231, 975156);
INSERT INTO unternehmen VALUES (54, 'Michels Industrie- u. Sicherheitstechnik e.K.', 'Hebezeuge, Ketten, Seile', 'Bodelschwingher Str.', '144', 'Bodelschwingh', 'D', 44357, 'Dortmund', NULL, 231, 3797666);
INSERT INTO unternehmen VALUES (55, 'Strner GmbH', 'Consulting', 'Rheinlanddamm', '99', 'Mitte', 'D', 44139, 'Dortmund', NULL, 231, 699000);
INSERT INTO unternehmen VALUES (56, 'Trunk Gesellschaft fr Projektmanagement und Grundstcksentwicklung mbH', '', 'Korneliusstr.', '2', 'Mitte', 'D', 44135, 'Dortmund', NULL, 231, 556901);
INSERT INTO unternehmen VALUES (57, 'Sanft Gartenbau Hartmann Bednorz GbR', 'Gartenbau', 'Untere Hangstr.', '13', 'Lichtendorf', 'D', 44289, 'Dortmund', 'Telefax', 2304, 943721);
INSERT INTO unternehmen VALUES (58, 'Neuhaus TEAM GmbH', 'Consulting', 'Siegenstr.', '210', 'Mengede', 'D', 44359, 'Dortmund', 'D2', 174, 4224222);
INSERT INTO unternehmen VALUES (59, 'Immobilien-Multimedia-Center Kuczek', 'Immobilien-Finanz-Service', 'Hrder Semerteichstr.', '189', 'Hrde', 'D', 44263, 'Dortmund', NULL, 231, 4251095);
INSERT INTO unternehmen VALUES (60, 'Dominum Immobilien Vertriebs + Verwaltung GmbH', 'Immobilien-Finanz-Service', 'Alte Radstr.', '21', 'Mitte', 'D', 44147, 'Dortmund', 'E2 Telefax', 179, 4909717);
INSERT INTO unternehmen VALUES (61, 'Industrie-Metallbau Winkler GmbH', 'Metall', 'Steinhammerstr.', '86', 'Marten', 'D', 44379, 'Dortmund', NULL, 231, 6108111);
INSERT INTO unternehmen VALUES (62, 'INFOMAX GmbH Unternehmensberatungsges.', 'Marketing u. Consulting', 'Westfalendamm', '251', 'Mitte', 'D', 44141, 'Dortmund', NULL, 231, 4251570);
INSERT INTO unternehmen VALUES (63, 'Ingenieurbro fr Elektrotechnik Max Weber', 'Elektronik', 'Kaiserstr.', '5a', 'Mitte', 'D', 44135, 'Dortmund', 'Telefax', 231, 556356);
INSERT INTO unternehmen VALUES (64, 'Ingenieurbro fr Prftechnik Dipl.Ing. Hans Pferd', 'Elektronik', 'Frische Luft', '155', 'Wickede', 'D', 44319, 'Dortmund', NULL, 231, 927121);
INSERT INTO unternehmen VALUES (65, 'Ingenieurbro am Hafen GmbH', 'Elektronik', 'Westererbenstr.', '30', 'Lindenhorst', 'D', 44147, 'Dortmund', NULL, 231, 8091472);
INSERT INTO unternehmen VALUES (66, 'Initiative Qualittssicherung Ost-West e.V.', 'Qualittssicherung', 'Joseph-von-Fraunhofer-Str.', '20', 'Eichlinghofen', 'D', 44227, 'Dortmund', NULL, 231, 9700);
INSERT INTO unternehmen VALUES (67, 'Innenausbau Pfand Hey + Co. GmbH', 'Innenausstattung', 'Schlotweg', 'Dez 0', 'Asseln', 'D', 44319, 'Dortmund', NULL, 231, 271506);
INSERT INTO unternehmen VALUES (68, 'Institut fr Datenverarbeitung', 'EDV', 'Solbergweg', '84a', 'Barop', 'D', 44225, 'Dortmund', NULL, 231, 7900520);
INSERT INTO unternehmen VALUES (69, 'Institut fr Umwelttechnik GmbH', 'Umwelttechnik', 'Baroper Str.', '229', 'Eichlinghofen', 'D', 44227, 'Dortmund', NULL, 231, 9752256);
INSERT INTO unternehmen VALUES (70, 'HYGO Hygiene GmbH', 'Sanitr', 'Kressenweg', '12', 'Dorstfeld', 'D', 44379, 'Dortmund', NULL, 231, 961355);
INSERT INTO unternehmen VALUES (71, 'Krachmann Software und Systeme GmbH', 'EDV', 'Hauert', '4', 'Eichlinghofen', 'D', 44227, 'Dortmund', 'Telefax', 231, 9793);
INSERT INTO unternehmen VALUES (72, 'NET Netzwerk- und Datensysteme GmbH', 'EDV', 'Donnerstr.', '9', 'Asseln', 'D', 44319, 'Dortmund', 'D1', 171, 8310364);
INSERT INTO unternehmen VALUES (73, 'Isolierbau Peter Pfeffer GmbH + Co. KG', 'Innenausstattung', 'Wambeler Heide', '35', 'Scharnhorst', 'D', 44328, 'Dortmund', NULL, 231, 239054);
INSERT INTO unternehmen VALUES (74, 'IKO-Bro Krummer + Co', 'Immobilien-Finanz-Service', 'Grne Str.', '25', 'Mitte', 'D', 44147, 'Dortmund', NULL, 231, 821816);
INSERT INTO unternehmen VALUES (75, 'Industrie-Wschereianlagen-GmbH', 'Wscherei', 'Rbenkamp', '35', 'Wickede', 'D', 44319, 'Dortmund', NULL, 231, 214664);
INSERT INTO unternehmen VALUES (76, 'KMU D. Holzmann KG', 'Maschinenbau', 'Overbeckstr.', '22', 'Mitte', 'D', 44141, 'Dortmund', NULL, 231, 525108);
INSERT INTO unternehmen VALUES (77, 'Schwitters Spezial-Stahl-Handelsgesellschaft mbH', 'Metall', 'Am Knappenberg', '77', 'Mitte', 'D', 44139, 'Dortmund', 'Telefax', 231, 127086);
INSERT INTO unternehmen VALUES (78, 'TAZZ das kreative Pub', 'Marketing u. Consulting', 'Schlostr.', '44', 'Bodelschwingh', 'D', 44357, 'Dortmund', NULL, 231, 379394);
INSERT INTO unternehmen VALUES (79, 'Amper Bauunternehmung GmbH', 'Bauunternehmung', 'Ltge Vhde', '48B', 'Westrich', 'D', 44388, 'Dortmund', NULL, 231, 7267546);
INSERT INTO unternehmen VALUES (80, 'Winke', 'Immobilien-Finanz-Service', 'Knigswall', '1', 'Mitte', 'D', 44137, 'Dortmund', NULL, 231, 914514);
INSERT INTO unternehmen VALUES (81, 'NAZU', 'Marketing u. Consulting', 'Provinzialstr.', '91', 'Ltgendortmund', 'D', 44388, 'Dortmund', NULL, 231, 635227);
INSERT INTO unternehmen VALUES (82, 'QCat Software AG', 'EDV', 'Lindemannstr.', '79', 'Mitte', 'D', 44137, 'Dortmund', NULL, 231, 3967);
INSERT INTO unternehmen VALUES (83, 'Brink Gesellschaft fr Anlagen-, Bau- u. Gleistechnik mbH', 'Tiefbautechnik', 'Von-den-Berken-Str.', '3', 'Mitte', 'D', 44141, 'Dortmund', NULL, 231, 557515);
INSERT INTO unternehmen VALUES (84, 'Stolz + Prall GmbH, Ingenieurbro', 'EDV', 'Bodelschwingher Str.', '127', 'Bodelschwingh', 'D', 44357, 'Dortmund', 'Telefax', 231, 937102);
INSERT INTO unternehmen VALUES (85, 'Liedchen GmbH + Co. KG Verw. Stelle', 'EDV', 'Westenhellweg', '43', 'Mitte', 'D', 44137, 'Dortmund', NULL, 231, 145322);
INSERT INTO unternehmen VALUES (86, 'Knstlertermine GbR', 'Knstler', 'Am Knappenberg', '69', 'Mitte', 'D', 44139, 'Dortmund', NULL, 231, 9128045);
INSERT INTO unternehmen VALUES (87, 'Rabatzek', 'Marketing u. Consulting', 'Johanna-Melzer-Str.', '8', 'Mitte', 'D', 44147, 'Dortmund', NULL, 231, 823817);
INSERT INTO unternehmen VALUES (88, 'Fernhost', 'EDV', 'Hangeneystr.', '165', 'Westrich', 'D', 44388, 'Dortmund', NULL, 231, 673368);
INSERT INTO unternehmen VALUES (89, 'Stronzo', 'EDV', 'Grenzweg', '20a', 'Hchsten', 'D', 44267, 'Dortmund', NULL, 2304, 998030);
INSERT INTO unternehmen VALUES (90, 'Winkelmeyer', 'Verpackungen', 'Staufenstr.', '65', 'Mitte', 'D', 44139, 'Dortmund', 'Telefax', 231, 1063639);
INSERT INTO unternehmen VALUES (91, 'Taub Recycling GmbH + Co. KG', 'Recycling', 'Kohlenweg', '8', 'Mitte', 'D', 44147, 'Dortmund', NULL, 231, 982328);
INSERT INTO unternehmen VALUES (92, 'QUABEX GmbH', 'Servicestation Medizintechnik', 'Ermlinghofer Str.', '3', 'Hrde', 'D', 44263, 'Dortmund', NULL, 231, 941015);
INSERT INTO unternehmen VALUES (93, 'Personalberatung Dr. Stolz + Partner GmbH', 'Personal', 'Schwarze-Brder-Str.', '1', 'Mitte', 'D', 44137, 'Dortmund', NULL, 231, 161012);
INSERT INTO unternehmen VALUES (94, 'Kunze Schwertransporte', 'Logistik', 'Hannversche Str.', '78', 'Wambel', 'D', 44143, 'Dortmund', NULL, 161, 4221649);
INSERT INTO unternehmen VALUES (95, 'Quo DV  Software GmbH', 'EDV', 'Hauert', '14', 'Eichlinghofen', 'D', 44227, 'Dortmund', NULL, 231, 97573);
INSERT INTO unternehmen VALUES (96, 'Top Plan', 'Consulting', 'Hannversche Str.', '24', 'Krne', 'D', 44143, 'Dortmund', 'Telefax', 231, 525850);
INSERT INTO unternehmen VALUES (97, 'Schrill Werbung GmbH', 'Marketing u. Consulting', 'Martin-Schmeier-Weg', '16', 'Eichlinghofen', 'D', 44227, 'Dortmund', NULL, 231, 759311);
INSERT INTO unternehmen VALUES (98, 'Harald Menne Containerdienst GmbH', 'Recycling', 'Rntgenstr.', '45A', 'Altendorf', 'D', 45143, 'Essen, Ruhr', 'D1', 170, 9609053);
INSERT INTO unternehmen VALUES (99, 'Data Integrata', 'Telekommunikationssysteme', 'Frillendorfer Str.', '150c', 'Frillendorf', 'D', 45139, 'Essen, Ruhr', NULL, 201, 282824);
INSERT INTO unternehmen VALUES (100, 'Halbers Baugesellschaft mbH', 'Bauunternehmung', 'Auf der Donau', '27', 'Sdostviertel', 'D', 45139, 'Essen, Ruhr', NULL, 201, 28014);
INSERT INTO unternehmen VALUES (101, 'TRANS Gesellschaft f. Osteuropa Logistik mbH', 'Logistik', 'Laubenhof', '25', 'Altenessen-Sd', 'D', 45326, 'Essen, Ruhr', NULL, 201, 8354470);
INSERT INTO unternehmen VALUES (102, 'Bimsmeier GmbH Mbelhandel', 'Innenausstattung', 'Cathostr.', '5', 'Bergeborbeck', 'D', 45356, 'Essen, Ruhr', NULL, 201, 6143794);
INSERT INTO unternehmen VALUES (103, 'Lux Werbetechnik GmbH', 'Marketing u. Consulting', 'Savignystr.', '59', 'Holsterhausen', 'D', 45147, 'Essen, Ruhr', NULL, 201, 780383);
INSERT INTO unternehmen VALUES (104, 'LOM-Datentechnik', 'EDV', 'Uhlendahlweg', '24', 'Horst', 'D', 45279, 'Essen, Ruhr', NULL, 201, 530091);
INSERT INTO unternehmen VALUES (105, 'Einrichtungshaus Gunther GmbH + Co. KG', 'Innenausstattung', 'Lindenallee', '59', 'Stadtkern', 'D', 45127, 'Essen, Ruhr', NULL, 201, 20511);
INSERT INTO unternehmen VALUES (106, 'GSE Gesellschaft fr  Softwareentwicklung m.b.H.', 'EDV', 'Wilhelm-Beckmann-Str.', '14', 'Kray', 'D', 45307, 'Essen, Ruhr', NULL, 201, 278196);
INSERT INTO unternehmen VALUES (107, 'Kreischke', 'Consulting', 'Hachestr.', '33', 'Stadtkern', 'D', 45127, 'Essen, Ruhr', NULL, 201, 285496);
INSERT INTO unternehmen VALUES (108, 'DOC Gesellschaft fr Dokumentationserstellung und -pflege mbH', 'EDV', 'Gladbecker Str.', '404', 'Altenessen-Sd', 'D', 45326, 'Essen, Ruhr', 'Telefax', 201, 3659);
INSERT INTO unternehmen VALUES (109, 'TOIT GmbH berdachungssysteme', 'Bauunternehmung', 'Schnieringshof', '14', 'Altenessen-Nord', 'D', 45329, 'Essen, Ruhr', NULL, 201, 8385136);
INSERT INTO unternehmen VALUES (110, 'CELL Informatik GmbH', 'EDV', 'Schuirweg', '71', 'Schuir', 'D', 45133, 'Essen, Ruhr', 'Telefax', 201, 43777);
INSERT INTO unternehmen VALUES (111, 'PH Petrol-Chemical GmbH', 'Chemie', 'Karlstr.', '50', 'Altenessen-Nord', 'D', 45329, 'Essen, Ruhr', NULL, 201, 333561);
INSERT INTO unternehmen VALUES (112, 'SOLARIS Vermgensverwaltungsges. mbH', 'Vermgen', 'Heibauerweg', '15', 'Katernberg', 'D', 45327, 'Essen, Ruhr', NULL, 201, 8372544);
INSERT INTO unternehmen VALUES (113, 'DB-Admin OHG', 'EDV', 'Radhoffstr.', '20B', 'Altenessen-Sd', 'D', 45326, 'Essen, Ruhr', NULL, 201, 329630);
INSERT INTO unternehmen VALUES (114, 'Ingenieurbro fr Verkehrstechnik GmbH', 'Verkehrstechnik', 'Stauderstr.', '221', 'Katernberg', 'D', 45327, 'Essen, Ruhr', NULL, 201, 2437670);
INSERT INTO unternehmen VALUES (115, 'Caput GmbH', 'Consulting', 'Ruhrtalstr.', '94a', 'Werden', 'D', 45239, 'Essen, Ruhr', 'Telefax', 201, 496924);
INSERT INTO unternehmen VALUES (116, 'Schwingel GmbH + Co. KG', 'Brennerei', 'Brunnenstr.', '15', 'Sdviertel', 'D', 45128, 'Essen, Ruhr', 'Telefax', 201, 223117);
INSERT INTO unternehmen VALUES (117, 'Concrete Beton Rhein-Ruhr GmbH', 'Baustoffe', 'Aktienstr.', '2', 'Schnebeck', 'D', 45359, 'Essen, Ruhr', NULL, 201, 8679);
INSERT INTO unternehmen VALUES (118, 'Rehabilitationsklinik', 'Krankenhaus', 'Auf der Rtsch', '2', 'Kettwig', 'D', 45219, 'Essen, Ruhr', NULL, 800, 3773773);
INSERT INTO unternehmen VALUES (119, 'Goldsteier', 'Telekommunikationssysteme', 'Zweigertstr.', '8', 'Rttenscheid', 'D', 45130, 'Essen, Ruhr', NULL, 201, 87855);
INSERT INTO unternehmen VALUES (120, 'Legnum Immobilien GmbH', 'Immobilien-Finanz-Service', 'Kathagen', '2', 'Heidhausen', 'D', 45239, 'Essen, Ruhr', 'D2', 172, 3163436);
INSERT INTO unternehmen VALUES (121, 'Trisch Feinmechanik und Elektrotechnik GmbH', 'Robotik', 'Gladbecker Str.', '433', 'Altenessen-Nord', 'D', 45329, 'Essen, Ruhr', NULL, 201, 83416);
INSERT INTO unternehmen VALUES (122, 'Gebrder Mondschein GmbH', 'Seile', 'Frankenstr.', '52', 'Stadtwald', 'D', 45134, 'Essen, Ruhr', NULL, 201, 444244);
INSERT INTO unternehmen VALUES (123, ' KVZ Bank Essen eG', 'Bank', 'Kruppstr.', '41', 'Sdviertel', 'D', 45128, 'Essen, Ruhr', NULL, 1801, 360036);
INSERT INTO unternehmen VALUES (124, 'Privatbank Essen', 'Bank', 'Frohnhauser Str.', '152', 'Frohnhausen', 'D', 45144, 'Essen, Ruhr', NULL, 201, 7490195);
INSERT INTO unternehmen VALUES (125, 'Privatbank Essen', 'Bank', 'Theodor-Althoff-Str.', '47', 'Bredeney', 'D', 45133, 'Essen, Ruhr', NULL, 201, 103);
INSERT INTO unternehmen VALUES (126, 'Abfallentsorgungs- und Altlastensanierungsverband Rhein-Ruhr', 'Recycling', 'Werksstr.', '15', 'Welper', 'D', 45527, 'Hattingen, Ruhr', NULL, 2324, 5094);
INSERT INTO unternehmen VALUES (127, 'Lucis LICHTTECHNIK GmbH + Co. KG', 'Innenausstattung', 'Im Poth', '16', 'Niederwenigern', 'D', 45529, 'Hattingen, Ruhr', NULL, 2324, 4978);
INSERT INTO unternehmen VALUES (128, 'Anlagenbau und Montage AG', 'Maschinenbau', 'Heinrich-Hill-Str.', '3', NULL, 'D', 45525, 'Hattingen, Ruhr', NULL, 2324, 5649);
INSERT INTO unternehmen VALUES (129, 'Reponse EDV GmbH', 'Personal', 'Oststr.', '8', NULL, 'D', 45525, 'Hattingen, Ruhr', NULL, 2324, 202571);
INSERT INTO unternehmen VALUES (130, 'Automatisierungstechnik GmbH', 'Maschinenbau', 'Kleine Weilstr.', '27', NULL, 'D', 45525, 'Hattingen, Ruhr', 'D2', 173, 5260429);
INSERT INTO unternehmen VALUES (131, 'Filtertechnik Bernd Wink', 'Recycling', 'Beuler Hhe', '27', NULL, 'D', 45525, 'Hattingen, Ruhr', 'Telefax', 2324, 5640);
INSERT INTO unternehmen VALUES (132, 'First EDV-Dienst-leistungs-GmbH', 'EDV', 'Ruhrallee', '5', NULL, 'D', 45525, 'Hattingen, Ruhr', NULL, 2324, 9244);
INSERT INTO unternehmen VALUES (133, 'G + K Gladbach ART GbR', 'Knstler', 'Beuler Hhe', '13', NULL, 'D', 45525, 'Hattingen, Ruhr', 'Telefax', 2324, 950502);
INSERT INTO unternehmen VALUES (134, 'Blechmann GmbH Armaturenfabrik', 'Maschinenbau', 'Beuler Hhe', '32', NULL, 'D', 45525, 'Hattingen, Ruhr', NULL, 2324, 5607);
INSERT INTO unternehmen VALUES (135, 'Beratung fr Naturschutz und integrierte Managementsysteme GmbH', 'Consulting', 'Lggersegge', '23', 'Holthausen', 'D', 45527, 'Hattingen, Ruhr', NULL, 2324, 33443);
INSERT INTO unternehmen VALUES (136, 'Globalix Auenhandel GmbH', 'Logistik', 'Oststr.', '89', 'Stadtmitte', 'D', 40210, 'Dsseldorf', NULL, 211, 320963);
INSERT INTO unternehmen VALUES (137, 'advertising services GmbH', 'Marketing u. Consulting', 'Huschbergerstr.', '2', 'Stadtmitte', 'D', 40212, 'Dsseldorf', 'Telefax', 211, 322944);
INSERT INTO unternehmen VALUES (138, 'Accessoires + Mode Handelsgesellschaft mbH', 'Kleidung', 'Schadowstr.', '11', 'Stadtmitte', 'D', 40212, 'Dsseldorf', NULL, 211, 132921);
INSERT INTO unternehmen VALUES (139, 'COK Agentur fr Werbung u. Kommunikation GmbH', 'Marketing u. Consulting', 'Klosterstr.', '49', 'Stadtmitte', 'D', 40211, 'Dsseldorf', NULL, 211, 350694);
INSERT INTO unternehmen VALUES (140, 'Kolck Wirtschaftsprfungsges. und Steuerberatungsges. mbH', 'Steuerberatung', 'Uerdinger Str.', '88', 'Golzheim', 'D', 40474, 'Dsseldorf', NULL, 211, 4958);
INSERT INTO unternehmen VALUES (141, 'Graff Hochbau GMBH', 'Bauunternehmung', 'Bahnstr.', '48', 'Stadtmitte', 'D', 40210, 'Dsseldorf', 'D2', 173, 5787201);
INSERT INTO unternehmen VALUES (142, 'OL Metall Agentur GmbH', 'Metall', 'Louise-Dumont-Str.', '25', 'Pempelfort', 'D', 40211, 'Dsseldorf', NULL, 211, 17369);
INSERT INTO unternehmen VALUES (143, 'Struzz Satz + Druck oHG, P.', 'Druckerei', 'Spielberger Weg', '58', 'Lohausen', 'D', 40474, 'Dsseldorf', NULL, 211, 516080);
INSERT INTO unternehmen VALUES (144, 'Arbeit Textilhandel GmbH', 'Kleidung', 'Mittelstr.', '16', 'Karlstadt', 'D', 40213, 'Dsseldorf', NULL, 211, 3230532);
INSERT INTO unternehmen VALUES (145, 'Flinke', 'Marketing u. Consulting', 'Alexanderstr.', '18', 'Stadtmitte', 'D', 40210, 'Dsseldorf', NULL, 211, 132178);
INSERT INTO unternehmen VALUES (146, 'Handlender', 'Consulting', 'Josef-Neuberger-Str.', '16', 'Gerresheim', 'D', 40625, 'Dsseldorf', NULL, 211, 235085);
INSERT INTO unternehmen VALUES (147, 'Glotz + Struck GmbH, Ingenieurbro', 'Verkehrstechnik', 'Altenbrckstr.', '17a', 'Hassels', 'D', 40599, 'Dsseldorf', NULL, 211, 99880);
INSERT INTO unternehmen VALUES (148, 'Gesellschaft fr Informationstechnik und -beratung mbH', 'EDV', 'Nievenheimer Str.', '44', 'Bilk', 'D', 40221, 'Dsseldorf', NULL, 211, 9023262);
INSERT INTO unternehmen VALUES (149, 'Witz', 'Grafik-Design', 'Wittenbruchplatz', '17', 'Unterbach', 'D', 40627, 'Dsseldorf', NULL, 211, 9253315);
INSERT INTO unternehmen VALUES (150, 'Team 1 GmbH Planungsbro f. techn. Gebudeausrstung', 'Gebudeausrstung', 'Lessingstr.', '29', 'Oberbilk', 'D', 40227, 'Dsseldorf', NULL, 211, 7883600);
INSERT INTO unternehmen VALUES (151, 'O.L.Injektions- und Bautenschutz GmbH', 'Bautenschutz', 'Alte Landstr.', '230', 'Kaiserswerth', 'D', 40489, 'Dsseldorf', NULL, 211, 40690);
INSERT INTO unternehmen VALUES (152, 'Gold-Enterprises Ltd.', 'Gastronomiebedarf', 'Rheinallee', '119', 'Oberkassel', 'D', 40545, 'Dsseldorf', NULL, 211, 553033);
INSERT INTO unternehmen VALUES (153, 'HELLMICH GMBH', 'Elektronik', 'Schlostr.', '51', 'Pempelfort', 'D', 40477, 'Dsseldorf', 'Telefax', 211, 443316);
INSERT INTO unternehmen VALUES (154, 'Orange GmbH', 'Personal', 'Hohe Str.', '35', 'Karlstadt', 'D', 40213, 'Dsseldorf', NULL, 211, 326696);
INSERT INTO unternehmen VALUES (155, 'VILLAGE Grundstcksverwaltung GmbH + Co. KG', 'Grundstcksverwaltung', 'Charlottenstr.', '60', 'Stadtmitte', 'D', 40210, 'Dsseldorf', NULL, 211, 17889);
INSERT INTO unternehmen VALUES (156, 'Orient-Teppich-Handelsgesellschaft Arabesque', 'Innenausstattung', 'Friedrich-Ebert-Str.', '17', 'Stadtmitte', 'D', 40210, 'Dsseldorf', NULL, 211, 360797);
INSERT INTO unternehmen VALUES (157, 'Lothmann GmbH', 'Bromaschinen- Broorganisation', 'Monschauer Str.', '7', 'Heerdt', 'D', 40549, 'Dsseldorf', NULL, 211, 563480);
INSERT INTO unternehmen VALUES (158, 'Steyer GmbH Assekuranzgeschft', 'Versicherungen', 'Tersteegenstr.', '3', 'Golzheim', 'D', 40474, 'Dsseldorf', NULL, 211, 45470);
INSERT INTO unternehmen VALUES (159, 'Haut-AUFZGE Horst Buchwaldt GmbH + Co KG', 'Aufzge', 'Gerresheimer Landstr.', '105', 'Unterbach', 'D', 40627, 'Dsseldorf', NULL, 211, 202600);
INSERT INTO unternehmen VALUES (160, 'IYW-Ingenieure Wassertechnik GmbH', 'Wassertechnik', 'Alt-Niederkassel', '67', 'Niederkassel', 'D', 40547, 'Dsseldorf', NULL, 211, 95492);
INSERT INTO unternehmen VALUES (161, 'Overnight Transport GmbH', 'Logistik', 'Grevenbroicher Weg', '27', 'Lrick', 'D', 40547, 'Dsseldorf', NULL, 211, 537440);
INSERT INTO unternehmen VALUES (162, 'Grundstcksverwertungs-Gesellschaft mbH + Co. Kommanditgesellschaft', 'Grundstcksverwaltung', 'Grunerstr.', '60', 'Dsseltal', 'D', 40239, 'Dsseldorf', NULL, 211, 96189);
INSERT INTO unternehmen VALUES (163, 'LOOK Gesellschaft fr Broeinrichtung mbH', 'Bromaschinen- Broorganisation', 'Friedrich-Ebert-Str.', '31', 'Stadtmitte', 'D', 40210, 'Dsseldorf', NULL, 211, 355969);
INSERT INTO unternehmen VALUES (164, 'Plankontor', 'Stadtplanung, Verkehrsplanung, Forschung', 'Birkenstr.', '71', 'Flingern Nord', 'D', 40233, 'Dsseldorf', NULL, 211, 6913852);
INSERT INTO unternehmen VALUES (165, 'Gluck Capital GmbH, Vermittlung u. Management internationaler Kapitalanlagen', 'Vermgen', 'Inselstr.', '34', 'Pempelfort', 'D', 40479, 'Dsseldorf', NULL, 211, 320135);
INSERT INTO unternehmen VALUES (166, 'Schrother Broeinrichtungen GmbH', 'Bromaschinen- Broorganisation', 'Lindenstr.', '136', 'Flingern Nord', 'D', 40233, 'Dsseldorf', NULL, 211, 6986107);
INSERT INTO unternehmen VALUES (167, 'Gluth Handelsgesellschaft fr Rohstoffe mbH', 'Rohstoffe', 'Holunderweg', '4', 'Angermund', 'D', 40489, 'Dsseldorf', NULL, 203, 742817);
INSERT INTO unternehmen VALUES (168, 'Amante Unternehmensberatung GmbH', 'Consulting', 'Heinrich-Knn-Str.', '87', 'Gerresheim', 'D', 40625, 'Dsseldorf', 'D1', 171, 5321704);
INSERT INTO unternehmen VALUES (169, 'Flox Textilhandels- und Produktionsges. mbH', 'Kleidung', 'Benzenbergstr.', '44', 'Unterbilk', 'D', 40219, 'Dsseldorf', NULL, 211, 901720);
INSERT INTO unternehmen VALUES (170, 'Golpp Treuhandgesellschaft m.b.H.', 'Steuerberatung', 'Hndelstr.', '46', 'Benrath', 'D', 40593, 'Dsseldorf', 'Telefax', 211, 718851);
INSERT INTO unternehmen VALUES (171, 'Marketing Research Prof. Dr. Winter GmbH', 'Marketing u. Consulting', 'Lindemannstr.', '82', 'Dsseltal', 'D', 40237, 'Dsseldorf', 'Telefax', 211, 660002);
INSERT INTO unternehmen VALUES (172, 'AAA Modeagentur GmbH', 'Kleidung', 'Danziger Str.', '101', 'Stockum', 'D', 40468, 'Dsseldorf', NULL, 211, 4543439);
INSERT INTO unternehmen VALUES (173, 'Niemeyer BANK GmbH + Co KG', 'Bank', 'Am Wehrhahn', '1', 'Stadtmitte', 'D', 40211, 'Dsseldorf', NULL, 211, 1752002);
INSERT INTO unternehmen VALUES (174, 'ETOFFES MONDE Textilhandelsgesellschaft mbH', 'Kleidung', 'Buscherstr.', '6', 'Dsseltal', 'D', 40239, 'Dsseldorf', NULL, 211, 633085);
INSERT INTO unternehmen VALUES (175, 'Bildungsforum gGmbH', 'Bildung', 'Winkelhauser Str.', '63', 'Bergheim', 'D', 47228, 'Duisburg', NULL, 2065, 76732);
INSERT INTO unternehmen VALUES (176, 'Bildungswerk der OLK', 'Bildung', 'Fabrikstr.', '51', 'Ruhrort', 'D', 47119, 'Duisburg', NULL, 203, 81845);
INSERT INTO unternehmen VALUES (177, 'HJK Winklers Handelsgesellschaft mbH', 'Metall', 'Lehmbruckstr.', '18A', 'Obermeiderich', 'D', 47138, 'Duisburg', NULL, 203, 412910);
INSERT INTO unternehmen VALUES (178, 'Key Wohnungsbau GmbH', 'Bauunternehmung', 'Von-der-Mark-Str.', '64', 'Mittelmeiderich', 'D', 47137, 'Duisburg', NULL, 203, 441147);
INSERT INTO unternehmen VALUES (179, 'CLH Chemie Logistik Herne GmbH', 'Chemie', 'Am Schltershof', '26', 'Kalerfeld', 'D', 47059, 'Duisburg', 'D2', 173, 2515150);
INSERT INTO unternehmen VALUES (180, 'Pulito Gebudereinigung', 'Reinigung', 'Hlderlinstr.', '30', 'Rheinhausen-Mitte', 'D', 47226, 'Duisburg', NULL, 2065, 55421);
INSERT INTO unternehmen VALUES (181, 'Wisch-Reinigung', 'Reinigung', 'Beekstr.', '17', 'Altstadt', 'D', 47051, 'Duisburg', NULL, 203, 22973);
INSERT INTO unternehmen VALUES (182, 'Energieanlagenbau u. Haustechnik', 'Energieanlagen', 'Gnterstr.', '38', 'Hochemmerich', 'D', 47226, 'Duisburg', 'Telefax', 2065, 56249);
INSERT INTO unternehmen VALUES (183, 'Ehrmanns', 'Logistik', 'Duisburger Str.', '58', 'Neumhl', 'D', 47166, 'Duisburg', NULL, 203, 587621);
INSERT INTO unternehmen VALUES (184, 'Gruppe 7 Technischer Handel GmbH', 'Robotik', 'Hlscherstr.', '2A', 'Neumhl', 'D', 47167, 'Duisburg', NULL, 203, 99574);
INSERT INTO unternehmen VALUES (185, 'Zukunftshandel e.K.', 'Vermgen', 'Landwehrstr.', '53', 'Ruhrort', 'D', 47119, 'Duisburg', NULL, 203, 872280);
INSERT INTO unternehmen VALUES (186, 'Baustahlhandels GmbH', 'Baustoffe', 'Hochstr.', '122A', 'Hochemmerich', 'D', 47228, 'Duisburg', NULL, 2065, 63874);
INSERT INTO unternehmen VALUES (187, 'Lumper', 'Verkehrseinrichtungen Stahl- u. Metallbau', 'Winkelhauser Str.', '29', 'Bergheim', 'D', 47228, 'Duisburg', NULL, 2065, 67510);
INSERT INTO unternehmen VALUES (188, 'Abraham Transporte GmbH', 'Logistik', 'Mndelheimer Str.', '162', 'Httenheim', 'D', 47259, 'Duisburg', NULL, 203, 784112);
INSERT INTO unternehmen VALUES (189, 'OKI Industrietechnik GmbH', 'Maschinenbau', 'Wrthstr.', '175', 'Hochfeld', 'D', 47053, 'Duisburg', 'D2', 172, 2625119);
INSERT INTO unternehmen VALUES (190, 'IKS Entwicklungsges. fr Informationssysteme mbH', 'EDV', 'Knigsberger Allee', '62', 'Duissern', 'D', 47058, 'Duisburg', NULL, 203, 331080);
INSERT INTO unternehmen VALUES (191, 'Libert Damenmoden GmbH', 'Kleidung', 'Knigstr.', '42', 'Dellviertel', 'D', 47051, 'Duisburg', NULL, 203, 287463);
INSERT INTO unternehmen VALUES (192, 'CASA Grundstcksverwertung und Wohnungsbau GmbH', 'Grundstcksverwaltung', 'Angermunder Str.', '44', 'Groenbaum', 'D', 47269, 'Duisburg', NULL, 203, 761017);
INSERT INTO unternehmen VALUES (193, 'Eiche AG Werksgruppe Technische Gase', 'Gase', 'Im Grond', '', 'Mittelmeiderich', 'D', 47137, 'Duisburg', NULL, 203, 45048);
INSERT INTO unternehmen VALUES (194, 'Stdt. Seniorenheim Marien', 'Krankenhaus', 'Zu den Tannen', '5', 'Groenbaum', 'D', 47269, 'Duisburg', NULL, 203, 710);
INSERT INTO unternehmen VALUES (195, 'MER Mllentsorgungs-Gesellschaft Ruhrgebiet mbH', 'Recycling', 'Wiedehopfstr.', '30', 'Resser-Mark', 'D', 45892, 'Gelsenkirchen', NULL, 209, 9705);
INSERT INTO unternehmen VALUES (196, 'Schlund GmbH', 'Consulting', 'Erlestr.', '57', 'Buer', 'D', 45894, 'Gelsenkirchen', NULL, 700, 28010180);
INSERT INTO unternehmen VALUES (197, 'Berufsfortbildungswerk Gemeinntzige Bildungseinrichtung des OHK GmbH', 'Bildung', 'Emscherstr.', '66', 'Erle', 'D', 45891, 'Gelsenkirchen', NULL, 209, 70092);
INSERT INTO unternehmen VALUES (198, 'Kuschel Polstermbelfabrik KG', 'Innenausstattung', 'Auf dem Schollbruch', '48', 'Horst', 'D', 45899, 'Gelsenkirchen', NULL, 209, 55247);
INSERT INTO unternehmen VALUES (199, 'Messer Stahlbau GmbH', 'Metall', 'Schwarzmhlenstr.', '102a', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', NULL, 209, 134400);
INSERT INTO unternehmen VALUES (200, 'Marienhospital GmbH', 'Krankenhaus', 'Virchowstr.', '135', 'ckendorf', 'D', 45886, 'Gelsenkirchen', NULL, 209, 172);
INSERT INTO unternehmen VALUES (201, 'Weiland GmbH', 'Reinigung', 'Lammgasse', '11', NULL, 'D', 74172, 'Neckarsulm', NULL, 7132, 95071);
INSERT INTO unternehmen VALUES (202, 'Grn Fruchthandels GmbH', 'Lebensmittel', 'Bergstr.', '25', NULL, 'D', 73207, 'Plochingen', NULL, 7153, 82511);
INSERT INTO unternehmen VALUES (203, 'Froid Klte, Klima-Service GmbH', 'Sanitr', 'Postweg', '55', NULL, 'D', 81827, 'Mnchen', 'Telefax', 89, 4304058);
INSERT INTO unternehmen VALUES (204, 'Tucholski Textil-Handel- und Vertriebs GmbH', 'Kleidung', 'Akazienweg', '2', NULL, 'D', 64665, 'Alsbach-Hhnlein', NULL, 6257, 9334);
INSERT INTO unternehmen VALUES (205, 'TN Turbinen Nrnberg GmbH', 'Maschinenbau', 'Siemensstr.', '45', NULL, 'D', 7546, 'Gera', NULL, 365, 4200161);
INSERT INTO unternehmen VALUES (206, 'TN Turbinen Nrnberg GmbH', 'Maschinenbau', NULL, '', NULL, 'D', 904, 'Nrnberg, Mittelfr', 'Telefax', 911, 4130);
INSERT INTO unternehmen VALUES (207, 'TN Turbinen Nrnberg GmbH', 'Maschinenbau', 'Am Bentenskamp', '9', NULL, 'D', 44143, 'Dortmund', NULL, 231, 5316830);
INSERT INTO unternehmen VALUES (208, 'Offenbach Verpackungsmaschinen GmbH', 'Verpackungen', 'Altendeich', '14', NULL, 'D', 25335, 'Raa-Besenbek', NULL, 4121, 296);
INSERT INTO unternehmen VALUES (209, 'Blinks Werbemittel GmbH', 'Marketing u. Consulting', 'Gerresheimer Landstr.', '80', NULL, 'D', 40627, 'Dsseldorf', NULL, 211, 253098);
INSERT INTO unternehmen VALUES (210, 'Kolben Deutschland GmbH', 'Maschinenbau', 'Wichmannstr.', '4', NULL, 'D', 22607, 'Hamburg', NULL, 40, 890662);
INSERT INTO unternehmen VALUES (211, 'Kolben Deutschland GmbH', 'Maschinenbau', 'Rennweg', '70', NULL, 'D', 44143, 'Dortmund', NULL, 231, 511595);
INSERT INTO unternehmen VALUES (212, 'Kolben Europe', 'Maschinenbau', 'Ringstr.', '37', 'Lichterfelde', 'D', 12205, 'Berlin', NULL, 30, 81299175);
INSERT INTO unternehmen VALUES (213, 'NASS Bder und Ambiente OHG', 'Sanitr', 'Glcksburger Str.', '28', NULL, 'D', 40545, 'Dsseldorf', 'D2', 173, 5423896);
INSERT INTO unternehmen VALUES (214, 'SYS Systemtechnik GmbH', 'EDV', 'Formerstr.', '51', NULL, 'D', 40878, 'Ratingen', NULL, 2102, 8744);
INSERT INTO unternehmen VALUES (215, 'Glckner + Kremper OHG', 'Marketing u. Consulting', 'Tannenstr.', '28', NULL, 'D', 67067, 'Ludwigshafen am Rhein', 'Telefax', 621, 532360);
INSERT INTO unternehmen VALUES (216, 'DD Auen- und Innenverputz GmbH', 'Gebudeausrstung', 'Leuchtsmhlenweg', '14', NULL, 'D', 8523, 'Plauen, Vogtl', NULL, 3741, 708103);
INSERT INTO unternehmen VALUES (217, 'HOCH Aufzugbau GmbH + Co. Betriebs-Kommanditgesellschaft', 'Aufzge', 'Nordlichtstr.', '16', NULL, 'D', 13405, 'Berlin', NULL, 30, 4123187);
INSERT INTO unternehmen VALUES (218, 'HOCH Aufzugsbau GmbH + Co KG', 'Aufzge', 'Nordlichtstr.', '16-18', NULL, 'D', 13405, 'Berlin', NULL, 30, 4130200);
INSERT INTO unternehmen VALUES (219, 'Klick Automaten GmbH', 'Spielautomaten', 'Magdeburger Str.', '26', NULL, 'D', 38820, 'Halberstadt', NULL, 3941, 26206);
INSERT INTO unternehmen VALUES (220, 'Grumbiegel Baumanagement GmbH', 'Bauunternehmung', 'Ludweilerstr.', '131', NULL, 'D', 66333, 'Vlklingen', NULL, 6898, 87766);
INSERT INTO unternehmen VALUES (221, 'Winkel Bautreuhand GmbH', 'Bauunternehmung', 'Nulandtstr.', '4', NULL, 'D', 6217, 'Merseburg', NULL, 3461, 205391);
INSERT INTO unternehmen VALUES (222, 'Coco Beratungsservice GmbH', 'Consulting', 'Thomas-Mntzer-Str.', '9', NULL, 'D', 2708, 'Groschweidnitz', NULL, 3585, 468815);
INSERT INTO unternehmen VALUES (223, 'Dorma Bettenfachmarkt Limburg', 'Innenausstattung', 'Westerwaldstr.', '111', NULL, 'D', 65549, 'Limburg a d Lahn', NULL, 6431, 283670);
INSERT INTO unternehmen VALUES (224, 'BS Brandsanierung GmbH + Co. KG', 'Brandsanierung', 'Grenzstr.', '1d', NULL, 'D', 85609, 'Aschheim', 'Telefax', 89, 94401247);
INSERT INTO unternehmen VALUES (225, 'BH Boarding-House GbR', 'Hotel', 'Hoffmann-von-Fallersleben-Str.', '9', NULL, 'D', 34117, 'Kassel, Hess', 'D2', 172, 5651100);
INSERT INTO unternehmen VALUES (226, 'CT Computer Trading GmbH', 'EDV', 'Wilhelmstr.', '44', NULL, 'D', 63543, 'Neuberg, Hess', NULL, 6183, 91117);
INSERT INTO unternehmen VALUES (227, 'DD Datadesign GmbH', 'EDV', 'Raiffeisenstr.', '17', NULL, 'D', 57462, 'Olpe, Biggesee', 'Telefax', 2761, 9259);
INSERT INTO unternehmen VALUES (228, 'PRINT Druck GmbH', 'Druckerei', 'Gabelsbergerstr.', '4', NULL, 'D', 59069, 'Hamm, Westf', 'Telefax', 2385, 6002);
INSERT INTO unternehmen VALUES (229, 'PRINT Druckservice', 'Druckerei', 'Schwelmer Str.', '1', NULL, 'D', 40235, 'Dsseldorf', NULL, 211, 682007);
INSERT INTO unternehmen VALUES (230, 'Vogue Merchandising GmbH', 'Druckerei', 'Am Tower', '3', NULL, 'D', 90475, 'Nrnberg, Mittelfr', NULL, 9128, 726261);
INSERT INTO unternehmen VALUES (231, 'Trmmel Maschinenfabrik GmbH', 'Maschinenbau', 'Kupferstr.', '18', NULL, 'D', 48496, 'Hopsten', 'Telefax', 5458, 793);
INSERT INTO unternehmen VALUES (232, 'H + U Metallbau GmbH', 'Metall', 'Niedersachsenstr.', '17', NULL, 'D', 26723, 'Emden, Ostfriesland', 'Telefax', 4921, 25040);
INSERT INTO unternehmen VALUES (233, 'Gockel Montageservice GmbH', 'Montage', 'Lortzingstr.', '9', NULL, 'D', 4105, 'Leipzig', NULL, 341, 9901902);
INSERT INTO unternehmen VALUES (234, 'Lot Parkhaus GmbH', 'Parkhaus', 'Schwalbacher Str.', '53', NULL, 'D', 65183, 'Wiesbaden', NULL, 611, 376765);
INSERT INTO unternehmen VALUES (235, 'OUT Publishing GmbH', 'Druckerei', 'Schmiedberg', '1b', NULL, 'D', 86415, 'Mering, Schwab', NULL, 8233, 4117);
INSERT INTO unternehmen VALUES (236, 'Retour Recycling GmH', 'Recycling', 'Karl-Marx-Str.', '8', NULL, 'D', 15831, 'Diepensee', NULL, 33762, 55517);
INSERT INTO unternehmen VALUES (237, 'R + R Service Produktion + Beratung GmbH', 'Druckerei', 'Waldweg', '3D', NULL, 'D', 83339, 'Chieming', NULL, 8667, 8845);
INSERT INTO unternehmen VALUES (238, 'Ivoire Stahl- u. Aufzugbau GmbH', 'Aufzge', 'Im Manderfeld', '18', NULL, 'D', 54457, 'Wincheringen', NULL, 6583, 992111);
INSERT INTO unternehmen VALUES (239, 'Echanges Salesmanagement and Training GmbH', 'Bildung', NULL, '', NULL, 'D', 61479, 'Glashtten, Taunus', NULL, 6174, 963538);
INSERT INTO unternehmen VALUES (240, 'SH Systemhaus GmbH', 'EDV', 'Hauptstr.', '127', NULL, 'D', 70563, 'Stuttgart', 'Telefax', 711, 9019069);
INSERT INTO unternehmen VALUES (241, 'Niederhffer Workstation GmbH', 'Zeitarbeit', 'Zerrennerstr.', '18', NULL, 'D', 75172, 'Pforzheim', NULL, 7231, 155110);
INSERT INTO unternehmen VALUES (242, 'Kautschuk GmbH', 'Chemie', 'Cheruskerstr.', '29', NULL, 'D', 33647, 'Bielefeld', NULL, 521, 4175696);
INSERT INTO unternehmen VALUES (243, 'T + E Bau', 'Reinigung', 'Paske', '4', NULL, 'D', 17406, 'Usedom', 'D1', 171, 7437184);
INSERT INTO unternehmen VALUES (244, 'Cadre OHG', 'Innenausstattung', 'Mergenthalerstr.', '8', NULL, 'D', 60388, 'Frankfurt am Main', 'Telefax', 69, 94139232);
INSERT INTO unternehmen VALUES (245, 'ConIB Consult Industriemontage- u. Betreuungs GmbH', 'Montage', 'Fuggerstr.', '7', NULL, 'D', 10777, 'Berlin', NULL, 30, 21478130);
INSERT INTO unternehmen VALUES (246, 'Trunk Consulting Group GmbH', 'Consulting', NULL, '', NULL, 'D', 30, 'Hannover', NULL, 511, 3880092);
INSERT INTO unternehmen VALUES (247, 'Mnninghoff International GmbH', 'Logistik', 'Frankfurter Str.', '5', NULL, 'D', 61462, 'Knigstein im Taunus', NULL, 6174, 1055);
INSERT INTO unternehmen VALUES (248, 'Bullock Pass-System H. Metje GmbH', 'Druckerei', 'Industriestr.', '87', NULL, 'D', 51399, 'Burscheid, Rheinl', NULL, 2174, 1368);
INSERT INTO unternehmen VALUES (249, 'Stern Maschinen- und Apparatebau GmbH', 'Maschinenbau', 'Wuppertalstr.', '21', NULL, 'D', 54470, 'Bernkastel-Kues', NULL, 6531, 507);
INSERT INTO unternehmen VALUES (250, 'OffSet Technische Planungsgesellschaft', NULL, NULL, '', NULL, 'D', 1, 'Berlin', 'D2', 172, 3297000);
INSERT INTO unternehmen VALUES (251, 'Meyer Automatengrohandel GbR', 'Maschinenbau', 'Polsumer Str.', '89', NULL, 'D', 45896, 'Gelsenkirchen', 'Telefax', 209, 64087);
INSERT INTO unternehmen VALUES (252, 'T + E Bau GmbH', 'Bauunternehmung', 'Halberstdter Str.', '157', NULL, 'D', 39112, 'Magdeburg', NULL, 391, 5432016);
INSERT INTO unternehmen VALUES (253, 'Trend Abdichtungstechnik', 'Gebudeausrstung', 'Rheinallee', '171', NULL, 'D', 55120, 'Mainz a Rhein', NULL, 6131, 687506);
INSERT INTO unternehmen VALUES (254, 'Wonningrath Filteranlagen e.K.', 'Recycling', 'Mozartstr.', '4', NULL, 'D', 85655, 'Grohelfendorf', NULL, 8095, 870561);
INSERT INTO unternehmen VALUES (255, 'Ultimo Industrietechnik GmbH', NULL, 'Hauptstr.', '111', NULL, 'D', 26131, 'Oldenburg, Oldb', NULL, 441, 50010);
INSERT INTO unternehmen VALUES (256, 'Nouvelle vague Mode und Bekleidungshandels GmbH', 'Kleidung', 'Heggerstr.', '56', NULL, 'D', 45525, 'Hattingen, Ruhr', NULL, 2324, 51012);
INSERT INTO unternehmen VALUES (257, 'Frank Buxter Klinker- u. Mauerwerks GmbH', 'Baustoffe', 'Paul-Gruner-Str.', '58', NULL, 'D', 9120, 'Chemnitz, Sachs', NULL, 371, 5384725);
INSERT INTO unternehmen VALUES (258, 'Ammelt Kfz-Handels GmbH', 'Fahrzeuge', 'In der Mulde', '43a', NULL, 'D', 85410, 'Haag a d Amper', 'Telefax', 8167, 6850);
INSERT INTO unternehmen VALUES (259, '90 Products Analysentechnik GmbH', NULL, 'Haldestr.', '4', NULL, 'D', 89173, 'Lonsee', NULL, 7336, 920307);
INSERT INTO unternehmen VALUES (260, 'COM Profi Tel AG', 'Telekommunikationssysteme', 'Siemensstr.', '41', NULL, 'D', 94315, 'Straubing', 'Telefax', 9421, 9747);
INSERT INTO unternehmen VALUES (261, 'F + E Regionalbau GmbH', 'Bauunternehmung', 'Haagstr.', '34A', NULL, 'D', 47441, 'Moers', NULL, 2841, 189300);
INSERT INTO unternehmen VALUES (262, 'Prof. Knig Consulting GmbH', 'Consulting', 'Forststr.', '13', NULL, 'D', 65193, 'Wiesbaden', NULL, 611, 5410600);
INSERT INTO unternehmen VALUES (263, 'Wendel Steuerungstechnik GmbH', 'Robotik', 'Delaustr.', '13', NULL, 'D', 89150, 'Laichingen', NULL, 7333, 94904);
INSERT INTO unternehmen VALUES (264, 'Polska GmbH + Co. KG', NULL, 'Sonnenstr.', '9', NULL, 'D', 64750, 'Ltzelbach, Odenw', NULL, 6066, 9601);
INSERT INTO unternehmen VALUES (265, 'Relect Messe-Design GmbH', 'Messebau', 'Steinbrckerstr.', '6', NULL, 'D', 23556, 'Lbeck', NULL, 451, 87991);
INSERT INTO unternehmen VALUES (266, 'Konrad Anlagentechnik GmbH', 'Robotik', 'Brderstr.', '8', NULL, 'D', 12205, 'Berlin', NULL, 30, 843884);
INSERT INTO unternehmen VALUES (267, 'U + R Mobilfunk GmbH', 'Telekommunikationssysteme', 'Allersheimer Str.', '33', NULL, 'D', 37603, 'Holzminden', NULL, 5531, 120966);
INSERT INTO unternehmen VALUES (268, 'Holland Immobilien', 'Immobilien-Finanz-Service', NULL, NULL, NULL, 'D', 63633, 'Birstein', NULL, 6054, 6396);
INSERT INTO unternehmen VALUES (269, 'Prsenta GmbH', 'Marketing u. Consulting', 'Schlokirchenpassage', '4', NULL, 'D', 67098, 'Bad Drkheim', 'Telefax', 6322, 988691);
INSERT INTO unternehmen VALUES (270, 'Ullrich Mineralprodukte und Gebudetechnik GmbH', NULL, 'Wilhelm-Maybach-Str.', '3', NULL, 'D', 19061, 'Schwerin, Meckl', NULL, 385, 64422);
INSERT INTO unternehmen VALUES (271, 'Foster Trans GmbH', 'Logistik', 'Rhinstr.', '84', NULL, 'D', 12681, 'Berlin', NULL, 30, 55156932);
INSERT INTO unternehmen VALUES (272, 'Jlich Management u. Immobilien GmbH', 'Immobilien-Finanz-Service', 'Wilhelmstr.', '22', NULL, 'D', 18586, 'Ostseebad Sellin', NULL, 38303, 8719);
INSERT INTO unternehmen VALUES (273, 'Dybenstahl Deutschland GmbH', NULL, 'Wittener Str.', '185', 'Altenbochum', 'D', 44803, 'Bochum', NULL, 234, 936107);
INSERT INTO unternehmen VALUES (274, 'Dybenstahl Deutschland GmbH', NULL, 'Wittener Str.', '185', 'Altenbochum', 'D', 44803, 'Bochum', NULL, 234, 35934);
INSERT INTO unternehmen VALUES (275, 'Dybenstahl Deutschland GmbH', NULL, 'Wittener Str.', '185', 'Altenbochum', 'D', 44803, 'Bochum', 'Telefax', 234, 357292);
INSERT INTO unternehmen VALUES (276, 'Heinrich Pick GmbH', 'Maschinenbau', 'Josef-Baumann-Str.', '17', 'Gerthe', 'D', 44805, 'Bochum', NULL, 234, 89146);
INSERT INTO unternehmen VALUES (277, 'Tollwandt Automaten GmbH', 'Maschinenbau', 'Bongardstr.', '', 'Innenstadt', 'D', 44787, 'Bochum', 'Telefax', 234, 9149);
INSERT INTO unternehmen VALUES (278, 'Herrlich', 'Kleidung', 'Bongardstr.', '', 'Innenstadt', 'D', 44787, 'Bochum', NULL, 234, 9149);
INSERT INTO unternehmen VALUES (279, 'Heinrich Pick GmbH', 'Lebensmittel', 'Heinrich-Kmpchen-Str.', '29', 'Dahlhausen', 'D', 44879, 'Bochum', NULL, 234, 94203);
INSERT INTO unternehmen VALUES (280, 'Die Zuckerstange GmbH', 'Lebensmittel', 'Im Ostholz', '25-25', 'Linden', 'D', 44879, 'Bochum', NULL, 234, 94697);
-- Tabelle Teilnehmer
DROP TABLE "SCOTT"."TEILNEHMER";
CREATE TABLE "SCOTT"."TEILNEHMER"
("TN_NR" NUMBER(4) NOT NULL,
 "U_NR" NUMBER(5),
 "TN_ANREDE" VARCHAR2(5),
 "TN_VORNAME" VARCHAR2(20), 
 "TN_NACHNAME" VARCHAR2(30),
 "TN_STRASSE" VARCHAR2(40), 
 "TN_HAUSNR" VARCHAR2(5),
 "TN_STADTTEIL" VARCHAR2(30), 
 "TN_LAND" VARCHAR2(2),
 "TN_PLZ" NUMBER(5),
 "TN_STADT" VARCHAR2(30),
 "TN_VORWAHL" NUMBER(10),
 "TN_TELNR" NUMBER(10),
  PRIMARY KEY("TN_NR"),
  FOREIGN KEY("U_NR")
    REFERENCES "SCOTT"."UNTERNEHMEN"("U_NR"))  
  TABLESPACE "USERS";

-- Daten Tabelle Teilnehmer
INSERT INTO teilnehmer VALUES (1, 132, 'Herr', 'Gerard', 'Diehm', 'August-Bebel-Platz', '79', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 854441);
INSERT INTO teilnehmer VALUES (2, 278, NULL, 'B.', 'Brock', NULL, '125', NULL, 'D', 4552, 'Hattingen, Ruhr', 2324, 2451304);
INSERT INTO teilnehmer VALUES (3, 12, 'Herr', 'Josef', 'Pilger', 'Plutostr.', '8', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 76113);
INSERT INTO teilnehmer VALUES (4, 267, 'Herr', 'Martin', 'Fulland', 'Nikolaus-Gro-Str.', '28', 'Alt-Walsum', 'D', 47178, 'Duisburg', 203, 491320);
INSERT INTO teilnehmer VALUES (5, 126, 'Herr', 'Norbert', 'Fahle', 'Steeler Str.', '43', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 598187);
INSERT INTO teilnehmer VALUES (6, 68, 'Herr', 'Thomas', 'Wersinski', 'Stiepeler Str.', NULL, 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 17503);
INSERT INTO teilnehmer VALUES (7, 36, 'Frau', 'Meta', 'Kirste', 'Rdesheimer Str.', '14', 'Frohnhausen', 'D', 45145, 'Essen, Ruhr', 201, 230454);
INSERT INTO teilnehmer VALUES (8, 194, 'Herr', 'Stefanie', 'Hohnwald', 'Hirsestr.', '16', 'Bochold', 'D', 45356, 'Essen, Ruhr', 201, 285593);
INSERT INTO teilnehmer VALUES (9, 258, NULL, 'A.', 'Fryc', NULL, '29', NULL, 'D', 44, 'Bochum', 234, 492144);
INSERT INTO teilnehmer VALUES (10, 77, 'Herr', 'Alfred', 'Gollann', 'Am Alten Stadtpark', '21', 'Innenstadt', 'D', 44791, 'Bochum', 234, 381516);
INSERT INTO teilnehmer VALUES (11, 205, 'Herr', 'Raik', 'Swenshon', 'Nauenstr.', '2', NULL, 'D', 44309, 'Dortmund', 171, 44624);
INSERT INTO teilnehmer VALUES (12, 104, 'Herr', 'Otto', 'Burkert', 'Mllmannsweg', '114', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 1487124);
INSERT INTO teilnehmer VALUES (13, 170, 'Herr', 'Karl-Heinz', 'Dammasch', 'Grasmckenweg', '92', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 875830);
INSERT INTO teilnehmer VALUES (14, 29, 'Herr', 'Josef', 'Gerstenberger', 'Fischerstr.', '24', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 411790);
INSERT INTO teilnehmer VALUES (15, 195, NULL, 'U.', 'Frbel', NULL, '29', NULL, 'D', 44, 'Bochum', 234, 493734);
INSERT INTO teilnehmer VALUES (16, 209, 'Herr', 'Konrad', 'Besser', 'Pothmannstr.', '202', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 3957701);
INSERT INTO teilnehmer VALUES (17, 245, 'Herr', 'Josefine', 'Krger', 'Borgholzstr.', '13', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 205126);
INSERT INTO teilnehmer VALUES (18, 124, 'Frau', 'Angelika', 'Faust', 'Marienstr.', '41', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 594386);
INSERT INTO teilnehmer VALUES (19, 243, 'Herr', 'Wilhelm', 'Daube', 'Konradstr.', '91', 'Eppendorf', 'D', 44869, 'Bochum', 2327, 875303);
INSERT INTO teilnehmer VALUES (20, 61, 'Herr', 'Wolfgang', 'Krolak', 'Surkampstr.', '13', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 205327);
INSERT INTO teilnehmer VALUES (21, 183, 'Herr', 'Andreas', 'Sporreiter', 'Remscheider Str.', '3', 'Friedrichstadt', 'D', 40215, 'Dsseldorf', 211, 51880);
INSERT INTO teilnehmer VALUES (22, 264, 'Herr', 'Karl', 'Gerdts', 'Wichernstr.', '24', 'Innenstadt', 'D', 44791, 'Bochum', 234, 422337);
INSERT INTO teilnehmer VALUES (23, 74, NULL, 'G.', 'Mende', 'Kemnader Str.', '10', 'Stiepel', 'D', 44797, 'Bochum', 234, 85733);
INSERT INTO teilnehmer VALUES (24, 218, 'Herr', 'Josef', 'Martin', 'Ossenkamp', '11', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 138341);
INSERT INTO teilnehmer VALUES (25, 128, 'Frau', 'Hildegard', 'Gdtner', 'Meesmannstr.', '22', 'Riemke', 'D', 44807, 'Bochum', 234, 394642);
INSERT INTO teilnehmer VALUES (26, 245, 'Herr', 'Helmut', 'Goltz', 'Theodor-Otte-Str.', '20', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 379889);
INSERT INTO teilnehmer VALUES (27, 9, 'Herr', 'Gnter', 'Gniewotta', 'Konsumstr.', '22', 'Hofstede', 'D', 44809, 'Bochum', 234, 394869);
INSERT INTO teilnehmer VALUES (28, 98, 'Frau', 'Marion', 'Mnig', 'Borgmannshof', '9', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 82971);
INSERT INTO teilnehmer VALUES (29, 96, 'Herr', 'Stefan', 'Angsten', 'Laakmannsbusch', '61D', 'Langenberg', 'D', 42555, 'Velbert', 2052, 8907383);
INSERT INTO teilnehmer VALUES (30, 191, 'Herr', 'Leorud', 'Guttkorn', 'Neidenburger Str.', '18', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 336426);
INSERT INTO teilnehmer VALUES (31, 56, 'Frau', 'Sabine', 'Hammerich', 'Pppinghausstr.', '17', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 323191);
INSERT INTO teilnehmer VALUES (32, 54, 'Frau', 'Kerstin', 'Mhlhaus', NULL, '9', NULL, 'D', 458, 'Gelsenkirchen', 209, 82886);
INSERT INTO teilnehmer VALUES (33, 199, 'Herr', 'Dr. med. Klaus-Diete', 'Goedecke', 'Grummer Str.', '21', 'Hofstede', 'D', 44809, 'Bochum', 234, 394343);
INSERT INTO teilnehmer VALUES (34, 212, 'Herr', 'Achim', 'Held', 'Ortsstr.', '17', NULL, 'D', 7338, 'Kaulsdorf, Saale', 3671, 312850);
INSERT INTO teilnehmer VALUES (35, 75, 'Herr', 'Peter', 'Cebula', 'Femestr.', '111', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 1478988);
INSERT INTO teilnehmer VALUES (36, 20, 'Herr', 'Gerhardine', 'Drevermann', 'Schemannstr.', '67', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 787536);
INSERT INTO teilnehmer VALUES (37, 66, 'Frau', 'Katrin', 'Sylvester', 'Markstr.', '2', 'Weitmar', 'D', 44795, 'Bochum', 234, 43961);
INSERT INTO teilnehmer VALUES (38, 244, 'Frau', 'Gisela', 'Riecks', 'Kirchstr.', '6', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 66870);
INSERT INTO teilnehmer VALUES (39, 1, 'Herr', 'Fritz', 'Gerdes', 'Gartenkamp', '25', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 430647);
INSERT INTO teilnehmer VALUES (40, 63, 'Frau', 'Hannelore', 'Dreler', NULL, '68', NULL, 'D', 458, 'Gelsenkirchen', 209, 789083);
INSERT INTO teilnehmer VALUES (41, 90, 'Herr', 'Bernhard', 'Foltinek', 'Am Chursbusch', '32', 'Linden', 'D', 44879, 'Bochum', 234, 512989);
INSERT INTO teilnehmer VALUES (42, 237, 'Herr', 'Daniel', 'Vierbaum', 'Hattinger Str.', '1', 'Weitmar', 'D', 44795, 'Bochum', 170, 31062);
INSERT INTO teilnehmer VALUES (43, 265, 'Herr', 'Karlheinz', 'Eicher', 'Am Funkturm', '51', 'Neuasseln', 'D', 44309, 'Dortmund', 231, 730293);
INSERT INTO teilnehmer VALUES (44, 254, 'Herr', 'Heinrich W.', 'Gutsell', 'Wittenberger Str.', '18', 'Rttgersbach', 'D', 47167, 'Duisburg', 203, 337583);
INSERT INTO teilnehmer VALUES (45, 240, 'Herr', 'Dieter', 'Brauner', 'Kranichstr.', '131', 'Westenfeld', 'D', 44867, 'Bochum', 2327, 2630229);
INSERT INTO teilnehmer VALUES (46, 114, 'Frau', 'Melanie', 'Baltes', 'Grenzstr.', '22a', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 7103947);
INSERT INTO teilnehmer VALUES (47, 271, 'Herr', 'Wolfgang', 'Gersema', 'Laurentiusstr.', '24', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 412260);
INSERT INTO teilnehmer VALUES (48, 74, 'Frau', 'Sigrid', 'Faust', 'Martinstr.', '41', 'Duissern', 'D', 47058, 'Duisburg', 203, 594548);
INSERT INTO teilnehmer VALUES (49, 17, 'Frau', 'Lucie', 'Folkers', 'Mintarder Weg', '32', 'Unterrath', 'D', 40472, 'Dsseldorf', 211, 513724);
INSERT INTO teilnehmer VALUES (50, 3, 'Herr', 'Gnter', 'Adam', 'Am Mhlenberg', '7b', NULL, 'D', 47647, 'Kerken', 2833, 9470590);
INSERT INTO teilnehmer VALUES (51, 6, 'Herr', 'Herbert', 'Drake', 'Liegnitzer Str.', '71', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 799228);
INSERT INTO teilnehmer VALUES (52, 168, NULL, 'T.', 'Mnx', NULL, '8', NULL, 'D', 44, 'Bochum', 234, 82281);
INSERT INTO teilnehmer VALUES (53, 115, 'Herr', 'Hanfried', 'Balyemez', 'Abbendiekshof', '104G', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 5560187);
INSERT INTO teilnehmer VALUES (54, 68, 'Frau', 'Heike', 'Nohse', 'Lindenhorster Str.', '8', 'Lindenhorst', 'D', 44339, 'Dortmund', 231, 80482);
INSERT INTO teilnehmer VALUES (55, 108, 'Herr', 'Michael', 'Elsner', 'Barenscheidstr.', '49', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 703322);
INSERT INTO teilnehmer VALUES (56, 112, NULL, 'K.', 'Antons', NULL, '60c', NULL, 'D', 76855, 'Annweiler am Trifels', 6346, 8906400);
INSERT INTO teilnehmer VALUES (57, 114, 'Frau', 'Anja', 'De Cock', 'Markstr.', '90', 'Wiemelhausen', 'D', 44801, 'Bochum', 234, 872125);
INSERT INTO teilnehmer VALUES (58, 51, 'Herr', 'Manfred', 'Herz', 'Oberdorfstr.', '16', 'Altendorf', 'D', 45143, 'Essen, Ruhr', 201, 287441);
INSERT INTO teilnehmer VALUES (59, 239, 'Frau', 'Renate', 'Reiff', 'Stresemannstr.', '7', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 72757);
INSERT INTO teilnehmer VALUES (60, 146, 'Frau', 'Silke', 'Besner', 'Zeppelinallee', '266', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 4623509);
INSERT INTO teilnehmer VALUES (61, 155, 'Herr', 'Josef', 'Drlich', 'Munckelstr.', '58', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 777842);
INSERT INTO teilnehmer VALUES (62, 256, 'Frau', 'Daniela', 'Switala', 'Meineckestr.', '2', 'Golzheim', 'D', 40474, 'Dsseldorf', 211, 44212);
INSERT INTO teilnehmer VALUES (63, 29, 'Frau', 'Margarete', 'Dombrowski', 'Freiligrathstr.', '74', 'Kettwig', 'D', 45219, 'Essen, Ruhr', 2054, 816437);
INSERT INTO teilnehmer VALUES (64, 5, 'Frau', 'Gerlind', 'Balsing', 'Gnnigfelder Str.', '39b', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 7731496);
INSERT INTO teilnehmer VALUES (65, 108, 'Frau', 'Heike', 'Olschewski', 'Bergener Str.', '8', 'Bergen', 'D', 44807, 'Bochum', 234, 77474);
INSERT INTO teilnehmer VALUES (66, 198, 'Frau', 'Elisabeth', 'Eichstdt', 'Werner Hellweg', '51', 'Werne', 'D', 44894, 'Bochum', 234, 723614);
INSERT INTO teilnehmer VALUES (67, 21, 'Frau', 'Silvia', 'Tamoschus', 'Moorkampstr.', '2', 'Heler', 'D', 45883, 'Gelsenkirchen', 179, 35803);
INSERT INTO teilnehmer VALUES (68, 149, 'Herr', 'Bernhard', 'Bollermann', 'Devensstr.', '135', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2770289);
INSERT INTO teilnehmer VALUES (69, 251, 'Herr', 'Reinhold', 'Gmmer', 'Blausielweg', '27', 'Berghofen', 'D', 44269, 'Dortmund', 231, 471321);
INSERT INTO teilnehmer VALUES (70, 231, 'Herr', 'Heinz', 'Beler', 'Wilhelminenstr.', '192', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 3838727);
INSERT INTO teilnehmer VALUES (71, 68, 'Herr', 'Carlos', 'Ferse', 'Gerstckerstr.', '38', NULL, 'D', 20459, 'Hamburg', 40, 587824);
INSERT INTO teilnehmer VALUES (72, 267, 'Herr', 'Viktor', 'Meilenbrock', 'Auguststr.', '10', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 130798);
INSERT INTO teilnehmer VALUES (73, 218, 'Herr', 'Ralf', 'Senbach', 'Hattinger Str.', '2', 'Linden', 'D', 44879, 'Bochum', 234, 44884);
INSERT INTO teilnehmer VALUES (74, 150, 'Herr', 'Bernhard', 'Falk', 'Leimkugelstr.', '43', 'Nordviertel', 'D', 45141, 'Essen, Ruhr', 201, 596885);
INSERT INTO teilnehmer VALUES (75, 4, 'Herr', 'Heinz', 'Besl', 'Im Tal', '291', 'Niederwenigern', 'D', 45529, 'Hattingen, Ruhr', 2324, 4781264);
INSERT INTO teilnehmer VALUES (76, 250, 'Herr', 'Dipl.-Ing. Alfred H.', 'Genster', 'Brannenweg', '25', 'Linden', 'D', 44879, 'Bochum', 234, 433402);
INSERT INTO teilnehmer VALUES (77, 218, 'Herr', 'Gnter', 'Goldt', 'Wasserbankstr.', '21', 'Hordel', 'D', 44793, 'Bochum', 234, 387740);
INSERT INTO teilnehmer VALUES (78, 163, 'Herr', 'Dieter', 'Deutschmann', 'Bolhferweg', '81', NULL, 'D', 33818, 'Leopoldshhe', 5202, 860597);
INSERT INTO teilnehmer VALUES (79, 194, 'Frau', 'Irmgard', 'Dewitz', 'Wiesenstr.', '81', 'Bergheim', 'D', 47228, 'Duisburg', 2065, 860483);
INSERT INTO teilnehmer VALUES (80, 122, 'Frau', 'Luise', 'Hamacher', 'Horster Str.', '17', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 325056);
INSERT INTO teilnehmer VALUES (81, 41, 'Herr', 'Heinrich', 'Drisang', 'Krahwinkel', '60', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 780607);
INSERT INTO teilnehmer VALUES (82, 96, 'Frau', 'Barbara', 'Gerloff', 'Kortumstr.', '24', 'Innenstadt', 'D', 44787, 'Bochum', 234, 412515);
INSERT INTO teilnehmer VALUES (83, 136, 'Frau', 'Eva', 'Fabender', 'Gabelsbergerstr.', '41', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 595205);
INSERT INTO teilnehmer VALUES (84, 189, NULL, 'B.', 'Bessel', 'Fleischerstr.', '227', 'Heler', 'D', 45883, 'Gelsenkirchen', 209, 4128350);
INSERT INTO teilnehmer VALUES (85, 44, 'Herr', 'Karl-Heinz', 'Arnold', 'Mechtenbergstr.', '47a', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 8007926);
INSERT INTO teilnehmer VALUES (86, 58, 'Frau', 'Andrea', 'Kolk', 'Aachener Str.', '13', 'Frohnhausen', 'D', 45145, 'Essen, Ruhr', 201, 213519);
INSERT INTO teilnehmer VALUES (87, 170, 'Herr', 'Thorsten', 'Zink', 'Kiepeweg', NULL, 'Westerfilde', 'D', 44357, 'Dortmund', 231, 5185);
INSERT INTO teilnehmer VALUES (88, 55, 'Frau', 'Bettina', 'Tielmann', 'Finkenweg', '2', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 173, 33817);
INSERT INTO teilnehmer VALUES (89, 35, 'Herr', 'Thomas', 'Hasselberg', 'Ernststr.', '17', 'Kray', 'D', 45307, 'Essen, Ruhr', 201, 322654);
INSERT INTO teilnehmer VALUES (90, 227, 'Frau', 'Else', 'Droth', 'Heinrichplatz', '58', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 772412);
INSERT INTO teilnehmer VALUES (91, 76, 'Herr', 'Andreas', 'Schock', 'Immendal', '5', 'Hochfeld', 'D', 47053, 'Duisburg', 172, 60013);
INSERT INTO teilnehmer VALUES (92, 73, 'Herr', 'Heinz', 'Florian', 'Emmericher Str.', '34', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 522504);
INSERT INTO teilnehmer VALUES (93, 41, 'Herr', 'Jrg', 'Fromme', 'Hchste Str.', '29', 'Heler', 'D', 45883, 'Gelsenkirchen', 209, 492772);
INSERT INTO teilnehmer VALUES (94, 145, 'Herr', 'Gnther', 'Chomiak', 'Marsstr.', '111', 'Mitte', 'D', 42549, 'Velbert', 2051, 1475844);
INSERT INTO teilnehmer VALUES (95, 162, 'Herr', 'Andreas', 'Mnch', 'Prinzenstr.', '9', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 83541);
INSERT INTO teilnehmer VALUES (96, 3, 'Herr', 'Jrgen', 'Flesch', 'Buerelterstr.', '35', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 532723);
INSERT INTO teilnehmer VALUES (97, 28, 'Herr', 'Helmut', 'Gratze', 'Theodor-Fliedner-Str.', '19', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 355880);
INSERT INTO teilnehmer VALUES (98, 192, 'Herr', 'Helmut', 'Zuk', 'Kronprinzenstr.', NULL, 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 1386);
INSERT INTO teilnehmer VALUES (99, 65, 'Frau', 'Maria', 'Baltz', 'Bokermhlstr.', '153a', 'Neustadt', 'D', 45879, 'Gelsenkirchen', 209, 6045800);
INSERT INTO teilnehmer VALUES (100, 89, 'Herr', 'Bernd', 'Gerland', 'Hermannstr.', '24', 'Innenstadt', 'D', 44791, 'Bochum', 234, 412795);
INSERT INTO teilnehmer VALUES (101, 103, NULL, 'E. R.', 'Drevermann', 'Schemannstr.', '66', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 787428);
INSERT INTO teilnehmer VALUES (102, 109, 'Frau', 'Nicole', 'Baltruschat', 'Haffring', '18a', NULL, 'D', 17373, 'Ueckermnde', 39771, 6408301);
INSERT INTO teilnehmer VALUES (103, 112, 'Herr', 'Gisbert', 'Schlmer', 'Kniggrtzer Str.', '5', 'Buer', 'D', 45897, 'Gelsenkirchen', 172, 63741);
INSERT INTO teilnehmer VALUES (104, 19, 'Herr', 'Siegfried', 'Drewer', 'Im Rosenhag', '64', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 784807);
INSERT INTO teilnehmer VALUES (105, 14, 'Herr', 'Maciej', 'Wiemann', 'Dreieckstr.', NULL, 'Oberbilk', 'D', 40227, 'Dsseldorf', 211, 15630);
INSERT INTO teilnehmer VALUES (106, 175, NULL, 'B.', 'Fller', 'Krockhausstr.', '28', 'Stiepel', 'D', 44797, 'Bochum', 234, 491194);
INSERT INTO teilnehmer VALUES (107, 137, 'Frau', 'Monika', 'Echterhoff', 'Linienring', '54', NULL, 'D', 76275, 'Ettlingen', 7243, 762590);
INSERT INTO teilnehmer VALUES (108, 156, 'Frau', 'Vanessa', 'Skrzypczyk', 'Langendreerstr.', '3', 'Langendreer', 'D', 44892, 'Bochum', 234, 52364);
INSERT INTO teilnehmer VALUES (109, 255, NULL, 'U.', 'Erwin', 'Fohlenkampstr.', '45', 'Kurl', 'D', 44319, 'Dortmund', 231, 639680);
INSERT INTO teilnehmer VALUES (110, 72, 'Frau', 'Frieda', 'Lipperheide', 'Lange Str.', '12', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 143833);
INSERT INTO teilnehmer VALUES (111, 37, NULL, '', 'Seefeldt', 'mminger Str.', '4', 'Langendreer', 'D', 44892, 'Bochum', 173, 57144);
INSERT INTO teilnehmer VALUES (112, 249, 'Herr', 'Karl-Heinz', 'Phling', 'Pommernstr.', '7', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 74477);
INSERT INTO teilnehmer VALUES (113, 196, 'Herr', 'Wolfgang', 'Even', 'Dammstr.', '44', 'Langendreer', 'D', 44892, 'Bochum', 234, 630800);
INSERT INTO teilnehmer VALUES (114, 4, 'Herr', 'Andreas', 'Geuder', 'Flttestr.', '23', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 409676);
INSERT INTO teilnehmer VALUES (115, 185, 'Herr', 'Wadim', 'Stielow', 'Sievekingsallee', '3', NULL, 'D', 22111, 'Hamburg', 171, 49401);
INSERT INTO teilnehmer VALUES (116, 123, 'Herr', 'Norbert', 'Dryja', 'Bulmker Str.', '56', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 771689);
INSERT INTO teilnehmer VALUES (117, 277, 'Herr', 'Jrgen', 'Etz', 'Vereinsstr.', '45', 'Gerresheim', 'D', 40625, 'Dsseldorf', 211, 638168);
INSERT INTO teilnehmer VALUES (118, 103, 'Frau', 'Ellen', 'Fidora', 'Wildstr.', '37', 'Neudorf-Sd', 'D', 47057, 'Duisburg', 203, 583661);
INSERT INTO teilnehmer VALUES (119, 5, 'Herr', 'Wolfgang', 'Meier-Prnte', 'Burgmhlenweg', '10', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 130817);
INSERT INTO teilnehmer VALUES (120, 189, 'Herr', 'Romuald', 'Schneider', 'Wetzlarer Str.', '5', 'Obermeiderich', 'D', 47138, 'Duisburg', 175, 62072);
INSERT INTO teilnehmer VALUES (121, 253, 'Herr', 'Manfred', 'Gebhard', 'Mathiasstr.', '26', 'Linden', 'D', 44879, 'Bochum', 234, 453815);
INSERT INTO teilnehmer VALUES (122, 57, 'Herr', 'Gnter', 'Grein', 'Koloniestr.', '18', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 353553);
INSERT INTO teilnehmer VALUES (123, 33, 'Herr', 'Kurt', 'Dinkelbach', 'Hohenzollernstr.', '78', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 850720);
INSERT INTO teilnehmer VALUES (124, 147, 'Herr', 'Christoph', 'Balthasar', 'Am Beul', '21a', NULL, 'D', 45525, 'Hattingen, Ruhr', 2324, 7089573);
INSERT INTO teilnehmer VALUES (125, 82, 'Frau', 'Anke', 'Demmler', 'Varenholzstr.', '85', 'Hntrop', 'D', 44869, 'Bochum', 2327, 865285);
INSERT INTO teilnehmer VALUES (126, 146, NULL, 'R. J.', 'Fonnell', NULL, '32', NULL, 'D', 454, 'Mlheim an der Ruhr', 208, 512605);
INSERT INTO teilnehmer VALUES (127, 135, 'Herr', 'Jrgen', 'Adam', 'Auf der Egge', '7b', 'Langenberg', 'D', 42555, 'Velbert', 2052, 9470384);
INSERT INTO teilnehmer VALUES (128, 274, 'Frau', 'Anna-Maria', 'Biermann', NULL, '141', NULL, 'D', 425, 'Velbert', 2051, 2815620);
INSERT INTO teilnehmer VALUES (129, 58, 'Herr', 'Bernhard', 'Borggreve', 'Am Lakenbruch', '133', 'Hordel', 'D', 44793, 'Bochum', 234, 2698522);
INSERT INTO teilnehmer VALUES (130, 222, 'Herr', 'Erich', 'Hellwig', 'Hechelstr.', '17', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 309560);
INSERT INTO teilnehmer VALUES (131, 137, 'Frau', 'Sabine', 'Balte', 'Uhlandstr.', '24d', NULL, 'D', 45525, 'Hattingen, Ruhr', 2324, 7225410);
INSERT INTO teilnehmer VALUES (132, 248, NULL, 'H.', 'Drewlo', 'Hauptstr.', '63', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 783161);
INSERT INTO teilnehmer VALUES (133, 257, 'Herr', 'Nail', 'Fernandes', 'Liebfrauenstr.', '38', 'Altenbochum', 'D', 44803, 'Bochum', 234, 590830);
INSERT INTO teilnehmer VALUES (134, 213, 'Frau', 'Margarete', 'Antons', 'Deggendorfer Str.', '5a', NULL, 'D', 84051, 'Essenbach, Niederbay', 8703, 8681074);
INSERT INTO teilnehmer VALUES (135, 224, 'Herr', 'Karl', 'Feld', 'Hndelstr.', '40', 'Altstadt', 'D', 47057, 'Duisburg', 203, 593601);
INSERT INTO teilnehmer VALUES (136, 150, 'Herr', 'Rolf', 'Flakamp', 'Augustin-Wibbelt-Str.', '35', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 534267);
INSERT INTO teilnehmer VALUES (137, 152, 'Herr', 'Udo', 'Fligge', 'Niefeldstr.', '35', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 525312);
INSERT INTO teilnehmer VALUES (138, 210, 'Herr', 'Waldemar', 'Freitag', 'Plettenbergstr.', '30', NULL, 'D', 30457, 'Hannover', 511, 496522);
INSERT INTO teilnehmer VALUES (139, 27, 'Herr', 'Siegfried', 'Gerland', 'Gretchenstr.', '24', 'Grumme', 'D', 44791, 'Bochum', 234, 412849);
INSERT INTO teilnehmer VALUES (140, 51, 'Frau', 'Almut', 'Straube', 'Josephstr.', '3', 'Innenstadt', 'D', 44791, 'Bochum', 234, 48853);
INSERT INTO teilnehmer VALUES (141, 242, 'Frau', 'Cornelia', 'Gasser', 'Meinholtweg', '26', 'Dahlhausen', 'D', 44879, 'Bochum', 234, 460822);
INSERT INTO teilnehmer VALUES (142, 142, 'Herr', 'Jrgen', 'Asbeck', 'Jgerhof', '44a', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 7948138);
INSERT INTO teilnehmer VALUES (143, 103, 'Frau', 'Marianne', 'Feierabend', 'Bruchspitze', '40', 'Altenbochum', 'D', 44803, 'Bochum', 234, 593602);
INSERT INTO teilnehmer VALUES (144, 129, 'Herr', 'Ralf', 'Gajewski', 'Hattinger Str.', '27', 'Linden', 'D', 44879, 'Bochum', 234, 472282);
INSERT INTO teilnehmer VALUES (145, 124, NULL, 'Atsuko', 'Golinski', 'Gemnder Str.', '21', 'Oberkassel', 'D', 40547, 'Dsseldorf', 211, 384613);
INSERT INTO teilnehmer VALUES (146, 153, 'Frau', 'Friederike', 'Brosda', 'Trompeter Str.', '119', 'Bergheim', 'D', 47228, 'Duisburg', 2065, 2337842);
INSERT INTO teilnehmer VALUES (147, 122, 'Frau', 'Silke', 'Feider', 'Hltingsweg', '40', 'Vogelheim', 'D', 45356, 'Essen, Ruhr', 201, 593703);
INSERT INTO teilnehmer VALUES (148, 237, 'Herr', 'August', 'Faber', 'Eckenerstr.', '43', 'Huckarde', 'D', 44369, 'Dortmund', 231, 611678);
INSERT INTO teilnehmer VALUES (149, 207, 'Herr', 'Gerhard', 'Anemller', 'Bkenbuschstr.', '64b', 'Langenberg', 'D', 42555, 'Velbert', 2052, 8917855);
INSERT INTO teilnehmer VALUES (150, NULL, 'Herr', 'Tim', 'Sudek', 'Am Bischofskamp', '3', 'Rttgersbach', 'D', 47169, 'Duisburg', 203, 48090);
INSERT INTO teilnehmer VALUES (151, 133, 'Frau', 'Agnes', 'Bredeck', 'Griegasse', '129', NULL, 'D', 78600, 'Kolbingen', 7463, 2613025);
INSERT INTO teilnehmer VALUES (152, 78, 'Herr', 'Karl H.', 'Brune', 'Nateweg', '118', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 2108928);
INSERT INTO teilnehmer VALUES (153, 107, 'Herr', 'Theo', 'Engel', 'Westerbergstr.', '47', 'Langendreer', 'D', 44892, 'Bochum', 234, 681458);
INSERT INTO teilnehmer VALUES (154, 169, 'Frau', 'Hannelore', 'Mendrina', 'Am Gulloh', '10', 'Brechten', 'D', 44339, 'Dortmund', 231, 85482);
INSERT INTO teilnehmer VALUES (155, 43, 'Frau', 'Marion', 'Tillmann', 'An der Gosekuhle', '1', 'Wambel', 'D', 44143, 'Dortmund', 231, 33277);
INSERT INTO teilnehmer VALUES (156, 210, 'Frau', 'Andrea', 'Suck', 'Am Spik', '3', 'Altenbochum', 'D', 44789, 'Bochum', 234, 48834);
INSERT INTO teilnehmer VALUES (157, 108, 'Firma', 'W.', 'Stavrianos', 'Hattinger Str.', '3', 'Linden', 'D', 44879, 'Bochum', 234, 51334);
INSERT INTO teilnehmer VALUES (158, 7, 'Herr', 'Jrgen', 'Delzer', 'Wasserstr.', '85', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 870244);
INSERT INTO teilnehmer VALUES (159, 132, 'Herr', 'Markus', 'Drewermann', NULL, '64', NULL, 'D', 0, 'Dortmund', 231, 784218);
INSERT INTO teilnehmer VALUES (160, 60, 'Herr', 'Friedhelm', 'Balz', 'Leithestr.', '906', 'Leithe', 'D', 44866, 'Bochum', 2327, 5447852);
INSERT INTO teilnehmer VALUES (161, 151, 'Herr', 'Ernst', 'Stiehler', 'Heinrich-Hertz-Str.', '3', NULL, 'D', 17491, 'Greifswald, Hansestadt', 171, 49472);
INSERT INTO teilnehmer VALUES (162, 66, 'Herr', 'Dr. Tilmann', 'Golfmann', 'Klostermannstr.', '21', 'Hofstede', 'D', 44809, 'Bochum', 234, 387312);
INSERT INTO teilnehmer VALUES (163, 80, 'Herr', 'Paul', 'Bundesmann', 'Gustahlstr.', '115', 'Innenstadt', 'D', 44793, 'Bochum', 234, 1706676);
INSERT INTO teilnehmer VALUES (164, 101, 'Frau', 'Erna', 'Dischereit', 'Knigsteiner Str.', '77', 'Winz-Baak', 'D', 45529, 'Hattingen, Ruhr', 2324, 841651);
INSERT INTO teilnehmer VALUES (165, 188, 'Herr', 'Andreas', 'Zinnschlag', 'Scheideweg', NULL, 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 4986);
INSERT INTO teilnehmer VALUES (166, 90, 'Herr', 'Joachim', 'Garborek', 'Boniverstr.', '27', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 470290);
INSERT INTO teilnehmer VALUES (167, 108, 'Herr', 'Lothar', 'Hamada', 'Talstr.', '17', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 323973);
INSERT INTO teilnehmer VALUES (168, 167, 'Herr', 'Gerhard', 'Dolinski', 'Waldemarstr.', '75', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 817193);
INSERT INTO teilnehmer VALUES (169, 48, 'Frau', 'Elfriede', 'Surmann', 'Wilhelminenstr.', '3', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 45692);
INSERT INTO teilnehmer VALUES (170, 22, 'Herr', 'Ingo', 'Maier', 'Fette Wiese', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 141224);
INSERT INTO teilnehmer VALUES (171, 10, 'Frau', 'Felizitas', 'Depkat', 'Luisenstr.', '84', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 863546);
INSERT INTO teilnehmer VALUES (172, 198, 'Frau', 'Silvia', 'Legel', 'Schlehenweg', '12', 'Hntrop', 'D', 44869, 'Bochum', 2327, 201972);
INSERT INTO teilnehmer VALUES (173, 163, 'Herr', 'Rudi', 'Arlov', 'Zum Dornbachtal', '5A', NULL, 'D', 65321, 'Heidenrod', 6124, 8377238);
INSERT INTO teilnehmer VALUES (174, 246, 'Herr', 'Werner', 'Burkert', 'Bscherstr.', '114', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 1548754);
INSERT INTO teilnehmer VALUES (175, 130, 'Herr', 'Heiko', 'Elsner', NULL, '49', NULL, 'D', 2533, 'Elmshorn', 4121, 704317);
INSERT INTO teilnehmer VALUES (176, 163, 'Herr', 'Ludwig', 'Dotter', 'Trinenkamp', '71', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 801820);
INSERT INTO teilnehmer VALUES (177, 88, 'Herr', 'Ralf und Tanja', 'Zeh', 'Hndelstr.', NULL, 'Harpen', 'D', 44805, 'Bochum', 234, 7193);
INSERT INTO teilnehmer VALUES (178, 127, 'Herr', 'Otmar', 'Sender', 'Hollandstr.', '4', 'Brackel', 'D', 44309, 'Dortmund', 173, 54062);
INSERT INTO teilnehmer VALUES (179, 217, 'Herr', 'Paul', 'Drker', 'Bergmannstr.', '56', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 771814);
INSERT INTO teilnehmer VALUES (180, 44, 'Herr', 'Josef', 'Lippert', 'Seppenrader Str.', '12', 'Resser-Mark', 'D', 45892, 'Gelsenkirchen', 209, 143698);
INSERT INTO teilnehmer VALUES (181, 25, 'Herr', 'Ernst', 'Besser', 'Kurt-Schumacher-Str.', '216', 'Schalke-Nord', 'D', 45881, 'Gelsenkirchen', 209, 4082658);
INSERT INTO teilnehmer VALUES (182, 29, NULL, 'A.', 'Goldmann', 'Kaiser-Friedrich-Ring', '21', 'Oberkassel', 'D', 40545, 'Dsseldorf', 211, 390207);
INSERT INTO teilnehmer VALUES (183, 108, 'Herr', 'Jrgen', 'Glaser', 'Hauptflzstr.', '23', 'Hordel', 'D', 44793, 'Bochum', 234, 399333);
INSERT INTO teilnehmer VALUES (184, 82, 'Herr', 'Wolfgang', 'Tiller', NULL, '1', NULL, 'D', 35305, 'Grnberg, Hess', 171, 33579);
INSERT INTO teilnehmer VALUES (185, 190, 'Herr', 'Friedhelm', 'Balte', 'Alfredstr.', '267a', 'Gnnigfeld', 'D', 44866, 'Bochum', 2327, 7266516);
INSERT INTO teilnehmer VALUES (186, 68, 'Herr', 'Hans', 'Gellhaus', 'Eythstr.', '26', 'Dahlhausen', 'D', 44879, 'Bochum', 234, 443616);
INSERT INTO teilnehmer VALUES (187, 120, 'Frau', 'Tatjana', 'Fuhrmann', 'Georgstr.', '28', 'Vierlinden', 'D', 47178, 'Duisburg', 203, 491616);
INSERT INTO teilnehmer VALUES (188, 193, 'Herr', 'Waldemar', 'Schmidt', 'Heinrich-Gustav-Str.', '5', 'Werne', 'D', 44894, 'Bochum', 172, 63437);
INSERT INTO teilnehmer VALUES (189, 4, 'Herr', 'Andreas', 'Zschirner', 'Bruchstr.', NULL, 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 2990);
INSERT INTO teilnehmer VALUES (190, 114, 'Frau', 'Ellen', 'Eichstdt', 'Deutsches Reich', '51', 'Werne', 'D', 44894, 'Bochum', 234, 723328);
INSERT INTO teilnehmer VALUES (191, 277, 'Frau', 'Anke', 'Dorn', 'Munscheidstr.', '73', 'Winz-Baak', 'D', 45529, 'Hattingen, Ruhr', 2324, 813454);
INSERT INTO teilnehmer VALUES (192, 68, 'Frau', 'Helga', 'Best', 'Nordstr.', '168', NULL, 'D', 45525, 'Hattingen, Ruhr', 2324, 3116746);
INSERT INTO teilnehmer VALUES (193, 82, 'Herr', 'Andreas', 'Weiss', 'Herzogstr.', NULL, 'Schalke', 'D', 45881, 'Gelsenkirchen', 170, 21575);
INSERT INTO teilnehmer VALUES (194, 18, 'Herr', 'Rainer', 'Stolfik', 'Steinkuhlstr.', '3', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 48956);
INSERT INTO teilnehmer VALUES (195, 111, 'Frau', 'Irmgard', 'Baaz', 'Watermanns Weg', '42a', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 7947633);
INSERT INTO teilnehmer VALUES (196, 5, 'Herr', 'Jrgen', 'Poda', 'Blumendelle', '7', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 74831);
INSERT INTO teilnehmer VALUES (197, 167, 'Frau', 'Helga', 'Erler', 'Unterstr.', '46', 'Langendreer', 'D', 44892, 'Bochum', 234, 651924);
INSERT INTO teilnehmer VALUES (198, 119, NULL, 'A.', 'Balser', 'Parkstr.', '3e', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 7882502);
INSERT INTO teilnehmer VALUES (199, 93, 'Herr', 'Johann', 'Erdle', 'Mrkische Str.', '47', 'Gerresheim', 'D', 40625, 'Dsseldorf', 211, 664799);
INSERT INTO teilnehmer VALUES (200, 201, 'Herr', 'Alfred', 'Balz', 'Gertrudenhof', '558', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 5426174);
INSERT INTO teilnehmer VALUES (201, 86, 'Frau', 'Agathe', 'Behr', 'Scheideweg', '376', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 5167233);
INSERT INTO teilnehmer VALUES (202, 73, 'Herr', 'Friedhelm', 'Merz', 'Mallinckrodtstr.', '9', 'Mitte', 'D', 44145, 'Dortmund', 231, 84276);
INSERT INTO teilnehmer VALUES (203, 185, 'Herr', 'Andre', 'Domke', 'Margaretenhof', '74', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 816362);
INSERT INTO teilnehmer VALUES (204, 238, 'Frau', 'Silke', 'Zoladz', 'Westerholter Str.', NULL, 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 3672);
INSERT INTO teilnehmer VALUES (205, 110, 'Herr', 'Wilhelm', 'Ellermann', 'Wallbaumweg', '50', 'Langendreer', 'D', 44894, 'Bochum', 234, 717597);
INSERT INTO teilnehmer VALUES (206, 35, 'Herr', 'Lothar', 'Seebacher', 'Kriemhildstr.', '4', 'Resse', 'D', 45892, 'Gelsenkirchen', 173, 57199);
INSERT INTO teilnehmer VALUES (207, 161, 'Herr', 'Heinrich', 'Fehrmann', 'Friemannplatz', '41', 'Altenbochum', 'D', 44803, 'Bochum', 234, 593771);
INSERT INTO teilnehmer VALUES (208, 147, NULL, 'R.', 'Judith', 'Hustadtring', '15', 'Querenburg', 'D', 44801, 'Bochum', 234, 270063);
INSERT INTO teilnehmer VALUES (209, 254, 'Frau', 'Brunhilde', 'Curino', 'Pannhtte', '101', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 880862);
INSERT INTO teilnehmer VALUES (210, 184, 'Herr', 'Heinz', 'Vonnemann', 'Horster Str.', '1', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 29165);
INSERT INTO teilnehmer VALUES (211, 110, 'Herr', 'Ingo', 'Disseldorp', 'Bochumer Str.', '76', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 836980);
INSERT INTO teilnehmer VALUES (212, 142, 'Herr', 'Arnd', 'Fenslau', 'Laerstr.', '39', 'Altenbochum', 'D', 44803, 'Bochum', 234, 591336);
INSERT INTO teilnehmer VALUES (213, 97, 'Herr', 'Lars', 'Jung', NULL, '15', NULL, 'D', 44, 'Bochum', 234, 265011);
INSERT INTO teilnehmer VALUES (214, 241, 'Frau', 'Susanne', 'Sumina', 'Aldenhofstr.', '3', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 47714);
INSERT INTO teilnehmer VALUES (215, 134, 'Herr', 'Johannes', 'Bethuser', 'Jenbacher Str.', '142', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2821187);
INSERT INTO teilnehmer VALUES (216, 138, 'Herr', 'Hans-Georg', 'Tietze', 'Friesenweg', '1', 'Westenfeld', 'D', 44867, 'Bochum', 179, 33673);
INSERT INTO teilnehmer VALUES (217, 108, 'Frau', 'Erna', 'Fligge', 'Delbrckstr.', '34', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 524023);
INSERT INTO teilnehmer VALUES (218, 149, 'Herr', 'Harry', 'Mngler', 'Mntingplatz', '9', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 83146);
INSERT INTO teilnehmer VALUES (219, 193, 'Frau', 'Erna', 'Freund', 'Strae der Befreiung', '30', NULL, 'D', 6886, 'Lutherstadt Wittenberg', 3491, 495713);
INSERT INTO teilnehmer VALUES (220, 116, 'Frau', 'Monika', 'Fey', NULL, '37', NULL, 'D', 45, 'Essen, Ruhr', 201, 584910);
INSERT INTO teilnehmer VALUES (221, 129, NULL, 'D.', 'Drilling', 'Im Rosenhag', '60', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 781398);
INSERT INTO teilnehmer VALUES (222, 25, 'Frau', 'Gudrun', 'Ketterling', 'Kaiserswerther Str.', '14', 'Huckingen', 'D', 47259, 'Duisburg', 203, 234746);
INSERT INTO teilnehmer VALUES (223, 171, NULL, '', 'Dalian', NULL, '93', NULL, 'D', 44, 'Bochum', 2327, 877439);
INSERT INTO teilnehmer VALUES (224, 217, 'Frau', 'Christel', 'Gottfried', 'Blindschacht', '20', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 373049);
INSERT INTO teilnehmer VALUES (225, 30, 'Herr', 'Olaf', 'Farenski', 'Stolzestr.', '42', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 595399);
INSERT INTO teilnehmer VALUES (226, 259, 'Herr', 'Klaus', 'Landwehr', 'Surkampstr.', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 203582);
INSERT INTO teilnehmer VALUES (227, 61, 'Herr', 'Hans-Rudolf', 'Gohl', 'Schirnbecker Teiche', '21', 'Freisenbruch', 'D', 45279, 'Essen, Ruhr', 201, 390994);
INSERT INTO teilnehmer VALUES (228, 158, 'Frau', 'Charlotte', 'Ehl', 'Rsingstr.', '52', 'Werne', 'D', 44894, 'Bochum', 234, 747044);
INSERT INTO teilnehmer VALUES (229, 242, 'Frau', 'Angela', 'Granek', 'Grabenstr.', '19', NULL, 'D', 64331, 'Weiterstadt', 6150, 360570);
INSERT INTO teilnehmer VALUES (230, 153, 'Herr', 'Hans', 'Brunkow', 'Grningerstr.', '117', NULL, 'D', 71364, 'Winnenden, Wrtt', 7195, 2058932);
INSERT INTO teilnehmer VALUES (231, 95, 'Herr', 'Wolfgang', 'Senff', 'In den Erlen', '4', 'Scholven', 'D', 45896, 'Gelsenkirchen', 172, 53970);
INSERT INTO teilnehmer VALUES (232, 254, 'Herr', 'Alfred', 'Erdmann', 'Sonnenleite', '46', 'Langendreer', 'D', 44892, 'Bochum', 234, 661957);
INSERT INTO teilnehmer VALUES (233, 272, 'Frau', 'Sonja', 'Reuter', 'Breitwiese', '7', NULL, 'D', 77761, 'Schiltach', 7836, 71138);
INSERT INTO teilnehmer VALUES (234, 25, 'Frau', 'Verena', 'Fiegert', 'Kckelmannshof', '37', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 582934);
INSERT INTO teilnehmer VALUES (235, 110, 'Herr', 'Anton', 'Freuken', 'Wittenbergstr.', '30', 'Stadtwald', 'D', 45133, 'Essen, Ruhr', 201, 496000);
INSERT INTO teilnehmer VALUES (236, 155, 'Frau', 'Christa', 'Mengel', 'Hainbuchenweg', '10', 'Brechten', 'D', 44339, 'Dortmund', 231, 85432);
INSERT INTO teilnehmer VALUES (237, 61, 'Herr', 'Claus-Peter', 'Dreske', 'Fhrenweg', '70', NULL, 'D', 63741, 'Aschaffenburg', 6021, 797232);
INSERT INTO teilnehmer VALUES (238, 86, 'Herr', 'Volker', 'Filskowski', 'Mhlenstr.', '36', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 582156);
INSERT INTO teilnehmer VALUES (239, 129, 'Herr', 'Karsten', 'Suhle', 'Goethestr.', '3', 'Obermarxloh', 'D', 47166, 'Duisburg', 203, 47913);
INSERT INTO teilnehmer VALUES (240, 191, 'Herr', 'Duran', 'Hbbers', 'Cramerstr.', '16', 'Weitmar', 'D', 44793, 'Bochum', 234, 274769);
INSERT INTO teilnehmer VALUES (241, 120, 'Herr', 'Fred', 'Gaffke', 'Sandfuhrstr.', '27', 'Stiepel', 'D', 44797, 'Bochum', 234, 473420);
INSERT INTO teilnehmer VALUES (242, 76, 'Herr', 'Paul', 'Ackermann', 'Alte Landstr.', '9A', NULL, 'D', 77749, 'Hohberg b Offenburg', 7808, 9797750);
INSERT INTO teilnehmer VALUES (243, 125, 'Herr', 'Olaf', 'Szostak', NULL, '2', NULL, 'D', 425, 'Velbert', 171, 41317);
INSERT INTO teilnehmer VALUES (244, 127, 'Frau', 'Lilianne', 'Sudmant', 'Volmerswerther Str.', '3', 'Bilk', 'D', 40221, 'Dsseldorf', 211, 47998);
INSERT INTO teilnehmer VALUES (245, 274, 'Herr', 'Gerd', 'Packheiser', 'Bismarckstr.', '8', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 76883);
INSERT INTO teilnehmer VALUES (246, 174, 'Herr', 'Werner', 'Frohnhfer-Hoy', 'Bahnhofstr.', '29', 'Heisingen', 'D', 45259, 'Essen, Ruhr', 201, 492901);
INSERT INTO teilnehmer VALUES (247, 9, 'Herr', 'Franz', 'Dropalla', 'Wiehagen', '59', 'Neustadt', 'D', 45879, 'Gelsenkirchen', 209, 778922);
INSERT INTO teilnehmer VALUES (248, 194, 'Herr', 'Wolfgang', 'Dchting', 'Wildenbruchstr.', '56', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 770610);
INSERT INTO teilnehmer VALUES (249, 177, 'Herr', 'Franz', 'Franke', 'Barlachweg', '31', 'Weitmar', 'D', 44795, 'Bochum', 234, 498971);
INSERT INTO teilnehmer VALUES (250, 246, 'Herr', 'Wolfgang', 'Endrulat', 'Auf dem Winkel', '48', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 683309);
INSERT INTO teilnehmer VALUES (251, 23, 'Frau', 'Elfriede', 'Wengelnik', 'Thorner Str.', NULL, 'Hassels', 'D', 40599, 'Dsseldorf', 211, 20309);
INSERT INTO teilnehmer VALUES (252, 4, 'Frau', 'Annegret', 'Drigalla', 'Hssenerstr.', '61', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 781625);
INSERT INTO teilnehmer VALUES (253, 42, 'Herr', 'Heinz', 'Fink', 'Friedrichstr.', '36', 'Unterbilk', 'D', 40217, 'Dsseldorf', 211, 581093);
INSERT INTO teilnehmer VALUES (254, 173, 'Frau', 'Agnes', 'Drexler', 'Hildegardstr.', '62', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 782768);
INSERT INTO teilnehmer VALUES (255, 258, 'Frau', 'Marion', 'Buchmller', 'Zweihuserweg', '116', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 1921654);
INSERT INTO teilnehmer VALUES (256, 77, 'Herr', 'Michael', 'Diaz', 'Vorhlterstr.', '80', 'Holzen', 'D', 44267, 'Dortmund', 2304, 854682);
INSERT INTO teilnehmer VALUES (257, 219, 'Frau', 'Erna', 'Emde', 'Florastr.', '49', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 701808);
INSERT INTO teilnehmer VALUES (258, 152, 'Frau', 'Ilse', 'Domnick', 'Am Diependal', '74', 'Langenhorst', 'D', 42551, 'Velbert', 2051, 816243);
INSERT INTO teilnehmer VALUES (259, 248, 'Frau', 'Ursula', 'Ewers', 'Wittener Str.', '44', 'Innenstadt', 'D', 44789, 'Bochum', 234, 630248);
INSERT INTO teilnehmer VALUES (260, 61, 'Herr', 'Hans-Dieter', 'Mhlenbrock', 'Luitpoldstr.', '9', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 82890);
INSERT INTO teilnehmer VALUES (261, 183, 'Herr', 'Michaela', 'Wendland', 'Lindenstr.', NULL, 'Buchholz', 'D', 47249, 'Duisburg', 203, 21316);
INSERT INTO teilnehmer VALUES (262, 192, 'Herr', 'Alfred', 'Ketz', 'Aachener Str.', '14', 'Frohnhausen', 'D', 45145, 'Essen, Ruhr', 201, 233470);
INSERT INTO teilnehmer VALUES (263, 209, 'Frau', 'Dunja', 'Spors', 'Ewaldstr.', '3', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 51816);
INSERT INTO teilnehmer VALUES (264, 141, 'Herr', 'Alfred', 'Formella', 'Hattinger Str.', '32', 'Linden', 'D', 44879, 'Bochum', 234, 504323);
INSERT INTO teilnehmer VALUES (265, 146, 'Herr', 'Detlev', 'Beneke', 'Steeler Str.', '327', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 5079949);
INSERT INTO teilnehmer VALUES (266, 84, 'Herr', 'Reinhard', 'Ehlen', 'Helstr.', '52', 'Werne', 'D', 44894, 'Bochum', 234, 743964);
INSERT INTO teilnehmer VALUES (267, 81, 'Herr', 'Hubert', 'Kurka', 'Bruchwiesenring', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 203876);
INSERT INTO teilnehmer VALUES (268, 105, NULL, 'Mary-Jane', 'Wahlich', 'Marktstr.', '1', 'Borbeck-Mitte', 'D', 45355, 'Essen, Ruhr', 201, 24398);
INSERT INTO teilnehmer VALUES (269, 195, 'Herr', 'Werner', 'Frechen', 'Heinrich-Knig-Str.', '30', 'Stiepel', 'D', 44797, 'Bochum', 234, 496831);
INSERT INTO teilnehmer VALUES (270, 230, 'Herr', 'Heinz-Bert', 'Gans', 'Leisse', '27', 'Aplerbecker Mark', 'D', 44287, 'Dortmund', 231, 471236);
INSERT INTO teilnehmer VALUES (271, 219, 'Herr', 'Winfried', 'Goldkuhle', 'Rambacher Str.', '21', NULL, 'D', 65193, 'Wiesbaden', 611, 390360);
INSERT INTO teilnehmer VALUES (272, 204, 'Frau', 'Dorothea', 'Bodirsky', 'Buschstr.', '138', 'Alt-Hamborn', 'D', 47166, 'Duisburg', 203, 2787086);
INSERT INTO teilnehmer VALUES (273, 139, 'Firma', '', 'Zorn', 'Charlottenstr.', NULL, 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 3134);
INSERT INTO teilnehmer VALUES (274, 77, 'Herr', 'Mirko', 'Gietmann', 'Essener Str.', '23', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 400625);
INSERT INTO teilnehmer VALUES (275, 102, 'Herr', 'Hans', 'Meier', 'Winkelmannshof', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 136716);
INSERT INTO teilnehmer VALUES (276, 168, 'Herr', 'Jrg Detlef', 'Vaysband', 'Ranenbergstr.', '1', 'Alt-Hamborn', 'D', 47166, 'Duisburg', 203, 31511);
INSERT INTO teilnehmer VALUES (277, 40, 'Herr', 'Albert', 'Funke', 'Franz-Lenze-Str.', '28', 'Vierlinden', 'D', 47178, 'Duisburg', 203, 488683);
INSERT INTO teilnehmer VALUES (278, 252, 'Herr', 'Rudi', 'Dressler', 'Schonnebecker Str.', '68', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 788909);
INSERT INTO teilnehmer VALUES (279, 194, 'Herr', 'Alois', 'Adali', 'Blankenbachring', '8A', NULL, 'D', 36148, 'Kalbach, Rhn', 6655, 9754911);
INSERT INTO teilnehmer VALUES (280, 115, 'Herr', 'Gottfried', 'Amort', NULL, '69b', NULL, 'D', 73450, 'Neresheim', 7326, 9122587);
INSERT INTO teilnehmer VALUES (281, 190, 'Herr', 'Horst', 'Conradi', 'Oemkenstr.', '105', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 940120);
INSERT INTO teilnehmer VALUES (282, 178, 'Herr', 'Helmut', 'Plichta', 'Im Sundern', '8', 'Schalke-Nord', 'D', 45881, 'Gelsenkirchen', 209, 75364);
INSERT INTO teilnehmer VALUES (283, 88, 'Herr', 'Erich', 'Hallensleben', 'Horster Str.', '17', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 330338);
INSERT INTO teilnehmer VALUES (284, 109, 'Herr', 'Werner', 'Flecken', 'Im Winkel', '35', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 533829);
INSERT INTO teilnehmer VALUES (285, 40, 'Frau', 'Ursula', 'Wortmann', 'Enzianstr.', NULL, NULL, 'D', 12203, 'Berlin', 30, 12303);
INSERT INTO teilnehmer VALUES (286, 98, 'Herr', 'Andreas', 'Brodowski', 'Wordenbecker Weg', '120', 'Mitte', 'D', 42549, 'Velbert', 2051, 2381482);
INSERT INTO teilnehmer VALUES (287, 103, 'Herr', 'Klaus', 'Wurzalla', 'Bergener Str.', NULL, 'Bergen', 'D', 44807, 'Bochum', 234, 8460);
INSERT INTO teilnehmer VALUES (288, 165, 'Herr', 'Andre', 'Steinbring', NULL, '3', NULL, 'D', 458, 'Gelsenkirchen', 171, 50791);
INSERT INTO teilnehmer VALUES (289, 212, 'Herr', 'Volker', 'Gardlo', 'Frstinnenstr.', '27', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 469535);
INSERT INTO teilnehmer VALUES (290, 104, 'Herr', 'Thomas', 'Gralke', 'Pfeilstr.', '19', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 367718);
INSERT INTO teilnehmer VALUES (291, 48, 'Herr', 'Gerd', 'Hellen', 'Spatenstr.', '17', 'Mrsenbroich', 'D', 40470, 'Dsseldorf', 211, 311665);
INSERT INTO teilnehmer VALUES (292, 222, 'Herr', 'Willi', 'Bessel', 'Schalker Str.', '229', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 4146007);
INSERT INTO teilnehmer VALUES (293, 149, 'Herr', 'Gerd u. Elke', 'Focken', NULL, '33', NULL, 'D', 47, 'Duisburg', 2151, 517062);
INSERT INTO teilnehmer VALUES (294, 206, 'Herr', 'Harald', 'Franz', 'Liebermannstr.', '31', 'Weitmar', 'D', 44795, 'Bochum', 234, 497690);
INSERT INTO teilnehmer VALUES (295, 274, 'Herr', 'Johannes', 'Flieger', 'Metterkampstr.', '35', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 531556);
INSERT INTO teilnehmer VALUES (296, 119, 'Herr', 'Heinrich', 'Nolte', 'Lothringer Str.', '8', 'Gerthe', 'D', 44805, 'Bochum', 234, 80306);
INSERT INTO teilnehmer VALUES (297, 47, 'Herr', 'Karl-Ludwig', 'Gottlob', 'Goethestr.', '19', 'Innenstadt', 'D', 44791, 'Bochum', 234, 372646);
INSERT INTO teilnehmer VALUES (298, 72, 'Herr', 'Georg Wilhelm', 'Lipinski', 'Frankampstr.', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 145197);
INSERT INTO teilnehmer VALUES (299, 188, 'Herr', 'Helmut', 'Gerken', 'Ernestinestr.', '24', 'Hofstede', 'D', 44809, 'Bochum', 234, 416126);
INSERT INTO teilnehmer VALUES (300, 83, 'Frau', 'Ursula', 'Brunn', 'Im Bahnwinkel', '116', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 2036700);
INSERT INTO teilnehmer VALUES (301, 199, 'Frau', 'Irmgard', 'Drevermann', 'Belforter Str.', '66', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 786505);
INSERT INTO teilnehmer VALUES (302, 155, 'Frau', 'Marion', 'Rehmann', 'Bismarckstr.', '7', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 73487);
INSERT INTO teilnehmer VALUES (303, 53, 'Frau', 'Simone Petra', 'Thielmann', 'Aschenbrockallee', '2', 'Buer', 'D', 45894, 'Gelsenkirchen', 173, 34101);
INSERT INTO teilnehmer VALUES (304, 139, 'Herr', 'Bernd', 'Weil', 'Westkamp', '1', 'Brackel', 'D', 44309, 'Dortmund', 231, 21961);
INSERT INTO teilnehmer VALUES (305, 277, 'Herr', 'Manfred', 'Besser', 'Blankensteiner Str.', '214', 'Weitmar', 'D', 44797, 'Bochum', 234, 4082237);
INSERT INTO teilnehmer VALUES (306, 65, 'Frau', 'Hildegard', 'Witting', 'Hller Str.', NULL, 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 12880);
INSERT INTO teilnehmer VALUES (307, 236, 'Herr', 'Marcus', 'Dhler', 'Heidestr.', '75', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 817706);
INSERT INTO teilnehmer VALUES (308, 121, 'Herr', 'Antonia', 'Hentzschel', 'Wallheckenweg', '16', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 288452);
INSERT INTO teilnehmer VALUES (309, 70, 'Herr', 'Matthias', 'Deering', 'Glcksburger Str.', '89', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 871733);
INSERT INTO teilnehmer VALUES (310, 30, 'Frau', 'Ute', 'Hemmerich', 'Brakestr.', '17', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 300212);
INSERT INTO teilnehmer VALUES (311, 2, 'Herr', 'Helmut', 'Plogmacher', 'Ruhrstr.', '7', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 75027);
INSERT INTO teilnehmer VALUES (312, 250, 'Herr', 'Bruno', 'Msken', 'Hiltroper Str.', '8', 'Hiltrop', 'D', 44805, 'Bochum', 234, 82138);
INSERT INTO teilnehmer VALUES (313, 214, 'Herr', 'Gnter', 'Greske', 'Plaggenweg', '18', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 352830);
INSERT INTO teilnehmer VALUES (314, 123, 'Frau', 'Herta', 'Adam', 'Rievekampstr.', '83a', NULL, 'D', 46282, 'Dorsten', 2362, 9582881);
INSERT INTO teilnehmer VALUES (315, 97, 'Frau', 'Christel', 'Gransow', 'Spreestr.', '19', 'Harpen', 'D', 44791, 'Bochum', 234, 358603);
INSERT INTO teilnehmer VALUES (316, 25, 'Frau', 'Helene', 'Malchow', 'Lehenstr.', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 141204);
INSERT INTO teilnehmer VALUES (317, 239, 'Herr', 'Volker', 'Fels', 'Ulmenallee', '39', 'Altenbochum', 'D', 44803, 'Bochum', 234, 592173);
INSERT INTO teilnehmer VALUES (318, 59, 'Herr', 'Werner', 'Elzner', 'Ruhrstr.', '49', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 702914);
INSERT INTO teilnehmer VALUES (319, 27, 'Frau', 'Sandra', 'Sumann', 'Am Geraden Weg', '2', 'Gerthe', 'D', 44805, 'Bochum', 234, 44846);
INSERT INTO teilnehmer VALUES (320, 36, NULL, 'L.', 'Dreier', 'Sommerdellenstr.', '70', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 799022);
INSERT INTO teilnehmer VALUES (321, 246, 'Herr', 'Roland', 'Tamm', 'Scheideweg', '2', 'Scholven', 'D', 45896, 'Gelsenkirchen', 179, 35933);
INSERT INTO teilnehmer VALUES (322, 222, 'Frau', 'Martha', 'Groth', 'Liboristr.', '18', 'Krne', 'D', 44143, 'Dortmund', 231, 351439);
INSERT INTO teilnehmer VALUES (323, 85, 'Frau', 'Marlis', 'Best', 'Frankenweg', '185', 'Westenfeld', 'D', 44867, 'Bochum', 2327, 3477511);
INSERT INTO teilnehmer VALUES (324, 208, 'Herr', 'Ulrich', 'Froyez', 'Wrdestr.', '29', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 492228);
INSERT INTO teilnehmer VALUES (325, 22, 'Herr', 'Manuel', 'Dubiella', 'Bochumer Str.', '56', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 771607);
INSERT INTO teilnehmer VALUES (326, 244, 'Frau', 'Britta', 'Vierbcher', 'Alsenstr.', '1', 'Innenstadt', 'D', 44789, 'Bochum', 170, 30214);
INSERT INTO teilnehmer VALUES (327, 196, 'Herr', 'Christoph', 'Besl', 'Wilhelminenstr.', '279', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 4732961);
INSERT INTO teilnehmer VALUES (328, 3, 'Herr', 'Walter', 'Dilba', 'Hohenzollernstr.', '78', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 852247);
INSERT INTO teilnehmer VALUES (329, 178, 'Herr', 'Herbert', 'Brune', 'Bussardhof', '117', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 2108247);
INSERT INTO teilnehmer VALUES (330, 230, 'Herr', 'Sven', 'Marquardt', 'Im Emscherbruch', '11', 'Resser-Mark', 'D', 45892, 'Gelsenkirchen', 209, 138771);
INSERT INTO teilnehmer VALUES (331, 145, 'Herr', 'Muzaffer', 'Krullmann', 'Ccilienstr.', '12', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 204458);
INSERT INTO teilnehmer VALUES (332, 201, 'Frau', 'Carolin', 'Friebe', 'Schtzenstr.', '30', 'Weitmar', 'D', 44795, 'Bochum', 234, 495363);
INSERT INTO teilnehmer VALUES (333, 268, 'Herr', 'Jrgen', 'Betge', 'Elfringhauser Str.', '144', 'Bredenscheid-Stter', 'D', 45527, 'Hattingen, Ruhr', 2324, 2825570);
INSERT INTO teilnehmer VALUES (334, 171, 'Herr', 'Patrick', 'Arndt', 'Mozartstr.', '4a', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 8150571);
INSERT INTO teilnehmer VALUES (335, 81, 'Herr', 'Walter', 'Besirevic', 'Elberfelder Str.', '305', 'Neviges', 'D', 42553, 'Velbert', 2053, 4864352);
INSERT INTO teilnehmer VALUES (336, 8, 'Frau', 'Karin', 'Winskowski', 'Ravenbusch', NULL, 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 171, 13249);
INSERT INTO teilnehmer VALUES (337, 246, 'Frau', 'Christa', 'Heining', 'Beckeradsdelle', '17', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 320203);
INSERT INTO teilnehmer VALUES (338, 95, 'Frau', 'Sieglinde', 'Vowinkel', 'Spindelstr.', '1', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 26274);
INSERT INTO teilnehmer VALUES (339, 98, 'Frau', 'Brigitte', 'Czech', 'Am Mhlenteich', '96', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 879071);
INSERT INTO teilnehmer VALUES (340, 192, 'Frau', 'Anneliese', 'Bessel', 'Fleischerstr.', '230', 'Heler', 'D', 45883, 'Gelsenkirchen', 209, 4146036);
INSERT INTO teilnehmer VALUES (341, 150, 'Herr', 'Andreas', 'Wagner', 'An der Maarbrcke', '1', 'Hamme', 'D', 44793, 'Bochum', 234, 25419);
INSERT INTO teilnehmer VALUES (342, 31, 'Herr', 'Gnter', 'Liebenow', 'Dlmener Str.', '12', 'Resser-Mark', 'D', 45892, 'Gelsenkirchen', 209, 145573);
INSERT INTO teilnehmer VALUES (343, 235, 'Herr', 'Sven', 'Seifen', 'Erichstr.', '4', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 172, 55411);
INSERT INTO teilnehmer VALUES (344, 165, 'Herr', 'Hans Peter', 'Schnitzler', 'Feldhauser Str.', '5', 'Scholven', 'D', 45896, 'Gelsenkirchen', 170, 60061);
INSERT INTO teilnehmer VALUES (345, 264, 'Frau', 'Renate', 'Blessing', 'Fischerstr.', '140', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2802441);
INSERT INTO teilnehmer VALUES (346, 87, 'Herr', 'Heinz', 'Lanfer', 'Tilsiter Str.', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 203047);
INSERT INTO teilnehmer VALUES (347, 68, 'Frau', 'Susanne', 'Pluska', 'Hller Mhle', '7', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 74989);
INSERT INTO teilnehmer VALUES (348, 196, 'Frau', 'Elli', 'Fach', 'Espenloh', '43', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 598492);
INSERT INTO teilnehmer VALUES (349, 53, 'Herr', 'Torsten', 'Richhardt', 'Hlsmannstr.', '6', 'Schalke-Nord', 'D', 45881, 'Gelsenkirchen', 179, 68896);
INSERT INTO teilnehmer VALUES (350, 52, NULL, 'I.', 'Arlt', NULL, '5A', NULL, 'D', 44, 'Bochum', 2327, 8328312);
INSERT INTO teilnehmer VALUES (351, 5, 'Frau', 'Maria', 'Dring', 'Binnerstr.', '55', 'Wickede', 'D', 44319, 'Dortmund', 231, 770101);
INSERT INTO teilnehmer VALUES (352, 25, 'Frau', 'Tatiana', 'Uertz', 'Von-der-Recke-Str.', '1', 'Hamme', 'D', 44809, 'Bochum', 173, 32798);
INSERT INTO teilnehmer VALUES (353, 130, 'Frau', 'Gertrud', 'Besse', 'Hans-Bckler-Allee', '241', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 4166747);
INSERT INTO teilnehmer VALUES (354, 79, 'Herr', 'Wilhelm', 'Krengel', 'Frankampstr.', '13', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 207106);
INSERT INTO teilnehmer VALUES (355, 190, 'Herr', 'Karl-Heinz', 'Feldmann', 'Immanuel-Kant-Str.', '40', 'Altenbochum', 'D', 44803, 'Bochum', 234, 592801);
INSERT INTO teilnehmer VALUES (356, 194, 'Herr', 'Markus', 'Drinkhut', 'Vogelpothsweg', '60', 'Dorstfeld', 'D', 44149, 'Dortmund', 231, 781240);
INSERT INTO teilnehmer VALUES (357, 214, 'Frau', 'Nicole', 'Zuber', 'Bahlenstr.', NULL, 'Wersten', 'D', 40589, 'Dsseldorf', 211, 2699);
INSERT INTO teilnehmer VALUES (358, 175, 'Herr', 'Gerda', 'Besters', 'Storchenstr.', '160', 'Westenfeld', 'D', 44867, 'Bochum', 2327, 2861999);
INSERT INTO teilnehmer VALUES (359, 103, 'Frau', 'Katharina', 'Erwig', 'Ovelackerstr.', '45', 'Langendreer', 'D', 44892, 'Bochum', 234, 639760);
INSERT INTO teilnehmer VALUES (360, 210, 'Frau', 'Birgit', 'Fizia', 'Steinheimer Str.', '35', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 539582);
INSERT INTO teilnehmer VALUES (361, 109, 'Firma', '', 'Niederges', 'Dieselstr.', '8', 'Gerthe', 'D', 44805, 'Bochum', 234, 81856);
INSERT INTO teilnehmer VALUES (362, 157, 'Herr', 'Walter', 'Adam', 'Stampferweg', '7c', NULL, 'D', 77749, 'Hohberg b Offenburg', 7808, 9489234);
INSERT INTO teilnehmer VALUES (363, 274, NULL, 'A.', 'Frodermann', NULL, '29', NULL, 'D', 44, 'Bochum', 234, 493282);
INSERT INTO teilnehmer VALUES (364, 187, 'Frau', 'Angelika', 'Werther', 'Merkurstr.', NULL, 'Bilk', 'D', 40223, 'Dsseldorf', 211, 16768);
INSERT INTO teilnehmer VALUES (365, 190, 'Herr', 'Kunibert', 'Erdem', 'Luchsweg', '47', 'Langendreer', 'D', 44892, 'Bochum', 234, 674155);
INSERT INTO teilnehmer VALUES (366, 174, 'Frau', 'Hannelore', 'Gollan', 'Uhlandstr.', '21', 'Grumme', 'D', 44791, 'Bochum', 234, 382887);
INSERT INTO teilnehmer VALUES (367, 270, NULL, 'Kandasamy', 'Wurmbach', 'Hunsrckenstr.', NULL, 'Altstadt', 'D', 40213, 'Dsseldorf', 211, 8491);
INSERT INTO teilnehmer VALUES (368, 200, 'Herr', 'Heinz', 'Mnter', 'Castroper Hellweg', '9', 'Gerthe', 'D', 44805, 'Bochum', 234, 82285);
INSERT INTO teilnehmer VALUES (369, 181, 'Herr', 'Hans', 'Gloe', 'Poststr.', '22', 'Hofstede', 'D', 44809, 'Bochum', 234, 397900);
INSERT INTO teilnehmer VALUES (370, 43, 'Frau', 'Elfriede', 'Henkel', 'Mllmannsweg', '17', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 295108);
INSERT INTO teilnehmer VALUES (371, 64, 'Frau', 'Ursula', 'Best', 'Wattenscheider Hellweg', '173', 'Hntrop', 'D', 44867, 'Bochum', 2327, 3190251);
INSERT INTO teilnehmer VALUES (372, 44, NULL, '', 'Jaschke', 'Auf dem Aspei', '15', 'Querenburg', 'D', 44801, 'Bochum', 234, 270251);
INSERT INTO teilnehmer VALUES (373, 175, 'Herr', 'Jrgen', 'Werdelmann', 'Fechnerweg', NULL, 'Wersten', 'D', 40591, 'Dsseldorf', 211, 18176);
INSERT INTO teilnehmer VALUES (374, 203, 'Frau', 'Christa', 'Zuralsky', 'Filchnerstr.', NULL, NULL, 'D', 81476, 'Mnchen', 89, 385);
INSERT INTO teilnehmer VALUES (375, 236, 'Herr', 'Klaus-Peter', 'Gellert', 'In den Bremmen', '26', 'Wehofen', 'D', 47179, 'Duisburg', 203, 450043);
INSERT INTO teilnehmer VALUES (376, 275, 'Herr', 'Hans', 'Best', 'Stormstr.', '174', 'Rheinhausen-Mitte', 'D', 47226, 'Duisburg', 2065, 3254121);
INSERT INTO teilnehmer VALUES (377, 123, 'Herr', 'Wilfried', 'Gemnd', 'Schachtstr.', '25', 'Wehofen', 'D', 47179, 'Duisburg', 203, 434636);
INSERT INTO teilnehmer VALUES (378, 45, 'Herr', 'Antonio', 'Derse', 'Burgmhlenweg', '82', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 861857);
INSERT INTO teilnehmer VALUES (379, 41, 'Herr', 'Viktor', 'Seidler', 'Adalbert-Stifter-Str.', '4', NULL, 'D', 86316, 'Friedberg, Bay', 821, 56423);
INSERT INTO teilnehmer VALUES (380, 68, 'Herr', 'Reinhard', 'Sablina', NULL, '6', NULL, 'D', 40, 'Dsseldorf', 171, 65733);
INSERT INTO teilnehmer VALUES (381, 142, 'Herr', 'Silvio', 'BEST rzte-Service Bernd Schum', 'Markenstr.', '168', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2970788);
INSERT INTO teilnehmer VALUES (382, 167, 'Frau', 'Else', 'Franzke', 'Schtzenstr.', '30', 'Weitmar', 'D', 44795, 'Bochum', 234, 497340);
INSERT INTO teilnehmer VALUES (383, 247, 'Herr', 'Franz', 'Adam', 'Kapellenstr.', '6a', NULL, 'D', 88518, 'Herbertingen', 7586, 9270390);
INSERT INTO teilnehmer VALUES (384, 225, NULL, 'Ch.', 'Fromm', 'Albingerstr.', '29', 'Benninghofen', 'D', 44269, 'Dortmund', 231, 492798);
INSERT INTO teilnehmer VALUES (385, 254, 'Frau', 'Erika', 'Breilmann', 'Wattenscheider Hellweg', '128', 'Hntrop', 'D', 44869, 'Bochum', 2327, 2604783);
INSERT INTO teilnehmer VALUES (386, 18, 'Herr', 'Alfred', 'Glapa', 'Ortelsburger Str.', '23', 'Hofstede', 'D', 44809, 'Bochum', 234, 399500);
INSERT INTO teilnehmer VALUES (387, 108, 'Herr', 'Jrgen', 'Frantzki', 'Blumenfeldstr.', '31', 'Weitmar', 'D', 44795, 'Bochum', 234, 497834);
INSERT INTO teilnehmer VALUES (388, 4, 'Herr', 'Oliver', 'Scheiper', 'Im Hansisgarten', '5', NULL, 'D', 35460, 'Staufenberg, Hess', 179, 65069);
INSERT INTO teilnehmer VALUES (389, 202, 'Herr', 'Johannes', 'Drevermann', 'Wembkenstr.', '67', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 788171);
INSERT INTO teilnehmer VALUES (390, 65, 'Herr', 'Bruno', 'Effling', 'Kattenstr.', '53', 'Harpen', 'D', 44805, 'Bochum', 234, 752306);
INSERT INTO teilnehmer VALUES (391, 221, 'Herr', 'Hartmut', 'Nolting', 'Bethanienstr.', '8', 'Gerthe', 'D', 44805, 'Bochum', 234, 79053);
INSERT INTO teilnehmer VALUES (392, 223, 'Herr', 'Harm', 'Ackermann', 'Werdumer Altendeich', '9a', NULL, 'D', 26427, 'Werdum', 4974, 9819688);
INSERT INTO teilnehmer VALUES (393, 239, 'Firma', '', 'Gaudl', 'Brannenweg', '26', 'Linden', 'D', 44879, 'Bochum', 234, 455783);
INSERT INTO teilnehmer VALUES (394, 64, NULL, 'Kara', 'Weihrauch', 'Steubenstr.', '1', 'Reisholz', 'D', 40599, 'Dsseldorf', 211, 22416);
INSERT INTO teilnehmer VALUES (395, 238, 'Frau', 'Cordula', 'Nohlen', 'Lothringer Str.', '8', 'Gerthe', 'D', 44805, 'Bochum', 234, 80635);
INSERT INTO teilnehmer VALUES (396, 18, 'Frau', 'Elisabeth', 'Frank', 'An der Holtbrgge', '31', 'Weitmar', 'D', 44795, 'Bochum', 234, 499538);
INSERT INTO teilnehmer VALUES (397, 42, 'Herr', 'Friedhelm', 'Frericks', 'Am Moorschacht', '30', 'Weitmar', 'D', 44795, 'Bochum', 234, 496038);
INSERT INTO teilnehmer VALUES (398, 181, NULL, 'Brkic', 'Benduch', 'Otto-Brenner-Str.', '331', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 5084026);
INSERT INTO teilnehmer VALUES (399, 267, 'Herr', 'Alexander', 'Meitza', 'Kronprinzenstr.', '10', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 87162);
INSERT INTO teilnehmer VALUES (400, 18, 'Frau', 'Renate', 'Werdelmann', 'Johann-Clanze-Str.', NULL, NULL, 'D', 81369, 'Mnchen', 89, 17513);
INSERT INTO teilnehmer VALUES (401, 84, 'Frau', 'Marga', 'Balsing', 'Vogelsang', '3a', NULL, 'D', 31789, 'Hameln', 5151, 7821599);
INSERT INTO teilnehmer VALUES (402, 265, 'Firma', '', 'Dressler', 'Hochstr.', '69', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 793145);
INSERT INTO teilnehmer VALUES (403, 262, 'Herr', 'Dr. Heinz Wilhelm Br', 'Syniuga', NULL, '2', NULL, 'D', 458, 'Gelsenkirchen', 170, 42862);
INSERT INTO teilnehmer VALUES (404, 193, NULL, 'H.', 'Drevermann', 'Achternbergstr.', '67', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 788014);
INSERT INTO teilnehmer VALUES (405, 196, 'Frau', 'Karin', 'Mller', 'Florastr.', '9', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 84016);
INSERT INTO teilnehmer VALUES (406, 270, NULL, 'Hans-Jrgen', 'Bessel', 'Grawenhof', '236', 'Heler', 'D', 45883, 'Gelsenkirchen', 209, 4146442);
INSERT INTO teilnehmer VALUES (407, 8, 'Firma', '', 'Reimann', 'Gollheide', '7', 'Westenfeld', 'D', 44866, 'Bochum', 2327, 72475);
INSERT INTO teilnehmer VALUES (408, 47, 'Herr', 'Heinz', 'Gaudl', 'Joseph-Breuer-Str.', '26', 'Werden', 'D', 45239, 'Essen, Ruhr', 201, 459624);
INSERT INTO teilnehmer VALUES (409, 159, 'Frau', 'Gisela', 'Balthasar', 'Bismarckstr.', '1a', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 6852720);
INSERT INTO teilnehmer VALUES (410, 103, 'Frau', 'Inge', 'Fahr', 'Ltzowstr.', '43', 'Nordviertel', 'D', 45141, 'Essen, Ruhr', 201, 597489);
INSERT INTO teilnehmer VALUES (411, 276, 'Frau', 'Tanja', 'Cugusi', 'Cranger Str.', '103', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 903002);
INSERT INTO teilnehmer VALUES (412, 217, NULL, 'E.', 'Damm', NULL, '93', NULL, 'D', 44, 'Bochum', 2327, 876566);
INSERT INTO teilnehmer VALUES (413, 139, 'Herr', 'Karl-Heinz', 'Drge', 'Wanner Str.', '59', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 779493);
INSERT INTO teilnehmer VALUES (414, 90, 'Frau', 'Hildegard', 'Dahm', 'Mllersweg', '94', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 877745);
INSERT INTO teilnehmer VALUES (415, 171, 'Herr', 'Marco', 'Semo', 'Phnixstr.', '4', 'Horst', 'D', 45899, 'Gelsenkirchen', 172, 54398);
INSERT INTO teilnehmer VALUES (416, 247, NULL, 'Drthe', 'Elpelt', 'Zum Khl', '50', 'Werne', 'D', 44894, 'Bochum', 234, 707676);
INSERT INTO teilnehmer VALUES (417, 24, 'Frau', 'Anke', 'Gutt', 'Heckertstr.', '18', 'Grumme', 'D', 44807, 'Bochum', 234, 337146);
INSERT INTO teilnehmer VALUES (418, 8, NULL, 'E.', 'Balzar', 'Nordring', '461', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 5370166);
INSERT INTO teilnehmer VALUES (419, 175, 'Herr', 'Juan', 'Gregorowius', 'II. Parallelstr.', '19', NULL, 'D', 44791, 'Bochum', 234, 354965);
INSERT INTO teilnehmer VALUES (420, 212, NULL, 'Th.', 'Drygalla', 'Wiehagen', '56', 'Neustadt', 'D', 45879, 'Gelsenkirchen', 209, 771700);
INSERT INTO teilnehmer VALUES (421, 9, 'Herr', 'Gerhard', 'Eschenrder', 'Dammstr.', '45', 'Langendreer', 'D', 44892, 'Bochum', 234, 639070);
INSERT INTO teilnehmer VALUES (422, NULL, 'Frau', 'Sigrid', 'Gagg', 'Weidengrund', '27', 'Stiepel', 'D', 44797, 'Bochum', 234, 472380);
INSERT INTO teilnehmer VALUES (423, 101, 'Herr', 'Johannes', 'Podschwadek', 'Albenhausenstr.', '7', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 74549);
INSERT INTO teilnehmer VALUES (424, 171, 'Frau', 'Grete', 'Heming', 'Im Eichholz', '17', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 301536);
INSERT INTO teilnehmer VALUES (425, 224, NULL, 'W.', 'Elsing', NULL, '49', NULL, 'D', 44, 'Bochum', 234, 704467);
INSERT INTO teilnehmer VALUES (426, 228, 'Herr', 'Holger', 'Basikara', 'An der Hunsebeck', '401', 'Welper', 'D', 45527, 'Hattingen, Ruhr', 2324, 5310758);
INSERT INTO teilnehmer VALUES (427, 200, NULL, 'A.', 'Golibrzuch', 'Wanner Str.', '21', 'Hamme', 'D', 44809, 'Bochum', 234, 387311);
INSERT INTO teilnehmer VALUES (428, 263, NULL, '', 'Zumbach', 'Altenderner Str.', NULL, 'Derne', 'D', 44329, 'Dortmund', 172, 630);
INSERT INTO teilnehmer VALUES (429, 153, 'Frau', 'Helene', 'Dasbach', 'Nollendorfstr.', '91', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 875354);
INSERT INTO teilnehmer VALUES (430, 185, 'Herr', 'Willi', 'Admmer', 'Dorfstr.', '6a', NULL, 'D', 52457, 'Aldenhoven b Jlich', 2464, 9210256);
INSERT INTO teilnehmer VALUES (431, 235, 'Herr', 'Michael', 'Theuring', 'Nordsternstr.', '2', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 35385);
INSERT INTO teilnehmer VALUES (432, 74, NULL, 'W.', 'Baltz', 'Bochumer Str.', '152b', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 5980964);
INSERT INTO teilnehmer VALUES (433, 59, 'Herr', 'Sebastian', 'Ebert', 'Hausackerstr.', '55', 'Holsterhausen', 'D', 45147, 'Essen, Ruhr', 201, 767696);
INSERT INTO teilnehmer VALUES (434, 21, 'Herr', 'Walter', 'Karduck', 'Worringer Weg', '14', 'Bissingheim', 'D', 47279, 'Duisburg', 203, 260844);
INSERT INTO teilnehmer VALUES (435, 68, 'Herr', 'Ralf', 'Kroker', 'Brigittastr.', '13', 'Rttenscheid', 'D', 45130, 'Essen, Ruhr', 201, 205666);
INSERT INTO teilnehmer VALUES (436, 183, 'Herr', 'Carsten', 'Takahashi', 'Hardtstr.', '2', 'Grafenberg', 'D', 40629, 'Dsseldorf', 179, 36714);
INSERT INTO teilnehmer VALUES (437, 70, 'Herr', 'Friedhelm', 'Siepmann', 'Wetterschacht', '3', 'Buer', 'D', 45897, 'Gelsenkirchen', 173, 53335);
INSERT INTO teilnehmer VALUES (438, 85, 'Frau', 'Susanne', 'Webels', 'Lindenstr.', '1', 'Buer', 'D', 45894, 'Gelsenkirchen', 171, 24226);
INSERT INTO teilnehmer VALUES (439, 218, 'Frau', 'Anneliese', 'Chojetzki', 'Kampmannsweg', '111', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 1476374);
INSERT INTO teilnehmer VALUES (440, 157, 'Frau', 'Ingeborg', 'Fst', 'Mintarder Weg', '31', 'Unterrath', 'D', 40472, 'Dsseldorf', 211, 501697);
INSERT INTO teilnehmer VALUES (441, 188, 'Frau', 'Walburga', 'Bollermann', 'Devensstr.', '135', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2778070);
INSERT INTO teilnehmer VALUES (442, 193, 'Herr', 'Gnter', 'Sehrt', 'Vorm Jger', '4', 'Langendreer', 'D', 44892, 'Bochum', 173, 56918);
INSERT INTO teilnehmer VALUES (443, 171, 'Herr', 'Janos', 'Drewello', 'Festweg', '65', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 785165);
INSERT INTO teilnehmer VALUES (444, 204, NULL, '', 'Vorbrodt', 'Am Alten Stadtpark', '1', 'Innenstadt', 'D', 44791, 'Bochum', 234, 28401);
INSERT INTO teilnehmer VALUES (445, 276, 'Herr', 'Hans G.', 'Hennemann', 'Bergmannsglckstr.', '16', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 292011);
INSERT INTO teilnehmer VALUES (446, 133, 'Frau', 'Hildegard', 'Foltmann', 'Kattowitzstr.', '32', 'Hrde', 'D', 44263, 'Dortmund', 231, 512692);
INSERT INTO teilnehmer VALUES (447, 65, 'Herr', 'Andre', 'Webelsiep', 'Ellaweg', '1', 'Hassel', 'D', 45896, 'Gelsenkirchen', 179, 24223);
INSERT INTO teilnehmer VALUES (448, 236, 'Herr', 'Heinz', 'Helmchen', 'Wiebringhausstr.', '17', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 308030);
INSERT INTO teilnehmer VALUES (449, 148, 'Herr', 'Bernd', 'Gndel', 'Schlenkhoffstr.', '18', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 349619);
INSERT INTO teilnehmer VALUES (450, 143, NULL, 'E.', 'Merten', 'Bismarckstr.', '9', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 84427);
INSERT INTO teilnehmer VALUES (451, 190, 'Herr', 'Karl', 'Faulwetter', 'Hunscheidtstr.', '41', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 594640);
INSERT INTO teilnehmer VALUES (452, 166, 'Herr', 'Helmut', 'Armstrong', 'Haydnstr.', '5/', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 8180010);
INSERT INTO teilnehmer VALUES (453, 111, 'Frau', 'Julian', 'Zimmermann', 'Kreuzstr.', NULL, 'Mitte', 'D', 44139, 'Dortmund', 231, 6470);
INSERT INTO teilnehmer VALUES (454, 134, 'Herr', 'Ralf', 'Krumbach', 'Lehenstr.', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 204169);
INSERT INTO teilnehmer VALUES (455, 179, 'Herr', 'Alois', 'Friebe', 'Brantropstr.', '30', 'Weitmar', 'D', 44795, 'Bochum', 234, 495468);
INSERT INTO teilnehmer VALUES (456, 219, 'Herr', 'Martin', 'Balszen', 'Aschenbruch', '30c', 'Gnnigfeld', 'D', 44866, 'Bochum', 2327, 7444254);
INSERT INTO teilnehmer VALUES (457, 242, NULL, '', 'Ottenberg', 'Bergener Str.', '8', 'Bergen', 'D', 44807, 'Bochum', 234, 77213);
INSERT INTO teilnehmer VALUES (458, 238, NULL, '', 'Gertloff', 'Holtener Str.', '23', 'Obermarxloh', 'D', 47167, 'Duisburg', 203, 411128);
INSERT INTO teilnehmer VALUES (459, 197, 'Herr', 'Ralf', 'Dreyer', 'Markgrafenstr.', '62', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 782732);
INSERT INTO teilnehmer VALUES (460, NULL, 'Herr', 'Dieter', 'Frett', 'Rathenaustr.', '30', 'Hrde', 'D', 44263, 'Dortmund', 231, 496026);
INSERT INTO teilnehmer VALUES (461, 16, 'Herr', 'Christian', 'Both', 'Gemeindestr.', '132', 'Hofstede', 'D', 44809, 'Bochum', 234, 2650840);
INSERT INTO teilnehmer VALUES (462, 20, 'Herr', 'Michael', 'Zhlke', 'Friedhofstr.', NULL, 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 2301);
INSERT INTO teilnehmer VALUES (463, 109, 'Herr', 'Heinz', 'Mannel', 'Grtzhof', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 140542);
INSERT INTO teilnehmer VALUES (464, 263, 'Herr', 'Gnter', 'Best', 'Harenburg', '169', 'Hntrop', 'D', 44869, 'Bochum', 2327, 3186816);
INSERT INTO teilnehmer VALUES (465, 63, 'Frau', 'Brbel', 'Dreiskemper', 'Buschstr.', '70', 'Westenfeld', 'D', 44866, 'Bochum', 2327, 797870);
INSERT INTO teilnehmer VALUES (466, 8, 'Herr', 'Wilhelm', 'Meinhvel', 'Brockhauser Str.', '10', 'Stiepel', 'D', 44797, 'Bochum', 234, 105525);
INSERT INTO teilnehmer VALUES (467, 205, 'Herr', 'Christian Adam', 'Dieckmann', 'Feldstr.', '79', 'Langenberg', 'D', 42555, 'Velbert', 2052, 854442);
INSERT INTO teilnehmer VALUES (468, 91, 'Herr', 'Gnter', 'Ghrs', 'Beckeradsdelle', '18', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 350252);
INSERT INTO teilnehmer VALUES (469, 107, 'Herr', 'Herbert', 'Dopheide', 'Rheinstr.', '74', 'Kettwig', 'D', 45219, 'Essen, Ruhr', 2054, 814674);
INSERT INTO teilnehmer VALUES (470, 167, 'Herr', 'Christian', 'Elssser', 'Wallbaumweg', '50', 'Langendreer', 'D', 44894, 'Bochum', 234, 706747);
INSERT INTO teilnehmer VALUES (471, 122, NULL, 'I.', 'Poschmann', 'Kopernikusstr.', '7', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 74175);
INSERT INTO teilnehmer VALUES (472, 241, 'Frau', 'Ingrid', 'Balster-De Beer', 'Birkenfeldstr.', '31A', 'Gnnigfeld', 'D', 44866, 'Bochum', 2327, 7480039);
INSERT INTO teilnehmer VALUES (473, 142, 'Herr', 'Friedrich', 'Matheus', 'Meister-Arenz-Str.', '11', 'Huckingen', 'D', 47259, 'Duisburg', 203, 137567);
INSERT INTO teilnehmer VALUES (474, 117, 'Herr', 'Klaus', 'Duda', 'Bochumer Str.', '56', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 770444);
INSERT INTO teilnehmer VALUES (475, 55, 'Frau', 'Ruth', 'Garstka', 'Schalker Str.', '26', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 467502);
INSERT INTO teilnehmer VALUES (476, 229, 'Herr', 'Klaus-Dieter', 'Meinhold', 'Anholter Str.', '10', 'Resser-Mark', 'D', 45892, 'Gelsenkirchen', 209, 130557);
INSERT INTO teilnehmer VALUES (477, 275, 'Frau', 'Elisabeth', 'Finken', 'Philippstr.', '36', 'Wiemelhausen', 'D', 44803, 'Bochum', 234, 578211);
INSERT INTO teilnehmer VALUES (478, 209, 'Herr', 'Leopold', 'Dobric', 'Magdalenenstr.', '75', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 831559);
INSERT INTO teilnehmer VALUES (479, 95, 'Herr', 'Alija', 'Balthasar', 'Konradstr.', '1g', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 6918777);
INSERT INTO teilnehmer VALUES (480, 218, 'Herr', 'Hermann', 'Malers', 'Cranger Str.', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 140902);
INSERT INTO teilnehmer VALUES (481, 42, 'Frau', 'Sabine', 'Ehm', 'Karl-Bach-Str.', '52', NULL, 'D', 16225, 'Eberswalde', 3334, 741266);
INSERT INTO teilnehmer VALUES (482, 188, 'Herr', 'Albert', 'Dries', 'Mhlenbruchstr.', '61', 'Neustadt', 'D', 45879, 'Gelsenkirchen', 209, 781905);
INSERT INTO teilnehmer VALUES (483, 213, 'Herr', 'Siegfried', 'Saloga', 'Sondernkamp', '6', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 65549);
INSERT INTO teilnehmer VALUES (484, 55, 'Herr', 'Wilfried', 'Landmann', 'Mathildenstr.', '12', 'Rttenscheid', 'D', 45130, 'Essen, Ruhr', 201, 203769);
INSERT INTO teilnehmer VALUES (485, 172, 'Herr', 'Franz', 'Tadus', 'Schneiderstr.', '2', 'Lttringhausen', 'D', 44229, 'Dortmund', 231, 40332);
INSERT INTO teilnehmer VALUES (486, 107, 'Herr', 'Wladimir', 'Lenort', 'Winkelmannshof', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 173443);
INSERT INTO teilnehmer VALUES (487, 63, 'Herr', 'Kurt', 'Scheit', 'Hultschiner Str.', '5', 'Wanheimerort', 'D', 47055, 'Duisburg', 172, 64989);
INSERT INTO teilnehmer VALUES (488, 169, 'Herr', 'Fritz', 'Noll', 'Westerwaldstr.', '8', 'Hiltrop', 'D', 44805, 'Bochum', 234, 80332);
INSERT INTO teilnehmer VALUES (489, 163, 'Herr', 'Manfred', 'Franken', 'Brendorfer Str.', '31', 'Weitmar', 'D', 44795, 'Bochum', 234, 497856);
INSERT INTO teilnehmer VALUES (490, 64, 'Firma', '', 'Benstm', 'Wittener Str.', '325', 'Altenbochum', 'D', 44803, 'Bochum', 234, 4961250);
INSERT INTO teilnehmer VALUES (491, 16, 'Herr', 'Udo', 'Loof', 'Lengericher Str.', '12', 'Resser-Mark', 'D', 45892, 'Gelsenkirchen', 209, 142463);
INSERT INTO teilnehmer VALUES (492, 106, 'Frau', 'Jutta', 'Acosta Sandoval', 'Am Wolfgraben', '8b', NULL, 'D', 90613, 'Grohabersdorf', 9105, 9773161);
INSERT INTO teilnehmer VALUES (493, 259, 'Frau', 'Irena', 'Ewert', 'Oskar-Hoffmann-Str.', '44', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 626704);
INSERT INTO teilnehmer VALUES (494, 184, 'Firma', '', 'Reimann', 'Gollheide', '7', 'Westenfeld', 'D', 44866, 'Bochum', 2327, 72571);
INSERT INTO teilnehmer VALUES (495, 198, 'Herr', 'Joachim', 'Wormland', 'Grundstr.', NULL, 'Katernberg', 'D', 45327, 'Essen, Ruhr', 201, 12465);
INSERT INTO teilnehmer VALUES (496, 105, 'Frau', 'Brigitte', 'Gonczik', 'Flurstr.', '20', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 378337);
INSERT INTO teilnehmer VALUES (497, 73, 'Frau', 'Hella', 'Wahlen', 'Tevernstr.', '1', 'Rath', 'D', 40472, 'Dsseldorf', 211, 25283);
INSERT INTO teilnehmer VALUES (498, 107, 'Herr', 'Wilhelm', 'Dreier', 'Grenzstr.', '70', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 798978);
INSERT INTO teilnehmer VALUES (499, 257, NULL, 'Shoaei', 'Wawrzyniak', 'Weidkamp', '1', 'Borbeck-Mitte', 'D', 45355, 'Essen, Ruhr', 201, 24367);
INSERT INTO teilnehmer VALUES (500, 170, NULL, 'W.', 'Srmeli', 'Hattinger Str.', '2', 'Linden', 'D', 44879, 'Bochum', 171, 45146);
INSERT INTO teilnehmer VALUES (501, 222, 'Herr', 'Mehmet', 'Fohrmann', 'Agnesstr.', '33', 'Marxloh', 'D', 47169, 'Duisburg', 203, 514596);
INSERT INTO teilnehmer VALUES (502, 179, 'Herr', 'Michael', 'Elschenbroich', 'Rosenbaumweg', '50', 'Harpen', 'D', 44805, 'Bochum', 234, 705940);
INSERT INTO teilnehmer VALUES (503, 208, 'Herr', 'Herbert', 'Fleischer', 'Brenkampstr.', '35', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 533725);
INSERT INTO teilnehmer VALUES (504, 194, 'Firma', '', 'Nigbur', 'Dieselstr.', '8', 'Gerthe', 'D', 44805, 'Bochum', 234, 81181);
INSERT INTO teilnehmer VALUES (505, 87, 'Herr', 'Gerhard', 'Ackom', 'Rassenhveler Str.', '99a', NULL, 'D', 59510, 'Lippetal', 2923, 9774842);
INSERT INTO teilnehmer VALUES (506, 131, 'Herr', 'Josef', 'Gutzeit', 'Holthauser Str.', '18', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 335785);
INSERT INTO teilnehmer VALUES (507, 275, 'Herr', 'Guido', 'Suttka', 'Berliner Str.', '2', 'Westenfeld', 'D', 44867, 'Bochum', 234, 44723);
INSERT INTO teilnehmer VALUES (508, 116, 'Herr', 'Thomas', 'Drost', 'Wanner Str.', '58', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 777396);
INSERT INTO teilnehmer VALUES (509, NULL, 'Frau', 'Brbel', 'Kerbaum', 'Kirchhrder Str.', '14', 'Lcklemberg', 'D', 44229, 'Dortmund', 231, 239264);
INSERT INTO teilnehmer VALUES (510, 129, 'Herr', 'Klaus', 'Pusch', 'Grimberger Allee', '7', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 74083);
INSERT INTO teilnehmer VALUES (511, 193, 'Frau', 'Hildegrad', 'Friehoff', 'Archenbecke', '30', 'Aplerbeck', 'D', 44287, 'Dortmund', 231, 495142);
INSERT INTO teilnehmer VALUES (512, 209, 'Herr', 'Norbert', 'Gumpricht', 'Coburger Str.', '18', 'Rttgersbach', 'D', 47169, 'Duisburg', 203, 350010);
INSERT INTO teilnehmer VALUES (513, 92, 'Herr', 'Carel', 'Enes', 'Wanner Str.', '48', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 683221);
INSERT INTO teilnehmer VALUES (514, 205, 'Herr', 'Fritz', 'Dettmar', 'Gartenstr.', '81', 'Eppendorf', 'D', 44869, 'Bochum', 2327, 861803);
INSERT INTO teilnehmer VALUES (515, 44, 'Frau', 'Catrin', 'Goerigk', 'Ofterdingenstr.', '21', 'Freisenbruch', 'D', 45279, 'Essen, Ruhr', 201, 394087);
INSERT INTO teilnehmer VALUES (516, 183, 'Frau', 'Anja', 'Schroelkamp', 'Rosastr.', '5', 'Rttenscheid', 'D', 45130, 'Essen, Ruhr', 173, 57804);
INSERT INTO teilnehmer VALUES (517, 206, 'Herr', 'Reinhard', 'Wittkmper', 'Posener Str.', NULL, 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 12678);
INSERT INTO teilnehmer VALUES (518, 111, 'Herr', 'Harun', 'Seebruch', 'Mausegatt', '4', 'Winz-Baak', 'D', 45529, 'Hattingen, Ruhr', 173, 57162);
INSERT INTO teilnehmer VALUES (519, 153, 'Herr', 'David', 'Spletter', 'Scheideweg', '3', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 52020);
INSERT INTO teilnehmer VALUES (520, 279, 'Frau', 'Walburga', 'Flgel', 'Weseler Str.', '33', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 520386);
INSERT INTO teilnehmer VALUES (521, 207, 'Herr', 'Jrgen', 'Eyring', 'Auf der Union', '43', 'Nordviertel', 'D', 45141, 'Essen, Ruhr', 201, 622579);
INSERT INTO teilnehmer VALUES (522, 1, 'Herr', 'Rudi', 'Spieckermann', 'Oveneystr.', '3', 'Stiepel', 'D', 44797, 'Bochum', 171, 52269);
INSERT INTO teilnehmer VALUES (523, 237, 'Herr', 'Karl-Heinz', 'Sander', 'Nateweg', '6', 'Hassel', 'D', 45896, 'Gelsenkirchen', 171, 65297);
INSERT INTO teilnehmer VALUES (524, 251, 'Herr', 'Dieter', 'Syhring', 'Bttgerstr.', '2', NULL, 'D', 13357, 'Berlin', 30, 44161);
INSERT INTO teilnehmer VALUES (525, 112, 'Herr', 'Johanna', 'Ghrs', 'Vierhausstr.', '18', 'Grumme', 'D', 44807, 'Bochum', 234, 350278);
INSERT INTO teilnehmer VALUES (526, 106, 'Herr', 'Dieter', 'Znkler', 'Kappeler Str.', NULL, 'Benrath', 'D', 40597, 'Dsseldorf', 211, 496);
INSERT INTO teilnehmer VALUES (527, 205, 'Frau', 'Magdalena', 'Gude', 'Im Hole', '18', 'Harpen', 'D', 44791, 'Bochum', 234, 351151);
INSERT INTO teilnehmer VALUES (528, 185, NULL, 'F.', 'Meier', 'Virgiliastr.', '11', 'Rttenscheid', 'D', 45131, 'Essen, Ruhr', 201, 136239);
INSERT INTO teilnehmer VALUES (529, 209, NULL, '', 'Vonau', 'Unterstr.', '1', 'Langendreer', 'D', 44892, 'Bochum', 172, 29343);
INSERT INTO teilnehmer VALUES (530, 104, NULL, 'A.', 'Hennebhl', NULL, '17', NULL, 'D', 458, 'Gelsenkirchen', 209, 295065);
INSERT INTO teilnehmer VALUES (531, 103, 'Herr', 'Wilhelm', 'Drevermann', 'Steeler Str.', '66', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 786059);
INSERT INTO teilnehmer VALUES (532, 268, 'Herr', 'Vladimir', 'Reifenscheidt', 'August-Zahn-Str.', '7', NULL, 'D', 91154, 'Roth, Mittelfr', 9171, 73115);
INSERT INTO teilnehmer VALUES (533, 70, 'Herr', 'Hanno', 'Dornseifer', 'Bahnhofstr.', '73', 'Westenfeld', 'D', 44866, 'Bochum', 2327, 813095);
INSERT INTO teilnehmer VALUES (534, 133, 'Herr', 'Friedrich', 'Dubois', 'Husemannstr.', '56', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 770774);
INSERT INTO teilnehmer VALUES (535, 216, 'Herr', 'Gerhard', 'Lbbert', 'Ewaldstr.', '12', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 143528);
INSERT INTO teilnehmer VALUES (536, 172, 'Herr', 'Werner', 'Flsch', 'Scharpenseelstr.', '32', 'Dahlhausen', 'D', 44879, 'Bochum', 234, 513383);
INSERT INTO teilnehmer VALUES (537, 207, 'Herr', 'Robert', 'Ber', 'Laarkamp', '315', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 4947557);
INSERT INTO teilnehmer VALUES (538, 203, 'Frau', 'Helga', 'Boldt', 'Friedrichstr.', '136', 'Mitte', 'D', 42551, 'Velbert', 2051, 2785231);
INSERT INTO teilnehmer VALUES (539, 141, 'Herr', 'Volker', 'Cibulski', 'Birther Str.', '107', 'Birth', 'D', 42549, 'Velbert', 2051, 1209017);
INSERT INTO teilnehmer VALUES (540, 260, 'Frau', 'Anneliese', 'Cremer', 'In der Mark', '103', 'Eppendorf', 'D', 44869, 'Bochum', 2327, 911217);
INSERT INTO teilnehmer VALUES (541, 122, 'Herr', 'Dieter', 'Anemller', 'Im Sonnenschein', '632a', 'Tnisheide', 'D', 42553, 'Velbert', 2053, 8907984);
INSERT INTO teilnehmer VALUES (542, 145, 'Frau', 'Maria', 'Drolshagen', 'Wildenbruchstr.', '59', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 779007);
INSERT INTO teilnehmer VALUES (543, 131, 'Frau', 'Kerstin', 'Faeser', 'Isenbrockstr.', '43', 'Westenfeld', 'D', 44867, 'Bochum', 2327, 598337);
INSERT INTO teilnehmer VALUES (544, 237, 'Herr', 'Gnter', 'Besse', 'Tannenbergstr.', '241', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 4153266);
INSERT INTO teilnehmer VALUES (545, 115, NULL, 'nder', 'Ishender', 'Adolfstr.', '15', 'Innenstadt', 'D', 44793, 'Bochum', 234, 271462);
INSERT INTO teilnehmer VALUES (546, 39, 'Frau', 'Marion', 'Emerich', 'Bergmannstr.', '49', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 693816);
INSERT INTO teilnehmer VALUES (547, 58, 'Herr', 'Hartmut', 'Delling', 'Finkenstr.', '86', 'Eppendorf', 'D', 44869, 'Bochum', 2327, 870352);
INSERT INTO teilnehmer VALUES (548, 158, 'Herr', 'Theodor', 'Florian', 'Grffstr.', '34', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 523485);
INSERT INTO teilnehmer VALUES (549, 249, 'Herr', 'Pius', 'Schmidt', 'Sterntalerweg', '5', 'Flingern Nord', 'D', 40235, 'Dsseldorf', 211, 63165);
INSERT INTO teilnehmer VALUES (550, 205, 'Frau', 'Erna', 'Dannenberg', 'Oemkenstr.', '92', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 875722);
INSERT INTO teilnehmer VALUES (551, 265, NULL, 'M.', 'Wemhoff', NULL, NULL, NULL, 'D', 40, 'Dsseldorf', 211, 21360);
INSERT INTO teilnehmer VALUES (552, 39, 'Herr', 'Roy', 'Timm', 'Hallesche Str.', '1', 'Krne', 'D', 44143, 'Dortmund', 231, 33213);
INSERT INTO teilnehmer VALUES (553, 260, 'Herr', 'Gnter', 'Anemller', 'Neustr.', '632a', NULL, 'D', 47877, 'Willich', 2156, 8907505);
INSERT INTO teilnehmer VALUES (554, 64, 'Frau', 'Daniela', 'Kandemir', NULL, '14', NULL, 'D', 0, 'Dortmund', 231, 263663);
INSERT INTO teilnehmer VALUES (555, 86, 'Herr', 'Friedhelm', 'Drckler', 'Overwegstr.', '57', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 772293);
INSERT INTO teilnehmer VALUES (556, 57, 'Herr', 'Kurt', 'Gralla', 'Weg am Ktterberg', '19', 'Grumme', 'D', 44807, 'Bochum', 234, 360993);
INSERT INTO teilnehmer VALUES (557, 124, 'Herr', 'Jrg', 'Straube', 'Girondelle', '3', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 48873);
INSERT INTO teilnehmer VALUES (558, 14, 'Herr', 'Bodo', 'Adam', 'Hellerstr.', '72a', 'Langenberg', 'D', 42555, 'Velbert', 2052, 9337599);
INSERT INTO teilnehmer VALUES (559, 4, 'Frau', 'Beatrix', 'Bartelt', NULL, '446', NULL, 'D', 458, 'Gelsenkirchen', 209, 5362735);
INSERT INTO teilnehmer VALUES (560, 273, 'Herr', 'Werner', 'Besler', 'Fliederweg', '277', NULL, 'D', 44532, 'Lnen', 2306, 4726648);
INSERT INTO teilnehmer VALUES (561, 65, 'Herr', 'Jrgen', 'Gebhard', 'Dr.-C.-Otto-Str.', '26', 'Linden', 'D', 44879, 'Bochum', 234, 451618);
INSERT INTO teilnehmer VALUES (562, NULL, NULL, 'G.', 'Daum', NULL, '90', NULL, 'D', 44, 'Bochum', 234, 874399);
INSERT INTO teilnehmer VALUES (563, 215, 'Herr', 'Kfm. Friedhelm', 'Erseer', 'Brundelstr.', '46', 'Langendreer', 'D', 44892, 'Bochum', 234, 642757);
INSERT INTO teilnehmer VALUES (564, 134, 'Herr', 'Werner', 'Tadhfer', 'Bankstr.', '2', 'Golzheim', 'D', 40476, 'Dsseldorf', 211, 38266);
INSERT INTO teilnehmer VALUES (565, 131, 'Herr', 'Jrgen', 'Engler', 'Drdelstr.', '47', 'Langendreer', 'D', 44892, 'Bochum', 234, 680734);
INSERT INTO teilnehmer VALUES (566, 132, 'Herr', 'Egon', 'Helfer', 'Selbecker Str.', '17', 'Rath', 'D', 40472, 'Dsseldorf', 211, 312062);
INSERT INTO teilnehmer VALUES (567, 271, 'Frau', 'Anne', 'Schulte-Pelkum', 'Waldweg', '5', 'Holthausen', 'D', 45527, 'Hattingen, Ruhr', 173, 57431);
INSERT INTO teilnehmer VALUES (568, 260, 'Herr', 'Rafael', 'Drisang', 'Bergmannstr.', '60', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 780662);
INSERT INTO teilnehmer VALUES (569, 50, 'Herr', 'Josef', 'Fenske', 'Alte Wittener Str.', '39', 'Laer', 'D', 44803, 'Bochum', 234, 591538);
INSERT INTO teilnehmer VALUES (570, 59, 'Herr', 'Mario', 'Weidenmller', 'Drener Str.', '1', NULL, 'D', 50171, 'Kerpen, Rheinl', 179, 23184);
INSERT INTO teilnehmer VALUES (571, 165, NULL, 'Lisete', 'Goldmann', 'Dorstener Str.', '21', 'Hofstede', 'D', 44809, 'Bochum', 234, 390119);
INSERT INTO teilnehmer VALUES (572, 119, 'Herr', 'Pavlos', 'Gremme', 'Schreinerstr.', '18', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 352961);
INSERT INTO teilnehmer VALUES (573, 144, 'Herr', 'Willi', 'Hagemann', 'Bergstr.', '17', 'Hofstede', 'D', 44809, 'Bochum', 234, 331742);
INSERT INTO teilnehmer VALUES (574, 229, 'Herr', 'Heinz', 'Gasch', NULL, '26', NULL, 'D', 44, 'Bochum', 234, 461258);
INSERT INTO teilnehmer VALUES (575, 105, 'Herr', 'Michael', 'Ehlert', 'Littweg', '52', 'Scharnhorst', 'D', 44328, 'Dortmund', 231, 742769);
INSERT INTO teilnehmer VALUES (576, 272, 'Frau', 'Petra', 'Lechte', NULL, '12', NULL, 'D', 458, 'Gelsenkirchen', 209, 202033);
INSERT INTO teilnehmer VALUES (577, 98, 'Frau', 'Gisela', 'Fitzner', 'Alte Str.', '35', NULL, 'D', 58452, 'Witten', 2302, 539913);
INSERT INTO teilnehmer VALUES (578, 65, 'Firma', '', 'Gabelmann', 'Pfarrer-Halbe-Str.', '28', 'Weitmar', 'D', 44795, 'Bochum', 234, 474508);
INSERT INTO teilnehmer VALUES (579, 211, 'Frau', 'Gabriele', 'Kettner', 'Bckumer Burgweg', '14', 'Huckingen', 'D', 47259, 'Duisburg', 203, 234320);
INSERT INTO teilnehmer VALUES (580, 174, 'Herr', 'Horst', 'Bolz', 'Dorstener Str.', '134', 'Hofstede', 'D', 44809, 'Bochum', 234, 2716328);
INSERT INTO teilnehmer VALUES (581, 73, 'Frau', 'Sonja', 'Rehrmann', 'Hhenstr.', '7', NULL, 'D', 71665, 'Vaihingen an der Enz', 7042, 73168);
INSERT INTO teilnehmer VALUES (582, 179, 'Herr', 'Werner', 'Grabarz', 'Bergstr.', '19', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 371405);
INSERT INTO teilnehmer VALUES (583, 116, NULL, 'Arslan', 'Besser', 'Aldenhofstr.', '197', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 3848802);
INSERT INTO teilnehmer VALUES (584, 142, 'Herr', 'Gnter', 'Moeller', 'Liebfrauenstr.', '9', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 84173);
INSERT INTO teilnehmer VALUES (585, 31, 'Frau', 'Claudia', 'Best-Line', NULL, '154', NULL, 'D', 44, 'Bochum', 2327, 2846123);
INSERT INTO teilnehmer VALUES (586, 180, 'Herr', 'Detlev', 'Cierpka', 'Howeg', '107', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 1208992);
INSERT INTO teilnehmer VALUES (587, 244, 'Herr', 'Edward', 'Grf', 'Braukmperstr.', '19', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 369306);
INSERT INTO teilnehmer VALUES (588, 2, 'Herr', 'Jrg', 'Sulik', 'Tannenbergstr.', '3', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 47780);
INSERT INTO teilnehmer VALUES (589, 125, 'Frau', 'Emine', 'Ferber', 'Goslarstr.', '38', 'Mengede', 'D', 44359, 'Dortmund', 231, 591224);
INSERT INTO teilnehmer VALUES (590, 140, 'Herr', 'Stefan', 'Theusz', 'Felderbachstr.', '2', 'Oberelfringhausen', 'D', 45529, 'Hattingen, Ruhr', 173, 34231);
INSERT INTO teilnehmer VALUES (591, 163, 'Herr', 'Willy', 'Krol', 'Sonnenstr.', '13', 'Oberbilk', 'D', 40227, 'Dsseldorf', 211, 205378);
INSERT INTO teilnehmer VALUES (592, 237, 'Herr', 'Udo', 'de Graaff', 'Grasmckenweg', '90', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 872021);
INSERT INTO teilnehmer VALUES (593, 258, 'Herr', 'Wilhelm', 'Gaudl', 'Lewackerstr.', '26', 'Linden', 'D', 44879, 'Bochum', 234, 454223);
INSERT INTO teilnehmer VALUES (594, 90, 'Herr', 'Hans-Joachim', 'Htker', 'Alleestr.', '16', 'Innenstadt', 'D', 44793, 'Bochum', 234, 281360);
INSERT INTO teilnehmer VALUES (595, 132, 'Herr', 'Gustav', 'Guddeit', 'Josephinenstr.', '18', 'Grumme', 'D', 44807, 'Bochum', 234, 351266);
INSERT INTO teilnehmer VALUES (596, 145, 'Herr', 'Dietmar', 'Drewello', 'Metzer Str.', '65', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 785326);
INSERT INTO teilnehmer VALUES (597, 99, NULL, 'Jacky', 'Dietsche', 'Hlsmannstr.', '79', 'Schalke-Nord', 'D', 45881, 'Gelsenkirchen', 209, 853847);
INSERT INTO teilnehmer VALUES (598, NULL, 'Frau', 'Irmgard', 'Ganskop', 'Eiberger Str.', '27', 'Dahlhausen', 'D', 44879, 'Bochum', 234, 471104);
INSERT INTO teilnehmer VALUES (599, 232, 'Frau', 'Irmela', 'Ziesler', 'Schultesche Heide', NULL, 'Bergen', 'D', 44807, 'Bochum', 234, 6874);
INSERT INTO teilnehmer VALUES (600, 55, 'Herr', 'Franz', 'Guse', 'Josephinenstr.', '18', 'Grumme', 'D', 44807, 'Bochum', 234, 343401);
INSERT INTO teilnehmer VALUES (601, 73, 'Herr', 'Heinz-Dieter', 'Ganer', 'Bredenscheider Str.', '26', 'Linden', 'D', 44879, 'Bochum', 234, 460727);
INSERT INTO teilnehmer VALUES (602, 32, 'Herr', 'Frank', 'Disse', 'Endloser Weg', '76', NULL, 'D', 59494, 'Soest, Westf', 2921, 840998);
INSERT INTO teilnehmer VALUES (603, 215, 'Herr', 'Lars', 'Schrer', 'Sorpeweg', '5', NULL, 'D', 38120, 'Braunschweig', 531, 57504);
INSERT INTO teilnehmer VALUES (604, 42, 'Frau', 'Lieselotte', 'Galka', 'Gerhardstr.', '27', 'Vierlinden', 'D', 47178, 'Duisburg', 203, 472156);
INSERT INTO teilnehmer VALUES (605, 248, 'Herr', 'Ludwig', 'Sitter', 'Klner Tor', '3', 'Gerresheim', 'D', 40625, 'Dsseldorf', 211, 53272);
INSERT INTO teilnehmer VALUES (606, 14, 'Herr', 'Josef', 'Bender', 'Steeler Str.', '342', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 5139008);
INSERT INTO teilnehmer VALUES (607, 210, 'Herr', 'Andreas', 'Wendzich', 'Gldene Eiche', NULL, 'Brechten', 'D', 44339, 'Dortmund', 171, 20680);
INSERT INTO teilnehmer VALUES (608, 208, 'Herr', 'Lars', 'Schller', 'Ulmenstr.', '5', 'Derendorf', 'D', 40476, 'Dsseldorf', 173, 59300);
INSERT INTO teilnehmer VALUES (609, 238, 'Herr', 'Dietrich', 'Fink', 'Querenburger Str.', '36', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 581390);
INSERT INTO teilnehmer VALUES (610, 62, 'Herr', 'Michael', 'Hueber', 'Frankfurter Str.', '16', NULL, 'D', 63150, 'Heusenstamm', 6104, 274291);
INSERT INTO teilnehmer VALUES (611, 73, 'Herr', 'Gnter', 'Franke', 'Hattinger Str.', '31', 'Weitmar', 'D', 44795, 'Bochum', 234, 498694);
INSERT INTO teilnehmer VALUES (612, 260, 'Herr', 'Alexander', 'Brockmeyer', 'Sdmhrer Str.', '125', NULL, 'D', 73312, 'Geislingen an der Steige', 7331, 2438717);
INSERT INTO teilnehmer VALUES (613, 213, 'Herr', 'Helmut', 'Berger', 'Stolzestr.', '308', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 4910249);
INSERT INTO teilnehmer VALUES (614, 259, 'Frau', 'Hedwig', 'Beling', 'Boniverstr.', '190', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 3828472);
INSERT INTO teilnehmer VALUES (615, 119, 'Herr', 'Hans', 'Berg', 'Parkstr.', '310', NULL, 'D', 16792, 'Zehdenick', 3307, 4930497);
INSERT INTO teilnehmer VALUES (616, 107, 'Herr', 'Ulrich', 'Graw', 'Grner Weg', '19', 'Harpen', 'D', 44791, 'Bochum', 234, 355034);
INSERT INTO teilnehmer VALUES (617, 183, 'Herr', 'Arnd', 'Gler', 'Glckaufstr.', '22', 'Hamme', 'D', 44793, 'Bochum', 234, 397535);
INSERT INTO teilnehmer VALUES (618, 92, 'Frau', 'Inge', 'Urfell', 'Niederdonker Str.', '1', 'Lrick', 'D', 40547, 'Dsseldorf', 211, 32769);
INSERT INTO teilnehmer VALUES (619, 112, 'Herr', 'Alfred', 'Balta', 'Witzschdorfer Hauptstr.', '2A', NULL, 'D', 9437, 'Witzschdorf', 3725, 7333146);
INSERT INTO teilnehmer VALUES (620, 169, 'Herr', 'Peter', 'Genske', 'Tiefbauweg', '25', 'Dahlhausen', 'D', 44879, 'Bochum', 234, 433579);
INSERT INTO teilnehmer VALUES (621, 262, 'Herr', 'Horst', 'Kremser', 'Ahornstr.', '13', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 207261);
INSERT INTO teilnehmer VALUES (622, 170, NULL, 'I.', 'Tabak', 'Wittgatt', '2', 'Wittlaer', 'D', 40489, 'Dsseldorf', 211, 40780);
INSERT INTO teilnehmer VALUES (623, 63, 'Herr', 'Mike', 'Sivakaran', 'Ottostr.', '3', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 173, 53136);
INSERT INTO teilnehmer VALUES (624, 153, 'Frau', 'Elisabeth', 'Adam', 'Hintertal', '7a', NULL, 'D', 78148, 'Gtenbach', 7723, 9409335);
INSERT INTO teilnehmer VALUES (625, 9, 'Herr', 'Dieter', 'Efken', 'Ltkendorpweg', '53', 'Harpen', 'D', 44805, 'Bochum', 234, 751619);
INSERT INTO teilnehmer VALUES (626, 66, 'Herr', 'Fritz', 'Adam', 'Luxemburger Str.', '8A', NULL, 'D', 53940, 'Hellenthal, Eifel', 2482, 9731281);
INSERT INTO teilnehmer VALUES (627, 113, 'Herr', 'Hans', 'Jung', 'Robert-Koch-Str.', '15', 'Querenburg', 'D', 44801, 'Bochum', 234, 266007);
INSERT INTO teilnehmer VALUES (628, 28, 'Frau', 'Rita', 'Vatteroth', 'Axstr.', '1', 'Linden', 'D', 44879, 'Bochum', 171, 32094);
INSERT INTO teilnehmer VALUES (629, 207, 'Herr', 'Roland', 'Heutgens', 'Im Hasenbhl', '16', NULL, 'D', 71101, 'Schnaich, Wrtt', 7031, 287194);
INSERT INTO teilnehmer VALUES (630, 64, 'Frau', 'Anna', 'Cornelius', 'Lckshofstr.', '104', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 924795);
INSERT INTO teilnehmer VALUES (631, 223, 'Herr', 'Peter', 'Meier', 'Tiemannsweg', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 136133);
INSERT INTO teilnehmer VALUES (632, 194, 'Frau', 'Kerstin', 'Wagner', 'An der Maarbrcke', '1', 'Hamme', 'D', 44793, 'Bochum', 234, 25568);
INSERT INTO teilnehmer VALUES (633, 269, 'Herr', 'Hermann', 'Fohr', 'Kotthaushang', '33', 'Heidhausen', 'D', 45239, 'Essen, Ruhr', 201, 514771);
INSERT INTO teilnehmer VALUES (634, 38, 'Frau', 'Ingrid', 'Kiehne', 'Otto-Hahn-Str.', '14', 'Wersten', 'D', 40591, 'Dsseldorf', 211, 231595);
INSERT INTO teilnehmer VALUES (635, 240, 'Frau', 'Ruth', 'Garnich', 'Wilhelminenstr.', '26', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 468687);
INSERT INTO teilnehmer VALUES (636, 118, 'Frau', 'Helga', 'Zimmer', 'Weseler Str.', NULL, 'Dsseltal', 'D', 40239, 'Dsseldorf', 211, 6648);
INSERT INTO teilnehmer VALUES (637, 168, 'Frau', 'Karin', 'Endra', 'Teutstr.', '48', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 683390);
INSERT INTO teilnehmer VALUES (638, 8, 'Herr', 'Friedrich', 'Sundermann', 'Grimmstr.', '3', 'Heler', 'D', 45883, 'Gelsenkirchen', 209, 47502);
INSERT INTO teilnehmer VALUES (639, 276, 'Herr', 'Kurt', 'Dressler', 'Im Kalberkamp', '69', NULL, 'D', 32545, 'Bad Oeynhausen', 5731, 791217);
INSERT INTO teilnehmer VALUES (640, NULL, 'Herr', 'Werner', 'Best', 'Bismarckstr.', '175', NULL, 'D', 45525, 'Hattingen, Ruhr', 2324, 3255076);
INSERT INTO teilnehmer VALUES (641, 241, 'Herr', 'Detlef', 'Best', 'An den Leddigen', '175', NULL, 'D', 14476, 'Fahrland', 33208, 3386441);
INSERT INTO teilnehmer VALUES (642, 35, 'Herr', 'Hans-Dieter', 'Bromberg', 'Im Bockenfeld', '119', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 2361931);
INSERT INTO teilnehmer VALUES (643, 67, 'Herr', 'Michael', 'Puschhof', 'Deichstr.', '7', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 73998);
INSERT INTO teilnehmer VALUES (644, 233, 'Herr', 'Hans-Ulrich', 'Baltz', NULL, '152c', NULL, 'D', 4552, 'Hattingen, Ruhr', 2324, 6019595);
INSERT INTO teilnehmer VALUES (645, 3, 'Herr', 'Frank', 'Wiese', 'Anton-Gnther-Str.', NULL, NULL, 'D', 26434, 'Wangerland', 171, 13484);
INSERT INTO teilnehmer VALUES (646, 182, 'Frau', 'Helga', 'Gtzen', 'Graf-Engelbert-Str.', '19', 'Innenstadt', 'D', 44791, 'Bochum', 234, 371454);
INSERT INTO teilnehmer VALUES (647, 186, 'Frau', 'Beatrix', 'Filges', 'Holtwiesche', '36', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 582426);
INSERT INTO teilnehmer VALUES (648, 244, 'Herr', 'Erich', 'Gantz', 'Grillostr.', '27', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 470777);
INSERT INTO teilnehmer VALUES (649, 201, 'Frau', 'Maria', 'Shling', 'Alte Landstr.', '3', 'Kaiserswerth', 'D', 40489, 'Dsseldorf', 211, 47842);
INSERT INTO teilnehmer VALUES (650, 211, NULL, '', 'Redel', 'Saarbrcker Str.', '7', NULL, 'D', 66130, 'Saarbrcken', 681, 73816);
INSERT INTO teilnehmer VALUES (651, 127, 'Herr', 'Klaus u. Elke', 'Dost', 'August-Bebel-Platz', '72', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 811752);
INSERT INTO teilnehmer VALUES (652, 147, 'Herr', 'Martin', 'Plger', 'Marschallstr.', '7', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 75202);
INSERT INTO teilnehmer VALUES (653, NULL, 'Frau', 'Barbara', 'Glawatz', 'Hofwiese', '23', 'Hofstede', 'D', 44809, 'Bochum', 234, 398231);
INSERT INTO teilnehmer VALUES (654, 189, 'Herr', 'Werner', 'Schroer', 'Auf der Panne', '5', 'Gerthe', 'D', 44805, 'Bochum', 172, 57566);
INSERT INTO teilnehmer VALUES (655, 7, 'Firma', '', 'Seidler', 'Quellenweg', '4', 'Innenstadt', 'D', 44791, 'Bochum', 172, 56253);
INSERT INTO teilnehmer VALUES (656, 179, 'Herr', 'Kurt', 'Menne', 'Deichstr.', '9', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 84831);
INSERT INTO teilnehmer VALUES (657, 226, 'Herr', 'Martin', 'Krah', 'Eschenstr.', '13', 'Wanheimerort', 'D', 47055, 'Duisburg', 203, 208418);
INSERT INTO teilnehmer VALUES (658, 212, 'Herr', 'Karl-Heinz', 'Reder', 'Dresdener Str.', '7', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 73802);
INSERT INTO teilnehmer VALUES (659, 222, 'Herr', 'Michail', 'Wurm', 'Rolandstr.', NULL, 'Mitte', 'D', 44145, 'Dortmund', 231, 9989);
INSERT INTO teilnehmer VALUES (660, 19, 'Herr', 'Andre', 'Pilawa', 'Kneebuschstr.', '8', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 76271);
INSERT INTO teilnehmer VALUES (661, 63, NULL, 'A.', 'Best-Line', 'Essener Str.', '151', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2840264);
INSERT INTO teilnehmer VALUES (662, 82, 'Herr', 'Andreas', 'Gerding', 'Mhlenweg', '24', NULL, 'D', 52349, 'Dren, Rheinl', 2421, 425963);
INSERT INTO teilnehmer VALUES (663, 91, 'Herr', 'Benjamin', 'Fokkink', 'Lichtenbroicher Weg', '32', 'Lichtenbroich', 'D', 40472, 'Dsseldorf', 211, 514235);
INSERT INTO teilnehmer VALUES (664, 196, 'Frau', 'Doris', 'Doerwald', 'Krachtstr.', '75', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 817932);
INSERT INTO teilnehmer VALUES (665, 214, 'Herr', 'Rolf', 'Barten', 'Im Duggenbusch', '417', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 5340278);
INSERT INTO teilnehmer VALUES (666, 271, 'Herr', 'Peter', 'Drevermann', 'Wembkenstr.', '66', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 785778);
INSERT INTO teilnehmer VALUES (667, 123, 'Herr', 'Bjrn', 'Wieschalka', 'Kiesselbachstr.', NULL, 'Holthausen', 'D', 40589, 'Dsseldorf', 211, 13783);
INSERT INTO teilnehmer VALUES (668, 264, 'Herr', 'Klaus', 'Brech', 'Dttingstr.', '130', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2617809);
INSERT INTO teilnehmer VALUES (669, 257, 'Herr', 'Julius', 'Gelsin', 'Lindener Str.', '26', 'Linden', 'D', 44879, 'Bochum', 234, 440020);
INSERT INTO teilnehmer VALUES (670, 32, 'Herr', 'Erich', 'Fischer', 'Metterkampstr.', '35', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 552907);
INSERT INTO teilnehmer VALUES (671, 203, 'Herr', 'Andreas', 'Jandt', 'Rousseaustr.', '15', NULL, 'D', 26129, 'Oldenburg, Oldb', 441, 271402);
INSERT INTO teilnehmer VALUES (672, 78, 'Herr', 'Ralf', 'Selig', 'Deichstr.', '4', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 172, 55322);
INSERT INTO teilnehmer VALUES (673, 108, 'Herr', 'Werner', 'Grtner', 'Kurt-Schumacher-Str.', '26', 'Schalke-Nord', 'D', 45881, 'Gelsenkirchen', 209, 467211);
INSERT INTO teilnehmer VALUES (674, 190, 'Herr', 'Robert', 'Brning', 'Brinkmannsweg', '117', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 2063184);
INSERT INTO teilnehmer VALUES (675, 207, 'Herr', 'Werner', 'Plaumann', 'Parallelstr.', '8', 'Schalke-Nord', 'D', 45881, 'Gelsenkirchen', 209, 75796);
INSERT INTO teilnehmer VALUES (676, 28, 'Frau', 'Heike', 'Claus', 'Gerdes Feld', '105', 'Hntrop', 'D', 44869, 'Bochum', 2327, 971455);
INSERT INTO teilnehmer VALUES (677, 257, 'Herr', 'Lothar', 'Grbner', 'Braukmperstr.', '19', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 370245);
INSERT INTO teilnehmer VALUES (678, 211, 'Herr', 'Klaus', 'Grtner', 'Hans-Bckler-Allee', '26', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 461494);
INSERT INTO teilnehmer VALUES (679, 48, 'Herr', 'Prof. Dr. Hans', 'Dahmer', 'Baumhofstr.', '93', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 877610);
INSERT INTO teilnehmer VALUES (680, 240, 'Frau', 'Nadine', 'Scheiko', 'Isenbergstr.', '5', 'Niederwenigern', 'D', 45529, 'Hattingen, Ruhr', 170, 65181);
INSERT INTO teilnehmer VALUES (681, 171, 'Herr', 'Holger', 'Zum Nordpol', 'Bittermarkstr.', NULL, 'Bittermark', 'D', 44229, 'Dortmund', 231, 688);
INSERT INTO teilnehmer VALUES (682, 50, 'Herr', 'Dieter', 'Podlesch', 'Evastr.', '7', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 74584);
INSERT INTO teilnehmer VALUES (683, 139, 'Herr', 'Jens', 'Will', 'Paulinenstr.', NULL, 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 13346);
INSERT INTO teilnehmer VALUES (684, 28, 'Herr', 'Wilfried', 'Gallbeck', 'Kurfrstenstr.', '27', 'Aldenrade', 'D', 47179, 'Duisburg', 203, 471680);
INSERT INTO teilnehmer VALUES (685, NULL, 'Herr', 'Klaus', 'Lieber', 'Schievenstr.', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 145410);
INSERT INTO teilnehmer VALUES (686, 239, 'Herr', 'Heiner', 'Zipfel', NULL, NULL, NULL, 'D', 40, 'Dsseldorf', 211, 4985);
INSERT INTO teilnehmer VALUES (687, 233, 'Herr', 'Emin', 'Vuk', 'Herner Str.', '1', 'Hofstede', 'D', 44809, 'Bochum', 234, 25629);
INSERT INTO teilnehmer VALUES (688, 140, 'Herr', 'Norbert', 'Bier', 'Strickerstr.', '141', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2818405);
INSERT INTO teilnehmer VALUES (689, 169, 'Frau', 'Margret', 'Gantz', 'Vittinghoff-Siedlung', '27', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 470849);
INSERT INTO teilnehmer VALUES (690, 130, 'Frau', 'Hildegard', 'Michel', 'Kpershof', '9', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 84263);
INSERT INTO teilnehmer VALUES (691, 232, 'Herr', 'Josef-Peter', 'Echtermeyer', 'Gleiwitzstr.', '54', 'Scharnhorst', 'D', 44328, 'Dortmund', 231, 760883);
INSERT INTO teilnehmer VALUES (692, 140, 'Frau', 'Lidia', 'Salzbrenner', 'Finkenweg', '6', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 65466);
INSERT INTO teilnehmer VALUES (693, 268, 'Frau', 'Claudia', 'Reza', NULL, '6', NULL, 'D', 44, 'Bochum', 2327, 70678);
INSERT INTO teilnehmer VALUES (694, 24, 'Herr', 'Werner', 'Faltin', 'Kleine Riedbruchstr.', '42', 'Mengede', 'D', 44359, 'Dortmund', 231, 595714);
INSERT INTO teilnehmer VALUES (695, 229, 'Herr', 'Uwe', 'Coton Garcia', 'Rdersdorfer Str.', '104', NULL, 'D', 15345, 'Kagel', 33434, 923694);
INSERT INTO teilnehmer VALUES (696, 279, 'Frau', 'Gisela', 'Drse', 'Kistenweg', '59', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 778432);
INSERT INTO teilnehmer VALUES (697, 25, 'Herr', 'Manfred', 'Fuchs', 'Isabellastr.', '28', 'Weitmar', 'D', 44795, 'Bochum', 234, 491935);
INSERT INTO teilnehmer VALUES (698, 249, NULL, 'G.', 'Balster', 'Springerplatz', '38-40', 'Innenstadt', 'D', 44793, 'Bochum', 234, 7597282);
INSERT INTO teilnehmer VALUES (699, 186, 'Herr', 'Winfried', 'Kerber', 'Reisholzer Bahnstr.', '14', 'Reisholz', 'D', 40599, 'Dsseldorf', 211, 238417);
INSERT INTO teilnehmer VALUES (700, 166, 'Frau', 'Elfriede', 'Frontzek', 'Godekinstr.', '29', 'Wellinghofen', 'D', 44265, 'Dortmund', 231, 492470);
INSERT INTO teilnehmer VALUES (701, 26, 'Herr', 'Thomas', 'Grave', 'Ackerstr.', '19', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 355334);
INSERT INTO teilnehmer VALUES (702, 37, 'Herr', 'Gunter', 'Besler', NULL, '273', NULL, 'D', 50354, 'Hrth, Rheinl', 2233, 4714724);
INSERT INTO teilnehmer VALUES (703, 85, 'Herr', 'Stefan', 'Goletzko', 'Ramstalhof', '21', NULL, 'D', 79331, 'Teningen', 7641, 387701);
INSERT INTO teilnehmer VALUES (704, 180, 'Herr', 'Christoph', 'Richard', 'Im Poth', '6', 'Niederwenigern', 'D', 45529, 'Hattingen, Ruhr', 2324, 70436);
INSERT INTO teilnehmer VALUES (705, 253, 'Herr', 'Peter', 'Svidlov', 'Von-der-Recke-Str.', '2', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 171, 44681);
INSERT INTO teilnehmer VALUES (706, 239, 'Frau', 'Susanne', 'Drobny', 'Hans-Bckler-Allee', '59', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 780329);
INSERT INTO teilnehmer VALUES (707, 151, 'Herr', 'Anton', 'Figger', 'Cranger Str.', '37', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 582813);
INSERT INTO teilnehmer VALUES (708, 71, 'Herr', 'Herbert', 'Dillmann', 'Freiligrathstr.', '78', 'Schalke-Nord', 'D', 45881, 'Gelsenkirchen', 209, 851735);
INSERT INTO teilnehmer VALUES (709, 255, 'Herr', 'Armin', 'Gilbert', 'Tnshof', '23', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 400501);
INSERT INTO teilnehmer VALUES (710, 54, 'Herr', 'Johannes', 'Driller', 'Johanniterstr.', '61', 'Neustadt', 'D', 45879, 'Gelsenkirchen', 209, 781426);
INSERT INTO teilnehmer VALUES (711, 248, 'Herr', 'Daniel', 'Boltendahl', 'August-Bebel-Str.', '134', NULL, 'D', 15324, 'Letschin', 33475, 2739533);
INSERT INTO teilnehmer VALUES (712, 12, 'Herr', 'Horst', 'Dreler', 'Auf der Reihe', '68', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 789210);
INSERT INTO teilnehmer VALUES (713, 237, 'Frau', 'Sabine', 'Steinbchel', 'Stockyweg', '3', 'Altenbochum', 'D', 44803, 'Bochum', 234, 50783);
INSERT INTO teilnehmer VALUES (714, 99, 'Herr', 'Michael', 'Gerland', 'Lahnstr.', '24', 'Grumme', 'D', 44807, 'Bochum', 234, 413484);
INSERT INTO teilnehmer VALUES (715, 142, 'Frau', 'Petra', 'Frieser', 'Aplerbecker Schulstr.', '29', 'Aplerbeck', 'D', 44287, 'Dortmund', 231, 494009);
INSERT INTO teilnehmer VALUES (716, 159, 'Frau', 'Maria', 'Brepohl', 'Lohackerstr.', '127', 'Westenfeld', 'D', 44867, 'Bochum', 2327, 2505216);
INSERT INTO teilnehmer VALUES (717, 97, 'Frau', 'Andrea', 'Grabowski', NULL, '19', NULL, 'D', 458, 'Gelsenkirchen', 209, 370140);
INSERT INTO teilnehmer VALUES (718, 112, 'Frau', 'Klara', 'Kortenhorn', 'Alleestr.', '13', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 208557);
INSERT INTO teilnehmer VALUES (719, 64, NULL, 'P. M.', 'Festor', 'Dsselthaler Str.', '37', 'Pempelfort', 'D', 40211, 'Dsseldorf', 211, 586640);
INSERT INTO teilnehmer VALUES (720, 133, 'Frau', 'Manuela', 'Korte', 'Hedwigstr.', '13', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 208721);
INSERT INTO teilnehmer VALUES (721, 87, 'Herr', 'Olaf', 'Zurek', 'Querenburger Hhe', NULL, 'Querenburg', 'D', 44801, 'Bochum', 234, 222);
INSERT INTO teilnehmer VALUES (722, NULL, 'Herr', 'Peter', 'Eckardt', 'Ossenkuhle', '54', 'Gnnigfeld', 'D', 44866, 'Bochum', 2327, 757067);
INSERT INTO teilnehmer VALUES (723, 230, 'Herr', 'Wolfgang', 'Domaser', 'Walpurgisstr.', '74', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 816781);
INSERT INTO teilnehmer VALUES (724, 60, NULL, 'G.', 'Driescher', 'Bronnerstr.', '61', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 781800);
INSERT INTO teilnehmer VALUES (725, 124, 'Herr', 'Ulrich', 'Woschek', 'Heideweg', NULL, NULL, 'D', 32839, 'Steinheim, Westf', 171, 10528);
INSERT INTO teilnehmer VALUES (726, 237, 'Herr', 'Gregor', 'Thiem', 'Linzer Str.', '2', 'Buchholz', 'D', 47249, 'Duisburg', 173, 33917);
INSERT INTO teilnehmer VALUES (727, 104, 'Herr', 'Andreas', 'Freerksen', 'Schtzenstr.', '30', 'Weitmar', 'D', 44795, 'Bochum', 234, 496620);
INSERT INTO teilnehmer VALUES (728, 221, 'Frau', 'Anna', 'Dreszer', 'Lisztstr.', '68', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 788706);
INSERT INTO teilnehmer VALUES (729, 190, 'Herr', 'Andreas', 'Zimmermann', 'Hohe Eiche', NULL, 'Langendreer', 'D', 44892, 'Bochum', 234, 6102);
INSERT INTO teilnehmer VALUES (730, 99, 'Frau', 'Maria', 'Flothwedel', 'Blsestr.', '34', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 521953);
INSERT INTO teilnehmer VALUES (731, 12, 'Frau', 'Nicole', 'Wendt', 'Friedrich-Naumann-Str.', NULL, 'Wanheimerort', 'D', 47055, 'Duisburg', 203, 20845);
INSERT INTO teilnehmer VALUES (732, 19, 'Herr', 'Achmed', 'George', 'Pothmannstr.', '25', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 431480);
INSERT INTO teilnehmer VALUES (733, 27, 'Herr', 'Johann', 'Erdelkamp', 'Rebhuhnweg', '47', 'Langendreer', 'D', 44892, 'Bochum', 234, 677232);
INSERT INTO teilnehmer VALUES (734, 16, 'Herr', 'Alf', 'Machemehl', 'Middelicher Str.', '12', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 141472);
INSERT INTO teilnehmer VALUES (735, 187, 'Frau', 'Margot', 'Eisele', 'Am Heerbusch', '51', 'Werne', 'D', 44894, 'Bochum', 234, 719012);
INSERT INTO teilnehmer VALUES (736, 254, 'Herr', 'Kurt', 'Otten', 'Kirchharpener Str.', '8', 'Gerthe', 'D', 44805, 'Bochum', 234, 77379);
INSERT INTO teilnehmer VALUES (737, 11, 'Herr', 'Wolfgang', 'Christmann', 'Bumannstr.', '108', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 1389753);
INSERT INTO teilnehmer VALUES (738, 72, 'Frau', 'Irmgard', 'Menke', 'Hller Str.', '9', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 85005);
INSERT INTO teilnehmer VALUES (739, 112, 'Herr', 'Patrick', 'Soika', 'Benzenbergstr.', '3', 'Unterbilk', 'D', 40219, 'Dsseldorf', 211, 52364);
INSERT INTO teilnehmer VALUES (740, 180, 'Herr', 'Eberhard', 'Emmerich', 'Wittekindstr.', '48', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 691285);
INSERT INTO teilnehmer VALUES (741, 225, 'Herr', 'Detlef', 'Taboschat', 'Kupferdreher Markt', '2', 'Kupferdreh', 'D', 45257, 'Essen, Ruhr', 201, 40746);
INSERT INTO teilnehmer VALUES (742, 236, 'Frau', 'Nicole', 'Rickmann', 'Von-Oven-Str.', '6', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 67249);
INSERT INTO teilnehmer VALUES (743, 183, 'Herr', 'Frank', 'Besthorn', 'Nierenhofer Str.', '155', 'Niederbonsfeld', 'D', 45529, 'Hattingen, Ruhr', 2324, 2848387);
INSERT INTO teilnehmer VALUES (744, 102, 'Herr', 'Gnter', 'Christ', 'Bertlicher Str.', '109', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 1389918);
INSERT INTO teilnehmer VALUES (745, 123, 'Herr', 'Wilfried', 'Buxbaum', 'Don-Bosco-Str.', '112', 'Mitte', 'D', 42549, 'Velbert', 2051, 1486088);
INSERT INTO teilnehmer VALUES (746, 193, 'Frau', 'Aletta', 'Vorderwlbeke', 'Dppelstr.', '1', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 28370);
INSERT INTO teilnehmer VALUES (747, 106, 'Frau', 'Christel', 'Krger', 'Karlstr.', '13', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 205056);
INSERT INTO teilnehmer VALUES (748, 9, 'Herr', 'Wolfgang', 'Fckler', 'Vorstadt Neumarkt', '33', NULL, 'D', 14913, 'Jterbog', 3372, 516427);
INSERT INTO teilnehmer VALUES (749, 243, 'Herr', 'Paul', 'Glaser', 'Dorstener Str.', '23', 'Hofstede', 'D', 44809, 'Bochum', 234, 399033);
INSERT INTO teilnehmer VALUES (750, 178, 'Frau', 'Sinaida', 'Weidinger', 'Gropiusweg', '1', 'Querenburg', 'D', 44801, 'Bochum', 234, 23118);
INSERT INTO teilnehmer VALUES (751, 61, 'Herr', 'Heinz', 'Szaj', 'Jacobsohnstr.', '2', NULL, 'D', 13086, 'Berlin', 30, 42410);
INSERT INTO teilnehmer VALUES (752, NULL, 'Herr', 'Werner', 'Gengenbacher', 'Frstinnenstr.', '25', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 433955);
INSERT INTO teilnehmer VALUES (753, 200, NULL, 'G.', 'Weinberg', 'Klner Str.', NULL, 'Oberbilk', 'D', 40227, 'Dsseldorf', 211, 21902);
INSERT INTO teilnehmer VALUES (754, 136, 'Herr', 'Fred', 'Fichtner', 'Baulandstr.', '37', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 583828);
INSERT INTO teilnehmer VALUES (755, 205, 'Frau', 'Liesel', 'Gabbey', 'Kemnader Str.', '28', 'Weitmar', 'D', 44795, 'Bochum', 234, 475041);
INSERT INTO teilnehmer VALUES (756, 62, 'Herr', 'Franz', 'Hallmann', 'Deinsloh', '17', 'Grumme', 'D', 44807, 'Bochum', 234, 328064);
INSERT INTO teilnehmer VALUES (757, 184, NULL, 'K.-H.', 'Gems', 'Lerckenshof', '25', 'Heler', 'D', 45883, 'Gelsenkirchen', 209, 435236);
INSERT INTO teilnehmer VALUES (758, 92, 'Herr', 'Hans-Joachim', 'Dllmann', 'Oskarstr.', '55', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 770246);
INSERT INTO teilnehmer VALUES (759, 57, 'Herr', 'Rainer', 'Kranz', 'Annastr.', '13', 'Rttenscheid', 'D', 45130, 'Essen, Ruhr', 201, 207335);
INSERT INTO teilnehmer VALUES (760, 39, 'Herr', 'Ronald', 'Bendkowski', 'Steeler Str.', '334', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 5084211);
INSERT INTO teilnehmer VALUES (761, 222, NULL, 'U.', 'Cocci', 'Mooswinkel', '105', 'Eppendorf', 'D', 44869, 'Bochum', 2327, 959285);
INSERT INTO teilnehmer VALUES (762, 78, 'Frau', 'Walburga', 'Frstenberg', 'Riesweg', '28', 'Stadtwald', 'D', 45134, 'Essen, Ruhr', 201, 486625);
INSERT INTO teilnehmer VALUES (763, 128, 'Herr', 'Heinrich', 'Gertler-Wasmer', 'Drosteweg', '23', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 411181);
INSERT INTO teilnehmer VALUES (764, 166, 'Frau', 'Gisela', 'Baltes', 'Bahnhofstr.', '21A', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 7090897);
INSERT INTO teilnehmer VALUES (765, 198, 'Herr', 'Karl', 'Gleisberg', 'Dorstener Str.', '22', 'Hamme', 'D', 44809, 'Bochum', 234, 398142);
INSERT INTO teilnehmer VALUES (766, 62, 'Herr', 'Karl', 'Bessel', 'Meraner Weg', '226', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 4103843);
INSERT INTO teilnehmer VALUES (767, 167, 'Herr', 'Udo', 'Brudny', 'Rttgersweg', '118', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 2167951);
INSERT INTO teilnehmer VALUES (768, 13, 'Herr', 'Winfried', 'Richthofer', 'Achternbergstr.', '6', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 68508);
INSERT INTO teilnehmer VALUES (769, 48, 'Herr', 'Werner', 'Mues', 'Bornstr.', '9', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 82925);
INSERT INTO teilnehmer VALUES (770, 209, 'Frau', 'Anna', 'Dreesen', 'Harzstr.', '71', 'Bergen', 'D', 44807, 'Bochum', 234, 799042);
INSERT INTO teilnehmer VALUES (771, 203, 'Herr', 'Wilhelm', 'Meier', 'Haunerfeldstr.', '10', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 135876);
INSERT INTO teilnehmer VALUES (772, 175, 'Herr', 'Reinhard', 'Ebke', 'Dutzendriege', '54', 'Kray', 'D', 45309, 'Essen, Ruhr', 201, 764944);
INSERT INTO teilnehmer VALUES (773, 166, 'Frau', 'Irmgard', 'Wensing', 'Ladenspelderstr.', NULL, 'Holsterhausen', 'D', 45147, 'Essen, Ruhr', 201, 18808);
INSERT INTO teilnehmer VALUES (774, 9, 'Herr', 'Aloys', 'Dreyfeldt', 'Schlgelstr.', '62', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 782633);
INSERT INTO teilnehmer VALUES (775, 59, NULL, 'E.', 'Baltruschat', 'Eichenweg', '191d', NULL, 'D', 45525, 'Hattingen, Ruhr', 2324, 6408315);
INSERT INTO teilnehmer VALUES (776, 13, NULL, 'D.', 'Menne', 'Bismarckstr.', '9', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 84524);
INSERT INTO teilnehmer VALUES (777, 250, 'Frau', 'Heike', 'Frber', 'Ermlandstr.', '42', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 595575);
INSERT INTO teilnehmer VALUES (778, 2, NULL, 'Ccilie', 'Frster', 'Mrkische Str.', '31', 'Mitte', 'D', 44141, 'Dortmund', 231, 502638);
INSERT INTO teilnehmer VALUES (779, 118, 'Herr', 'Peter', 'Weinforth', 'Schornstr.', NULL, 'Sdviertel', 'D', 45128, 'Essen, Ruhr', 201, 21778);
INSERT INTO teilnehmer VALUES (780, 12, 'Herr', 'Georg', 'Fechte', 'Wildstr.', '41', 'Vogelheim', 'D', 45356, 'Essen, Ruhr', 201, 593820);
INSERT INTO teilnehmer VALUES (781, 211, 'Herr', 'Martina', 'Seligmann', 'Schonnebecker Str.', '4', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 173, 55009);
INSERT INTO teilnehmer VALUES (782, 100, 'Herr', 'Norbert', 'Cimpel', 'Femestr.', '107', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 1140310);
INSERT INTO teilnehmer VALUES (783, 108, 'Herr', 'Sven', 'Surmann', 'Schubertstr.', '3', 'Sdviertel', 'D', 45128, 'Essen, Ruhr', 171, 45328);
INSERT INTO teilnehmer VALUES (784, 249, 'Frau', 'Gabriele', 'Schleich', 'Peter-Richarz-Str.', '5', 'Eller', 'D', 40229, 'Dsseldorf', 211, 64827);
INSERT INTO teilnehmer VALUES (785, 249, 'Herr', 'Markus', 'Glowatsch', 'Auf dem Dahlacker', '22', 'Riemke', 'D', 44807, 'Bochum', 234, 395821);
INSERT INTO teilnehmer VALUES (786, 92, 'Herr', 'Winfried', 'Drewes', 'Humboldtstr.', '63', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 783914);
INSERT INTO teilnehmer VALUES (787, 63, 'Herr', 'Henrik', 'Seemann', 'Altenbochumer Str.', '4', 'Altenbochum', 'D', 44803, 'Bochum', 172, 57090);
INSERT INTO teilnehmer VALUES (788, 173, 'Herr', 'Helmut', 'Lipka', 'Forsthauswinkel', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 144863);
INSERT INTO teilnehmer VALUES (789, 32, NULL, '', 'Kirstein', 'Lbecker Str.', '13', 'Frohnhausen', 'D', 45145, 'Essen, Ruhr', 201, 230202);
INSERT INTO teilnehmer VALUES (790, 52, 'Frau', 'Ilse', 'Frder', 'Klinikstr.', '32', 'Innenstadt', 'D', 44791, 'Bochum', 234, 512522);
INSERT INTO teilnehmer VALUES (791, 174, 'Frau', 'Inge', 'Jaske', 'Zum Schebbruch', '15', 'Querenburg', 'D', 44801, 'Bochum', 234, 270074);
INSERT INTO teilnehmer VALUES (792, 108, 'Frau', 'Jenny', 'Schlochtermeyer', NULL, '5', NULL, 'D', 0, 'Dortmund', 170, 64772);
INSERT INTO teilnehmer VALUES (793, 94, 'Herr', 'August', 'Gusdek', 'Auf der Bochumer Landwehr', '18', 'Grumme', 'D', 44791, 'Bochum', 234, 347504);
INSERT INTO teilnehmer VALUES (794, 19, NULL, 'Donay', 'Zorn', 'Merlinweg', NULL, NULL, 'D', 30629, 'Hannover', 511, 3153);
INSERT INTO teilnehmer VALUES (795, 23, 'Herr', 'Heinz', 'Besser', 'Schalker Str.', '222', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 4082856);
INSERT INTO teilnehmer VALUES (796, 69, 'Herr', 'Hans-Dieter', 'Jrgen', 'Kufsteiner Str.', '15', 'Buchholz', 'D', 47249, 'Duisburg', 203, 264951);
INSERT INTO teilnehmer VALUES (797, 93, 'Herr', 'Wolfgang', 'Bethge', 'Freisenbruch', '142', 'Sevinghausen', 'D', 44867, 'Bochum', 2327, 2819329);
INSERT INTO teilnehmer VALUES (798, NULL, 'Herr', 'Helmut', 'Manske', 'Surkampstr.', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 140406);
INSERT INTO teilnehmer VALUES (799, 52, 'Herr', 'Dirk', 'Foitzik', NULL, '32', NULL, 'D', 0, 'Dortmund', 231, 514277);
INSERT INTO teilnehmer VALUES (800, 226, 'Herr', 'Hans-Joachim', 'Volkmann', 'Tejaweg', '1', 'Huckarde', 'D', 44369, 'Dortmund', 172, 29658);
INSERT INTO teilnehmer VALUES (801, 202, 'Herr', 'Prof. Dr. Niels', 'Janko', 'Vormholzstr.', '15', 'Querenburg', 'D', 44801, 'Bochum', 234, 270975);
INSERT INTO teilnehmer VALUES (802, 244, 'Herr', 'Robert', 'Drewa', 'Im Bhl', '65', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 785587);
INSERT INTO teilnehmer VALUES (803, 270, 'Herr', 'Wilhelm', 'Halm', 'Horster Str.', '17', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 325669);
INSERT INTO teilnehmer VALUES (804, 128, 'Herr', 'Werner', 'Hasselbeck', 'Lohmhlenstr.', '17', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 322890);
INSERT INTO teilnehmer VALUES (805, 260, 'Herr', 'Albert', 'Hennig', 'Flachsstr.', '16', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 289780);
INSERT INTO teilnehmer VALUES (806, 192, 'Herr', 'Klaus', 'Fischer', 'Am Spritzenhaus', '35', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 570323);
INSERT INTO teilnehmer VALUES (807, 73, NULL, 'A.', 'Ackermann-Wantia', 'Bahnhofsallee', '9a', NULL, 'D', 48653, 'Coesfeld', 2546, 9775518);
INSERT INTO teilnehmer VALUES (808, 96, 'Frau', 'Erna', 'Zlobinski', 'Schmidtmannstr.', NULL, 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 4049);
INSERT INTO teilnehmer VALUES (809, 215, 'Herr', 'Alfons', 'Rex', 'Meckenhausen C', '6', NULL, 'D', 91161, 'Hilpoltstein, Mittelfr', 9179, 71086);
INSERT INTO teilnehmer VALUES (810, 75, 'Herr', 'Adolf', 'Zurek', NULL, NULL, NULL, 'D', 456, 'Recklinghausen, Westf', 2361, 369);
INSERT INTO teilnehmer VALUES (811, 257, 'Herr', 'Theodor', 'Besser', 'Schalker Str.', '210', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 4080421);
INSERT INTO teilnehmer VALUES (812, 82, 'Herr', 'Helmuth', 'Baltasar', 'Gnnigfelder Str.', '2a', 'Gnnigfeld', 'D', 44866, 'Bochum', 2327, 7331429);
INSERT INTO teilnehmer VALUES (813, NULL, 'Herr', 'Andreas', 'Vorgang', 'Gecksheide', '1', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 28024);
INSERT INTO teilnehmer VALUES (814, 182, 'Herr', 'Wilhelm', 'Faust', 'Fahrhauerstr.', '41', 'Altenessen-Nord', 'D', 45329, 'Essen, Ruhr', 201, 594522);
INSERT INTO teilnehmer VALUES (815, 248, 'Frau', 'Maria', 'Driemel', 'Siemensstr.', '61', 'Mitte', 'D', 44147, 'Dortmund', 231, 782541);
INSERT INTO teilnehmer VALUES (816, 125, 'Herr', 'Bernhard', 'Decke', 'Josef-Vogt-Str.', '89', NULL, 'D', 76571, 'Gaggenau', 7225, 871798);
INSERT INTO teilnehmer VALUES (817, 97, 'Frau', 'Hildegard', 'Drke', 'Overwegstr.', '57', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 772244);
INSERT INTO teilnehmer VALUES (818, 224, 'Herr', 'Christian', 'Stiehl', 'Goethestr.', '3', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 50547);
INSERT INTO teilnehmer VALUES (819, 255, NULL, 'C.', 'Balthasar', 'Mhlenbruchstr.', '205b', 'Neustadt', 'D', 45879, 'Gelsenkirchen', 209, 6958164);
INSERT INTO teilnehmer VALUES (820, 226, 'Frau', 'Klara', 'Beth', 'Burgstr.', '142', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2822826);
INSERT INTO teilnehmer VALUES (821, 79, 'Herr', 'Johann', 'Ghrs', 'Ackerstr.', '18', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 351086);
INSERT INTO teilnehmer VALUES (822, 116, 'Herr', 'Peter', 'Kasemann', 'Oberbilker Allee', '14', 'Oberbilk', 'D', 40227, 'Dsseldorf', 211, 260263);
INSERT INTO teilnehmer VALUES (823, 219, 'Herr', 'Helmut', 'Edeler', 'Berghofer Heide', '53', 'Gerthe', 'D', 44805, 'Bochum', 234, 754392);
INSERT INTO teilnehmer VALUES (824, 264, 'Herr', 'Christian', 'Siepert', 'Virchowstr.', '4', 'Hrde', 'D', 44263, 'Dortmund', 231, 53560);
INSERT INTO teilnehmer VALUES (825, 47, 'Herr', 'Wilhelm', 'Hoche', 'Zollstr.', '16', 'Bochold', 'D', 45356, 'Essen, Ruhr', 201, 287020);
INSERT INTO teilnehmer VALUES (826, 160, NULL, 'R.', 'Emde', 'Ottilienaustr.', '49', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 702121);
INSERT INTO teilnehmer VALUES (827, 197, 'Herr', 'Hans', 'Dietzel', 'Brucknerstr.', '79', 'Winz-Baak', 'D', 45529, 'Hattingen, Ruhr', 2324, 852868);
INSERT INTO teilnehmer VALUES (828, 19, 'Herr', 'Josef H.', 'Beste', 'Coburger Str.', '161', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2941134);
INSERT INTO teilnehmer VALUES (829, 60, 'Herr', 'Heinrich', 'Gemballa', 'Stratmannshof', '25', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 437757);
INSERT INTO teilnehmer VALUES (830, 240, 'Herr', 'Lutz', 'Even', 'Wittenbergstr.', '44', 'Langendreer', 'D', 44892, 'Bochum', 234, 630443);
INSERT INTO teilnehmer VALUES (831, 111, 'Herr', 'Axel', 'Deptolla', 'Hertener Str.', '83', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 862202);
INSERT INTO teilnehmer VALUES (832, 152, NULL, 'H.', 'Driemeyer', 'Weidekamp', '61', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 782046);
INSERT INTO teilnehmer VALUES (833, 101, 'Herr', 'Gnter', 'Martin', 'Ccilienstr.', '11', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 137894);
INSERT INTO teilnehmer VALUES (834, 6, 'Herr', 'Heinz', 'Fntmann', 'Otterkuhle', '28', 'Weitmar', 'D', 44795, 'Bochum', 234, 486849);
INSERT INTO teilnehmer VALUES (835, 85, 'Frau', 'Annette', 'Corbach', 'Karlstr.', '104', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 932891);
INSERT INTO teilnehmer VALUES (836, 107, 'Herr', 'Hanno', 'Seidel', 'Am Bennenbruch', '4', 'Holthausen', 'D', 45527, 'Hattingen, Ruhr', 172, 56462);
INSERT INTO teilnehmer VALUES (837, 34, NULL, 'Jonathan Roger', 'Schfer', 'Ehrenfeldstr.', '6', 'Wiemelhausen', 'D', 44789, 'Bochum', 175, 65192);
INSERT INTO teilnehmer VALUES (838, 115, 'Herr', 'Friedrich', 'Drobing', 'Hohenzollernstr.', '60', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 780530);
INSERT INTO teilnehmer VALUES (839, 212, 'Frau', 'Lieselotte', 'Balser', 'Kriemhildstr.', '42-56', 'Innenstadt', 'D', 44793, 'Bochum', 234, 7901790);
INSERT INTO teilnehmer VALUES (840, 116, NULL, 'F.', 'Genge', 'Achentalstr.', '25', NULL, 'D', 81671, 'Mnchen', 89, 434024);
INSERT INTO teilnehmer VALUES (841, 161, 'Herr', 'Walter', 'Dreler', NULL, '69', NULL, 'D', 47, 'Duisburg', 2065, 793702);
INSERT INTO teilnehmer VALUES (842, 170, 'Frau', 'Eva', 'Ertmer', 'Wittener Str.', '45', 'Langendreer', 'D', 44892, 'Bochum', 234, 639811);
INSERT INTO teilnehmer VALUES (843, 33, 'Frau', 'Maja', 'Cremers', 'Biermannsweg', '103', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 903493);
INSERT INTO teilnehmer VALUES (844, NULL, 'Herr', 'Willi', 'Frank', 'Weitmarer Str.', '31', 'Weitmar', 'D', 44795, 'Bochum', 234, 500444);
INSERT INTO teilnehmer VALUES (845, 269, 'Frau', 'Else', 'Baska', 'Pfefferackerstr.', '390', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 5244784);
INSERT INTO teilnehmer VALUES (846, 140, 'Frau', 'Gabriele', 'Mnchhalfen', 'Fuchseckstr.', '9', NULL, 'D', 73054, 'Eislingen, Fils', 7161, 83299);
INSERT INTO teilnehmer VALUES (847, 114, 'Herr', 'Helmut', 'Gutschow', 'Hohensteiner Str.', '18', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 337658);
INSERT INTO teilnehmer VALUES (848, 76, 'Herr', 'Kurt', 'Dors', 'Liboriusstr.', '72', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 812668);
INSERT INTO teilnehmer VALUES (849, 279, 'Herr', 'Hans-Dieter', 'Czeranski', 'Espenweg', '96', 'Querenburg', 'D', 44801, 'Bochum', 234, 878567);
INSERT INTO teilnehmer VALUES (850, 47, 'Herr', 'Rainer', 'Uerkwitz', 'ckendorfer Str.', '1', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 171, 33121);
INSERT INTO teilnehmer VALUES (851, 7, NULL, 'R.', 'Briese', 'Sachsenring', '125', 'Westenfeld', 'D', 44867, 'Bochum', 2327, 2500533);
INSERT INTO teilnehmer VALUES (852, 113, 'Herr', 'Josef', 'Baltes', 'Rtzkausen', '22b', 'Mitte', 'D', 42549, 'Velbert', 2051, 7186774);
INSERT INTO teilnehmer VALUES (853, 230, 'Frau', 'Luise', 'Balz jun.', 'Heimat', '522', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 5370643);
INSERT INTO teilnehmer VALUES (854, 151, 'Herr', 'Alfred H.', 'Utech', NULL, '1', NULL, 'D', 44, 'Bochum', 170, 32261);
INSERT INTO teilnehmer VALUES (855, 30, 'Herr', 'Horst', 'Wei', 'Mettmanner Str.', NULL, 'Flingern Sd', 'D', 40233, 'Dsseldorf', 211, 21416);
INSERT INTO teilnehmer VALUES (856, 210, NULL, 'M.', 'Grembowietz', 'Schaffrathstr.', '18', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 352976);
INSERT INTO teilnehmer VALUES (857, 51, 'Frau', 'Barbara', 'Ferber', 'Haberkamps Vhde', '38', 'Bodelschwingh', 'D', 44357, 'Dortmund', 231, 591186);
INSERT INTO teilnehmer VALUES (858, 35, 'Herr', 'Willi', 'Benstein', 'Ottostr.', '326', 'Wattenscheid', 'D', 44867, 'Bochum', 2327, 4990420);
INSERT INTO teilnehmer VALUES (859, 193, 'Herr', 'Lothar', 'Ackermann', 'Gippes', '9A', NULL, 'D', 34590, 'Wabern, Hess', 5683, 9962849);
INSERT INTO teilnehmer VALUES (860, 167, 'Frau', 'Gesine', 'Sedler', 'Heinickestr.', '5', 'Sdviertel', 'D', 45128, 'Essen, Ruhr', 201, 57258);
INSERT INTO teilnehmer VALUES (861, 65, 'Herr', 'Andreas', 'Anello', 'Hinter dem Flecken', '67a', NULL, 'D', 67748, 'Odenbach', 6753, 9083102);
INSERT INTO teilnehmer VALUES (862, 80, 'Herr', 'Jrgen', 'Vaupel', 'Querstr.', '1', 'Mitte', 'D', 44139, 'Dortmund', 171, 31852);
INSERT INTO teilnehmer VALUES (863, 45, 'Frau', 'Monika', 'Fentner', 'Werner Hellweg', '39', 'Laer', 'D', 44803, 'Bochum', 234, 591248);
INSERT INTO teilnehmer VALUES (864, 246, 'Frau', 'Wilma', 'Adam', 'Rosenstr.', '71A', NULL, 'D', 76448, 'Durmersheim', 7245, 9332900);
INSERT INTO teilnehmer VALUES (865, 63, 'Herr', 'Lars', 'Skrotzki-Kozlowski', 'An den Lothen', '3', 'Langendreer', 'D', 44892, 'Bochum', 234, 52776);
INSERT INTO teilnehmer VALUES (866, 56, NULL, 'E.', 'Cenk', 'Annastr.', '111', 'Innenstadt', 'D', 44793, 'Bochum', 234, 1478449);
INSERT INTO teilnehmer VALUES (867, 124, 'Frau', 'Andrea', 'Fahrmeyer', NULL, '43', NULL, 'D', 44, 'Bochum', 2327, 596888);
INSERT INTO teilnehmer VALUES (868, 192, 'Herr', 'Reinhard', 'Drewello', 'Bergkamp', '65', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 785197);
INSERT INTO teilnehmer VALUES (869, NULL, 'Herr', 'Dietrich', 'Faschina', 'Siegstr.', '41', 'Altstadt', 'D', 47051, 'Duisburg', 203, 595328);
INSERT INTO teilnehmer VALUES (870, 105, 'Herr', 'Gnter', 'Esch', 'Vorm Jger', '45', 'Langendreer', 'D', 44892, 'Bochum', 234, 639613);
INSERT INTO teilnehmer VALUES (871, 184, 'Herr', 'Johann', 'Greiffer', 'Kopleckkamp', '18', 'Wehofen', 'D', 47169, 'Duisburg', 203, 354307);
INSERT INTO teilnehmer VALUES (872, 25, NULL, 'N.', 'Giering', 'Coburger Str.', '23', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 406748);
INSERT INTO teilnehmer VALUES (873, 217, 'Herr', 'Wolfgang', 'Hojan', 'Engerstr.', '16', 'Flingern Nord', 'D', 40235, 'Dsseldorf', 211, 285238);
INSERT INTO teilnehmer VALUES (874, 138, 'Herr', 'Michael', 'Henning', 'Hestermannstr.', '16', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 289519);
INSERT INTO teilnehmer VALUES (875, 44, 'Frau', 'Ingeborg', 'Wienert', 'Kiesselbachstr.', NULL, 'Holthausen', 'D', 40589, 'Dsseldorf', 211, 14495);
INSERT INTO teilnehmer VALUES (876, 245, 'Herr', 'Jrg', 'Zuleger', 'Lange Str.', NULL, 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 1050);
INSERT INTO teilnehmer VALUES (877, 89, 'Herr', 'Michael', 'Siebers', 'Barmer Str.', '4', 'Mitte', 'D', 44137, 'Dortmund', 231, 53612);
INSERT INTO teilnehmer VALUES (878, 91, 'Herr', 'Anton', 'Cirkel', 'Eittinger Str.', '106', NULL, 'D', 85462, 'Eitting, Kr Erding', 8761, 989474);
INSERT INTO teilnehmer VALUES (879, 83, 'Herr', 'Karl', 'Mller', 'Grtershof', '9', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 82864);
INSERT INTO teilnehmer VALUES (880, 35, 'Herr', 'Christian', 'Klein', 'Opladener Str.', '13', 'Wersten', 'D', 40591, 'Dsseldorf', 211, 214563);
INSERT INTO teilnehmer VALUES (881, 12, 'Herr', 'Hans-Harald', 'Adam', 'Rugenbarg', '8A', NULL, 'D', 24558, 'Henstedt-Ulzburg', 4193, 9731434);
INSERT INTO teilnehmer VALUES (882, 24, 'Herr', 'Klaus-Peter', 'Efa', 'Heroldstr.', '53', 'Werne', 'D', 44894, 'Bochum', 234, 753642);
INSERT INTO teilnehmer VALUES (883, 200, NULL, 'Nasser', 'Pletz', 'Kopernikusstr.', '8', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 75707);
INSERT INTO teilnehmer VALUES (884, 191, 'Herr', 'Michael', 'Schoengraf', 'Frstinnenstr.', '5', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 177, 59394);
INSERT INTO teilnehmer VALUES (885, 130, 'Herr', 'Johannes', 'Fork', 'Sudholzstr.', '32', 'Dahlhausen', 'D', 44879, 'Bochum', 234, 511906);
INSERT INTO teilnehmer VALUES (886, 98, 'Herr', 'Heinz', 'Nolte', 'Kirchharpener Str.', '8', 'Gerthe', 'D', 44805, 'Bochum', 234, 80238);
INSERT INTO teilnehmer VALUES (887, 79, 'Herr', 'Bernhard', 'Hellmich', 'Niederfeldstr.', '17', 'Altendorf', 'D', 45143, 'Essen, Ruhr', 201, 311510);
INSERT INTO teilnehmer VALUES (888, 35, 'Herr', 'Dirk', 'Zubrowski', 'Bahnstr.', NULL, 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 2411);
INSERT INTO teilnehmer VALUES (889, 64, 'Frau', 'Renate', 'Rehkamp', 'Grabenstr.', '7', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 73702);
INSERT INTO teilnehmer VALUES (890, 226, 'Herr', 'Helmut', 'Drockenmller', 'Herner Str.', '59', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 780245);
INSERT INTO teilnehmer VALUES (891, 144, 'Herr', 'Manfred', 'Gellert', 'Hhenweg', '26', 'Dahlhausen', 'D', 44879, 'Bochum', 234, 446463);
INSERT INTO teilnehmer VALUES (892, 13, 'Herr', 'James', 'Gottbeht', 'Bruktererhang', '20', 'berruhr-Hinsel', 'D', 45277, 'Essen, Ruhr', 201, 375484);
INSERT INTO teilnehmer VALUES (893, NULL, NULL, 'S.', 'Weigelt', NULL, '1', NULL, 'D', 40, 'Dsseldorf', 211, 22705);
INSERT INTO teilnehmer VALUES (894, 168, 'Herr', 'Andreas', 'del Duca', 'Tanneneck', '87', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 871505);
INSERT INTO teilnehmer VALUES (895, 186, 'Herr', 'Frank', 'Adam', 'Werringser Str.', '73B', NULL, 'D', 58706, 'Menden, Sauerland', 2373, 9380587);
INSERT INTO teilnehmer VALUES (896, 235, 'Herr', 'Georg', 'Kessler', 'Marienburger Str.', '14', 'Hassels', 'D', 40599, 'Dsseldorf', 211, 236367);
INSERT INTO teilnehmer VALUES (897, 239, 'Frau', 'Heike', 'Restle', 'Butjadinger Str.', '7', NULL, 'D', 26954, 'Nordenham', 4731, 71586);
INSERT INTO teilnehmer VALUES (898, 25, 'Frau', 'Nadine', 'Szepanek', 'Lavendelweg', '2', 'Slderholz', 'D', 44289, 'Dortmund', 231, 41741);
INSERT INTO teilnehmer VALUES (899, 94, 'Frau', 'Manuela', 'Dowidat', 'Virchowstr.', '71', 'Mitte', 'D', 42549, 'Velbert', 2051, 799228);
INSERT INTO teilnehmer VALUES (900, 5, 'Herr', 'Herbert', 'Fink', 'Hattramstr.', '36', 'Karnap', 'D', 45329, 'Essen, Ruhr', 201, 581228);
INSERT INTO teilnehmer VALUES (901, 153, 'Herr', 'Andreas', 'Lanfer', 'Kreuzstr.', '12', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 203462);
INSERT INTO teilnehmer VALUES (902, 174, 'Herr', 'Friedhelm', 'Brocksch', 'Finkenstr.', '123', 'Welper', 'D', 45527, 'Hattingen, Ruhr', 2324, 2431147);
INSERT INTO teilnehmer VALUES (903, 86, NULL, 'E.', 'Melzer', 'Kemnader Str.', '10', 'Stiepel', 'D', 44797, 'Bochum', 234, 85760);
INSERT INTO teilnehmer VALUES (904, 178, 'Herr', 'Dipl.-Phys. Werner', 'Nonnweiler', 'Am Sdblick', '8', 'Gerthe', 'D', 44805, 'Bochum', 234, 77666);
INSERT INTO teilnehmer VALUES (905, 134, 'Herr', 'Gerhard', 'Kerber', 'Hasselsstr.', '14', 'Hassels', 'D', 40599, 'Dsseldorf', 211, 238230);
INSERT INTO teilnehmer VALUES (906, 209, 'Frau', 'Erika', 'Lehmann', 'Baldurstr.', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 201093);
INSERT INTO teilnehmer VALUES (907, 49, 'Herr', 'Ferdinand', 'Gransow', 'Schllerskampstr.', '19', NULL, 'D', 45307, 'Essen, Ruhr', 201, 356882);
INSERT INTO teilnehmer VALUES (908, 239, 'Frau', 'Sabine', 'Mller', 'Pommernstr.', '9', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 83864);
INSERT INTO teilnehmer VALUES (909, 195, 'Herr', 'Gnter', 'Crosberger', 'Weststr.', '103', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 903490);
INSERT INTO teilnehmer VALUES (910, 44, 'Frau', 'Edith', 'Balster', 'Hansastr.', '37b', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 7590872);
INSERT INTO teilnehmer VALUES (911, 46, 'Frau', 'Heike', 'Grebhart', 'Im Eickhof', '19', 'Niederwenigern', 'D', 45529, 'Hattingen, Ruhr', 2324, 355019);
INSERT INTO teilnehmer VALUES (912, 46, 'Herr', 'Heinrich', 'Flach', 'Erlestr.', '35', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 538784);
INSERT INTO teilnehmer VALUES (913, 23, 'Herr', 'Mark Andre', 'Gesell', 'Wilhelmstr.', '23', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 410244);
INSERT INTO teilnehmer VALUES (914, 139, 'Herr', 'Ludwig', 'Belke', 'Langenbach', '343', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 5141904);
INSERT INTO teilnehmer VALUES (915, 15, 'Herr', 'Valerij', 'Sudau', 'Am Langen Seil', '3', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 48119);
INSERT INTO teilnehmer VALUES (916, 152, 'Herr', 'Klaus', 'Klein', 'Frankfurter Str.', '13', 'Frohnhausen', 'D', 45145, 'Essen, Ruhr', 201, 219655);
INSERT INTO teilnehmer VALUES (917, 67, 'Herr', 'Erich', 'Bordmann', 'Glckaufstr.', '134', 'Hamme', 'D', 44793, 'Bochum', 234, 2715626);
INSERT INTO teilnehmer VALUES (918, 169, 'Herr', 'Helmut', 'Malik', 'Birkenkamp', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 140896);
INSERT INTO teilnehmer VALUES (919, NULL, 'Herr', 'Heinrich', 'Gonska', 'Weskampstr.', '20', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 378242);
INSERT INTO teilnehmer VALUES (920, 278, 'Herr', 'Heinz', 'Baltussen', 'Regensburger Str.', '15a', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 6049005);
INSERT INTO teilnehmer VALUES (921, 94, 'Herr', 'Stephanie', 'Baluda', 'Im Busche', '11a', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 5654353);
INSERT INTO teilnehmer VALUES (922, 180, 'Herr', 'Eugen', 'Efker', 'Werner Hellweg', '53', 'Werne', 'D', 44894, 'Bochum', 234, 751567);
INSERT INTO teilnehmer VALUES (923, 170, 'Herr', 'Bruno', 'Kandler', 'Spieckermannstr.', '14', 'Fulerum', 'D', 45149, 'Essen, Ruhr', 201, 263284);
INSERT INTO teilnehmer VALUES (924, 197, 'Frau', 'Grete', 'Gosdzick', 'Graf-Engelbert-Str.', '20', 'Innenstadt', 'D', 44791, 'Bochum', 234, 376572);
INSERT INTO teilnehmer VALUES (925, 80, 'Herr', 'Alfred', 'Gerbermann', 'Aldenhofstr.', '25', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 431155);
INSERT INTO teilnehmer VALUES (926, 246, NULL, 'M.', 'Dormann', 'Bismarckstr.', '73', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 814240);
INSERT INTO teilnehmer VALUES (927, 74, 'Herr', 'Hartmut', 'Wieners', NULL, NULL, NULL, 'D', 458, 'Gelsenkirchen', 209, 15061);
INSERT INTO teilnehmer VALUES (928, 185, 'Herr', 'Erich', 'Forkel', 'Axstr.', '32', 'Linden', 'D', 44879, 'Bochum', 234, 510744);
INSERT INTO teilnehmer VALUES (929, 227, 'Herr', 'Paul', 'Fimmers', 'Schillerstr.', '36', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 581561);
INSERT INTO teilnehmer VALUES (930, 7, 'Herr', 'Michael', 'Gemir', 'In der Farbe', '25', NULL, 'D', 37691, 'Boffzen', 5271, 435369);
INSERT INTO teilnehmer VALUES (931, 265, 'Herr', 'Josef', 'Balt', 'Lindenallee', '2A', 'Bergheim', 'D', 47226, 'Duisburg', 2065, 7388373);
INSERT INTO teilnehmer VALUES (932, 244, 'Herr', 'Heinz-Otto', 'Behnke', 'Immermannstr.', '376', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 5178330);
INSERT INTO teilnehmer VALUES (933, 130, 'Herr', 'Alessandro', 'Baltzer', 'Wilhelm-Busch-Str.', '12A', 'Neustadt', 'D', 45879, 'Gelsenkirchen', 209, 5839687);
INSERT INTO teilnehmer VALUES (934, 220, 'Herr', 'Klaus', 'Dreszer', 'Weindorfstr.', '67', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 788701);
INSERT INTO teilnehmer VALUES (935, 208, 'Herr', 'Heinrich', 'Henke', 'Bumannstr.', '17', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 295410);
INSERT INTO teilnehmer VALUES (936, 9, 'Herr', 'Ralf', 'Mehlmann', 'Baldurstr.', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 137131);
INSERT INTO teilnehmer VALUES (937, 72, NULL, 'H.', 'Baltrusch', 'Otto-Hue-Str.', '1a', NULL, 'D', 45525, 'Hattingen, Ruhr', 2324, 6852671);
INSERT INTO teilnehmer VALUES (938, 140, NULL, 'Ccilie', 'Mnz', 'Hiltroper Landwehr', '8', 'Hiltrop', 'D', 44805, 'Bochum', 234, 82152);
INSERT INTO teilnehmer VALUES (939, 98, 'Herr', 'Siegfried', 'Froese', 'Vobergring', '29', 'Heisingen', 'D', 45259, 'Essen, Ruhr', 201, 493169);
INSERT INTO teilnehmer VALUES (940, 108, 'Herr', 'Gnter', 'Drewel', 'Knappschaftshof', '65', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 785365);
INSERT INTO teilnehmer VALUES (941, 5, 'Herr', 'Walter', 'Fritzsche', 'Silberhecke', '29', 'Wellinghofen', 'D', 44265, 'Dortmund', 231, 493758);
INSERT INTO teilnehmer VALUES (942, NULL, 'Frau', 'Margot', 'Balster', 'Breddestr.', '34a', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 7489558);
INSERT INTO teilnehmer VALUES (943, 240, 'Herr', 'Wolfgang', 'Reis', 'Am Ostenberg', '7', NULL, 'D', 32351, 'Stemwede', 5773, 72384);
INSERT INTO teilnehmer VALUES (944, 92, NULL, 'P.', 'Kiefert', NULL, '14', NULL, 'D', 40, 'Dsseldorf', 211, 231711);
INSERT INTO teilnehmer VALUES (945, 228, 'Frau', 'Veronika', 'Robegalle', 'Ebertstr.', '6', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 66560);
INSERT INTO teilnehmer VALUES (946, 13, 'Herr', 'Francesco', 'Gttel', 'Hedwigstr.', '20', 'Innenstadt', 'D', 44809, 'Bochum', 234, 374224);
INSERT INTO teilnehmer VALUES (947, 212, 'Herr', 'Karlheinz', 'Drewitz', 'Elisabethstr.', '63', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 783302);
INSERT INTO teilnehmer VALUES (948, 4, NULL, 'B.', 'Drke', 'Knappschaftsstr.', '57', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 772176);
INSERT INTO teilnehmer VALUES (949, 254, 'Herr', 'Joachim', 'Selke', 'Ophofstr.', '4', 'Buer', 'D', 45894, 'Gelsenkirchen', 172, 54834);
INSERT INTO teilnehmer VALUES (950, 158, 'Frau', 'Ursula', 'Flotte Ecke', 'Hollacker', '34', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 521584);
INSERT INTO teilnehmer VALUES (951, 117, 'Herr', 'Manfred', 'Eggarter', 'Rosenbaumweg', '53', 'Harpen', 'D', 44805, 'Bochum', 234, 751554);
INSERT INTO teilnehmer VALUES (952, 76, 'Frau', 'Alma Isabel', 'Ribka', 'Blcherstr.', '6', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 70566);
INSERT INTO teilnehmer VALUES (953, 80, 'Herr', 'Udo', 'Eggenstein', 'Werner Hellweg', '52', 'Werne', 'D', 44894, 'Bochum', 234, 750203);
INSERT INTO teilnehmer VALUES (954, 78, 'Herr', 'Adolf', 'Goldmann', 'Kolpingstr.', '21', 'Alt-Hamborn', 'D', 47166, 'Duisburg', 203, 390312);
INSERT INTO teilnehmer VALUES (955, 164, 'Frau', 'Karin', 'Feldmann', 'Am Hlsenbusch', '40', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 592890);
INSERT INTO teilnehmer VALUES (956, 259, 'Herr', 'Thomas', 'Beler', 'Eulerstr.', '196', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 3848479);
INSERT INTO teilnehmer VALUES (957, 195, 'Frau', 'Heike', 'Galuch', 'Apolloweg', '27', 'Berghofen', 'D', 44269, 'Dortmund', 231, 471510);
INSERT INTO teilnehmer VALUES (958, 187, 'Frau', 'Eva', 'Jansen', NULL, '15', NULL, 'D', 40, 'Dsseldorf', 211, 270975);
INSERT INTO teilnehmer VALUES (959, 115, 'Herr', 'Willi', 'Lennertz-Finger', 'Mandelweg', '12', 'Hntrop', 'D', 44869, 'Bochum', 2327, 200171);
INSERT INTO teilnehmer VALUES (960, 247, 'Herr', 'Michael', 'Liebern', 'Albertus-Magnus-Str.', '12', 'Huckingen', 'D', 47259, 'Duisburg', 203, 145316);
INSERT INTO teilnehmer VALUES (961, 267, 'Herr', 'Hartmuth', 'Falk', 'Johannisstr.', '43', 'Nordviertel', 'D', 45141, 'Essen, Ruhr', 201, 596685);
INSERT INTO teilnehmer VALUES (962, 68, 'Frau', 'Elke', 'Zuber', 'Charlottenstr.', NULL, 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 2967);
INSERT INTO teilnehmer VALUES (963, NULL, 'Herr', 'Dietmar', 'Bauer', 'Castroper Str.', '387', NULL, 'D', 44628, 'Herne, Westf', 2323, 5237868);
INSERT INTO teilnehmer VALUES (964, 200, 'Herr', 'Horst', 'Feicht', 'Kuhlehof', '41', 'Altenbochum', 'D', 44803, 'Bochum', 234, 593765);
INSERT INTO teilnehmer VALUES (965, 187, 'Herr', 'Rolf', 'Gollan', 'Flurstr.', '21', 'Innenstadt', 'D', 44791, 'Bochum', 234, 382991);
INSERT INTO teilnehmer VALUES (966, 181, 'Herr', 'Uwe', 'Faber', 'Niehusmannskamp', '43', 'Altenessen-Sd', 'D', 45326, 'Essen, Ruhr', 201, 615853);
INSERT INTO teilnehmer VALUES (967, 96, 'Herr', 'Heinrich', 'Arendt', 'Im Zaungrtle', '5a', NULL, 'D', 74229, 'Oedheim', 7139, 8390042);
INSERT INTO teilnehmer VALUES (968, 118, 'Frau', 'Simone', 'Voss', 'Ophofstr.', '1', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 27501);
INSERT INTO teilnehmer VALUES (969, 165, 'Herr', 'Alfons', 'Gudelj', 'Obererle', '18', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 351146);
INSERT INTO teilnehmer VALUES (970, 20, 'Herr', 'Rudolf', 'Ackermann', 'Rischenangerweg', '9a', NULL, 'D', 37139, 'Adelebsen', 5506, 9775736);
INSERT INTO teilnehmer VALUES (971, 112, 'Frau', 'Else', 'Drobnitza', 'ckendorfer Str.', '59', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 780354);
INSERT INTO teilnehmer VALUES (972, 7, 'Herr', 'Albert', 'Padberg', 'Magdeburger Str.', '8', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 76430);
INSERT INTO teilnehmer VALUES (973, 136, 'Herr', 'Ferdinand', 'Czaplewski', 'Karl-Arnold-Str.', '97', 'Eppendorf', 'D', 44869, 'Bochum', 2327, 879837);
INSERT INTO teilnehmer VALUES (974, 61, 'Herr', 'Karl', 'Dacal Otero', 'Tiemannsweg', '95', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 878140);
INSERT INTO teilnehmer VALUES (975, 27, 'Frau', 'Maren', 'Greifenberg', 'Horster Str.', '18', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 354815);
INSERT INTO teilnehmer VALUES (976, 87, 'Herr', 'Axel', 'Meinhardt', 'Flachsbachstr.', '10', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 130705);
INSERT INTO teilnehmer VALUES (977, 157, NULL, 'S.', 'Golman', 'Sondernkamp', '21', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 381244);
INSERT INTO teilnehmer VALUES (978, 275, 'Herr', 'Erhard', 'Armbruster', 'Am Weidengraben', '52c', NULL, 'D', 54296, 'Trier', 651, 8305021);
INSERT INTO teilnehmer VALUES (979, 151, 'Frau', 'Helma', 'Engel', 'Bandelstr.', '48', 'Huttrop', 'D', 45136, 'Essen, Ruhr', 201, 681856);
INSERT INTO teilnehmer VALUES (980, 243, 'Herr', 'Gnter', 'Dabelstein', 'Richtstrecke', '95', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 878433);
INSERT INTO teilnehmer VALUES (981, 138, 'Herr', 'Hans', 'Baltrusch', 'Claubergstr.', '1a', 'Dellviertel', 'D', 47051, 'Duisburg', 203, 6588521);
INSERT INTO teilnehmer VALUES (982, 200, 'Frau', 'Gabriele', 'Cink', 'Polsumer Str.', '106', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 990087);
INSERT INTO teilnehmer VALUES (983, 4, NULL, 'H.', 'Gollub', 'Harpenstr.', '21', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 381505);
INSERT INTO teilnehmer VALUES (984, 264, 'Herr', 'Karlheinz', 'Dewitz', 'Rauendahlstr.', '81', 'Winz-Baak', 'D', 45529, 'Hattingen, Ruhr', 2324, 858376);
INSERT INTO teilnehmer VALUES (985, 119, 'Herr', 'Aribert', 'Domnitsch', 'Theodorstr.', '74', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 815314);
INSERT INTO teilnehmer VALUES (986, 1, 'Herr', 'Roland', 'Flobach', 'Kirchhellenstr.', '34', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 522079);
INSERT INTO teilnehmer VALUES (987, 140, 'Herr', 'Willi', 'Adam', 'Wilhelmshher Str.', '8a', 'Langenberg', 'D', 42555, 'Velbert', 2052, 9712025);
INSERT INTO teilnehmer VALUES (988, 163, NULL, 'W.', 'Balve', 'Heinrichplatz', '110a', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 5610625);
INSERT INTO teilnehmer VALUES (989, 80, NULL, 'I.', 'Glckner', 'Morungenweg', '22', 'Freisenbruch', 'D', 45279, 'Essen, Ruhr', 201, 398094);
INSERT INTO teilnehmer VALUES (990, 76, 'Herr', 'Bernfried', 'Drewa', 'Mechtenbergstr.', '65', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 785701);
INSERT INTO teilnehmer VALUES (991, 18, 'Herr', 'Helmut', 'Gorny', 'Pamannstr.', '20', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 378104);
INSERT INTO teilnehmer VALUES (992, 224, 'Herr', 'Mark', 'Dymek', 'Richardstr.', '55', 'Eller', 'D', 40231, 'Dsseldorf', 211, 767897);
INSERT INTO teilnehmer VALUES (993, 54, 'Herr', 'Ralf', 'Weikert', 'Trapmannweg', '1', 'Asseln', 'D', 44319, 'Dortmund', 231, 22240);
INSERT INTO teilnehmer VALUES (994, NULL, 'Herr', 'Rdiger', 'Drinkmann', 'Hertastr.', '60', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 780998);
INSERT INTO teilnehmer VALUES (995, 247, 'Herr', 'Gerhard', 'Drker', 'Brackeler Hellweg', '57', 'Brackel', 'D', 44309, 'Dortmund', 231, 772024);
INSERT INTO teilnehmer VALUES (996, 93, NULL, 'lker', 'Besser', 'Kurt-Schumacher-Str.', '223', 'Schalke-Nord', 'D', 45881, 'Gelsenkirchen', 209, 4083803);
INSERT INTO teilnehmer VALUES (997, 152, 'Herr', 'Helmut H.', 'Lennardt', 'Am Sdpark', '12', 'Hntrop', 'D', 44869, 'Bochum', 2327, 200889);
INSERT INTO teilnehmer VALUES (998, 67, 'Herr', 'Harald', 'Frmgen', 'Overgnne', '29', 'Benninghofen', 'D', 44269, 'Dortmund', 231, 492899);
INSERT INTO teilnehmer VALUES (999, 42, 'Herr', 'Herbert', 'Gora', 'Weskampstr.', '20', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 378153);
INSERT INTO teilnehmer VALUES (1000, 219, 'Frau', 'Eva', 'Plattner', 'Deichstr.', '8', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 76022);
INSERT INTO teilnehmer VALUES (1001, 58, 'Herr', 'Kurt', 'Fensch', 'Kettelerstr.', '39', 'Altenbochum', 'D', 44803, 'Bochum', 234, 591745);
INSERT INTO teilnehmer VALUES (1002, 174, 'Herr', 'Hans-Gerd', 'Dreszkowski', 'Robert-Schmidt-Str.', '67', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 788253);
INSERT INTO teilnehmer VALUES (1003, 180, 'Frau', 'Anette', 'Theuerl', 'Essener Str.', '2', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 35446);
INSERT INTO teilnehmer VALUES (1004, 96, 'Frau', 'Grete', 'Best', 'Welperstr.', '168', NULL, 'D', 45525, 'Hattingen, Ruhr', 2324, 3036848);
INSERT INTO teilnehmer VALUES (1005, 77, 'Frau', 'Monika', 'Zirkenbach', 'Bunzlaustr.', NULL, 'Hrde', 'D', 44263, 'Dortmund', 170, 4786);
INSERT INTO teilnehmer VALUES (1006, 25, 'Frau', 'Monika', 'Friedrich', 'Stensstr.', '30', 'Weitmar', 'D', 44795, 'Bochum', 234, 495263);
INSERT INTO teilnehmer VALUES (1007, 172, 'Herr', 'Wilfried', 'Kirschstein', 'Niersteiner Str.', '14', 'Frohnhausen', 'D', 45145, 'Essen, Ruhr', 201, 231257);
INSERT INTO teilnehmer VALUES (1008, 185, 'Herr', 'Jochen', 'Kauch', 'Kalkweg', '14', 'Wanheimerort', 'D', 47055, 'Duisburg', 203, 258270);
INSERT INTO teilnehmer VALUES (1009, 38, 'Herr', 'Martin', 'Flottemesch', 'Westerholter Str.', '33', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 521090);
INSERT INTO teilnehmer VALUES (1010, 230, 'Herr', 'Wolfgang', 'Brning', 'Im Bahnwinkel', '117', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 2073109);
INSERT INTO teilnehmer VALUES (1011, 152, 'Herr', 'Harald', 'Rtzel', 'Bulmker Str.', '6', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 66061);
INSERT INTO teilnehmer VALUES (1012, 107, 'Herr', 'Fritz', 'Kornatzki', 'Zum Markt', '13', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 209675);
INSERT INTO teilnehmer VALUES (1013, 225, 'Herr', 'Werner', 'Flamma', 'Nienhofstr.', '35', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 537884);
INSERT INTO teilnehmer VALUES (1014, NULL, 'Herr', 'Rolf', 'Dreler', 'Hilgenboomstr.', '68', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 788893);
INSERT INTO teilnehmer VALUES (1015, 167, 'Herr', 'Michael', 'Rosenthal', 'Husemannstr.', '6', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 66720);
INSERT INTO teilnehmer VALUES (1016, 130, 'Herr', 'Karl-Heinz', 'Hopp', 'Schnebecker Str.', '16', 'Schnebeck', 'D', 45359, 'Essen, Ruhr', 201, 285123);
INSERT INTO teilnehmer VALUES (1017, 57, 'Frau', 'Ingeborg', 'Menne', 'Grillostr.', '9', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 84753);
INSERT INTO teilnehmer VALUES (1018, 142, 'Herr', 'Rudi', 'Civak', 'Oberlinder Str.', '106', NULL, 'D', 96524, 'Gefell b Sonneberg, Thr', 36764, 979658);
INSERT INTO teilnehmer VALUES (1019, 97, 'Herr', 'Karlheinz', 'Gosdzinski', 'Remmelskamp', '20', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 375836);
INSERT INTO teilnehmer VALUES (1020, 144, 'Herr', 'Helmut', 'Exner', 'Dirschauer Str.', '44', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 626613);
INSERT INTO teilnehmer VALUES (1021, 242, 'Herr', 'Alois', 'Loebe', 'Dsseldorfer Landstr.', '12', 'Huckingen', 'D', 47259, 'Duisburg', 203, 142709);
INSERT INTO teilnehmer VALUES (1022, 274, 'Herr', 'Ralf', 'Graf', 'Braukmperstr.', '19', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 370074);
INSERT INTO teilnehmer VALUES (1023, 199, 'Frau', 'Claudia', 'Kaveh', 'Steinhausenstr.', '14', 'Holsterhausen', 'D', 45147, 'Essen, Ruhr', 201, 250201);
INSERT INTO teilnehmer VALUES (1024, 194, NULL, 'E.', 'Balthasar', 'Robert-Koch-Str.', '1c', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 6880522);
INSERT INTO teilnehmer VALUES (1025, 119, 'Herr', 'Ingo', 'Schroeder', NULL, '5', NULL, 'D', 44, 'Bochum', 171, 58929);
INSERT INTO teilnehmer VALUES (1026, 181, 'Herr', 'Heinz', 'Pilarski', 'Borgmannshof', '8', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 76341);
INSERT INTO teilnehmer VALUES (1027, 275, 'Herr', 'Frank', 'Ehrenberg', 'Mettmanner Str.', '52', 'Mitte', 'D', 42549, 'Velbert', 2051, 736690);
INSERT INTO teilnehmer VALUES (1028, 52, NULL, 'H.', 'Besser', NULL, '202', NULL, 'D', 458, 'Gelsenkirchen', 209, 3983462);
INSERT INTO teilnehmer VALUES (1029, 91, 'Herr', 'Ralf', 'Fontana', NULL, '32', NULL, 'D', 45, 'Essen, Ruhr', 201, 512568);
INSERT INTO teilnehmer VALUES (1030, 210, 'Herr', 'Roland', 'Reteuna', 'Herdweg', '7', NULL, 'D', 89185, 'Httisheim', 7305, 71527);
INSERT INTO teilnehmer VALUES (1031, 177, 'Herr', 'Dieter', 'Degner', 'In der Rohde', '89', 'Eppendorf', 'D', 44869, 'Bochum', 2327, 871637);
INSERT INTO teilnehmer VALUES (1032, 237, 'Herr', 'Rainer', 'Rickenbrock', 'Chaudronstr.', '6', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 67846);
INSERT INTO teilnehmer VALUES (1033, 206, 'Herr', 'Johannes', 'Brinkforth', 'Bernhardstr.', '125', 'Hochemmerich', 'D', 47226, 'Duisburg', 2065, 2471879);
INSERT INTO teilnehmer VALUES (1034, 26, 'Herr', 'Dr. Eugen', 'Barton', 'Hlser Str.', '405', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 5326216);
INSERT INTO teilnehmer VALUES (1035, 2, 'Frau', 'Christa', 'Est', 'Unterstr.', '45', 'Langendreer', 'D', 44892, 'Bochum', 234, 638261);
INSERT INTO teilnehmer VALUES (1036, 233, 'Herr', 'Johann', 'Geldermann', 'Stckstr.', '26', 'Aldenrade', 'D', 47179, 'Duisburg', 203, 450815);
INSERT INTO teilnehmer VALUES (1037, 237, 'Frau', 'Inge', 'Beling', 'Friedrich-Ebert-Str.', '186', 'Mitte', 'D', 42549, 'Velbert', 2051, 3600555);
INSERT INTO teilnehmer VALUES (1038, 34, 'Herr', 'August', 'Chrzon', 'Tulpenweg', '107', 'Birth', 'D', 42549, 'Velbert', 2051, 1209090);
INSERT INTO teilnehmer VALUES (1039, 175, 'Herr', 'Karl-Heinz', 'Balsmeier', 'Oberstr.', '38a', NULL, 'D', 51149, 'Kln', 2203, 7693942);
INSERT INTO teilnehmer VALUES (1040, 205, 'Frau', 'Brigitte', 'Feldhordt', 'Urftstr.', '40', NULL, 'D', 50996, 'Kln', 221, 593296);
INSERT INTO teilnehmer VALUES (1041, 134, 'Firma', 'M.', 'Glser', 'Dorstener Str.', '23', 'Hamme', 'D', 44809, 'Bochum', 234, 398460);
INSERT INTO teilnehmer VALUES (1042, 273, 'Herr', 'Martin', 'Abel', 'Waldstr.', '9b', NULL, 'D', 74749, 'Rosenberg, Baden', 6295, 75079936);
INSERT INTO teilnehmer VALUES (1043, 158, NULL, 'H.', 'Fischer', 'Brenkampstr.', '35', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 547422);
INSERT INTO teilnehmer VALUES (1044, 50, 'Herr', 'Volker', 'Frhner', 'Florastr.', '29', 'Weitmar', 'D', 44795, 'Bochum', 234, 492934);
INSERT INTO teilnehmer VALUES (1045, 155, NULL, 'G.', 'Balz', 'Hagenstr.', '934', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 5454773);
INSERT INTO teilnehmer VALUES (1046, 194, 'Herr', 'Norbert', 'Gerding', 'I. Parallelstr.', '24', NULL, 'D', 44791, 'Bochum', 234, 430135);
INSERT INTO teilnehmer VALUES (1047, 139, NULL, 'K.', 'Tietje', 'Auf dem Haidchen', '1', 'Welper', 'D', 45527, 'Hattingen, Ruhr', 173, 33684);
INSERT INTO teilnehmer VALUES (1048, NULL, 'Herr', 'Josef', 'Glos', 'Wanner Str.', '22', 'Hamme', 'D', 44809, 'Bochum', 234, 396512);
INSERT INTO teilnehmer VALUES (1049, 212, 'Frau', 'Susanne', 'Jaschinski', NULL, '15', NULL, 'D', 45, 'Essen, Ruhr', 201, 270967);
INSERT INTO teilnehmer VALUES (1050, 153, 'Frau', 'Ilse', 'Frechen', 'Generalstr.', '30', 'Weitmar', 'D', 44795, 'Bochum', 234, 497146);
INSERT INTO teilnehmer VALUES (1051, 160, 'Herr', 'Jrgen', 'Goldhagen', 'Neidenburger Str.', '21', 'Riemke', 'D', 44807, 'Bochum', 234, 390511);
INSERT INTO teilnehmer VALUES (1052, 228, 'Herr', 'Alfred', 'Graser', 'Kurze Reihe', '19', 'Krne', 'D', 44143, 'Dortmund', 231, 355967);
INSERT INTO teilnehmer VALUES (1053, 237, 'Herr', 'Jan', 'Balve', 'Schlgelstr.', '109b', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 5602854);
INSERT INTO teilnehmer VALUES (1054, 193, 'Herr', 'Romolo', 'Wiengarn', 'Hinter den Hfen', NULL, 'Holthausen', 'D', 40589, 'Dsseldorf', 211, 13932);
INSERT INTO teilnehmer VALUES (1055, 41, 'Herr', 'Walter', 'Naserke', 'Am Knick', '8', 'Gerthe', 'D', 44805, 'Bochum', 234, 82129);
INSERT INTO teilnehmer VALUES (1056, 279, 'Herr', 'Klaus', 'Emrich', 'Haidekamp', '48', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 686139);
INSERT INTO teilnehmer VALUES (1057, 26, NULL, 'Hikmet', 'Hveler', 'Stahlhauser Str.', '16', 'Innenstadt', 'D', 44793, 'Bochum', 234, 277269);
INSERT INTO teilnehmer VALUES (1058, 250, 'Frau', 'Edith', 'Meisborn', 'Haarholzer Str.', '10', 'Stiepel', 'D', 44797, 'Bochum', 234, 89441);
INSERT INTO teilnehmer VALUES (1059, 168, 'Frau', 'Elisabeth', 'Droste', 'Bulmker Str.', '58', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 772926);
INSERT INTO teilnehmer VALUES (1060, 79, 'Herr', 'Egon', 'Balz', 'Nollenpad', '537', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 5423762);
INSERT INTO teilnehmer VALUES (1061, 129, 'Herr', 'Hans-Georg', 'Gick', 'Wolfstr.', '23', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 409106);
INSERT INTO teilnehmer VALUES (1062, 121, 'Herr', 'Markus', 'Sendel', 'Ehrenfeldstr.', '4', 'Wiemelhausen', 'D', 44789, 'Bochum', 172, 54082);
INSERT INTO teilnehmer VALUES (1063, 67, 'Frau', 'Christel', 'Gbel', 'Beisingstr.', '22', 'Riemke', 'D', 44807, 'Bochum', 234, 394867);
INSERT INTO teilnehmer VALUES (1064, 69, 'Herr', 'Jrg-Peter', 'Balser', 'Hammer Str.', '3a', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 7822511);
INSERT INTO teilnehmer VALUES (1065, 273, 'Herr', 'Bernd', 'Besser', 'Overwegstr.', '200', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 3849503);
INSERT INTO teilnehmer VALUES (1066, 71, NULL, 'Heinz-Gnter', 'Elsenbruch', 'Auf der Kiekbast', '50', 'Werne', 'D', 44894, 'Bochum', 234, 704614);
INSERT INTO teilnehmer VALUES (1067, 279, 'Frau', 'Olga', 'Maahoff', 'Cranger Str.', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 142413);
INSERT INTO teilnehmer VALUES (1068, 276, 'Herr', 'Alfons', 'Acosta Garcia', 'Ortsring', '943a', NULL, 'D', 36329, 'Romrod', 6636, 9773744);
INSERT INTO teilnehmer VALUES (1069, 131, 'Herr', 'Heinrich', 'Frodermann', 'Rmerstr.', '29', 'Derendorf', 'D', 40476, 'Dsseldorf', 211, 493296);
INSERT INTO teilnehmer VALUES (1070, 243, 'Herr', 'Dieter', 'Menke', 'Ehmsenhof', '9', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 84989);
INSERT INTO teilnehmer VALUES (1071, 84, 'Herr', 'Florian', 'Broska', 'Schnbuchstr.', '119', NULL, 'D', 72135, 'Dettenhausen, Wrtt', 7157, 2335942);
INSERT INTO teilnehmer VALUES (1072, NULL, NULL, 'B.', 'Balter', 'Peterstr.', '24A', 'Neustadt', 'D', 45879, 'Gelsenkirchen', 209, 7221170);
INSERT INTO teilnehmer VALUES (1073, 192, NULL, 'Serijan', 'Schfer', 'Schirmerstr.', '6', 'Pempelfort', 'D', 40211, 'Dsseldorf', 179, 65213);
INSERT INTO teilnehmer VALUES (1074, 183, 'Herr', 'Jrgen', 'Zimolong', 'Am mminger Hang', NULL, 'Langendreer', 'D', 44892, 'Bochum', 234, 5353);
INSERT INTO teilnehmer VALUES (1075, 228, 'Herr', 'Rolf', 'Mandt', 'Raiffeisenstr.', '11', 'Huckingen', 'D', 47259, 'Duisburg', 203, 140713);
INSERT INTO teilnehmer VALUES (1076, 104, 'Frau', 'Maria', 'Filipe', 'Wandelsweg', '36', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 582386);
INSERT INTO teilnehmer VALUES (1077, 37, 'Herr', 'Heinz', 'Doelle', 'Magdalenenstr.', '75', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 819703);
INSERT INTO teilnehmer VALUES (1078, 64, 'Frau', 'Agnes', 'Gdecke', 'Dammstr.', '22', 'Freisenbruch', 'D', 45279, 'Essen, Ruhr', 201, 394702);
INSERT INTO teilnehmer VALUES (1079, 84, 'Herr', 'Lothar', 'Fox', 'Weitmarer Str.', '31', 'Weitmar', 'D', 44795, 'Bochum', 234, 500908);
INSERT INTO teilnehmer VALUES (1080, 11, 'Herr', 'Peter', 'Janetzki', 'Ltgendortmunder Hellweg', '15', 'Ltgendortmund', 'D', 44388, 'Dortmund', 231, 271374);
INSERT INTO teilnehmer VALUES (1081, 110, 'Herr', 'Christian', 'Zimmermann', 'Hilgenboomstr.', NULL, 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 6264);
INSERT INTO teilnehmer VALUES (1082, 159, 'Herr', 'Rudi', 'Ganzer', 'Herzogstr.', '27', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 470644);
INSERT INTO teilnehmer VALUES (1083, 123, NULL, 'Semen', 'Ploch', 'Gabelskamp', '7', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 75339);
INSERT INTO teilnehmer VALUES (1084, 258, 'Frau', 'Erika', 'Meiner', NULL, '10', NULL, 'D', 44, 'Bochum', 234, 88998);
INSERT INTO teilnehmer VALUES (1085, 65, 'Frau', 'Wilma', 'Fischer', 'Paulstr.', '35', 'Wiemelhausen', 'D', 44803, 'Bochum', 234, 570950);
INSERT INTO teilnehmer VALUES (1086, 28, 'Herr', 'Rajmund', 'Semistan', 'Zillertalstr.', '4', 'Riemke', 'D', 44807, 'Bochum', 172, 54746);
INSERT INTO teilnehmer VALUES (1087, 75, 'Herr', 'Dieter', 'Deming', 'Mandelweg', '85', 'Hntrop', 'D', 44869, 'Bochum', 2327, 870201);
INSERT INTO teilnehmer VALUES (1088, 171, 'Frau', 'Marianne', 'Baltasar', NULL, '2A', NULL, 'D', 4552, 'Hattingen, Ruhr', 2324, 7310861);
INSERT INTO teilnehmer VALUES (1089, 87, 'Herr', 'Stephan', 'Mendes', 'Tilsiter Str.', '10', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 85709);
INSERT INTO teilnehmer VALUES (1090, 136, 'Herr', 'Christian', 'Frieg', 'Drerstr.', '30', 'Weitmar', 'D', 44795, 'Bochum', 234, 495153);
INSERT INTO teilnehmer VALUES (1091, 101, 'Frau', 'Sofia', 'Gercek', 'Moorkampstr.', '25', 'Heler', 'D', 45883, 'Gelsenkirchen', 209, 431032);
INSERT INTO teilnehmer VALUES (1092, 110, 'Frau', 'Iris', 'Nolting', 'Bergener Str.', '8', 'Bergen', 'D', 44807, 'Bochum', 234, 78261);
INSERT INTO teilnehmer VALUES (1093, 232, 'Herr', 'Rudolf A.', 'Meese', 'Heistr.', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 137148);
INSERT INTO teilnehmer VALUES (1094, 92, 'Herr', 'Michael', 'Balz', 'Bulmker Str.', '102A', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 5513535);
INSERT INTO teilnehmer VALUES (1095, 273, 'Frau', 'Ulrike', 'Armgart', 'Braukloh', '50A', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 8181878);
INSERT INTO teilnehmer VALUES (1096, 278, 'Frau', 'Birgit', 'Frhlich', 'Florastr.', '29', 'Weitmar', 'D', 44795, 'Bochum', 234, 493133);
INSERT INTO teilnehmer VALUES (1097, 215, 'Herr', 'Ralf', 'Takami', 'Rheinallee', '2', NULL, 'D', 53173, 'Bonn', 179, 36240);
INSERT INTO teilnehmer VALUES (1098, 254, 'Herr', 'Dieter', 'Menne', 'Bickernstr.', '9', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 84436);
INSERT INTO teilnehmer VALUES (1099, 104, 'Herr', 'Ernst', 'Fiebich', 'Krautstr.', '37', 'Neudorf-Sd', 'D', 47057, 'Duisburg', 203, 583394);
INSERT INTO teilnehmer VALUES (1100, NULL, 'Herr', 'Walter', 'Goschau', 'Herner Str.', '20', 'Hamme', 'D', 44809, 'Bochum', 234, 377300);
INSERT INTO teilnehmer VALUES (1101, 231, 'Herr', 'Max', 'Kornadt', 'Brenscheder Str.', '13', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 210457);
INSERT INTO teilnehmer VALUES (1102, 261, 'Herr', 'Lothar', 'Krah', 'Dsseldorfer Str.', '13', 'Wanheimerort', 'D', 47055, 'Duisburg', 203, 207958);
INSERT INTO teilnehmer VALUES (1103, 131, NULL, 'Heinz-Jrg', 'Sehr', NULL, '4', NULL, 'D', 44, 'Bochum', 173, 56959);
INSERT INTO teilnehmer VALUES (1104, 257, 'Herr', 'Albert', 'Flo', 'Helene-Weber-Weg', '34', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 522345);
INSERT INTO teilnehmer VALUES (1105, 128, 'Herr', 'Georg', 'Mller', 'Holzdamm', '9', NULL, 'D', 28279, 'Bremen', 421, 82500);
INSERT INTO teilnehmer VALUES (1106, 232, 'Frau', 'Sieglinde', 'Grabosch', 'Theodor-Otte-Str.', '19', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 370201);
INSERT INTO teilnehmer VALUES (1107, 274, 'Herr', 'Klaus-D.', 'Kauth', 'Hagener Str.', '14', 'Kirchhrde', 'D', 44229, 'Dortmund', 231, 250905);
INSERT INTO teilnehmer VALUES (1108, 213, 'Herr', 'Tobias', 'Ricken', 'Mechtenbergstr.', '6', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 68189);
INSERT INTO teilnehmer VALUES (1109, 216, 'Herr', 'Andre', 'Brgger', NULL, '118', NULL, 'D', 458, 'Gelsenkirchen', 209, 2127544);
INSERT INTO teilnehmer VALUES (1110, 216, 'Herr', 'Jrgen', 'Fernicola', 'Suntumer Str.', '38', 'Laer', 'D', 44803, 'Bochum', 234, 590330);
INSERT INTO teilnehmer VALUES (1111, 55, 'Frau', 'Helene', 'Kmpfer', 'Hustadtring', '14', 'Querenburg', 'D', 44801, 'Bochum', 234, 264278);
INSERT INTO teilnehmer VALUES (1112, 63, 'Herr', 'Wolfgang', 'Besner', 'Lilienthalstr.', '267', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 4629227);
INSERT INTO teilnehmer VALUES (1113, 96, 'Herr', 'Bruno', 'Baltzer', 'Lrchenweg', '11d', NULL, 'D', 45525, 'Hattingen, Ruhr', 2324, 5801129);
INSERT INTO teilnehmer VALUES (1114, 105, 'Herr', 'Hans', 'Feder', 'Lindengraben', '41', 'Altenbochum', 'D', 44803, 'Bochum', 234, 593813);
INSERT INTO teilnehmer VALUES (1115, 74, 'Frau', 'Margret', 'Brockstdt', 'Richard-Dehmel-Str.', '122', 'Welper', 'D', 45527, 'Hattingen, Ruhr', 2324, 2423333);
INSERT INTO teilnehmer VALUES (1116, 152, 'Frau', 'Erika', 'Beskow', 'Jugendherbergstr.', '301', 'Niederwenigern', 'D', 45529, 'Hattingen, Ruhr', 2324, 4782125);
INSERT INTO teilnehmer VALUES (1117, 115, 'Herr', 'Friedrich', 'Garbas', 'Kurfrstenstr.', '27', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 470442);
INSERT INTO teilnehmer VALUES (1118, 254, 'Frau', 'Nina', 'Uselli', 'Sportstr.', '1', 'Lrick', 'D', 40547, 'Dsseldorf', 211, 32759);
INSERT INTO teilnehmer VALUES (1119, 212, NULL, 'S.', 'Seifer', NULL, '4', NULL, 'D', 458, 'Gelsenkirchen', 172, 55358);
INSERT INTO teilnehmer VALUES (1120, 152, 'Frau', 'Elisabeth', 'Drevermann', 'Schemannstr.', '66', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 787401);
INSERT INTO teilnehmer VALUES (1121, 72, 'Herr', 'Jacobus', 'Fitzek', 'Ophofstr.', '35', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 540849);
INSERT INTO teilnehmer VALUES (1122, 102, 'Herr', 'Joachim', 'Karcher', 'Semmeringstr.', '14', 'Buchholz', 'D', 47249, 'Duisburg', 203, 262748);
INSERT INTO teilnehmer VALUES (1123, 182, 'Herr', 'Thomas', 'Szymanski', 'Op de Bredde', '2', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 171, 41012);
INSERT INTO teilnehmer VALUES (1124, 208, 'Herr', 'Engelbert', 'Finster', 'Steinkuhlstr.', '36', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 578078);
INSERT INTO teilnehmer VALUES (1125, 141, 'Herr', 'Ren', 'Amore', 'Neue Heimat', '6A', NULL, 'D', 95191, 'Leupoldsgrn', 9292, 9131319);
INSERT INTO teilnehmer VALUES (1126, NULL, 'Herr', 'Gerhard', 'Janke', 'Millckerstr.', '15', NULL, 'D', 70195, 'Stuttgart', 711, 270984);
INSERT INTO teilnehmer VALUES (1127, 83, 'Frau', 'Anna', 'Angler', 'Bichlstr.', '632a', NULL, 'D', 83334, 'Inzell', 8665, 8907472);
INSERT INTO teilnehmer VALUES (1128, 267, 'Herr', 'Fritz', 'Eweleit', 'Gelsenkirchener Str.', '44', 'Katernberg', 'D', 45327, 'Essen, Ruhr', 201, 630319);
INSERT INTO teilnehmer VALUES (1129, 254, 'Herr', 'Gnter', 'Mateblowski', 'Surkampstr.', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 137602);
INSERT INTO teilnehmer VALUES (1130, 143, 'Herr', 'Hans', 'Fortmann', 'Mylendonkstr.', '31', 'Mittelmeiderich', 'D', 47138, 'Duisburg', 203, 501869);
INSERT INTO teilnehmer VALUES (1131, 104, 'Frau', 'Dorothea', 'Balz', 'Goldbergstr.', '568', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 5441637);
INSERT INTO teilnehmer VALUES (1132, 23, 'Frau', 'Erika', 'Wurzinger', 'Am Grmerbaum', NULL, 'Hiltrop', 'D', 44805, 'Bochum', 234, 8239);
INSERT INTO teilnehmer VALUES (1133, 17, 'Herr', 'Horst', 'Grtner', 'Muckstr.', '26', 'Dahlhausen', 'D', 44879, 'Bochum', 234, 465295);
INSERT INTO teilnehmer VALUES (1134, 142, 'Herr', 'Ludwig', 'Gillmann', 'In der Provitze', '23', 'Hofstede', 'D', 44809, 'Bochum', 234, 399789);
INSERT INTO teilnehmer VALUES (1135, 220, 'Herr', 'Egon', 'Gerdemann', 'Akazienstr.', '25', 'Wehofen', 'D', 47179, 'Duisburg', 203, 430853);
INSERT INTO teilnehmer VALUES (1136, 8, NULL, 'A.', 'Lenschen', 'An der Grfte', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 145612);
INSERT INTO teilnehmer VALUES (1137, 224, 'Herr', 'Manfred', 'Glomb', 'Sechs-Brder-Str.', '22', 'Hordel', 'D', 44793, 'Bochum', 234, 397534);
INSERT INTO teilnehmer VALUES (1138, 30, 'Herr', 'Artur', 'Delzer', 'Brinkmannstr.', '86', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 870267);
INSERT INTO teilnehmer VALUES (1139, 144, 'Herr', 'Dieter', 'Frey', 'Von-der-Mark-Str.', '30', 'Mittelmeiderich', 'D', 47137, 'Duisburg', 203, 495585);
INSERT INTO teilnehmer VALUES (1140, 251, 'Herr', 'Edward', 'Fischer', 'Wasserstr.', '36', 'Altenbochum', 'D', 44803, 'Bochum', 234, 571881);
INSERT INTO teilnehmer VALUES (1141, 109, 'Frau', 'Marion', 'Meister', 'Ortrudstr.', '10', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 88111);
INSERT INTO teilnehmer VALUES (1142, 248, 'Herr', 'Alexander', 'Eicher', 'Arcostr.', '51', 'Neuasseln', 'D', 44309, 'Dortmund', 231, 727940);
INSERT INTO teilnehmer VALUES (1143, 212, 'Herr', 'Wolfgang', 'Ebke', 'Rbenkamp', '54', 'Wickede', 'D', 44319, 'Dortmund', 231, 764377);
INSERT INTO teilnehmer VALUES (1144, 66, 'Herr', 'Hans', 'Fiesseler', 'Metterkampstr.', '37', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 582836);
INSERT INTO teilnehmer VALUES (1145, 61, 'Herr', 'Lothar', 'Beste Ware Ansprechparter: Fra', 'Alte Siedlung', '161', NULL, 'D', 37154, 'Northeim', 5551, 2913390);
INSERT INTO teilnehmer VALUES (1146, 214, 'Herr', 'Herbert', 'Planert', 'Grtershof', '8', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 76027);
INSERT INTO teilnehmer VALUES (1147, 210, 'Herr', 'Heinz-Dieter', 'Baltus', 'Wanner Str.', '16b', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 6049373);
INSERT INTO teilnehmer VALUES (1148, 54, 'Herr', 'Friedrich', 'Malczewski', 'Ilsegasse', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 140964);
INSERT INTO teilnehmer VALUES (1149, 115, 'Herr', 'Stefan', 'Dudek', 'Auf dem Graskamp', '55', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 770390);
INSERT INTO teilnehmer VALUES (1150, 5, 'Herr', 'Alfons', 'Hrter', 'Nibelungenstr.', '16', 'Innenstadt', 'D', 44793, 'Bochum', 234, 283592);
INSERT INTO teilnehmer VALUES (1151, 204, 'Herr', 'Herbert', 'Drube', 'Holtkamp', '58', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 772303);
INSERT INTO teilnehmer VALUES (1152, 134, 'Herr', 'Dietmar', 'Swientek', 'Heiligenseestr.', '2', NULL, 'D', 13503, 'Berlin', 30, 44415);
INSERT INTO teilnehmer VALUES (1153, NULL, 'Herr', 'Herbert', 'Fiedler', 'Wenemarstr.', '37', 'Bodelschwingh', 'D', 44357, 'Dortmund', 231, 582950);
INSERT INTO teilnehmer VALUES (1154, 270, 'Herr', 'Norbert', 'Klaczynski', 'Zum Walkmller', '13', 'Groenbaum', 'D', 47269, 'Duisburg', 203, 230094);
INSERT INTO teilnehmer VALUES (1155, 21, 'Frau', 'Maria', 'Elvers', 'Osterfeldstr.', '49', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 702966);
INSERT INTO teilnehmer VALUES (1156, 81, 'Herr', 'Harry', 'Besse', 'Hafenstr.', '261', 'Schalke-Nord', 'D', 45881, 'Gelsenkirchen', 209, 4314545);
INSERT INTO teilnehmer VALUES (1157, 189, 'Frau', 'Petra', 'Flgge', 'Honigmannstr.', '33', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 520135);
INSERT INTO teilnehmer VALUES (1158, 94, 'Herr', 'Randolph', 'Meier', 'Iltisweg', '10', 'Resser-Mark', 'D', 45892, 'Gelsenkirchen', 209, 136129);
INSERT INTO teilnehmer VALUES (1159, 26, 'Herr', 'Eberhard', 'Dremschak', 'Old Wattsche', '70', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 797604);
INSERT INTO teilnehmer VALUES (1160, 204, NULL, 'Khaled', 'Richter', 'Schonnebecker Str.', '6', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 68639);
INSERT INTO teilnehmer VALUES (1161, 14, 'Herr', 'Helmut', 'Driger', 'Auf dem Graskamp', '58', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 778326);
INSERT INTO teilnehmer VALUES (1162, 112, 'Herr', 'Wilhelmine', 'Engelhard', 'Unter den Eichen', '47', 'Gerresheim', 'D', 40625, 'Dsseldorf', 211, 681368);
INSERT INTO teilnehmer VALUES (1163, 269, 'Herr', 'Helmut', 'Gerdes', 'Wichernstr.', '24', 'Innenstadt', 'D', 44791, 'Bochum', 234, 430625);
INSERT INTO teilnehmer VALUES (1164, 61, 'Herr', 'Albert', 'Hrnschemeyer', 'Annastr.', '16', 'Innenstadt', 'D', 44793, 'Bochum', 234, 283898);
INSERT INTO teilnehmer VALUES (1165, 96, 'Herr', 'Wilhelm', 'Betge', 'Rothemannstr.', '148', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2829732);
INSERT INTO teilnehmer VALUES (1166, 139, 'Herr', 'Fritz', 'Lippe', 'Surkampstr.', '12', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 144784);
INSERT INTO teilnehmer VALUES (1167, 152, 'Frau', 'Brigitte', 'Bester', 'Alter Zoll', '161', 'Hntrop', 'D', 44867, 'Bochum', 2327, 2862084);
INSERT INTO teilnehmer VALUES (1168, 218, 'Herr', 'Michael', 'Herweg', 'Eppmannsweg', '16', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 288001);
INSERT INTO teilnehmer VALUES (1169, 151, 'Herr', 'Gnter', 'Friele', 'Westendorfstr.', '30', 'Aplerbeck', 'D', 44287, 'Dortmund', 231, 494566);
INSERT INTO teilnehmer VALUES (1170, 38, 'Frau', 'Hannelore', 'Vorholt', 'Talberger Str.', '1', NULL, 'D', 12359, 'Berlin', 30, 28008);
INSERT INTO teilnehmer VALUES (1171, 172, 'Herr', 'Reinhardt', 'Garnier', 'Grillostr.', '26', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 467775);
INSERT INTO teilnehmer VALUES (1172, 31, 'Herr', 'Wolfgang', 'Mller', 'Werfelweg', '9', NULL, 'D', 70437, 'Stuttgart', 711, 82330);
INSERT INTO teilnehmer VALUES (1173, 274, 'Herr', 'Franz', 'Cyron', 'Heistr.', '98', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 879874);
INSERT INTO teilnehmer VALUES (1174, 109, 'Frau', 'Ilse', 'Balser', 'Heuversstr.', '40a', 'Innenstadt', 'D', 44793, 'Bochum', 234, 7901171);
INSERT INTO teilnehmer VALUES (1175, 37, NULL, 'H.-J.', 'Tahmass', NULL, '2', NULL, 'D', 44, 'Bochum', 179, 37497);
INSERT INTO teilnehmer VALUES (1176, 115, 'Herr', 'Andreas', 'Finis', 'Am Hlsenbusch', '36', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 581408);
INSERT INTO teilnehmer VALUES (1177, 173, 'Herr', 'Albert', 'Grabert', 'Sutumerfeldstr.', '19', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 370836);
INSERT INTO teilnehmer VALUES (1178, 97, 'Herr', 'Horst', 'Hochheim', 'Wanheimer Str.', '16', 'Hochfeld', 'D', 47053, 'Duisburg', 203, 285621);
INSERT INTO teilnehmer VALUES (1179, 197, 'Herr', 'Hans-Dieter', 'Heimeshoff', 'Hegerothsweg', '17', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 320273);
INSERT INTO teilnehmer VALUES (1180, 23, NULL, 'E.', 'Pilgrim', 'Mnchener Str.', '8', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 76036);
INSERT INTO teilnehmer VALUES (1181, 71, 'Frau', 'Irene', 'Brandt', 'Alter Zoll', '131', 'Hntrop', 'D', 44867, 'Bochum', 2327, 2635326);
INSERT INTO teilnehmer VALUES (1182, NULL, 'Herr', 'Wilhelm', 'Klaassen', 'Knigsberger Str.', '13', 'Frohnhausen', 'D', 45145, 'Essen, Ruhr', 201, 230149);
INSERT INTO teilnehmer VALUES (1183, 50, 'Herr', 'Torsten', 'Maxton', 'Ringstr.', '11', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 137149);
INSERT INTO teilnehmer VALUES (1184, 16, NULL, 'D.', 'Gerkens', 'Bewerungestr.', '24', 'Steele', 'D', 45276, 'Essen, Ruhr', 201, 413599);
INSERT INTO teilnehmer VALUES (1185, 241, NULL, 'K.', 'Gdigk', NULL, '28', NULL, 'D', 44, 'Bochum', 234, 474083);
INSERT INTO teilnehmer VALUES (1186, 98, 'Herr', 'Georg', 'Redies', 'Liboriusstr.', '7', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 73738);
INSERT INTO teilnehmer VALUES (1187, 119, 'Herr', 'Karl-Heinz', 'Zimmermann', 'Am Grppersweg', NULL, 'Langendreer', 'D', 44894, 'Bochum', 234, 5574);
INSERT INTO teilnehmer VALUES (1188, 202, 'Herr', 'Ernst-Joachim', 'Clever', 'Pappelweg', '105', 'Eppendorf', 'D', 44869, 'Bochum', 2327, 969449);
INSERT INTO teilnehmer VALUES (1189, 27, 'Herr', 'Heinz-Peter', 'Kandel', 'Gropiusweg', '14', 'Querenburg', 'D', 44801, 'Bochum', 234, 263796);
INSERT INTO teilnehmer VALUES (1190, 222, 'Herr', 'Klaus-Peter', 'Freitag', 'Brendorfer Str.', '30', 'Weitmar', 'D', 44795, 'Bochum', 234, 496246);
INSERT INTO teilnehmer VALUES (1191, 237, 'Herr', 'Karl-Heinz', 'Damaske', 'Winkelmannshof', '93', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 877010);
INSERT INTO teilnehmer VALUES (1192, 46, 'Frau', 'Uschi', 'Zuhorn', NULL, NULL, NULL, 'D', 458, 'Gelsenkirchen', 209, 1401);
INSERT INTO teilnehmer VALUES (1193, 247, 'Herr', 'Peter', 'Adam', 'Hombergsegge', '7a', 'Niederwenigern', 'D', 45529, 'Hattingen, Ruhr', 2324, 9388655);
INSERT INTO teilnehmer VALUES (1194, 133, 'Herr', 'Dieter', 'Funk', 'Hattinger Str.', '28', 'Weitmar', 'D', 44795, 'Bochum', 234, 490396);
INSERT INTO teilnehmer VALUES (1195, 71, 'Frau', 'Maria', 'Bestek', 'Kufsteiner Str.', '161', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2904860);
INSERT INTO teilnehmer VALUES (1196, 68, 'Herr', 'Wilhelm', 'Escher', 'Bonifatiusstr.', '45', 'Langendreer', 'D', 44892, 'Bochum', 234, 638326);
INSERT INTO teilnehmer VALUES (1197, 123, 'Herr', 'Walter', 'Hagen', 'Flutgrabenweg', '17', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 331337);
INSERT INTO teilnehmer VALUES (1198, 202, 'Herr', 'Franz', 'Bunde', 'Neurottstr.', '115', NULL, 'D', 68775, 'Ketsch, Rhein', 6202, 1706937);
INSERT INTO teilnehmer VALUES (1199, 138, 'Herr', 'Hartwig', 'Meier', 'Grftenhof', '10', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 135761);
INSERT INTO teilnehmer VALUES (1200, 243, 'Herr', 'Frank', 'Dreler', 'Rotthauser Str.', '68', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 789825);
INSERT INTO teilnehmer VALUES (1201, 236, 'Herr', 'Heinz', 'Fern', 'Gneisenaustr.', '38', 'Neudorf-Nord', 'D', 47057, 'Duisburg', 203, 591047);
INSERT INTO teilnehmer VALUES (1202, 131, NULL, 'F.', 'Dressler', 'Wiehagen', '68', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 789689);
INSERT INTO teilnehmer VALUES (1203, 85, NULL, 'G.', 'Meiritz', 'Westerdorfstr.', '10', 'Altenessen-Sd', 'D', 45326, 'Essen, Ruhr', 201, 92079);
INSERT INTO teilnehmer VALUES (1204, 73, NULL, 'W.', 'Fhr', 'Hattinger Str.', '28', 'Linden', 'D', 44879, 'Bochum', 234, 491773);
INSERT INTO teilnehmer VALUES (1205, 56, 'Herr', 'Fritz', 'Fth', 'Weitmarer Str.', '31', 'Weitmar', 'D', 44795, 'Bochum', 234, 501185);
INSERT INTO teilnehmer VALUES (1206, 134, 'Frau', 'Inge', 'Fuchs', 'Am Sonnenberg', '28', 'Linden', 'D', 44879, 'Bochum', 234, 491877);
INSERT INTO teilnehmer VALUES (1207, 140, 'Herr', 'Alois', 'Dora', 'In der Delle', '73', 'Winz-Baak', 'D', 45529, 'Hattingen, Ruhr', 2324, 814338);
INSERT INTO teilnehmer VALUES (1208, 124, NULL, 'M.', 'Weigand', 'Wittener Str.', '1', 'Innenstadt', 'D', 44789, 'Bochum', 234, 22755);
INSERT INTO teilnehmer VALUES (1209, 168, 'Herr', 'Ralf', 'Bauer', 'Blsestr.', '382', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 5229640);
INSERT INTO teilnehmer VALUES (1210, 162, 'Frau', 'Bettina', 'Prschke', 'Erdbrggenstr.', '7', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 74321);
INSERT INTO teilnehmer VALUES (1211, 175, 'Herr', 'Karl-Heinz', 'Gierth', 'Grabbestr.', '23', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 403835);
INSERT INTO teilnehmer VALUES (1212, 198, 'Herr', 'Peter', 'Bock', 'Ekhofstr.', '139', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 2799116);
INSERT INTO teilnehmer VALUES (1213, 249, 'Herr', 'Wolfgang', 'Kreutz', 'Oberbilker Allee', '13', 'Oberbilk', 'D', 40227, 'Dsseldorf', 211, 206569);
INSERT INTO teilnehmer VALUES (1214, 161, 'Herr', 'Karl-Heinz', 'Beck', 'Bannizastr.', '381', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 5186576);
INSERT INTO teilnehmer VALUES (1215, 265, 'Frau', 'Vera', 'Besser', 'Laarmannshof', '199', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 3849276);
INSERT INTO teilnehmer VALUES (1216, NULL, 'Herr', 'Reinhold', 'Bete Deutschland GmbH', 'Markenstr.', '149', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2832172);
INSERT INTO teilnehmer VALUES (1217, 127, 'Herr', 'Ralph', 'Votschel', 'Delbrckstr.', '1', NULL, 'D', 12051, 'Berlin', 30, 25726);
INSERT INTO teilnehmer VALUES (1218, NULL, 'Frau', 'Edith', 'Dressler', 'Redtenbacherstr.', '69', 'Mitte', 'D', 44139, 'Dortmund', 231, 791196);
INSERT INTO teilnehmer VALUES (1219, 6, 'Herr', 'Werner', 'Georg', 'Axstr.', '25', 'Linden', 'D', 44879, 'Bochum', 234, 431558);
INSERT INTO teilnehmer VALUES (1220, 129, 'Frau', 'Walburga', 'Besirevic', 'Rosenstr.', '305', 'Slde', 'D', 44289, 'Dortmund', 231, 4790796);
INSERT INTO teilnehmer VALUES (1221, 108, 'Herr', 'Arno', 'Bartsch', 'Heimatring', '404', NULL, 'D', 96450, 'Coburg', 9561, 5311752);
INSERT INTO teilnehmer VALUES (1222, 162, 'Herr', 'Manfred', 'Balthasar', 'Mettmanner Str.', '20a', 'Mitte', 'D', 42549, 'Velbert', 2051, 6994613);
INSERT INTO teilnehmer VALUES (1223, 273, 'Frau', 'Margret', 'Drevermann', 'Bromberger Str.', '66', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 785800);
INSERT INTO teilnehmer VALUES (1224, 49, 'Herr', 'Rainer', 'Fazlic', 'Graitengraben', '41', 'Altenessen-Sd', 'D', 45326, 'Essen, Ruhr', 201, 593910);
INSERT INTO teilnehmer VALUES (1225, 139, 'Frau', 'Birgit', 'Franke', 'Tewaagstr.', '31', 'Mitte', 'D', 44141, 'Dortmund', 231, 498966);
INSERT INTO teilnehmer VALUES (1226, 3, 'Herr', 'Ertan', 'Hennies', 'Polsumer Str.', '16', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 291240);
INSERT INTO teilnehmer VALUES (1227, NULL, 'Herr', 'Gerhard u. Erich', 'Ertmann', 'Siebenplaneten', '46', 'Langendreer', 'D', 44892, 'Bochum', 234, 639894);
INSERT INTO teilnehmer VALUES (1228, 277, 'Frau', 'Erika', 'Dahle', 'Knappenstr.', '95', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 877845);
INSERT INTO teilnehmer VALUES (1229, 162, 'Herr', 'Andreas', 'Fhrmann', 'Langes Hof', '43', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 597109);
INSERT INTO teilnehmer VALUES (1230, 89, 'Herr', 'Ludwig', 'Eckert', 'Heinrich-Gustav-Str.', '53', 'Werne', 'D', 44894, 'Bochum', 234, 756528);
INSERT INTO teilnehmer VALUES (1231, 276, 'Frau', 'Elke', 'Syren', 'Miltenberger Weg', '2', NULL, 'D', 13189, 'Berlin', 30, 42834);
INSERT INTO teilnehmer VALUES (1232, 266, 'Frau', 'Vanessa', 'Weidel', 'Blitzstr.', '1', 'Dellwig', 'D', 45357, 'Essen, Ruhr', 201, 23488);
INSERT INTO teilnehmer VALUES (1233, 148, 'Frau', 'Petra', 'Zander', 'Gerther Str.', NULL, 'Gerthe', 'D', 44805, 'Bochum', 234, 7748);
INSERT INTO teilnehmer VALUES (1234, 143, NULL, '', 'Senger', 'Maximilian-Kolbe-Str.', '4', 'Innenstadt', 'D', 44793, 'Bochum', 172, 53886);
INSERT INTO teilnehmer VALUES (1235, 254, 'Herr', 'Andrzej', 'Supernok', 'Liboriusstr.', '3', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 47123);
INSERT INTO teilnehmer VALUES (1236, 99, 'Herr', 'Helmut', 'Adam', 'Nahestr.', '86a', 'Kettwig', 'D', 45219, 'Essen, Ruhr', 2054, 9584690);
INSERT INTO teilnehmer VALUES (1237, 230, 'Herr', 'Michael', 'Glotz', 'Kopernikusstr.', '22', NULL, 'D', 65193, 'Wiesbaden', 611, 395964);
INSERT INTO teilnehmer VALUES (1238, 136, 'Herr', 'Gnter', 'Hvel', 'Kortumstr.', '16', 'Innenstadt', 'D', 44787, 'Bochum', 234, 280345);
INSERT INTO teilnehmer VALUES (1239, 44, 'Herr', 'Dr. med. Klaus-Diete', 'Na', 'Grummer Str.', '8', NULL, 'D', 44809, 'Bochum', 234, 82103);
INSERT INTO teilnehmer VALUES (1240, 41, 'Frau', 'Luciano', 'Baltz', 'Sellhorststr.', '146c', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 5980400);
INSERT INTO teilnehmer VALUES (1241, 55, 'Herr', 'Johannes', 'Douma', 'Brunostr.', '71', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 799677);
INSERT INTO teilnehmer VALUES (1242, 31, 'Herr', 'Dirk', 'Wengler', 'Potsdamer Str.', NULL, 'Hassels', 'D', 40599, 'Dsseldorf', 211, 20205);
INSERT INTO teilnehmer VALUES (1243, 195, 'Herr', 'Helmut', 'Paczenski', 'Margaretenstr.', '8', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 76635);
INSERT INTO teilnehmer VALUES (1244, 24, 'Frau', 'Irmgard', 'Ferdin', 'Gneisenaustr.', '38', 'Neudorf-Sd', 'D', 47057, 'Duisburg', 203, 591147);
INSERT INTO teilnehmer VALUES (1245, 168, 'Herr', 'Udo', 'Schlsser', 'Weststr.', '5', 'Erle', 'D', 45891, 'Gelsenkirchen', 170, 63632);
INSERT INTO teilnehmer VALUES (1246, 169, 'Frau', 'Magrit', 'Legrand', 'Auf dem Rcken', '12', 'Hntrop', 'D', 44869, 'Bochum', 2327, 201143);
INSERT INTO teilnehmer VALUES (1247, 142, 'Frau', 'Susanne', 'Balt', 'Mrkische Str.', '2a', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 7391961);
INSERT INTO teilnehmer VALUES (1248, 263, NULL, 'Admir', 'Arndt', 'Prsidentstr.', '49g', 'Innenstadt', 'D', 44787, 'Bochum', 234, 8084252);
INSERT INTO teilnehmer VALUES (1249, 95, 'Herr', 'Walter', 'Heinke', 'Hermann-Duncker-Str.', '17', NULL, 'D', 6886, 'Lutherstadt Wittenberg', 3491, 313529);
INSERT INTO teilnehmer VALUES (1250, 68, 'Herr', 'Michael', 'Drwald', 'Scherberger Str.', '72', NULL, 'D', 52146, 'Wrselen', 2405, 812171);
INSERT INTO teilnehmer VALUES (1251, 4, 'Frau', 'Adelheid', 'Filbrandt', 'Feldhauser Str.', '36', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 582565);
INSERT INTO teilnehmer VALUES (1252, NULL, 'Frau', 'Margret', 'Gant', 'Gewerkenstr.', '27', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 470990);
INSERT INTO teilnehmer VALUES (1253, 115, 'Herr', 'Dietmar', 'Marchewka', 'Bruchwiesenweg', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 139410);
INSERT INTO teilnehmer VALUES (1254, 97, 'Herr', 'Ahmet', 'Skrzeba', 'Egidestr.', '3', 'Langendreer', 'D', 44892, 'Bochum', 234, 52430);
INSERT INTO teilnehmer VALUES (1255, 41, 'Herr', 'Herbert', 'Steinbi', 'Leverkuser Str.', '3', 'Wersten', 'D', 40591, 'Dsseldorf', 170, 51266);
INSERT INTO teilnehmer VALUES (1256, 105, 'Herr', 'Helmut', 'Falkowski', 'Hubertusstr.', '42', 'Wiemelhausen', 'D', 44789, 'Bochum', 234, 596220);
INSERT INTO teilnehmer VALUES (1257, 210, 'Frau', 'Lucia', 'Henk', 'Spindelstr.', '17', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 295927);
INSERT INTO teilnehmer VALUES (1258, 234, 'Herr', 'Frank', 'Rosslan', 'ckendorfer Str.', '6', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 66498);
INSERT INTO teilnehmer VALUES (1259, 110, NULL, 'Hans-Jrgen', 'Dahlbeck', 'Langacker', '95', 'Hntrop', 'D', 44869, 'Bochum', 2327, 877888);
INSERT INTO teilnehmer VALUES (1260, 117, 'Herr', 'Wilhelm', 'Meiner', 'Dsterstr.', '10', 'Stiepel', 'D', 44797, 'Bochum', 234, 88507);
INSERT INTO teilnehmer VALUES (1261, 229, 'Frau', 'Irmgard', 'Asbeck', 'Johannesstr.', '46b', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 7948728);
INSERT INTO teilnehmer VALUES (1262, 46, 'Herr', 'Manfred', 'Deininger', 'Nesselrodeweg', '88', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 871569);
INSERT INTO teilnehmer VALUES (1263, 176, 'Herr', 'Christian', 'Mller', 'Konrad-Adenauer-Str.', '9', 'Neviges', 'D', 42553, 'Velbert', 2053, 82417);
INSERT INTO teilnehmer VALUES (1264, 23, 'Herr', 'Reinhard', 'Eschenbach', 'Bremsstr.', '45', 'Lanstrop', 'D', 44329, 'Dortmund', 231, 639538);
INSERT INTO teilnehmer VALUES (1265, 78, 'Herr', 'Heinrich', 'Adam', 'Domplatz', '6F', 'Niederwenigern', 'D', 45529, 'Hattingen, Ruhr', 2324, 9314325);
INSERT INTO teilnehmer VALUES (1266, 209, 'Herr', 'Dietmar', 'Deutschendorf', 'Robert-Bosch-Str.', '81', NULL, 'D', 42489, 'Wlfrath', 2058, 861260);
INSERT INTO teilnehmer VALUES (1267, 45, 'Frau', 'Nicole', 'Kiel', NULL, '14', NULL, 'D', 45, 'Essen, Ruhr', 201, 231587);
INSERT INTO teilnehmer VALUES (1268, 155, 'Herr', 'Heinz', 'Adam GmbH, Udo', 'Zum Park', '6a', NULL, 'D', 32130, 'Enger, Westf', 5224, 9230726);
INSERT INTO teilnehmer VALUES (1269, 250, 'Herr', 'Gregor', 'Besse', 'Feldmarkstr.', '261', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 4541922);
INSERT INTO teilnehmer VALUES (1270, 254, 'Herr', 'Heinz', 'Elmer', 'Iserlohner Str.', '50', 'Langendreer', 'D', 44894, 'Bochum', 234, 715555);
INSERT INTO teilnehmer VALUES (1271, 111, 'Herr', 'Horst', 'Vo', 'Timmerbrinksweg', '1', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 26869);
INSERT INTO teilnehmer VALUES (1272, 86, 'Herr', 'Udo', 'Erler', 'Alte Bahnhofstr.', '46', 'Langendreer', 'D', 44892, 'Bochum', 234, 661751);
INSERT INTO teilnehmer VALUES (1273, 163, 'Frau', 'Brigitte', 'Falk', 'Isenbrockstr.', '42', 'Westenfeld', 'D', 44867, 'Bochum', 2327, 596395);
INSERT INTO teilnehmer VALUES (1274, 229, NULL, 'B.', 'Ewers', NULL, '44', NULL, 'D', 44, 'Bochum', 234, 630255);
INSERT INTO teilnehmer VALUES (1275, 243, 'Herr', 'Manfred', 'Besl', 'Lothsfeldstr.', '285', 'Friemersheim', 'D', 47229, 'Duisburg', 2065, 4750060);
INSERT INTO teilnehmer VALUES (1276, 16, 'Herr', 'Erich', 'Senft', 'Bongardstr.', '4', 'Innenstadt', 'D', 44787, 'Bochum', 172, 53935);
INSERT INTO teilnehmer VALUES (1277, 141, 'Herr', 'Heinz', 'Dykta', 'Rtgerstr.', '55', 'Eller', 'D', 40229, 'Dsseldorf', 211, 768889);
INSERT INTO teilnehmer VALUES (1278, NULL, 'Frau', 'Gertrud', 'Gransow', 'Schaffrathstr.', '19', 'Beckhausen', 'D', 45897, 'Gelsenkirchen', 209, 358006);
INSERT INTO teilnehmer VALUES (1279, 89, 'Herr', 'Gnter', 'Finger', 'Linnefantstr.', '36', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 581491);
INSERT INTO teilnehmer VALUES (1280, 173, 'Herr', 'Georg', 'Plger', 'Hlderlinstr.', '7', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 75238);
INSERT INTO teilnehmer VALUES (1281, 221, 'Herr', 'Herbert', 'Baltzer', 'Auf dem Graskamp', '11c', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 5801061);
INSERT INTO teilnehmer VALUES (1282, 17, 'Frau', 'Ute', 'Dorra', 'Werdener Str.', '73', 'Mitte', 'D', 42551, 'Velbert', 2051, 813085);
INSERT INTO teilnehmer VALUES (1283, 104, 'Frau', 'Gertrud', 'Meiner', 'Haarholzer Str.', '10', 'Stiepel', 'D', 44797, 'Bochum', 234, 88886);
INSERT INTO teilnehmer VALUES (1284, 41, 'Frau', 'Ulrike', 'Gelbhaar', 'Kurt-Schumacher-Str.', '26', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 451354);
INSERT INTO teilnehmer VALUES (1285, 72, 'Herr', 'Alfred', 'Drewniok', 'Wanner Str.', '63', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 782939);
INSERT INTO teilnehmer VALUES (1286, 228, 'Herr', 'Stefan', 'Seibt', 'Ortelsburger Str.', '4', 'Buer', 'D', 45897, 'Gelsenkirchen', 172, 56559);
INSERT INTO teilnehmer VALUES (1287, 15, 'Herr', 'Knut', 'Giebe', 'Frstenbergstr.', '23', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 408652);
INSERT INTO teilnehmer VALUES (1288, 64, 'Herr', 'Werner', 'Foit', 'Schumannstr.', '33', 'Rumeln-Kaldenhausen', 'D', 47239, 'Duisburg', 2151, 514547);
INSERT INTO teilnehmer VALUES (1289, 178, 'Frau', 'Erika', 'Enderle', 'Chemnitzer Str.', '48', 'Vennhausen', 'D', 40627, 'Dsseldorf', 211, 683840);
INSERT INTO teilnehmer VALUES (1290, 249, NULL, 'E.', 'Ehrhardt', 'Friedrichstr.', '51', 'Mitte', 'D', 42551, 'Velbert', 2051, 735910);
INSERT INTO teilnehmer VALUES (1291, 151, NULL, 'Th.', 'Digna', 'Hespertal', '79', 'Mitte', 'D', 42551, 'Velbert', 2051, 852769);
INSERT INTO teilnehmer VALUES (1292, 90, 'Herr', 'Alexander', 'Besser', 'Theodor-Storm-Str.', '202', NULL, 'D', 33378, 'Rheda-Wiedenbrck', 5242, 4060075);
INSERT INTO teilnehmer VALUES (1293, 233, 'Herr', 'Wilhelm', 'Doering', 'Gabelskamp', '75', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 818899);
INSERT INTO teilnehmer VALUES (1294, 236, 'Herr', 'Werner', 'Lbert', 'Buchenstr.', '12', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 143183);
INSERT INTO teilnehmer VALUES (1295, 129, 'Frau', 'Hilde', 'Dosedal', 'Paracelsusstr.', '72', 'Mitte', 'D', 42549, 'Velbert', 2051, 812115);
INSERT INTO teilnehmer VALUES (1296, 203, 'Herr', 'Peter', 'Adali', 'An der Hudau', '8a', NULL, 'D', 24576, 'Bad Bramstedt', 4192, 9731485);
INSERT INTO teilnehmer VALUES (1297, 267, 'Herr', 'Siegfried', 'Henschek', 'Velsenstr.', '16', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 288604);
INSERT INTO teilnehmer VALUES (1298, 240, 'Herr', 'Werner', 'Kicinski', 'Scheideweg', '14', 'Wersten', 'D', 40591, 'Dsseldorf', 211, 232596);
INSERT INTO teilnehmer VALUES (1299, 279, 'Herr', 'Hans-Joachim', 'Hbbertz', 'Vereinsstr.', '16', 'Hamme', 'D', 44793, 'Bochum', 234, 274345);
INSERT INTO teilnehmer VALUES (1300, 231, 'Herr', 'Alfred', 'Dames', 'Grenzstr.', '93', 'Eppendorf', 'D', 44869, 'Bochum', 2327, 876848);
INSERT INTO teilnehmer VALUES (1301, 126, 'Herr', 'Meinhold', 'Pielok', 'Krachtstr.', '8', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 76416);
INSERT INTO teilnehmer VALUES (1302, 1, 'Herr', 'Dietrich', 'Koll', 'Burscheider Str.', '13', 'Wersten', 'D', 40591, 'Dsseldorf', 211, 211677);
INSERT INTO teilnehmer VALUES (1303, 119, 'Herr', 'Josef', 'Fels', 'Holteistr.', '39', 'Neudorf-Nord', 'D', 47057, 'Duisburg', 203, 592618);
INSERT INTO teilnehmer VALUES (1304, NULL, 'Herr', 'Florian', 'Bergmann', 'Droste-Hlshoff-Str.', '305', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 4880106);
INSERT INTO teilnehmer VALUES (1305, 32, 'Herr', 'Stefanie', 'Uerling', 'Schmalhorststr.', '1', 'Horst', 'D', 45899, 'Gelsenkirchen', 173, 32862);
INSERT INTO teilnehmer VALUES (1306, 179, 'Herr', 'Volker', 'Fernholz', 'Sgeberg', '38', NULL, 'D', 25548, 'Rosdorf, Holstein', 4822, 590677);
INSERT INTO teilnehmer VALUES (1307, 184, 'Herr', 'Hubert', 'Zopp', 'Pamannstr.', NULL, 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 3290);
INSERT INTO teilnehmer VALUES (1308, 77, 'Herr', 'Dino', 'Fork', 'Hattinger Str.', '32', 'Linden', 'D', 44879, 'Bochum', 234, 511155);
INSERT INTO teilnehmer VALUES (1309, 135, 'Frau', 'Sabine', 'Nieder', 'Castroper Hellweg', '8', 'Gerthe', 'D', 44805, 'Bochum', 234, 82071);
INSERT INTO teilnehmer VALUES (1310, 83, 'Herr', 'Bennet', 'Felske', 'Goyer Busch', '39', 'Altenbochum', 'D', 44803, 'Bochum', 234, 591945);
INSERT INTO teilnehmer VALUES (1311, NULL, 'Herr', 'Willy', 'Feuersaenger', 'Scheideweg', '37', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 585748);
INSERT INTO teilnehmer VALUES (1312, 15, 'Herr', 'Helmut', 'Fh', 'Am Kapellenufer', '33', 'Slde', 'D', 44289, 'Dortmund', 231, 516227);
INSERT INTO teilnehmer VALUES (1313, 58, 'Herr', 'Karl', 'Dressel', 'Bochumer Str.', '69', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 795583);
INSERT INTO teilnehmer VALUES (1314, 180, 'Frau', 'Elke', 'Klo', 'Grnkottenstr.', '13', 'Groenbaum', 'D', 47269, 'Duisburg', 203, 214006);
INSERT INTO teilnehmer VALUES (1315, 175, NULL, 'Yves', 'Punkt', 'Ziegelgasse', '7', NULL, 'D', 64395, 'Brensbach', 6161, 74125);
INSERT INTO teilnehmer VALUES (1316, 136, 'Frau', 'Maria', 'Balte', 'Mettmanner Str.', '252a', 'Mitte', 'D', 42551, 'Velbert', 2051, 7260559);
INSERT INTO teilnehmer VALUES (1317, 233, 'Frau', 'Marian', 'Kolk', 'Werstener Dorfstr.', '13', 'Wersten', 'D', 40591, 'Dsseldorf', 211, 212588);
INSERT INTO teilnehmer VALUES (1318, 27, 'Herr', 'Michael', 'Schrder', 'Im Spaten', '5', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 173, 59072);
INSERT INTO teilnehmer VALUES (1319, 212, 'Frau', 'Anna', 'Baltruweit', 'Wanner Str.', '17b', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 6256300);
INSERT INTO teilnehmer VALUES (1320, 69, NULL, 'Stonica', 'Ehmke', 'Viehofer Platz', '52', 'Stadtkern', 'D', 45127, 'Essen, Ruhr', 201, 737783);
INSERT INTO teilnehmer VALUES (1321, 30, 'Frau', 'Magdalene', 'Mantel', 'Lrchenstr.', '11', 'Resse', 'D', 45892, 'Gelsenkirchen', 209, 139506);
INSERT INTO teilnehmer VALUES (1322, 12, 'Herr', 'Olaf', 'Gmyrek', 'In der Vobank', '22', 'Hofstede', 'D', 44809, 'Bochum', 234, 395176);
INSERT INTO teilnehmer VALUES (1323, 60, NULL, 'E.', 'Zllig', NULL, NULL, NULL, 'D', 44, 'Bochum', 234, 3421);
INSERT INTO teilnehmer VALUES (1324, 243, 'Frau', 'Ingeburg', 'Frhlich', 'Lennstr.', '29', NULL, 'D', 40477, 'Dsseldorf', 211, 493133);
INSERT INTO teilnehmer VALUES (1325, NULL, 'Frau', 'Irmgard', 'Gerdes', 'Josephinenstr.', '24', 'Grumme', 'D', 44791, 'Bochum', 234, 430253);
INSERT INTO teilnehmer VALUES (1326, 80, 'Herr', 'Paul', 'Meinker', 'Grazer Str.', '10', 'Buchholz', 'D', 47249, 'Duisburg', 203, 101739);
INSERT INTO teilnehmer VALUES (1327, 191, 'Herr', 'Horst', 'Dotter', 'Josefinenstr.', '71', 'Schalke-Nord', 'D', 45881, 'Gelsenkirchen', 209, 803199);
INSERT INTO teilnehmer VALUES (1328, 99, 'Herr', 'Josef', 'Dell', 'Markstr.', '86', 'Wiemelhausen', 'D', 44801, 'Bochum', 234, 870915);
INSERT INTO teilnehmer VALUES (1329, 82, 'Herr', 'Georg', 'Balster', 'Am Roderkamp', '36C', NULL, 'D', 54298, 'Igel', 6501, 7491440);
INSERT INTO teilnehmer VALUES (1330, 13, 'Frau', 'Gisela', 'Rttgers', 'Ringstr.', '6', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 66382);
INSERT INTO teilnehmer VALUES (1331, 77, 'Herr', 'Ulrich', 'Mller', 'Alfred-Zingler-Str.', '9', 'Schalke-Nord', 'D', 45881, 'Gelsenkirchen', 209, 84016);
INSERT INTO teilnehmer VALUES (1332, 121, 'Herr', 'Helmut', 'Beling', 'Bechsteinstr.', '189', 'Heler', 'D', 45883, 'Gelsenkirchen', 209, 3809312);
INSERT INTO teilnehmer VALUES (1333, NULL, 'Frau', 'Helene', 'Flack', 'Romanusstr.', '35', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 538534);
INSERT INTO teilnehmer VALUES (1334, 42, 'Herr', 'Michael', 'Best Print Offset Thon', 'Karlsbader Str.', '166', NULL, 'D', 36039, 'Fulda', 661, 2970659);
INSERT INTO teilnehmer VALUES (1335, 262, 'Herr', 'Edmund', 'Baltruschat', 'Kirchstr.', '188c', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 6405504);
INSERT INTO teilnehmer VALUES (1336, 119, 'Herr', 'Heinz', 'Melech', 'Kronprinzenstr.', '10', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 85770);
INSERT INTO teilnehmer VALUES (1337, 79, 'Herr', 'Adolf', 'Czarnetzki', 'Sdrand', '96', 'Eppendorf', 'D', 44869, 'Bochum', 2327, 879217);
INSERT INTO teilnehmer VALUES (1338, 48, 'Frau', 'Katharina', 'Bolte', 'Devensstr.', '134', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 2741845);
INSERT INTO teilnehmer VALUES (1339, 30, 'Frau', 'Simone', 'Drevermann', 'Memeler Str.', '67', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 787931);
INSERT INTO teilnehmer VALUES (1340, 208, NULL, 'E.', 'Ftterer', 'Goldfinkstr.', '28', 'Stadtwald', 'D', 45134, 'Essen, Ruhr', 201, 476359);
INSERT INTO teilnehmer VALUES (1341, 79, NULL, 'R.-H.', 'Evertz', 'Graffring', '44', NULL, 'D', 44795, 'Bochum', 234, 630334);
INSERT INTO teilnehmer VALUES (1342, 130, 'Herr', 'Friedhelm', 'Deufel', NULL, '81', NULL, 'D', 44, 'Bochum', 2327, 861297);
INSERT INTO teilnehmer VALUES (1343, 201, 'Herr', 'Josefine', 'Fankhauser', 'Haderslebener Str.', '42', 'Innenstadt', 'D', 44789, 'Bochum', 234, 595654);
INSERT INTO teilnehmer VALUES (1344, 207, 'Herr', 'Gnter', 'Drewes', 'Krahwinkel', '63', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 784083);
INSERT INTO teilnehmer VALUES (1345, 177, 'Frau', 'Berta', 'Flttmann', 'Nollenpad', '33', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 520576);
INSERT INTO teilnehmer VALUES (1346, 142, 'Herr', 'Erich', 'Bessel GmbH', 'Kurt-Schumacher-Str.', '224', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 4095551);
INSERT INTO teilnehmer VALUES (1347, 5, NULL, 'Shinichi', 'Voigt', 'Peter-Roos-Str.', '1', 'Niederkassel', 'D', 40547, 'Dsseldorf', 211, 29924);
INSERT INTO teilnehmer VALUES (1348, 131, 'Frau', 'Ilse', 'Brosch', 'Dsseldorfer Str.', '119', 'Dellviertel', 'D', 47053, 'Duisburg', 203, 2354895);
INSERT INTO teilnehmer VALUES (1349, 52, 'Herr', 'Rainer', 'Dauer', 'Biermannsweg', '91', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 874718);
INSERT INTO teilnehmer VALUES (1350, 138, 'Frau', 'Nicole', 'Gent', NULL, '25', NULL, 'D', 458, 'Gelsenkirchen', 209, 432068);
INSERT INTO teilnehmer VALUES (1351, 92, NULL, 'J.', 'Denneborg', 'Hesternstr.', '84', 'Eppendorf', 'D', 44869, 'Bochum', 2327, 864308);
INSERT INTO teilnehmer VALUES (1352, 118, 'Herr', 'Franz', 'Kmper', 'Molbergstr.', '14', 'Wanheim-Angerhausen', 'D', 47249, 'Duisburg', 203, 264409);
INSERT INTO teilnehmer VALUES (1353, 220, 'Frau', 'Nadine', 'Schnieders', NULL, '5', NULL, 'D', 44, 'Bochum', 175, 61158);
INSERT INTO teilnehmer VALUES (1354, 104, 'Frau', 'Berta', 'Fischer', 'Westerholter Str.', '35', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 541746);
INSERT INTO teilnehmer VALUES (1355, 108, 'Herr', 'Reiner', 'Fidut', NULL, '37', NULL, 'D', 40, 'Dsseldorf', 211, 583419);
INSERT INTO teilnehmer VALUES (1356, 201, 'Herr', 'Michael', 'Wenzel', NULL, NULL, NULL, 'D', 40, 'Dsseldorf', 211, 18263);
INSERT INTO teilnehmer VALUES (1357, 110, 'Herr', 'Wolfgang', 'Gase', 'Kurt-Schumacher-Str.', '26', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 460978);
INSERT INTO teilnehmer VALUES (1358, 32, 'Frau', 'Ursel', 'Best', 'In der Hnnebecke', '179', 'Hntrop', 'D', 44869, 'Bochum', 2327, 3462536);
INSERT INTO teilnehmer VALUES (1359, NULL, 'Frau', 'Brigitte', 'Gluth', 'Pantaleonstr.', '22', 'Riemke', 'D', 44807, 'Bochum', 234, 395752);
INSERT INTO teilnehmer VALUES (1360, 187, 'Herr', 'Thomas', 'Meis', 'Schongauerstr.', '10', 'Holsterhausen', 'D', 45147, 'Essen, Ruhr', 201, 89444);
INSERT INTO teilnehmer VALUES (1361, 114, 'Herr', 'Gnter', 'Menges', 'Liboriusstr.', '10', 'Schalke', 'D', 45881, 'Gelsenkirchen', 209, 85263);
INSERT INTO teilnehmer VALUES (1362, 35, 'Frau', 'Anni', 'Fethi', 'Nordring', '37', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 585978);
INSERT INTO teilnehmer VALUES (1363, 124, 'Herr', 'Karl-Heinz', 'Emerich', 'Robert-Koch-Str.', '49', 'Altstadt', 'D', 45879, 'Gelsenkirchen', 209, 695699);
INSERT INTO teilnehmer VALUES (1364, 210, 'Herr', 'Jrgen', 'Gde', 'Im Ostholz', '28', 'Linden', 'D', 44879, 'Bochum', 234, 474153);
INSERT INTO teilnehmer VALUES (1365, 193, 'Herr', 'Ralf', 'Kessler', 'Schnleinstr.', '14', 'Rttenscheid', 'D', 45131, 'Essen, Ruhr', 201, 236717);
INSERT INTO teilnehmer VALUES (1366, 227, 'Frau', 'Drte', 'Formann', 'Krahnenburgstr.', '32', 'Lichtenbroich', 'D', 40472, 'Dsseldorf', 211, 504374);
INSERT INTO teilnehmer VALUES (1367, 87, 'Frau', 'Frieda', 'Zipper', 'Glockengarten', NULL, 'Altenbochum', 'D', 44803, 'Bochum', 234, 4890);
INSERT INTO teilnehmer VALUES (1368, 150, 'Herr', 'Heinz', 'Flthe', 'An den Flachskuhlen', '34', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 521960);
INSERT INTO teilnehmer VALUES (1369, 252, 'Herr', 'Andreas', 'Rexhuser', 'Alfred-Messel-Weg', '6', NULL, 'D', 64287, 'Darmstadt', 6151, 70890);
INSERT INTO teilnehmer VALUES (1370, 105, 'Herr', 'Gerhard', 'Falkowski', 'Alsenstr.', '42', 'Innenstadt', 'D', 44789, 'Bochum', 234, 595873);
INSERT INTO teilnehmer VALUES (1371, 114, NULL, 'Jose-Daniel', 'Gengenbacher', 'Kanzlerstr.', '25', 'Heler', 'D', 45883, 'Gelsenkirchen', 209, 433707);
INSERT INTO teilnehmer VALUES (1372, 252, 'Herr', 'Josef', 'Geske', 'Laurentiusstr.', '23', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 410160);
INSERT INTO teilnehmer VALUES (1373, 257, 'Herr', 'Gerhard', 'Mller', 'Zum Gremberger Wldchen', '9', NULL, 'D', 51105, 'Kln', 221, 82497);
INSERT INTO teilnehmer VALUES (1374, 235, 'Herr', 'Gustav', 'Drews', 'Mhlenbruchstr.', '62', 'Neustadt', 'D', 45879, 'Gelsenkirchen', 209, 782864);
INSERT INTO teilnehmer VALUES (1375, 64, 'Herr', 'Gnter', 'Feldhausen', 'Mettestr.', '40', 'Altenbochum', 'D', 44803, 'Bochum', 234, 593373);
INSERT INTO teilnehmer VALUES (1376, 148, NULL, '', 'Erb', 'Maischtzenstr.', '47', 'Harpen', 'D', 44805, 'Bochum', 234, 680219);
INSERT INTO teilnehmer VALUES (1377, 92, 'Frau', 'Martha', 'Depta', 'Grtzhof', '83', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 862439);
INSERT INTO teilnehmer VALUES (1378, 72, 'Frau', 'Sonja', 'Ricken', 'Saarbrcker Str.', '6', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 68133);
INSERT INTO teilnehmer VALUES (1379, 229, 'Herr', 'Udo', 'Best Print Offset Thon', 'Lohackerstr.', '164', 'Westenfeld', 'D', 44867, 'Bochum', 2327, 2970299);
INSERT INTO teilnehmer VALUES (1380, 75, 'Herr', 'Horst', 'Diener', 'Neue Ringstr.', '79', 'Holzen', 'D', 44267, 'Dortmund', 2304, 854270);
INSERT INTO teilnehmer VALUES (1381, 55, 'Herr', 'Gerhard', 'Best-Hahnke', 'Hochfelder Str.', '158', 'Hochemmerich', 'D', 47226, 'Duisburg', 2065, 2852518);
INSERT INTO teilnehmer VALUES (1382, 234, 'Herr', 'Ulrich', 'Drewek', 'Johanniterstr.', '65', 'Neustadt', 'D', 45879, 'Gelsenkirchen', 209, 785408);
INSERT INTO teilnehmer VALUES (1383, 61, 'Herr', 'Guido', 'Thiel', 'Berliner Str.', '2', 'Westenfeld', 'D', 44867, 'Bochum', 179, 34170);
INSERT INTO teilnehmer VALUES (1384, 245, 'Herr', 'Werner', 'Grewe', 'Auf der Bochumer Landwehr', '18', 'Grumme', 'D', 44791, 'Bochum', 234, 351688);
INSERT INTO teilnehmer VALUES (1385, 26, 'Frau', 'Dora', 'Fiedler', 'Lessenstr.', '37', 'Westerfilde', 'D', 44357, 'Dortmund', 231, 583097);
INSERT INTO teilnehmer VALUES (1386, 90, 'Herr', 'Aribert', 'Dondrup', 'Theodorstr.', '74', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 814898);
INSERT INTO teilnehmer VALUES (1387, 200, 'Frau', 'Gabriele', 'Mekelburg', 'Am Fettingkotten', '10', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 86428);
INSERT INTO teilnehmer VALUES (1388, 151, 'Herr', 'Klaus', 'Flottau', 'Scheideweg', '34', 'Scholven', 'D', 45896, 'Gelsenkirchen', 209, 521631);
INSERT INTO teilnehmer VALUES (1389, 148, 'Herr', 'Prof. Dr. Klaus', 'Fink', 'Schadowstr.', '36', 'Querenburg', 'D', 44801, 'Bochum', 234, 580737);
INSERT INTO teilnehmer VALUES (1390, 267, 'Herr', 'Wilhelm', 'Gashi', 'Stiftstr.', '26', 'Feldmark', 'D', 45883, 'Gelsenkirchen', 209, 460945);
INSERT INTO teilnehmer VALUES (1391, 178, NULL, 'H.-G.', 'Eckai', NULL, '54', NULL, 'D', 44, 'Bochum', 234, 757886);
INSERT INTO teilnehmer VALUES (1392, 42, 'Herr', 'Boris', 'Vorberg', 'Finkenweg', '1', 'Beckhausen', 'D', 45899, 'Gelsenkirchen', 209, 29066);
INSERT INTO teilnehmer VALUES (1393, NULL, 'Herr', 'August', 'Kornath', 'Selbsthilfeweg', '13', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 209880);
INSERT INTO teilnehmer VALUES (1394, 59, 'Herr', 'Willi', 'Eckert', 'Gleiwitzstr.', '53', 'Scharnhorst', 'D', 44328, 'Dortmund', 231, 754805);
INSERT INTO teilnehmer VALUES (1395, 1, 'Herr', 'Reinhold', 'Gesatzki', 'Devensstr.', '23', 'Horst', 'D', 45899, 'Gelsenkirchen', 209, 410516);
INSERT INTO teilnehmer VALUES (1396, 157, 'Herr', 'Jochen', 'Kaudelka', 'Haubachstr.', '14', 'Kirchhrde', 'D', 44229, 'Dortmund', 231, 257748);
INSERT INTO teilnehmer VALUES (1397, 83, 'Herr', 'Peter', 'Feustel', 'Brinkgartenstr.', '37', 'Buer', 'D', 45894, 'Gelsenkirchen', 209, 585490);
INSERT INTO teilnehmer VALUES (1398, 252, 'Frau', 'Anna', 'Gler', 'Dammstr.', '22', 'Freisenbruch', 'D', 45279, 'Essen, Ruhr', 201, 397795);
INSERT INTO teilnehmer VALUES (1399, 104, 'Herr', 'Markus', 'Ziska', 'Lindener Str.', NULL, 'Linden', 'D', 44879, 'Bochum', 234, 4493);
INSERT INTO teilnehmer VALUES (1400, 30, 'Herr', 'Josef', 'Franzen', 'Am Bremkamp', '31', 'Weitmar', 'D', 44795, 'Bochum', 234, 497483);
INSERT INTO teilnehmer VALUES (1401, 256, NULL, 'Michelino', 'Rethers', 'Hagenschiestr.', '7', NULL, 'D', 71299, 'Wimsheim', 7044, 71191);
INSERT INTO teilnehmer VALUES (1402, 176, 'Frau', 'Anja', 'Fabian', 'Eintrachtstr.', '43', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 598666);
INSERT INTO teilnehmer VALUES (1403, 223, 'Herr', 'Helmut', 'Malzahn', 'Marktstr.', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 140844);
INSERT INTO teilnehmer VALUES (1404, 274, 'Herr', 'Werner', 'Kortas', 'Karlstr.', '13', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 209285);
INSERT INTO teilnehmer VALUES (1405, 248, NULL, 'Lenery', 'von Cieminski', 'Juliusstr.', '1', 'Innenstadt', 'D', 44787, 'Bochum', 172, 29432);
INSERT INTO teilnehmer VALUES (1406, 15, 'Herr', 'Leonhard', 'Fortkamp', 'Hrder Bruch', '31', 'Hrde', 'D', 44263, 'Dortmund', 231, 502249);
INSERT INTO teilnehmer VALUES (1407, 24, 'Herr', 'Wolfgang', 'Kremski', 'Schnleinstr.', '13', 'Rttenscheid', 'D', 45131, 'Essen, Ruhr', 201, 207252);
INSERT INTO teilnehmer VALUES (1408, 74, 'Frau', 'Christa', 'Dix', 'Brauhof', '76', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 832434);
INSERT INTO teilnehmer VALUES (1409, 11, 'Frau', 'Marion', 'Reisach', 'Hgelstr.', '7', 'Neviges', 'D', 42553, 'Velbert', 2053, 71609);
INSERT INTO teilnehmer VALUES (1410, 97, 'Herr', 'Hans', 'Kreutz', 'Darler Heide', '13', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 206537);
INSERT INTO teilnehmer VALUES (1411, 128, 'Herr', 'Johanna', 'Domnick', 'Deichstr.', '74', 'Bismarck', 'D', 45889, 'Gelsenkirchen', 209, 815994);
INSERT INTO teilnehmer VALUES (1412, 160, 'Frau', 'Gisela', 'Choroba', 'Oberfeldinger Str.', '111', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 1475564);
INSERT INTO teilnehmer VALUES (1413, NULL, 'Herr', 'Klaus', 'Dauschek', 'Lange Schulstr.', '90', NULL, 'D', 31073, 'Grnenplan, Flecken Delligsen', 5187, 873432);
INSERT INTO teilnehmer VALUES (1414, 8, 'Herr', 'Helmut', 'Arndt', 'Dammbleiche', '49a', NULL, 'D', 26135, 'Oldenburg, Oldb', 441, 8008687);
INSERT INTO teilnehmer VALUES (1415, 49, 'Herr', 'Friedrich', 'Schlmer', 'Im Heicken', '5', 'Wiemelhausen', 'D', 44789, 'Bochum', 172, 64239);
INSERT INTO teilnehmer VALUES (1416, 212, 'Frau', 'Claudia', 'Ntzold', 'Castroper Hellweg', '8', 'Gerthe', 'D', 44805, 'Bochum', 234, 77659);
INSERT INTO teilnehmer VALUES (1417, 227, 'Frau', 'Brigitte', 'Emde', 'Heilermannstr.', '49', 'Sdostviertel', 'D', 45138, 'Essen, Ruhr', 201, 701625);
INSERT INTO teilnehmer VALUES (1418, 158, 'Frau', 'Elsa', 'Frster', 'Sankt-Georg-Str.', '32', NULL, 'D', 44263, 'Dortmund', 231, 503400);
INSERT INTO teilnehmer VALUES (1419, 90, 'Frau', 'Marie', 'Drewer', 'ckendorfer Str.', '64', 'ckendorf', 'D', 45886, 'Gelsenkirchen', 209, 784678);
INSERT INTO teilnehmer VALUES (1420, 258, 'Frau', 'Edith', 'Gerhard', 'Lerchenweg', '24', 'Grumme', 'D', 44807, 'Bochum', 234, 421726);
INSERT INTO teilnehmer VALUES (1421, 268, 'Frau', 'Marion', 'Porz', 'Plutostr.', '7', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 74280);
INSERT INTO teilnehmer VALUES (1422, 4, 'Herr', 'Stefan', 'Isermann', 'Richardstr.', '16', 'Hamme', 'D', 44809, 'Bochum', 234, 274195);
INSERT INTO teilnehmer VALUES (1423, 19, 'Frau', 'Waltraud', 'Gttler', 'Schngelbergstr.', '18', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 335862);
INSERT INTO teilnehmer VALUES (1424, 106, NULL, 'C.', 'Fust', 'Sundernholz', '28', 'Stadtwald', 'D', 45134, 'Essen, Ruhr', 201, 482265);
INSERT INTO teilnehmer VALUES (1425, 77, 'Herr', 'Rudolf', 'Nonn', 'Dietrich-Benking-Str.', '8', 'Hiltrop', 'D', 44805, 'Bochum', 234, 77736);
INSERT INTO teilnehmer VALUES (1426, 239, 'Herr', 'Thomas', 'Finke', 'Steinkuhlstr.', '36', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 579885);
INSERT INTO teilnehmer VALUES (1427, 55, 'Herr', 'Erich', 'Hausberg', 'Beckeradsdelle', '17', 'Buer', 'D', 45897, 'Gelsenkirchen', 209, 320769);
INSERT INTO teilnehmer VALUES (1428, 148, NULL, '', 'Krahe', 'Brenscheder Str.', '13', 'Wiemelhausen', 'D', 44799, 'Bochum', 234, 207886);
INSERT INTO teilnehmer VALUES (1429, 15, 'Herr', 'Thomas', 'Staudt', 'Am Schperskotten', '3', 'Erle', 'D', 45891, 'Gelsenkirchen', 177, 51679);
INSERT INTO teilnehmer VALUES (1430, 91, 'Frau', 'Elfriede', 'Gantenberg', 'Dr.-C.-Otto-Str.', '27', 'Dahlhausen', 'D', 44879, 'Bochum', 234, 470922);
INSERT INTO teilnehmer VALUES (1431, 21, 'Frau', 'Monika', 'Wiemeier', 'Surkampstr.', NULL, 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 15533);
INSERT INTO teilnehmer VALUES (1432, 150, 'Frau', 'Hildegard', 'Dressler', 'Elisabethstr.', '69', 'Wattenscheid', 'D', 44866, 'Bochum', 2327, 795161);
INSERT INTO teilnehmer VALUES (1433, 13, 'Herr', 'Klaus', 'Hempel', 'Wiebringhausstr.', '17', 'Hassel', 'D', 45896, 'Gelsenkirchen', 209, 295946);
INSERT INTO teilnehmer VALUES (1434, 170, 'Herr', 'Wilhelm', 'Mller', 'Steigwiesen', '9', NULL, 'D', 90475, 'Nrnberg, Mittelfr', 911, 82546);
INSERT INTO teilnehmer VALUES (1435, 41, 'Frau', 'Margarete', 'Gabel', 'Karl-Friedrich-Str.', '28', 'Weitmar', 'D', 44795, 'Bochum', 234, 475017);
INSERT INTO teilnehmer VALUES (1436, NULL, 'Herr', 'Michael', 'Schmidt', NULL, '5', NULL, 'D', 40, 'Dsseldorf', 177, 62258);
INSERT INTO teilnehmer VALUES (1437, 116, NULL, 'R.', 'Zimmer', 'Paulsborner Str.', NULL, NULL, 'D', 10709, 'Berlin', 30, 6839);
INSERT INTO teilnehmer VALUES (1438, 184, 'Frau', 'Erika', 'Garus', NULL, '26', NULL, 'D', 44, 'Bochum', 234, 461494);
INSERT INTO teilnehmer VALUES (1439, 168, 'Herr', 'Gerhard', 'Bessert', 'Hoffmannstr.', '197', 'Heler', 'D', 45883, 'Gelsenkirchen', 209, 3848615);
INSERT INTO teilnehmer VALUES (1440, 42, 'Frau', 'Katerine', 'Gertz', 'Hildegardstr.', '23', 'Hamme', 'D', 44809, 'Bochum', 234, 410634);
INSERT INTO teilnehmer VALUES (1441, 44, 'Herr', 'Carsten', 'Werske', 'Schellstr.', NULL, 'Stadtwald', 'D', 45134, 'Essen, Ruhr', 171, 17321);
INSERT INTO teilnehmer VALUES (1442, 157, 'Herr', 'Martin', 'Schloemer', 'Wanner Str.', '5', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 177, 64724);
INSERT INTO teilnehmer VALUES (1443, 223, 'Herr', 'Franz', 'Winter', 'Tattenbachstr.', NULL, NULL, 'D', 86179, 'Augsburg, Bay', 821, 12908);
INSERT INTO teilnehmer VALUES (1444, 82, NULL, 'E.', 'Cupok', 'Wirknerstr.', '102', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 897779);
INSERT INTO teilnehmer VALUES (1445, 166, 'Frau', 'Maria', 'Otterbein', 'Ravenbusch', '8', 'Bulmke-Hllen', 'D', 45888, 'Gelsenkirchen', 209, 76957);
INSERT INTO teilnehmer VALUES (1446, 269, 'Herr', 'Kurt', 'Manik', 'Heistr.', '11', 'Erle', 'D', 45891, 'Gelsenkirchen', 209, 140677);
INSERT INTO teilnehmer VALUES (1447, 47, 'Herr', 'Raimund', 'Gerding', 'Castroper Str.', '24', 'Innenstadt', 'D', 44791, 'Bochum', 234, 429120);
INSERT INTO teilnehmer VALUES (1448, NULL, NULL, 'P.', 'Duch', NULL, '56', NULL, 'D', 458, 'Gelsenkirchen', 209, 770624);
INSERT INTO teilnehmer VALUES (1449, 270, 'Herr', 'Heinz', 'Dudziak', 'Schevenstr.', '55', 'Neustadt', 'D', 45879, 'Gelsenkirchen', 209, 770383);

--
-- Tabelle Dozent
--------------------------------------------------
DROP TABLE "SCOTT"."DOZENT";
CREATE TABLE "SCOTT"."DOZENT"
("D_NR" NUMBER(4) NOT NULL, 
 "D_ANREDE" VARCHAR2(5),
 "D_VORNAME" VARCHAR2(20), 
 "D_NACHNAME" VARCHAR2(30),
 "D_STRASSE" VARCHAR2(40), 
 "D_HAUSNR" VARCHAR2(5),
 "D_STADTTEIL" VARCHAR2(30), 
 "D_LAND" VARCHAR2(2),
 "D_PLZ" NUMBER(5),
 "D_STADT" VARCHAR2(30),
 "D_VORWAHL" NUMBER(10),
 "D_TELNR" NUMBER(10),
  PRIMARY KEY("D_NR"))  
  TABLESPACE "USERS";
--------------------------------------------------
-- Daten Tabelle DOzent
--
INSERT INTO dozent VALUES (1, 'Frau', 'Birte', 'Sonnenschein', 'Charlottenhofstr.', '29', 'Kettwig', 'D', 45219, 'Essen, Ruhr', 2054, 203610);
INSERT INTO dozent VALUES (2, 'Frau', 'Susanne', 'Rollstein', 'Elsenpa', '26', 'Lowick', 'D', 46395, 'Bocholt', 2871, 335970);
INSERT INTO dozent VALUES (3, 'Herr', 'Martin', 'Dnn', 'Deichstr.', '23', NULL, 'D', 46414, 'Rhede, Westf', 2872, 491473);
INSERT INTO dozent VALUES (4, 'Herr', 'Holger', 'Schnellschuss', 'Alte Ellinghauser Str.', '23', 'Lindenhorst', 'D', 44339, 'Dortmund', 231, 492637);
INSERT INTO dozent VALUES (5, 'Herr', 'Stefan', 'Erdbau', 'Herkener Str.', '22', NULL, 'D', 46419, 'Isselburg', 2874, 501970);
INSERT INTO dozent VALUES (6, 'Herr', 'Ralf', 'Hostell', 'Rotthauser Str.', '20', 'Rotthausen', 'D', 45884, 'Gelsenkirchen', 209, 2333);
INSERT INTO dozent VALUES (7, 'Herr', 'Lars', 'Klapp', 'Lohbergstr.', '5', 'Innenstadt', 'D', 44789, 'Bochum', 234, 9593);
INSERT INTO dozent VALUES (8, 'Frau', 'Anja', 'Doppelt', 'Ratiborer Str.', '6', 'Weitmar', 'D', 44795, 'Bochum', 234, 20509);
INSERT INTO dozent VALUES (9, 'Herr', 'Reinhard', 'Bergluft', 'Dr.-C.-Otto-Str.', '13', 'Dahlhausen', 'D', 44879, 'Bochum', 234, 21534);
INSERT INTO dozent VALUES (10, 'Herr', 'Marco', 'Scheffchen', 'Alter Zoll', '14', 'Hntrop', 'D', 44867, 'Bochum', 2327, 851873);
INSERT INTO dozent VALUES (11, 'Frau', 'Marcus', 'Bodensee', 'Rappaportstr.', '206', NULL, 'D', 45768, 'Marl, Westf', 2365, 3191628);
INSERT INTO dozent VALUES (12, 'Herr', 'Dirk', 'Still', 'Brckstr.', '2a', 'Innenstadt', 'D', 44787, 'Bochum', 234, 3387881);
INSERT INTO dozent VALUES (13, 'Herr', 'Markus', 'Brchen', 'Woorteweg', '37a', NULL, 'D', 46354, 'Sdlohn', 2862, 4629325);
INSERT INTO dozent VALUES (14, 'Herr', 'Nils', 'Latz', 'Spanenkamp', '137', 'Stuckenbusch', 'D', 45659, 'Recklinghausen, Westf', 2361, 9501153);
INSERT INTO dozent VALUES (15, 'Frau', 'Kristina', 'Gelddreh', 'Humboldtring', '88', 'Heien-Fulerum', 'D', 45472, 'Mlheim an der Ruhr', 208, 29326);
INSERT INTO dozent VALUES (16, 'Herr', 'Markus', 'Feder', 'Castroper Str.', '85', 'Brnig', 'D', 44628, 'Herne, Westf', 2323, 53490);
INSERT INTO dozent VALUES (17, 'Herr', 'Thomas', 'Gold', 'Dinslakener Landstr.', '81', NULL, 'D', 46483, 'Wesel a Rhein', 281, 62515);
INSERT INTO dozent VALUES (18, 'Herr', 'Mischa', 'Fingerflink', 'Heggerstr.', '56', NULL, 'D', 45525, 'Hattingen, Ruhr', 2324, 80488);
INSERT INTO dozent VALUES (19, 'Herr', 'Christian', 'Ordinarius', 'Marktstr.', '45', 'Altstadt-Sd', 'D', 46045, 'Oberhausen, Rheinl', 208, 139568);
INSERT INTO dozent VALUES (20, 'Herr', 'Anton', 'Ebenhof', 'Leipziger Str.', '32', NULL, 'D', 42579, 'Heiligenhaus b Velbert', 2056, 181513);

-- Tabelle Themenverteilung
DROP TABLE "SCOTT"."THEMENVERTEILUNG";
CREATE TABLE "SCOTT"."THEMENVERTEILUNG"
("TH_NR" NUMBER(4) NOT NULL,
 "D_NR" NUMBER(4) NOT NULL,
 "K_NR" NUMBER(7) NOT NULL, 
 "TH_TAGESSATZ" NUMBER(6, 2) NOT NULL,
 PRIMARY KEY("TH_NR"), 
 FOREIGN KEY("D_NR") 
  REFERENCES "SCOTT"."DOZENT"("D_NR"),
 FOREIGN KEY("K_NR") 
  REFERENCES "SCOTT"."KURS"("K_NR"))  
 TABLESPACE "USERS";

-- Daten Tabelle Themenverteilung

INSERT INTO themenverteilung VALUES (1, 6, 1010004, 350.00);
INSERT INTO themenverteilung VALUES (2, 18, 1010004, 360.00);
INSERT INTO themenverteilung VALUES (3, 7, 1010005, 400.00);
INSERT INTO themenverteilung VALUES (4, 2, 1010006, 350.00);
INSERT INTO themenverteilung VALUES (5, 18, 1010006, 370.00);
INSERT INTO themenverteilung VALUES (6, 13, 1010007, 350.00);
INSERT INTO themenverteilung VALUES (7, 13, 1010008, 350.00);
INSERT INTO themenverteilung VALUES (8, 7, 1010009, 400.00);
INSERT INTO themenverteilung VALUES (9, 13, 1010010, 350.00);
INSERT INTO themenverteilung VALUES (10, 13, 1010011, 350.00);
INSERT INTO themenverteilung VALUES (11, 7, 1010074, 350.00);
INSERT INTO themenverteilung VALUES (12, 10, 1010077, 420.00);
INSERT INTO themenverteilung VALUES (13, 10, 1010078, 520.00);
INSERT INTO themenverteilung VALUES (14, 2, 1010079, 400.00);
INSERT INTO themenverteilung VALUES (15, 2, 1010084, 400.00);
INSERT INTO themenverteilung VALUES (16, 4, 1015024, 500.00);
INSERT INTO themenverteilung VALUES (17, 3, 1015025, 400.00);
INSERT INTO themenverteilung VALUES (18, 17, 1015025, 570.00);
INSERT INTO themenverteilung VALUES (19, 20, 1015025, 560.00);
INSERT INTO themenverteilung VALUES (20, 8, 1015026, 450.00);
INSERT INTO themenverteilung VALUES (21, 17, 1015026, 500.00);
INSERT INTO themenverteilung VALUES (22, 5, 1015027, 500.00);
INSERT INTO themenverteilung VALUES (23, 20, 1015027, 510.00);
INSERT INTO themenverteilung VALUES (24, 5, 1015028, 500.00);
INSERT INTO themenverteilung VALUES (25, 20, 1015028, 510.00);
INSERT INTO themenverteilung VALUES (26, 5, 1015029, 500.00);
INSERT INTO themenverteilung VALUES (27, 20, 1015029, 510.00);
INSERT INTO themenverteilung VALUES (28, 15, 1015030, 450.00);
INSERT INTO themenverteilung VALUES (29, 3, 1015031, 550.00);
INSERT INTO themenverteilung VALUES (30, 17, 1015031, 570.00);
INSERT INTO themenverteilung VALUES (31, 20, 1015031, 550.00);
INSERT INTO themenverteilung VALUES (32, 5, 1015032, 500.00);
INSERT INTO themenverteilung VALUES (33, 20, 1015032, 510.00);
INSERT INTO themenverteilung VALUES (34, 5, 1015033, 500.00);
INSERT INTO themenverteilung VALUES (35, 20, 1015033, 510.00);
INSERT INTO themenverteilung VALUES (36, 3, 1015034, 550.00);
INSERT INTO themenverteilung VALUES (37, 17, 1015034, 570.00);
INSERT INTO themenverteilung VALUES (38, 20, 1015034, 550.00);
INSERT INTO themenverteilung VALUES (39, 9, 1015035, 560.00);
INSERT INTO themenverteilung VALUES (40, 3, 1015036, 550.00);
INSERT INTO themenverteilung VALUES (41, 17, 1015036, 570.00);
INSERT INTO themenverteilung VALUES (42, 20, 1015036, 560.00);
INSERT INTO themenverteilung VALUES (43, 8, 1015037, 450.00);
INSERT INTO themenverteilung VALUES (44, 17, 1015037, 500.00);
INSERT INTO themenverteilung VALUES (45, 3, 1015038, 550.00);
INSERT INTO themenverteilung VALUES (46, 17, 1015038, 570.00);
INSERT INTO themenverteilung VALUES (47, 20, 1015038, 560.00);
INSERT INTO themenverteilung VALUES (48, 2, 1015040, 500.00);
INSERT INTO themenverteilung VALUES (49, 18, 1015040, 510.00);
INSERT INTO themenverteilung VALUES (50, 4, 1015041, 500.00);
INSERT INTO themenverteilung VALUES (51, 2, 1015042, 500.00);
INSERT INTO themenverteilung VALUES (52, 18, 1015042, 510.00);
INSERT INTO themenverteilung VALUES (53, 4, 1015043, 500.00);
INSERT INTO themenverteilung VALUES (54, 17, 1015043, 520.00);
INSERT INTO themenverteilung VALUES (55, 4, 1015044, 500.00);
INSERT INTO themenverteilung VALUES (56, 17, 1015044, 520.00);
INSERT INTO themenverteilung VALUES (57, 1, 1015064, 450.00);
INSERT INTO themenverteilung VALUES (58, 19, 1015064, 490.00);
INSERT INTO themenverteilung VALUES (59, 19, 1015064, 470.00);
INSERT INTO themenverteilung VALUES (60, 1, 1015065, 450.00);
INSERT INTO themenverteilung VALUES (61, 19, 1015065, 490.00);
INSERT INTO themenverteilung VALUES (62, 1, 1015066, 450.00);
INSERT INTO themenverteilung VALUES (63, 19, 1015066, 490.00);
INSERT INTO themenverteilung VALUES (64, 3, 1015067, 550.00);
INSERT INTO themenverteilung VALUES (65, 17, 1015067, 570.00);
INSERT INTO themenverteilung VALUES (66, 20, 1015067, 560.00);
INSERT INTO themenverteilung VALUES (67, 4, 1015068, 500.00);
INSERT INTO themenverteilung VALUES (68, 17, 1015068, 520.00);
INSERT INTO themenverteilung VALUES (69, 6, 1020052, 300.00);
INSERT INTO themenverteilung VALUES (70, 18, 1020052, 400.00);
INSERT INTO themenverteilung VALUES (71, 6, 1020052, 350.00);
INSERT INTO themenverteilung VALUES (72, 3, 1020052, 380.00);
INSERT INTO themenverteilung VALUES (73, 4, 1020052, 390.00);
INSERT INTO themenverteilung VALUES (74, 6, 1020053, 350.00);
INSERT INTO themenverteilung VALUES (75, 18, 1020053, 380.00);
INSERT INTO themenverteilung VALUES (76, 6, 1020054, 350.00);
INSERT INTO themenverteilung VALUES (77, 6, 1020055, 400.00);
INSERT INTO themenverteilung VALUES (78, 18, 1020055, 380.00);
INSERT INTO themenverteilung VALUES (79, 6, 1020056, 350.00);
INSERT INTO themenverteilung VALUES (80, 6, 1020057, 350.00);
INSERT INTO themenverteilung VALUES (81, 3, 1020058, 350.00);
INSERT INTO themenverteilung VALUES (82, 17, 1020058, 400.00);
INSERT INTO themenverteilung VALUES (83, 20, 1020058, 380.00);
INSERT INTO themenverteilung VALUES (84, 6, 1020059, 350.00);
INSERT INTO themenverteilung VALUES (85, 18, 1020059, 380.00);
INSERT INTO themenverteilung VALUES (86, 1, 1025012, 350.00);
INSERT INTO themenverteilung VALUES (87, 19, 1025012, 360.00);
INSERT INTO themenverteilung VALUES (88, 1, 1025013, 300.00);
INSERT INTO themenverteilung VALUES (89, 19, 1025013, 320.00);
INSERT INTO themenverteilung VALUES (90, 1, 1025014, 300.00);
INSERT INTO themenverteilung VALUES (91, 19, 1025014, 300.00);
INSERT INTO themenverteilung VALUES (92, 1, 1025015, 350.00);
INSERT INTO themenverteilung VALUES (93, 19, 1025015, 340.00);
INSERT INTO themenverteilung VALUES (94, 1, 1025017, 400.00);
INSERT INTO themenverteilung VALUES (95, 19, 1025017, 420.00);
INSERT INTO themenverteilung VALUES (96, 16, 1025017, 430.00);
INSERT INTO themenverteilung VALUES (97, 1, 1025018, 400.00);
INSERT INTO themenverteilung VALUES (98, 19, 1025018, 420.00);
INSERT INTO themenverteilung VALUES (99, 16, 1025018, 430.00);
INSERT INTO themenverteilung VALUES (100, 1, 1025019, 400.00);
INSERT INTO themenverteilung VALUES (101, 19, 1025019, 420.00);
INSERT INTO themenverteilung VALUES (102, 16, 1025019, 430.00);
INSERT INTO themenverteilung VALUES (103, 1, 1025020, 300.00);
INSERT INTO themenverteilung VALUES (104, 19, 1025020, 320.00);
INSERT INTO themenverteilung VALUES (105, 14, 1025021, 450.00);
INSERT INTO themenverteilung VALUES (106, 13, 1025022, 350.00);
INSERT INTO themenverteilung VALUES (107, 3, 1025039, 500.00);
INSERT INTO themenverteilung VALUES (108, 16, 1025039, 550.00);
INSERT INTO themenverteilung VALUES (109, 20, 1025039, 560.00);
INSERT INTO themenverteilung VALUES (110, 5, 1025039, 510.00);
INSERT INTO themenverteilung VALUES (111, 4, 1025039, 490.00);
INSERT INTO themenverteilung VALUES (112, 8, 1025039, 500.00);
INSERT INTO themenverteilung VALUES (113, 1, 1025039, 480.00);
INSERT INTO themenverteilung VALUES (114, 12, 1025047, 480.00);
INSERT INTO themenverteilung VALUES (115, 12, 1025048, 480.00);
INSERT INTO themenverteilung VALUES (116, 16, 1025048, 490.00);
INSERT INTO themenverteilung VALUES (117, 3, 1025051, 550.00);
INSERT INTO themenverteilung VALUES (118, 16, 1025051, 540.00);
INSERT INTO themenverteilung VALUES (119, 20, 1025051, 560.00);
INSERT INTO themenverteilung VALUES (120, 3, 1025061, 550.00);
INSERT INTO themenverteilung VALUES (121, 16, 1025061, 540.00);
INSERT INTO themenverteilung VALUES (122, 20, 1025061, 560.00);
INSERT INTO themenverteilung VALUES (123, 1, 1025062, 400.00);
INSERT INTO themenverteilung VALUES (124, 19, 1025062, 430.00);
INSERT INTO themenverteilung VALUES (125, 3, 1025063, 550.00);
INSERT INTO themenverteilung VALUES (126, 16, 1025063, 540.00);
INSERT INTO themenverteilung VALUES (127, 20, 1025063, 560.00);
INSERT INTO themenverteilung VALUES (128, 3, 1025071, 550.00);
INSERT INTO themenverteilung VALUES (129, 16, 1025071, 540.00);
INSERT INTO themenverteilung VALUES (130, 20, 1025071, 560.00);
INSERT INTO themenverteilung VALUES (131, 3, 1025072, 550.00);
INSERT INTO themenverteilung VALUES (132, 16, 1025072, 540.00);
INSERT INTO themenverteilung VALUES (133, 20, 1025072, 560.00);
INSERT INTO themenverteilung VALUES (134, 3, 1025073, 550.00);
INSERT INTO themenverteilung VALUES (135, 16, 1025073, 540.00);
INSERT INTO themenverteilung VALUES (136, 20, 1025073, 560.00);
INSERT INTO themenverteilung VALUES (137, 13, 1025075, 350.00);
INSERT INTO themenverteilung VALUES (138, 19, 1025075, 360.00);
INSERT INTO themenverteilung VALUES (139, 13, 1025080, 350.00);
INSERT INTO themenverteilung VALUES (140, 1, 1025081, 350.00);
INSERT INTO themenverteilung VALUES (141, 19, 1025081, 320.00);
INSERT INTO themenverteilung VALUES (142, 1, 1025082, 350.00);
INSERT INTO themenverteilung VALUES (143, 19, 1025082, 320.00);
INSERT INTO themenverteilung VALUES (144, 1, 1025083, 350.00);
INSERT INTO themenverteilung VALUES (145, 19, 1025083, 320.00);
INSERT INTO themenverteilung VALUES (146, 12, 1030045, 500.00);
INSERT INTO themenverteilung VALUES (147, 4, 1030048, 450.00);
INSERT INTO themenverteilung VALUES (148, 16, 1030048, 540.00);
INSERT INTO themenverteilung VALUES (149, 12, 1030049, 500.00);
INSERT INTO themenverteilung VALUES (150, 11, 1030050, 500.00);
INSERT INTO themenverteilung VALUES (151, 3, 1030073, 550.00);
INSERT INTO themenverteilung VALUES (152, 17, 1030073, 570.00);
INSERT INTO themenverteilung VALUES (153, 20, 1030073, 560.00);
INSERT INTO themenverteilung VALUES (154, 1, 1040016, 400.00);
INSERT INTO themenverteilung VALUES (155, 19, 1040016, 340.00);
INSERT INTO themenverteilung VALUES (156, 1, 1040023, 350.00);
INSERT INTO themenverteilung VALUES (157, 19, 1040023, 370.00);
INSERT INTO themenverteilung VALUES (158, 1, 1040060, 400.00);
INSERT INTO themenverteilung VALUES (159, 19, 1040060, 410.00);
INSERT INTO themenverteilung VALUES (160, 1, 1040069, 400.00);
INSERT INTO themenverteilung VALUES (161, 19, 1040069, 450.00);
INSERT INTO themenverteilung VALUES (162, 16, 1040069, 430.00);
INSERT INTO themenverteilung VALUES (163, 1, 1040070, 400.00);
INSERT INTO themenverteilung VALUES (164, 19, 1040070, 350.00);
INSERT INTO themenverteilung VALUES (165, 1, 1040076, 450.00);
INSERT INTO themenverteilung VALUES (166, 19, 1040076, 450.00);

-- Tabelle Buchung
DROP TABLE "SCOTT"."BUCHUNG";
CREATE TABLE "SCOTT"."BUCHUNG" (
 "B_NR" NUMBER( 6 ) NOT NULL ,
 "TN_NR" NUMBER( 4 ) ,
 "T_NR" NUMBER( 4 ) ,
 "B_DATUM" DATE,
 "B_TZAHL" NUMBER(1),
 "B_PREIS" NUMBER( 10, 2 ) ,
 "B_NRANMELDER" NUMBER( 5 ) ,
 "B_STORNODATUM" DATE,
 "B_STORNOGEBUEHR" NUMBER(10,2),
  PRIMARY KEY ( "B_NR" ),
  FOREIGN KEY("TN_NR") 
  REFERENCES "SCOTT"."TEILNEHMER"("TN_NR"),
  FOREIGN KEY("T_NR") 
  REFERENCES "SCOTT"."TERMIN"("T_NR"))
 TABLESPACE "USERS";

-----------------
-- Daten Tabelle Buchung
REM INSERTING into BUCHUNG
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (836,199,199,to_timestamp('07.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,199,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (837,797,199,to_timestamp('07.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,199,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (838,996,199,to_timestamp('07.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,199,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (839,200,200,to_timestamp('22.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (840,332,200,to_timestamp('22.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (841,649,200,to_timestamp('22.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (842,1343,200,to_timestamp('22.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (843,1356,200,to_timestamp('22.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (844,92,202,to_timestamp('17.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (845,202,202,to_timestamp('17.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (846,807,202,to_timestamp('17.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (847,497,202,to_timestamp('17.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (848,581,202,to_timestamp('17.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (849,601,202,to_timestamp('17.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (850,430,203,to_timestamp('22.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (851,115,203,to_timestamp('22.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (852,203,203,to_timestamp('22.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (853,928,203,to_timestamp('22.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (854,1008,203,to_timestamp('22.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (855,528,203,to_timestamp('22.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (856,89,206,to_timestamp('16.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (857,206,206,to_timestamp('16.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (858,858,206,to_timestamp('16.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (859,880,206,to_timestamp('16.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (860,888,206,to_timestamp('16.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (861,642,206,to_timestamp('16.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (862,207,207,to_timestamp('19.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,812,207,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (863,841,207,to_timestamp('19.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,812,207,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (864,1214,207,to_timestamp('19.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,812,207,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (865,124,208,to_timestamp('22.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,523,124,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (866,208,208,to_timestamp('22.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,523,124,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (867,652,208,to_timestamp('22.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,523,124,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (868,385,209,to_timestamp('26.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (869,44,209,to_timestamp('26.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (870,209,209,to_timestamp('26.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (871,232,209,to_timestamp('26.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (872,736,209,to_timestamp('26.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (873,949,209,to_timestamp('26.09.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (874,210,210,to_timestamp('03.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (875,757,210,to_timestamp('03.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (876,871,210,to_timestamp('03.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (877,494,210,to_timestamp('03.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (878,1307,210,to_timestamp('03.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (879,1438,210,to_timestamp('03.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (880,205,211,to_timestamp('10.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (881,211,211,to_timestamp('10.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (882,235,211,to_timestamp('10.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (883,1081,211,to_timestamp('10.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (884,1092,211,to_timestamp('10.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (885,1259,211,to_timestamp('10.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (886,213,213,to_timestamp('17.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (887,315,213,to_timestamp('17.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (888,717,213,to_timestamp('17.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (889,817,213,to_timestamp('17.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (890,1019,213,to_timestamp('17.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (891,1178,213,to_timestamp('17.10.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (892,214,214,to_timestamp('09.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,858,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (893,472,214,to_timestamp('09.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,858,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (894,641,214,to_timestamp('09.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,858,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (895,1185,214,to_timestamp('09.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,858,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (896,215,215,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (897,905,215,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (898,1041,215,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (899,454,215,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (900,564,215,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (901,1152,215,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (902,216,216,to_timestamp('30.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,815,216,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (903,874,216,to_timestamp('30.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,815,216,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (904,981,216,to_timestamp('30.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,815,216,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (905,1199,216,to_timestamp('30.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,815,216,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (906,1350,216,to_timestamp('30.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,815,216,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (907,387,217,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (908,55,217,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (909,65,217,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (910,157,217,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (911,167,217,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (912,183,217,to_timestamp('20.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (913,68,218,to_timestamp('22.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,555,68,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (914,218,218,to_timestamp('22.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,555,68,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (915,293,218,to_timestamp('22.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,555,68,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (916,404,219,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (917,188,219,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (918,219,219,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (919,746,219,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (920,859,219,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (921,1054,219,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (922,220,220,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (923,822,220,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (924,840,220,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (925,508,220,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (926,583,220,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (927,1437,220,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (928,144,221,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (929,221,221,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (930,239,221,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (931,1061,221,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (932,510,221,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (933,1220,221,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (934,352,222,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (935,181,222,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (936,222,222,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (937,234,222,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (938,316,222,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (939,872,222,to_timestamp('23.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (940,225,225,to_timestamp('27.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (941,310,225,to_timestamp('27.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (942,855,225,to_timestamp('27.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (943,1138,225,to_timestamp('27.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (944,1321,225,to_timestamp('27.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (945,1339,225,to_timestamp('27.12.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (946,226,226,to_timestamp('16.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (947,956,226,to_timestamp('16.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (948,493,226,to_timestamp('16.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (949,614,226,to_timestamp('16.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (950,228,228,to_timestamp('22.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,228,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (951,950,228,to_timestamp('22.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,228,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (952,1043,228,to_timestamp('22.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,228,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (953,548,228,to_timestamp('22.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,228,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (954,1418,228,to_timestamp('22.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,228,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (955,429,230,to_timestamp('18.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (956,146,230,to_timestamp('18.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (957,230,230,to_timestamp('18.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (958,901,230,to_timestamp('18.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (959,1050,230,to_timestamp('18.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (960,519,230,to_timestamp('18.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (961,231,231,to_timestamp('07.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (962,338,231,to_timestamp('07.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (963,479,231,to_timestamp('07.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (964,1249,231,to_timestamp('07.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (965,385,232,to_timestamp('20.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (966,44,232,to_timestamp('20.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (967,209,232,to_timestamp('20.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (968,232,232,to_timestamp('20.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (969,736,232,to_timestamp('20.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (970,949,232,to_timestamp('20.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (971,233,233,to_timestamp('05.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,874,233,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (972,576,233,to_timestamp('05.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,874,233,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (973,352,234,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (974,181,234,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (975,222,234,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (976,234,234,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (977,316,234,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (978,872,234,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (979,205,235,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (980,211,235,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (981,235,235,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (982,1081,235,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (983,1092,235,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (984,1259,235,to_timestamp('25.01.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,205,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (985,61,236,to_timestamp('04.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (986,236,236,to_timestamp('04.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (987,302,236,to_timestamp('04.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (988,1045,236,to_timestamp('04.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (989,1268,236,to_timestamp('04.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (990,20,237,to_timestamp('02.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (991,227,237,to_timestamp('02.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (992,237,237,to_timestamp('02.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (993,260,237,to_timestamp('02.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (994,751,237,to_timestamp('02.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (995,974,237,to_timestamp('02.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (996,144,239,to_timestamp('05.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (997,221,239,to_timestamp('05.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (998,239,239,to_timestamp('05.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (999,1061,239,to_timestamp('05.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1000,510,239,to_timestamp('05.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1001,1220,239,to_timestamp('05.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1002,30,240,to_timestamp('25.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,30,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1003,240,240,to_timestamp('25.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,30,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1004,884,240,to_timestamp('25.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,30,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1005,1327,240,to_timestamp('25.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,30,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1006,187,241,to_timestamp('19.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,874,187,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1007,241,241,to_timestamp('19.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,874,187,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1008,91,242,to_timestamp('18.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,91,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1009,242,242,to_timestamp('18.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,91,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1010,848,242,to_timestamp('18.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,91,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1011,952,242,to_timestamp('18.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,91,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1012,990,242,to_timestamp('18.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,91,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1013,243,243,to_timestamp('09.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,243,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1014,816,243,to_timestamp('09.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,243,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1015,589,243,to_timestamp('09.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,243,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1016,178,244,to_timestamp('28.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1017,244,244,to_timestamp('28.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1018,651,244,to_timestamp('28.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1019,1217,244,to_timestamp('28.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1020,363,245,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1021,128,245,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1022,245,245,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1023,295,245,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1024,1107,245,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1025,1022,245,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1026,366,246,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1027,246,246,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1028,791,246,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1029,902,246,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1030,1002,246,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1031,580,246,to_timestamp('11.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1032,421,247,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1033,27,247,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1034,247,247,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1035,748,247,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1036,774,247,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1037,936,247,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1038,356,248,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2,1,1,to_timestamp('09.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,858,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (3,159,1,to_timestamp('09.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,858,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (4,566,1,to_timestamp('09.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,858,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (5,595,1,to_timestamp('09.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,858,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (6,2,2,to_timestamp('19.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,2,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (7,920,2,to_timestamp('19.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,2,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (8,1096,2,to_timestamp('19.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,2,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (9,3,3,to_timestamp('20.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,3,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (10,712,3,to_timestamp('20.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,3,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (11,731,3,to_timestamp('20.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,3,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (12,780,3,to_timestamp('20.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,3,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (13,881,3,to_timestamp('20.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,3,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (14,1322,3,to_timestamp('20.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,3,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (15,5,5,to_timestamp('01.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,584,5,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (16,1301,5,to_timestamp('01.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,584,5,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (17,356,8,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (18,8,8,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (19,79,8,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (20,248,8,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (21,279,8,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (22,1024,8,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (23,9,9,to_timestamp('02.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (24,255,9,to_timestamp('02.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (25,1084,9,to_timestamp('02.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (26,593,9,to_timestamp('02.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (27,1420,9,to_timestamp('02.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (28,10,10,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (29,256,10,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (30,274,10,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (31,1005,10,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (32,1308,10,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (33,1331,10,to_timestamp('23.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (34,11,11,to_timestamp('27.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (35,755,11,to_timestamp('27.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (36,1040,11,to_timestamp('27.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (37,467,11,to_timestamp('27.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (38,514,11,to_timestamp('27.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (39,527,11,to_timestamp('27.12.09 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (40,14,14,to_timestamp('26.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,14,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (41,63,14,to_timestamp('26.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,14,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (42,182,14,to_timestamp('26.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,14,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (43,15,15,to_timestamp('21.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,15,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (44,269,15,to_timestamp('21.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,15,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (45,909,15,to_timestamp('21.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,15,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (46,957,15,to_timestamp('21.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,15,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (47,1243,15,to_timestamp('21.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,15,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (48,16,16,to_timestamp('11.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (49,263,16,to_timestamp('11.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (50,770,16,to_timestamp('11.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (51,906,16,to_timestamp('11.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (52,478,16,to_timestamp('11.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (53,512,16,to_timestamp('11.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (54,17,17,to_timestamp('06.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,17,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (55,26,17,to_timestamp('06.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,17,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (56,876,17,to_timestamp('06.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,17,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (57,1384,17,to_timestamp('06.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,17,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (58,19,19,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,19,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (59,749,19,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,19,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (60,1070,19,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,19,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (61,980,19,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,19,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (62,1200,19,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,19,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (63,1275,19,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,19,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (64,20,20,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (65,227,20,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (66,237,20,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (67,260,20,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (68,751,20,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (69,974,20,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,20,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (70,436,21,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (71,21,21,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (72,261,21,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (73,743,21,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (74,1074,21,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (75,516,21,to_timestamp('24.01.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (76,22,22,to_timestamp('03.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,22,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (77,345,22,to_timestamp('03.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,22,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (78,824,22,to_timestamp('03.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,22,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (79,984,22,to_timestamp('03.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,22,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (80,668,22,to_timestamp('03.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,22,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (81,432,23,to_timestamp('01.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (82,23,23,to_timestamp('01.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (83,48,23,to_timestamp('01.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (84,927,23,to_timestamp('01.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (85,1115,23,to_timestamp('01.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (86,1408,23,to_timestamp('01.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (87,25,25,to_timestamp('14.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,334,25,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (88,763,25,to_timestamp('14.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,334,25,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (89,804,25,to_timestamp('14.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,334,25,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (90,1105,25,to_timestamp('14.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,334,25,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (91,1411,25,to_timestamp('14.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,334,25,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (92,17,26,to_timestamp('24.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,17,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (93,26,26,to_timestamp('24.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,17,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (94,876,26,to_timestamp('24.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,17,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (95,1384,26,to_timestamp('24.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,17,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (96,421,27,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (97,27,27,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (98,247,27,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (99,748,27,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (100,774,27,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (101,936,27,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (102,28,28,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (103,286,28,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (104,339,28,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (105,886,28,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (106,939,28,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (107,577,28,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (108,29,29,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (109,82,29,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (110,808,29,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (111,1113,29,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (112,967,29,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (113,1004,29,to_timestamp('07.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (114,30,30,to_timestamp('27.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,30,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (115,240,30,to_timestamp('27.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,30,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (116,884,30,to_timestamp('27.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,30,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (117,1327,30,to_timestamp('27.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,30,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (118,31,31,to_timestamp('12.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,722,31,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (119,866,31,to_timestamp('12.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,722,31,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (120,1205,31,to_timestamp('12.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,722,31,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (121,32,32,to_timestamp('02.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,686,32,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (122,710,32,to_timestamp('02.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,686,32,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (123,993,32,to_timestamp('02.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,686,32,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (124,1148,32,to_timestamp('02.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,686,32,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (125,33,33,to_timestamp('23.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,348,33,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (126,301,33,to_timestamp('23.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,348,33,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (127,1023,33,to_timestamp('23.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,348,33,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (128,35,35,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,35,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (129,810,35,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,35,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (130,1087,35,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,35,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (131,1380,35,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,35,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (132,36,36,to_timestamp('23.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,348,36,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (133,970,36,to_timestamp('23.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,348,36,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (134,462,36,to_timestamp('23.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,348,36,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (135,37,37,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (136,162,37,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (137,626,37,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (138,1144,37,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (139,39,39,to_timestamp('05.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,39,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (140,986,39,to_timestamp('05.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,39,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (141,522,39,to_timestamp('05.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,39,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (142,1302,39,to_timestamp('05.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,39,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (143,1395,39,to_timestamp('05.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,39,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (144,40,40,to_timestamp('23.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (145,787,40,to_timestamp('23.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (146,865,40,to_timestamp('23.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (147,1112,40,to_timestamp('23.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (148,465,40,to_timestamp('23.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (149,487,40,to_timestamp('23.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (150,414,41,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (151,41,41,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (152,166,41,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (153,594,41,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (154,1292,41,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (155,1386,41,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (156,42,42,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (157,148,42,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (158,713,42,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (159,726,42,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (160,1053,42,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (161,1032,42,to_timestamp('28.02.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (162,402,43,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (163,43,43,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (164,931,43,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (165,551,43,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (166,1215,43,to_timestamp('13.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (167,385,44,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (168,44,44,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (169,209,44,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (170,232,44,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (171,736,44,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (172,949,44,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (173,45,45,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (174,830,45,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (175,943,45,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (176,635,45,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (177,680,45,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (178,1298,45,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (179,46,46,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (180,57,46,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (181,190,46,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (182,847,46,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (183,1361,46,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (184,1371,46,to_timestamp('03.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (185,47,47,to_timestamp('03.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,371,47,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (186,567,47,to_timestamp('03.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,371,47,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (187,666,47,to_timestamp('03.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,371,47,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (188,432,48,to_timestamp('04.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (189,23,48,to_timestamp('04.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (190,48,48,to_timestamp('04.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (191,927,48,to_timestamp('04.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (192,1115,48,to_timestamp('04.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (193,1408,48,to_timestamp('04.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (194,49,49,to_timestamp('06.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,49,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (195,1133,49,to_timestamp('06.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,49,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (196,1282,49,to_timestamp('06.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,49,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (197,50,50,to_timestamp('17.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,50,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (198,96,50,to_timestamp('17.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,50,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (199,328,50,to_timestamp('17.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,50,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (200,645,50,to_timestamp('17.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,50,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (201,1226,50,to_timestamp('17.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,50,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (202,51,51,to_timestamp('06.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,51,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (203,834,51,to_timestamp('06.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,51,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (204,1219,51,to_timestamp('06.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,51,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (205,52,52,to_timestamp('07.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (206,276,52,to_timestamp('07.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (207,894,52,to_timestamp('07.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (208,1059,52,to_timestamp('07.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (209,637,52,to_timestamp('07.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (210,1209,52,to_timestamp('07.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (211,53,53,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (212,280,53,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (213,838,53,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (214,959,53,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (215,1117,53,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (216,545,53,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (217,380,54,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (218,435,54,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (219,6,54,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (220,54,54,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (221,71,54,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (222,186,54,to_timestamp('14.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (223,387,55,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (224,55,55,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (225,65,55,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (226,157,55,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (227,167,55,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (228,183,55,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (229,56,56,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (230,103,56,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (231,718,56,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (232,739,56,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (233,971,56,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (234,525,56,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (235,46,57,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (236,57,57,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (237,190,57,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (238,847,57,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (239,1361,57,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (240,1371,57,to_timestamp('22.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (241,393,59,to_timestamp('28.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (242,59,59,to_timestamp('28.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (243,317,59,to_timestamp('28.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (244,706,59,to_timestamp('28.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (245,897,59,to_timestamp('28.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (246,908,59,to_timestamp('28.03.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (247,60,60,to_timestamp('27.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,60,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (248,126,60,to_timestamp('27.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,60,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (249,265,60,to_timestamp('27.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,60,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (250,61,61,to_timestamp('11.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,472,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (251,236,61,to_timestamp('11.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,472,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (252,302,61,to_timestamp('11.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,472,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (253,1045,61,to_timestamp('11.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,472,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (254,1268,61,to_timestamp('11.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,472,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (255,62,62,to_timestamp('11.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,584,62,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (256,1401,62,to_timestamp('11.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,584,62,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (257,14,63,to_timestamp('04.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,14,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (258,63,63,to_timestamp('04.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,14,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (259,182,63,to_timestamp('04.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,14,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (260,351,64,to_timestamp('04.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (261,64,64,to_timestamp('04.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (262,119,64,to_timestamp('04.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (263,196,64,to_timestamp('04.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (264,900,64,to_timestamp('04.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (265,941,64,to_timestamp('04.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (266,387,65,to_timestamp('11.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (267,55,65,to_timestamp('11.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (268,65,65,to_timestamp('11.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (269,157,65,to_timestamp('11.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (270,167,65,to_timestamp('11.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (271,183,65,to_timestamp('11.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (272,66,66,to_timestamp('21.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (273,172,66,to_timestamp('21.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (274,765,66,to_timestamp('21.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (275,495,66,to_timestamp('21.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (276,1212,66,to_timestamp('21.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (277,434,67,to_timestamp('08.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,434,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (278,67,67,to_timestamp('08.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,434,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (279,1155,67,to_timestamp('08.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,434,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (280,1431,67,to_timestamp('08.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,434,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (281,68,68,to_timestamp('18.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,68,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (282,218,68,to_timestamp('18.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,68,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (283,293,68,to_timestamp('18.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,68,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (284,69,69,to_timestamp('18.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,69,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (285,524,69,to_timestamp('18.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,69,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (286,1140,69,to_timestamp('18.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,69,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (287,70,70,to_timestamp('18.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,70,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (288,1101,70,to_timestamp('18.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,70,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (289,1300,70,to_timestamp('18.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,637,70,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (290,399,72,to_timestamp('25.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (291,4,72,to_timestamp('25.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (292,72,72,to_timestamp('25.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (293,1128,72,to_timestamp('25.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (294,961,72,to_timestamp('25.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (295,1297,72,to_timestamp('25.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (296,24,73,to_timestamp('28.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (297,73,73,to_timestamp('28.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (298,77,73,to_timestamp('28.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (299,439,73,to_timestamp('28.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (300,480,73,to_timestamp('28.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (301,1168,73,to_timestamp('28.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (302,388,75,to_timestamp('02.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (303,75,75,to_timestamp('02.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (304,114,75,to_timestamp('02.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (305,189,75,to_timestamp('02.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (306,252,75,to_timestamp('02.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (307,948,75,to_timestamp('02.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (308,76,76,to_timestamp('12.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,76,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (309,312,76,to_timestamp('12.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,76,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (310,777,76,to_timestamp('12.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,76,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (311,1058,76,to_timestamp('12.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,76,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (312,1269,76,to_timestamp('12.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,76,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (313,78,78,to_timestamp('16.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (314,173,78,to_timestamp('16.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (315,176,78,to_timestamp('16.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (316,988,78,to_timestamp('16.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (317,489,78,to_timestamp('16.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (318,591,78,to_timestamp('16.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (319,356,79,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (320,8,79,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (321,79,79,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (322,248,79,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (323,279,79,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (324,1024,79,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (325,80,80,to_timestamp('12.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (326,147,80,to_timestamp('12.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (327,471,80,to_timestamp('12.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (328,541,80,to_timestamp('12.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (329,379,81,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,379,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (330,81,81,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,379,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (331,93,81,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,379,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (332,1055,81,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,379,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (333,1240,81,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,379,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (334,1255,81,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,379,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (335,29,82,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (336,82,82,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (337,808,82,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (338,1113,82,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (339,967,82,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (340,1004,82,to_timestamp('23.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,29,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (341,83,83,to_timestamp('06.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,83,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (342,754,83,to_timestamp('06.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,83,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (343,1090,83,to_timestamp('06.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,83,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (344,973,83,to_timestamp('06.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,83,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (345,1238,83,to_timestamp('06.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,83,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (346,1316,83,to_timestamp('06.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,83,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (347,372,85,to_timestamp('13.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (348,85,85,to_timestamp('13.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (349,180,85,to_timestamp('13.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (350,875,85,to_timestamp('13.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (351,910,85,to_timestamp('13.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (352,515,85,to_timestamp('13.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (353,86,86,to_timestamp('23.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (354,129,86,to_timestamp('23.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (355,1001,86,to_timestamp('23.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (356,547,86,to_timestamp('23.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (357,1313,86,to_timestamp('23.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (358,13,87,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (359,87,87,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (360,842,87,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (361,923,87,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (362,500,87,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (363,622,87,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (364,88,88,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (365,1111,88,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (366,475,88,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (367,484,88,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (368,600,88,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (369,1241,88,to_timestamp('17.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (370,89,89,to_timestamp('19.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (371,206,89,to_timestamp('19.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (372,858,89,to_timestamp('19.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (373,880,89,to_timestamp('19.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (374,888,89,to_timestamp('19.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (375,642,89,to_timestamp('19.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (376,90,90,to_timestamp('09.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,781,90,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (377,929,90,to_timestamp('09.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,781,90,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (378,1366,90,to_timestamp('09.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,781,90,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (379,1417,90,to_timestamp('09.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,781,90,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (380,91,91,to_timestamp('02.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,91,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (381,242,91,to_timestamp('02.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,91,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (382,848,91,to_timestamp('02.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,91,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (383,952,91,to_timestamp('02.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,91,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (384,990,91,to_timestamp('02.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,91,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (385,92,92,to_timestamp('22.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (386,202,92,to_timestamp('22.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (387,807,92,to_timestamp('22.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (388,497,92,to_timestamp('22.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (389,581,92,to_timestamp('22.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (390,601,92,to_timestamp('22.06.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (391,94,94,to_timestamp('17.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (392,331,94,to_timestamp('17.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (393,542,94,to_timestamp('17.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (394,596,94,to_timestamp('17.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (395,95,95,to_timestamp('23.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,95,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (396,1210,95,to_timestamp('23.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,95,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (397,1222,95,to_timestamp('23.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,95,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (398,1229,95,to_timestamp('23.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,95,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (399,50,96,to_timestamp('13.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,50,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (400,96,96,to_timestamp('13.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,50,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (401,328,96,to_timestamp('13.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,50,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (402,645,96,to_timestamp('13.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,50,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (403,1226,96,to_timestamp('13.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,50,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (404,97,97,to_timestamp('14.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,97,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (405,1086,97,to_timestamp('14.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,97,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (406,628,97,to_timestamp('14.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,97,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (407,676,97,to_timestamp('14.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,97,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (408,684,97,to_timestamp('14.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,97,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (409,98,98,to_timestamp('04.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (410,262,98,to_timestamp('04.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (411,340,98,to_timestamp('04.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (412,806,98,to_timestamp('04.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (413,868,98,to_timestamp('04.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (414,1073,98,to_timestamp('04.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (415,359,101,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (416,410,101,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (417,101,101,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (418,118,101,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (419,143,101,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (420,287,101,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (421,361,102,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (422,102,102,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (423,284,102,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (424,463,102,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (425,1141,102,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (426,1174,102,to_timestamp('16.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (427,56,103,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (428,103,103,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (429,718,103,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (430,739,103,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (431,971,103,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (432,525,103,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (433,104,104,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,104,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (434,732,104,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,104,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (435,794,104,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,104,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (436,828,104,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,104,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (437,660,104,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,104,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (438,1423,104,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,104,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (439,105,105,to_timestamp('17.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (440,558,105,to_timestamp('17.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (441,606,105,to_timestamp('17.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (442,1161,105,to_timestamp('17.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (443,358,106,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (444,373,106,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (445,419,106,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (446,106,106,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (447,772,106,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (448,1039,106,to_timestamp('28.07.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (449,107,107,to_timestamp('08.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,874,107,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (450,131,107,to_timestamp('08.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,874,107,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (451,108,108,to_timestamp('18.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),1,920,108,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (452,109,109,to_timestamp('31.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,822,109,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (453,709,109,to_timestamp('31.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,822,109,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (454,819,109,to_timestamp('31.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,822,109,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (455,110,110,to_timestamp('01.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (456,298,110,to_timestamp('01.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (457,738,110,to_timestamp('01.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (458,937,110,to_timestamp('01.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (459,1121,110,to_timestamp('01.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (460,1285,110,to_timestamp('01.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (461,111,111,to_timestamp('22.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,111,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (462,702,111,to_timestamp('22.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,111,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (463,1077,111,to_timestamp('22.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,111,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (464,1175,111,to_timestamp('22.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,111,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (465,405,113,to_timestamp('18.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,405,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (466,113,113,to_timestamp('18.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,405,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (467,327,113,to_timestamp('18.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,405,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (468,348,113,to_timestamp('18.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,405,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (469,664,113,to_timestamp('18.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,405,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (470,388,114,to_timestamp('08.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (471,75,114,to_timestamp('08.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (472,114,114,to_timestamp('08.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (473,189,114,to_timestamp('08.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (474,252,114,to_timestamp('08.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (475,948,114,to_timestamp('08.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (476,430,115,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (477,115,115,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (478,203,115,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (479,928,115,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (480,1008,115,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (481,528,115,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (482,377,116,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (483,116,116,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (484,314,116,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (485,745,116,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (486,1083,116,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (487,667,116,to_timestamp('12.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (488,359,118,to_timestamp('15.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (489,410,118,to_timestamp('15.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (490,101,118,to_timestamp('15.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (491,118,118,to_timestamp('15.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (492,143,118,to_timestamp('15.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (493,287,118,to_timestamp('15.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (494,351,119,to_timestamp('17.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (495,64,119,to_timestamp('17.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (496,119,119,to_timestamp('17.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (497,196,119,to_timestamp('17.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (498,900,119,to_timestamp('17.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (499,941,119,to_timestamp('17.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (500,84,120,to_timestamp('06.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,84,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (501,120,120,to_timestamp('06.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,84,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (502,654,120,to_timestamp('06.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,84,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (503,1157,120,to_timestamp('06.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,84,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (504,121,121,to_timestamp('01.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,1116,121,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (505,705,121,to_timestamp('01.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,1116,121,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (506,122,122,to_timestamp('11.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,122,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (507,759,122,to_timestamp('11.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,122,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (508,1017,122,to_timestamp('11.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,122,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (509,556,122,to_timestamp('11.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,122,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (510,123,123,to_timestamp('05.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,219,123,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (511,843,123,to_timestamp('05.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,219,123,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (512,124,124,to_timestamp('25.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,208,124,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (513,208,124,to_timestamp('25.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,208,124,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (514,652,124,to_timestamp('25.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,208,124,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (515,125,125,to_timestamp('29.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,125,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (516,184,125,to_timestamp('29.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,125,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (517,193,125,to_timestamp('29.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,125,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (518,812,125,to_timestamp('29.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,125,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (519,662,125,to_timestamp('29.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,125,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (520,1329,125,to_timestamp('29.08.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,125,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (521,60,126,to_timestamp('28.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,60,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (522,126,126,to_timestamp('28.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,60,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (523,265,126,to_timestamp('28.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,60,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (524,363,128,to_timestamp('16.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (525,128,128,to_timestamp('16.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (526,245,128,to_timestamp('16.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (527,295,128,to_timestamp('16.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (528,1107,128,to_timestamp('16.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (529,1022,128,to_timestamp('16.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (530,86,129,to_timestamp('29.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (531,129,129,to_timestamp('29.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (532,1001,129,to_timestamp('29.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (533,547,129,to_timestamp('29.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (534,1313,129,to_timestamp('29.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (535,130,130,to_timestamp('19.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (536,292,130,to_timestamp('19.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (537,322,130,to_timestamp('19.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (538,761,130,to_timestamp('19.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (539,501,130,to_timestamp('19.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (540,659,130,to_timestamp('19.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (541,107,131,to_timestamp('01.11.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,551,107,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (542,131,131,to_timestamp('01.11.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,551,107,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (543,132,132,to_timestamp('22.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (544,259,132,to_timestamp('22.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (545,711,132,to_timestamp('22.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (546,815,132,to_timestamp('22.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (547,605,132,to_timestamp('22.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (548,1142,132,to_timestamp('22.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (549,133,133,to_timestamp('26.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (550,811,133,to_timestamp('26.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (551,1104,133,to_timestamp('26.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (552,499,133,to_timestamp('26.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (553,669,133,to_timestamp('26.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (554,677,133,to_timestamp('26.09.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (555,134,134,to_timestamp('16.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,134,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (556,1108,134,to_timestamp('16.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,134,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (557,483,134,to_timestamp('16.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,134,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (558,613,134,to_timestamp('16.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,134,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (559,425,135,to_timestamp('13.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,425,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (560,135,135,to_timestamp('13.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,425,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (561,818,135,to_timestamp('13.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,425,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (562,992,135,to_timestamp('13.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,425,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (563,1137,135,to_timestamp('13.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,425,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (564,74,136,to_timestamp('13.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,74,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (565,136,136,to_timestamp('13.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,74,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (566,341,136,to_timestamp('13.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,74,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (567,1368,136,to_timestamp('13.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,74,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (568,1432,136,to_timestamp('13.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,74,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (569,137,137,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (570,258,137,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (571,832,137,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (572,916,137,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (573,1116,137,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (574,1120,137,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (575,360,138,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (576,138,138,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (577,156,138,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (578,856,138,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (579,1030,138,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (580,607,138,to_timestamp('10.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (581,139,139,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (582,319,139,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (583,733,139,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (584,975,139,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (585,1189,139,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (586,1318,139,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (587,141,141,to_timestamp('06.11.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,141,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (588,229,141,to_timestamp('06.11.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,141,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (589,1021,141,to_timestamp('06.11.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,141,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (590,457,141,to_timestamp('06.11.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,141,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (591,381,142,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (592,142,142,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (593,212,142,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (594,715,142,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (595,1134,142,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (596,1018,142,to_timestamp('17.10.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (597,359,143,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (598,410,143,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (599,101,143,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (600,118,143,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (601,143,143,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (602,287,143,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (603,144,144,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (604,221,144,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (605,239,144,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (606,1061,144,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (607,510,144,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (608,1220,144,to_timestamp('20.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (609,18,145,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (610,145,145,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (611,725,145,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (612,867,145,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (613,557,145,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (614,1208,145,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (615,429,146,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (616,146,146,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (617,230,146,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (618,901,146,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (619,1050,146,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (620,519,146,to_timestamp('23.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (621,80,147,to_timestamp('12.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (622,147,147,to_timestamp('12.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (623,471,147,to_timestamp('12.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (624,541,147,to_timestamp('12.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (625,42,148,to_timestamp('27.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (626,148,148,to_timestamp('27.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (627,713,148,to_timestamp('27.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (628,726,148,to_timestamp('27.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (629,1053,148,to_timestamp('27.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (630,1032,148,to_timestamp('27.12.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (631,151,151,to_timestamp('27.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,151,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (632,720,151,to_timestamp('27.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,151,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (633,446,151,to_timestamp('27.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,151,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (634,534,151,to_timestamp('27.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,151,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (635,1194,151,to_timestamp('27.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,151,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (636,152,152,to_timestamp('03.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,152,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (637,762,152,to_timestamp('03.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,152,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (638,954,152,to_timestamp('03.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,152,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (639,672,152,to_timestamp('03.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,152,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (640,1265,152,to_timestamp('03.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,152,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (641,153,153,to_timestamp('24.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (642,836,153,to_timestamp('24.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (643,1012,153,to_timestamp('24.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (644,469,153,to_timestamp('24.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (645,486,153,to_timestamp('24.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (646,498,153,to_timestamp('24.01.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (647,370,155,to_timestamp('16.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,390,370,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (648,155,155,to_timestamp('16.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,390,370,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (649,360,156,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (650,138,156,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (651,156,156,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (652,856,156,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (653,1030,156,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (654,607,156,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (655,387,157,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (656,55,157,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (657,65,157,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (658,157,157,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (659,167,157,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (660,183,157,to_timestamp('07.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (661,158,158,to_timestamp('20.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,652,158,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (662,851,158,to_timestamp('20.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,652,158,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (663,930,158,to_timestamp('20.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,652,158,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (664,972,158,to_timestamp('20.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,652,158,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (665,655,158,to_timestamp('20.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,652,158,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (666,1,159,to_timestamp('13.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (667,159,159,to_timestamp('13.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (668,566,159,to_timestamp('13.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (669,595,159,to_timestamp('13.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (670,160,160,to_timestamp('13.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,160,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (671,724,160,to_timestamp('13.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,160,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (672,829,160,to_timestamp('13.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,160,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (673,1323,160,to_timestamp('13.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,160,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (674,161,161,to_timestamp('21.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,161,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (675,707,161,to_timestamp('21.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,161,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (676,854,161,to_timestamp('21.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,161,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (677,979,161,to_timestamp('21.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,161,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (678,1169,161,to_timestamp('21.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,161,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (679,1291,161,to_timestamp('21.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,161,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (680,37,162,to_timestamp('15.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (681,162,162,to_timestamp('15.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (682,626,162,to_timestamp('15.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (683,1144,162,to_timestamp('15.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (684,163,163,to_timestamp('28.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,163,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (685,862,163,to_timestamp('28.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,163,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (686,925,163,to_timestamp('28.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,163,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (687,953,163,to_timestamp('28.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,163,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (688,989,163,to_timestamp('28.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,163,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (689,1326,163,to_timestamp('28.02.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,163,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (690,423,164,to_timestamp('23.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,423,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (691,164,164,to_timestamp('23.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,423,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (692,833,164,to_timestamp('23.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,423,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (693,1091,164,to_timestamp('23.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,423,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (694,165,165,to_timestamp('23.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (695,299,165,to_timestamp('23.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (696,441,165,to_timestamp('23.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (697,482,165,to_timestamp('23.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (698,414,166,to_timestamp('04.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (699,41,166,to_timestamp('04.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (700,166,166,to_timestamp('04.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (701,594,166,to_timestamp('04.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (702,1292,166,to_timestamp('04.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (703,1386,166,to_timestamp('04.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (704,387,167,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (705,55,167,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (706,65,167,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (707,157,167,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (708,167,167,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (709,183,167,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (710,382,168,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (711,168,168,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (712,197,168,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (713,767,168,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (714,860,168,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (715,1015,168,to_timestamp('07.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (716,169,169,to_timestamp('24.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,169,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (717,291,169,to_timestamp('24.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,169,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (718,769,169,to_timestamp('24.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,169,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (719,679,169,to_timestamp('24.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,169,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (720,1338,169,to_timestamp('24.03.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,169,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (721,170,170,to_timestamp('01.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,584,170,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (722,325,170,to_timestamp('01.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,584,170,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (723,171,171,to_timestamp('11.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),1,230,171,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (724,66,172,to_timestamp('07.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (725,172,172,to_timestamp('07.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (726,765,172,to_timestamp('07.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (727,495,172,to_timestamp('07.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (728,1212,172,to_timestamp('07.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (729,78,173,to_timestamp('01.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (730,173,173,to_timestamp('01.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (731,176,173,to_timestamp('01.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (732,988,173,to_timestamp('01.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (733,489,173,to_timestamp('01.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (734,591,173,to_timestamp('01.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (735,174,174,to_timestamp('04.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (736,250,174,to_timestamp('04.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (737,321,174,to_timestamp('04.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (738,337,174,to_timestamp('04.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (739,864,174,to_timestamp('04.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (740,926,174,to_timestamp('04.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (741,353,175,to_timestamp('11.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (742,175,175,to_timestamp('11.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (743,885,175,to_timestamp('11.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (744,933,175,to_timestamp('11.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (745,1016,175,to_timestamp('11.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (746,690,175,to_timestamp('11.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (747,78,176,to_timestamp('18.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (748,173,176,to_timestamp('18.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (749,176,176,to_timestamp('18.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (750,988,176,to_timestamp('18.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (751,489,176,to_timestamp('18.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (752,591,176,to_timestamp('18.04.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (753,177,177,to_timestamp('28.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,670,177,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (754,283,177,to_timestamp('28.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,670,177,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (755,178,178,to_timestamp('15.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (756,244,178,to_timestamp('15.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (757,651,178,to_timestamp('15.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (758,1217,178,to_timestamp('15.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (759,412,179,to_timestamp('18.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,300,412,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (760,179,179,to_timestamp('18.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,300,412,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (761,224,179,to_timestamp('18.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,300,412,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (762,873,179,to_timestamp('18.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,300,412,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (763,372,180,to_timestamp('02.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (764,85,180,to_timestamp('02.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (765,180,180,to_timestamp('02.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (766,875,180,to_timestamp('02.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (767,910,180,to_timestamp('02.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (768,515,180,to_timestamp('02.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (769,352,181,to_timestamp('16.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (770,181,181,to_timestamp('16.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (771,222,181,to_timestamp('16.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (772,234,181,to_timestamp('16.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (773,316,181,to_timestamp('16.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (774,872,181,to_timestamp('16.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (775,14,182,to_timestamp('22.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,438,14,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (776,63,182,to_timestamp('22.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,438,14,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (777,182,182,to_timestamp('22.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,438,14,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (778,387,183,to_timestamp('23.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (779,55,183,to_timestamp('23.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (780,65,183,to_timestamp('23.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (781,157,183,to_timestamp('23.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (782,167,183,to_timestamp('23.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (783,183,183,to_timestamp('23.05.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (784,380,186,to_timestamp('17.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (785,435,186,to_timestamp('17.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (786,6,186,to_timestamp('17.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (787,54,186,to_timestamp('17.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (788,71,186,to_timestamp('17.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (789,186,186,to_timestamp('17.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (790,187,187,to_timestamp('29.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,865,187,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (791,241,187,to_timestamp('29.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,865,187,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (792,404,188,to_timestamp('22.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (793,188,188,to_timestamp('22.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (794,219,188,to_timestamp('22.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (795,746,188,to_timestamp('22.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (796,859,188,to_timestamp('22.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (797,1054,188,to_timestamp('22.06.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (798,46,190,to_timestamp('03.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (799,57,190,to_timestamp('03.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (800,190,190,to_timestamp('03.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (801,847,190,to_timestamp('03.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (802,1361,190,to_timestamp('03.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (803,1371,190,to_timestamp('03.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,46,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (804,117,191,to_timestamp('24.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,117,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (805,191,191,to_timestamp('24.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,117,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (806,305,191,to_timestamp('24.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,117,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (807,1228,191,to_timestamp('24.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,117,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (808,386,194,to_timestamp('07.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (809,396,194,to_timestamp('07.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (810,400,194,to_timestamp('07.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (811,194,194,to_timestamp('07.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (812,991,194,to_timestamp('07.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,395,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (813,195,195,to_timestamp('07.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,195,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (814,831,195,to_timestamp('07.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,195,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (815,453,195,to_timestamp('07.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,195,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (816,518,195,to_timestamp('07.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,195,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (817,1271,195,to_timestamp('07.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,195,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (818,351,196,to_timestamp('30.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (819,64,196,to_timestamp('30.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (820,119,196,to_timestamp('30.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (821,196,196,to_timestamp('30.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (822,900,196,to_timestamp('30.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (823,941,196,to_timestamp('30.07.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (824,382,197,to_timestamp('01.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (825,168,197,to_timestamp('01.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (826,197,197,to_timestamp('01.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (827,767,197,to_timestamp('01.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (828,860,197,to_timestamp('01.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (829,1015,197,to_timestamp('01.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (830,198,198,to_timestamp('02.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (831,296,198,to_timestamp('02.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (832,985,198,to_timestamp('02.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (833,1025,198,to_timestamp('02.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (834,572,198,to_timestamp('02.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (835,615,198,to_timestamp('02.08.11 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1648,65,387,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1649,157,387,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1650,167,387,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1651,183,387,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1652,388,388,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1653,75,388,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1654,114,388,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1655,189,388,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1656,252,388,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1657,948,388,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1658,389,389,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,389,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1659,801,389,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,389,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1660,1188,389,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,389,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1661,1198,389,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,389,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1662,390,390,to_timestamp('26.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1663,99,390,to_timestamp('26.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1664,306,390,to_timestamp('26.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1665,861,390,to_timestamp('26.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1666,1085,390,to_timestamp('26.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1667,447,390,to_timestamp('26.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1668,391,391,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,391,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1669,728,391,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,391,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1670,1281,391,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,391,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1671,392,392,to_timestamp('16.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,392,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1672,631,392,to_timestamp('16.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,392,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1673,1403,392,to_timestamp('16.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,392,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1674,1443,392,to_timestamp('16.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,392,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1675,393,393,to_timestamp('27.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1676,59,393,to_timestamp('27.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1677,317,393,to_timestamp('27.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1678,706,393,to_timestamp('27.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1679,897,393,to_timestamp('27.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1680,908,393,to_timestamp('27.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1681,371,394,to_timestamp('29.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1682,394,394,to_timestamp('29.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1683,719,394,to_timestamp('29.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1684,889,394,to_timestamp('29.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1685,1078,394,to_timestamp('29.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1686,490,394,to_timestamp('29.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1687,395,395,to_timestamp('22.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1688,204,395,to_timestamp('22.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1689,458,395,to_timestamp('22.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1690,609,395,to_timestamp('22.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1691,386,396,to_timestamp('12.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1692,396,396,to_timestamp('12.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1693,400,396,to_timestamp('12.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1694,194,396,to_timestamp('12.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1695,991,396,to_timestamp('12.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1696,397,397,to_timestamp('02.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1697,253,397,to_timestamp('02.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1698,999,397,to_timestamp('02.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1699,481,397,to_timestamp('02.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1700,604,397,to_timestamp('02.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1701,1334,397,to_timestamp('02.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1702,369,398,to_timestamp('24.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,369,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1703,398,398,to_timestamp('24.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,369,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1704,966,398,to_timestamp('24.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,369,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1705,1026,398,to_timestamp('24.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,369,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1706,399,399,to_timestamp('05.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1707,4,399,to_timestamp('05.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1708,72,399,to_timestamp('05.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1709,1128,399,to_timestamp('05.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1710,961,399,to_timestamp('05.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1711,1297,399,to_timestamp('05.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,399,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1712,386,400,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1713,396,400,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1714,400,400,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1715,194,400,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1716,991,400,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,386,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1717,401,401,to_timestamp('29.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,401,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1718,266,401,to_timestamp('29.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,401,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1719,1071,401,to_timestamp('29.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,401,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1720,1079,401,to_timestamp('29.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,401,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1721,402,402,to_timestamp('19.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1722,43,402,to_timestamp('19.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1723,931,402,to_timestamp('19.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1724,551,402,to_timestamp('19.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1725,1215,402,to_timestamp('19.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1726,403,403,to_timestamp('08.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,403,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1727,621,403,to_timestamp('08.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,403,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1728,1335,403,to_timestamp('08.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,403,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1729,404,404,to_timestamp('10.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1730,188,404,to_timestamp('10.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1731,219,404,to_timestamp('10.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1732,746,404,to_timestamp('10.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1733,859,404,to_timestamp('10.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1734,1054,404,to_timestamp('10.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1735,367,406,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,367,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1736,406,406,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,367,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1737,803,406,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,367,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1738,1154,406,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,367,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1739,1449,406,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,367,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1740,407,407,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1741,418,407,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1742,336,407,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1743,466,407,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1744,638,407,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1745,1136,407,to_timestamp('15.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1746,409,409,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,409,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1747,716,409,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,409,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1748,1082,409,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,409,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1749,359,410,to_timestamp('23.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1750,410,410,to_timestamp('23.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1751,101,410,to_timestamp('23.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1752,118,410,to_timestamp('23.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1753,143,410,to_timestamp('23.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1754,287,410,to_timestamp('23.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1755,411,411,to_timestamp('03.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1756,1068,411,to_timestamp('03.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1757,445,411,to_timestamp('03.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1758,639,411,to_timestamp('03.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1759,1231,411,to_timestamp('03.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1760,412,412,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,412,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1761,179,412,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,412,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1762,224,412,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,412,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1763,873,412,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,412,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1764,413,413,to_timestamp('24.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1765,273,413,to_timestamp('24.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1766,304,413,to_timestamp('24.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1767,914,413,to_timestamp('24.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1768,1047,413,to_timestamp('24.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1769,683,413,to_timestamp('24.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1770,414,414,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1771,41,414,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1772,166,414,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1773,594,414,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1774,1292,414,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1775,1386,414,to_timestamp('25.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1776,417,417,to_timestamp('05.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,417,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1777,882,417,to_timestamp('05.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,417,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1778,694,417,to_timestamp('05.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,417,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1779,1244,417,to_timestamp('05.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,417,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1780,1407,417,to_timestamp('05.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,417,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1781,407,418,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1782,418,418,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1783,336,418,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1784,466,418,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1785,638,418,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1786,1136,418,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1787,358,419,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1788,373,419,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1789,419,419,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1790,106,419,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1791,772,419,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1792,1039,419,to_timestamp('26.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1793,420,420,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,420,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1794,34,420,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,420,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1795,289,420,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,420,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1796,839,420,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,420,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1797,947,420,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,420,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1798,1049,420,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,420,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1799,421,421,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1800,27,421,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1801,247,421,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1802,748,421,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1803,774,421,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1804,936,421,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,421,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1805,351,422,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1806,352,422,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1807,355,422,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1808,356,422,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1809,358,422,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1810,359,422,to_timestamp('31.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1811,415,424,to_timestamp('06.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1812,424,424,to_timestamp('06.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1813,223,424,to_timestamp('06.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1814,334,424,to_timestamp('06.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1815,1088,424,to_timestamp('06.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1816,443,424,to_timestamp('06.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1817,425,425,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,425,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1818,135,425,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,425,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1819,818,425,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,425,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1820,992,425,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,425,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1821,1137,425,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,425,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1822,426,426,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,426,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1823,945,426,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,426,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1824,1052,426,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,426,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1825,1075,426,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,426,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1826,1286,426,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,426,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1827,368,427,to_timestamp('07.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1828,427,427,to_timestamp('07.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1829,753,427,to_timestamp('07.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1830,883,427,to_timestamp('07.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1831,964,427,to_timestamp('07.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1832,982,427,to_timestamp('07.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1833,429,429,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1834,146,429,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1835,230,429,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1836,901,429,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1837,1050,429,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1838,519,429,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,652,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1839,430,430,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1840,115,430,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1841,203,430,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1842,928,430,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1843,1008,430,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1844,528,430,to_timestamp('09.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1845,431,431,to_timestamp('01.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,431,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1846,343,431,to_timestamp('01.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,431,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1847,896,431,to_timestamp('01.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,431,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1848,1374,431,to_timestamp('01.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,431,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1849,432,432,to_timestamp('12.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1850,23,432,to_timestamp('12.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1851,48,432,to_timestamp('12.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1852,927,432,to_timestamp('12.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1853,1115,432,to_timestamp('12.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1854,1408,432,to_timestamp('12.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,432,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1855,433,433,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,433,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1856,318,433,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,433,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1857,775,433,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,433,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1858,570,433,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,433,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1859,1394,433,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,433,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1860,380,435,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1861,435,435,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1862,6,435,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1863,54,435,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1864,71,435,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1865,186,435,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1866,436,436,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1867,21,436,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1868,261,436,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1869,743,436,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1870,1074,436,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1871,516,436,to_timestamp('13.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1872,437,437,to_timestamp('15.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,437,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1873,309,437,to_timestamp('15.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,437,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1874,533,437,to_timestamp('15.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,437,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1875,323,438,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,323,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1876,703,438,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,323,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1877,835,438,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,323,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1878,438,438,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,323,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1879,1203,438,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,323,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1880,24,439,to_timestamp('15.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1881,73,439,to_timestamp('15.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1882,77,439,to_timestamp('15.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1883,439,439,to_timestamp('15.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1884,480,439,to_timestamp('15.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1885,1168,439,to_timestamp('15.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1886,362,440,to_timestamp('25.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,362,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1887,977,440,to_timestamp('25.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,362,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1888,440,440,to_timestamp('25.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,362,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1889,1396,440,to_timestamp('25.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,362,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1890,1442,440,to_timestamp('25.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,362,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1891,165,441,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1892,299,441,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1893,441,441,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1894,482,441,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1895,404,442,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1896,188,442,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1897,219,442,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1898,746,442,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1899,859,442,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1900,1054,442,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1901,415,443,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1902,424,443,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1903,223,443,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1904,334,443,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1905,1088,443,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1906,443,443,to_timestamp('16.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1907,272,444,to_timestamp('12.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,272,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1908,444,444,to_timestamp('12.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,272,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1909,1151,444,to_timestamp('12.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,272,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1910,1160,444,to_timestamp('12.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,272,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1911,411,445,to_timestamp('03.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1912,1068,445,to_timestamp('03.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1913,445,445,to_timestamp('03.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1914,639,445,to_timestamp('03.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1915,1231,445,to_timestamp('03.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1916,151,446,to_timestamp('03.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,151,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1917,720,446,to_timestamp('03.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,151,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1918,446,446,to_timestamp('03.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,151,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1919,534,446,to_timestamp('03.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,151,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1920,1194,446,to_timestamp('03.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,151,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1921,390,447,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1922,99,447,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1923,306,447,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1924,861,447,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1925,1085,447,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1926,447,447,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1927,375,448,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1928,307,448,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1929,742,448,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1930,448,448,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1931,1201,448,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1932,1294,448,to_timestamp('21.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1933,1130,450,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,1130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1934,450,450,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,1130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1935,1234,450,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,1130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1936,355,451,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1937,365,451,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1938,185,451,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1939,281,451,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1940,729,451,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1941,451,451,to_timestamp('23.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1942,700,452,to_timestamp('05.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,700,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1943,764,452,to_timestamp('05.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,700,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1944,773,452,to_timestamp('05.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,700,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1945,452,452,to_timestamp('05.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,700,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1946,1445,452,to_timestamp('05.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,700,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1947,195,453,to_timestamp('05.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,195,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1948,831,453,to_timestamp('05.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,195,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1949,453,453,to_timestamp('05.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,195,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1950,518,453,to_timestamp('05.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,195,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1951,1271,453,to_timestamp('05.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,195,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1952,215,454,to_timestamp('27.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1953,905,454,to_timestamp('27.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1954,1041,454,to_timestamp('27.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1955,454,454,to_timestamp('27.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1956,564,454,to_timestamp('27.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1957,1152,454,to_timestamp('27.02.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1958,455,455,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,694,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1959,502,455,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,694,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1960,582,455,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,694,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1961,656,455,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,694,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1962,1306,455,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,694,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1963,257,456,to_timestamp('10.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1964,271,456,to_timestamp('10.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1965,823,456,to_timestamp('10.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1966,1000,456,to_timestamp('10.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1967,456,456,to_timestamp('10.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1968,395,458,to_timestamp('22.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1969,204,458,to_timestamp('22.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1970,458,458,to_timestamp('22.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1971,609,458,to_timestamp('22.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1972,827,459,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,827,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1973,924,459,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,827,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1974,459,459,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,827,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1975,1179,459,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,352,827,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1976,734,461,to_timestamp('13.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,489,734,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1977,461,461,to_timestamp('13.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,489,734,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1978,491,461,to_timestamp('13.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,489,734,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1979,1184,461,to_timestamp('13.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,489,734,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1980,1276,461,to_timestamp('13.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,489,734,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1981,36,462,to_timestamp('05.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,36,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1982,970,462,to_timestamp('05.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,36,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1983,462,462,to_timestamp('05.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,36,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1984,361,463,to_timestamp('06.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1985,102,463,to_timestamp('06.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1986,284,463,to_timestamp('06.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1987,463,463,to_timestamp('06.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1988,1141,463,to_timestamp('06.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1989,1174,463,to_timestamp('06.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1990,428,464,to_timestamp('05.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,428,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1991,464,464,to_timestamp('05.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,428,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1992,1248,464,to_timestamp('05.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,428,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1993,40,465,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1994,787,465,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1995,865,465,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1996,1112,465,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1997,465,465,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1998,487,465,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1999,407,466,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2000,418,466,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2001,336,466,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2002,466,466,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2003,638,466,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2004,1136,466,to_timestamp('07.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2005,11,467,to_timestamp('08.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2006,755,467,to_timestamp('08.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2007,1040,467,to_timestamp('08.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2008,467,467,to_timestamp('08.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2009,514,467,to_timestamp('08.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2010,527,467,to_timestamp('08.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2011,878,468,to_timestamp('18.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,631,878,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2012,1029,468,to_timestamp('18.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,631,878,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2013,468,468,to_timestamp('18.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,631,878,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2014,663,468,to_timestamp('18.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,631,878,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2015,1430,468,to_timestamp('18.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,631,878,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2016,153,469,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2017,836,469,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2018,1012,469,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2019,469,469,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2020,486,469,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2021,498,469,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2022,382,470,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2023,168,470,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2024,197,470,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2025,767,470,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2026,860,470,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2027,1015,470,to_timestamp('09.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2028,214,472,to_timestamp('02.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2029,472,472,to_timestamp('02.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2030,641,472,to_timestamp('02.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2031,1185,472,to_timestamp('02.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2032,381,473,to_timestamp('13.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2033,142,473,to_timestamp('13.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2034,212,473,to_timestamp('13.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2035,715,473,to_timestamp('13.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2036,1134,473,to_timestamp('13.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2037,1018,473,to_timestamp('13.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2038,951,474,to_timestamp('12.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,951,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2039,474,474,to_timestamp('12.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,951,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2040,1260,474,to_timestamp('12.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,951,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2041,88,475,to_timestamp('14.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2042,1111,475,to_timestamp('14.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2043,475,475,to_timestamp('14.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2044,484,475,to_timestamp('14.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2045,600,475,to_timestamp('14.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2046,1241,475,to_timestamp('14.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2047,476,476,to_timestamp('17.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2048,574,476,to_timestamp('17.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2049,695,476,to_timestamp('17.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2050,1261,476,to_timestamp('17.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2051,1274,476,to_timestamp('17.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2052,1379,476,to_timestamp('17.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2053,376,477,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2054,978,477,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2055,1027,477,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2056,477,477,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2057,507,477,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2058,16,478,to_timestamp('21.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2059,263,478,to_timestamp('21.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2060,770,478,to_timestamp('21.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2061,906,478,to_timestamp('21.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2062,478,478,to_timestamp('21.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2063,512,478,to_timestamp('21.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2064,231,479,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2065,338,479,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2066,479,479,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2067,1249,479,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2068,24,480,to_timestamp('22.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2069,73,480,to_timestamp('22.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2070,77,480,to_timestamp('22.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2071,439,480,to_timestamp('22.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2072,480,480,to_timestamp('22.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2073,1168,480,to_timestamp('22.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,24,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2074,397,481,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2075,253,481,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2076,999,481,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2077,481,481,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2078,604,481,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2079,1334,481,to_timestamp('23.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2080,88,484,to_timestamp('28.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2081,1111,484,to_timestamp('28.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2082,475,484,to_timestamp('28.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2083,484,484,to_timestamp('28.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2084,600,484,to_timestamp('28.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2085,1241,484,to_timestamp('28.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,88,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2086,1007,485,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,1007,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2087,485,485,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,1007,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2088,536,485,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,1007,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2089,1171,485,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,1007,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2090,153,486,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2091,836,486,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2092,1012,486,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2093,469,486,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2094,486,486,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2095,498,486,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2096,40,487,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2097,787,487,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2098,865,487,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2099,1112,487,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2100,465,487,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2101,487,487,to_timestamp('30.03.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2102,78,489,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2103,173,489,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2104,176,489,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2105,988,489,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2106,489,489,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2107,591,489,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2108,371,490,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2109,394,490,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2110,719,490,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2111,889,490,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2112,1078,490,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2113,490,490,to_timestamp('03.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2114,734,491,to_timestamp('13.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,734,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2115,461,491,to_timestamp('13.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,734,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2116,491,491,to_timestamp('13.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,734,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2117,1184,491,to_timestamp('13.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,734,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2118,1276,491,to_timestamp('13.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,734,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2119,747,492,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,747,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2120,492,492,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,747,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2121,526,492,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,747,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2122,1424,492,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,747,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2123,226,493,to_timestamp('25.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2124,956,493,to_timestamp('25.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2125,493,493,to_timestamp('25.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2126,614,493,to_timestamp('25.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,605,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2127,210,494,to_timestamp('08.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2128,757,494,to_timestamp('08.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2129,871,494,to_timestamp('08.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2130,494,494,to_timestamp('08.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2131,1307,494,to_timestamp('08.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2132,1438,494,to_timestamp('08.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,210,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2133,66,495,to_timestamp('20.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2134,172,495,to_timestamp('20.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2135,765,495,to_timestamp('20.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2136,495,495,to_timestamp('20.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2137,1212,495,to_timestamp('20.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,66,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2138,268,496,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2139,870,496,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2140,1114,496,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2141,496,496,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2142,575,496,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2143,1256,496,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2144,153,498,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2145,836,498,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2146,1012,498,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2147,469,498,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2148,486,498,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2149,498,498,to_timestamp('11.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2150,133,499,to_timestamp('13.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2151,811,499,to_timestamp('13.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2152,1104,499,to_timestamp('13.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2153,499,499,to_timestamp('13.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2154,669,499,to_timestamp('13.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2155,677,499,to_timestamp('13.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,133,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2156,13,500,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2157,87,500,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2158,842,500,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2159,923,500,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2160,500,500,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2161,622,500,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2162,130,501,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2163,292,501,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2164,322,501,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2165,761,501,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2166,501,501,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2167,659,501,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2168,455,502,to_timestamp('27.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2169,502,502,to_timestamp('27.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2170,582,502,to_timestamp('27.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2171,656,502,to_timestamp('27.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2172,1306,502,to_timestamp('27.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2173,324,503,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2174,935,503,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2175,1124,503,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2176,503,503,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2177,608,503,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2178,1340,503,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2179,356,504,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2180,8,504,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2181,79,504,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2182,248,504,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2183,279,504,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2184,1024,504,to_timestamp('17.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2185,346,505,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2186,721,505,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2187,1089,505,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2188,976,505,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2189,505,505,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2190,1367,505,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2191,1069,506,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2192,1103,506,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2193,506,506,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2194,543,506,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2195,565,506,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2196,1202,506,to_timestamp('18.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2197,376,507,to_timestamp('30.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2198,978,507,to_timestamp('30.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2199,1027,507,to_timestamp('30.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2200,477,507,to_timestamp('30.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2201,507,507,to_timestamp('30.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2202,220,508,to_timestamp('20.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2203,822,508,to_timestamp('20.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2204,840,508,to_timestamp('20.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2205,508,508,to_timestamp('20.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2206,583,508,to_timestamp('20.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2207,1437,508,to_timestamp('20.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2208,351,509,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2209,352,509,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2210,355,509,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2211,356,509,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2212,358,509,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2213,359,509,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2214,144,510,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2215,221,510,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2216,239,510,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2217,1061,510,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2218,510,510,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2219,1220,510,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,144,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2220,404,511,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2221,188,511,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2222,219,511,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2223,746,511,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2224,859,511,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2225,1054,511,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,815,404,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2226,16,512,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2227,263,512,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2228,770,512,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2229,906,512,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2230,478,512,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2231,512,512,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2232,758,513,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2233,786,513,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2234,944,513,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2235,1094,513,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2236,513,513,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2237,618,513,to_timestamp('24.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2238,11,514,to_timestamp('25.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2239,755,514,to_timestamp('25.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2240,1040,514,to_timestamp('25.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2241,467,514,to_timestamp('25.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2242,514,514,to_timestamp('25.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2243,527,514,to_timestamp('25.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2244,436,516,to_timestamp('28.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2245,21,516,to_timestamp('28.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2246,261,516,to_timestamp('28.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2247,743,516,to_timestamp('28.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2248,1074,516,to_timestamp('28.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2249,516,516,to_timestamp('28.04.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2250,294,517,to_timestamp('01.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,294,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2251,1033,517,to_timestamp('01.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,294,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2252,517,517,to_timestamp('01.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,830,294,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2253,849,520,to_timestamp('02.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,849,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2254,1056,520,to_timestamp('02.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,849,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2255,1067,520,to_timestamp('02.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,849,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2459,565,565,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2460,1202,565,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2461,47,567,to_timestamp('02.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,47,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2462,567,567,to_timestamp('02.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,47,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2463,666,567,to_timestamp('02.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,47,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2464,805,568,to_timestamp('13.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2465,540,568,to_timestamp('13.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2466,553,568,to_timestamp('13.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2467,568,568,to_timestamp('13.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2468,612,568,to_timestamp('13.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2469,1044,569,to_timestamp('23.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,1044,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2470,569,569,to_timestamp('23.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,1044,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2471,682,569,to_timestamp('23.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,1044,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2472,1183,569,to_timestamp('23.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,1044,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2473,433,570,to_timestamp('14.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,433,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2474,318,570,to_timestamp('14.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,433,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2475,775,570,to_timestamp('14.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,433,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2476,570,570,to_timestamp('14.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,433,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2477,1394,570,to_timestamp('14.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,433,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2478,288,571,to_timestamp('25.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2479,344,571,to_timestamp('25.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2480,969,571,to_timestamp('25.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2481,571,571,to_timestamp('25.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2482,198,572,to_timestamp('06.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2483,296,572,to_timestamp('06.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2484,985,572,to_timestamp('06.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2485,1025,572,to_timestamp('06.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2486,572,572,to_timestamp('06.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2487,615,572,to_timestamp('06.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2488,891,573,to_timestamp('28.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,891,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2489,1020,573,to_timestamp('28.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,891,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2490,573,573,to_timestamp('28.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,891,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2491,1139,573,to_timestamp('28.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,891,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2492,476,574,to_timestamp('08.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2493,574,574,to_timestamp('08.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2494,695,574,to_timestamp('08.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2495,1261,574,to_timestamp('08.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2496,1274,574,to_timestamp('08.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2497,1379,574,to_timestamp('08.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,476,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2498,268,575,to_timestamp('13.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2499,870,575,to_timestamp('13.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2500,1114,575,to_timestamp('13.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2501,496,575,to_timestamp('13.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2502,575,575,to_timestamp('13.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2503,1256,575,to_timestamp('13.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2504,233,576,to_timestamp('24.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,874,233,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2505,576,576,to_timestamp('24.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,874,233,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2506,390,578,to_timestamp('16.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2507,99,578,to_timestamp('16.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2508,306,578,to_timestamp('16.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2509,861,578,to_timestamp('16.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2510,1085,578,to_timestamp('16.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2511,447,578,to_timestamp('16.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2512,781,579,to_timestamp('06.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,781,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2513,579,579,to_timestamp('06.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,781,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2514,650,579,to_timestamp('06.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,781,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2515,678,579,to_timestamp('06.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,781,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2516,366,580,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2517,246,580,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2518,791,580,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2519,902,580,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2520,1002,580,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2521,580,580,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,366,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2522,92,581,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2523,202,581,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2524,807,581,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2525,497,581,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2526,581,581,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2527,601,581,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2528,455,582,to_timestamp('29.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2529,502,582,to_timestamp('29.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2530,582,582,to_timestamp('29.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2531,656,582,to_timestamp('29.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2532,1306,582,to_timestamp('29.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,455,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2533,220,583,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2534,822,583,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2535,840,583,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2536,508,583,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2537,583,583,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2538,1437,583,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,220,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2539,381,584,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,631,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2540,142,584,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,631,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2541,212,584,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,631,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2542,715,584,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,631,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2543,1134,584,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,631,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2544,1018,584,to_timestamp('19.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,631,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2545,342,585,to_timestamp('11.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,342,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2546,585,585,to_timestamp('11.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,342,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2547,1172,585,to_timestamp('11.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,342,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2548,1242,585,to_timestamp('11.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,342,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2549,704,586,to_timestamp('24.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,704,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2550,740,586,to_timestamp('24.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,704,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2551,922,586,to_timestamp('24.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,704,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2552,1003,586,to_timestamp('24.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,704,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2553,586,586,to_timestamp('24.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,704,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2554,1314,586,to_timestamp('24.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,704,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2555,311,588,to_timestamp('15.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,311,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2556,778,588,to_timestamp('15.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,311,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2557,1035,588,to_timestamp('15.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,311,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2558,588,588,to_timestamp('15.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,311,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2559,243,589,to_timestamp('25.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,243,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2560,816,589,to_timestamp('25.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,243,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2561,589,589,to_timestamp('25.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,243,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2562,846,590,to_timestamp('26.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,846,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2563,938,590,to_timestamp('26.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,846,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2564,987,590,to_timestamp('26.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,846,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2565,590,590,to_timestamp('26.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,846,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2566,688,590,to_timestamp('26.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,846,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2567,692,590,to_timestamp('26.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,846,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2568,78,591,to_timestamp('27.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2569,173,591,to_timestamp('27.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2570,176,591,to_timestamp('27.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2571,988,591,to_timestamp('27.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2572,489,591,to_timestamp('27.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2573,591,591,to_timestamp('27.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,78,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2574,42,592,to_timestamp('29.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2575,148,592,to_timestamp('29.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2576,713,592,to_timestamp('29.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2577,726,592,to_timestamp('29.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2578,1053,592,to_timestamp('29.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2579,1032,592,to_timestamp('29.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2580,9,593,to_timestamp('09.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2581,255,593,to_timestamp('09.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2582,1084,593,to_timestamp('09.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2583,593,593,to_timestamp('09.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2584,1420,593,to_timestamp('09.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2585,414,594,to_timestamp('31.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2586,41,594,to_timestamp('31.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2587,166,594,to_timestamp('31.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2588,594,594,to_timestamp('31.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2589,1292,594,to_timestamp('31.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2590,1386,594,to_timestamp('31.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,414,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2591,1,595,to_timestamp('21.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,781,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2592,159,595,to_timestamp('21.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,781,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2593,566,595,to_timestamp('21.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,781,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2594,595,595,to_timestamp('21.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,781,1,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2595,94,596,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2596,331,596,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2597,542,596,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2598,596,596,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2599,714,597,to_timestamp('12.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,714,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2600,730,597,to_timestamp('12.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,714,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2601,597,597,to_timestamp('12.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,714,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2602,1236,597,to_timestamp('12.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,714,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2603,1328,597,to_timestamp('12.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,714,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2604,351,598,to_timestamp('05.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2605,352,598,to_timestamp('05.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2606,355,598,to_timestamp('05.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2607,356,598,to_timestamp('05.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2608,358,598,to_timestamp('05.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2609,359,598,to_timestamp('05.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2610,1093,599,to_timestamp('27.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,1093,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2611,1106,599,to_timestamp('27.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,1093,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2612,599,599,to_timestamp('27.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,1093,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2613,691,599,to_timestamp('27.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,1093,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2614,92,601,to_timestamp('07.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2615,202,601,to_timestamp('07.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2616,807,601,to_timestamp('07.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2617,497,601,to_timestamp('07.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2618,581,601,to_timestamp('07.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2619,601,601,to_timestamp('07.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2620,789,602,to_timestamp('18.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,789,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2621,602,602,to_timestamp('18.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,789,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2622,670,602,to_timestamp('18.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,789,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2623,1305,602,to_timestamp('18.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,789,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2624,1358,602,to_timestamp('18.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,789,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2625,809,603,to_timestamp('30.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,809,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2626,1097,603,to_timestamp('30.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,809,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2627,563,603,to_timestamp('30.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,809,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2628,603,603,to_timestamp('30.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,809,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2629,397,604,to_timestamp('10.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2630,253,604,to_timestamp('10.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2631,999,604,to_timestamp('10.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2632,481,604,to_timestamp('10.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2633,604,604,to_timestamp('10.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2634,1334,604,to_timestamp('10.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,397,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2635,132,605,to_timestamp('11.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2636,259,605,to_timestamp('11.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2637,711,605,to_timestamp('11.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2638,815,605,to_timestamp('11.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2639,605,605,to_timestamp('11.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2640,1142,605,to_timestamp('11.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2641,105,606,to_timestamp('03.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2642,558,606,to_timestamp('03.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2643,606,606,to_timestamp('03.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2644,1161,606,to_timestamp('03.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2645,324,608,to_timestamp('14.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2646,935,608,to_timestamp('14.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2647,1124,608,to_timestamp('14.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2648,503,608,to_timestamp('14.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2649,608,608,to_timestamp('14.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2650,1340,608,to_timestamp('14.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2651,395,609,to_timestamp('03.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2652,204,609,to_timestamp('03.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2653,458,609,to_timestamp('03.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2654,609,609,to_timestamp('03.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,395,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2655,756,610,to_timestamp('14.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,756,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2656,766,610,to_timestamp('14.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,756,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2657,610,610,to_timestamp('14.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,756,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2658,92,611,to_timestamp('16.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2659,202,611,to_timestamp('16.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2660,807,611,to_timestamp('16.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2661,497,611,to_timestamp('16.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2256,520,520,to_timestamp('02.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,849,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2257,696,520,to_timestamp('02.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,849,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2258,1299,520,to_timestamp('02.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,849,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2259,149,521,to_timestamp('03.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2260,521,521,to_timestamp('03.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2261,537,521,to_timestamp('03.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2262,629,521,to_timestamp('03.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2263,675,521,to_timestamp('03.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2264,1344,521,to_timestamp('03.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2265,39,522,to_timestamp('14.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,39,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2266,986,522,to_timestamp('14.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,39,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2267,522,522,to_timestamp('14.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,39,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2268,1302,522,to_timestamp('14.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,39,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2269,1395,522,to_timestamp('14.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,39,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2270,42,523,to_timestamp('05.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2271,148,523,to_timestamp('05.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2272,713,523,to_timestamp('05.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2273,726,523,to_timestamp('05.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2274,1053,523,to_timestamp('05.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2275,1032,523,to_timestamp('05.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,42,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2276,69,524,to_timestamp('07.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,948,69,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2277,524,524,to_timestamp('07.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,948,69,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2278,1140,524,to_timestamp('07.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,948,69,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2279,56,525,to_timestamp('08.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2280,103,525,to_timestamp('08.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2281,718,525,to_timestamp('08.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2282,739,525,to_timestamp('08.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2283,971,525,to_timestamp('08.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2284,525,525,to_timestamp('08.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2285,747,526,to_timestamp('31.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,643,747,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2286,492,526,to_timestamp('31.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,643,747,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2287,526,526,to_timestamp('31.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,643,747,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2288,1424,526,to_timestamp('31.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,643,747,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2289,11,527,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2290,755,527,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2291,1040,527,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2292,467,527,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2293,514,527,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2294,527,527,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2295,430,528,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2296,115,528,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2297,203,528,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2298,928,528,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2299,1008,528,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2300,528,528,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,430,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2301,12,530,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2302,290,530,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2303,727,530,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2304,1076,530,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2305,1099,530,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2306,1131,530,to_timestamp('15.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2307,359,531,to_timestamp('16.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2308,410,531,to_timestamp('16.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2309,101,531,to_timestamp('16.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2310,118,531,to_timestamp('16.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2311,143,531,to_timestamp('16.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2312,287,531,to_timestamp('16.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2313,333,532,to_timestamp('07.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,333,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2314,532,532,to_timestamp('07.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,333,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2315,693,532,to_timestamp('07.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,333,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2316,1421,532,to_timestamp('07.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,333,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2317,437,533,to_timestamp('17.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,786,437,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2318,309,533,to_timestamp('17.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,786,437,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2319,533,533,to_timestamp('17.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,786,437,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2320,1007,536,to_timestamp('11.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,1007,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2321,485,536,to_timestamp('11.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,1007,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2322,536,536,to_timestamp('11.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,1007,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2323,1171,536,to_timestamp('11.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,1007,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2324,149,537,to_timestamp('23.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2325,521,537,to_timestamp('23.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2326,537,537,to_timestamp('23.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2327,629,537,to_timestamp('23.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2328,675,537,to_timestamp('23.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2329,1344,537,to_timestamp('23.05.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2330,374,538,to_timestamp('02.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,374,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2331,771,538,to_timestamp('02.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,374,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2332,538,538,to_timestamp('02.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,374,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2333,671,538,to_timestamp('02.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,374,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2334,1296,538,to_timestamp('02.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,374,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2335,264,539,to_timestamp('12.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,264,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2336,1125,539,to_timestamp('12.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,264,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2337,539,539,to_timestamp('12.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,264,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2338,1277,539,to_timestamp('12.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,264,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2339,805,540,to_timestamp('08.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2340,540,540,to_timestamp('08.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2341,553,540,to_timestamp('08.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2342,568,540,to_timestamp('08.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2343,612,540,to_timestamp('08.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2344,80,541,to_timestamp('18.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,730,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2345,147,541,to_timestamp('18.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,730,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2346,471,541,to_timestamp('18.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,730,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2347,541,541,to_timestamp('18.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,730,80,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2348,94,542,to_timestamp('25.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2349,331,542,to_timestamp('25.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2350,542,542,to_timestamp('25.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2351,596,542,to_timestamp('25.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2352,1069,543,to_timestamp('05.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2353,1103,543,to_timestamp('05.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2354,506,543,to_timestamp('05.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2355,543,543,to_timestamp('05.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2356,565,543,to_timestamp('05.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2357,1202,543,to_timestamp('05.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2358,53,545,to_timestamp('06.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2359,280,545,to_timestamp('06.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2360,838,545,to_timestamp('06.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2361,959,545,to_timestamp('06.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2362,1117,545,to_timestamp('06.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2363,545,545,to_timestamp('06.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2364,760,546,to_timestamp('12.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,760,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2365,546,546,to_timestamp('12.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,760,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2366,552,546,to_timestamp('12.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,760,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2367,86,547,to_timestamp('22.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2368,129,547,to_timestamp('22.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2369,1001,547,to_timestamp('22.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2370,547,547,to_timestamp('22.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2371,1313,547,to_timestamp('22.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,86,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2372,112,549,to_timestamp('12.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,112,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2373,784,549,to_timestamp('12.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,112,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2374,785,549,to_timestamp('12.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,112,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2375,549,549,to_timestamp('12.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,112,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2376,698,549,to_timestamp('12.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,112,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2377,1213,549,to_timestamp('12.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,112,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2378,11,550,to_timestamp('13.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2379,755,550,to_timestamp('13.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2380,1040,550,to_timestamp('13.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2381,467,550,to_timestamp('13.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2382,514,550,to_timestamp('13.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2383,527,550,to_timestamp('13.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,11,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2384,402,551,to_timestamp('25.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2385,43,551,to_timestamp('25.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2386,931,551,to_timestamp('25.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2387,551,551,to_timestamp('25.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2388,1215,551,to_timestamp('25.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,402,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2389,760,552,to_timestamp('18.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,812,760,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2390,546,552,to_timestamp('18.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,812,760,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2391,552,552,to_timestamp('18.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,812,760,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2392,805,553,to_timestamp('28.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2393,540,553,to_timestamp('28.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2394,553,553,to_timestamp('28.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2395,568,553,to_timestamp('28.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2396,612,553,to_timestamp('28.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2397,371,554,to_timestamp('19.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2398,394,554,to_timestamp('19.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2399,719,554,to_timestamp('19.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2400,889,554,to_timestamp('19.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2401,1078,554,to_timestamp('19.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2402,490,554,to_timestamp('19.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,371,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2403,201,555,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,774,201,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2404,238,555,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,774,201,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2405,903,555,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,774,201,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2406,555,555,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,774,201,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2407,1272,555,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,774,201,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2408,122,556,to_timestamp('09.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,122,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2409,759,556,to_timestamp('09.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,122,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2410,1017,556,to_timestamp('09.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,122,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2411,556,556,to_timestamp('09.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,122,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2412,18,557,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2413,145,557,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2414,725,557,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2415,867,557,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2416,557,557,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2417,1208,557,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,18,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2418,105,558,to_timestamp('11.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2419,558,558,to_timestamp('11.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2420,606,558,to_timestamp('11.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2421,1161,558,to_timestamp('11.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,105,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2422,388,559,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2423,75,559,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2424,114,559,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2425,189,559,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2426,252,559,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2427,948,559,to_timestamp('21.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2428,1065,560,to_timestamp('06.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,831,1065,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2429,1095,560,to_timestamp('06.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,831,1065,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2430,1042,560,to_timestamp('06.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,831,1065,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2431,560,560,to_timestamp('06.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,831,1065,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2432,1223,560,to_timestamp('06.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,831,1065,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2433,390,561,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2434,99,561,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2435,306,561,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2436,861,561,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2437,1085,561,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2438,447,561,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2439,350,562,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,350,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2440,363,562,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,350,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2441,380,562,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,350,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2442,403,562,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,350,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2443,412,562,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,350,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2444,425,562,to_timestamp('26.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,350,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2445,809,563,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,809,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2446,1097,563,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,809,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2447,563,563,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,809,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2448,603,563,to_timestamp('17.07.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,809,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2449,215,564,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2450,905,564,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2451,1041,564,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2452,454,564,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2453,564,564,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2454,1152,564,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,215,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2455,1069,565,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2456,1103,565,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2457,506,565,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2458,543,565,to_timestamp('29.06.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,1069,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1039,8,248,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1040,79,248,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1041,248,248,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1042,279,248,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1043,1024,248,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1044,249,249,to_timestamp('23.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,786,249,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1045,1031,249,to_timestamp('23.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,786,249,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1046,1345,249,to_timestamp('23.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,786,249,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1047,174,250,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1048,250,250,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1049,321,250,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1050,337,250,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1051,864,250,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1052,926,250,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1053,251,251,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,251,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1054,795,251,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,251,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1055,913,251,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,251,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1056,1132,251,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,251,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1057,1180,251,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,251,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1058,1264,251,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,251,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1059,388,252,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1060,75,252,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1061,114,252,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1062,189,252,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1063,252,252,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1064,948,252,to_timestamp('22.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,388,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1065,254,254,to_timestamp('15.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,254,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1066,788,254,to_timestamp('15.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,254,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1067,1177,254,to_timestamp('15.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,254,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1068,1280,254,to_timestamp('15.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,331,254,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1069,9,255,to_timestamp('10.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1070,255,255,to_timestamp('10.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1071,1084,255,to_timestamp('10.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1072,593,255,to_timestamp('10.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1073,1420,255,to_timestamp('10.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,314,9,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1074,10,256,to_timestamp('29.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1075,256,256,to_timestamp('29.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1076,274,256,to_timestamp('29.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1077,1005,256,to_timestamp('29.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1078,1308,256,to_timestamp('29.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1079,1331,256,to_timestamp('29.02.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1080,257,257,to_timestamp('13.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1081,271,257,to_timestamp('13.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1082,823,257,to_timestamp('13.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1083,1000,257,to_timestamp('13.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1084,456,257,to_timestamp('13.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1085,137,258,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1086,258,258,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1087,832,258,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1088,916,258,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1089,1116,258,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1090,1120,258,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,314,137,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1091,132,259,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1092,259,259,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1093,711,259,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1094,815,259,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1095,605,259,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1096,1142,259,to_timestamp('03.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,132,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1097,436,261,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1098,21,261,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1099,261,261,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1100,743,261,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1101,1074,261,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1102,516,261,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1103,98,262,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1104,262,262,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1105,340,262,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1106,806,262,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1107,868,262,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1108,1073,262,to_timestamp('04.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,334,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1109,16,263,to_timestamp('07.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1110,263,263,to_timestamp('07.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1111,770,263,to_timestamp('07.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1112,906,263,to_timestamp('07.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1113,478,263,to_timestamp('07.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1114,512,263,to_timestamp('07.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,831,16,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1115,264,264,to_timestamp('27.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,264,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1116,1125,264,to_timestamp('27.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,264,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1117,539,264,to_timestamp('27.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,264,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1118,1277,264,to_timestamp('27.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,264,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1119,60,265,to_timestamp('06.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,60,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1120,126,265,to_timestamp('06.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,60,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1121,265,265,to_timestamp('06.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,921,60,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1122,401,266,to_timestamp('27.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,401,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1123,266,266,to_timestamp('27.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,401,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1124,1071,266,to_timestamp('27.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,401,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1125,1079,266,to_timestamp('27.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,747,401,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1126,267,267,to_timestamp('13.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,267,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1127,335,267,to_timestamp('13.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,267,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1128,1156,267,to_timestamp('13.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,267,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1129,268,268,to_timestamp('14.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1130,870,268,to_timestamp('14.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1131,1114,268,to_timestamp('14.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1132,496,268,to_timestamp('14.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1133,575,268,to_timestamp('14.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1134,1256,268,to_timestamp('14.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,268,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1135,15,269,to_timestamp('01.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,15,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1136,269,269,to_timestamp('01.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,15,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1137,909,269,to_timestamp('01.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,15,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1138,957,269,to_timestamp('01.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,15,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1139,1243,269,to_timestamp('01.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,15,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1140,257,271,to_timestamp('01.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1141,271,271,to_timestamp('01.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1142,823,271,to_timestamp('01.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1143,1000,271,to_timestamp('01.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1144,456,271,to_timestamp('01.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,501,257,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1145,272,272,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,198,272,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1146,444,272,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,198,272,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1147,1151,272,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,198,272,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1148,1160,272,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,198,272,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1149,413,273,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1150,273,273,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1151,304,273,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1152,914,273,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1153,1047,273,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1154,683,273,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1155,10,274,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1156,256,274,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1157,274,274,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1158,1005,274,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1159,1308,274,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1160,1331,274,to_timestamp('28.03.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,10,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1161,275,275,to_timestamp('01.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,275,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1162,744,275,to_timestamp('01.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,275,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1163,1122,275,to_timestamp('01.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,275,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1164,277,277,to_timestamp('14.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,1116,277,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1165,285,277,to_timestamp('14.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,1116,277,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1166,278,278,to_timestamp('24.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,278,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1167,1369,278,to_timestamp('24.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,278,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1168,1372,278,to_timestamp('24.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,278,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1169,1398,278,to_timestamp('24.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,278,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1170,356,279,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1171,8,279,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1172,79,279,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1173,248,279,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1174,279,279,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1175,1024,279,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1176,53,280,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1177,280,280,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1178,838,280,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1179,959,280,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1180,1117,280,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1181,545,280,to_timestamp('11.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,53,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1182,355,281,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1183,365,281,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1184,185,281,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1185,281,281,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1186,729,281,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1187,451,281,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1188,282,282,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1189,329,282,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1190,750,282,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1191,904,282,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1192,1289,282,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1193,1391,282,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1194,177,283,to_timestamp('28.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,1116,177,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1195,283,283,to_timestamp('28.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,1116,177,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1196,361,284,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1197,102,284,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1198,284,284,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1199,463,284,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1200,1141,284,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1201,1174,284,to_timestamp('18.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1202,28,286,to_timestamp('25.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1203,286,286,to_timestamp('25.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1204,339,286,to_timestamp('25.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1205,886,286,to_timestamp('25.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1206,939,286,to_timestamp('25.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1207,577,286,to_timestamp('25.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1208,359,287,to_timestamp('28.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1209,410,287,to_timestamp('28.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1210,101,287,to_timestamp('28.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1211,118,287,to_timestamp('28.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1212,143,287,to_timestamp('28.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1213,287,287,to_timestamp('28.04.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,285,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1214,288,288,to_timestamp('18.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,300,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1215,344,288,to_timestamp('18.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,300,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1216,969,288,to_timestamp('18.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,300,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1217,571,288,to_timestamp('18.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,300,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1218,12,290,to_timestamp('02.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1219,290,290,to_timestamp('02.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1220,727,290,to_timestamp('02.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1221,1076,290,to_timestamp('02.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1222,1099,290,to_timestamp('02.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1223,1131,290,to_timestamp('02.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,12,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1224,169,291,to_timestamp('26.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,169,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1225,291,291,to_timestamp('26.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,169,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1226,769,291,to_timestamp('26.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,169,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1227,679,291,to_timestamp('26.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,169,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1228,1338,291,to_timestamp('26.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,169,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1229,130,292,to_timestamp('16.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1230,292,292,to_timestamp('16.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1231,322,292,to_timestamp('16.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1232,761,292,to_timestamp('16.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1233,501,292,to_timestamp('16.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1234,659,292,to_timestamp('16.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1235,68,293,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,438,68,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1236,218,293,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,438,68,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1237,293,293,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,438,68,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1238,294,294,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,948,294,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1239,1033,294,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,948,294,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1240,517,294,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,948,294,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1241,363,295,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1242,128,295,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1243,245,295,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1244,295,295,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1245,1107,295,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1246,1022,295,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1247,198,296,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1248,296,296,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1249,985,296,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1250,1025,296,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1251,572,296,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1252,615,296,to_timestamp('23.05.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,856,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1253,408,297,to_timestamp('16.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,575,408,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1254,297,297,to_timestamp('16.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,575,408,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1255,825,297,to_timestamp('16.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,575,408,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1256,850,297,to_timestamp('16.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,575,408,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1257,1447,297,to_timestamp('16.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,575,408,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1258,110,298,to_timestamp('06.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1259,298,298,to_timestamp('06.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1260,738,298,to_timestamp('06.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1261,937,298,to_timestamp('06.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1262,1121,298,to_timestamp('06.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1263,1285,298,to_timestamp('06.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,110,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1264,165,299,to_timestamp('03.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1265,299,299,to_timestamp('03.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1266,441,299,to_timestamp('03.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1267,482,299,to_timestamp('03.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,165,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1268,300,300,to_timestamp('23.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,300,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1269,879,300,to_timestamp('23.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,300,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1270,1127,300,to_timestamp('23.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,300,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1271,1310,300,to_timestamp('23.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,300,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1272,1397,300,to_timestamp('23.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,300,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1273,33,301,to_timestamp('17.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,33,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1274,301,301,to_timestamp('17.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,33,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1275,1023,301,to_timestamp('17.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,33,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1276,61,302,to_timestamp('27.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1277,236,302,to_timestamp('27.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1278,302,302,to_timestamp('27.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1279,1045,302,to_timestamp('27.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1280,1268,302,to_timestamp('27.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,61,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1281,349,303,to_timestamp('29.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,865,349,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1282,303,303,to_timestamp('29.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,865,349,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1283,413,304,to_timestamp('19.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1284,273,304,to_timestamp('19.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1285,304,304,to_timestamp('19.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1286,914,304,to_timestamp('19.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1287,1047,304,to_timestamp('19.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1288,683,304,to_timestamp('19.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,413,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1289,117,305,to_timestamp('12.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,117,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1290,191,305,to_timestamp('12.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,117,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1291,305,305,to_timestamp('12.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,117,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1292,1228,305,to_timestamp('12.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,117,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1293,390,306,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1294,99,306,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1295,306,306,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1296,861,306,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1297,1085,306,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1298,447,306,to_timestamp('22.06.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,390,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1299,308,308,to_timestamp('27.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,348,308,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1300,1062,308,to_timestamp('27.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,348,308,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1301,1332,308,to_timestamp('27.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,348,308,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1302,437,309,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,438,437,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1303,309,309,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,438,437,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1304,533,309,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,438,437,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1305,225,310,to_timestamp('03.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1306,310,310,to_timestamp('03.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1307,855,310,to_timestamp('03.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1308,1138,310,to_timestamp('03.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1309,1321,310,to_timestamp('03.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1310,1339,310,to_timestamp('03.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,225,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1311,311,311,to_timestamp('24.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,311,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1312,778,311,to_timestamp('24.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,311,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1313,1035,311,to_timestamp('24.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,311,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1314,588,311,to_timestamp('24.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,311,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1315,76,312,to_timestamp('14.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,76,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1316,312,312,to_timestamp('14.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,76,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1317,777,312,to_timestamp('14.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,76,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1318,1058,312,to_timestamp('14.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,76,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1319,1269,312,to_timestamp('14.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,856,76,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1320,357,313,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,643,357,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1321,313,313,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,643,357,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1322,665,313,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,643,357,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1323,1146,313,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,643,357,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1324,377,314,to_timestamp('13.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1325,116,314,to_timestamp('13.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1326,314,314,to_timestamp('13.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1327,745,314,to_timestamp('13.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1328,1083,314,to_timestamp('13.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1329,667,314,to_timestamp('13.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,611,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1330,213,315,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1331,315,315,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1332,717,315,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1333,817,315,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1334,1019,315,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1335,1178,315,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,213,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1336,352,316,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1337,181,316,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1338,222,316,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1339,234,316,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1340,316,316,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1341,872,316,to_timestamp('16.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1342,393,317,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1343,59,317,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1344,317,317,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1345,706,317,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1346,897,317,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1347,908,317,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,393,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1348,139,319,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1349,319,319,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1350,733,319,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1351,975,319,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1352,1189,319,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1353,1318,319,to_timestamp('28.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,395,139,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1354,7,320,to_timestamp('06.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,366,7,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1355,320,320,to_timestamp('06.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,366,7,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1356,174,321,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1357,250,321,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1358,321,321,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1359,337,321,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1360,864,321,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1361,926,321,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1362,130,322,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1363,292,322,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1364,322,322,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1365,761,322,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1366,501,322,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1367,659,322,to_timestamp('30.07.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,130,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1368,323,323,to_timestamp('11.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,323,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1369,703,323,to_timestamp('11.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,323,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1370,835,323,to_timestamp('11.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,323,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1371,438,323,to_timestamp('11.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,323,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1372,1203,323,to_timestamp('11.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,323,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1373,324,324,to_timestamp('01.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1374,935,324,to_timestamp('01.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1375,1124,324,to_timestamp('01.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1376,503,324,to_timestamp('01.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1377,608,324,to_timestamp('01.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1378,1340,324,to_timestamp('01.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,324,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1379,170,325,to_timestamp('11.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,855,170,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1380,325,325,to_timestamp('11.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,855,170,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1381,38,326,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1382,326,326,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1383,802,326,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1384,932,326,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1385,587,326,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1386,648,326,to_timestamp('02.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1387,405,327,to_timestamp('18.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,405,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1388,113,327,to_timestamp('18.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,405,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1389,327,327,to_timestamp('18.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,405,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1390,348,327,to_timestamp('18.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,405,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1391,664,327,to_timestamp('18.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,405,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1392,282,329,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1393,329,329,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1394,750,329,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1395,904,329,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1396,1289,329,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1397,1391,329,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,282,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1398,270,330,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,270,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1399,330,330,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,270,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1400,723,330,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,270,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1401,853,330,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,270,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1402,1010,330,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,270,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1403,1237,330,to_timestamp('12.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,270,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1404,94,331,to_timestamp('04.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1405,331,331,to_timestamp('04.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1406,542,331,to_timestamp('04.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1407,596,331,to_timestamp('04.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1226,94,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1408,200,332,to_timestamp('25.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1409,332,332,to_timestamp('25.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1410,649,332,to_timestamp('25.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1411,1343,332,to_timestamp('25.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1412,1356,332,to_timestamp('25.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1413,333,333,to_timestamp('06.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,333,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1414,532,333,to_timestamp('06.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,333,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1415,693,333,to_timestamp('06.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,333,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1416,1421,333,to_timestamp('06.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,333,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1417,415,334,to_timestamp('17.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1418,424,334,to_timestamp('17.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1419,223,334,to_timestamp('17.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1420,334,334,to_timestamp('17.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1421,1088,334,to_timestamp('17.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1422,443,334,to_timestamp('17.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,415,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1423,267,335,to_timestamp('21.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,267,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1424,335,335,to_timestamp('21.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,267,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1425,1156,335,to_timestamp('21.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1060,267,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1426,407,336,to_timestamp('22.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1427,418,336,to_timestamp('22.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1428,336,336,to_timestamp('22.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1429,466,336,to_timestamp('22.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1430,638,336,to_timestamp('22.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1431,1136,336,to_timestamp('22.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,407,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1432,174,337,to_timestamp('26.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1433,250,337,to_timestamp('26.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1434,321,337,to_timestamp('26.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1435,337,337,to_timestamp('26.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1436,864,337,to_timestamp('26.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1437,926,337,to_timestamp('26.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,174,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1438,231,338,to_timestamp('15.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,198,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1439,338,338,to_timestamp('15.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,198,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1440,479,338,to_timestamp('15.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,198,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1441,1249,338,to_timestamp('15.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,198,231,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1442,28,339,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1443,286,339,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1444,339,339,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1445,886,339,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1446,939,339,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1447,577,339,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,28,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1448,98,340,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1449,262,340,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1450,340,340,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1451,806,340,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1452,868,340,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1453,1073,340,to_timestamp('29.08.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,98,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1454,342,342,to_timestamp('06.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,342,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1455,585,342,to_timestamp('06.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,342,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1456,1172,342,to_timestamp('06.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,342,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1457,1242,342,to_timestamp('06.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,527,342,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1458,431,343,to_timestamp('09.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,431,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1459,343,343,to_timestamp('09.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,431,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1460,896,343,to_timestamp('09.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,431,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1461,1374,343,to_timestamp('09.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,431,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1462,288,344,to_timestamp('09.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1463,344,344,to_timestamp('09.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1464,969,344,to_timestamp('09.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1465,571,344,to_timestamp('09.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,771,288,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1466,22,345,to_timestamp('01.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,22,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1467,345,345,to_timestamp('01.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,22,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1468,824,345,to_timestamp('01.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,22,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1469,984,345,to_timestamp('01.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,22,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1470,668,345,to_timestamp('01.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,22,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1471,346,346,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1472,721,346,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1473,1089,346,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1474,976,346,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1475,505,346,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1476,1367,346,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,346,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1477,380,347,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1478,435,347,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1479,6,347,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1480,54,347,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1481,71,347,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1482,186,347,to_timestamp('22.09.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,472,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1483,349,349,to_timestamp('05.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,855,349,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1484,303,349,to_timestamp('05.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,855,349,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1485,350,350,to_timestamp('13.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,350,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1486,790,350,to_timestamp('13.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,350,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1487,799,350,to_timestamp('13.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,350,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1488,1028,350,to_timestamp('13.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,350,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1489,1349,350,to_timestamp('13.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,957,350,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1490,351,351,to_timestamp('03.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1491,64,351,to_timestamp('03.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1492,119,351,to_timestamp('03.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1493,196,351,to_timestamp('03.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1494,900,351,to_timestamp('03.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1495,941,351,to_timestamp('03.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1496,352,352,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1497,181,352,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1498,222,352,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1499,234,352,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1500,316,352,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1501,872,352,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,352,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1502,353,353,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1503,175,353,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1504,885,353,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1505,933,353,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1506,1016,353,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1507,690,353,to_timestamp('10.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,353,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1508,355,355,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1509,365,355,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1510,185,355,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1511,281,355,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1512,729,355,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1513,451,355,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1514,356,356,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1515,8,356,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1516,79,356,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1517,248,356,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1518,279,356,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1519,1024,356,to_timestamp('17.10.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1520,357,357,to_timestamp('06.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,357,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1521,313,357,to_timestamp('06.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,357,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1522,665,357,to_timestamp('06.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,357,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1523,1146,357,to_timestamp('06.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,357,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1524,358,358,to_timestamp('02.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1525,373,358,to_timestamp('02.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1526,419,358,to_timestamp('02.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1527,106,358,to_timestamp('02.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1528,772,358,to_timestamp('02.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1529,1039,358,to_timestamp('02.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,1165,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1530,359,359,to_timestamp('05.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1531,410,359,to_timestamp('05.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1532,101,359,to_timestamp('05.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1533,118,359,to_timestamp('05.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1534,143,359,to_timestamp('05.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1535,287,359,to_timestamp('05.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,359,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1536,360,360,to_timestamp('07.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1537,138,360,to_timestamp('07.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1538,156,360,to_timestamp('07.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1539,856,360,to_timestamp('07.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1540,1030,360,to_timestamp('07.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1541,607,360,to_timestamp('07.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,360,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1542,361,361,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1543,102,361,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1544,284,361,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1545,463,361,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1546,1141,361,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1547,1174,361,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,361,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1548,363,363,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1549,128,363,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1550,245,363,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1551,295,363,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1552,1107,363,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1553,1022,363,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,363,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1554,364,364,to_timestamp('18.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,364,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1555,735,364,to_timestamp('18.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,364,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1556,958,364,to_timestamp('18.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,364,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1557,965,364,to_timestamp('18.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,364,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1558,1360,364,to_timestamp('18.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,742,364,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1559,355,365,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1560,365,365,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1561,185,365,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1562,281,365,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1563,729,365,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1564,451,365,to_timestamp('08.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,742,355,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1565,367,367,to_timestamp('19.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,367,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1566,406,367,to_timestamp('19.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,367,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1567,803,367,to_timestamp('19.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,367,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1568,1154,367,to_timestamp('19.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,367,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1569,1449,367,to_timestamp('19.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,750,367,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1570,368,368,to_timestamp('14.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1571,427,368,to_timestamp('14.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1572,753,368,to_timestamp('14.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1573,883,368,to_timestamp('14.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1574,964,368,to_timestamp('14.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1575,982,368,to_timestamp('14.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,368,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1576,369,369,to_timestamp('04.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,369,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1577,398,369,to_timestamp('04.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,369,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1578,966,369,to_timestamp('04.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,369,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1579,1026,369,to_timestamp('04.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,416,369,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1580,370,370,to_timestamp('31.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,1116,370,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1581,155,370,to_timestamp('31.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,1116,370,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1582,372,372,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1583,85,372,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1584,180,372,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1585,875,372,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1586,910,372,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1587,515,372,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,372,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1588,358,373,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1589,373,373,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1590,419,373,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1591,106,373,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1592,772,373,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1593,1039,373,to_timestamp('28.11.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,358,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1594,375,375,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1595,307,375,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1596,742,375,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1597,448,375,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1598,1201,375,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1599,1294,375,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,375,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1600,376,376,to_timestamp('15.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1601,978,376,to_timestamp('15.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1602,1027,376,to_timestamp('15.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1603,477,376,to_timestamp('15.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1604,507,376,to_timestamp('15.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,376,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1605,377,377,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1606,116,377,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1607,314,377,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1608,745,377,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1609,1083,377,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1610,667,377,to_timestamp('05.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,377,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1611,378,378,to_timestamp('08.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,378,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1612,863,378,to_timestamp('08.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,378,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1613,1267,378,to_timestamp('08.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,880,378,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1614,380,380,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1615,435,380,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1616,6,380,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1617,54,380,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1618,71,380,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1619,186,380,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,380,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1620,381,381,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1621,142,381,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1622,212,381,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1623,715,381,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1624,1134,381,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1625,1018,381,to_timestamp('12.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,381,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1626,382,382,to_timestamp('15.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1627,168,382,to_timestamp('15.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1628,197,382,to_timestamp('15.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1629,767,382,to_timestamp('15.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1630,860,382,to_timestamp('15.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1631,1015,382,to_timestamp('15.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,382,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1632,383,383,to_timestamp('29.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,694,383,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1633,416,383,to_timestamp('29.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,694,383,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1634,960,383,to_timestamp('29.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,694,383,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1635,995,383,to_timestamp('29.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,694,383,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1636,1193,383,to_timestamp('29.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,694,383,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1637,384,384,to_timestamp('19.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,903,384,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1638,741,384,to_timestamp('19.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,903,384,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1639,1013,384,to_timestamp('19.01.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,903,384,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1640,385,385,to_timestamp('20.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1641,44,385,to_timestamp('20.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1642,209,385,to_timestamp('20.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1643,232,385,to_timestamp('20.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1644,736,385,to_timestamp('20.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1645,949,385,to_timestamp('20.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,385,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1646,387,387,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (1647,55,387,to_timestamp('23.12.12 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,387,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2662,581,611,to_timestamp('16.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2663,601,611,to_timestamp('16.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,92,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2664,805,612,to_timestamp('31.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2665,540,612,to_timestamp('31.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2666,553,612,to_timestamp('31.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2667,568,612,to_timestamp('31.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2668,612,612,to_timestamp('31.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,1165,805,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2669,226,614,to_timestamp('10.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2670,956,614,to_timestamp('10.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2671,493,614,to_timestamp('10.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2672,614,614,to_timestamp('10.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,226,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2673,198,615,to_timestamp('21.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2674,296,615,to_timestamp('21.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2675,985,615,to_timestamp('21.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2676,1025,615,to_timestamp('21.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2677,572,615,to_timestamp('21.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2678,615,615,to_timestamp('21.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,198,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2679,153,616,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2680,836,616,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2681,1012,616,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2682,469,616,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2683,486,616,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2684,498,616,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,153,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2685,436,617,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2686,21,617,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2687,261,617,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2688,743,617,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2689,1074,617,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2690,516,617,to_timestamp('22.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,436,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2691,758,618,to_timestamp('25.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2692,786,618,to_timestamp('25.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2693,944,618,to_timestamp('25.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2694,1094,618,to_timestamp('25.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2695,513,618,to_timestamp('25.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2696,618,618,to_timestamp('25.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,188,758,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2697,56,619,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2698,103,619,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2699,718,619,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2700,739,619,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2701,971,619,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2702,525,619,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,56,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2703,154,620,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,154,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2704,918,620,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,154,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2705,488,620,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,154,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2706,620,620,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,154,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2707,689,620,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,154,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2708,1246,620,to_timestamp('28.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,694,154,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2709,13,622,to_timestamp('30.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2710,87,622,to_timestamp('30.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2711,842,622,to_timestamp('30.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2712,923,622,to_timestamp('30.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2713,500,622,to_timestamp('30.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2714,622,622,to_timestamp('30.08.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,13,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2715,40,623,to_timestamp('04.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2716,787,623,to_timestamp('04.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2717,865,623,to_timestamp('04.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2718,1112,623,to_timestamp('04.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2719,465,623,to_timestamp('04.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2720,487,623,to_timestamp('04.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,575,40,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2721,429,624,to_timestamp('07.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2722,146,624,to_timestamp('07.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2723,230,624,to_timestamp('07.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2724,901,624,to_timestamp('07.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2725,1050,624,to_timestamp('07.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2726,519,624,to_timestamp('07.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,774,429,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2727,37,626,to_timestamp('01.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2728,162,626,to_timestamp('01.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2729,626,626,to_timestamp('01.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2730,1144,626,to_timestamp('01.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,37,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2731,852,627,to_timestamp('21.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,926,852,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2732,627,627,to_timestamp('21.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),2,926,852,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2733,97,628,to_timestamp('24.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,97,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2734,1086,628,to_timestamp('24.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,97,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2735,628,628,to_timestamp('24.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,97,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2736,676,628,to_timestamp('24.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,97,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2737,684,628,to_timestamp('24.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,710,97,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2738,149,629,to_timestamp('15.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2739,521,629,to_timestamp('15.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2740,537,629,to_timestamp('15.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2741,629,629,to_timestamp('15.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2742,675,629,to_timestamp('15.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2743,1344,629,to_timestamp('15.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,501,149,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2744,392,631,to_timestamp('08.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,392,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2745,631,631,to_timestamp('08.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,392,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2746,1403,631,to_timestamp('08.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,392,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2747,1443,631,to_timestamp('08.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,392,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2748,356,632,to_timestamp('19.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2749,8,632,to_timestamp('19.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2750,79,632,to_timestamp('19.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2751,248,632,to_timestamp('19.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2752,279,632,to_timestamp('19.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2753,1024,632,to_timestamp('19.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,356,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2754,1009,634,to_timestamp('21.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,523,1009,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2755,634,634,to_timestamp('21.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,523,1009,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2756,1170,634,to_timestamp('21.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,523,1009,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2757,45,635,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2758,830,635,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2759,943,635,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2760,635,635,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2761,680,635,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2762,1298,635,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,710,45,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2763,779,636,to_timestamp('15.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,779,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2764,968,636,to_timestamp('15.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,779,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2765,636,636,to_timestamp('15.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,779,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2766,1352,636,to_timestamp('15.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,836,779,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2767,52,637,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2768,276,637,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2769,894,637,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2770,1059,637,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2771,637,637,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2772,1209,637,to_timestamp('25.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,794,52,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2773,411,639,to_timestamp('06.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2774,1068,639,to_timestamp('06.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2775,445,639,to_timestamp('06.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2776,639,639,to_timestamp('06.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2777,1231,639,to_timestamp('06.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,411,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2778,349,640,to_timestamp('27.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,349,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2779,352,640,to_timestamp('27.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,349,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2780,353,640,to_timestamp('27.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,349,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2781,354,640,to_timestamp('27.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,349,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2782,355,640,to_timestamp('27.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,349,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2783,358,640,to_timestamp('27.09.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,732,349,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2784,214,641,to_timestamp('17.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2785,472,641,to_timestamp('17.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2786,641,641,to_timestamp('17.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2787,1185,641,to_timestamp('17.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,901,214,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2788,89,642,to_timestamp('02.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2789,206,642,to_timestamp('02.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2790,858,642,to_timestamp('02.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2791,880,642,to_timestamp('02.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2792,888,642,to_timestamp('02.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2793,642,642,to_timestamp('02.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,750,89,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2794,917,643,to_timestamp('23.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,917,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2795,1063,643,to_timestamp('23.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,917,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2796,998,643,to_timestamp('23.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,917,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2797,643,643,to_timestamp('23.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,917,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2798,1036,644,to_timestamp('19.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,1036,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2799,644,644,to_timestamp('19.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,1036,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2800,687,644,to_timestamp('19.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,1036,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2801,1293,644,to_timestamp('19.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,1036,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2802,1317,644,to_timestamp('19.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,794,1036,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2803,814,646,to_timestamp('08.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,814,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2804,1123,646,to_timestamp('08.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,814,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2805,646,646,to_timestamp('08.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,814,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2806,699,647,to_timestamp('08.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,699,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2807,895,647,to_timestamp('08.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,699,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2808,647,647,to_timestamp('08.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,1291,699,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2809,38,648,to_timestamp('09.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2810,326,648,to_timestamp('09.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2811,802,648,to_timestamp('09.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2812,932,648,to_timestamp('09.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2813,587,648,to_timestamp('09.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2814,648,648,to_timestamp('09.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,38,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2815,200,649,to_timestamp('19.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2816,332,649,to_timestamp('19.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2817,649,649,to_timestamp('19.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2818,1343,649,to_timestamp('19.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2819,1356,649,to_timestamp('19.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),5,732,200,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2820,781,650,to_timestamp('30.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,781,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2821,579,650,to_timestamp('30.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,781,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2822,650,650,to_timestamp('30.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,781,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2823,678,650,to_timestamp('30.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,1007,781,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2824,178,651,to_timestamp('05.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2825,244,651,to_timestamp('05.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2826,651,651,to_timestamp('05.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2827,1217,651,to_timestamp('05.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),4,789,178,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2828,124,652,to_timestamp('16.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,812,124,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2829,208,652,to_timestamp('16.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,812,124,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2830,652,652,to_timestamp('16.11.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),3,812,124,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2831,351,653,to_timestamp('17.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2832,352,653,to_timestamp('17.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2833,355,653,to_timestamp('17.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2834,356,653,to_timestamp('17.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2835,358,653,to_timestamp('17.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
Insert into BUCHUNG (B_NR,TN_NR,T_NR,B_DATUM,B_TZAHL,B_PREIS,B_NRANMELDER,B_STORNODATUM,B_STORNOGEBUEHR) values (2836,359,653,to_timestamp('17.10.13 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),6,957,351,null,null);
